;;
;; DO NOT EDIT THIS FILE
;;
;; this file is automatically generated from /home/k-okada/ros/groovy/rtm-ros-robotics/rtmros_hironx/hironx_ros_bridge/models/kawada-hironx.dae on (Linux kokada-t430s 3.2.0-49-generic x86_64) at Fri Aug 30 21:17:18 2013

;;
;; /home/k-okada/ros/groovy/rtm-ros-robotics/rtmros_hironx/hironx_ros_bridge/build $ /home/k-okada/ros/groovy/jsk-ros-pkg/jsk_model_tools/euscollada/bin/collada2eus /home/k-okada/ros/groovy/rtm-ros-robotics/rtmros_hironx/hironx_ros_bridge/models/kawada-hironx.dae /home/k-okada/ros/groovy/rtm-ros-robotics/rtmros_hironx/hironx_ros_bridge/models/kawada-hironx.yaml /home/k-okada/ros/groovy/rtm-ros-robotics/rtmros_hironx/hironx_ros_bridge/models/kawada-hironx.l 
;;

;; copy euscollada-robot class definition from euscollada/src/euscollada-robot.l
;;
;; This euscollada-robot class is for robots converted from collada files.
;; This class provides :init-ending override.
(defclass euscollada-robot
  :super robot-model
  :slots ()
  )
(defmethod euscollada-robot
  (:init-ending
   ()
   ;; fix all links' mass properties ;; root link relative (collada) -> link local (euslisp)
   (dolist (l links)
     (setq (l . acentroid) (send l :inverse-transform-vector
                                 (send (send (car links) :worldcoords) :transform-vector
                                       (l . acentroid))))
     (setq (l . inertia-tensor) (m* (transpose (send l :worldrot))
                                    (m* (send (car links) :worldrot)
                                        (l . inertia-tensor))))
     )
   (send-super :init-ending)

   ;;
   (dolist (j (mapcan #'(lambda (x) (if (and (derivedp (cdr x) joint)
					     (not (memq (cdr x) (send self :joint-list))))
					(list (cdr x)))) (send self :slots)))
     (send (send j :child-link) :add-joint j)
     (send (send j :child-link) :add-parent-link (send j :parent-link))
     (send (send j :parent-link) :add-child-links (send j :child-link)))
   ;; add sensor method ;; e.g., (send self :camera 0), (send self :force-sensor :rasensor), ... etc
   (dolist (sensor-name '(:force-sensor :imu-sensor))
     (eval `(defmethod ,(send (class self) :name)
              (,sensor-name (&rest args)
                            (cond ((integerp (car args))
                                   (forward-message-to (elt (send self ,(read-from-string (format nil "~As" sensor-name)) ) (car args)) (cdr args)))
                                  ;; enable to access sensors by limb name
                                  ((memq (car args) '(:larm :rarm :lleg :rleg :head :torso))
                                   (find-if
                                    #'(lambda (x) (member (send x :parent) (send self (car args))))
                                    (send self ,(read-from-string (format nil "~As" sensor-name)))))
                                  ((and (keywordp (car args))
                                        (derivedp (send self (car args)) cascaded-coords))
                                   (send* self args))
                                  ((keywordp (car args))
                                   ;;(warn ";; no such sensor ~A~%" (car args))
                                   nil)
                                  (t
                                   (forward-message-to (car (send self ,(read-from-string (format nil "~As" sensor-name)))) args)
                                   )))
              )))
   )
  ;; fullbody-inverse-kinematics overwrite
  ;;  reduce root-link's weight based on leg's joint limit
  ;;  increase stop and cog-gain
  (:fullbody-inverse-kinematics
   (target-coords &rest args &key (stop 250) (cog-gain 2.0) &allow-other-keys)
   (let* ((leg-ul (send self :calc-union-link-list (send self :legs :links))))
     (send self :reset-joint-angle-limit-weight-old leg-ul)
     (send-message* self robot-model :fullbody-inverse-kinematics
                    target-coords
                    :stop stop :cog-gain cog-gain
                    :weight #'(lambda (ul)
                                (let ((tw (fill (instantiate float-vector (send self :calc-target-joint-dimension ul)) 1.0)))
                                  ;; set root-link 6dof-joint's weight based on legs' joint limit
                                  (let* ((min-weight
                                          (reduce #'(lambda (x y) (min x y))
                                                  (coerce (send self :calc-inverse-kinematics-weight-from-link-list
                                                                leg-ul :union-link-list leg-ul) cons))))
                                    (dotimes (i 6) (setf (elt tw i) (* min-weight (elt tw i)))))
                                  ;; additional weight setting
                                  (if (memq :weight args)
                                      (let ((tmp-weight2 (funcall (cadr (memq :weight args)) ul)))
                                        (dotimes (i (length tmp-weight2)) (setf (elt tw i) (* (elt tw i) (elt tmp-weight2 i))))))
                                  tw))
                    args)
     ))
  )
;;
(defun HiroNX () (setq *HiroNX* (instance HiroNX-robot :init)))

(defclass HiroNX-robot
  :super euscollada-robot
  :slots (WAIST_JOINT_jt CHEST_JOINT0_jt HEAD_JOINT0_jt HEAD_JOINT1_jt RARM_JOINT0_jt RARM_JOINT1_jt RARM_JOINT2_jt RARM_JOINT3_jt RARM_JOINT4_jt RARM_JOINT5_jt RHAND_JOINT0_jt RHAND_JOINT1_jt RHAND_JOINT2_jt RHAND_JOINT3_jt LARM_JOINT0_jt LARM_JOINT1_jt LARM_JOINT2_jt LARM_JOINT3_jt LARM_JOINT4_jt LARM_JOINT5_jt LHAND_JOINT0_jt LHAND_JOINT1_jt LHAND_JOINT2_jt LHAND_JOINT3_jt HEAD_JOINT1_Link_lk HEAD_JOINT0_Link_lk RHAND_JOINT1_Link_lk RHAND_JOINT0_Link_lk RHAND_JOINT3_Link_lk RHAND_JOINT2_Link_lk RARM_JOINT5_Link_lk RARM_JOINT4_Link_lk RARM_JOINT3_Link_lk RARM_JOINT2_Link_lk RARM_JOINT1_Link_lk RARM_JOINT0_Link_lk LHAND_JOINT1_Link_lk LHAND_JOINT0_Link_lk LHAND_JOINT3_Link_lk LHAND_JOINT2_Link_lk LARM_JOINT5_Link_lk LARM_JOINT4_Link_lk LARM_JOINT3_Link_lk LARM_JOINT2_Link_lk LARM_JOINT1_Link_lk LARM_JOINT0_Link_lk CHEST_JOINT0_Link_lk WAIST_lk rightarm-frame-tip rightarm_torso-frame-tip leftarm-frame-tip leftarm_torso-frame-tip head-frame-tip head_torso-frame-tip ))
(defmethod HiroNX-robot
  (:init
   (&rest args)
   (let ()
     (send-super* :init :name "HiroNX" args)

     ;; node id=v1.node3, name=HEAD_JOINT1_Link, sid=node3
     (let ( b_g1_3_geom0)
       ;; define bodyset-link for HEAD_JOINT1_Link : v1.node3
       (setq b_g1_3_geom0 (instance HiroNX_g1_3_geom0 :init))

       ;; writeTransform(name=b_g1_3_geom0,domNode=HEAD_JOINT1_Link,targetCount=1,parent=:world), translateCount=1, rotateCount=2, matrixCount=0
       (let ((localcds (make-coords)))
       (send b_g1_3_geom0 :transform localcds :world)
       )
       (setq HEAD_JOINT1_Link_lk
             (instance bodyset-link
                       :init (make-cascoords)
                       :bodies (list  b_g1_3_geom0)
                       :name "HEAD_JOINT1_Link"
                       :weight 80.859))
       (let ((tmp-c-list (list
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 1.000000 0.000000))))
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector 0.000 0.000 569.500) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 1.000000 0.000000))))
                          (make-coords :pos (float-vector 0.005 -16.678 16.315) :rot (matrix-exponent (scale 0.000000 (float-vector 1.000000 0.000000 0.000000))))
                          ))
             (tmp-c (make-coords)))
         (dolist (cc tmp-c-list)
           (setq tmp-c (send tmp-c :transform cc)))
         (setq (HEAD_JOINT1_Link_lk . inertia-tensor)
               (m* (send tmp-c :worldrot) (diagonal (float-vector 0.000 0.000 0.000)) (transpose (send tmp-c :worldrot))))
         (setq (HEAD_JOINT1_Link_lk . acentroid) (send tmp-c :worldpos))
        )

       ;; writeTransform(name=HEAD_JOINT1_Link_lk,domNode=HEAD_JOINT1_Link,targetCount=0,parent=:local), translateCount=1, rotateCount=2, matrixCount=0
       (send HEAD_JOINT1_Link_lk :transform
             (make-coords :pos (float-vector 0.000000 0.000000 0.000000)
                          :angle 0.000000 :axis (float-vector 0.000000 1.000000 0.000000)) :local)
       ;;1;
       )

     ;; node id=v1.node2, name=HEAD_JOINT0_Link, sid=node2
     (let ( b_g1_2_geom0)
       ;; define bodyset-link for HEAD_JOINT0_Link : v1.node2
       (setq b_g1_2_geom0 (instance HiroNX_g1_2_geom0 :init))

       ;; writeTransform(name=b_g1_2_geom0,domNode=HEAD_JOINT0_Link,targetCount=1,parent=:world), translateCount=1, rotateCount=2, matrixCount=0
       (let ((localcds (make-coords)))
       (send b_g1_2_geom0 :transform localcds :world)
       )
       (setq HEAD_JOINT0_Link_lk
             (instance bodyset-link
                       :init (make-cascoords)
                       :bodies (list  b_g1_2_geom0)
                       :name "HEAD_JOINT0_Link"
                       :weight 317.929))
       (let ((tmp-c-list (list
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 1.000000 0.000000))))
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector 0.000 0.000 569.500) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector -0.023 5.478 -7.840) :rot (matrix-exponent (scale 0.000000 (float-vector 1.000000 0.000000 0.000000))))
                          ))
             (tmp-c (make-coords)))
         (dolist (cc tmp-c-list)
           (setq tmp-c (send tmp-c :transform cc)))
         (setq (HEAD_JOINT0_Link_lk . inertia-tensor)
               (m* (send tmp-c :worldrot) (diagonal (float-vector 0.000 0.000 0.000)) (transpose (send tmp-c :worldrot))))
         (setq (HEAD_JOINT0_Link_lk . acentroid) (send tmp-c :worldpos))
        )

       ;; writeTransform(name=HEAD_JOINT0_Link_lk,domNode=HEAD_JOINT0_Link,targetCount=0,parent=:local), translateCount=1, rotateCount=2, matrixCount=0
       (send HEAD_JOINT0_Link_lk :transform
             (make-coords :pos (float-vector 0.000000 0.000000 569.500000)
                          :angle 0.000000 :axis (float-vector 0.000000 0.000000 1.000000)) :local)
       ;;1;

       ;; writeTransform(name=HEAD_JOINT1_Link_lk,domNode=HEAD_JOINT0_Link,targetCount=0,parent=:world), translateCount=1, rotateCount=2, matrixCount=0
       (let ((localcds (make-coords)))
       (send localcds :transform
             (make-coords :pos (float-vector 0.000000 0.000000 569.500000)
                          :angle 0.000000 :axis (float-vector 0.000000 0.000000 1.000000)) :local)
       (send HEAD_JOINT1_Link_lk :transform localcds :world)
       )
       ;;2;
       (send HEAD_JOINT0_Link_lk :assoc HEAD_JOINT1_Link_lk)
       )

     ;; node id=v1.node11, name=RHAND_JOINT1_Link, sid=node11
     (let ( b_g1_11_geom0)
       ;; define bodyset-link for RHAND_JOINT1_Link : v1.node11
       (setq b_g1_11_geom0 (instance HiroNX_g1_11_geom0 :init))

       ;; writeTransform(name=b_g1_11_geom0,domNode=RHAND_JOINT1_Link,targetCount=1,parent=:world), translateCount=1, rotateCount=2, matrixCount=0
       (let ((localcds (make-coords)))
       (send b_g1_11_geom0 :transform localcds :world)
       )
       (setq RHAND_JOINT1_Link_lk
             (instance bodyset-link
                       :init (make-cascoords)
                       :bodies (list  b_g1_11_geom0)
                       :name "RHAND_JOINT1_Link"
                       :weight 10.000))
       (let ((tmp-c-list (list
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 1.000000 0.000000))))
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector 0.000 -145.000 370.296) :rot (matrix-exponent (scale 0.261799 (float-vector 1.000000 0.000000 0.000000))))
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector 0.000 -95.000 -250.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector -30.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector 0.000 0.000 -235.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector -40.000 0.000 -90.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector -29.900 -33.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector -41.900 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 1.000000 0.000000 0.000000))))
                          ))
             (tmp-c (make-coords)))
         (dolist (cc tmp-c-list)
           (setq tmp-c (send tmp-c :transform cc)))
         (setq (RHAND_JOINT1_Link_lk . inertia-tensor)
               (m* (send tmp-c :worldrot) (diagonal (float-vector 0.000 0.000 0.000)) (transpose (send tmp-c :worldrot))))
         (setq (RHAND_JOINT1_Link_lk . acentroid) (send tmp-c :worldpos))
        )

       ;; writeTransform(name=RHAND_JOINT1_Link_lk,domNode=RHAND_JOINT1_Link,targetCount=0,parent=:local), translateCount=1, rotateCount=2, matrixCount=0
       (send RHAND_JOINT1_Link_lk :transform
             (make-coords :pos (float-vector -41.900000 0.000000 0.000000)
                          :angle 0.000000 :axis (float-vector 0.000000 0.000000 1.000000)) :local)
       ;;1;
       )

     ;; node id=v1.node10, name=RHAND_JOINT0_Link, sid=node10
     (let ( b_g1_10_geom0)
       ;; define bodyset-link for RHAND_JOINT0_Link : v1.node10
       (setq b_g1_10_geom0 (instance HiroNX_g1_10_geom0 :init))

       ;; writeTransform(name=b_g1_10_geom0,domNode=RHAND_JOINT0_Link,targetCount=1,parent=:world), translateCount=1, rotateCount=2, matrixCount=0
       (let ((localcds (make-coords)))
       (send b_g1_10_geom0 :transform localcds :world)
       )
       (setq RHAND_JOINT0_Link_lk
             (instance bodyset-link
                       :init (make-cascoords)
                       :bodies (list  b_g1_10_geom0)
                       :name "RHAND_JOINT0_Link"
                       :weight 10.000))
       (let ((tmp-c-list (list
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 1.000000 0.000000))))
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector 0.000 -145.000 370.296) :rot (matrix-exponent (scale 0.261799 (float-vector 1.000000 0.000000 0.000000))))
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector 0.000 -95.000 -250.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector -30.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector 0.000 0.000 -235.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector -40.000 0.000 -90.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector -29.900 -33.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 1.000000 0.000000 0.000000))))
                          ))
             (tmp-c (make-coords)))
         (dolist (cc tmp-c-list)
           (setq tmp-c (send tmp-c :transform cc)))
         (setq (RHAND_JOINT0_Link_lk . inertia-tensor)
               (m* (send tmp-c :worldrot) (diagonal (float-vector 0.000 0.000 0.000)) (transpose (send tmp-c :worldrot))))
         (setq (RHAND_JOINT0_Link_lk . acentroid) (send tmp-c :worldpos))
        )

       ;; writeTransform(name=RHAND_JOINT0_Link_lk,domNode=RHAND_JOINT0_Link,targetCount=0,parent=:local), translateCount=1, rotateCount=2, matrixCount=0
       (send RHAND_JOINT0_Link_lk :transform
             (make-coords :pos (float-vector -29.900000 -33.000000 0.000000)
                          :angle 0.000000 :axis (float-vector 0.000000 0.000000 1.000000)) :local)
       ;;1;

       ;; writeTransform(name=RHAND_JOINT1_Link_lk,domNode=RHAND_JOINT0_Link,targetCount=0,parent=:world), translateCount=1, rotateCount=2, matrixCount=0
       (let ((localcds (make-coords)))
       (send localcds :transform
             (make-coords :pos (float-vector -29.900000 -33.000000 0.000000)
                          :angle 0.000000 :axis (float-vector 0.000000 0.000000 1.000000)) :local)
       (send RHAND_JOINT1_Link_lk :transform localcds :world)
       )
       ;;2;
       (send RHAND_JOINT0_Link_lk :assoc RHAND_JOINT1_Link_lk)
       )

     ;; node id=v1.node13, name=RHAND_JOINT3_Link, sid=node13
     (let ( b_g1_13_geom0)
       ;; define bodyset-link for RHAND_JOINT3_Link : v1.node13
       (setq b_g1_13_geom0 (instance HiroNX_g1_13_geom0 :init))

       ;; writeTransform(name=b_g1_13_geom0,domNode=RHAND_JOINT3_Link,targetCount=1,parent=:world), translateCount=1, rotateCount=2, matrixCount=0
       (let ((localcds (make-coords)))
       (send b_g1_13_geom0 :transform localcds :world)
       )
       (setq RHAND_JOINT3_Link_lk
             (instance bodyset-link
                       :init (make-cascoords)
                       :bodies (list  b_g1_13_geom0)
                       :name "RHAND_JOINT3_Link"
                       :weight 10.000))
       (let ((tmp-c-list (list
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 1.000000 0.000000))))
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector 0.000 -145.000 370.296) :rot (matrix-exponent (scale 0.261799 (float-vector 1.000000 0.000000 0.000000))))
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector 0.000 -95.000 -250.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector -30.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector 0.000 0.000 -235.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector -40.000 0.000 -90.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector -29.900 33.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector -41.900 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 1.000000 0.000000 0.000000))))
                          ))
             (tmp-c (make-coords)))
         (dolist (cc tmp-c-list)
           (setq tmp-c (send tmp-c :transform cc)))
         (setq (RHAND_JOINT3_Link_lk . inertia-tensor)
               (m* (send tmp-c :worldrot) (diagonal (float-vector 0.000 0.000 0.000)) (transpose (send tmp-c :worldrot))))
         (setq (RHAND_JOINT3_Link_lk . acentroid) (send tmp-c :worldpos))
        )

       ;; writeTransform(name=RHAND_JOINT3_Link_lk,domNode=RHAND_JOINT3_Link,targetCount=0,parent=:local), translateCount=1, rotateCount=2, matrixCount=0
       (send RHAND_JOINT3_Link_lk :transform
             (make-coords :pos (float-vector -41.900000 0.000000 0.000000)
                          :angle 0.000000 :axis (float-vector 0.000000 0.000000 1.000000)) :local)
       ;;1;
       )

     ;; node id=v1.node12, name=RHAND_JOINT2_Link, sid=node12
     (let ( b_g1_12_geom0)
       ;; define bodyset-link for RHAND_JOINT2_Link : v1.node12
       (setq b_g1_12_geom0 (instance HiroNX_g1_12_geom0 :init))

       ;; writeTransform(name=b_g1_12_geom0,domNode=RHAND_JOINT2_Link,targetCount=1,parent=:world), translateCount=1, rotateCount=2, matrixCount=0
       (let ((localcds (make-coords)))
       (send b_g1_12_geom0 :transform localcds :world)
       )
       (setq RHAND_JOINT2_Link_lk
             (instance bodyset-link
                       :init (make-cascoords)
                       :bodies (list  b_g1_12_geom0)
                       :name "RHAND_JOINT2_Link"
                       :weight 10.000))
       (let ((tmp-c-list (list
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 1.000000 0.000000))))
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector 0.000 -145.000 370.296) :rot (matrix-exponent (scale 0.261799 (float-vector 1.000000 0.000000 0.000000))))
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector 0.000 -95.000 -250.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector -30.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector 0.000 0.000 -235.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector -40.000 0.000 -90.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector -29.900 33.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 1.000000 0.000000 0.000000))))
                          ))
             (tmp-c (make-coords)))
         (dolist (cc tmp-c-list)
           (setq tmp-c (send tmp-c :transform cc)))
         (setq (RHAND_JOINT2_Link_lk . inertia-tensor)
               (m* (send tmp-c :worldrot) (diagonal (float-vector 0.000 0.000 0.000)) (transpose (send tmp-c :worldrot))))
         (setq (RHAND_JOINT2_Link_lk . acentroid) (send tmp-c :worldpos))
        )

       ;; writeTransform(name=RHAND_JOINT2_Link_lk,domNode=RHAND_JOINT2_Link,targetCount=0,parent=:local), translateCount=1, rotateCount=2, matrixCount=0
       (send RHAND_JOINT2_Link_lk :transform
             (make-coords :pos (float-vector -29.900000 33.000000 0.000000)
                          :angle 0.000000 :axis (float-vector 0.000000 0.000000 1.000000)) :local)
       ;;1;

       ;; writeTransform(name=RHAND_JOINT3_Link_lk,domNode=RHAND_JOINT2_Link,targetCount=0,parent=:world), translateCount=1, rotateCount=2, matrixCount=0
       (let ((localcds (make-coords)))
       (send localcds :transform
             (make-coords :pos (float-vector -29.900000 33.000000 0.000000)
                          :angle 0.000000 :axis (float-vector 0.000000 0.000000 1.000000)) :local)
       (send RHAND_JOINT3_Link_lk :transform localcds :world)
       )
       ;;2;
       (send RHAND_JOINT2_Link_lk :assoc RHAND_JOINT3_Link_lk)
       )

     ;; node id=v1.node9, name=RARM_JOINT5_Link, sid=node9
     (let ( b_g1_9_geom0)
       ;; define bodyset-link for RARM_JOINT5_Link : v1.node9
       (setq b_g1_9_geom0 (instance HiroNX_g1_9_geom0 :init))

       ;; writeTransform(name=b_g1_9_geom0,domNode=RARM_JOINT5_Link,targetCount=1,parent=:world), translateCount=1, rotateCount=2, matrixCount=0
       (let ((localcds (make-coords)))
       (send b_g1_9_geom0 :transform localcds :world)
       )
       (setq RARM_JOINT5_Link_lk
             (instance bodyset-link
                       :init (make-cascoords)
                       :bodies (list  b_g1_9_geom0)
                       :name "RARM_JOINT5_Link"
                       :weight 1051.560))
       (let ((tmp-c-list (list
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 1.000000 0.000000))))
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector 0.000 -145.000 370.296) :rot (matrix-exponent (scale 0.261799 (float-vector 1.000000 0.000000 0.000000))))
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector 0.000 -95.000 -250.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector -30.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector 0.000 0.000 -235.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector -40.000 0.000 -90.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector -48.476 0.003 -38.899) :rot (matrix-exponent (scale 0.000000 (float-vector 1.000000 0.000000 0.000000))))
                          ))
             (tmp-c (make-coords)))
         (dolist (cc tmp-c-list)
           (setq tmp-c (send tmp-c :transform cc)))
         (setq (RARM_JOINT5_Link_lk . inertia-tensor)
               (m* (send tmp-c :worldrot) (diagonal (float-vector 0.000 0.000 0.000)) (transpose (send tmp-c :worldrot))))
         (setq (RARM_JOINT5_Link_lk . acentroid) (send tmp-c :worldpos))
        )

       ;; writeTransform(name=RARM_JOINT5_Link_lk,domNode=RARM_JOINT5_Link,targetCount=0,parent=:local), translateCount=1, rotateCount=2, matrixCount=0
       (send RARM_JOINT5_Link_lk :transform
             (make-coords :pos (float-vector -40.000000 0.000000 -90.000000)
                          :angle 0.000000 :axis (float-vector 0.000000 0.000000 1.000000)) :local)
       ;;1;

       ;; writeTransform(name=RHAND_JOINT0_Link_lk,domNode=RARM_JOINT5_Link,targetCount=0,parent=:world), translateCount=1, rotateCount=2, matrixCount=0
       (let ((localcds (make-coords)))
       (send localcds :transform
             (make-coords :pos (float-vector -40.000000 0.000000 -90.000000)
                          :angle 0.000000 :axis (float-vector 0.000000 0.000000 1.000000)) :local)
       (send RHAND_JOINT0_Link_lk :transform localcds :world)
       )
       ;;2;
       (send RARM_JOINT5_Link_lk :assoc RHAND_JOINT0_Link_lk)

       ;; writeTransform(name=RHAND_JOINT2_Link_lk,domNode=RARM_JOINT5_Link,targetCount=0,parent=:world), translateCount=1, rotateCount=2, matrixCount=0
       (let ((localcds (make-coords)))
       (send localcds :transform
             (make-coords :pos (float-vector -40.000000 0.000000 -90.000000)
                          :angle 0.000000 :axis (float-vector 0.000000 0.000000 1.000000)) :local)
       (send RHAND_JOINT2_Link_lk :transform localcds :world)
       )
       ;;2;
       (send RARM_JOINT5_Link_lk :assoc RHAND_JOINT2_Link_lk)
       )

     ;; node id=v1.node8, name=RARM_JOINT4_Link, sid=node8
     (let ( b_g1_8_geom0)
       ;; define bodyset-link for RARM_JOINT4_Link : v1.node8
       (setq b_g1_8_geom0 (instance HiroNX_g1_8_geom0 :init))

       ;; writeTransform(name=b_g1_8_geom0,domNode=RARM_JOINT4_Link,targetCount=1,parent=:world), translateCount=1, rotateCount=2, matrixCount=0
       (let ((localcds (make-coords)))
       (send b_g1_8_geom0 :transform localcds :world)
       )
       (setq RARM_JOINT4_Link_lk
             (instance bodyset-link
                       :init (make-cascoords)
                       :bodies (list  b_g1_8_geom0)
                       :name "RARM_JOINT4_Link"
                       :weight 418.434))
       (let ((tmp-c-list (list
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 1.000000 0.000000))))
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector 0.000 -145.000 370.296) :rot (matrix-exponent (scale 0.261799 (float-vector 1.000000 0.000000 0.000000))))
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector 0.000 -95.000 -250.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector -30.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector 0.000 0.000 -235.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector 2.431 -3.797 -57.704) :rot (matrix-exponent (scale 0.000000 (float-vector 1.000000 0.000000 0.000000))))
                          ))
             (tmp-c (make-coords)))
         (dolist (cc tmp-c-list)
           (setq tmp-c (send tmp-c :transform cc)))
         (setq (RARM_JOINT4_Link_lk . inertia-tensor)
               (m* (send tmp-c :worldrot) (diagonal (float-vector 0.000 0.000 0.000)) (transpose (send tmp-c :worldrot))))
         (setq (RARM_JOINT4_Link_lk . acentroid) (send tmp-c :worldpos))
        )

       ;; writeTransform(name=RARM_JOINT4_Link_lk,domNode=RARM_JOINT4_Link,targetCount=0,parent=:local), translateCount=1, rotateCount=2, matrixCount=0
       (send RARM_JOINT4_Link_lk :transform
             (make-coords :pos (float-vector 0.000000 0.000000 -235.000000)
                          :angle 0.000000 :axis (float-vector 0.000000 0.000000 1.000000)) :local)
       ;;1;

       ;; writeTransform(name=RARM_JOINT5_Link_lk,domNode=RARM_JOINT4_Link,targetCount=0,parent=:world), translateCount=1, rotateCount=2, matrixCount=0
       (let ((localcds (make-coords)))
       (send localcds :transform
             (make-coords :pos (float-vector 0.000000 0.000000 -235.000000)
                          :angle 0.000000 :axis (float-vector 0.000000 0.000000 1.000000)) :local)
       (send RARM_JOINT5_Link_lk :transform localcds :world)
       )
       ;;2;
       (send RARM_JOINT4_Link_lk :assoc RARM_JOINT5_Link_lk)
       )

     ;; node id=v1.node7, name=RARM_JOINT3_Link, sid=node7
     (let ( b_g1_7_geom0)
       ;; define bodyset-link for RARM_JOINT3_Link : v1.node7
       (setq b_g1_7_geom0 (instance HiroNX_g1_7_geom0 :init))

       ;; writeTransform(name=b_g1_7_geom0,domNode=RARM_JOINT3_Link,targetCount=1,parent=:world), translateCount=1, rotateCount=2, matrixCount=0
       (let ((localcds (make-coords)))
       (send b_g1_7_geom0 :transform localcds :world)
       )
       (setq RARM_JOINT3_Link_lk
             (instance bodyset-link
                       :init (make-cascoords)
                       :bodies (list  b_g1_7_geom0)
                       :name "RARM_JOINT3_Link"
                       :weight 457.418))
       (let ((tmp-c-list (list
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 1.000000 0.000000))))
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector 0.000 -145.000 370.296) :rot (matrix-exponent (scale 0.261799 (float-vector 1.000000 0.000000 0.000000))))
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector 0.000 -95.000 -250.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector -30.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector -0.018 3.958 -202.731) :rot (matrix-exponent (scale 0.000000 (float-vector 1.000000 0.000000 0.000000))))
                          ))
             (tmp-c (make-coords)))
         (dolist (cc tmp-c-list)
           (setq tmp-c (send tmp-c :transform cc)))
         (setq (RARM_JOINT3_Link_lk . inertia-tensor)
               (m* (send tmp-c :worldrot) (diagonal (float-vector 0.000 0.000 0.000)) (transpose (send tmp-c :worldrot))))
         (setq (RARM_JOINT3_Link_lk . acentroid) (send tmp-c :worldpos))
        )

       ;; writeTransform(name=RARM_JOINT3_Link_lk,domNode=RARM_JOINT3_Link,targetCount=0,parent=:local), translateCount=1, rotateCount=2, matrixCount=0
       (send RARM_JOINT3_Link_lk :transform
             (make-coords :pos (float-vector -30.000000 0.000000 0.000000)
                          :angle 0.000000 :axis (float-vector 0.000000 0.000000 1.000000)) :local)
       ;;1;

       ;; writeTransform(name=RARM_JOINT4_Link_lk,domNode=RARM_JOINT3_Link,targetCount=0,parent=:world), translateCount=1, rotateCount=2, matrixCount=0
       (let ((localcds (make-coords)))
       (send localcds :transform
             (make-coords :pos (float-vector -30.000000 0.000000 0.000000)
                          :angle 0.000000 :axis (float-vector 0.000000 0.000000 1.000000)) :local)
       (send RARM_JOINT4_Link_lk :transform localcds :world)
       )
       ;;2;
       (send RARM_JOINT3_Link_lk :assoc RARM_JOINT4_Link_lk)
       )

     ;; node id=v1.node6, name=RARM_JOINT2_Link, sid=node6
     (let ( b_g1_6_geom0)
       ;; define bodyset-link for RARM_JOINT2_Link : v1.node6
       (setq b_g1_6_geom0 (instance HiroNX_g1_6_geom0 :init))

       ;; writeTransform(name=b_g1_6_geom0,domNode=RARM_JOINT2_Link,targetCount=1,parent=:world), translateCount=1, rotateCount=2, matrixCount=0
       (let ((localcds (make-coords)))
       (send b_g1_6_geom0 :transform localcds :world)
       )
       (setq RARM_JOINT2_Link_lk
             (instance bodyset-link
                       :init (make-cascoords)
                       :bodies (list  b_g1_6_geom0)
                       :name "RARM_JOINT2_Link"
                       :weight 577.518))
       (let ((tmp-c-list (list
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 1.000000 0.000000))))
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector 0.000 -145.000 370.296) :rot (matrix-exponent (scale 0.261799 (float-vector 1.000000 0.000000 0.000000))))
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector 0.000 -95.000 -250.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector -0.023 -1.671 -71.512) :rot (matrix-exponent (scale 0.000000 (float-vector 1.000000 0.000000 0.000000))))
                          ))
             (tmp-c (make-coords)))
         (dolist (cc tmp-c-list)
           (setq tmp-c (send tmp-c :transform cc)))
         (setq (RARM_JOINT2_Link_lk . inertia-tensor)
               (m* (send tmp-c :worldrot) (diagonal (float-vector 0.000 0.000 0.000)) (transpose (send tmp-c :worldrot))))
         (setq (RARM_JOINT2_Link_lk . acentroid) (send tmp-c :worldpos))
        )

       ;; writeTransform(name=RARM_JOINT2_Link_lk,domNode=RARM_JOINT2_Link,targetCount=0,parent=:local), translateCount=1, rotateCount=2, matrixCount=0
       (send RARM_JOINT2_Link_lk :transform
             (make-coords :pos (float-vector 0.000000 -95.000000 -250.000000)
                          :angle 0.000000 :axis (float-vector 0.000000 0.000000 1.000000)) :local)
       ;;1;

       ;; writeTransform(name=RARM_JOINT3_Link_lk,domNode=RARM_JOINT2_Link,targetCount=0,parent=:world), translateCount=1, rotateCount=2, matrixCount=0
       (let ((localcds (make-coords)))
       (send localcds :transform
             (make-coords :pos (float-vector 0.000000 -95.000000 -250.000000)
                          :angle 0.000000 :axis (float-vector 0.000000 0.000000 1.000000)) :local)
       (send RARM_JOINT3_Link_lk :transform localcds :world)
       )
       ;;2;
       (send RARM_JOINT2_Link_lk :assoc RARM_JOINT3_Link_lk)
       )

     ;; node id=v1.node5, name=RARM_JOINT1_Link, sid=node5
     (let ( b_g1_5_geom0)
       ;; define bodyset-link for RARM_JOINT1_Link : v1.node5
       (setq b_g1_5_geom0 (instance HiroNX_g1_5_geom0 :init))

       ;; writeTransform(name=b_g1_5_geom0,domNode=RARM_JOINT1_Link,targetCount=1,parent=:world), translateCount=1, rotateCount=2, matrixCount=0
       (let ((localcds (make-coords)))
       (send b_g1_5_geom0 :transform localcds :world)
       )
       (setq RARM_JOINT1_Link_lk
             (instance bodyset-link
                       :init (make-cascoords)
                       :bodies (list  b_g1_5_geom0)
                       :name "RARM_JOINT1_Link"
                       :weight 1148.980))
       (let ((tmp-c-list (list
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 1.000000 0.000000))))
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector 0.000 -145.000 370.296) :rot (matrix-exponent (scale 0.261799 (float-vector 1.000000 0.000000 0.000000))))
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector -0.052 -58.313 -107.061) :rot (matrix-exponent (scale 0.000000 (float-vector 1.000000 0.000000 0.000000))))
                          ))
             (tmp-c (make-coords)))
         (dolist (cc tmp-c-list)
           (setq tmp-c (send tmp-c :transform cc)))
         (setq (RARM_JOINT1_Link_lk . inertia-tensor)
               (m* (send tmp-c :worldrot) (diagonal (float-vector 0.000 0.000 0.000)) (transpose (send tmp-c :worldrot))))
         (setq (RARM_JOINT1_Link_lk . acentroid) (send tmp-c :worldpos))
        )

       ;; writeTransform(name=RARM_JOINT1_Link_lk,domNode=RARM_JOINT1_Link,targetCount=0,parent=:local), translateCount=1, rotateCount=2, matrixCount=0
       (send RARM_JOINT1_Link_lk :transform
             (make-coords :pos (float-vector 0.000000 0.000000 0.000000)
                          :angle 0.000000 :axis (float-vector 0.000000 0.000000 1.000000)) :local)
       ;;1;

       ;; writeTransform(name=RARM_JOINT2_Link_lk,domNode=RARM_JOINT1_Link,targetCount=0,parent=:world), translateCount=1, rotateCount=2, matrixCount=0
       (let ((localcds (make-coords)))
       (send localcds :transform
             (make-coords :pos (float-vector 0.000000 0.000000 0.000000)
                          :angle 0.000000 :axis (float-vector 0.000000 0.000000 1.000000)) :local)
       (send RARM_JOINT2_Link_lk :transform localcds :world)
       )
       ;;2;
       (send RARM_JOINT1_Link_lk :assoc RARM_JOINT2_Link_lk)
       )

     ;; node id=v1.node4, name=RARM_JOINT0_Link, sid=node4
     (let ( b_g1_4_geom0)
       ;; define bodyset-link for RARM_JOINT0_Link : v1.node4
       (setq b_g1_4_geom0 (instance HiroNX_g1_4_geom0 :init))

       ;; writeTransform(name=b_g1_4_geom0,domNode=RARM_JOINT0_Link,targetCount=1,parent=:world), translateCount=1, rotateCount=2, matrixCount=0
       (let ((localcds (make-coords)))
       (send b_g1_4_geom0 :transform localcds :world)
       )
       (setq RARM_JOINT0_Link_lk
             (instance bodyset-link
                       :init (make-cascoords)
                       :bodies (list  b_g1_4_geom0)
                       :name "RARM_JOINT0_Link"
                       :weight 1326.260))
       (let ((tmp-c-list (list
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 1.000000 0.000000))))
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector 0.000 -145.000 370.296) :rot (matrix-exponent (scale 0.261799 (float-vector 1.000000 0.000000 0.000000))))
                          (make-coords :pos (float-vector -2.264 5.214 15.608) :rot (matrix-exponent (scale 0.000000 (float-vector 1.000000 0.000000 0.000000))))
                          ))
             (tmp-c (make-coords)))
         (dolist (cc tmp-c-list)
           (setq tmp-c (send tmp-c :transform cc)))
         (setq (RARM_JOINT0_Link_lk . inertia-tensor)
               (m* (send tmp-c :worldrot) (diagonal (float-vector 0.000 0.000 0.000)) (transpose (send tmp-c :worldrot))))
         (setq (RARM_JOINT0_Link_lk . acentroid) (send tmp-c :worldpos))
        )

       ;; writeTransform(name=RARM_JOINT0_Link_lk,domNode=RARM_JOINT0_Link,targetCount=0,parent=:local), translateCount=1, rotateCount=2, matrixCount=0
       (send RARM_JOINT0_Link_lk :transform
             (make-coords :pos (float-vector 0.000000 -145.000000 370.296000)
                          :angle 0.261799 :axis (float-vector 1.000000 0.000000 0.000000)) :local)
       ;;1;

       ;; writeTransform(name=RARM_JOINT1_Link_lk,domNode=RARM_JOINT0_Link,targetCount=0,parent=:world), translateCount=1, rotateCount=2, matrixCount=0
       (let ((localcds (make-coords)))
       (send localcds :transform
             (make-coords :pos (float-vector 0.000000 -145.000000 370.296000)
                          :angle 0.261799 :axis (float-vector 1.000000 0.000000 0.000000)) :local)
       (send RARM_JOINT1_Link_lk :transform localcds :world)
       )
       ;;2;
       (send RARM_JOINT0_Link_lk :assoc RARM_JOINT1_Link_lk)
       )

     ;; node id=v1.node21, name=LHAND_JOINT1_Link, sid=node21
     (let ( b_g1_21_geom0)
       ;; define bodyset-link for LHAND_JOINT1_Link : v1.node21
       (setq b_g1_21_geom0 (instance HiroNX_g1_21_geom0 :init))

       ;; writeTransform(name=b_g1_21_geom0,domNode=LHAND_JOINT1_Link,targetCount=1,parent=:world), translateCount=1, rotateCount=2, matrixCount=0
       (let ((localcds (make-coords)))
       (send b_g1_21_geom0 :transform localcds :world)
       )
       (setq LHAND_JOINT1_Link_lk
             (instance bodyset-link
                       :init (make-cascoords)
                       :bodies (list  b_g1_21_geom0)
                       :name "LHAND_JOINT1_Link"
                       :weight 10.000))
       (let ((tmp-c-list (list
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 1.000000 0.000000))))
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector 0.000 145.000 370.296) :rot (matrix-exponent (scale -0.261799 (float-vector 1.000000 0.000000 0.000000))))
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector 0.000 95.000 -250.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector -30.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector 0.000 0.000 -235.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector -40.000 0.000 -90.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector -29.900 -33.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector -41.900 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 1.000000 0.000000 0.000000))))
                          ))
             (tmp-c (make-coords)))
         (dolist (cc tmp-c-list)
           (setq tmp-c (send tmp-c :transform cc)))
         (setq (LHAND_JOINT1_Link_lk . inertia-tensor)
               (m* (send tmp-c :worldrot) (diagonal (float-vector 0.000 0.000 0.000)) (transpose (send tmp-c :worldrot))))
         (setq (LHAND_JOINT1_Link_lk . acentroid) (send tmp-c :worldpos))
        )

       ;; writeTransform(name=LHAND_JOINT1_Link_lk,domNode=LHAND_JOINT1_Link,targetCount=0,parent=:local), translateCount=1, rotateCount=2, matrixCount=0
       (send LHAND_JOINT1_Link_lk :transform
             (make-coords :pos (float-vector -41.900000 0.000000 0.000000)
                          :angle 0.000000 :axis (float-vector 0.000000 0.000000 1.000000)) :local)
       ;;1;
       )

     ;; node id=v1.node20, name=LHAND_JOINT0_Link, sid=node20
     (let ( b_g1_20_geom0)
       ;; define bodyset-link for LHAND_JOINT0_Link : v1.node20
       (setq b_g1_20_geom0 (instance HiroNX_g1_20_geom0 :init))

       ;; writeTransform(name=b_g1_20_geom0,domNode=LHAND_JOINT0_Link,targetCount=1,parent=:world), translateCount=1, rotateCount=2, matrixCount=0
       (let ((localcds (make-coords)))
       (send b_g1_20_geom0 :transform localcds :world)
       )
       (setq LHAND_JOINT0_Link_lk
             (instance bodyset-link
                       :init (make-cascoords)
                       :bodies (list  b_g1_20_geom0)
                       :name "LHAND_JOINT0_Link"
                       :weight 10.000))
       (let ((tmp-c-list (list
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 1.000000 0.000000))))
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector 0.000 145.000 370.296) :rot (matrix-exponent (scale -0.261799 (float-vector 1.000000 0.000000 0.000000))))
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector 0.000 95.000 -250.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector -30.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector 0.000 0.000 -235.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector -40.000 0.000 -90.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector -29.900 -33.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 1.000000 0.000000 0.000000))))
                          ))
             (tmp-c (make-coords)))
         (dolist (cc tmp-c-list)
           (setq tmp-c (send tmp-c :transform cc)))
         (setq (LHAND_JOINT0_Link_lk . inertia-tensor)
               (m* (send tmp-c :worldrot) (diagonal (float-vector 0.000 0.000 0.000)) (transpose (send tmp-c :worldrot))))
         (setq (LHAND_JOINT0_Link_lk . acentroid) (send tmp-c :worldpos))
        )

       ;; writeTransform(name=LHAND_JOINT0_Link_lk,domNode=LHAND_JOINT0_Link,targetCount=0,parent=:local), translateCount=1, rotateCount=2, matrixCount=0
       (send LHAND_JOINT0_Link_lk :transform
             (make-coords :pos (float-vector -29.900000 -33.000000 0.000000)
                          :angle 0.000000 :axis (float-vector 0.000000 0.000000 1.000000)) :local)
       ;;1;

       ;; writeTransform(name=LHAND_JOINT1_Link_lk,domNode=LHAND_JOINT0_Link,targetCount=0,parent=:world), translateCount=1, rotateCount=2, matrixCount=0
       (let ((localcds (make-coords)))
       (send localcds :transform
             (make-coords :pos (float-vector -29.900000 -33.000000 0.000000)
                          :angle 0.000000 :axis (float-vector 0.000000 0.000000 1.000000)) :local)
       (send LHAND_JOINT1_Link_lk :transform localcds :world)
       )
       ;;2;
       (send LHAND_JOINT0_Link_lk :assoc LHAND_JOINT1_Link_lk)
       )

     ;; node id=v1.node23, name=LHAND_JOINT3_Link, sid=node23
     (let ( b_g1_23_geom0)
       ;; define bodyset-link for LHAND_JOINT3_Link : v1.node23
       (setq b_g1_23_geom0 (instance HiroNX_g1_23_geom0 :init))

       ;; writeTransform(name=b_g1_23_geom0,domNode=LHAND_JOINT3_Link,targetCount=1,parent=:world), translateCount=1, rotateCount=2, matrixCount=0
       (let ((localcds (make-coords)))
       (send b_g1_23_geom0 :transform localcds :world)
       )
       (setq LHAND_JOINT3_Link_lk
             (instance bodyset-link
                       :init (make-cascoords)
                       :bodies (list  b_g1_23_geom0)
                       :name "LHAND_JOINT3_Link"
                       :weight 10.000))
       (let ((tmp-c-list (list
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 1.000000 0.000000))))
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector 0.000 145.000 370.296) :rot (matrix-exponent (scale -0.261799 (float-vector 1.000000 0.000000 0.000000))))
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector 0.000 95.000 -250.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector -30.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector 0.000 0.000 -235.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector -40.000 0.000 -90.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector -29.900 33.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector -41.900 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 1.000000 0.000000 0.000000))))
                          ))
             (tmp-c (make-coords)))
         (dolist (cc tmp-c-list)
           (setq tmp-c (send tmp-c :transform cc)))
         (setq (LHAND_JOINT3_Link_lk . inertia-tensor)
               (m* (send tmp-c :worldrot) (diagonal (float-vector 0.000 0.000 0.000)) (transpose (send tmp-c :worldrot))))
         (setq (LHAND_JOINT3_Link_lk . acentroid) (send tmp-c :worldpos))
        )

       ;; writeTransform(name=LHAND_JOINT3_Link_lk,domNode=LHAND_JOINT3_Link,targetCount=0,parent=:local), translateCount=1, rotateCount=2, matrixCount=0
       (send LHAND_JOINT3_Link_lk :transform
             (make-coords :pos (float-vector -41.900000 0.000000 0.000000)
                          :angle 0.000000 :axis (float-vector 0.000000 0.000000 1.000000)) :local)
       ;;1;
       )

     ;; node id=v1.node22, name=LHAND_JOINT2_Link, sid=node22
     (let ( b_g1_22_geom0)
       ;; define bodyset-link for LHAND_JOINT2_Link : v1.node22
       (setq b_g1_22_geom0 (instance HiroNX_g1_22_geom0 :init))

       ;; writeTransform(name=b_g1_22_geom0,domNode=LHAND_JOINT2_Link,targetCount=1,parent=:world), translateCount=1, rotateCount=2, matrixCount=0
       (let ((localcds (make-coords)))
       (send b_g1_22_geom0 :transform localcds :world)
       )
       (setq LHAND_JOINT2_Link_lk
             (instance bodyset-link
                       :init (make-cascoords)
                       :bodies (list  b_g1_22_geom0)
                       :name "LHAND_JOINT2_Link"
                       :weight 10.000))
       (let ((tmp-c-list (list
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 1.000000 0.000000))))
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector 0.000 145.000 370.296) :rot (matrix-exponent (scale -0.261799 (float-vector 1.000000 0.000000 0.000000))))
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector 0.000 95.000 -250.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector -30.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector 0.000 0.000 -235.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector -40.000 0.000 -90.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector -29.900 33.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 1.000000 0.000000 0.000000))))
                          ))
             (tmp-c (make-coords)))
         (dolist (cc tmp-c-list)
           (setq tmp-c (send tmp-c :transform cc)))
         (setq (LHAND_JOINT2_Link_lk . inertia-tensor)
               (m* (send tmp-c :worldrot) (diagonal (float-vector 0.000 0.000 0.000)) (transpose (send tmp-c :worldrot))))
         (setq (LHAND_JOINT2_Link_lk . acentroid) (send tmp-c :worldpos))
        )

       ;; writeTransform(name=LHAND_JOINT2_Link_lk,domNode=LHAND_JOINT2_Link,targetCount=0,parent=:local), translateCount=1, rotateCount=2, matrixCount=0
       (send LHAND_JOINT2_Link_lk :transform
             (make-coords :pos (float-vector -29.900000 33.000000 0.000000)
                          :angle 0.000000 :axis (float-vector 0.000000 0.000000 1.000000)) :local)
       ;;1;

       ;; writeTransform(name=LHAND_JOINT3_Link_lk,domNode=LHAND_JOINT2_Link,targetCount=0,parent=:world), translateCount=1, rotateCount=2, matrixCount=0
       (let ((localcds (make-coords)))
       (send localcds :transform
             (make-coords :pos (float-vector -29.900000 33.000000 0.000000)
                          :angle 0.000000 :axis (float-vector 0.000000 0.000000 1.000000)) :local)
       (send LHAND_JOINT3_Link_lk :transform localcds :world)
       )
       ;;2;
       (send LHAND_JOINT2_Link_lk :assoc LHAND_JOINT3_Link_lk)
       )

     ;; node id=v1.node19, name=LARM_JOINT5_Link, sid=node19
     (let ( b_g1_19_geom0)
       ;; define bodyset-link for LARM_JOINT5_Link : v1.node19
       (setq b_g1_19_geom0 (instance HiroNX_g1_19_geom0 :init))

       ;; writeTransform(name=b_g1_19_geom0,domNode=LARM_JOINT5_Link,targetCount=1,parent=:world), translateCount=1, rotateCount=2, matrixCount=0
       (let ((localcds (make-coords)))
       (send b_g1_19_geom0 :transform localcds :world)
       )
       (setq LARM_JOINT5_Link_lk
             (instance bodyset-link
                       :init (make-cascoords)
                       :bodies (list  b_g1_19_geom0)
                       :name "LARM_JOINT5_Link"
                       :weight 1051.560))
       (let ((tmp-c-list (list
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 1.000000 0.000000))))
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector 0.000 145.000 370.296) :rot (matrix-exponent (scale -0.261799 (float-vector 1.000000 0.000000 0.000000))))
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector 0.000 95.000 -250.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector -30.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector 0.000 0.000 -235.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector -40.000 0.000 -90.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector -48.476 -0.003 -38.899) :rot (matrix-exponent (scale 0.000000 (float-vector 1.000000 0.000000 0.000000))))
                          ))
             (tmp-c (make-coords)))
         (dolist (cc tmp-c-list)
           (setq tmp-c (send tmp-c :transform cc)))
         (setq (LARM_JOINT5_Link_lk . inertia-tensor)
               (m* (send tmp-c :worldrot) (diagonal (float-vector 0.000 0.000 0.000)) (transpose (send tmp-c :worldrot))))
         (setq (LARM_JOINT5_Link_lk . acentroid) (send tmp-c :worldpos))
        )

       ;; writeTransform(name=LARM_JOINT5_Link_lk,domNode=LARM_JOINT5_Link,targetCount=0,parent=:local), translateCount=1, rotateCount=2, matrixCount=0
       (send LARM_JOINT5_Link_lk :transform
             (make-coords :pos (float-vector -40.000000 0.000000 -90.000000)
                          :angle 0.000000 :axis (float-vector 0.000000 0.000000 1.000000)) :local)
       ;;1;

       ;; writeTransform(name=LHAND_JOINT0_Link_lk,domNode=LARM_JOINT5_Link,targetCount=0,parent=:world), translateCount=1, rotateCount=2, matrixCount=0
       (let ((localcds (make-coords)))
       (send localcds :transform
             (make-coords :pos (float-vector -40.000000 0.000000 -90.000000)
                          :angle 0.000000 :axis (float-vector 0.000000 0.000000 1.000000)) :local)
       (send LHAND_JOINT0_Link_lk :transform localcds :world)
       )
       ;;2;
       (send LARM_JOINT5_Link_lk :assoc LHAND_JOINT0_Link_lk)

       ;; writeTransform(name=LHAND_JOINT2_Link_lk,domNode=LARM_JOINT5_Link,targetCount=0,parent=:world), translateCount=1, rotateCount=2, matrixCount=0
       (let ((localcds (make-coords)))
       (send localcds :transform
             (make-coords :pos (float-vector -40.000000 0.000000 -90.000000)
                          :angle 0.000000 :axis (float-vector 0.000000 0.000000 1.000000)) :local)
       (send LHAND_JOINT2_Link_lk :transform localcds :world)
       )
       ;;2;
       (send LARM_JOINT5_Link_lk :assoc LHAND_JOINT2_Link_lk)
       )

     ;; node id=v1.node18, name=LARM_JOINT4_Link, sid=node18
     (let ( b_g1_18_geom0)
       ;; define bodyset-link for LARM_JOINT4_Link : v1.node18
       (setq b_g1_18_geom0 (instance HiroNX_g1_18_geom0 :init))

       ;; writeTransform(name=b_g1_18_geom0,domNode=LARM_JOINT4_Link,targetCount=1,parent=:world), translateCount=1, rotateCount=2, matrixCount=0
       (let ((localcds (make-coords)))
       (send b_g1_18_geom0 :transform localcds :world)
       )
       (setq LARM_JOINT4_Link_lk
             (instance bodyset-link
                       :init (make-cascoords)
                       :bodies (list  b_g1_18_geom0)
                       :name "LARM_JOINT4_Link"
                       :weight 418.434))
       (let ((tmp-c-list (list
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 1.000000 0.000000))))
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector 0.000 145.000 370.296) :rot (matrix-exponent (scale -0.261799 (float-vector 1.000000 0.000000 0.000000))))
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector 0.000 95.000 -250.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector -30.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector 0.000 0.000 -235.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector 2.431 3.797 -57.704) :rot (matrix-exponent (scale 0.000000 (float-vector 1.000000 0.000000 0.000000))))
                          ))
             (tmp-c (make-coords)))
         (dolist (cc tmp-c-list)
           (setq tmp-c (send tmp-c :transform cc)))
         (setq (LARM_JOINT4_Link_lk . inertia-tensor)
               (m* (send tmp-c :worldrot) (diagonal (float-vector 0.000 0.000 0.000)) (transpose (send tmp-c :worldrot))))
         (setq (LARM_JOINT4_Link_lk . acentroid) (send tmp-c :worldpos))
        )

       ;; writeTransform(name=LARM_JOINT4_Link_lk,domNode=LARM_JOINT4_Link,targetCount=0,parent=:local), translateCount=1, rotateCount=2, matrixCount=0
       (send LARM_JOINT4_Link_lk :transform
             (make-coords :pos (float-vector 0.000000 0.000000 -235.000000)
                          :angle 0.000000 :axis (float-vector 0.000000 0.000000 1.000000)) :local)
       ;;1;

       ;; writeTransform(name=LARM_JOINT5_Link_lk,domNode=LARM_JOINT4_Link,targetCount=0,parent=:world), translateCount=1, rotateCount=2, matrixCount=0
       (let ((localcds (make-coords)))
       (send localcds :transform
             (make-coords :pos (float-vector 0.000000 0.000000 -235.000000)
                          :angle 0.000000 :axis (float-vector 0.000000 0.000000 1.000000)) :local)
       (send LARM_JOINT5_Link_lk :transform localcds :world)
       )
       ;;2;
       (send LARM_JOINT4_Link_lk :assoc LARM_JOINT5_Link_lk)
       )

     ;; node id=v1.node17, name=LARM_JOINT3_Link, sid=node17
     (let ( b_g1_17_geom0)
       ;; define bodyset-link for LARM_JOINT3_Link : v1.node17
       (setq b_g1_17_geom0 (instance HiroNX_g1_17_geom0 :init))

       ;; writeTransform(name=b_g1_17_geom0,domNode=LARM_JOINT3_Link,targetCount=1,parent=:world), translateCount=1, rotateCount=2, matrixCount=0
       (let ((localcds (make-coords)))
       (send b_g1_17_geom0 :transform localcds :world)
       )
       (setq LARM_JOINT3_Link_lk
             (instance bodyset-link
                       :init (make-cascoords)
                       :bodies (list  b_g1_17_geom0)
                       :name "LARM_JOINT3_Link"
                       :weight 457.418))
       (let ((tmp-c-list (list
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 1.000000 0.000000))))
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector 0.000 145.000 370.296) :rot (matrix-exponent (scale -0.261799 (float-vector 1.000000 0.000000 0.000000))))
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector 0.000 95.000 -250.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector -30.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector -0.018 -3.958 -202.731) :rot (matrix-exponent (scale 0.000000 (float-vector 1.000000 0.000000 0.000000))))
                          ))
             (tmp-c (make-coords)))
         (dolist (cc tmp-c-list)
           (setq tmp-c (send tmp-c :transform cc)))
         (setq (LARM_JOINT3_Link_lk . inertia-tensor)
               (m* (send tmp-c :worldrot) (diagonal (float-vector 0.000 0.000 0.000)) (transpose (send tmp-c :worldrot))))
         (setq (LARM_JOINT3_Link_lk . acentroid) (send tmp-c :worldpos))
        )

       ;; writeTransform(name=LARM_JOINT3_Link_lk,domNode=LARM_JOINT3_Link,targetCount=0,parent=:local), translateCount=1, rotateCount=2, matrixCount=0
       (send LARM_JOINT3_Link_lk :transform
             (make-coords :pos (float-vector -30.000000 0.000000 0.000000)
                          :angle 0.000000 :axis (float-vector 0.000000 0.000000 1.000000)) :local)
       ;;1;

       ;; writeTransform(name=LARM_JOINT4_Link_lk,domNode=LARM_JOINT3_Link,targetCount=0,parent=:world), translateCount=1, rotateCount=2, matrixCount=0
       (let ((localcds (make-coords)))
       (send localcds :transform
             (make-coords :pos (float-vector -30.000000 0.000000 0.000000)
                          :angle 0.000000 :axis (float-vector 0.000000 0.000000 1.000000)) :local)
       (send LARM_JOINT4_Link_lk :transform localcds :world)
       )
       ;;2;
       (send LARM_JOINT3_Link_lk :assoc LARM_JOINT4_Link_lk)
       )

     ;; node id=v1.node16, name=LARM_JOINT2_Link, sid=node16
     (let ( b_g1_16_geom0)
       ;; define bodyset-link for LARM_JOINT2_Link : v1.node16
       (setq b_g1_16_geom0 (instance HiroNX_g1_16_geom0 :init))

       ;; writeTransform(name=b_g1_16_geom0,domNode=LARM_JOINT2_Link,targetCount=1,parent=:world), translateCount=1, rotateCount=2, matrixCount=0
       (let ((localcds (make-coords)))
       (send b_g1_16_geom0 :transform localcds :world)
       )
       (setq LARM_JOINT2_Link_lk
             (instance bodyset-link
                       :init (make-cascoords)
                       :bodies (list  b_g1_16_geom0)
                       :name "LARM_JOINT2_Link"
                       :weight 577.518))
       (let ((tmp-c-list (list
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 1.000000 0.000000))))
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector 0.000 145.000 370.296) :rot (matrix-exponent (scale -0.261799 (float-vector 1.000000 0.000000 0.000000))))
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector 0.000 95.000 -250.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector -0.023 1.671 -71.512) :rot (matrix-exponent (scale 0.000000 (float-vector 1.000000 0.000000 0.000000))))
                          ))
             (tmp-c (make-coords)))
         (dolist (cc tmp-c-list)
           (setq tmp-c (send tmp-c :transform cc)))
         (setq (LARM_JOINT2_Link_lk . inertia-tensor)
               (m* (send tmp-c :worldrot) (diagonal (float-vector 0.000 0.000 0.000)) (transpose (send tmp-c :worldrot))))
         (setq (LARM_JOINT2_Link_lk . acentroid) (send tmp-c :worldpos))
        )

       ;; writeTransform(name=LARM_JOINT2_Link_lk,domNode=LARM_JOINT2_Link,targetCount=0,parent=:local), translateCount=1, rotateCount=2, matrixCount=0
       (send LARM_JOINT2_Link_lk :transform
             (make-coords :pos (float-vector 0.000000 95.000000 -250.000000)
                          :angle 0.000000 :axis (float-vector 0.000000 0.000000 1.000000)) :local)
       ;;1;

       ;; writeTransform(name=LARM_JOINT3_Link_lk,domNode=LARM_JOINT2_Link,targetCount=0,parent=:world), translateCount=1, rotateCount=2, matrixCount=0
       (let ((localcds (make-coords)))
       (send localcds :transform
             (make-coords :pos (float-vector 0.000000 95.000000 -250.000000)
                          :angle 0.000000 :axis (float-vector 0.000000 0.000000 1.000000)) :local)
       (send LARM_JOINT3_Link_lk :transform localcds :world)
       )
       ;;2;
       (send LARM_JOINT2_Link_lk :assoc LARM_JOINT3_Link_lk)
       )

     ;; node id=v1.node15, name=LARM_JOINT1_Link, sid=node15
     (let ( b_g1_15_geom0)
       ;; define bodyset-link for LARM_JOINT1_Link : v1.node15
       (setq b_g1_15_geom0 (instance HiroNX_g1_15_geom0 :init))

       ;; writeTransform(name=b_g1_15_geom0,domNode=LARM_JOINT1_Link,targetCount=1,parent=:world), translateCount=1, rotateCount=2, matrixCount=0
       (let ((localcds (make-coords)))
       (send b_g1_15_geom0 :transform localcds :world)
       )
       (setq LARM_JOINT1_Link_lk
             (instance bodyset-link
                       :init (make-cascoords)
                       :bodies (list  b_g1_15_geom0)
                       :name "LARM_JOINT1_Link"
                       :weight 1148.980))
       (let ((tmp-c-list (list
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 1.000000 0.000000))))
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector 0.000 145.000 370.296) :rot (matrix-exponent (scale -0.261799 (float-vector 1.000000 0.000000 0.000000))))
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector -0.052 58.313 -107.061) :rot (matrix-exponent (scale 0.000000 (float-vector 1.000000 0.000000 0.000000))))
                          ))
             (tmp-c (make-coords)))
         (dolist (cc tmp-c-list)
           (setq tmp-c (send tmp-c :transform cc)))
         (setq (LARM_JOINT1_Link_lk . inertia-tensor)
               (m* (send tmp-c :worldrot) (diagonal (float-vector 0.000 0.000 0.000)) (transpose (send tmp-c :worldrot))))
         (setq (LARM_JOINT1_Link_lk . acentroid) (send tmp-c :worldpos))
        )

       ;; writeTransform(name=LARM_JOINT1_Link_lk,domNode=LARM_JOINT1_Link,targetCount=0,parent=:local), translateCount=1, rotateCount=2, matrixCount=0
       (send LARM_JOINT1_Link_lk :transform
             (make-coords :pos (float-vector 0.000000 0.000000 0.000000)
                          :angle 0.000000 :axis (float-vector 0.000000 0.000000 1.000000)) :local)
       ;;1;

       ;; writeTransform(name=LARM_JOINT2_Link_lk,domNode=LARM_JOINT1_Link,targetCount=0,parent=:world), translateCount=1, rotateCount=2, matrixCount=0
       (let ((localcds (make-coords)))
       (send localcds :transform
             (make-coords :pos (float-vector 0.000000 0.000000 0.000000)
                          :angle 0.000000 :axis (float-vector 0.000000 0.000000 1.000000)) :local)
       (send LARM_JOINT2_Link_lk :transform localcds :world)
       )
       ;;2;
       (send LARM_JOINT1_Link_lk :assoc LARM_JOINT2_Link_lk)
       )

     ;; node id=v1.node14, name=LARM_JOINT0_Link, sid=node14
     (let ( b_g1_14_geom0)
       ;; define bodyset-link for LARM_JOINT0_Link : v1.node14
       (setq b_g1_14_geom0 (instance HiroNX_g1_14_geom0 :init))

       ;; writeTransform(name=b_g1_14_geom0,domNode=LARM_JOINT0_Link,targetCount=1,parent=:world), translateCount=1, rotateCount=2, matrixCount=0
       (let ((localcds (make-coords)))
       (send b_g1_14_geom0 :transform localcds :world)
       )
       (setq LARM_JOINT0_Link_lk
             (instance bodyset-link
                       :init (make-cascoords)
                       :bodies (list  b_g1_14_geom0)
                       :name "LARM_JOINT0_Link"
                       :weight 1326.260))
       (let ((tmp-c-list (list
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 1.000000 0.000000))))
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector 0.000 145.000 370.296) :rot (matrix-exponent (scale -0.261799 (float-vector 1.000000 0.000000 0.000000))))
                          (make-coords :pos (float-vector -2.264 -5.214 15.608) :rot (matrix-exponent (scale 0.000000 (float-vector 1.000000 0.000000 0.000000))))
                          ))
             (tmp-c (make-coords)))
         (dolist (cc tmp-c-list)
           (setq tmp-c (send tmp-c :transform cc)))
         (setq (LARM_JOINT0_Link_lk . inertia-tensor)
               (m* (send tmp-c :worldrot) (diagonal (float-vector 0.000 0.000 0.000)) (transpose (send tmp-c :worldrot))))
         (setq (LARM_JOINT0_Link_lk . acentroid) (send tmp-c :worldpos))
        )

       ;; writeTransform(name=LARM_JOINT0_Link_lk,domNode=LARM_JOINT0_Link,targetCount=0,parent=:local), translateCount=1, rotateCount=2, matrixCount=0
       (send LARM_JOINT0_Link_lk :transform
             (make-coords :pos (float-vector 0.000000 145.000000 370.296000)
                          :angle -0.261799 :axis (float-vector 1.000000 0.000000 0.000000)) :local)
       ;;1;

       ;; writeTransform(name=LARM_JOINT1_Link_lk,domNode=LARM_JOINT0_Link,targetCount=0,parent=:world), translateCount=1, rotateCount=2, matrixCount=0
       (let ((localcds (make-coords)))
       (send localcds :transform
             (make-coords :pos (float-vector 0.000000 145.000000 370.296000)
                          :angle -0.261799 :axis (float-vector 1.000000 0.000000 0.000000)) :local)
       (send LARM_JOINT1_Link_lk :transform localcds :world)
       )
       ;;2;
       (send LARM_JOINT0_Link_lk :assoc LARM_JOINT1_Link_lk)
       )

     ;; node id=v1.node1, name=CHEST_JOINT0_Link, sid=node1
     (let ( b_g1_1_geom0 b_g1_1_geom1)
       ;; define bodyset-link for CHEST_JOINT0_Link : v1.node1
       (setq b_g1_1_geom0 (instance HiroNX_g1_1_geom0 :init))

       ;; writeTransform(name=b_g1_1_geom0,domNode=CHEST_JOINT0_Link,targetCount=1,parent=:world), translateCount=1, rotateCount=2, matrixCount=0
       (let ((localcds (make-coords)))
       (send b_g1_1_geom0 :transform localcds :world)
       )
       (setq b_g1_1_geom1 (instance HiroNX_g1_1_geom1 :init))

       ;; writeTransform(name=b_g1_1_geom1,domNode=CHEST_JOINT0_Link,targetCount=1,parent=:world), translateCount=1, rotateCount=2, matrixCount=0
       (let ((localcds (make-coords)))
       (send b_g1_1_geom1 :transform localcds :world)
       )
       (send b_g1_1_geom0 :assoc b_g1_1_geom1)
       (setq CHEST_JOINT0_Link_lk
             (instance bodyset-link
                       :init (make-cascoords)
                       :bodies (list  b_g1_1_geom0 b_g1_1_geom1)
                       :name "CHEST_JOINT0_Link"
                       :weight 0.000))
       (let ((tmp-c-list (list
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 1.000000 0.000000))))
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 0.000000 1.000000))))
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 1.000000 0.000000 0.000000))))
                          ))
             (tmp-c (make-coords)))
         (dolist (cc tmp-c-list)
           (setq tmp-c (send tmp-c :transform cc)))
         (setq (CHEST_JOINT0_Link_lk . inertia-tensor)
               (m* (send tmp-c :worldrot) (diagonal (float-vector 0.000 0.000 0.000)) (transpose (send tmp-c :worldrot))))
         (setq (CHEST_JOINT0_Link_lk . acentroid) (send tmp-c :worldpos))
        )

       ;; writeTransform(name=CHEST_JOINT0_Link_lk,domNode=CHEST_JOINT0_Link,targetCount=0,parent=:local), translateCount=1, rotateCount=2, matrixCount=0
       (send CHEST_JOINT0_Link_lk :transform
             (make-coords :pos (float-vector 0.000000 0.000000 0.000000)
                          :angle 0.000000 :axis (float-vector 0.000000 0.000000 1.000000)) :local)
       ;;1;

       ;; writeTransform(name=HEAD_JOINT0_Link_lk,domNode=CHEST_JOINT0_Link,targetCount=0,parent=:world), translateCount=1, rotateCount=2, matrixCount=0
       (let ((localcds (make-coords)))
       (send localcds :transform
             (make-coords :pos (float-vector 0.000000 0.000000 0.000000)
                          :angle 0.000000 :axis (float-vector 0.000000 0.000000 1.000000)) :local)
       (send HEAD_JOINT0_Link_lk :transform localcds :world)
       )
       ;;2;
       (send CHEST_JOINT0_Link_lk :assoc HEAD_JOINT0_Link_lk)

       ;; writeTransform(name=RARM_JOINT0_Link_lk,domNode=CHEST_JOINT0_Link,targetCount=0,parent=:world), translateCount=1, rotateCount=2, matrixCount=0
       (let ((localcds (make-coords)))
       (send localcds :transform
             (make-coords :pos (float-vector 0.000000 0.000000 0.000000)
                          :angle 0.000000 :axis (float-vector 0.000000 0.000000 1.000000)) :local)
       (send RARM_JOINT0_Link_lk :transform localcds :world)
       )
       ;;2;
       (send CHEST_JOINT0_Link_lk :assoc RARM_JOINT0_Link_lk)

       ;; writeTransform(name=LARM_JOINT0_Link_lk,domNode=CHEST_JOINT0_Link,targetCount=0,parent=:world), translateCount=1, rotateCount=2, matrixCount=0
       (let ((localcds (make-coords)))
       (send localcds :transform
             (make-coords :pos (float-vector 0.000000 0.000000 0.000000)
                          :angle 0.000000 :axis (float-vector 0.000000 0.000000 1.000000)) :local)
       (send LARM_JOINT0_Link_lk :transform localcds :world)
       )
       ;;2;
       (send CHEST_JOINT0_Link_lk :assoc LARM_JOINT0_Link_lk)
       )

     ;; node id=v1.node0, name=WAIST, sid=node0
     (let ( b_g1_0_geom0)
       ;; define bodyset-link for WAIST : v1.node0
       (setq b_g1_0_geom0 (instance HiroNX_g1_0_geom0 :init))

       ;; writeTransform(name=b_g1_0_geom0,domNode=WAIST,targetCount=1,parent=:world), translateCount=1, rotateCount=2, matrixCount=0
       (let ((localcds (make-coords)))
       (send b_g1_0_geom0 :transform localcds :world)
       )
       (setq WAIST_lk
             (instance bodyset-link
                       :init (make-cascoords)
                       :bodies (list  b_g1_0_geom0)
                       :name "WAIST"
                       :weight 0.000))
       (let ((tmp-c-list (list
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 0.000000 1.000000 0.000000))))
                          (make-coords :pos (float-vector 0.000 0.000 0.000) :rot (matrix-exponent (scale 0.000000 (float-vector 1.000000 0.000000 0.000000))))
                          ))
             (tmp-c (make-coords)))
         (dolist (cc tmp-c-list)
           (setq tmp-c (send tmp-c :transform cc)))
         (setq (WAIST_lk . inertia-tensor)
               (m* (send tmp-c :worldrot) (diagonal (float-vector 0.000 0.000 0.000)) (transpose (send tmp-c :worldrot))))
         (setq (WAIST_lk . acentroid) (send tmp-c :worldpos))
        )

       ;; writeTransform(name=WAIST_lk,domNode=WAIST,targetCount=0,parent=:local), translateCount=1, rotateCount=2, matrixCount=0
       (send WAIST_lk :transform
             (make-coords :pos (float-vector 0.000000 0.000000 0.000000)
                          :angle 0.000000 :axis (float-vector 0.000000 1.000000 0.000000)) :local)
       ;;1;

       ;; writeTransform(name=CHEST_JOINT0_Link_lk,domNode=WAIST,targetCount=0,parent=:world), translateCount=1, rotateCount=2, matrixCount=0
       (let ((localcds (make-coords)))
       (send localcds :transform
             (make-coords :pos (float-vector 0.000000 0.000000 0.000000)
                          :angle 0.000000 :axis (float-vector 0.000000 1.000000 0.000000)) :local)
       (send CHEST_JOINT0_Link_lk :transform localcds :world)
       )
       ;;2;
       (send WAIST_lk :assoc CHEST_JOINT0_Link_lk)
       )

     (send self :assoc WAIST_lk)
     (setq HEAD_JOINT1_jt
           (instance rotational-joint :init
                     :name "HEAD_JOINT1"
                     :parent-link HEAD_JOINT0_Link_lk :child-link HEAD_JOINT1_Link_lk
                     :max-joint-velocity 4.363320
                     :axis (let ((tmp-axis (float-vector 0.000000 1.000000 0.000000))) (if (eps= (norm tmp-axis) 0.0) (float-vector 1 0 0) tmp-axis))
                     :min -20.000000 :max 70.000000
                     ))
     (setq RHAND_JOINT1_jt
           (instance rotational-joint :init
                     :name "RHAND_JOINT1"
                     :parent-link RHAND_JOINT0_Link_lk :child-link RHAND_JOINT1_Link_lk
                     :axis (let ((tmp-axis (float-vector 0.000000 0.000000 1.000000))) (if (eps= (norm tmp-axis) 0.0) (float-vector 1 0 0) tmp-axis))
                     :min -30.000000 :max 30.000000
                     ))
     (setq RHAND_JOINT3_jt
           (instance rotational-joint :init
                     :name "RHAND_JOINT3"
                     :parent-link RHAND_JOINT2_Link_lk :child-link RHAND_JOINT3_Link_lk
                     :axis (let ((tmp-axis (float-vector 0.000000 0.000000 1.000000))) (if (eps= (norm tmp-axis) 0.0) (float-vector 1 0 0) tmp-axis))
                     :min -30.000000 :max 30.000000
                     ))
     (setq RHAND_JOINT0_jt
           (instance rotational-joint :init
                     :name "RHAND_JOINT0"
                     :parent-link RARM_JOINT5_Link_lk :child-link RHAND_JOINT0_Link_lk
                     :axis (let ((tmp-axis (float-vector 0.000000 0.000000 1.000000))) (if (eps= (norm tmp-axis) 0.0) (float-vector 1 0 0) tmp-axis))
                     :min -30.000000 :max 30.000000
                     ))
     (setq RHAND_JOINT2_jt
           (instance rotational-joint :init
                     :name "RHAND_JOINT2"
                     :parent-link RARM_JOINT5_Link_lk :child-link RHAND_JOINT2_Link_lk
                     :axis (let ((tmp-axis (float-vector 0.000000 0.000000 1.000000))) (if (eps= (norm tmp-axis) 0.0) (float-vector 1 0 0) tmp-axis))
                     :min -30.000000 :max 30.000000
                     ))
     (setq RARM_JOINT5_jt
           (instance rotational-joint :init
                     :name "RARM_JOINT5"
                     :parent-link RARM_JOINT4_Link_lk :child-link RARM_JOINT5_Link_lk
                     :max-joint-velocity 5.235990
                     :axis (let ((tmp-axis (float-vector 1.000000 0.000000 0.000000))) (if (eps= (norm tmp-axis) 0.0) (float-vector 1 0 0) tmp-axis))
                     :min -163.000000 :max 163.000000
                     ))
     (setq RARM_JOINT4_jt
           (instance rotational-joint :init
                     :name "RARM_JOINT4"
                     :parent-link RARM_JOINT3_Link_lk :child-link RARM_JOINT4_Link_lk
                     :max-joint-velocity 4.363320
                     :axis (let ((tmp-axis (float-vector 0.000000 1.000000 0.000000))) (if (eps= (norm tmp-axis) 0.0) (float-vector 1 0 0) tmp-axis))
                     :min -100.000000 :max 100.000000
                     ))
     (setq RARM_JOINT3_jt
           (instance rotational-joint :init
                     :name "RARM_JOINT3"
                     :parent-link RARM_JOINT2_Link_lk :child-link RARM_JOINT3_Link_lk
                     :max-joint-velocity 2.617990
                     :axis (let ((tmp-axis (float-vector 0.000000 0.000000 1.000000))) (if (eps= (norm tmp-axis) 0.0) (float-vector 1 0 0) tmp-axis))
                     :min -165.000000 :max 105.000000
                     ))
     (setq RARM_JOINT2_jt
           (instance rotational-joint :init
                     :name "RARM_JOINT2"
                     :parent-link RARM_JOINT1_Link_lk :child-link RARM_JOINT2_Link_lk
                     :max-joint-velocity 3.996800
                     :axis (let ((tmp-axis (float-vector 0.000000 1.000000 0.000000))) (if (eps= (norm tmp-axis) 0.0) (float-vector 1 0 0) tmp-axis))
                     :min -158.000000 :max 0.000000
                     ))
     (setq RARM_JOINT1_jt
           (instance rotational-joint :init
                     :name "RARM_JOINT1"
                     :parent-link RARM_JOINT0_Link_lk :child-link RARM_JOINT1_Link_lk
                     :max-joint-velocity 2.321290
                     :axis (let ((tmp-axis (float-vector 0.000000 1.000000 0.000000))) (if (eps= (norm tmp-axis) 0.0) (float-vector 1 0 0) tmp-axis))
                     :min -140.000000 :max 60.000000
                     ))
     (setq LHAND_JOINT1_jt
           (instance rotational-joint :init
                     :name "LHAND_JOINT1"
                     :parent-link LHAND_JOINT0_Link_lk :child-link LHAND_JOINT1_Link_lk
                     :axis (let ((tmp-axis (float-vector 0.000000 0.000000 1.000000))) (if (eps= (norm tmp-axis) 0.0) (float-vector 1 0 0) tmp-axis))
                     :min -30.000000 :max 30.000000
                     ))
     (setq LHAND_JOINT3_jt
           (instance rotational-joint :init
                     :name "LHAND_JOINT3"
                     :parent-link LHAND_JOINT2_Link_lk :child-link LHAND_JOINT3_Link_lk
                     :axis (let ((tmp-axis (float-vector 0.000000 0.000000 1.000000))) (if (eps= (norm tmp-axis) 0.0) (float-vector 1 0 0) tmp-axis))
                     :min -30.000000 :max 30.000000
                     ))
     (setq LHAND_JOINT0_jt
           (instance rotational-joint :init
                     :name "LHAND_JOINT0"
                     :parent-link LARM_JOINT5_Link_lk :child-link LHAND_JOINT0_Link_lk
                     :axis (let ((tmp-axis (float-vector 0.000000 0.000000 1.000000))) (if (eps= (norm tmp-axis) 0.0) (float-vector 1 0 0) tmp-axis))
                     :min -30.000000 :max 30.000000
                     ))
     (setq LHAND_JOINT2_jt
           (instance rotational-joint :init
                     :name "LHAND_JOINT2"
                     :parent-link LARM_JOINT5_Link_lk :child-link LHAND_JOINT2_Link_lk
                     :axis (let ((tmp-axis (float-vector 0.000000 0.000000 1.000000))) (if (eps= (norm tmp-axis) 0.0) (float-vector 1 0 0) tmp-axis))
                     :min -30.000000 :max 30.000000
                     ))
     (setq LARM_JOINT5_jt
           (instance rotational-joint :init
                     :name "LARM_JOINT5"
                     :parent-link LARM_JOINT4_Link_lk :child-link LARM_JOINT5_Link_lk
                     :max-joint-velocity 5.235990
                     :axis (let ((tmp-axis (float-vector 1.000000 0.000000 0.000000))) (if (eps= (norm tmp-axis) 0.0) (float-vector 1 0 0) tmp-axis))
                     :min -163.000000 :max 163.000000
                     ))
     (setq LARM_JOINT4_jt
           (instance rotational-joint :init
                     :name "LARM_JOINT4"
                     :parent-link LARM_JOINT3_Link_lk :child-link LARM_JOINT4_Link_lk
                     :max-joint-velocity 4.363320
                     :axis (let ((tmp-axis (float-vector 0.000000 1.000000 0.000000))) (if (eps= (norm tmp-axis) 0.0) (float-vector 1 0 0) tmp-axis))
                     :min -100.000000 :max 100.000000
                     ))
     (setq LARM_JOINT3_jt
           (instance rotational-joint :init
                     :name "LARM_JOINT3"
                     :parent-link LARM_JOINT2_Link_lk :child-link LARM_JOINT3_Link_lk
                     :max-joint-velocity 2.617990
                     :axis (let ((tmp-axis (float-vector 0.000000 0.000000 1.000000))) (if (eps= (norm tmp-axis) 0.0) (float-vector 1 0 0) tmp-axis))
                     :min -165.000000 :max 105.000000
                     ))
     (setq LARM_JOINT2_jt
           (instance rotational-joint :init
                     :name "LARM_JOINT2"
                     :parent-link LARM_JOINT1_Link_lk :child-link LARM_JOINT2_Link_lk
                     :max-joint-velocity 3.996800
                     :axis (let ((tmp-axis (float-vector 0.000000 1.000000 0.000000))) (if (eps= (norm tmp-axis) 0.0) (float-vector 1 0 0) tmp-axis))
                     :min -158.000000 :max 0.000000
                     ))
     (setq LARM_JOINT1_jt
           (instance rotational-joint :init
                     :name "LARM_JOINT1"
                     :parent-link LARM_JOINT0_Link_lk :child-link LARM_JOINT1_Link_lk
                     :max-joint-velocity 2.321290
                     :axis (let ((tmp-axis (float-vector 0.000000 1.000000 0.000000))) (if (eps= (norm tmp-axis) 0.0) (float-vector 1 0 0) tmp-axis))
                     :min -140.000000 :max 60.000000
                     ))
     (setq HEAD_JOINT0_jt
           (instance rotational-joint :init
                     :name "HEAD_JOINT0"
                     :parent-link CHEST_JOINT0_Link_lk :child-link HEAD_JOINT0_Link_lk
                     :max-joint-velocity 2.617990
                     :axis (let ((tmp-axis (float-vector 0.000000 0.000000 1.000000))) (if (eps= (norm tmp-axis) 0.0) (float-vector 1 0 0) tmp-axis))
                     :min -70.000000 :max 70.000000
                     ))
     (setq RARM_JOINT0_jt
           (instance rotational-joint :init
                     :name "RARM_JOINT0"
                     :parent-link CHEST_JOINT0_Link_lk :child-link RARM_JOINT0_Link_lk
                     :max-joint-velocity 3.001970
                     :axis (let ((tmp-axis (float-vector 0.000000 0.000000 1.000000))) (if (eps= (norm tmp-axis) 0.0) (float-vector 1 0 0) tmp-axis))
                     :min -88.000000 :max 88.000000
                     ))
     (setq LARM_JOINT0_jt
           (instance rotational-joint :init
                     :name "LARM_JOINT0"
                     :parent-link CHEST_JOINT0_Link_lk :child-link LARM_JOINT0_Link_lk
                     :max-joint-velocity 3.001970
                     :axis (let ((tmp-axis (float-vector 0.000000 0.000000 1.000000))) (if (eps= (norm tmp-axis) 0.0) (float-vector 1 0 0) tmp-axis))
                     :min -88.000000 :max 88.000000
                     ))
     (setq CHEST_JOINT0_jt
           (instance rotational-joint :init
                     :name "CHEST_JOINT0"
                     :parent-link WAIST_lk :child-link CHEST_JOINT0_Link_lk
                     :max-joint-velocity 2.268000
                     :axis (let ((tmp-axis (float-vector 0.000000 0.000000 1.000000))) (if (eps= (norm tmp-axis) 0.0) (float-vector 1 0 0) tmp-axis))
                     :min -162.949005 :max 162.949005
                     ))

     ;; end coords from openrave manipulater tag
     (setq rightarm-frame-tip (make-cascoords :coords (send RARM_JOINT5_Link_lk :copy-worldcoords) :name :rightarm-frame-tip))
     (send rightarm-frame-tip :transform (make-coords :pos #f( -50.000000 0.000000 0.000000) :axis (let ((tmp-axis (float-vector 0.000000 1.000000 0.000000))) (if (eps= (norm tmp-axis) 0.0) (float-vector 1 0 0) tmp-axis)) :angle -1.570796) :local)
     (send RARM_JOINT5_Link_lk :assoc rightarm-frame-tip)

     (setq rarm-end-coords (make-cascoords :coords (send rightarm-frame-tip :copy-worldcoords)))
     (send rightarm-frame-tip :assoc rarm-end-coords)

     (setq rightarm_torso-frame-tip (make-cascoords :coords (send RARM_JOINT5_Link_lk :copy-worldcoords) :name :rightarm_torso-frame-tip))
     (send rightarm_torso-frame-tip :transform (make-coords :pos #f( -50.000000 0.000000 0.000000) :axis (let ((tmp-axis (float-vector 0.000000 1.000000 0.000000))) (if (eps= (norm tmp-axis) 0.0) (float-vector 1 0 0) tmp-axis)) :angle -1.570796) :local)
     (send RARM_JOINT5_Link_lk :assoc rightarm_torso-frame-tip)

     (setq leftarm-frame-tip (make-cascoords :coords (send LARM_JOINT5_Link_lk :copy-worldcoords) :name :leftarm-frame-tip))
     (send leftarm-frame-tip :transform (make-coords :pos #f( -50.000000 0.000000 0.000000) :axis (let ((tmp-axis (float-vector 0.000000 1.000000 0.000000))) (if (eps= (norm tmp-axis) 0.0) (float-vector 1 0 0) tmp-axis)) :angle -1.570796) :local)
     (send LARM_JOINT5_Link_lk :assoc leftarm-frame-tip)

     (setq larm-end-coords (make-cascoords :coords (send leftarm-frame-tip :copy-worldcoords)))
     (send leftarm-frame-tip :assoc larm-end-coords)

     (setq leftarm_torso-frame-tip (make-cascoords :coords (send LARM_JOINT5_Link_lk :copy-worldcoords) :name :leftarm_torso-frame-tip))
     (send leftarm_torso-frame-tip :transform (make-coords :pos #f( -50.000000 0.000000 0.000000) :axis (let ((tmp-axis (float-vector 0.000000 1.000000 0.000000))) (if (eps= (norm tmp-axis) 0.0) (float-vector 1 0 0) tmp-axis)) :angle -1.570796) :local)
     (send LARM_JOINT5_Link_lk :assoc leftarm_torso-frame-tip)

     (setq head-frame-tip (make-cascoords :coords (send HEAD_JOINT1_Link_lk :copy-worldcoords) :name :head-frame-tip))
     (send head-frame-tip :transform (make-coords :pos #f( 90.000000 70.000000 85.000000) :axis (let ((tmp-axis (float-vector 0.577350 0.577350 0.577350))) (if (eps= (norm tmp-axis) 0.0) (float-vector 1 0 0) tmp-axis)) :angle 2.094395) :local)
     (send HEAD_JOINT1_Link_lk :assoc head-frame-tip)

     (setq head_torso-frame-tip (make-cascoords :coords (send HEAD_JOINT1_Link_lk :copy-worldcoords) :name :head_torso-frame-tip))
     (send head_torso-frame-tip :transform (make-coords :pos #f( 90.000000 70.000000 85.000000) :axis (let ((tmp-axis (float-vector 0.577350 0.577350 0.577350))) (if (eps= (norm tmp-axis) 0.0) (float-vector 1 0 0) tmp-axis)) :angle 2.094395) :local)
     (send HEAD_JOINT1_Link_lk :assoc head_torso-frame-tip)

     ;; end coords from yaml file
     (setq rarm-end-coords (make-cascoords :coords (send RARM_JOINT5_Link_lk :copy-worldcoords)))
     (send rarm-end-coords :translate (float-vector -50.000000 0.000000 0.000000))
     (send rarm-end-coords :rotate 1.570796 (float-vector 0.000000 1.000000 0.000000))
     (send RARM_JOINT5_Link_lk :assoc rarm-end-coords)
     (setq larm-end-coords (make-cascoords :coords (send LARM_JOINT5_Link_lk :copy-worldcoords)))
     (send larm-end-coords :translate (float-vector -50.000000 0.000000 0.000000))
     (send larm-end-coords :rotate 1.570796 (float-vector 0.000000 1.000000 0.000000))
     (send LARM_JOINT5_Link_lk :assoc larm-end-coords)
     (setq torso-end-coords (make-cascoords :coords (send CHEST_JOINT0_Link_lk :copy-worldcoords)))
     (send CHEST_JOINT0_Link_lk :assoc torso-end-coords)
     (setq head-end-coords (make-cascoords :coords (send HEAD_JOINT1_Link_lk :copy-worldcoords)))
     (send head-end-coords :translate (float-vector 100.000000 0.000000 100.000000))
     (send head-end-coords :rotate 1.570796 (float-vector 0.000000 1.000000 0.000000))
     (send HEAD_JOINT1_Link_lk :assoc head-end-coords)

     ;; limbs
     (setq rarm (list RARM_JOINT0_Link_lk RARM_JOINT1_Link_lk RARM_JOINT2_Link_lk RARM_JOINT3_Link_lk RARM_JOINT4_Link_lk RARM_JOINT5_Link_lk))

     (setq rarm-root-link (labels ((find-parent (l) (if (find (send l :parent) rarm) (find-parent (send l :parent)) l))) (find-parent (car rarm))))
     (setq larm (list LARM_JOINT0_Link_lk LARM_JOINT1_Link_lk LARM_JOINT2_Link_lk LARM_JOINT3_Link_lk LARM_JOINT4_Link_lk LARM_JOINT5_Link_lk))

     (setq larm-root-link (labels ((find-parent (l) (if (find (send l :parent) larm) (find-parent (send l :parent)) l))) (find-parent (car larm))))
     (setq torso (list CHEST_JOINT0_Link_lk))

     (setq torso-root-link (labels ((find-parent (l) (if (find (send l :parent) torso) (find-parent (send l :parent)) l))) (find-parent (car torso))))
     (setq head (list HEAD_JOINT0_Link_lk HEAD_JOINT1_Link_lk))

     (setq head-root-link (labels ((find-parent (l) (if (find (send l :parent) head) (find-parent (send l :parent)) l))) (find-parent (car head))))

     ;; links
     (setq links (list WAIST_lk RARM_JOINT0_Link_lk RARM_JOINT1_Link_lk RARM_JOINT2_Link_lk RARM_JOINT3_Link_lk RARM_JOINT4_Link_lk RARM_JOINT5_Link_lk LARM_JOINT0_Link_lk LARM_JOINT1_Link_lk LARM_JOINT2_Link_lk LARM_JOINT3_Link_lk LARM_JOINT4_Link_lk LARM_JOINT5_Link_lk CHEST_JOINT0_Link_lk HEAD_JOINT0_Link_lk HEAD_JOINT1_Link_lk))
     ;; joint-list
     (setq joint-list (list RARM_JOINT0_jt RARM_JOINT1_jt RARM_JOINT2_jt RARM_JOINT3_jt RARM_JOINT4_jt RARM_JOINT5_jt LARM_JOINT0_jt LARM_JOINT1_jt LARM_JOINT2_jt LARM_JOINT3_jt LARM_JOINT4_jt LARM_JOINT5_jt CHEST_JOINT0_jt HEAD_JOINT0_jt HEAD_JOINT1_jt))

     ;; init-ending
     (send self :init-ending)

     ;; overwrite bodies to return draw-things links not (send link :bodies)
     (setq bodies (flatten (mapcar #'(lambda (b) (if (find-method b :bodies) (send b :bodies))) (list HEAD_JOINT1_Link_lk HEAD_JOINT0_Link_lk RHAND_JOINT1_Link_lk RHAND_JOINT0_Link_lk RHAND_JOINT3_Link_lk RHAND_JOINT2_Link_lk RARM_JOINT5_Link_lk RARM_JOINT4_Link_lk RARM_JOINT3_Link_lk RARM_JOINT2_Link_lk RARM_JOINT1_Link_lk RARM_JOINT0_Link_lk LHAND_JOINT1_Link_lk LHAND_JOINT0_Link_lk LHAND_JOINT3_Link_lk LHAND_JOINT2_Link_lk LARM_JOINT5_Link_lk LARM_JOINT4_Link_lk LARM_JOINT3_Link_lk LARM_JOINT2_Link_lk LARM_JOINT1_Link_lk LARM_JOINT0_Link_lk CHEST_JOINT0_Link_lk WAIST_lk))))

     (send self :reset-pose) ;; :set reset-pose

     self)) ;; :init

    ;; pre-defined pose methods
    (:off-pose () (send self :angle-vector (float-vector 0.000000 -140.000000 -158.000000 0.000000 0.000000 0.000000 0.000000 -140.000000 -158.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000)))
    (:reset-pose () (send self :angle-vector (float-vector 0.000000 -40.000000 -90.000000 0.000000 0.000000 0.000000 0.000000 -40.000000 -90.000000 0.000000 0.000000 0.000000 0.000000 0.000000 30.000000)))

    ;; all joints
    (:WAIST_JOINT (&rest args) (forward-message-to WAIST_JOINT_jt args))
    (:CHEST_JOINT0 (&rest args) (forward-message-to CHEST_JOINT0_jt args))
    (:HEAD_JOINT0 (&rest args) (forward-message-to HEAD_JOINT0_jt args))
    (:HEAD_JOINT1 (&rest args) (forward-message-to HEAD_JOINT1_jt args))
    (:RARM_JOINT0 (&rest args) (forward-message-to RARM_JOINT0_jt args))
    (:RARM_JOINT1 (&rest args) (forward-message-to RARM_JOINT1_jt args))
    (:RARM_JOINT2 (&rest args) (forward-message-to RARM_JOINT2_jt args))
    (:RARM_JOINT3 (&rest args) (forward-message-to RARM_JOINT3_jt args))
    (:RARM_JOINT4 (&rest args) (forward-message-to RARM_JOINT4_jt args))
    (:RARM_JOINT5 (&rest args) (forward-message-to RARM_JOINT5_jt args))
    (:RHAND_JOINT0 (&rest args) (forward-message-to RHAND_JOINT0_jt args))
    (:RHAND_JOINT1 (&rest args) (forward-message-to RHAND_JOINT1_jt args))
    (:RHAND_JOINT2 (&rest args) (forward-message-to RHAND_JOINT2_jt args))
    (:RHAND_JOINT3 (&rest args) (forward-message-to RHAND_JOINT3_jt args))
    (:LARM_JOINT0 (&rest args) (forward-message-to LARM_JOINT0_jt args))
    (:LARM_JOINT1 (&rest args) (forward-message-to LARM_JOINT1_jt args))
    (:LARM_JOINT2 (&rest args) (forward-message-to LARM_JOINT2_jt args))
    (:LARM_JOINT3 (&rest args) (forward-message-to LARM_JOINT3_jt args))
    (:LARM_JOINT4 (&rest args) (forward-message-to LARM_JOINT4_jt args))
    (:LARM_JOINT5 (&rest args) (forward-message-to LARM_JOINT5_jt args))
    (:LHAND_JOINT0 (&rest args) (forward-message-to LHAND_JOINT0_jt args))
    (:LHAND_JOINT1 (&rest args) (forward-message-to LHAND_JOINT1_jt args))
    (:LHAND_JOINT2 (&rest args) (forward-message-to LHAND_JOINT2_jt args))
    (:LHAND_JOINT3 (&rest args) (forward-message-to LHAND_JOINT3_jt args))

    ;; all links forwarding
    (:links (&rest args)
     (if (null args) (return-from :links (send-super :links)))
     (let ((key (car args))
           (nargs (cdr args)))
       (unless (keywordp key)
         (return-from :links (send-super* :links args)))
       (case key
         (:HEAD_JOINT1_Link (forward-message-to HEAD_JOINT1_Link_lk nargs))
         (:HEAD_JOINT0_Link (forward-message-to HEAD_JOINT0_Link_lk nargs))
         (:RHAND_JOINT1_Link (forward-message-to RHAND_JOINT1_Link_lk nargs))
         (:RHAND_JOINT0_Link (forward-message-to RHAND_JOINT0_Link_lk nargs))
         (:RHAND_JOINT3_Link (forward-message-to RHAND_JOINT3_Link_lk nargs))
         (:RHAND_JOINT2_Link (forward-message-to RHAND_JOINT2_Link_lk nargs))
         (:RARM_JOINT5_Link (forward-message-to RARM_JOINT5_Link_lk nargs))
         (:RARM_JOINT4_Link (forward-message-to RARM_JOINT4_Link_lk nargs))
         (:RARM_JOINT3_Link (forward-message-to RARM_JOINT3_Link_lk nargs))
         (:RARM_JOINT2_Link (forward-message-to RARM_JOINT2_Link_lk nargs))
         (:RARM_JOINT1_Link (forward-message-to RARM_JOINT1_Link_lk nargs))
         (:RARM_JOINT0_Link (forward-message-to RARM_JOINT0_Link_lk nargs))
         (:LHAND_JOINT1_Link (forward-message-to LHAND_JOINT1_Link_lk nargs))
         (:LHAND_JOINT0_Link (forward-message-to LHAND_JOINT0_Link_lk nargs))
         (:LHAND_JOINT3_Link (forward-message-to LHAND_JOINT3_Link_lk nargs))
         (:LHAND_JOINT2_Link (forward-message-to LHAND_JOINT2_Link_lk nargs))
         (:LARM_JOINT5_Link (forward-message-to LARM_JOINT5_Link_lk nargs))
         (:LARM_JOINT4_Link (forward-message-to LARM_JOINT4_Link_lk nargs))
         (:LARM_JOINT3_Link (forward-message-to LARM_JOINT3_Link_lk nargs))
         (:LARM_JOINT2_Link (forward-message-to LARM_JOINT2_Link_lk nargs))
         (:LARM_JOINT1_Link (forward-message-to LARM_JOINT1_Link_lk nargs))
         (:LARM_JOINT0_Link (forward-message-to LARM_JOINT0_Link_lk nargs))
         (:CHEST_JOINT0_Link (forward-message-to CHEST_JOINT0_Link_lk nargs))
         (:WAIST (forward-message-to WAIST_lk nargs))
         (t (send-super* :links args)))))

    ;; all links
    (:HEAD_JOINT1_Link_lk (&rest args) (forward-message-to HEAD_JOINT1_Link_lk args))
    (:HEAD_JOINT0_Link_lk (&rest args) (forward-message-to HEAD_JOINT0_Link_lk args))
    (:RHAND_JOINT1_Link_lk (&rest args) (forward-message-to RHAND_JOINT1_Link_lk args))
    (:RHAND_JOINT0_Link_lk (&rest args) (forward-message-to RHAND_JOINT0_Link_lk args))
    (:RHAND_JOINT3_Link_lk (&rest args) (forward-message-to RHAND_JOINT3_Link_lk args))
    (:RHAND_JOINT2_Link_lk (&rest args) (forward-message-to RHAND_JOINT2_Link_lk args))
    (:RARM_JOINT5_Link_lk (&rest args) (forward-message-to RARM_JOINT5_Link_lk args))
    (:RARM_JOINT4_Link_lk (&rest args) (forward-message-to RARM_JOINT4_Link_lk args))
    (:RARM_JOINT3_Link_lk (&rest args) (forward-message-to RARM_JOINT3_Link_lk args))
    (:RARM_JOINT2_Link_lk (&rest args) (forward-message-to RARM_JOINT2_Link_lk args))
    (:RARM_JOINT1_Link_lk (&rest args) (forward-message-to RARM_JOINT1_Link_lk args))
    (:RARM_JOINT0_Link_lk (&rest args) (forward-message-to RARM_JOINT0_Link_lk args))
    (:LHAND_JOINT1_Link_lk (&rest args) (forward-message-to LHAND_JOINT1_Link_lk args))
    (:LHAND_JOINT0_Link_lk (&rest args) (forward-message-to LHAND_JOINT0_Link_lk args))
    (:LHAND_JOINT3_Link_lk (&rest args) (forward-message-to LHAND_JOINT3_Link_lk args))
    (:LHAND_JOINT2_Link_lk (&rest args) (forward-message-to LHAND_JOINT2_Link_lk args))
    (:LARM_JOINT5_Link_lk (&rest args) (forward-message-to LARM_JOINT5_Link_lk args))
    (:LARM_JOINT4_Link_lk (&rest args) (forward-message-to LARM_JOINT4_Link_lk args))
    (:LARM_JOINT3_Link_lk (&rest args) (forward-message-to LARM_JOINT3_Link_lk args))
    (:LARM_JOINT2_Link_lk (&rest args) (forward-message-to LARM_JOINT2_Link_lk args))
    (:LARM_JOINT1_Link_lk (&rest args) (forward-message-to LARM_JOINT1_Link_lk args))
    (:LARM_JOINT0_Link_lk (&rest args) (forward-message-to LARM_JOINT0_Link_lk args))
    (:CHEST_JOINT0_Link_lk (&rest args) (forward-message-to CHEST_JOINT0_Link_lk args))
    (:WAIST_lk (&rest args) (forward-message-to WAIST_lk args))

    ;; all manipulator
    (:rightarm-frame-tip (&rest args) (forward-message-to rightarm-frame-tip args))
    (:rightarm_torso-frame-tip (&rest args) (forward-message-to rightarm_torso-frame-tip args))
    (:leftarm-frame-tip (&rest args) (forward-message-to leftarm-frame-tip args))
    (:leftarm_torso-frame-tip (&rest args) (forward-message-to leftarm_torso-frame-tip args))
    (:head-frame-tip (&rest args) (forward-message-to head-frame-tip args))
    (:head_torso-frame-tip (&rest args) (forward-message-to head_torso-frame-tip args))

    ;; user-defined joint
    (:rarm-shoulder-y (&rest args) (forward-message-to RARM_JOINT0_jt args))
    (:rarm-shoulder-p (&rest args) (forward-message-to RARM_JOINT1_jt args))
    (:rarm-elbow-p (&rest args) (forward-message-to RARM_JOINT2_jt args))
    (:rarm-wrist-y (&rest args) (forward-message-to RARM_JOINT3_jt args))
    (:rarm-wrist-p (&rest args) (forward-message-to RARM_JOINT4_jt args))
    (:rarm-wrist-r (&rest args) (forward-message-to RARM_JOINT5_jt args))
    (:larm-shoulder-y (&rest args) (forward-message-to LARM_JOINT0_jt args))
    (:larm-shoulder-p (&rest args) (forward-message-to LARM_JOINT1_jt args))
    (:larm-elbow-p (&rest args) (forward-message-to LARM_JOINT2_jt args))
    (:larm-wrist-y (&rest args) (forward-message-to LARM_JOINT3_jt args))
    (:larm-wrist-p (&rest args) (forward-message-to LARM_JOINT4_jt args))
    (:larm-wrist-r (&rest args) (forward-message-to LARM_JOINT5_jt args))
    (:torso-waist-y (&rest args) (forward-message-to CHEST_JOINT0_jt args))
    (:head-neck-y (&rest args) (forward-message-to HEAD_JOINT0_jt args))
    (:head-neck-p (&rest args) (forward-message-to HEAD_JOINT1_jt args))

    ;; attach_sensor
    (:force-sensors (&rest args) (forward-message-to-all (list ) args))
    (:imu-sensors (&rest args) (forward-message-to-all (list ) args))
  )

(defclass collada-body
  :super body
  :slots (glvertices)
  )
(defmethod collada-body
  (:draw (vwr)
   (when glvertices
     (send glvertices :draw vwr)))
  (:set-color (&rest args)
   (send-super* :set-color args)
   (when glvertices (send* glvertices :set-color args)))
  )
(defclass HiroNX_g1_0_geom0
  :super collada-body
  :slots ())
(defmethod HiroNX_g1_0_geom0
  (:init (&key (name))
         (replace-object self (send self :qhull-faceset))
         (if name (send self :name name))
         (send self :def-gl-vertices)
         self)
  (:def-gl-vertices ()
    (setq glvertices
       (instance gl::glvertices :init
          (list
          (list
           (list :type :triangles)
           (list :material (list
             (list :color (float-vector 0.1 0.1 0.1))
             (list :ambient (float-vector 0.200000 0.200000 0.200000 1.000000))
             (list :diffuse (float-vector 0.900000 0.900000 0.900000 1.000000))
           ))
           (list :indices #i( 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148 149 150 151 152 153 154 155 156 157 158 159 160 161 162 163 164 165 166 167 168 169 170 171 172 173 174 175 176 177 178 179 180 181 182 183 184 185 186 187 188 189 190 191 192 193 194 195 196 197 198 199 200 201 202 203 204 205 206 207 208 209 210 211 212 213 214 215 216 217 218 219 220 221 222 223 224 225 226 227 228 229 230 231 232 233 234 235 236 237 238 239 240 241 242 243 244 245 246 247 248 249 250 251 252 253 254 255 256 257 258 259 260 261 262 263 264 265 266 267 268 269 270 271 272 273 274 275 276 277 278 279 280 281 282 283 284 285 286 287 288 289 290 291 292 293 294 295 296 297 298 299 300 301 302 303 304 305 306 307 308 309 310 311 312 313 314 315 316 317 318 319 320 321 322 323 324 325 326 327 328 329 330 331 332 333 334 335 336 337 338 339 340 341 342 343 344 345 346 347 348 349 350 351 352 353 354 355 356 357 358 359 360 361 362 363 364 365 366 367 368 369 370 371 372 373 374 375 376 377 378 379 380 381 382 383 384 385 386 387 388 389 390 391 392 393 394 395 396 397 398 399 400 401 402 403 404 405 406 407 408 409 410 411 412 413 414 415 416 417 418 419 420 421 422 423 424 425 426 427 428 429 430 431 432 433 434 435 436 437 438 439 440 441 442 443 444 445 446 447 448 449 450 451 452 453 454 455 456 457 458 459 460 461 462 463 464 465 466 467 468 469 470 471 472 473 474 475 476 477 478 479 480 481 482 483 484 485 486 487 488 489 490 491 492 493 494 495 496 497 498 499 500 501 502 503 504 505 506 507 508 509 510 511 512 513 514 515 516 517 518 519 520 521 522 523 524 525 526 527 528 529 530 531 532 533 534 535 536 537 538 539 540 541 542 543 544 545 546 547 548 549 550 551 552 553 554 555 556 557 558 559 560 561 562 563 564 565 566 567 568 569 570 571 572 573 574 575 576 577 578 579 580 581 582 583 584 585 586 587 588 589 590 591 592 593 594 595 596 597 598 599 600 601 602 603 604 605 606 607 608 609 610 611 612 613 614 615 616 617 618 619 620 621 622 623 624 625 626 627 628 629 630 631 632 633 634 635 636 637 638 639 640 641 642 643 644 645 646 647 648 649 650 651 652 653 654 655 656 657 658 659 660 661 662 663 664 665 666 667 668 669 670 671 672 673 674 675 676 677 678 679 680 681 682 683 684 685 686 687 688 689 690 691 692 693 694 695 696 697 698 699 700 701 702 703 704 705 706 707 708 709 710 711 712 713 714 715 716 717 718 719 720 721 722 723 724 725 726 727 728 729 730 731 732 733 734 735 736 737 738 739 740 741 742 743 744 745 746 747 748 749 750 751 752 753 754 755 756 757 758 759 760 761 762 763 764 765 766 767 768 769 770 771 772 773 774 775 776 777 778 779 780 781 782 783 784 785 786 787 788 789 790 791 792 793 794 795 796 797 798 799 800 801 802 803 804 805 806 807 808 809 810 811 812 813 814 815 816 817 818 819 820 821 822 823 824 825 826 827 828 829 830 831 832 833 834 835 836 837 838 839 840 841 842 843 844 845 846 847 848 849 850 851 852 853 854 855 856 857 858 859 860 861 862 863 864 865 866 867 868 869 870 871 872 873 874 875 876 877 878 879 880 881 882 883 884 885 886 887 888 889 890 891 892 893 894 895 896 897 898 899 900 901 902 903 904 905 906 907 908 909 910 911 912 913 914 915 916 917 918 919 920 921 922 923 924 925 926 927 928 929 930 931 932 933 934 935 936 937 938 939 940 941 942 943 944 945 946 947 948 949 950 951 952 953 954 955 956 957 958 959 960 961 962 963 964 965 966 967 968 969 970 971 972 973 974 975 976 977 978 979 980 981 982 983 984 985 986 987 988 989 990 991 992 993 994 995 996 997 998 999 1000 1001 1002 1003 1004 1005 1006 1007 1008 1009 1010 1011 1012 1013 1014 1015 1016 1017 1018 1019 1020 1021 1022 1023 1024 1025 1026 1027 1028 1029 1030 1031 1032 1033 1034 1035 1036 1037 1038 1039 1040 1041 1042 1043 1044 1045 1046 1047 1048 1049 1050 1051 1052 1053 1054 1055 1056 1057 1058 1059 1060 1061 1062 1063 1064 1065 1066 1067 1068 1069 1070 1071 1072 1073 1074 1075 1076 1077 1078 1079 1080 1081 1082 1083 1084 1085 1086 1087 1088 1089 1090 1091 1092 1093 1094 1095 1096 1097 1098 1099 1100 1101 1102 1103 1104 1105 1106 1107 1108 1109 1110 1111 1112 1113 1114 1115 1116 1117 1118 1119 1120 1121 1122 1123 1124 1125 1126 1127 1128 1129 1130 1131 1132 1133 1134 1135 1136 1137 1138 1139 1140 1141 1142 1143 1144 1145 1146 1147 1148 1149 1150 1151 1152 1153 1154 1155 1156 1157 1158 1159 1160 1161 1162 1163 1164 1165 1166 1167 1168 1169 1170 1171 1172 1173 1174 1175 1176 1177 1178 1179 1180 1181 1182 1183 1184 1185 1186 1187 1188 1189 1190 1191 1192 1193 1194 1195 1196 1197 1198 1199 1200 1201 1202 1203 1204 1205 1206 1207 1208 1209 1210 1211 1212 1213 1214 1215 1216 1217 1218 1219 1220 1221 1222 1223 1224 1225 1226 1227 1228 1229 1230 1231 1232 1233 1234 1235 1236 1237 1238 1239 1240 1241 1242 1243 1244 1245 1246 1247 1248 1249 1250 1251 1252 1253 1254 1255 1256 1257 1258 1259 1260 1261 1262 1263 1264 1265 1266 1267 1268 1269 1270 1271 1272 1273 1274 1275 1276 1277 1278 1279 1280 1281 1282 1283 1284 1285 1286 1287 1288 1289 1290 1291 1292 1293 1294 1295 1296 1297 1298 1299 1300 1301 1302 1303 1304 1305 1306 1307 1308 1309 1310 1311 1312 1313 1314 1315 1316 1317 1318 1319 1320 1321 1322 1323 1324 1325 1326 1327 1328 1329 1330 1331 1332 1333 1334 1335 1336 1337 1338 1339 1340 1341 1342 1343 1344 1345 1346 1347 1348 1349 1350 1351 1352 1353 1354 1355 1356 1357 1358 1359 1360 1361 1362 1363 1364 1365 1366 1367 1368 1369 1370 1371 1372 1373 1374 1375 1376 1377 1378 1379 1380 1381 1382 1383 1384 1385 1386 1387 1388 1389 1390 1391 1392 1393 1394 1395 1396 1397 1398 1399 1400 1401 1402 1403 1404 1405 1406 1407 1408 1409 1410 1411 1412 1413 1414 1415 1416 1417 1418 1419 1420 1421 1422 1423 1424 1425 1426 1427 1428 1429 1430 1431 1432 1433 1434 1435 1436 1437 1438 1439 1440 1441 1442 1443 1444 1445 1446 1447 1448 1449 1450 1451 1452 1453 1454 1455 1456 1457 1458 1459 1460 1461 1462 1463 1464 1465 1466 1467 1468 1469 1470 1471 1472 1473 1474 1475 1476 1477 1478 1479 1480 1481 1482 1483 1484 1485 1486 1487 1488 1489 1490 1491 1492 1493 1494 1495 1496 1497 1498 1499 1500 1501 1502 1503 1504 1505 1506 1507 1508 1509 1510 1511 1512 1513 1514 1515 1516 1517 1518 1519 1520 1521 1522 1523 1524 1525 1526 1527 1528 1529 1530 1531 1532 1533 1534 1535 1536 1537 1538 1539 1540 1541 1542 1543 1544 1545 1546 1547 1548 1549 1550 1551 1552 1553 1554 1555 1556 1557 1558 1559 1560 1561 1562 1563 1564 1565 1566 1567 1568 1569 1570 1571 1572 1573 1574 1575 1576 1577 1578 1579 1580 1581 1582 1583 1584 1585 1586 1587 1588 1589 1590 1591 1592 1593 1594 1595 1596 1597 1598 1599 1600 1601 1602 1603 1604 1605 1606 1607 1608 1609 1610 1611 1612 1613 1614 1615 1616 1617 1618 1619 1620 1621 1622 1623 1624 1625 1626 1627 1628 1629 1630 1631 1632 1633 1634 1635 1636 1637 1638 1639 1640 1641 1642 1643 1644 1645 1646 1647 1648 1649 1650 1651 1652 1653 1654 1655 1656 1657 1658 1659 1660 1661 1662 1663 1664 1665 1666 1667 1668 1669 1670 1671 1672 1673 1674 1675 1676 1677 1678 1679 1680 1681 1682 1683 1684 1685 1686 1687 1688 1689 1690 1691 1692 1693 1694 1695 1696 1697 1698 1699 1700 1701 1702 1703 1704 1705 1706 1707 1708 1709 1710 1711 1712 1713 1714 1715 1716 1717 1718 1719 1720 1721 1722 1723 1724 1725 1726 1727 1728 1729 1730 1731 1732 1733 1734 1735 1736 1737 1738 1739 1740 1741 1742 1743 1744 1745 1746 1747 1748 1749 1750 1751 1752 1753 1754 1755 1756 1757 1758 1759 1760 1761 1762 1763 1764 1765 1766 1767 1768 1769 1770 1771 1772 1773 1774 1775 1776 1777 1778 1779 1780 1781 1782 1783 1784 1785 1786 1787 1788 1789 1790 1791 1792 1793 1794 1795 1796 1797 1798 1799 1800 1801 1802 1803 1804 1805 1806 1807 1808 1809 1810 1811 1812 1813 1814 1815 1816 1817 1818 1819 1820 1821 1822 1823 1824 1825 1826 1827 1828 1829 1830 1831 1832 1833 1834 1835 1836 1837 1838 1839 1840 1841 1842 1843 1844 1845 1846 1847 1848 1849 1850 1851 1852 1853))
           (list :vertices #2f((58.084999 -15.039000 0.003998)(53.868000 -26.424000 0.003998)(59.923000 -3.039000 0.003998)(53.868000 -26.424000 0.003998)(47.446003 -36.727001 0.003998)(59.923000 -3.039000 0.003998)(59.923000 -3.039000 12.004000)(58.084999 -15.039000 0.003998)(59.923000 -3.039000 0.003998)(58.084999 -15.039000 0.003998)(58.084999 -15.039000 12.004000)(53.868000 -26.424000 0.003998)(47.446003 -36.727001 0.003998)(39.081997 -45.526001 0.003998)(59.923000 -3.039000 0.003998)(53.868000 -26.424000 12.004000)(47.446003 -36.727001 0.003998)(53.868000 -26.424000 0.003998)(59.923000 -3.039000 0.003998)(59.307999 9.084999 12.004000)(59.923000 -3.039000 12.004000)(58.084999 -15.039000 0.003998)(59.923000 -3.039000 12.004000)(58.084999 -15.039000 12.004000)(53.868000 -26.424000 0.003998)(58.084999 -15.039000 12.004000)(53.868000 -26.424000 12.004000)(39.081997 -45.526001 0.003998)(29.118000 -52.460999 0.003998)(59.923000 -3.039000 0.003998)(47.446003 -36.727001 12.004000)(39.081997 -45.526001 0.003998)(47.446003 -36.727001 0.003998)(53.868000 -26.424000 12.004000)(47.446003 -36.727001 12.004000)(47.446003 -36.727001 0.003998)(59.307999 9.084999 12.004000)(59.923000 -3.039000 0.003998)(59.307999 9.084999 0.003998)(59.307999 9.084999 12.004000)(56.264999 20.837999 12.004000)(59.923000 -3.039000 12.004000)(53.868000 -26.424000 12.004000)(58.084999 -15.039000 12.004000)(59.923000 -3.039000 12.004000)(29.118000 -52.460999 0.003998)(17.962000 -57.248997 0.003998)(59.923000 -3.039000 0.003998)(29.118000 -52.460999 0.003998)(39.081997 -45.526001 0.003998)(39.081997 -45.526001 12.004000)(39.081997 -45.526001 0.003998)(47.446003 -36.727001 12.004000)(39.081997 -45.526001 12.004000)(47.446003 -36.727001 12.004000)(53.868000 -26.424000 12.004000)(59.923000 -3.039000 12.004000)(56.264999 20.837999 0.003998)(59.307999 9.084999 0.003998)(59.923000 -3.039000 0.003998)(56.264999 20.837999 12.004000)(59.307999 9.084999 12.004000)(59.307999 9.084999 0.003998)(56.264999 20.837999 12.004000)(50.918999 31.738003 12.004000)(59.923000 -3.039000 12.004000)(17.962000 -57.248997 0.003998)(6.070000 -59.691998 0.003998)(59.923000 -3.039000 0.003998)(29.118000 -52.460999 12.004000)(17.962000 -57.248997 0.003998)(29.118000 -52.460999 0.003998)(29.118000 -52.460999 12.004000)(29.118000 -52.460999 0.003998)(39.081997 -45.526001 12.004000)(39.081997 -45.526001 12.004000)(47.446003 -36.727001 12.004000)(59.923000 -3.039000 12.004000)(50.918999 31.738003 0.003998)(56.264999 20.837999 0.003998)(59.923000 -3.039000 0.003998)(56.264999 20.837999 0.003998)(56.264999 20.837999 12.004000)(59.307999 9.084999 0.003998)(50.918999 31.738003 12.004000)(43.487999 41.338001 12.004000)(59.923000 -3.039000 12.004000)(56.264999 20.837999 0.003998)(50.918999 31.738003 12.004000)(56.264999 20.837999 12.004000)(6.070000 -59.691998 0.003998)(-6.070000 -59.691998 0.003998)(59.923000 -3.039000 0.003998)(17.962000 -57.248997 12.004000)(6.070000 -59.691998 0.003998)(17.962000 -57.248997 0.003998)(17.962000 -57.248997 12.004000)(17.962000 -57.248997 0.003998)(29.118000 -52.460999 12.004000)(29.118000 -52.460999 12.004000)(39.081997 -45.526001 12.004000)(59.923000 -3.039000 12.004000)(43.487999 41.338001 0.003998)(50.918999 31.738003 0.003998)(59.923000 -3.039000 0.003998)(50.918999 31.738003 0.003998)(50.918999 31.738003 12.004000)(56.264999 20.837999 0.003998)(43.487999 41.338001 12.004000)(34.276001 49.245998 12.004000)(59.923000 -3.039000 12.004000)(50.918999 31.738003 0.003998)(43.487999 41.338001 12.004000)(50.918999 31.738003 12.004000)(-6.070000 -59.691998 0.003998)(-17.962000 -57.248001 0.003998)(59.923000 -3.039000 0.003998)(-6.070000 -59.691998 0.003998)(6.070000 -59.691998 0.003998)(6.070000 -59.691998 12.004000)(6.070000 -59.691998 12.004000)(6.070000 -59.691998 0.003998)(17.962000 -57.248997 12.004000)(17.962000 -57.248997 12.004000)(29.118000 -52.460999 12.004000)(59.923000 -3.039000 12.004000)(34.276001 49.245998 0.003998)(43.487999 41.338001 0.003998)(59.923000 -3.039000 0.003998)(43.487999 41.338001 12.004000)(50.918999 31.738003 0.003998)(43.487999 41.338001 0.003998)(59.923000 -3.039000 12.004000)(34.276001 49.245998 12.004000)(23.662001 55.137001 12.004000)(43.487999 41.338001 0.003998)(34.276001 49.245998 12.004000)(43.487999 41.338001 12.004000)(-17.962000 -57.248001 0.003998)(-29.118000 -52.460999 0.003998)(59.923000 -3.039000 0.003998)(-6.070000 -59.691998 12.004000)(-17.962000 -57.248001 0.003998)(-6.070000 -59.691998 0.003998)(-6.070000 -59.691998 12.004000)(-6.070000 -59.691998 0.003998)(6.070000 -59.691998 12.004000)(6.070000 -59.691998 12.004000)(17.962000 -57.248997 12.004000)(59.923000 -3.039000 12.004000)(59.923000 -3.039000 0.003998)(23.662001 55.137001 0.003998)(34.276001 49.245998 0.003998)(34.276001 49.245998 12.004000)(43.487999 41.338001 0.003998)(34.276001 49.245998 0.003998)(59.923000 -3.039000 12.004000)(23.662001 55.137001 12.004000)(12.078000 58.772003 12.004000)(34.276001 49.245998 12.004000)(34.276001 49.245998 0.003998)(23.662001 55.137001 12.004000)(-29.118000 -52.460999 0.003998)(-39.081997 -45.524998 0.003998)(59.923000 -3.039000 0.003998)(-17.962000 -57.248001 12.004000)(-29.118000 -52.460999 0.003998)(-17.962000 -57.248001 0.003998)(-17.962000 -57.248001 12.004000)(-17.962000 -57.248001 0.003998)(-6.070000 -59.691998 12.004000)(6.070000 -59.691998 12.004000)(59.923000 -3.039000 12.004000)(-6.070000 -59.691998 12.004000)(59.923000 -3.039000 0.003998)(12.078000 58.772003 0.003998)(23.662001 55.137001 0.003998)(23.662001 55.137001 12.004000)(34.276001 49.245998 0.003998)(23.662001 55.137001 0.003998)(59.923000 -3.039000 12.004000)(12.078000 58.772003 12.004000)(0.000000 60.000000 12.004000)(23.662001 55.137001 12.004000)(23.662001 55.137001 0.003998)(12.078000 58.772003 12.004000)(-39.081997 -45.524998 0.003998)(-47.446999 -36.726002 0.003998)(59.923000 -3.039000 0.003998)(-29.118000 -52.460999 12.004000)(-39.081997 -45.524998 0.003998)(-29.118000 -52.460999 0.003998)(-29.118000 -52.460999 12.004000)(-29.118000 -52.460999 0.003998)(-17.962000 -57.248001 12.004000)(28.702900 -24.899601 12.004000)(59.923000 -3.039000 12.004000)(28.740000 -24.853100 12.004000)(28.740000 -24.853100 12.004000)(59.923000 -3.039000 12.004000)(28.868301 -24.653500 12.004000)(-6.070000 -59.691998 12.004000)(20.571800 -31.945400 12.004000)(20.522701 -31.978901 12.004000)(-6.070000 -59.691998 12.004000)(20.522701 -31.978901 12.004000)(14.185900 -34.872601 12.004000)(-6.070000 -59.691998 12.004000)(14.185900 -34.872601 12.004000)(-17.962000 -57.248001 12.004000)(20.571800 -31.945400 12.004000)(-6.070000 -59.691998 12.004000)(59.923000 -3.039000 12.004000)(28.702900 -24.899601 12.004000)(20.571800 -31.945400 12.004000)(59.923000 -3.039000 12.004000)(59.923000 -3.039000 0.003998)(0.000000 60.000000 0.003998)(12.078000 58.772003 0.003998)(12.078000 58.772003 12.004000)(23.662001 55.137001 0.003998)(12.078000 58.772003 0.003998)(30.348200 22.350199 12.004000)(59.923000 -3.039000 12.004000)(28.723200 24.878700 12.004000)(17.554300 33.333500 12.004000)(20.493601 31.991199 12.004000)(0.000000 60.000000 12.004000)(20.493601 31.991199 12.004000)(20.546301 31.966499 12.004000)(0.000000 60.000000 12.004000)(17.554300 33.333500 12.004000)(0.000000 60.000000 12.004000)(-12.078000 58.772003 12.004000)(28.723200 24.878700 12.004000)(59.923000 -3.039000 12.004000)(0.000000 60.000000 12.004000)(28.677299 24.920700 12.004000)(28.723200 24.878700 12.004000)(0.000000 60.000000 12.004000)(20.546301 31.966499 12.004000)(28.677299 24.920700 12.004000)(0.000000 60.000000 12.004000)(12.078000 58.772003 12.004000)(12.078000 58.772003 0.003998)(0.000000 60.000000 12.004000)(-47.446999 -36.726002 0.003998)(-53.868000 -26.423000 0.003998)(59.923000 -3.039000 0.003998)(-39.081997 -45.524998 0.003998)(-39.081997 -45.524998 12.004000)(-47.446999 -36.726002 0.003998)(-39.081997 -45.524998 12.004000)(-39.081997 -45.524998 0.003998)(-29.118000 -52.460999 12.004000)(10.735400 -36.448299 12.004000)(-17.962000 -57.248001 12.004000)(14.185900 -34.872601 12.004000)(10.678500 -36.465897 12.004000)(-17.962000 -57.248001 12.004000)(10.735400 -36.448299 12.004000)(-2.435660 -37.650997 12.004000)(-29.118000 -52.460999 12.004000)(-7.466040 -46.060303 12.004000)(-29.118000 -52.460999 12.004000)(-17.962000 -57.248001 12.004000)(-7.466040 -46.060303 12.004000)(10.678500 -36.465897 12.004000)(0.028736 -37.996799 12.004000)(-7.466040 -46.060303 12.004000)(0.028736 -37.996799 12.004000)(-0.030731 -37.996799 12.004000)(-7.466040 -46.060303 12.004000)(-0.030731 -37.996799 12.004000)(-2.435660 -37.650997 12.004000)(-7.466040 -46.060303 12.004000)(-17.962000 -57.248001 12.004000)(10.678500 -36.465897 12.004000)(-7.466040 -46.060303 12.004000)(28.868301 -24.653500 12.004000)(59.923000 -3.039000 12.004000)(33.241001 -17.848801 12.004000)(31.792202 -20.420101 48.383499)(33.241001 -17.848801 12.004000)(34.556301 -15.801899 12.004000)(31.792202 -20.420101 48.383499)(28.868301 -24.653500 12.004000)(33.241001 -17.848801 12.004000)(31.792202 -20.420101 48.383499)(28.740000 -24.853100 12.004000)(28.868301 -24.653500 12.004000)(31.792202 -20.420101 48.383499)(32.908997 -18.998999 84.763000)(28.740000 -24.853100 12.004000)(31.792202 -20.420101 48.383499)(34.556301 -15.801899 12.004000)(32.908997 -18.998999 84.763000)(28.702900 -24.899601 12.004000)(28.740000 -24.853100 12.004000)(25.846001 -27.855999 84.763000)(28.740000 -24.853100 12.004000)(32.908997 -18.998999 84.763000)(25.846001 -27.855999 84.763000)(25.846001 -27.855999 84.763000)(20.571800 -31.945400 12.004000)(28.702900 -24.899601 12.004000)(20.571800 -31.945400 12.004000)(25.846001 -27.855999 84.763000)(16.487001 -34.236000 84.763000)(20.522701 -31.978901 12.004000)(20.571800 -31.945400 12.004000)(16.487001 -34.236000 84.763000)(10.735400 -36.448299 12.004000)(14.185900 -34.872601 12.004000)(15.707299 -34.384998 48.383499)(14.185900 -34.872601 12.004000)(20.522701 -31.978901 12.004000)(15.707299 -34.384998 48.383499)(20.522701 -31.978901 12.004000)(16.487001 -34.236000 84.763000)(15.707299 -34.384998 48.383499)(16.487001 -34.236000 84.763000)(10.735400 -36.448299 12.004000)(15.707299 -34.384998 48.383499)(59.923000 -3.039000 0.003998)(-12.078000 58.772003 0.003998)(0.000000 60.000000 0.003998)(0.000000 60.000000 12.004000)(12.078000 58.772003 0.003998)(0.000000 60.000000 0.003998)(35.000801 14.307600 12.004000)(59.923000 -3.039000 12.004000)(34.569199 15.776999 12.004000)(34.539497 15.828500 12.004000)(59.923000 -3.039000 12.004000)(30.348200 22.350199 12.004000)(34.569199 15.776999 12.004000)(59.923000 -3.039000 12.004000)(34.539497 15.828500 12.004000)(0.000000 60.000000 12.004000)(0.000000 60.000000 0.003998)(-12.078000 58.772003 12.004000)(-12.078000 58.772003 12.004000)(10.706300 36.460602 12.004000)(17.554300 33.333500 12.004000)(1.210410 37.826698 12.004000)(10.648800 36.469097 12.004000)(-3.053370 46.052700 12.004000)(10.648800 36.469097 12.004000)(10.706300 36.460602 12.004000)(-3.053370 46.052700 12.004000)(-12.078000 58.772003 12.004000)(-23.661001 55.138000 12.004000)(-3.053370 46.052700 12.004000)(-23.661001 55.138000 12.004000)(1.210410 37.826698 12.004000)(-3.053370 46.052700 12.004000)(10.706300 36.460602 12.004000)(-12.078000 58.772003 12.004000)(-3.053370 46.052700 12.004000)(10.952499 36.386501 84.763000)(20.493601 31.991199 12.004000)(17.554300 33.333500 12.004000)(10.952499 36.386501 84.763000)(17.554300 33.333500 12.004000)(10.706300 36.460602 12.004000)(10.952499 36.386501 84.763000)(20.974998 31.683002 84.763000)(20.493601 31.991199 12.004000)(20.974998 31.683002 84.763000)(20.546301 31.966499 12.004000)(20.493601 31.991199 12.004000)(28.677299 24.920700 12.004000)(20.546301 31.966499 12.004000)(20.974998 31.683002 84.763000)(28.677299 24.920700 12.004000)(20.974998 31.683002 84.763000)(29.709000 23.693001 84.763000)(28.723200 24.878700 12.004000)(28.677299 24.920700 12.004000)(29.709000 23.693001 84.763000)(30.348200 22.350199 12.004000)(28.723200 24.878700 12.004000)(29.709000 23.693001 84.763000)(34.539497 15.828500 12.004000)(30.348200 22.350199 12.004000)(29.709000 23.693001 84.763000)(-53.868000 -26.423000 0.003998)(-58.084999 -15.039000 0.003998)(59.923000 -3.039000 0.003998)(-47.446999 -36.726002 0.003998)(-47.446999 -36.726002 12.004000)(-53.868000 -26.423000 0.003998)(-47.446999 -36.726002 0.003998)(-39.081997 -45.524998 12.004000)(-47.446999 -36.726002 12.004000)(-10.736401 -36.448299 12.004000)(-14.221700 -34.856701 12.004000)(-20.758801 -43.658901 12.004000)(-14.221700 -34.856701 12.004000)(-39.081997 -45.524998 12.004000)(-20.758801 -43.658901 12.004000)(-39.081997 -45.524998 12.004000)(-29.118000 -52.460999 12.004000)(-20.758801 -43.658901 12.004000)(-29.118000 -52.460999 12.004000)(-2.435660 -37.650997 12.004000)(-20.758801 -43.658901 12.004000)(-2.435660 -37.650997 12.004000)(-10.679501 -36.465897 12.004000)(-20.758801 -43.658901 12.004000)(-10.679501 -36.465897 12.004000)(-10.736401 -36.448299 12.004000)(-20.758801 -43.658901 12.004000)(16.487001 -34.236000 84.763000)(5.663000 -37.575001 84.763000)(10.735400 -36.448299 12.004000)(5.663000 -37.575001 84.763000)(10.678500 -36.465897 12.004000)(10.735400 -36.448299 12.004000)(0.028736 -37.996799 12.004000)(10.678500 -36.465897 12.004000)(5.663000 -37.575001 84.763000)(-0.000500 -37.785900 48.383499)(-0.030731 -37.996799 12.004000)(0.028736 -37.996799 12.004000)(-0.000500 -37.785900 48.383499)(-5.664000 -37.575001 84.763000)(-0.030731 -37.996799 12.004000)(-0.000500 -37.785900 48.383499)(5.663000 -37.575001 84.763000)(-5.664000 -37.575001 84.763000)(-0.000500 -37.785900 48.383499)(0.028736 -37.996799 12.004000)(5.663000 -37.575001 84.763000)(-10.679501 -36.465897 12.004000)(-2.435660 -37.650997 12.004000)(-5.382460 -37.421402 48.383499)(-2.435660 -37.650997 12.004000)(-0.030731 -37.996799 12.004000)(-5.382460 -37.421402 48.383499)(-0.030731 -37.996799 12.004000)(-5.664000 -37.575001 84.763000)(-5.382460 -37.421402 48.383499)(-5.664000 -37.575001 84.763000)(-10.679501 -36.465897 12.004000)(-5.382460 -37.421402 48.383499)(33.241001 -17.848801 12.004000)(59.923000 -3.039000 12.004000)(34.556301 -15.801899 12.004000)(34.556301 -15.801899 12.004000)(59.923000 -3.039000 12.004000)(34.577999 -15.746500 12.004000)(34.577999 -15.746500 12.004000)(59.923000 -3.039000 12.004000)(35.193398 -13.651199 12.004000)(34.556301 -15.801899 12.004000)(34.577999 -15.746500 12.004000)(32.908997 -18.998999 84.763000)(34.577999 -15.746500 12.004000)(37.046997 -8.455000 84.763000)(32.908997 -18.998999 84.763000)(45.466000 -26.250000 109.619995)(25.846001 -27.855999 84.763000)(32.908997 -18.998999 84.763000)(25.846001 -27.855999 84.763000)(35.709000 -38.485001 109.619995)(16.487001 -34.236000 84.763000)(-23.661001 55.138000 0.003998)(-12.078000 58.772003 0.003998)(59.923000 -3.039000 0.003998)(-12.078000 58.772003 12.004000)(0.000000 60.000000 0.003998)(-12.078000 58.772003 0.003998)(36.199303 10.648701 48.383499)(35.000801 14.307600 12.004000)(34.569199 15.776999 12.004000)(36.199303 10.648701 48.383499)(36.233700 10.109700 12.004000)(35.000801 14.307600 12.004000)(36.199303 10.648701 48.383499)(37.236099 6.696780 12.004000)(36.233700 10.109700 12.004000)(36.199303 10.648701 48.383499)(37.601200 5.453490 12.004000)(37.236099 6.696780 12.004000)(36.199303 10.648701 48.383499)(35.372997 13.884000 84.763000)(37.601200 5.453490 12.004000)(36.199303 10.648701 48.383499)(34.569199 15.776999 12.004000)(35.372997 13.884000 84.763000)(36.233700 10.109700 12.004000)(59.923000 -3.039000 12.004000)(35.000801 14.307600 12.004000)(34.569199 15.776999 12.004000)(34.539497 15.828500 12.004000)(35.372997 13.884000 84.763000)(34.539497 15.828500 12.004000)(29.709000 23.693001 84.763000)(35.372997 13.884000 84.763000)(-0.001000 38.000000 84.763000)(10.648800 36.469097 12.004000)(1.210410 37.826698 12.004000)(-0.001000 38.000000 84.763000)(1.210410 37.826698 12.004000)(-0.001000 38.000999 12.004000)(-0.001000 38.000000 84.763000)(10.952499 36.386501 84.763000)(10.648800 36.469097 12.004000)(10.952499 36.386501 84.763000)(10.706300 36.460602 12.004000)(10.648800 36.469097 12.004000)(-12.078000 58.772003 12.004000)(-12.078000 58.772003 0.003998)(-23.661001 55.138000 12.004000)(-23.661001 55.138000 12.004000)(-0.001000 38.000999 12.004000)(1.210410 37.826698 12.004000)(-0.058500 37.992500 12.004000)(-0.001000 38.000999 12.004000)(-16.532799 45.732498 12.004000)(-23.661001 55.138000 12.004000)(-34.276001 49.245998 12.004000)(-16.532799 45.732498 12.004000)(-34.276001 49.245998 12.004000)(-11.000700 36.327103 12.004000)(-16.532799 45.732498 12.004000)(-11.000700 36.327103 12.004000)(-10.708301 36.460602 12.004000)(-16.532799 45.732498 12.004000)(-10.708301 36.460602 12.004000)(-0.058500 37.992500 12.004000)(-16.532799 45.732498 12.004000)(-0.001000 38.000999 12.004000)(-23.661001 55.138000 12.004000)(-16.532799 45.732498 12.004000)(10.952499 36.386501 84.763000)(15.474000 50.167999 109.619995)(20.974998 31.683002 84.763000)(29.573999 43.377998 109.619995)(29.709000 23.693001 84.763000)(20.974998 31.683002 84.763000)(-58.084999 -15.039000 0.003998)(-59.923000 -3.039000 0.003998)(59.923000 -3.039000 0.003998)(-53.868000 -26.423000 0.003998)(-53.868000 -26.423000 12.004000)(-58.084999 -15.039000 0.003998)(-47.446999 -36.726002 12.004000)(-53.868000 -26.423000 12.004000)(-53.868000 -26.423000 0.003998)(-23.666300 -29.264900 12.004000)(-47.446999 -36.726002 12.004000)(-30.834398 -37.394901 12.004000)(-47.446999 -36.726002 12.004000)(-39.081997 -45.524998 12.004000)(-30.834398 -37.394901 12.004000)(-39.081997 -45.524998 12.004000)(-14.221700 -34.856701 12.004000)(-30.834398 -37.394901 12.004000)(-14.221700 -34.856701 12.004000)(-20.523701 -31.978901 12.004000)(-30.834398 -37.394901 12.004000)(-20.523701 -31.978901 12.004000)(-20.572800 -31.945400 12.004000)(-30.834398 -37.394901 12.004000)(-20.572800 -31.945400 12.004000)(-23.666300 -29.264900 12.004000)(-30.834398 -37.394901 12.004000)(-15.708300 -34.384998 48.383499)(-20.523701 -31.978901 12.004000)(-14.221700 -34.856701 12.004000)(-15.708300 -34.384998 48.383499)(-16.488001 -34.236000 84.763000)(-20.523701 -31.978901 12.004000)(-15.708300 -34.384998 48.383499)(-10.736401 -36.448299 12.004000)(-16.488001 -34.236000 84.763000)(-15.708300 -34.384998 48.383499)(-14.221700 -34.856701 12.004000)(-10.736401 -36.448299 12.004000)(-5.664000 -37.575001 84.763000)(-16.488001 -34.236000 84.763000)(-10.736401 -36.448299 12.004000)(-5.664000 -37.575001 84.763000)(-10.736401 -36.448299 12.004000)(-10.679501 -36.465897 12.004000)(5.663000 -37.575001 84.763000)(16.487001 -34.236000 84.763000)(22.779001 -47.299999 109.619995)(5.663000 -37.575001 84.763000)(7.824000 -51.913002 109.619995)(-5.664000 -37.575001 84.763000)(36.244797 -10.629000 48.383499)(36.922001 -7.765700 12.004000)(37.610001 -5.423000 12.004000)(36.244797 -10.629000 48.383499)(36.116501 -10.508200 12.004000)(36.922001 -7.765700 12.004000)(36.244797 -10.629000 48.383499)(35.193398 -13.651199 12.004000)(36.116501 -10.508200 12.004000)(36.244797 -10.629000 48.383499)(34.577999 -15.746500 12.004000)(35.193398 -13.651199 12.004000)(36.244797 -10.629000 48.383499)(37.046997 -8.455000 84.763000)(34.577999 -15.746500 12.004000)(36.244797 -10.629000 48.383499)(37.610001 -5.423000 12.004000)(37.046997 -8.455000 84.763000)(35.193398 -13.651199 12.004000)(59.923000 -3.039000 12.004000)(36.116501 -10.508200 12.004000)(51.182999 -11.682000 109.619995)(32.908997 -18.998999 84.763000)(37.046997 -8.455000 84.763000)(51.182999 -11.682000 109.619995)(45.466000 -26.250000 109.619995)(32.908997 -18.998999 84.763000)(45.466000 -26.250000 109.619995)(35.709000 -38.485001 109.619995)(25.846001 -27.855999 84.763000)(22.779001 -47.299999 109.619995)(16.487001 -34.236000 84.763000)(35.709000 -38.485001 109.619995)(-34.276001 49.245998 0.003998)(-23.661001 55.138000 0.003998)(59.923000 -3.039000 0.003998)(-12.078000 58.772003 0.003998)(-23.661001 55.138000 0.003998)(-23.661001 55.138000 12.004000)(37.236099 6.696780 12.004000)(59.923000 -3.039000 12.004000)(36.233700 10.109700 12.004000)(37.614498 3.960370 12.004000)(59.923000 -3.039000 12.004000)(37.614498 5.395510 12.004000)(37.614498 5.395510 12.004000)(59.923000 -3.039000 12.004000)(37.601200 5.453490 12.004000)(37.601200 5.453490 12.004000)(59.923000 -3.039000 12.004000)(37.236099 6.696780 12.004000)(37.893002 2.840000 84.763000)(37.614498 5.395510 12.004000)(37.601200 5.453490 12.004000)(35.372997 13.884000 84.763000)(37.893002 2.840000 84.763000)(37.601200 5.453490 12.004000)(29.709000 23.693001 84.763000)(49.930000 16.224001 109.619995)(35.372997 13.884000 84.763000)(-0.058500 37.992500 12.004000)(-10.953500 36.386501 84.763000)(-0.001000 38.000000 84.763000)(-0.001000 38.000999 12.004000)(-0.058500 37.992500 12.004000)(-0.001000 38.000000 84.763000)(-0.001000 52.500000 109.619995)(10.952499 36.386501 84.763000)(-0.001000 38.000000 84.763000)(-23.661001 55.138000 12.004000)(-23.661001 55.138000 0.003998)(-34.276001 49.245998 12.004000)(-20.494600 31.991199 12.004000)(-11.000700 36.327103 12.004000)(-27.243801 40.448101 12.004000)(-11.000700 36.327103 12.004000)(-34.276001 49.245998 12.004000)(-27.243801 40.448101 12.004000)(-34.276001 49.245998 12.004000)(-43.487000 41.338001 12.004000)(-27.243801 40.448101 12.004000)(-43.487000 41.338001 12.004000)(-20.911800 31.650200 12.004000)(-27.243801 40.448101 12.004000)(-20.911800 31.650200 12.004000)(-20.545000 31.968000 12.004000)(-27.243801 40.448101 12.004000)(-20.545000 31.968000 12.004000)(-20.494600 31.991199 12.004000)(-27.243801 40.448101 12.004000)(-11.000700 36.327103 12.004000)(-20.494600 31.991199 12.004000)(-10.953500 36.386501 84.763000)(-10.708301 36.460602 12.004000)(-11.000700 36.327103 12.004000)(-10.953500 36.386501 84.763000)(-0.058500 37.992500 12.004000)(-10.708301 36.460602 12.004000)(-10.953500 36.386501 84.763000)(-0.001000 52.500000 109.619995)(15.474000 50.167999 109.619995)(10.952499 36.386501 84.763000)(29.573999 43.377998 109.619995)(20.974998 31.683002 84.763000)(15.474000 50.167999 109.619995)(29.709000 23.693001 84.763000)(29.573999 43.377998 109.619995)(44.327000 28.131001 109.619995)(-59.923000 -3.039000 0.003998)(-59.307999 9.085999 0.003998)(59.923000 -3.039000 0.003998)(-58.084999 -15.039000 12.004000)(-59.923000 -3.039000 0.003998)(-58.084999 -15.039000 0.003998)(-53.868000 -26.423000 12.004000)(-58.084999 -15.039000 12.004000)(-58.084999 -15.039000 0.003998)(-28.703899 -24.899601 12.004000)(-28.716200 -24.887100 12.004000)(-38.767097 -29.200699 12.004000)(-28.716200 -24.887100 12.004000)(-30.765499 -21.675400 12.004000)(-38.767097 -29.200699 12.004000)(-30.765499 -21.675400 12.004000)(-53.868000 -26.423000 12.004000)(-38.767097 -29.200699 12.004000)(-53.868000 -26.423000 12.004000)(-47.446999 -36.726002 12.004000)(-38.767097 -29.200699 12.004000)(-47.446999 -36.726002 12.004000)(-23.666300 -29.264900 12.004000)(-38.767097 -29.200699 12.004000)(-23.666300 -29.264900 12.004000)(-28.703899 -24.899601 12.004000)(-38.767097 -29.200699 12.004000)(-20.572800 -31.945400 12.004000)(-16.488001 -34.236000 84.763000)(-25.846998 -27.855999 84.763000)(-20.572800 -31.945400 12.004000)(-20.523701 -31.978901 12.004000)(-16.488001 -34.236000 84.763000)(-28.703899 -24.899601 12.004000)(-23.666300 -29.264900 12.004000)(-24.757401 -28.559801 48.383499)(-23.666300 -29.264900 12.004000)(-20.572800 -31.945400 12.004000)(-24.757401 -28.559801 48.383499)(-20.572800 -31.945400 12.004000)(-25.846998 -27.855999 84.763000)(-24.757401 -28.559801 48.383499)(-25.846998 -27.855999 84.763000)(-28.703899 -24.899601 12.004000)(-24.757401 -28.559801 48.383499)(-16.488001 -34.236000 84.763000)(-5.664000 -37.575001 84.763000)(-7.825000 -51.913002 109.619995)(7.824000 -51.913002 109.619995)(5.663000 -37.575001 84.763000)(22.779001 -47.299999 109.619995)(-7.825000 -51.913002 109.619995)(-5.664000 -37.575001 84.763000)(7.824000 -51.913002 109.619995)(36.922001 -7.765700 12.004000)(59.923000 -3.039000 12.004000)(37.610001 -5.423000 12.004000)(37.610001 -5.423000 12.004000)(59.923000 -3.039000 12.004000)(37.614498 -5.363700 12.004000)(37.614498 -5.363700 12.004000)(59.923000 -3.039000 12.004000)(37.614498 -5.307510 12.004000)(36.116501 -10.508200 12.004000)(59.923000 -3.039000 12.004000)(36.922001 -7.765700 12.004000)(37.610001 -5.423000 12.004000)(37.614498 -5.363700 12.004000)(37.046997 -8.455000 84.763000)(37.614498 -5.363700 12.004000)(37.893002 2.840000 84.763000)(37.046997 -8.455000 84.763000)(51.182999 -11.682000 109.619995)(37.046997 -8.455000 84.763000)(52.352997 3.924000 109.619995)(45.466000 -26.250000 109.619995)(51.182999 -11.682000 109.619995)(47.502998 -22.352999 208.619995)(40.452000 -33.465000 208.619995)(35.709000 -38.485001 109.619995)(45.466000 -26.250000 109.619995)(22.779001 -47.299999 109.619995)(35.709000 -38.485001 109.619995)(30.858999 -42.473000 208.619995)(-43.487000 41.338001 0.003998)(-34.276001 49.245998 0.003998)(59.923000 -3.039000 0.003998)(-23.661001 55.138000 0.003998)(-34.276001 49.245998 0.003998)(-34.276001 49.245998 12.004000)(37.753700 0.015905 48.383499)(37.614498 3.960370 12.004000)(37.614498 5.395510 12.004000)(37.753700 0.015905 48.383499)(37.614498 1.545470 12.004000)(37.614498 3.960370 12.004000)(37.753700 0.015905 48.383499)(37.614498 -0.770371 12.004000)(37.614498 1.545470 12.004000)(37.753700 0.015905 48.383499)(37.614498 -3.039000 12.004000)(37.614498 -0.770371 12.004000)(37.753700 0.015905 48.383499)(37.614498 -5.307510 12.004000)(37.614498 -3.039000 12.004000)(37.753700 0.015905 48.383499)(37.614498 -5.363700 12.004000)(37.614498 -5.307510 12.004000)(37.753700 0.015905 48.383499)(37.893002 2.840000 84.763000)(37.614498 -5.363700 12.004000)(37.753700 0.015905 48.383499)(37.614498 5.395510 12.004000)(37.893002 2.840000 84.763000)(37.614498 1.545470 12.004000)(59.923000 -3.039000 12.004000)(37.614498 3.960370 12.004000)(35.372997 13.884000 84.763000)(49.930000 16.224001 109.619995)(37.893002 2.840000 84.763000)(44.327000 28.131001 109.619995)(49.930000 16.224001 109.619995)(29.709000 23.693001 84.763000)(-10.953500 36.386501 84.763000)(-15.475000 50.167999 109.619995)(-0.001000 38.000000 84.763000)(-15.475000 50.167999 109.619995)(-0.001000 52.500000 109.619995)(-0.001000 38.000000 84.763000)(-34.276001 49.245998 12.004000)(-34.276001 49.245998 0.003998)(-43.487000 41.338001 12.004000)(-28.676100 24.922199 12.004000)(-20.911800 31.650200 12.004000)(-35.915401 33.064602 12.004000)(-20.911800 31.650200 12.004000)(-43.487000 41.338001 12.004000)(-35.915401 33.064602 12.004000)(-43.487000 41.338001 12.004000)(-50.918999 31.738003 12.004000)(-35.915401 33.064602 12.004000)(-50.918999 31.738003 12.004000)(-28.778101 24.791201 12.004000)(-35.915401 33.064602 12.004000)(-28.778101 24.791201 12.004000)(-28.716200 24.888100 12.004000)(-35.915401 33.064602 12.004000)(-28.716200 24.888100 12.004000)(-28.676100 24.922199 12.004000)(-35.915401 33.064602 12.004000)(-20.911800 31.650200 12.004000)(-28.676100 24.922199 12.004000)(-20.545000 31.968000 84.763000)(-20.545000 31.968000 12.004000)(-20.911800 31.650200 12.004000)(-20.545000 31.968000 84.763000)(-20.545000 31.968000 84.763000)(-10.953500 36.386501 84.763000)(-20.494600 31.991199 12.004000)(-20.545000 31.968000 84.763000)(-20.494600 31.991199 12.004000)(-20.545000 31.968000 12.004000)(15.474000 50.167999 109.619995)(-0.001000 52.500000 109.619995)(0.000000 52.500000 153.419998)(13.056000 50.850998 153.419998)(29.573999 43.377998 109.619995)(15.474000 50.167999 109.619995)(44.327000 28.131001 109.619995)(29.573999 43.377998 109.619995)(35.938000 38.271000 208.619995)(-59.307999 9.085999 0.003998)(-56.264999 20.837999 0.003998)(59.923000 -3.039000 0.003998)(-59.923000 -3.039000 0.003998)(-59.923000 -3.039000 12.004000)(-59.307999 9.085999 0.003998)(-59.923000 -3.039000 0.003998)(-58.084999 -15.039000 12.004000)(-59.923000 -3.039000 12.004000)(-30.765499 -21.675400 12.004000)(-34.634998 -15.611100 12.004000)(-34.767399 -15.611100 12.004000)(-50.121799 -15.611100 12.004000)(-50.136902 -15.572200 12.004000)(-58.084999 -15.039000 12.004000)(-50.136902 -15.572200 12.004000)(-50.144798 -15.547800 12.004000)(-58.084999 -15.039000 12.004000)(-50.144798 -15.547800 12.004000)(-50.465401 -14.264200 12.004000)(-58.084999 -15.039000 12.004000)(-53.868000 -26.423000 12.004000)(-50.121799 -15.611100 12.004000)(-58.084999 -15.039000 12.004000)(-34.767399 -15.611100 12.004000)(-50.121799 -15.611100 12.004000)(-44.425301 -20.343599 12.004000)(-53.868000 -26.423000 12.004000)(-30.765499 -21.675400 12.004000)(-44.425301 -20.343599 12.004000)(-30.765499 -21.675400 12.004000)(-34.767399 -15.611100 12.004000)(-44.425301 -20.343599 12.004000)(-50.121799 -15.611100 12.004000)(-53.868000 -26.423000 12.004000)(-44.425301 -20.343599 12.004000)(-28.195000 -25.476999 84.763000)(-28.716200 -24.887100 12.004000)(-28.703899 -24.899601 12.004000)(-25.846998 -27.855999 84.763000)(-28.195000 -25.476999 84.763000)(-28.703899 -24.899601 12.004000)(-28.195000 -25.476999 84.763000)(-34.634998 -15.611100 12.004000)(-30.765499 -21.675400 12.004000)(-28.195000 -25.476999 84.763000)(-30.765499 -21.675400 12.004000)(-28.716200 -24.887100 12.004000)(-25.846998 -27.855999 84.763000)(-16.488001 -34.236000 84.763000)(-22.779001 -47.301003 109.619995)(-16.488001 -34.236000 84.763000)(-7.825000 -51.913002 109.619995)(-22.779001 -47.301003 109.619995)(7.824000 -51.913002 109.619995)(22.779001 -47.299999 109.619995)(17.000000 -49.671001 153.419998)(7.824000 -51.913002 109.619995)(6.580000 -52.085999 153.419998)(-7.825000 -51.913002 109.619995)(37.614498 -5.307510 12.004000)(59.923000 -3.039000 12.004000)(37.614498 -3.039000 12.004000)(52.352997 3.924000 109.619995)(37.046997 -8.455000 84.763000)(37.893002 2.840000 84.763000)(51.182999 -11.682000 109.619995)(52.352997 3.924000 109.619995)(52.396000 3.297000 208.619995)(51.182999 -11.682000 109.619995)(51.570000 -9.837000 208.619995)(47.502998 -22.352999 208.619995)(45.466000 -26.250000 109.619995)(47.502998 -22.352999 208.619995)(40.452000 -33.465000 208.619995)(35.709000 -38.485001 109.619995)(40.452000 -33.465000 208.619995)(30.858999 -42.473000 208.619995)(22.779001 -47.299999 109.619995)(30.858999 -42.473000 208.619995)(19.327000 -48.813000 208.619995)(-50.918999 31.738003 0.003998)(-43.487000 41.338001 0.003998)(59.923000 -3.039000 0.003998)(-43.487000 41.338001 12.004000)(-34.276001 49.245998 0.003998)(-43.487000 41.338001 0.003998)(37.614498 -0.770371 12.004000)(59.923000 -3.039000 12.004000)(37.614498 1.545470 12.004000)(37.614498 -3.039000 12.004000)(59.923000 -3.039000 12.004000)(37.614498 -0.770371 12.004000)(49.930000 16.224001 109.619995)(52.352997 3.924000 109.619995)(37.893002 2.840000 84.763000)(49.930000 16.224001 109.619995)(44.327000 28.131001 109.619995)(44.327000 28.131001 208.619995)(-15.475000 50.167999 109.619995)(-10.953500 36.386501 84.763000)(-29.574999 43.377998 109.619995)(-0.001000 52.500000 109.619995)(-15.475000 50.167999 109.619995)(-13.057000 50.850998 153.419998)(-43.487000 41.338001 0.003998)(-50.918999 31.738003 12.004000)(-43.487000 41.338001 12.004000)(-28.778101 24.791201 12.004000)(-50.918999 31.738003 12.004000)(-42.521500 24.020201 12.004000)(-50.918999 31.738003 12.004000)(-56.264999 20.837999 12.004000)(-42.521500 24.020201 12.004000)(-56.264999 20.837999 12.004000)(-34.194500 16.302399 12.004000)(-42.521500 24.020201 12.004000)(-34.194500 16.302399 12.004000)(-28.778101 24.791201 12.004000)(-42.521500 24.020201 12.004000)(-28.716200 24.888100 12.004000)(-28.778101 24.791201 12.004000)(-28.195000 25.476999 84.763000)(-28.778101 24.791201 12.004000)(-34.194500 16.302399 12.004000)(-28.195000 25.476999 84.763000)(-34.194500 16.302399 12.004000)(-34.634998 15.612101 12.004000)(-28.195000 25.476999 84.763000)(-28.676100 24.922199 12.004000)(-28.195000 25.476999 84.763000)(-20.545000 31.968000 84.763000)(-28.676100 24.922199 12.004000)(-28.716200 24.888100 12.004000)(-28.195000 25.476999 84.763000)(-29.574999 43.377998 109.619995)(-10.953500 36.386501 84.763000)(-20.545000 31.968000 84.763000)(-0.001000 52.500000 109.619995)(-13.057000 50.850998 153.419998)(0.000000 52.500000 153.419998)(15.474000 50.167999 109.619995)(0.000000 52.500000 153.419998)(13.056000 50.850998 153.419998)(29.573999 43.377998 109.619995)(13.056000 50.850998 153.419998)(17.000000 49.672001 153.419998)(25.292000 46.006001 208.619995)(35.938000 38.271000 208.619995)(29.573999 43.377998 109.619995)(44.327000 28.131001 109.619995)(35.938000 38.271000 208.619995)(44.327000 28.131001 208.619995)(-56.264999 20.837999 0.003998)(-50.918999 31.738003 0.003998)(59.923000 -3.039000 0.003998)(-59.307999 9.085999 0.003998)(-59.307999 9.085999 12.004000)(-56.264999 20.837999 0.003998)(-59.307999 9.085999 0.003998)(-59.923000 -3.039000 12.004000)(-59.307999 9.085999 12.004000)(-51.998501 -3.039000 12.004000)(-59.923000 -3.039000 12.004000)(-55.194199 -9.039000 12.004000)(-59.923000 -3.039000 12.004000)(-58.084999 -15.039000 12.004000)(-55.194199 -9.039000 12.004000)(-58.084999 -15.039000 12.004000)(-50.465401 -14.264200 12.004000)(-55.194199 -9.039000 12.004000)(-50.465401 -14.264200 12.004000)(-51.570999 -9.837000 12.004000)(-55.194199 -9.039000 12.004000)(-51.570999 -9.837000 12.004000)(-51.998501 -3.039000 12.004000)(-55.194199 -9.039000 12.004000)(-34.767399 -15.611100 12.004000)(-34.634998 -15.611100 12.004000)(-37.849503 -20.543900 48.383499)(-34.634998 -15.611100 12.004000)(-28.195000 -25.476999 84.763000)(-37.849503 -20.543900 48.383499)(-28.195000 -25.476999 84.763000)(-47.504002 -22.352999 61.726002)(-37.849503 -20.543900 48.383499)(-47.504002 -22.352999 61.726002)(-34.767399 -15.611100 12.004000)(-37.849503 -20.543900 48.383499)(-50.121799 -15.611100 12.004000)(-34.767399 -15.611100 12.004000)(-47.504002 -22.352999 61.726002)(-50.136902 -15.572200 12.004000)(-50.121799 -15.611100 12.004000)(-47.504002 -22.352999 61.726002)(-50.136902 -15.572200 12.004000)(-47.504002 -22.352999 61.726002)(-47.502998 -22.352999 208.619995)(-50.144798 -15.547800 12.004000)(-50.136902 -15.572200 12.004000)(-51.570000 -9.838000 208.619995)(-50.136902 -15.572200 12.004000)(-47.502998 -22.352999 208.619995)(-51.570000 -9.838000 208.619995)(-51.570000 -9.838000 208.619995)(-51.570999 -9.837000 12.004000)(-50.465401 -14.264200 12.004000)(-51.570000 -9.838000 208.619995)(-50.465401 -14.264200 12.004000)(-50.144798 -15.547800 12.004000)(-35.709000 -38.485001 109.619995)(-28.195000 -25.476999 84.763000)(-25.846998 -27.855999 84.763000)(-25.846998 -27.855999 84.763000)(-22.779001 -47.301003 109.619995)(-30.858999 -42.473000 109.619995)(-6.580000 -52.085999 153.419998)(-22.779001 -47.301003 109.619995)(-7.825000 -51.913002 109.619995)(19.327000 -48.813000 208.619995)(17.000000 -49.671001 153.419998)(22.779001 -47.299999 109.619995)(17.000000 -49.671001 153.419998)(6.580000 -52.085999 153.419998)(7.824000 -51.913002 109.619995)(-7.825000 -51.913002 109.619995)(6.580000 -52.085999 153.419998)(-6.580000 -52.085999 153.419998)(52.352997 3.924000 109.619995)(49.930000 16.224001 208.619995)(52.396000 3.297000 208.619995)(52.396000 3.297000 208.619995)(51.570000 -9.837000 208.619995)(51.182999 -11.682000 109.619995)(51.570000 -9.837000 208.619995)(60.353001 -18.068001 225.619995)(47.502998 -22.352999 208.619995)(47.502998 -22.352999 208.619995)(54.559998 -31.500000 225.619995)(40.452000 -33.465000 208.619995)(30.858999 -42.473000 208.619995)(40.452000 -33.465000 208.619995)(45.825001 -43.232998 225.619995)(19.327000 -48.813000 208.619995)(30.858999 -42.473000 208.619995)(34.618999 -52.636002 225.619995)(-50.918999 31.738003 12.004000)(-43.487000 41.338001 0.003998)(-50.918999 31.738003 0.003998)(52.352997 3.924000 109.619995)(49.930000 16.224001 109.619995)(49.930000 16.224001 208.619995)(44.327000 28.131001 208.619995)(49.930000 16.224001 208.619995)(49.930000 16.224001 109.619995)(-25.292000 46.006001 208.619995)(-15.475000 50.167999 109.619995)(-29.574999 43.377998 109.619995)(-17.000000 49.672001 153.419998)(-13.057000 50.850998 153.419998)(-15.475000 50.167999 109.619995)(-56.264999 20.837999 12.004000)(-50.918999 31.738003 12.004000)(-50.918999 31.738003 0.003998)(-34.634998 15.612101 12.004000)(-34.194500 16.302399 12.004000)(-50.026802 15.612101 12.004000)(-51.478901 8.289830 12.004000)(-50.146400 15.536099 12.004000)(-59.307999 9.085999 12.004000)(-50.117401 15.612101 12.004000)(-50.026802 15.612101 12.004000)(-56.264999 20.837999 12.004000)(-50.146400 15.536099 12.004000)(-50.141598 15.561300 12.004000)(-56.264999 20.837999 12.004000)(-50.141598 15.561300 12.004000)(-50.117401 15.612101 12.004000)(-56.264999 20.837999 12.004000)(-59.307999 9.085999 12.004000)(-50.146400 15.536099 12.004000)(-56.264999 20.837999 12.004000)(-50.026802 15.612101 12.004000)(-34.194500 16.302399 12.004000)(-56.264999 20.837999 12.004000)(-28.195000 25.476999 84.763000)(-34.634998 15.612101 12.004000)(-50.026802 15.612101 12.004000)(-35.938999 38.271000 109.619995)(-20.545000 31.968000 84.763000)(-28.195000 25.476999 84.763000)(-20.545000 31.968000 84.763000)(-35.938999 38.271000 109.619995)(-29.574999 43.377998 109.619995)(29.573999 43.377998 109.619995)(17.000000 49.672001 153.419998)(25.292000 46.006001 208.619995)(25.292000 46.006001 208.619995)(43.125999 45.924999 225.619995)(35.938000 38.271000 208.619995)(53.193001 33.757000 225.619995)(44.327000 28.131001 208.619995)(35.938000 38.271000 208.619995)(-56.264999 20.837999 12.004000)(-50.918999 31.738003 0.003998)(-56.264999 20.837999 0.003998)(-56.264999 20.837999 0.003998)(-59.307999 9.085999 12.004000)(-56.264999 20.837999 12.004000)(-51.478901 8.289830 12.004000)(-59.307999 9.085999 12.004000)(-55.700897 3.023500 12.004000)(-59.307999 9.085999 12.004000)(-59.923000 -3.039000 12.004000)(-55.700897 3.023500 12.004000)(-59.923000 -3.039000 12.004000)(-51.998501 -3.039000 12.004000)(-55.700897 3.023500 12.004000)(-51.998501 -3.039000 12.004000)(-52.395401 3.271400 12.004000)(-55.700897 3.023500 12.004000)(-55.700897 3.023500 12.004000)(-52.397003 3.297000 12.004000)(-52.395401 3.271400 12.004000)(-52.397003 3.297000 12.004000)(-51.478901 8.289830 12.004000)(-55.700897 3.023500 12.004000)(-51.570000 -9.838000 208.619995)(-52.395401 3.271400 12.004000)(-51.998501 -3.039000 12.004000)(-51.570000 -9.838000 208.619995)(-51.998501 -3.039000 12.004000)(-51.570999 -9.837000 12.004000)(-47.504002 -22.352999 61.726002)(-28.195000 -25.476999 84.763000)(-37.849503 -25.600201 85.672997)(-28.195000 -25.476999 84.763000)(-43.864998 -28.847000 109.619995)(-37.849503 -25.600201 85.672997)(-43.864998 -28.847000 109.619995)(-47.504002 -22.352999 61.726002)(-37.849503 -25.600201 85.672997)(-43.864998 -28.847000 109.619995)(-47.502998 -22.352999 208.619995)(-47.504002 -22.352999 61.726002)(-47.502998 -22.352999 208.619995)(-61.884003 -11.804999 225.619995)(-51.570000 -9.838000 208.619995)(-30.858999 -42.473000 109.619995)(-35.709000 -38.485001 109.619995)(-25.846998 -27.855999 84.763000)(-28.195000 -25.476999 84.763000)(-35.709000 -38.485001 109.619995)(-40.452000 -33.465000 109.619995)(-30.858999 -42.473000 208.619995)(-30.858999 -42.473000 109.619995)(-22.779001 -47.301003 109.619995)(-6.580000 -52.085999 153.419998)(-17.000000 -49.671001 153.419998)(-22.779001 -47.301003 109.619995)(19.327000 -48.813000 208.619995)(17.000000 -49.671001 201.919998)(17.000000 -49.671001 153.419998)(49.930000 16.224001 208.619995)(62.875999 3.956000 225.619995)(52.396000 3.297000 208.619995)(62.875999 3.956000 225.619995)(51.570000 -9.837000 208.619995)(52.396000 3.297000 208.619995)(61.884003 -11.804999 225.619995)(60.353001 -18.068001 225.619995)(51.570000 -9.837000 208.619995)(54.559998 -31.500000 225.619995)(47.502998 -22.352999 208.619995)(60.353001 -18.068001 225.619995)(40.452000 -33.465000 208.619995)(54.559998 -31.500000 225.619995)(45.825001 -43.232998 225.619995)(45.825001 -43.232998 225.619995)(34.618999 -52.636002 225.619995)(30.858999 -42.473000 208.619995)(21.547001 -59.201000 225.619995)(19.327000 -48.813000 208.619995)(34.618999 -52.636002 225.619995)(59.917000 19.468000 225.619995)(49.930000 16.224001 208.619995)(44.327000 28.131001 208.619995)(-17.000000 49.672001 153.419998)(-15.475000 50.167999 109.619995)(-25.292000 46.006001 208.619995)(-29.574999 43.377998 109.619995)(-35.938999 38.271000 208.619995)(-25.292000 46.006001 208.619995)(-43.864998 28.848000 109.619995)(-50.117401 15.612101 12.004000)(-46.585400 23.250200 68.337097)(-50.026802 15.612101 12.004000)(-50.117401 15.612101 12.004000)(-39.156197 22.229799 60.812000)(-50.117401 15.612101 12.004000)(-43.864998 28.848000 109.619995)(-39.156197 22.229799 60.812000)(-43.864998 28.848000 109.619995)(-28.195000 25.476999 84.763000)(-39.156197 22.229799 60.812000)(-28.195000 25.476999 84.763000)(-50.026802 15.612101 12.004000)(-39.156197 22.229799 60.812000)(-52.397003 3.296000 208.619995)(-50.146400 15.536099 12.004000)(-51.478901 8.289830 12.004000)(-52.397003 3.296000 208.619995)(-51.478901 8.289830 12.004000)(-52.397003 3.297000 12.004000)(-49.931000 16.223000 208.619995)(-50.141598 15.561300 12.004000)(-50.146400 15.536099 12.004000)(-52.397003 3.296000 208.619995)(-49.931000 16.223000 208.619995)(-50.146400 15.536099 12.004000)(-46.585400 23.250200 68.337097)(-50.117401 15.612101 12.004000)(-50.141598 15.561300 12.004000)(-49.931000 16.223000 208.619995)(-46.585400 23.250200 68.337097)(-50.141598 15.561300 12.004000)(-28.195000 25.476999 84.763000)(-41.047001 32.733002 109.619995)(-35.938999 38.271000 109.619995)(-35.938999 38.271000 208.619995)(-29.574999 43.377998 109.619995)(-35.938999 38.271000 109.619995)(17.000000 49.672001 201.919998)(25.292000 46.006001 208.619995)(17.000000 49.672001 153.419998)(43.125999 45.924999 225.619995)(25.292000 46.006001 208.619995)(30.350000 55.207001 225.619995)(35.938000 38.271000 208.619995)(43.125999 45.924999 225.619995)(53.193001 33.757000 225.619995)(59.917000 19.468000 225.619995)(44.327000 28.131001 208.619995)(53.193001 33.757000 225.619995)(-52.397003 3.296000 208.619995)(-52.397003 3.297000 12.004000)(-52.395401 3.271400 12.004000)(-51.570000 -9.838000 208.619995)(-52.397003 3.296000 208.619995)(-52.395401 3.271400 12.004000)(-28.195000 -25.476999 84.763000)(-40.452000 -33.465000 109.619995)(-43.864998 -28.847000 109.619995)(-43.864998 -28.847000 109.619995)(-40.452000 -33.465000 109.619995)(-47.502998 -22.352999 208.619995)(-61.884003 -11.804999 225.619995)(-47.502998 -22.352999 208.619995)(-57.004002 -26.823999 225.619995)(-62.875999 3.956000 225.619995)(-51.570000 -9.838000 208.619995)(-61.884003 -11.804999 225.619995)(-30.858999 -42.473000 208.619995)(-35.709000 -38.485001 109.619995)(-30.858999 -42.473000 109.619995)(-40.452000 -33.465000 109.619995)(-35.709000 -38.485001 109.619995)(-40.452000 -33.465000 208.619995)(-22.779001 -47.301003 109.619995)(-19.326000 -48.813000 208.619995)(-30.858999 -42.473000 208.619995)(-19.326000 -48.813000 208.619995)(-22.779001 -47.301003 109.619995)(-17.000000 -49.671001 153.419998)(19.327000 -48.813000 208.619995)(6.580000 -52.085999 201.919998)(17.000000 -49.671001 201.919998)(62.875999 3.956000 225.619995)(49.930000 16.224001 208.619995)(59.917000 19.468000 225.619995)(62.875999 3.956000 225.619995)(61.884003 -11.804999 225.619995)(51.570000 -9.837000 208.619995)(60.353001 -18.068001 225.619995)(61.884003 -11.804999 225.619995)(60.353001 -18.068001 229.619995)(60.353001 -18.068001 225.619995)(60.353001 -18.068001 229.619995)(54.559998 -31.500000 225.619995)(54.559998 -31.500000 225.619995)(54.559998 -31.500000 229.619995)(45.825001 -43.232998 225.619995)(45.825001 -43.232998 229.619995)(34.618999 -52.636002 225.619995)(45.825001 -43.232998 225.619995)(6.580000 -52.085999 208.619995)(19.327000 -48.813000 208.619995)(21.547001 -59.201000 225.619995)(21.547001 -59.201000 225.619995)(34.618999 -52.636002 225.619995)(34.618999 -52.636002 229.619995)(-17.000000 49.672001 153.419998)(-25.292000 46.006001 208.619995)(-17.000000 49.671001 201.919998)(-25.292000 46.006001 208.619995)(-35.938999 38.271000 208.619995)(-40.495998 48.261002 225.619995)(-44.327000 28.131001 208.619995)(-43.864998 28.848000 109.619995)(-46.585400 23.250200 68.337097)(-28.195000 25.476999 84.763000)(-43.864998 28.848000 109.619995)(-41.047001 32.733002 109.619995)(-52.397003 3.296000 208.619995)(-59.917000 19.468000 225.619995)(-49.931000 16.223000 208.619995)(-49.931000 16.223000 208.619995)(-44.327000 28.131001 208.619995)(-46.585400 23.250200 68.337097)(-35.938999 38.271000 109.619995)(-41.047001 32.733002 109.619995)(-35.938999 38.271000 208.619995)(13.056000 50.850998 208.619995)(25.292000 46.006001 208.619995)(17.000000 49.672001 201.919998)(13.056000 50.850998 208.619995)(30.350000 55.207001 225.619995)(25.292000 46.006001 208.619995)(40.495998 48.261002 229.619995)(43.125999 45.924999 225.619995)(30.350000 55.207001 225.619995)(43.125999 45.924999 225.619995)(50.534000 37.620998 229.619995)(53.193001 33.757000 225.619995)(53.193001 33.757000 225.619995)(57.848000 24.953001 229.619995)(59.917000 19.468000 225.619995)(-52.397003 3.296000 208.619995)(-51.570000 -9.838000 208.619995)(-62.875999 3.956000 225.619995)(-40.452000 -33.465000 109.619995)(-40.452000 -33.465000 208.619995)(-47.502998 -22.352999 208.619995)(-40.452000 -33.465000 208.619995)(-57.004002 -26.823999 225.619995)(-47.502998 -22.352999 208.619995)(-57.004002 -26.823999 225.619995)(-60.353001 -18.069000 229.619995)(-61.884003 -11.804999 225.619995)(-62.893002 -3.663000 229.619995)(-62.875999 3.956000 225.619995)(-61.884003 -11.804999 225.619995)(-35.709000 -38.485001 109.619995)(-30.858999 -42.473000 208.619995)(-40.452000 -33.465000 208.619995)(-37.029999 -50.967999 225.619995)(-30.858999 -42.473000 208.619995)(-19.326000 -48.813000 208.619995)(-19.326000 -48.813000 208.619995)(-17.000000 -49.671001 153.419998)(-17.000000 -49.671001 201.919998)(6.580000 -52.085999 208.619995)(6.580000 -52.085999 201.919998)(19.327000 -48.813000 208.619995)(59.917000 19.468000 225.619995)(62.042999 10.940001 229.619995)(62.875999 3.956000 225.619995)(62.875999 3.956000 225.619995)(62.893002 -3.663000 229.619995)(61.884003 -11.804999 225.619995)(61.884003 -11.804999 225.619995)(62.893002 -3.663000 229.619995)(60.353001 -18.068001 229.619995)(60.353001 -18.068001 229.619995)(54.559998 -31.500000 229.619995)(54.559998 -31.500000 225.619995)(45.825001 -43.232998 225.619995)(54.559998 -31.500000 229.619995)(45.825001 -43.232998 229.619995)(34.618999 -52.636002 225.619995)(45.825001 -43.232998 229.619995)(34.618999 -52.636002 229.619995)(6.580000 -52.085999 208.619995)(21.547001 -59.201000 225.619995)(7.314000 -62.573997 225.619995)(21.547001 -59.201000 225.619995)(34.618999 -52.636002 229.619995)(21.547998 -59.201000 229.619995)(-13.056000 50.850998 201.919998)(-17.000000 49.671001 201.919998)(-25.292000 46.006001 208.619995)(-50.534000 37.620998 225.619995)(-40.495998 48.261002 225.619995)(-35.938999 38.271000 208.619995)(-40.495998 48.261002 225.619995)(-28.275000 56.299000 225.619995)(-25.292000 46.006001 208.619995)(-44.327000 28.131001 208.619995)(-35.938999 38.271000 208.619995)(-43.864998 28.848000 109.619995)(-35.938999 38.271000 208.619995)(-41.047001 32.733002 109.619995)(-43.864998 28.848000 109.619995)(-59.917000 19.468000 225.619995)(-52.397003 3.296000 208.619995)(-62.875999 3.956000 225.619995)(-57.848000 24.953001 225.619995)(-49.931000 16.223000 208.619995)(-59.917000 19.468000 225.619995)(-49.931000 16.223000 208.619995)(-57.848000 24.953001 225.619995)(-44.327000 28.131001 208.619995)(13.056000 50.850998 208.619995)(17.000000 49.672001 201.919998)(13.056000 50.850998 201.919998)(13.056000 50.850998 208.619995)(15.667001 61.021000 225.619995)(30.350000 55.207001 225.619995)(28.274000 56.299000 229.619995)(40.495998 48.261002 229.619995)(30.350000 55.207001 225.619995)(43.125999 45.924999 225.619995)(40.495998 48.261002 229.619995)(50.534000 37.620998 229.619995)(50.534000 37.620998 229.619995)(57.848000 24.953001 229.619995)(53.193001 33.757000 225.619995)(57.848000 24.953001 229.619995)(62.042999 10.940001 229.619995)(59.917000 19.468000 225.619995)(-57.004002 -26.823999 225.619995)(-40.452000 -33.465000 208.619995)(-48.542000 -40.158001 225.619995)(-57.004002 -26.823999 225.619995)(-54.558998 -31.500000 229.619995)(-60.353001 -18.069000 229.619995)(-60.353001 -18.069000 229.619995)(-62.893002 -3.663000 229.619995)(-61.884003 -11.804999 225.619995)(-63.000000 0.000001 229.619995)(-62.875999 3.956000 225.619995)(-62.893002 -3.663000 229.619995)(-40.452000 -33.465000 208.619995)(-30.858999 -42.473000 208.619995)(-48.542000 -40.158001 225.619995)(-37.029999 -50.967999 225.619995)(-19.326000 -48.813000 208.619995)(-23.191999 -58.576000 225.619995)(-37.029999 -50.967999 225.619995)(-48.542000 -40.158001 225.619995)(-30.858999 -42.473000 208.619995)(-19.326000 -48.813000 208.619995)(-17.000000 -49.671001 201.919998)(-6.580000 -52.085999 208.619995)(-6.580000 -52.085999 201.919998)(6.580000 -52.085999 201.919998)(6.580000 -52.085999 208.619995)(62.875999 3.956000 225.619995)(62.042999 10.940001 229.619995)(62.893002 -3.663000 229.619995)(62.893002 -3.663000 229.619995)(62.042999 10.940001 229.619995)(60.353001 -18.068001 229.619995)(54.559998 -31.500000 229.619995)(60.353001 -18.068001 229.619995)(14.529000 61.301998 229.619995)(45.825001 -43.232998 229.619995)(54.559998 -31.500000 229.619995)(14.529000 61.301998 229.619995)(34.618999 -52.636002 229.619995)(45.825001 -43.232998 229.619995)(14.529000 61.301998 229.619995)(-7.314000 -62.573997 225.619995)(6.580000 -52.085999 208.619995)(7.314000 -62.573997 225.619995)(7.314000 -62.573997 225.619995)(21.547001 -59.201000 225.619995)(21.547998 -59.201000 229.619995)(21.547998 -59.201000 229.619995)(34.618999 -52.636002 229.619995)(0.000000 63.000000 229.619995)(-13.056000 50.850998 208.619995)(-13.056000 50.850998 201.919998)(-25.292000 46.006001 208.619995)(-50.534000 37.620998 225.619995)(-35.938999 38.271000 208.619995)(-44.327000 28.131001 208.619995)(-50.534000 37.620998 229.619995)(-40.495998 48.261002 225.619995)(-50.534000 37.620998 225.619995)(-25.292000 46.006001 208.619995)(-28.275000 56.299000 225.619995)(-13.056000 50.850998 208.619995)(-40.495998 48.261002 229.619995)(-28.275000 56.299000 225.619995)(-40.495998 48.261002 225.619995)(-62.875999 3.956000 225.619995)(-62.042999 10.940001 229.619995)(-59.917000 19.468000 225.619995)(-57.848000 24.953001 225.619995)(-59.917000 19.468000 225.619995)(-57.848000 24.953001 229.619995)(-50.534000 37.620998 225.619995)(-44.327000 28.131001 208.619995)(-57.848000 24.953001 225.619995)(13.056000 50.850998 208.619995)(13.056000 50.850998 201.919998)(0.000000 52.500000 208.619995)(0.000000 52.500000 208.619995)(15.667001 61.021000 225.619995)(13.056000 50.850998 208.619995)(28.274000 56.299000 229.619995)(30.350000 55.207001 225.619995)(15.667001 61.021000 225.619995)(60.353001 -18.068001 229.619995)(40.495998 48.261002 229.619995)(28.274000 56.299000 229.619995)(50.534000 37.620998 229.619995)(40.495998 48.261002 229.619995)(60.353001 -18.068001 229.619995)(57.848000 24.953001 229.619995)(50.534000 37.620998 229.619995)(60.353001 -18.068001 229.619995)(62.042999 10.940001 229.619995)(57.848000 24.953001 229.619995)(60.353001 -18.068001 229.619995)(-48.542000 -40.158001 225.619995)(-54.558998 -31.500000 229.619995)(-57.004002 -26.823999 225.619995)(-60.353001 -18.069000 229.619995)(-54.558998 -31.500000 229.619995)(-62.893002 -3.663000 229.619995)(-62.893002 -3.663000 229.619995)(0.000000 63.000000 229.619995)(-63.000000 0.000001 229.619995)(-62.875999 3.956000 225.619995)(-63.000000 0.000001 229.619995)(-62.042999 10.940001 229.619995)(-19.326000 -48.813000 208.619995)(-6.580000 -52.085999 208.619995)(-23.191999 -58.576000 225.619995)(-37.029999 -50.967999 225.619995)(-23.191999 -58.576000 225.619995)(-34.618999 -52.636002 229.619995)(-45.823997 -43.232998 229.619995)(-48.542000 -40.158001 225.619995)(-37.029999 -50.967999 225.619995)(-6.580000 -52.085999 208.619995)(-17.000000 -49.671001 201.919998)(-6.580000 -52.085999 201.919998)(-6.580000 -52.085999 208.619995)(-6.580000 -52.085999 201.919998)(6.580000 -52.085999 208.619995)(60.353001 -18.068001 229.619995)(28.274000 56.299000 229.619995)(14.529000 61.301998 229.619995)(34.618999 -52.636002 229.619995)(14.529000 61.301998 229.619995)(0.000000 63.000000 229.619995)(-6.580000 -52.085999 208.619995)(6.580000 -52.085999 208.619995)(-7.314000 -62.573997 225.619995)(-7.314000 -62.573997 225.619995)(7.314000 -62.573997 225.619995)(7.314000 -62.573997 229.619995)(7.314000 -62.573997 229.619995)(7.314000 -62.573997 225.619995)(21.547998 -59.201000 229.619995)(21.547998 -59.201000 229.619995)(0.000000 63.000000 229.619995)(-20.672501 1.899500 229.619995)(0.000000 63.000000 229.619995)(-62.893002 -3.663000 229.619995)(-20.672501 1.899500 229.619995)(-62.893002 -3.663000 229.619995)(21.547998 -59.201000 229.619995)(-20.672501 1.899500 229.619995)(-13.056000 50.850998 208.619995)(0.000000 52.500000 201.919998)(-13.056000 50.850998 201.919998)(-50.534000 37.620998 225.619995)(-57.848000 24.953001 229.619995)(-50.534000 37.620998 229.619995)(-40.495998 48.261002 225.619995)(-50.534000 37.620998 229.619995)(-40.495998 48.261002 229.619995)(-14.529000 61.301998 225.619995)(-13.056000 50.850998 208.619995)(-28.275000 56.299000 225.619995)(-28.275000 56.299000 225.619995)(-40.495998 48.261002 229.619995)(-28.274000 56.299000 229.619995)(-59.917000 19.468000 225.619995)(-62.042999 10.940001 229.619995)(-57.848000 24.953001 229.619995)(-57.848000 24.953001 229.619995)(-50.534000 37.620998 225.619995)(-57.848000 24.953001 225.619995)(0.000000 52.500000 208.619995)(13.056000 50.850998 201.919998)(0.000000 52.500000 201.919998)(0.000000 63.000000 225.619995)(15.667001 61.021000 225.619995)(0.000000 52.500000 208.619995)(28.274000 56.299000 229.619995)(15.667001 61.021000 225.619995)(14.529000 61.301998 229.619995)(-45.823997 -43.232998 229.619995)(-54.558998 -31.500000 229.619995)(-48.542000 -40.158001 225.619995)(-54.558998 -31.500000 229.619995)(-45.823997 -43.232998 229.619995)(-62.893002 -3.663000 229.619995)(-63.000000 0.000001 229.619995)(0.000000 63.000000 229.619995)(-62.042999 10.940001 229.619995)(-6.580000 -52.085999 208.619995)(-7.314000 -62.573997 225.619995)(-23.191999 -58.576000 225.619995)(-34.618999 -52.636002 229.619995)(-23.191999 -58.576000 225.619995)(-21.547001 -59.201000 229.619995)(-34.618999 -52.636002 229.619995)(-45.823997 -43.232998 229.619995)(-37.029999 -50.967999 225.619995)(15.667001 61.021000 225.619995)(0.000000 63.000000 229.619995)(14.529000 61.301998 229.619995)(-7.314000 -62.573997 229.619995)(-7.314000 -62.573997 225.619995)(7.314000 -62.573997 229.619995)(7.314000 -62.573997 229.619995)(21.547998 -59.201000 229.619995)(-21.547001 -59.201000 229.619995)(-21.547001 -59.201000 229.619995)(21.547998 -59.201000 229.619995)(-62.893002 -3.663000 229.619995)(0.000000 52.500000 208.619995)(0.000000 52.500000 201.919998)(-13.056000 50.850998 208.619995)(-50.534000 37.620998 229.619995)(-57.848000 24.953001 229.619995)(-28.274000 56.299000 229.619995)(-40.495998 48.261002 229.619995)(-50.534000 37.620998 229.619995)(-28.274000 56.299000 229.619995)(-13.056000 50.850998 208.619995)(-14.529000 61.301998 225.619995)(0.000000 52.500000 208.619995)(-28.274000 56.299000 229.619995)(-14.529000 61.301998 225.619995)(-28.275000 56.299000 225.619995)(-57.848000 24.953001 229.619995)(-62.042999 10.940001 229.619995)(-28.274000 56.299000 229.619995)(0.000000 63.000000 225.619995)(0.000000 52.500000 208.619995)(-14.529000 61.301998 225.619995)(15.667001 61.021000 225.619995)(0.000000 63.000000 225.619995)(0.000000 63.000000 229.619995)(-45.823997 -43.232998 229.619995)(-34.618999 -52.636002 229.619995)(-62.893002 -3.663000 229.619995)(-62.042999 10.940001 229.619995)(0.000000 63.000000 229.619995)(-14.529000 61.301998 229.619995)(-21.547001 -59.201000 229.619995)(-23.191999 -58.576000 225.619995)(-7.314000 -62.573997 225.619995)(-34.618999 -52.636002 229.619995)(-21.547001 -59.201000 229.619995)(-62.893002 -3.663000 229.619995)(-7.314000 -62.573997 229.619995)(7.314000 -62.573997 229.619995)(-21.547001 -59.201000 229.619995)(-7.314000 -62.573997 229.619995)(-21.547001 -59.201000 229.619995)(-7.314000 -62.573997 225.619995)(-14.529000 61.301998 229.619995)(-14.529000 61.301998 225.619995)(-28.274000 56.299000 229.619995)(-62.042999 10.940001 229.619995)(-14.529000 61.301998 229.619995)(-28.274000 56.299000 229.619995)(-14.529000 61.301998 229.619995)(0.000000 63.000000 225.619995)(-14.529000 61.301998 225.619995)(0.000000 63.000000 229.619995)(0.000000 63.000000 225.619995)(-14.529000 61.301998 229.619995)(0.000000 52.500000 153.419998)(-13.057000 50.850998 153.419998)(17.000000 60.500000 153.419998)(13.056000 50.850998 153.419998)(0.000000 52.500000 153.419998)(17.000000 60.500000 153.419998)(17.000000 49.672001 153.419998)(13.056000 50.850998 153.419998)(17.000000 60.500000 153.419998)(17.000000 -60.500000 153.419998)(6.580000 -52.085999 153.419998)(17.000000 -49.671001 153.419998)(-6.580000 -52.085999 153.419998)(6.580000 -52.085999 153.419998)(17.000000 -60.500000 153.419998)(-13.057000 50.850998 153.419998)(-17.000000 49.672001 153.419998)(17.000000 60.500000 153.419998)(17.000000 60.500000 153.419998)(17.000000 60.500000 201.919998)(17.000000 49.672001 153.419998)(-17.000000 -49.671001 153.419998)(-6.580000 -52.085999 153.419998)(17.000000 -60.500000 153.419998)(17.000000 -49.671001 153.419998)(17.000000 -49.671001 201.919998)(17.000000 -60.500000 153.419998)(-17.000000 49.672001 153.419998)(-17.000000 60.500000 153.419998)(17.000000 60.500000 153.419998)(17.000000 60.500000 201.919998)(17.000000 49.672001 201.919998)(17.000000 49.672001 153.419998)(-17.000000 60.500000 201.919998)(17.000000 60.500000 201.919998)(17.000000 60.500000 153.419998)(-17.000000 -60.500000 153.419998)(-17.000000 -49.671001 153.419998)(17.000000 -60.500000 153.419998)(17.000000 -49.671001 201.919998)(17.000000 -60.500000 201.919998)(17.000000 -60.500000 153.419998)(17.000000 -60.500000 201.919998)(17.000000 -49.671001 201.919998)(6.580000 -52.085999 201.919998)(-17.000000 60.500000 153.419998)(-17.000000 49.672001 153.419998)(-17.000000 49.671001 201.919998)(-17.000000 60.500000 153.419998)(-17.000000 60.500000 201.919998)(17.000000 60.500000 153.419998)(13.056000 50.850998 201.919998)(17.000000 49.672001 201.919998)(17.000000 60.500000 201.919998)(-13.056000 50.850998 201.919998)(17.000000 60.500000 201.919998)(-17.000000 60.500000 201.919998)(-17.000000 -60.500000 153.419998)(17.000000 -60.500000 153.419998)(17.000000 -60.500000 201.919998)(-17.000000 -49.671001 153.419998)(-17.000000 -60.500000 153.419998)(-17.000000 -60.500000 201.919998)(-17.000000 -49.671001 201.919998)(-17.000000 -49.671001 153.419998)(-17.000000 -60.500000 201.919998)(17.000000 -60.500000 201.919998)(6.580000 -52.085999 201.919998)(-6.580000 -52.085999 201.919998)(-17.000000 49.671001 201.919998)(-13.056000 50.850998 201.919998)(-17.000000 60.500000 201.919998)(-17.000000 60.500000 201.919998)(-17.000000 60.500000 153.419998)(-17.000000 49.671001 201.919998)(13.056000 50.850998 201.919998)(17.000000 60.500000 201.919998)(0.000000 52.500000 201.919998)(-13.056000 50.850998 201.919998)(0.000000 52.500000 201.919998)(17.000000 60.500000 201.919998)(-17.000000 -60.500000 201.919998)(-17.000000 -60.500000 153.419998)(17.000000 -60.500000 201.919998)(-17.000000 -60.500000 201.919998)(17.000000 -60.500000 201.919998)(-17.000000 -49.671001 201.919998)(-6.580000 -52.085999 201.919998)(-17.000000 -49.671001 201.919998)(17.000000 -60.500000 201.919998)))
           )
           )))
    (send glvertices :calc-normals)
    (send self :assoc glvertices)
    glvertices)
  (:qhull-faceset ()
   ;; qhull 1854 -> 23 faces
   (instance faceset :init :faces (list
    (instance face :init :vertices (list (float-vector 58.084998 -15.039000 0.003998) (float-vector 54.559998 -31.500001 229.619995) (float-vector 62.893003 -3.663000 229.619995)))
    (instance face :init :vertices (list (float-vector 45.825001 -43.233000 229.619995) (float-vector 54.559998 -31.500001 229.619995) (float-vector 58.084998 -15.039000 0.003998) (float-vector 47.446001 -36.727000 0.003998)))
    (instance face :init :vertices (list (float-vector -43.487001 41.338000 0.003998) (float-vector -40.495999 48.261002 229.619995) (float-vector -57.847999 24.953000 229.619995) (float-vector -50.919000 31.738002 0.003998)))
    (instance face :init :vertices (list (float-vector -59.308000 9.086000 0.003998) (float-vector -50.919000 31.738002 0.003998) (float-vector -57.847999 24.953000 229.619995) (float-vector -63.000001 0.000001 229.619995)))
    (instance face :init :vertices (list (float-vector 59.308000 9.085000 0.003998) (float-vector 58.084998 -15.039000 0.003998) (float-vector 62.893003 -3.663000 229.619995)))
    (instance face :init :vertices (list (float-vector 56.265000 20.838000 0.003998) (float-vector 59.308000 9.085000 0.003998) (float-vector 62.893003 -3.663000 229.619995) (float-vector 57.847999 24.953000 229.619995)))
    (instance face :init :vertices (list (float-vector 17.961999 -57.248998 0.003998) (float-vector -6.070000 -59.691999 0.003998) (float-vector -7.314000 -62.573999 229.619995) (float-vector 21.547999 -59.200998 229.619995)))
    (instance face :init :vertices (list (float-vector -23.192000 -58.575999 225.620002) (float-vector -7.314000 -62.573999 229.619995) (float-vector -6.070000 -59.691999 0.003998) (float-vector -17.961999 -57.248000 0.003998)))
    (instance face :init :vertices (list (float-vector 47.446001 -36.727000 0.003998) (float-vector 29.118000 -52.460998 0.003998) (float-vector 45.825001 -43.233000 229.619995)))
    (instance face :init :vertices (list (float-vector 29.118000 -52.460998 0.003998) (float-vector 17.961999 -57.248998 0.003998) (float-vector 21.547999 -59.200998 229.619995) (float-vector 45.825001 -43.233000 229.619995)))
    (instance face :init :vertices (list (float-vector -23.661001 55.137999 0.003998) (float-vector -40.495999 48.261002 229.619995) (float-vector -43.487001 41.338000 0.003998)))
    (instance face :init :vertices (list (float-vector -23.661001 55.137999 0.003998) (float-vector -14.529000 61.301999 229.619995) (float-vector -40.495999 48.261002 229.619995)))
    (instance face :init :vertices (list (float-vector -23.661001 55.137999 0.003998) (float-vector 12.078000 58.772001 0.003998) (float-vector 15.667001 61.021000 225.620002) (float-vector 0.000000 63.000001 229.619995) (float-vector -14.529000 61.301999 229.619995)))
    (instance face :init :vertices (list (float-vector 43.488000 41.338000 0.003998) (float-vector 56.265000 20.838000 0.003998) (float-vector 57.847999 24.953000 229.619995) (float-vector 40.495999 48.261002 229.619995)))
    (instance face :init :vertices (list (float-vector -23.192000 -58.575999 225.620002) (float-vector -34.619000 -52.636001 229.619995) (float-vector -7.314000 -62.573999 229.619995)))
    (instance face :init :vertices (list (float-vector -58.084998 -15.039000 0.003998) (float-vector -59.308000 9.086000 0.003998) (float-vector -63.000001 0.000001 229.619995)))
    (instance face :init :vertices (list (float-vector -47.447000 -36.726002 0.003998) (float-vector -58.084998 -15.039000 0.003998) (float-vector -63.000001 0.000001 229.619995) (float-vector -45.823999 -43.233000 229.619995)))
    (instance face :init :vertices (list (float-vector 15.667001 61.021000 225.620002) (float-vector 28.274000 56.299001 229.619995) (float-vector 0.000000 63.000001 229.619995)))
    (instance face :init :vertices (list (float-vector 0.000000 63.000001 229.619995) (float-vector 28.274000 56.299001 229.619995) (float-vector 40.495999 48.261002 229.619995) (float-vector 57.847999 24.953000 229.619995) (float-vector 62.893003 -3.663000 229.619995) (float-vector 54.559998 -31.500001 229.619995) (float-vector 45.825001 -43.233000 229.619995) (float-vector 21.547999 -59.200998 229.619995) (float-vector -7.314000 -62.573999 229.619995) (float-vector -34.619000 -52.636001 229.619995) (float-vector -45.823999 -43.233000 229.619995) (float-vector -63.000001 0.000001 229.619995) (float-vector -57.847999 24.953000 229.619995) (float-vector -40.495999 48.261002 229.619995) (float-vector -14.529000 61.301999 229.619995)))
    (instance face :init :vertices (list (float-vector -34.619000 -52.636001 229.619995) (float-vector -29.118000 -52.460998 0.003998) (float-vector -47.447000 -36.726002 0.003998) (float-vector -45.823999 -43.233000 229.619995)))
    (instance face :init :vertices (list (float-vector -23.192000 -58.575999 225.620002) (float-vector -17.961999 -57.248000 0.003998) (float-vector -29.118000 -52.460998 0.003998) (float-vector -34.619000 -52.636001 229.619995)))
    (instance face :init :vertices (list (float-vector 43.488000 41.338000 0.003998) (float-vector 12.078000 58.772001 0.003998) (float-vector -23.661001 55.137999 0.003998) (float-vector -43.487001 41.338000 0.003998) (float-vector -50.919000 31.738002 0.003998) (float-vector -59.308000 9.086000 0.003998) (float-vector -58.084998 -15.039000 0.003998) (float-vector -47.447000 -36.726002 0.003998) (float-vector -29.118000 -52.460998 0.003998) (float-vector -17.961999 -57.248000 0.003998) (float-vector -6.070000 -59.691999 0.003998) (float-vector 17.961999 -57.248998 0.003998) (float-vector 29.118000 -52.460998 0.003998) (float-vector 47.446001 -36.727000 0.003998) (float-vector 58.084998 -15.039000 0.003998) (float-vector 59.308000 9.085000 0.003998) (float-vector 56.265000 20.838000 0.003998)))
    (instance face :init :vertices (list (float-vector 43.488000 41.338000 0.003998) (float-vector 40.495999 48.261002 229.619995) (float-vector 28.274000 56.299001 229.619995) (float-vector 15.667001 61.021000 225.620002) (float-vector 12.078000 58.772001 0.003998)))
    ))
   )
  )

(defclass HiroNX_g1_1_geom0
  :super collada-body
  :slots ())
(defmethod HiroNX_g1_1_geom0
  (:init (&key (name))
         (replace-object self (send self :qhull-faceset))
         (if name (send self :name name))
         (send self :def-gl-vertices)
         self)
  (:def-gl-vertices ()
    (setq glvertices
       (instance gl::glvertices :init
          (list
          (list
           (list :type :triangles)
           (list :material (list
             (list :color (float-vector 0.1 0.1 0.1))
             (list :ambient (float-vector 0.200000 0.200000 0.200000 1.000000))
             (list :diffuse (float-vector 0.000000 2.000000 2.000000 1.000000))
           ))
           (list :indices #i( 180 1 0 180 2 1 180 3 2 180 4 3 180 5 4 180 6 5 180 7 6 180 8 7 180 9 8 180 10 9 180 11 10 180 12 11 180 13 12 180 14 13 180 15 14 180 16 15 180 17 16 180 18 17 180 19 18 180 0 19 0 21 20 0 1 21 1 22 21 1 2 22 2 23 22 2 3 23 3 24 23 3 4 24 4 25 24 4 5 25 5 26 25 5 6 26 6 27 26 6 7 27 7 28 27 7 8 28 8 29 28 8 9 29 9 30 29 9 10 30 10 31 30 10 11 31 11 32 31 11 12 32 12 33 32 12 13 33 13 34 33 13 14 34 14 35 34 14 15 35 15 36 35 15 16 36 16 37 36 16 17 37 17 38 37 17 18 38 18 39 38 18 19 39 19 20 39 19 0 20 20 41 40 20 21 41 21 42 41 21 22 42 22 43 42 22 23 43 23 44 43 23 24 44 24 45 44 24 25 45 25 46 45 25 26 46 26 47 46 26 27 47 27 48 47 27 28 48 28 49 48 28 29 49 29 50 49 29 30 50 30 51 50 30 31 51 31 52 51 31 32 52 32 53 52 32 33 53 33 54 53 33 34 54 34 55 54 34 35 55 35 56 55 35 36 56 36 57 56 36 37 57 37 58 57 37 38 58 38 59 58 38 39 59 39 40 59 39 20 40 40 61 60 40 41 61 41 62 61 41 42 62 42 63 62 42 43 63 43 64 63 43 44 64 44 65 64 44 45 65 45 66 65 45 46 66 46 67 66 46 47 67 47 68 67 47 48 68 48 69 68 48 49 69 49 70 69 49 50 70 50 71 70 50 51 71 51 72 71 51 52 72 52 73 72 52 53 73 53 74 73 53 54 74 54 75 74 54 55 75 55 76 75 55 56 76 56 77 76 56 57 77 57 78 77 57 58 78 58 79 78 58 59 79 59 60 79 59 40 60 60 81 80 60 61 81 61 82 81 61 62 82 62 83 82 62 63 83 63 84 83 63 64 84 64 85 84 64 65 85 65 86 85 65 66 86 66 87 86 66 67 87 67 88 87 67 68 88 68 89 88 68 69 89 69 90 89 69 70 90 70 91 90 70 71 91 71 92 91 71 72 92 72 93 92 72 73 93 73 94 93 73 74 94 74 95 94 74 75 95 75 96 95 75 76 96 76 97 96 76 77 97 77 98 97 77 78 98 78 99 98 78 79 99 79 80 99 79 60 80 80 101 100 80 81 101 81 102 101 81 82 102 82 103 102 82 83 103 83 104 103 83 84 104 84 105 104 84 85 105 85 106 105 85 86 106 86 107 106 86 87 107 87 108 107 87 88 108 88 109 108 88 89 109 89 110 109 89 90 110 90 111 110 90 91 111 91 112 111 91 92 112 92 113 112 92 93 113 93 114 113 93 94 114 94 115 114 94 95 115 95 116 115 95 96 116 96 117 116 96 97 117 97 118 117 97 98 118 98 119 118 98 99 119 99 100 119 99 80 100 100 121 120 100 101 121 101 122 121 101 102 122 102 123 122 102 103 123 103 124 123 103 104 124 104 125 124 104 105 125 105 126 125 105 106 126 106 127 126 106 107 127 107 128 127 107 108 128 108 129 128 108 109 129 109 130 129 109 110 130 110 131 130 110 111 131 111 132 131 111 112 132 112 133 132 112 113 133 113 134 133 113 114 134 114 135 134 114 115 135 115 136 135 115 116 136 116 137 136 116 117 137 117 138 137 117 118 138 118 139 138 118 119 139 119 120 139 119 100 120 120 141 140 120 121 141 121 142 141 121 122 142 122 143 142 122 123 143 123 144 143 123 124 144 124 145 144 124 125 145 125 146 145 125 126 146 126 147 146 126 127 147 127 148 147 127 128 148 128 149 148 128 129 149 129 150 149 129 130 150 130 151 150 130 131 151 131 152 151 131 132 152 132 153 152 132 133 153 133 154 153 133 134 154 134 155 154 134 135 155 135 156 155 135 136 156 136 157 156 136 137 157 137 158 157 137 138 158 138 159 158 138 139 159 139 140 159 139 120 140 140 161 160 140 141 161 141 162 161 141 142 162 142 163 162 142 143 163 143 164 163 143 144 164 144 165 164 144 145 165 145 166 165 145 146 166 146 167 166 146 147 167 147 168 167 147 148 168 148 169 168 148 149 169 149 170 169 149 150 170 150 171 170 150 151 171 151 172 171 151 152 172 152 173 172 152 153 173 153 174 173 153 154 174 154 175 174 154 155 175 155 176 175 155 156 176 156 177 176 156 157 177 157 178 177 157 158 178 158 179 178 158 159 179 159 160 179 159 140 160 181 160 161 181 161 162 181 162 163 181 163 164 181 164 165 181 165 166 181 166 167 181 167 168 181 168 169 181 169 170 181 170 171 181 171 172 181 172 173 181 173 174 181 174 175 181 175 176 181 176 177 181 177 178 181 178 179 181 179 160))
           (list :vertices #2f((-2.582370 6.132920 344.100006)(-2.695810 6.132920 344.816010)(-3.025000 6.132920 345.462006)(-3.537730 6.132920 345.975006)(-4.183810 6.132920 346.303986)(-4.900000 6.132920 346.417999)(-5.616190 6.132920 346.303986)(-6.262270 6.132920 345.975006)(-6.775000 6.132920 345.462006)(-7.104190 6.132920 344.816010)(-7.217630 6.132920 344.100006)(-7.104190 6.132920 343.384003)(-6.775000 6.132920 342.738007)(-6.262270 6.132920 342.224976)(-5.616190 6.132920 341.895996)(-4.900000 6.132920 341.782013)(-4.183810 6.132920 341.895996)(-3.537730 6.132920 342.224976)(-3.025000 6.132920 342.738007)(-2.695810 6.132920 343.384003)(-0.491611 5.067630 344.100006)(-0.707372 5.067630 345.462006)(-1.333540 5.067630 346.691010)(-2.308810 5.067630 347.665985)(-3.537730 5.067630 348.292999)(-4.900000 5.067630 348.507996)(-6.262270 5.067630 348.292999)(-7.491190 5.067630 347.665985)(-8.466460 5.067630 346.691010)(-9.092629 5.067630 345.462006)(-9.308391 5.067630 344.100006)(-9.092629 5.067630 342.738007)(-8.466460 5.067630 341.509003)(-7.491190 5.067630 340.533997)(-6.262270 5.067630 339.906982)(-4.900000 5.067630 339.691986)(-3.537730 5.067630 339.906982)(-2.308810 5.067630 340.533997)(-1.333540 5.067630 341.509003)(-0.707372 5.067630 342.738007)(1.167630 3.408390 344.100006)(0.870657 3.408390 345.975006)(0.008814 3.408390 347.665985)(-1.333540 3.408390 349.009003)(-3.025000 3.408390 349.871002)(-4.900000 3.408390 350.167999)(-6.775000 3.408390 349.871002)(-8.466460 3.408390 349.009003)(-9.808810 3.408390 347.665985)(-10.670700 3.408390 345.975006)(-10.967600 3.408390 344.100006)(-10.670700 3.408390 342.224976)(-9.808810 3.408390 340.533997)(-8.466460 3.408390 339.190979)(-6.775000 3.408390 338.328979)(-4.900000 3.408390 338.032013)(-3.025000 3.408390 338.328979)(-1.333540 3.408390 339.190979)(0.008814 3.408390 340.533997)(0.870657 3.408390 342.224976)(2.232920 1.317630 344.100006)(1.883810 1.317630 346.303986)(0.870657 1.317630 348.292999)(-0.707372 1.317630 349.871002)(-2.695810 1.317630 350.884003)(-4.900000 1.317630 351.233002)(-7.104190 1.317630 350.884003)(-9.092629 1.317630 349.871002)(-10.670700 1.317630 348.292999)(-11.683801 1.317630 346.303986)(-12.032900 1.317630 344.100006)(-11.683801 1.317630 341.895996)(-10.670700 1.317630 339.906982)(-9.092629 1.317630 338.328979)(-7.104190 1.317630 337.316010)(-4.900000 1.317630 336.966980)(-2.695810 1.317630 337.316010)(-0.707372 1.317630 338.328979)(0.870657 1.317630 339.906982)(1.883810 1.317630 341.895996)(2.600000 -1.000000 344.100006)(2.232920 -1.000000 346.417999)(1.167630 -1.000000 348.507996)(-0.491611 -1.000000 350.167999)(-2.582370 -1.000000 351.233002)(-4.900000 -1.000000 351.600006)(-7.217630 -1.000000 351.233002)(-9.308391 -1.000000 350.167999)(-10.967600 -1.000000 348.507996)(-12.032900 -1.000000 346.417999)(-12.400001 -1.000000 344.100006)(-12.032900 -1.000000 341.782013)(-10.967600 -1.000000 339.691986)(-9.308391 -1.000000 338.032013)(-7.217630 -1.000000 336.966980)(-4.900000 -1.000000 336.600006)(-2.582370 -1.000000 336.966980)(-0.491611 -1.000000 338.032013)(1.167630 -1.000000 339.691986)(2.232920 -1.000000 341.782013)(2.232920 -3.317630 344.100006)(1.883810 -3.317630 346.303986)(0.870657 -3.317630 348.292999)(-0.707372 -3.317630 349.871002)(-2.695810 -3.317630 350.884003)(-4.900000 -3.317630 351.233002)(-7.104190 -3.317630 350.884003)(-9.092629 -3.317630 349.871002)(-10.670700 -3.317630 348.292999)(-11.683801 -3.317630 346.303986)(-12.032900 -3.317630 344.100006)(-11.683801 -3.317630 341.895996)(-10.670700 -3.317630 339.906982)(-9.092629 -3.317630 338.328979)(-7.104190 -3.317630 337.316010)(-4.900000 -3.317630 336.966980)(-2.695810 -3.317630 337.316010)(-0.707372 -3.317630 338.328979)(0.870657 -3.317630 339.906982)(1.883810 -3.317630 341.895996)(1.167630 -5.408390 344.100006)(0.870657 -5.408390 345.975006)(0.008814 -5.408390 347.665985)(-1.333540 -5.408390 349.009003)(-3.025000 -5.408390 349.871002)(-4.900000 -5.408390 350.167999)(-6.775000 -5.408390 349.871002)(-8.466460 -5.408390 349.009003)(-9.808810 -5.408390 347.665985)(-10.670700 -5.408390 345.975006)(-10.967600 -5.408390 344.100006)(-10.670700 -5.408390 342.224976)(-9.808810 -5.408390 340.533997)(-8.466460 -5.408390 339.190979)(-6.775000 -5.408390 338.328979)(-4.900000 -5.408390 338.032013)(-3.025000 -5.408390 338.328979)(-1.333540 -5.408390 339.190979)(0.008814 -5.408390 340.533997)(0.870657 -5.408390 342.224976)(-0.491611 -7.067630 344.100006)(-0.707372 -7.067630 345.462006)(-1.333540 -7.067630 346.691010)(-2.308810 -7.067630 347.665985)(-3.537730 -7.067630 348.292999)(-4.900000 -7.067630 348.507996)(-6.262270 -7.067630 348.292999)(-7.491190 -7.067630 347.665985)(-8.466460 -7.067630 346.691010)(-9.092629 -7.067630 345.462006)(-9.308391 -7.067630 344.100006)(-9.092629 -7.067630 342.738007)(-8.466460 -7.067630 341.509003)(-7.491190 -7.067630 340.533997)(-6.262270 -7.067630 339.906982)(-4.900000 -7.067630 339.691986)(-3.537730 -7.067630 339.906982)(-2.308810 -7.067630 340.533997)(-1.333540 -7.067630 341.509003)(-0.707372 -7.067630 342.738007)(-2.582370 -8.132919 344.100006)(-2.695810 -8.132919 344.816010)(-3.025000 -8.132919 345.462006)(-3.537730 -8.132919 345.975006)(-4.183810 -8.132919 346.303986)(-4.900000 -8.132919 346.417999)(-5.616190 -8.132919 346.303986)(-6.262270 -8.132919 345.975006)(-6.775000 -8.132919 345.462006)(-7.104190 -8.132919 344.816010)(-7.217630 -8.132919 344.100006)(-7.104190 -8.132919 343.384003)(-6.775000 -8.132919 342.738007)(-6.262270 -8.132919 342.224976)(-5.616190 -8.132919 341.895996)(-4.900000 -8.132919 341.782013)(-4.183810 -8.132919 341.895996)(-3.537730 -8.132919 342.224976)(-3.025000 -8.132919 342.738007)(-2.695810 -8.132919 343.384003)(-4.900000 6.500000 344.100006)(-4.900000 -8.500000 344.100006)))
           )
           )))
    (send glvertices :calc-normals)
    (send self :assoc glvertices)
    glvertices)
  (:qhull-faceset ()
   ;; qhull 182 -> 14 faces
   (instance faceset :init :faces (list
    (instance face :init :vertices (list (float-vector -1.333540 -5.408390 349.009007) (float-vector -1.333540 3.408390 349.009007) (float-vector 2.600000 -1.000000 344.099998)))
    (instance face :init :vertices (list (float-vector -1.333540 3.408390 349.009007) (float-vector -8.466460 3.408390 349.009007) (float-vector -4.900000 6.500000 344.099998)))
    (instance face :init :vertices (list (float-vector -8.466460 -5.408390 349.009007) (float-vector -1.333540 -5.408390 349.009007) (float-vector -4.900000 -8.500000 344.099998)))
    (instance face :init :vertices (list (float-vector -8.466460 3.408390 349.009007) (float-vector -8.466460 -5.408390 349.009007) (float-vector -12.400000 -1.000000 344.099998)))
    (instance face :init :vertices (list (float-vector -1.333540 -5.408390 349.009007) (float-vector -8.466460 -5.408390 349.009007) (float-vector -8.466460 3.408390 349.009007) (float-vector -1.333540 3.408390 349.009007)))
    (instance face :init :vertices (list (float-vector -1.333540 -5.408390 349.009007) (float-vector 2.600000 -1.000000 344.099998) (float-vector -1.333540 -5.408390 339.190990) (float-vector -4.900000 -8.500000 344.099998)))
    (instance face :init :vertices (list (float-vector -8.466460 3.408390 349.009007) (float-vector -12.400000 -1.000000 344.099998) (float-vector -8.466460 3.408390 339.190990) (float-vector -4.900000 6.500000 344.099998)))
    (instance face :init :vertices (list (float-vector -1.333540 3.408390 339.190990) (float-vector -1.333540 -5.408390 339.190990) (float-vector 2.600000 -1.000000 344.099998)))
    (instance face :init :vertices (list (float-vector -8.466460 3.408390 339.190990) (float-vector -1.333540 3.408390 339.190990) (float-vector -4.900000 6.500000 344.099998)))
    (instance face :init :vertices (list (float-vector 2.600000 -1.000000 344.099998) (float-vector -1.333540 3.408390 349.009007) (float-vector -4.900000 6.500000 344.099998) (float-vector -1.333540 3.408390 339.190990)))
    (instance face :init :vertices (list (float-vector -1.333540 -5.408390 339.190990) (float-vector -8.466460 -5.408390 339.190990) (float-vector -4.900000 -8.500000 344.099998)))
    (instance face :init :vertices (list (float-vector -8.466460 -5.408390 339.190990) (float-vector -8.466460 3.408390 339.190990) (float-vector -12.400000 -1.000000 344.099998)))
    (instance face :init :vertices (list (float-vector -8.466460 -5.408390 339.190990) (float-vector -1.333540 -5.408390 339.190990) (float-vector -1.333540 3.408390 339.190990) (float-vector -8.466460 3.408390 339.190990)))
    (instance face :init :vertices (list (float-vector -12.400000 -1.000000 344.099998) (float-vector -8.466460 -5.408390 349.009007) (float-vector -4.900000 -8.500000 344.099998) (float-vector -8.466460 -5.408390 339.190990)))
    ))
   )
  )

(defclass HiroNX_g1_1_geom1
  :super collada-body
  :slots ())
(defmethod HiroNX_g1_1_geom1
  (:init (&key (name))
         (replace-object self (send self :qhull-faceset))
         (if name (send self :name name))
         (send self :def-gl-vertices)
         self)
  (:def-gl-vertices ()
    (setq glvertices
       (instance gl::glvertices :init
          (list
          (list
           (list :type :triangles)
           (list :material (list
             (list :color (float-vector 0.1 0.1 0.1))
             (list :ambient (float-vector 0.200000 0.200000 0.200000 1.000000))
             (list :diffuse (float-vector 0.900000 0.900000 0.900000 1.000000))
           ))
           (list :indices #i( 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148 149 150 151 152 153 154 155 156 157 158 159 160 161 162 163 164 165 166 167 168 169 170 171 172 173 174 175 176 177 178 179 180 181 182 183 184 185 186 187 188 189 190 191 192 193 194 195 196 197 198 199 200 201 202 203 204 205 206 207 208 209 210 211 212 213 214 215 216 217 218 219 220 221 222 223 224 225 226 227 228 229 230 231 232 233 234 235 236 237 238 239 240 241 242 243 244 245 246 247 248 249 250 251 252 253 254 255 256 257 258 259 260 261 262 263 264 265 266 267 268 269 270 271 272 273 274 275 276 277 278 279 280 281 282 283 284 285 286 287 288 289 290 291 292 293 294 295 296 297 298 299 300 301 302 303 304 305 306 307 308 309 310 311 312 313 314 315 316 317 318 319 320 321 322 323 324 325 326 327 328 329 330 331 332 333 334 335 336 337 338 339 340 341 342 343 344 345 346 347 348 349 350 351 352 353 354 355 356 357 358 359 360 361 362 363 364 365 366 367 368 369 370 371 372 373 374 375 376 377 378 379 380 381 382 383 384 385 386 387 388 389 390 391 392 393 394 395 396 397 398 399 400 401 402 403 404 405 406 407 408 409 410 411 412 413 414 415 416 417 418 419 420 421 422 423 424 425 426 427 428 429 430 431 432 433 434 435 436 437 438 439 440 441 442 443 444 445 446 447 448 449 450 451 452 453 454 455 456 457 458 459 460 461 462 463 464 465 466 467 468 469 470 471 472 473 474 475 476 477 478 479 480 481 482 483 484 485 486 487 488 489 490 491 492 493 494 495 496 497 498 499 500 501 502 503 504 505 506 507 508 509 510 511 512 513 514 515 516 517 518 519 520 521 522 523 524 525 526 527 528 529 530 531 532 533 534 535 536 537 538 539 540 541 542 543 544 545 546 547 548 549 550 551 552 553 554 555 556 557 558 559 560 561 562 563 564 565 566 567 568 569 570 571 572 573 574 575 576 577 578 579 580 581 582 583 584 585 586 587 588 589 590 591 592 593 594 595 596 597 598 599 600 601 602 603 604 605 606 607 608 609 610 611 612 613 614 615 616 617 618 619 620 621 622 623 624 625 626 627 628 629 630 631 632 633 634 635 636 637 638 639 640 641 642 643 644 645 646 647 648 649 650 651 652 653 654 655 656 657 658 659 660 661 662 663 664 665 666 667 668 669 670 671 672 673 674 675 676 677 678 679 680 681 682 683 684 685 686 687 688 689 690 691 692 693 694 695 696 697 698 699 700 701 702 703 704 705 706 707 708 709 710 711 712 713 714 715 716 717 718 719 720 721 722 723 724 725 726 727 728 729 730 731 732 733 734 735 736 737 738 739 740 741 742 743 744 745 746 747 748 749 750 751 752 753 754 755 756 757 758 759 760 761 762 763 764 765 766 767 768 769 770 771 772 773 774 775 776 777 778 779 780 781 782 783 784 785 786 787 788 789 790 791 792 793 794 795 796 797 798 799 800 801 802 803 804 805 806 807 808 809 810 811 812 813 814 815 816 817 818 819 820 821 822 823 824 825 826 827 828 829 830 831 832 833 834 835 836 837 838 839 840 841 842 843 844 845 846 847 848 849 850 851 852 853 854 855 856 857 858 859 860 861 862 863 864 865 866 867 868 869 870 871 872 873 874 875 876 877 878 879 880 881 882 883 884 885 886 887 888 889 890 891 892 893 894 895 896 897 898 899 900 901 902 903 904 905 906 907 908 909 910 911 912 913 914 915 916 917 918 919 920 921 922 923 924 925 926 927 928 929 930 931 932 933 934 935 936 937 938 939 940 941 942 943 944 945 946 947 948 949 950 951 952 953 954 955 956 957 958 959 960 961 962 963 964 965 966 967 968 969 970 971 972 973 974 975 976 977 978 979 980 981 982 983 984 985 986 987 988 989 990 991 992 993 994 995 996 997 998 999 1000 1001 1002 1003 1004 1005 1006 1007 1008 1009 1010 1011 1012 1013 1014 1015 1016 1017 1018 1019 1020 1021 1022 1023 1024 1025 1026 1027 1028 1029 1030 1031 1032 1033 1034 1035 1036 1037 1038 1039 1040 1041 1042 1043 1044 1045 1046 1047 1048 1049 1050 1051 1052 1053 1054 1055 1056 1057 1058 1059 1060 1061 1062 1063 1064 1065 1066 1067 1068 1069 1070 1071 1072 1073 1074 1075 1076 1077 1078 1079 1080 1081 1082 1083 1084 1085 1086 1087 1088 1089 1090 1091 1092 1093 1094 1095 1096 1097 1098 1099 1100 1101 1102 1103 1104 1105 1106 1107 1108 1109 1110 1111 1112 1113 1114 1115 1116 1117 1118 1119 1120 1121 1122 1123 1124 1125 1126 1127 1128 1129 1130 1131 1132 1133 1134 1135 1136 1137 1138 1139 1140 1141 1142 1143 1144 1145 1146 1147 1148 1149 1150 1151 1152 1153 1154 1155 1156 1157 1158 1159 1160 1161 1162 1163 1164 1165 1166 1167 1168 1169 1170 1171 1172 1173 1174 1175 1176 1177 1178 1179 1180 1181 1182 1183 1184 1185 1186 1187 1188 1189 1190 1191 1192 1193 1194 1195 1196 1197 1198 1199 1200 1201 1202 1203 1204 1205 1206 1207 1208 1209 1210 1211 1212 1213 1214 1215 1216 1217 1218 1219 1220 1221 1222 1223 1224 1225 1226 1227 1228 1229 1230 1231 1232 1233 1234 1235 1236 1237 1238 1239 1240 1241 1242 1243 1244 1245 1246 1247 1248 1249 1250 1251 1252 1253 1254 1255 1256 1257 1258 1259 1260 1261 1262 1263 1264 1265 1266 1267 1268 1269 1270 1271 1272 1273 1274 1275 1276 1277 1278 1279 1280 1281 1282 1283 1284 1285 1286 1287 1288 1289 1290 1291 1292 1293 1294 1295 1296 1297 1298 1299 1300 1301 1302 1303 1304 1305 1306 1307 1308 1309 1310 1311 1312 1313 1314 1315 1316 1317 1318 1319 1320 1321 1322 1323 1324 1325 1326 1327 1328 1329 1330 1331 1332 1333 1334 1335 1336 1337 1338 1339 1340 1341 1342 1343 1344 1345 1346 1347 1348 1349 1350 1351 1352 1353 1354 1355 1356 1357 1358 1359 1360 1361 1362 1363 1364 1365 1366 1367 1368 1369 1370 1371 1372 1373 1374 1375 1376 1377 1378 1379 1380 1381 1382 1383 1384 1385 1386 1387 1388 1389 1390 1391 1392 1393 1394 1395 1396 1397 1398 1399 1400 1401 1402 1403 1404 1405 1406 1407 1408 1409 1410 1411 1412 1413 1414 1415 1416 1417 1418 1419 1420 1421 1422 1423 1424 1425 1426 1427 1428 1429 1430 1431 1432 1433 1434 1435 1436 1437 1438 1439 1440 1441 1442 1443 1444 1445 1446 1447 1448 1449 1450 1451 1452 1453 1454 1455 1456 1457 1458 1459 1460 1461 1462 1463 1464 1465 1466 1467 1468 1469 1470 1471 1472 1473 1474 1475 1476 1477 1478 1479 1480 1481 1482 1483 1484 1485 1486 1487 1488 1489 1490 1491 1492 1493 1494 1495 1496 1497 1498 1499 1500 1501 1502 1503 1504 1505 1506 1507 1508 1509 1510 1511 1512 1513 1514 1515 1516 1517 1518 1519 1520 1521 1522 1523 1524 1525 1526 1527 1528 1529 1530 1531 1532 1533 1534 1535 1536 1537 1538 1539 1540 1541 1542 1543 1544 1545 1546 1547 1548 1549 1550 1551 1552 1553 1554 1555 1556 1557 1558 1559 1560 1561 1562 1563 1564 1565 1566 1567 1568 1569 1570 1571 1572 1573 1574 1575 1576 1577 1578 1579 1580 1581 1582 1583 1584 1585 1586 1587 1588 1589 1590 1591 1592 1593 1594 1595 1596 1597 1598 1599 1600 1601 1602 1603 1604 1605 1606 1607 1608 1609 1610 1611 1612 1613 1614 1615 1616 1617 1618 1619 1620 1621 1622 1623 1624 1625 1626 1627 1628 1629 1630 1631 1632 1633 1634 1635 1636 1637 1638 1639 1640 1641 1642 1643 1644 1645 1646 1647 1648 1649 1650 1651 1652 1653 1654 1655 1656 1657 1658 1659 1660 1661 1662 1663 1664 1665 1666 1667 1668 1669 1670 1671 1672 1673 1674 1675 1676 1677 1678 1679 1680 1681 1682 1683 1684 1685 1686 1687 1688 1689 1690 1691 1692 1693 1694 1695 1696 1697 1698 1699 1700 1701 1702 1703 1704 1705 1706 1707 1708 1709 1710 1711 1712 1713 1714 1715 1716 1717 1718 1719 1720 1721 1722 1723 1724 1725 1726 1727 1728 1729 1730 1731 1732 1733 1734 1735 1736 1737 1738 1739 1740 1741 1742 1743 1744 1745 1746 1747 1748 1749 1750 1751 1752 1753 1754 1755 1756 1757 1758 1759 1760 1761 1762 1763 1764 1765 1766 1767 1768 1769 1770 1771 1772 1773 1774 1775 1776 1777 1778 1779 1780 1781 1782 1783 1784 1785 1786 1787 1788 1789 1790 1791 1792 1793 1794 1795 1796 1797 1798 1799 1800 1801 1802 1803 1804 1805 1806 1807 1808 1809 1810 1811 1812 1813 1814 1815 1816 1817 1818 1819 1820 1821 1822 1823 1824 1825 1826 1827 1828 1829 1830 1831 1832 1833 1834 1835 1836 1837 1838 1839 1840 1841 1842 1843 1844 1845 1846 1847 1848 1849 1850 1851 1852 1853 1854 1855 1856 1857 1858 1859 1860 1861 1862 1863 1864 1865 1866 1867 1868 1869 1870 1871 1872 1873 1874 1875 1876 1877 1878 1879 1880 1881 1882 1883 1884 1885 1886 1887 1888 1889 1890 1891 1892 1893 1894 1895 1896 1897 1898 1899 1900 1901 1902 1903 1904 1905 1906 1907 1908 1909 1910 1911 1912 1913 1914 1915 1916 1917 1918 1919 1920 1921 1922 1923 1924 1925 1926 1927 1928 1929 1930 1931 1932 1933 1934 1935 1936 1937 1938 1939 1940 1941 1942 1943 1944 1945 1946 1947 1948 1949 1950 1951 1952 1953 1954 1955 1956 1957 1958 1959 1960 1961 1962 1963 1964 1965 1966 1967 1968 1969 1970 1971 1972 1973 1974 1975 1976 1977 1978 1979 1980 1981 1982 1983 1984 1985 1986 1987 1988 1989 1990 1991 1992 1993 1994 1995 1996 1997 1998 1999 2000 2001 2002 2003 2004 2005 2006 2007 2008 2009 2010 2011 2012 2013 2014 2015 2016 2017 2018 2019 2020 2021 2022 2023 2024 2025 2026 2027 2028 2029 2030 2031 2032 2033 2034 2035 2036 2037 2038 2039 2040 2041 2042 2043 2044 2045 2046 2047 2048 2049 2050 2051 2052 2053 2054 2055 2056 2057 2058 2059 2060 2061 2062 2063 2064 2065 2066 2067 2068 2069 2070 2071 2072 2073 2074 2075 2076 2077 2078 2079 2080 2081 2082 2083 2084 2085 2086 2087 2088 2089 2090 2091 2092 2093 2094 2095 2096 2097 2098 2099 2100 2101 2102 2103 2104 2105 2106 2107 2108 2109 2110 2111 2112 2113 2114 2115 2116 2117 2118 2119 2120 2121 2122 2123 2124 2125 2126 2127 2128 2129 2130 2131 2132 2133 2134 2135 2136 2137 2138 2139 2140 2141 2142 2143 2144 2145 2146 2147 2148 2149 2150 2151 2152 2153 2154 2155 2156 2157 2158 2159 2160 2161 2162 2163 2164 2165 2166 2167 2168 2169 2170 2171 2172 2173 2174 2175 2176 2177 2178 2179 2180 2181 2182 2183 2184 2185 2186 2187 2188 2189 2190 2191 2192 2193 2194 2195 2196 2197 2198 2199 2200 2201 2202 2203 2204 2205 2206 2207 2208 2209 2210 2211 2212 2213 2214 2215 2216 2217 2218 2219 2220 2221 2222 2223 2224 2225 2226 2227 2228 2229 2230 2231 2232 2233 2234 2235 2236 2237 2238 2239 2240 2241 2242 2243 2244 2245 2246 2247 2248 2249 2250 2251 2252 2253 2254 2255 2256 2257 2258 2259 2260 2261 2262 2263 2264 2265 2266 2267 2268 2269 2270 2271 2272 2273 2274 2275 2276 2277 2278 2279 2280 2281 2282 2283 2284 2285 2286 2287 2288 2289 2290 2291 2292 2293 2294 2295 2296 2297 2298 2299 2300 2301 2302 2303 2304 2305 2306 2307 2308 2309 2310 2311 2312 2313 2314 2315 2316 2317 2318 2319 2320 2321 2322 2323 2324 2325 2326 2327 2328 2329 2330 2331 2332 2333 2334 2335 2336 2337 2338 2339 2340 2341 2342 2343 2344 2345 2346 2347 2348 2349 2350 2351 2352 2353 2354 2355 2356 2357 2358 2359 2360 2361 2362 2363 2364 2365 2366 2367 2368 2369 2370 2371 2372 2373 2374 2375 2376 2377 2378 2379 2380 2381 2382 2383 2384 2385 2386 2387 2388 2389 2390 2391 2392 2393 2394 2395 2396 2397 2398 2399 2400 2401 2402 2403 2404 2405 2406 2407 2408 2409 2410 2411 2412 2413 2414 2415 2416 2417 2418 2419 2420 2421 2422 2423 2424 2425 2426 2427 2428 2429 2430 2431 2432 2433 2434 2435 2436 2437 2438 2439 2440 2441 2442 2443 2444 2445 2446 2447 2448 2449 2450 2451 2452 2453 2454 2455 2456 2457 2458 2459 2460 2461 2462 2463 2464 2465 2466 2467 2468 2469 2470 2471 2472 2473 2474 2475 2476 2477 2478 2479 2480 2481 2482 2483 2484 2485 2486 2487 2488 2489 2490 2491 2492 2493 2494 2495 2496 2497 2498 2499 2500 2501 2502 2503 2504 2505 2506 2507 2508 2509 2510 2511 2512 2513 2514 2515 2516 2517 2518 2519 2520 2521 2522 2523 2524 2525 2526 2527 2528 2529 2530 2531 2532 2533 2534 2535 2536 2537 2538 2539 2540 2541 2542 2543 2544 2545 2546 2547 2548 2549 2550 2551 2552 2553 2554 2555 2556 2557 2558 2559 2560 2561 2562 2563 2564 2565 2566 2567 2568 2569 2570 2571 2572 2573 2574 2575 2576 2577 2578 2579 2580 2581 2582 2583 2584 2585 2586 2587 2588 2589 2590 2591 2592 2593 2594 2595 2596 2597 2598 2599 2600 2601 2602 2603 2604 2605 2606 2607 2608 2609 2610 2611 2612 2613 2614 2615 2616 2617 2618 2619 2620 2621 2622 2623 2624 2625 2626 2627 2628 2629 2630 2631 2632 2633 2634 2635 2636 2637 2638 2639 2640 2641 2642 2643 2644 2645 2646 2647 2648 2649 2650 2651 2652 2653 2654 2655 2656 2657 2658 2659 2660 2661 2662 2663 2664 2665 2666 2667 2668 2669 2670 2671 2672 2673 2674 2675 2676 2677 2678 2679 2680 2681 2682 2683 2684 2685 2686 2687 2688 2689 2690 2691 2692 2693 2694 2695 2696 2697 2698 2699 2700 2701 2702 2703 2704 2705 2706 2707 2708 2709 2710 2711 2712 2713 2714 2715 2716 2717 2718 2719 2720 2721 2722 2723 2724 2725 2726 2727 2728 2729 2730 2731 2732 2733 2734 2735 2736 2737 2738 2739 2740 2741 2742 2743 2744 2745 2746 2747 2748 2749 2750 2751 2752 2753 2754 2755 2756 2757 2758 2759 2760 2761 2762 2763 2764 2765 2766 2767 2768 2769 2770 2771 2772 2773 2774 2775 2776 2777 2778 2779 2780 2781 2782 2783 2784 2785 2786 2787 2788 2789 2790 2791 2792 2793 2794 2795 2796 2797 2798 2799 2800 2801 2802 2803 2804 2805 2806 2807 2808 2809 2810 2811 2812 2813 2814 2815 2816 2817 2818 2819 2820 2821 2822 2823 2824 2825 2826 2827 2828 2829 2830 2831 2832 2833 2834 2835 2836 2837 2838 2839 2840 2841 2842 2843 2844 2845 2846 2847 2848 2849 2850 2851 2852 2853 2854 2855 2856 2857 2858 2859 2860 2861 2862 2863 2864 2865 2866 2867 2868 2869 2870 2871 2872 2873 2874 2875 2876 2877 2878 2879 2880 2881 2882 2883 2884 2885 2886 2887 2888 2889 2890 2891 2892 2893 2894 2895 2896 2897 2898 2899 2900 2901 2902 2903 2904 2905 2906 2907 2908 2909 2910 2911 2912 2913 2914 2915 2916 2917 2918 2919 2920 2921 2922 2923 2924 2925 2926 2927 2928 2929 2930 2931 2932 2933 2934 2935 2936 2937 2938 2939 2940 2941 2942 2943 2944 2945 2946 2947 2948 2949 2950 2951 2952 2953 2954 2955 2956 2957 2958 2959 2960 2961 2962 2963 2964 2965 2966 2967 2968 2969 2970 2971 2972 2973 2974 2975 2976 2977 2978 2979 2980 2981 2982 2983 2984 2985 2986 2987 2988 2989 2990 2991 2992 2993 2994 2995 2996 2997 2998 2999 3000 3001 3002 3003 3004 3005 3006 3007 3008 3009 3010 3011 3012 3013 3014 3015 3016 3017 3018 3019 3020 3021 3022 3023 3024 3025 3026 3027 3028 3029 3030 3031 3032 3033 3034 3035 3036 3037 3038 3039 3040 3041 3042 3043 3044 3045 3046 3047 3048 3049 3050 3051 3052 3053 3054 3055 3056 3057 3058 3059 3060 3061 3062 3063 3064 3065 3066 3067 3068 3069 3070 3071 3072 3073 3074 3075 3076 3077 3078 3079 3080 3081 3082 3083 3084 3085 3086 3087 3088 3089 3090 3091 3092 3093 3094 3095 3096 3097 3098 3099 3100 3101 3102 3103 3104 3105 3106 3107 3108 3109 3110 3111 3112 3113 3114 3115 3116 3117 3118 3119 3120 3121 3122 3123 3124 3125 3126 3127 3128 3129 3130 3131 3132 3133 3134 3135 3136 3137 3138 3139 3140 3141 3142 3143 3144 3145 3146 3147 3148 3149 3150 3151 3152 3153 3154 3155 3156 3157 3158 3159 3160 3161 3162 3163 3164 3165 3166 3167 3168 3169 3170 3171 3172 3173 3174 3175 3176 3177 3178 3179 3180 3181 3182 3183 3184 3185 3186 3187 3188 3189 3190 3191 3192 3193 3194 3195 3196 3197 3198 3199 3200 3201 3202 3203 3204 3205 3206 3207 3208 3209 3210 3211 3212 3213 3214 3215 3216 3217 3218 3219 3220 3221 3222 3223 3224 3225 3226 3227 3228 3229 3230 3231 3232 3233 3234 3235 3236 3237 3238 3239 3240 3241 3242 3243 3244 3245 3246 3247 3248 3249 3250 3251 3252 3253 3254 3255 3256 3257 3258 3259 3260 3261 3262 3263 3264 3265 3266 3267 3268 3269 3270 3271 3272 3273 3274 3275 3276 3277 3278 3279 3280 3281 3282 3283 3284 3285 3286 3287 3288 3289 3290 3291 3292 3293 3294 3295 3296 3297 3298 3299 3300 3301 3302 3303 3304 3305 3306 3307 3308 3309 3310 3311 3312 3313 3314 3315 3316 3317 3318 3319 3320 3321 3322 3323 3324 3325 3326 3327 3328 3329 3330 3331 3332 3333 3334 3335 3336 3337 3338 3339 3340 3341 3342 3343 3344 3345 3346 3347 3348 3349 3350 3351 3352 3353 3354 3355 3356 3357 3358 3359 3360 3361 3362 3363 3364 3365 3366 3367 3368 3369 3370 3371 3372 3373 3374 3375 3376 3377 3378 3379 3380 3381 3382 3383 3384 3385 3386 3387 3388 3389 3390 3391 3392 3393 3394 3395 3396 3397 3398 3399 3400 3401 3402 3403 3404 3405 3406 3407 3408 3409 3410 3411 3412 3413 3414 3415 3416 3417 3418 3419 3420 3421 3422 3423 3424 3425 3426 3427 3428 3429 3430 3431 3432 3433 3434 3435 3436 3437 3438 3439 3440 3441 3442 3443 3444 3445 3446 3447 3448 3449 3450 3451 3452 3453 3454 3455 3456 3457 3458 3459 3460 3461 3462 3463 3464 3465 3466 3467 3468 3469 3470 3471 3472 3473 3474 3475 3476 3477 3478 3479 3480 3481 3482 3483 3484 3485 3486 3487 3488 3489 3490 3491 3492 3493 3494 3495 3496 3497 3498 3499 3500 3501 3502 3503 3504 3505 3506 3507 3508 3509 3510 3511 3512 3513 3514 3515 3516 3517 3518 3519 3520 3521 3522 3523 3524 3525 3526 3527 3528 3529 3530 3531 3532 3533 3534 3535 3536 3537 3538 3539 3540 3541 3542 3543 3544 3545 3546 3547 3548 3549 3550 3551 3552 3553 3554 3555 3556 3557 3558 3559 3560 3561 3562 3563 3564 3565 3566 3567 3568 3569 3570 3571 3572 3573 3574 3575 3576 3577 3578 3579 3580 3581 3582 3583 3584 3585 3586 3587 3588 3589 3590 3591 3592 3593 3594 3595 3596 3597 3598 3599 3600 3601 3602 3603 3604 3605 3606 3607 3608 3609 3610 3611 3612 3613 3614 3615 3616 3617 3618 3619 3620 3621 3622 3623 3624 3625 3626 3627 3628 3629 3630 3631 3632 3633 3634 3635 3636 3637 3638 3639 3640 3641 3642 3643 3644 3645 3646 3647 3648 3649 3650 3651 3652 3653 3654 3655 3656 3657 3658 3659 3660 3661 3662 3663 3664 3665 3666 3667 3668 3669 3670 3671 3672 3673 3674 3675 3676 3677 3678 3679 3680 3681 3682 3683 3684 3685 3686 3687 3688 3689 3690 3691 3692 3693 3694 3695 3696 3697 3698 3699 3700 3701 3702 3703 3704 3705 3706 3707 3708 3709 3710 3711 3712 3713 3714 3715 3716 3717 3718 3719 3720 3721 3722 3723 3724 3725 3726 3727 3728 3729 3730 3731 3732 3733 3734 3735 3736 3737 3738 3739 3740 3741 3742 3743 3744 3745 3746 3747 3748 3749 3750 3751 3752 3753 3754 3755 3756 3757 3758 3759 3760 3761 3762 3763 3764 3765 3766 3767 3768 3769 3770 3771 3772 3773 3774 3775 3776 3777 3778 3779 3780 3781 3782 3783 3784 3785 3786 3787 3788 3789 3790 3791 3792 3793 3794 3795 3796 3797 3798 3799 3800 3801 3802 3803 3804 3805 3806 3807 3808 3809 3810 3811 3812 3813 3814 3815 3816 3817 3818 3819 3820 3821 3822 3823 3824 3825 3826 3827 3828 3829 3830 3831 3832 3833 3834 3835 3836 3837 3838 3839 3840 3841 3842 3843 3844 3845 3846 3847 3848 3849 3850 3851 3852 3853 3854 3855 3856 3857 3858 3859 3860 3861 3862 3863 3864 3865 3866 3867 3868 3869 3870 3871 3872 3873 3874 3875 3876 3877 3878 3879 3880 3881 3882 3883 3884 3885 3886 3887 3888 3889 3890 3891 3892 3893 3894 3895 3896 3897 3898 3899 3900 3901 3902 3903 3904 3905 3906 3907 3908 3909 3910 3911 3912 3913 3914 3915 3916 3917 3918 3919 3920 3921 3922 3923 3924 3925 3926 3927 3928 3929 3930 3931 3932 3933 3934 3935 3936 3937 3938 3939 3940 3941 3942 3943 3944 3945 3946 3947 3948 3949 3950 3951 3952 3953 3954 3955 3956 3957 3958 3959 3960 3961 3962 3963 3964 3965 3966 3967 3968 3969 3970 3971 3972 3973 3974 3975 3976 3977 3978 3979 3980 3981 3982 3983 3984 3985 3986 3987 3988 3989 3990 3991 3992 3993 3994 3995 3996 3997 3998 3999 4000 4001 4002 4003 4004 4005 4006 4007 4008 4009 4010 4011 4012 4013 4014 4015 4016 4017 4018 4019 4020 4021 4022 4023 4024 4025 4026 4027 4028 4029 4030 4031 4032 4033 4034 4035 4036 4037 4038 4039 4040 4041 4042 4043 4044 4045 4046 4047 4048 4049 4050 4051 4052 4053 4054 4055 4056 4057 4058 4059 4060 4061 4062 4063 4064 4065 4066 4067 4068 4069 4070 4071 4072 4073 4074 4075 4076 4077 4078 4079 4080 4081 4082 4083 4084 4085 4086 4087 4088 4089 4090 4091 4092 4093 4094 4095 4096 4097 4098 4099 4100 4101 4102 4103 4104 4105 4106 4107 4108 4109 4110 4111 4112 4113 4114 4115 4116 4117 4118 4119 4120 4121 4122 4123 4124 4125 4126 4127 4128 4129 4130 4131 4132 4133 4134 4135 4136 4137 4138 4139 4140 4141 4142 4143 4144 4145 4146 4147 4148 4149 4150 4151 4152 4153 4154 4155 4156 4157 4158 4159 4160 4161 4162 4163 4164 4165 4166 4167 4168 4169 4170 4171 4172 4173 4174 4175 4176 4177 4178 4179 4180 4181 4182 4183 4184 4185 4186 4187 4188 4189 4190 4191 4192 4193 4194 4195 4196 4197 4198 4199 4200 4201 4202 4203 4204 4205 4206 4207 4208 4209 4210 4211 4212 4213 4214 4215 4216 4217 4218 4219 4220 4221 4222 4223 4224 4225 4226 4227 4228 4229 4230 4231 4232 4233 4234 4235 4236 4237 4238 4239 4240 4241 4242 4243 4244 4245 4246 4247 4248 4249 4250 4251 4252 4253 4254 4255 4256 4257 4258 4259 4260 4261 4262 4263 4264 4265 4266 4267 4268 4269 4270 4271 4272 4273 4274 4275 4276 4277 4278 4279 4280 4281 4282 4283 4284 4285 4286 4287 4288 4289 4290 4291 4292 4293 4294 4295 4296 4297 4298 4299 4300 4301 4302 4303 4304 4305 4306 4307 4308 4309 4310 4311 4312 4313 4314 4315 4316 4317 4318 4319 4320 4321 4322 4323 4324 4325 4326 4327 4328 4329 4330 4331 4332 4333 4334 4335 4336 4337 4338 4339 4340 4341 4342 4343 4344 4345 4346 4347 4348 4349 4350 4351 4352 4353 4354 4355 4356 4357 4358 4359 4360 4361 4362 4363 4364 4365 4366 4367 4368 4369 4370 4371 4372 4373 4374 4375 4376 4377 4378 4379 4380 4381 4382 4383 4384 4385 4386 4387 4388 4389 4390 4391 4392 4393 4394 4395 4396 4397 4398 4399 4400 4401 4402 4403 4404 4405 4406 4407 4408 4409 4410 4411 4412 4413 4414 4415 4416 4417 4418 4419 4420 4421 4422 4423 4424 4425 4426 4427 4428 4429 4430 4431 4432 4433 4434 4435 4436 4437 4438 4439 4440 4441 4442 4443 4444 4445 4446 4447 4448 4449 4450 4451 4452 4453 4454 4455 4456 4457 4458 4459 4460 4461 4462 4463 4464 4465 4466 4467 4468 4469 4470 4471 4472 4473 4474 4475 4476 4477 4478 4479 4480 4481 4482 4483 4484 4485 4486 4487 4488 4489 4490 4491 4492 4493 4494 4495 4496 4497 4498 4499 4500 4501 4502 4503 4504 4505 4506 4507 4508 4509 4510 4511 4512 4513 4514 4515 4516 4517 4518 4519 4520 4521 4522 4523 4524 4525 4526 4527 4528 4529 4530 4531 4532 4533 4534 4535 4536 4537 4538 4539 4540 4541 4542 4543 4544 4545 4546 4547 4548 4549 4550 4551 4552 4553 4554 4555 4556 4557 4558 4559 4560 4561 4562 4563 4564 4565 4566 4567 4568 4569 4570 4571 4572 4573 4574 4575 4576 4577 4578 4579 4580 4581 4582 4583 4584 4585 4586 4587 4588 4589 4590 4591 4592 4593 4594 4595 4596 4597 4598 4599 4600 4601 4602 4603 4604 4605 4606 4607 4608 4609 4610 4611 4612 4613 4614 4615 4616 4617 4618 4619 4620 4621 4622 4623 4624 4625 4626 4627 4628 4629 4630 4631 4632 4633 4634 4635 4636 4637 4638 4639 4640 4641 4642 4643 4644 4645 4646 4647 4648 4649 4650 4651 4652 4653 4654 4655 4656 4657 4658 4659 4660 4661 4662 4663 4664 4665 4666 4667 4668 4669 4670 4671 4672 4673 4674 4675 4676 4677 4678 4679 4680 4681 4682 4683 4684 4685 4686 4687 4688 4689 4690 4691 4692 4693 4694 4695 4696 4697 4698 4699 4700 4701 4702 4703 4704 4705 4706 4707 4708 4709 4710 4711 4712 4713 4714 4715 4716 4717 4718 4719 4720 4721 4722 4723 4724 4725 4726 4727 4728 4729 4730 4731 4732 4733 4734 4735 4736 4737 4738 4739 4740 4741 4742 4743 4744 4745 4746 4747 4748 4749 4750 4751 4752 4753 4754 4755 4756 4757 4758 4759 4760 4761 4762 4763 4764 4765 4766 4767 4768 4769 4770 4771 4772 4773 4774 4775 4776 4777 4778 4779 4780 4781 4782 4783 4784 4785 4786 4787 4788 4789 4790 4791 4792 4793 4794 4795 4796 4797 4798 4799 4800 4801 4802 4803 4804 4805 4806 4807 4808 4809 4810 4811 4812 4813 4814 4815 4816 4817 4818 4819 4820 4821 4822 4823 4824 4825 4826 4827 4828 4829 4830 4831 4832 4833 4834 4835 4836 4837 4838 4839 4840 4841 4842 4843 4844 4845 4846 4847 4848 4849 4850 4851 4852 4853 4854 4855 4856 4857 4858 4859 4860 4861 4862 4863 4864 4865 4866 4867 4868 4869 4870 4871 4872 4873 4874 4875 4876 4877 4878 4879 4880 4881 4882 4883 4884 4885 4886 4887 4888 4889 4890 4891 4892 4893 4894 4895 4896 4897 4898 4899 4900 4901 4902 4903 4904 4905 4906 4907 4908 4909 4910 4911 4912 4913 4914 4915 4916 4917 4918 4919 4920 4921 4922 4923 4924 4925 4926 4927 4928 4929 4930 4931 4932 4933 4934 4935 4936 4937 4938 4939 4940 4941 4942 4943 4944 4945 4946 4947 4948 4949 4950 4951 4952 4953 4954 4955 4956 4957 4958 4959 4960 4961 4962 4963 4964 4965 4966 4967 4968 4969 4970 4971 4972 4973 4974 4975 4976 4977 4978 4979 4980 4981 4982 4983 4984 4985 4986 4987 4988 4989 4990 4991 4992 4993 4994 4995 4996 4997 4998 4999 5000 5001 5002 5003 5004 5005 5006 5007 5008 5009 5010 5011 5012 5013 5014 5015 5016 5017 5018 5019 5020 5021 5022 5023 5024 5025 5026 5027 5028 5029 5030 5031 5032 5033 5034 5035 5036 5037 5038 5039 5040 5041 5042 5043 5044 5045 5046 5047 5048 5049 5050 5051 5052 5053 5054 5055 5056 5057 5058 5059 5060 5061 5062 5063 5064 5065 5066 5067 5068 5069 5070 5071 5072 5073 5074 5075 5076 5077 5078 5079 5080 5081 5082 5083 5084 5085 5086 5087 5088 5089 5090 5091 5092 5093 5094 5095 5096 5097 5098 5099 5100 5101 5102 5103 5104 5105 5106 5107 5108 5109 5110 5111 5112 5113 5114 5115 5116 5117 5118 5119 5120 5121 5122 5123 5124 5125 5126 5127 5128 5129 5130 5131 5132 5133 5134 5135 5136 5137 5138 5139 5140 5141 5142 5143 5144 5145 5146 5147 5148 5149 5150 5151 5152 5153 5154 5155 5156 5157 5158 5159 5160 5161 5162 5163 5164 5165 5166 5167 5168 5169 5170 5171 5172 5173 5174 5175 5176 5177 5178 5179 5180 5181 5182 5183 5184 5185 5186 5187 5188 5189 5190 5191 5192 5193 5194 5195 5196 5197 5198 5199 5200 5201 5202 5203 5204 5205 5206 5207 5208 5209 5210 5211 5212 5213 5214 5215 5216 5217 5218 5219 5220 5221 5222 5223 5224 5225 5226 5227 5228 5229 5230 5231 5232 5233 5234 5235 5236 5237 5238 5239 5240 5241 5242 5243 5244 5245 5246 5247 5248 5249 5250 5251 5252 5253 5254 5255 5256 5257 5258 5259 5260 5261 5262 5263 5264 5265 5266 5267 5268 5269 5270 5271 5272 5273 5274 5275 5276 5277 5278 5279 5280 5281 5282 5283 5284 5285 5286 5287 5288 5289 5290 5291 5292 5293 5294 5295 5296 5297 5298 5299 5300 5301 5302 5303 5304 5305 5306 5307 5308 5309 5310 5311 5312 5313 5314 5315 5316 5317 5318 5319 5320 5321 5322 5323 5324 5325 5326 5327 5328 5329 5330 5331 5332 5333 5334 5335 5336 5337 5338 5339 5340 5341 5342 5343 5344 5345 5346 5347 5348 5349 5350 5351 5352 5353 5354 5355 5356 5357 5358 5359 5360 5361 5362 5363 5364 5365 5366 5367 5368 5369 5370 5371 5372 5373 5374 5375 5376 5377 5378 5379 5380 5381 5382 5383 5384 5385 5386 5387 5388 5389 5390 5391 5392 5393 5394 5395 5396 5397 5398 5399 5400 5401 5402 5403 5404 5405 5406 5407 5408 5409 5410 5411 5412 5413 5414 5415 5416 5417 5418 5419 5420 5421 5422 5423 5424 5425 5426 5427 5428 5429 5430 5431 5432 5433 5434 5435 5436 5437 5438 5439 5440 5441 5442 5443 5444 5445 5446 5447 5448 5449 5450 5451 5452 5453 5454 5455 5456 5457 5458 5459 5460 5461 5462 5463 5464 5465 5466 5467 5468 5469 5470 5471 5472 5473 5474 5475 5476 5477 5478 5479 5480 5481 5482 5483 5484 5485 5486 5487 5488 5489 5490 5491 5492 5493 5494 5495 5496 5497 5498 5499 5500 5501 5502 5503 5504 5505 5506 5507 5508 5509 5510 5511 5512 5513 5514 5515 5516 5517 5518 5519 5520 5521 5522 5523 5524 5525 5526 5527 5528 5529 5530 5531 5532 5533 5534 5535 5536 5537 5538 5539 5540 5541 5542 5543 5544 5545 5546 5547 5548 5549 5550 5551 5552 5553 5554 5555 5556 5557 5558 5559 5560 5561 5562 5563 5564 5565 5566 5567 5568 5569 5570 5571 5572 5573 5574 5575 5576 5577 5578 5579 5580 5581 5582 5583 5584 5585 5586 5587 5588 5589 5590 5591 5592 5593 5594 5595 5596 5597 5598 5599 5600 5601 5602 5603 5604 5605 5606 5607 5608 5609 5610 5611 5612 5613 5614 5615 5616 5617 5618 5619 5620 5621 5622 5623 5624 5625 5626 5627 5628 5629 5630 5631 5632 5633 5634 5635 5636 5637 5638 5639 5640 5641 5642 5643 5644 5645 5646 5647 5648 5649 5650 5651 5652 5653 5654 5655 5656 5657 5658 5659 5660 5661 5662 5663 5664 5665 5666 5667 5668 5669 5670 5671 5672 5673 5674 5675 5676 5677 5678 5679 5680 5681 5682 5683 5684 5685 5686 5687 5688 5689 5690 5691 5692 5693 5694 5695 5696 5697 5698 5699 5700 5701 5702 5703 5704 5705 5706 5707 5708 5709 5710 5711 5712 5713 5714 5715 5716 5717 5718 5719 5720 5721 5722 5723 5724 5725 5726 5727 5728 5729 5730 5731 5732 5733 5734 5735 5736 5737 5738 5739 5740 5741 5742 5743 5744 5745 5746 5747 5748 5749 5750 5751 5752 5753 5754 5755 5756 5757 5758 5759 5760 5761 5762 5763 5764 5765 5766 5767 5768 5769 5770 5771 5772 5773 5774 5775 5776 5777 5778 5779 5780 5781 5782 5783 5784 5785 5786 5787 5788 5789 5790 5791 5792 5793 5794 5795 5796 5797 5798 5799 5800 5801 5802 5803 5804 5805 5806 5807 5808 5809 5810 5811 5812 5813 5814 5815 5816 5817 5818 5819 5820 5821 5822 5823 5824 5825 5826 5827 5828 5829 5830 5831 5832 5833 5834 5835 5836 5837 5838 5839 5840 5841 5842 5843 5844 5845 5846 5847 5848 5849 5850 5851 5852 5853 5854 5855 5856 5857 5858 5859 5860 5861 5862 5863 5864 5865 5866 5867 5868 5869 5870 5871 5872 5873 5874 5875 5876 5877 5878 5879 5880 5881 5882 5883 5884 5885 5886 5887 5888 5889 5890 5891 5892 5893 5894 5895 5896 5897 5898 5899 5900 5901 5902 5903 5904 5905 5906 5907 5908 5909 5910 5911 5912 5913 5914 5915 5916 5917 5918 5919 5920 5921 5922 5923 5924 5925 5926 5927 5928 5929 5930 5931 5932 5933 5934 5935 5936 5937 5938 5939 5940 5941 5942 5943 5944 5945 5946 5947 5948 5949 5950 5951 5952 5953 5954 5955 5956 5957 5958 5959 5960 5961 5962 5963 5964 5965 5966 5967 5968 5969 5970 5971 5972 5973 5974 5975 5976 5977 5978 5979 5980 5981 5982 5983 5984 5985 5986 5987 5988 5989 5990 5991 5992 5993 5994 5995 5996 5997 5998 5999 6000 6001 6002 6003 6004 6005 6006 6007 6008 6009 6010 6011 6012 6013 6014 6015 6016 6017 6018 6019 6020 6021 6022 6023 6024 6025 6026 6027 6028 6029 6030 6031 6032 6033 6034 6035 6036 6037 6038 6039 6040 6041 6042 6043 6044 6045 6046 6047 6048 6049 6050 6051 6052 6053 6054 6055 6056 6057 6058 6059 6060 6061 6062 6063 6064 6065 6066 6067 6068 6069 6070 6071 6072 6073 6074 6075 6076 6077 6078 6079 6080 6081 6082 6083 6084 6085 6086 6087 6088 6089 6090 6091 6092 6093 6094 6095 6096 6097 6098 6099 6100 6101 6102 6103 6104 6105 6106 6107 6108 6109 6110 6111 6112 6113 6114 6115 6116 6117 6118 6119 6120 6121 6122 6123 6124 6125 6126 6127 6128 6129 6130 6131 6132 6133 6134 6135 6136 6137 6138 6139 6140 6141 6142 6143 6144 6145 6146 6147 6148 6149 6150 6151 6152 6153 6154 6155 6156 6157 6158 6159 6160 6161 6162 6163 6164 6165 6166 6167 6168 6169 6170 6171 6172 6173 6174 6175 6176 6177 6178 6179 6180 6181 6182 6183 6184 6185 6186 6187 6188 6189 6190 6191 6192 6193 6194 6195 6196 6197 6198 6199 6200 6201 6202 6203 6204 6205 6206 6207 6208 6209 6210 6211 6212 6213 6214 6215 6216 6217 6218 6219 6220 6221 6222 6223 6224 6225 6226 6227 6228 6229 6230 6231 6232 6233 6234 6235 6236 6237 6238 6239 6240 6241 6242 6243 6244 6245 6246 6247 6248 6249 6250 6251 6252 6253 6254 6255 6256 6257 6258 6259 6260 6261 6262 6263 6264 6265 6266 6267 6268 6269 6270 6271 6272 6273 6274 6275 6276 6277 6278 6279 6280 6281 6282 6283 6284 6285 6286 6287 6288 6289 6290 6291 6292 6293 6294 6295 6296 6297 6298 6299 6300 6301 6302 6303 6304 6305 6306 6307 6308 6309 6310 6311 6312 6313 6314 6315 6316 6317 6318 6319 6320 6321 6322 6323 6324 6325 6326 6327 6328 6329 6330 6331 6332 6333 6334 6335 6336 6337 6338 6339 6340 6341 6342 6343 6344 6345 6346 6347 6348 6349 6350 6351 6352 6353 6354 6355 6356 6357 6358 6359 6360 6361 6362 6363 6364 6365 6366 6367 6368 6369 6370 6371 6372 6373 6374 6375 6376 6377 6378 6379 6380 6381 6382 6383 6384 6385 6386 6387 6388 6389 6390 6391 6392 6393 6394 6395 6396 6397 6398 6399 6400 6401 6402 6403 6404 6405 6406 6407 6408 6409 6410 6411 6412 6413 6414 6415 6416 6417 6418 6419 6420 6421 6422 6423 6424 6425 6426 6427 6428 6429 6430 6431 6432 6433 6434 6435 6436 6437 6438 6439 6440 6441 6442 6443 6444 6445 6446 6447 6448 6449 6450 6451 6452 6453 6454 6455 6456 6457 6458 6459 6460 6461 6462 6463 6464 6465 6466 6467 6468 6469 6470 6471 6472 6473 6474 6475 6476 6477 6478 6479 6480 6481 6482 6483 6484 6485 6486 6487 6488 6489 6490 6491 6492 6493 6494 6495 6496 6497 6498 6499 6500 6501 6502 6503 6504 6505 6506 6507 6508 6509 6510 6511 6512 6513 6514 6515 6516 6517 6518 6519 6520 6521 6522 6523 6524 6525 6526 6527 6528 6529 6530 6531 6532 6533 6534 6535 6536 6537 6538 6539 6540 6541 6542 6543 6544 6545 6546 6547 6548 6549 6550 6551 6552 6553 6554 6555 6556 6557 6558 6559 6560 6561 6562 6563 6564 6565 6566 6567 6568 6569 6570 6571 6572 6573 6574 6575 6576 6577 6578 6579 6580 6581 6582 6583 6584 6585 6586 6587 6588 6589 6590 6591 6592 6593 6594 6595 6596 6597 6598 6599 6600 6601 6602 6603 6604 6605 6606 6607 6608 6609 6610 6611 6612 6613 6614 6615 6616 6617 6618 6619 6620 6621 6622 6623 6624 6625 6626 6627 6628 6629 6630 6631 6632 6633 6634 6635 6636 6637 6638 6639 6640 6641 6642 6643 6644 6645 6646 6647 6648 6649 6650 6651 6652 6653 6654 6655 6656 6657 6658 6659 6660 6661 6662 6663 6664 6665 6666 6667 6668 6669 6670 6671 6672 6673 6674 6675 6676 6677 6678 6679 6680 6681 6682 6683 6684 6685 6686 6687 6688 6689 6690 6691 6692 6693 6694 6695 6696 6697 6698 6699 6700 6701 6702 6703 6704 6705 6706 6707 6708 6709 6710 6711 6712 6713 6714 6715 6716 6717 6718 6719 6720 6721 6722 6723 6724 6725 6726 6727 6728 6729 6730 6731 6732 6733 6734 6735 6736 6737 6738 6739 6740 6741 6742 6743 6744 6745 6746 6747 6748 6749 6750 6751 6752 6753 6754 6755 6756 6757 6758 6759 6760 6761 6762 6763 6764 6765 6766 6767 6768 6769 6770 6771 6772 6773 6774 6775 6776 6777 6778 6779 6780 6781 6782 6783 6784 6785 6786 6787 6788 6789 6790 6791 6792 6793 6794 6795 6796 6797 6798 6799 6800 6801 6802 6803 6804 6805 6806 6807 6808 6809 6810 6811 6812 6813 6814 6815 6816 6817 6818 6819 6820 6821 6822 6823 6824 6825 6826 6827 6828 6829 6830 6831 6832 6833 6834 6835 6836 6837 6838 6839 6840 6841 6842 6843 6844 6845 6846 6847 6848 6849 6850 6851 6852 6853 6854 6855 6856 6857 6858 6859 6860 6861 6862 6863 6864 6865 6866 6867 6868 6869 6870 6871 6872 6873 6874 6875 6876 6877 6878 6879 6880 6881 6882 6883 6884 6885 6886 6887 6888 6889 6890 6891 6892 6893 6894 6895 6896 6897 6898 6899 6900 6901 6902 6903 6904 6905 6906 6907 6908 6909 6910 6911 6912 6913 6914 6915 6916 6917 6918 6919 6920 6921 6922 6923 6924 6925 6926 6927 6928 6929 6930 6931 6932 6933 6934 6935 6936 6937 6938 6939 6940 6941 6942 6943 6944 6945 6946 6947 6948 6949 6950 6951 6952 6953 6954 6955 6956 6957 6958 6959 6960 6961 6962 6963 6964 6965 6966 6967 6968 6969 6970 6971 6972 6973 6974 6975 6976 6977 6978 6979 6980 6981 6982 6983 6984 6985 6986 6987 6988 6989 6990 6991 6992 6993 6994 6995 6996 6997 6998 6999 7000 7001 7002 7003 7004 7005 7006 7007 7008 7009 7010 7011 7012 7013 7014 7015 7016 7017 7018 7019 7020 7021 7022 7023 7024 7025 7026 7027 7028 7029 7030 7031 7032 7033 7034 7035 7036 7037 7038 7039 7040 7041 7042 7043 7044 7045 7046 7047 7048 7049 7050 7051 7052 7053 7054 7055 7056 7057 7058 7059 7060 7061 7062 7063 7064 7065 7066 7067 7068 7069 7070 7071 7072 7073 7074 7075 7076 7077 7078 7079 7080 7081 7082 7083 7084 7085 7086 7087 7088 7089 7090 7091 7092 7093 7094 7095 7096 7097 7098 7099 7100 7101 7102 7103 7104 7105 7106 7107 7108 7109 7110 7111 7112 7113 7114 7115 7116 7117 7118 7119 7120 7121 7122 7123 7124 7125 7126 7127 7128 7129 7130 7131 7132 7133 7134 7135 7136 7137 7138 7139 7140 7141 7142 7143 7144 7145 7146 7147 7148 7149 7150 7151 7152 7153 7154 7155 7156 7157 7158 7159 7160 7161 7162 7163 7164 7165 7166 7167 7168 7169 7170 7171 7172 7173 7174 7175 7176 7177 7178 7179 7180 7181 7182 7183 7184 7185 7186 7187 7188 7189 7190 7191 7192 7193 7194 7195 7196 7197 7198 7199 7200 7201 7202 7203 7204 7205 7206 7207 7208 7209 7210 7211 7212 7213 7214 7215 7216 7217 7218 7219 7220 7221 7222 7223 7224 7225 7226 7227 7228 7229 7230 7231 7232 7233 7234 7235 7236 7237 7238 7239 7240 7241 7242 7243 7244 7245 7246 7247 7248 7249 7250 7251 7252 7253 7254 7255 7256 7257 7258 7259 7260 7261 7262 7263 7264 7265 7266 7267 7268 7269 7270 7271 7272 7273 7274 7275 7276 7277 7278 7279 7280 7281 7282 7283 7284 7285 7286 7287 7288 7289 7290 7291 7292 7293 7294 7295 7296 7297 7298 7299 7300 7301 7302 7303 7304 7305 7306 7307 7308 7309 7310 7311 7312 7313 7314 7315 7316 7317 7318 7319 7320 7321 7322 7323 7324 7325 7326 7327 7328 7329 7330 7331 7332 7333 7334 7335 7336 7337 7338 7339 7340 7341 7342 7343 7344 7345 7346 7347 7348 7349 7350 7351 7352 7353 7354 7355 7356 7357 7358 7359 7360 7361 7362 7363 7364 7365 7366 7367 7368 7369 7370 7371 7372 7373 7374 7375 7376 7377 7378 7379 7380 7381 7382 7383 7384 7385 7386 7387 7388 7389 7390 7391 7392 7393 7394 7395 7396 7397 7398 7399 7400 7401 7402 7403 7404 7405 7406 7407 7408 7409 7410 7411 7412 7413 7414 7415 7416 7417 7418 7419 7420 7421 7422 7423 7424 7425 7426 7427 7428 7429 7430 7431 7432 7433 7434 7435 7436 7437 7438 7439 7440 7441 7442 7443 7444 7445 7446 7447 7448 7449 7450 7451 7452 7453 7454 7455 7456 7457 7458 7459 7460 7461 7462 7463 7464 7465 7466 7467 7468 7469 7470 7471 7472 7473 7474 7475 7476 7477 7478 7479 7480 7481 7482 7483 7484 7485 7486 7487 7488 7489 7490 7491 7492 7493 7494 7495 7496 7497 7498 7499 7500 7501 7502 7503 7504 7505 7506 7507 7508 7509 7510 7511 7512 7513 7514 7515 7516 7517 7518 7519 7520 7521 7522 7523 7524 7525 7526 7527 7528 7529 7530 7531 7532 7533 7534 7535 7536 7537 7538 7539 7540 7541 7542 7543 7544 7545 7546 7547 7548 7549 7550 7551 7552 7553 7554 7555 7556 7557 7558 7559 7560 7561 7562 7563 7564 7565 7566 7567 7568 7569 7570 7571 7572 7573 7574 7575 7576 7577 7578 7579 7580 7581 7582 7583 7584 7585 7586 7587 7588 7589 7590 7591 7592 7593 7594 7595 7596 7597 7598 7599 7600 7601 7602 7603 7604 7605 7606 7607 7608 7609 7610 7611 7612 7613 7614 7615 7616 7617 7618 7619 7620 7621 7622 7623 7624 7625 7626 7627 7628 7629 7630 7631 7632 7633 7634 7635 7636 7637 7638 7639 7640 7641 7642 7643 7644 7645 7646 7647 7648 7649 7650 7651 7652 7653 7654 7655 7656 7657 7658 7659 7660 7661 7662 7663 7664 7665 7666 7667 7668 7669 7670 7671 7672 7673 7674 7675 7676 7677 7678 7679 7680 7681 7682 7683 7684 7685 7686 7687 7688 7689 7690 7691 7692 7693 7694 7695 7696 7697 7698 7699 7700 7701 7702 7703 7704 7705 7706 7707 7708 7709 7710 7711 7712 7713 7714 7715 7716 7717 7718 7719 7720 7721 7722 7723 7724 7725 7726 7727 7728 7729 7730 7731 7732 7733 7734 7735 7736 7737 7738 7739 7740 7741 7742 7743 7744 7745 7746 7747 7748 7749 7750 7751 7752 7753 7754 7755 7756 7757 7758 7759 7760 7761 7762 7763 7764 7765 7766 7767 7768 7769 7770 7771 7772 7773 7774 7775 7776 7777 7778 7779 7780 7781 7782 7783 7784 7785 7786 7787 7788 7789 7790 7791 7792 7793 7794 7795 7796 7797 7798 7799 7800 7801 7802 7803 7804 7805 7806 7807 7808 7809 7810 7811 7812 7813 7814 7815 7816 7817 7818 7819 7820 7821 7822 7823 7824 7825 7826 7827 7828 7829 7830 7831 7832 7833 7834 7835 7836 7837 7838 7839 7840 7841 7842 7843 7844 7845 7846 7847 7848 7849 7850 7851 7852 7853 7854 7855 7856 7857 7858 7859 7860 7861 7862 7863 7864 7865 7866 7867 7868 7869 7870 7871 7872 7873 7874 7875 7876 7877 7878 7879 7880 7881 7882 7883 7884 7885 7886 7887 7888 7889 7890 7891 7892 7893 7894 7895 7896 7897 7898 7899 7900 7901 7902 7903 7904 7905 7906 7907 7908 7909 7910 7911 7912 7913 7914 7915 7916 7917 7918 7919 7920 7921 7922 7923 7924 7925 7926 7927 7928 7929 7930 7931 7932 7933 7934 7935 7936 7937 7938 7939 7940 7941 7942 7943 7944 7945 7946 7947 7948 7949 7950 7951 7952 7953 7954 7955 7956 7957 7958 7959 7960 7961 7962 7963 7964 7965 7966 7967 7968 7969 7970 7971 7972 7973 7974 7975 7976 7977 7978 7979 7980 7981 7982 7983 7984 7985 7986 7987 7988 7989 7990 7991 7992 7993 7994 7995 7996 7997 7998 7999 8000 8001 8002 8003 8004 8005 8006 8007 8008 8009 8010 8011 8012 8013 8014 8015 8016 8017 8018 8019 8020 8021 8022 8023 8024 8025 8026 8027 8028 8029 8030 8031 8032 8033 8034 8035 8036 8037 8038 8039 8040 8041 8042 8043 8044 8045 8046 8047 8048 8049 8050 8051 8052 8053 8054 8055 8056 8057 8058 8059 8060 8061 8062 8063 8064 8065 8066 8067 8068 8069 8070 8071 8072 8073 8074 8075 8076 8077 8078 8079 8080 8081 8082 8083 8084 8085 8086 8087 8088 8089 8090 8091 8092 8093 8094 8095 8096 8097 8098 8099 8100 8101 8102 8103 8104 8105 8106 8107 8108 8109 8110 8111 8112 8113 8114 8115 8116 8117 8118 8119 8120 8121 8122 8123 8124 8125 8126 8127 8128 8129 8130 8131 8132 8133 8134 8135 8136 8137 8138 8139 8140 8141 8142 8143 8144 8145 8146 8147 8148 8149 8150 8151 8152 8153 8154 8155 8156 8157 8158 8159 8160 8161 8162 8163 8164 8165 8166 8167 8168 8169 8170 8171 8172 8173 8174 8175 8176 8177 8178 8179 8180 8181 8182 8183 8184 8185 8186 8187 8188 8189 8190 8191 8192 8193 8194 8195 8196 8197 8198 8199 8200 8201 8202 8203 8204 8205 8206 8207 8208 8209 8210 8211 8212 8213 8214 8215 8216 8217 8218 8219 8220 8221 8222 8223 8224 8225 8226 8227 8228 8229 8230 8231 8232 8233 8234 8235 8236 8237 8238 8239 8240 8241 8242 8243 8244 8245 8246 8247 8248 8249 8250 8251 8252 8253 8254 8255 8256 8257 8258 8259 8260 8261 8262 8263 8264 8265 8266 8267 8268 8269 8270 8271 8272 8273 8274 8275 8276 8277 8278 8279 8280 8281 8282 8283 8284 8285 8286 8287 8288 8289 8290 8291 8292 8293 8294 8295 8296 8297 8298 8299 8300 8301 8302 8303 8304 8305 8306 8307 8308 8309 8310 8311 8312 8313 8314 8315 8316 8317 8318 8319 8320 8321 8322 8323 8324 8325 8326 8327 8328 8329 8330 8331 8332 8333 8334 8335 8336 8337 8338 8339 8340 8341 8342 8343 8344 8345 8346 8347 8348 8349 8350 8351 8352 8353 8354 8355 8356 8357 8358 8359 8360 8361 8362 8363 8364 8365 8366 8367 8368 8369 8370 8371 8372 8373 8374 8375 8376 8377 8378 8379 8380 8381 8382 8383 8384 8385 8386 8387 8388 8389 8390 8391 8392 8393 8394 8395 8396 8397 8398 8399 8400 8401 8402 8403 8404 8405 8406 8407 8408 8409 8410 8411 8412 8413 8414 8415 8416 8417 8418 8419 8420 8421 8422 8423 8424 8425 8426 8427 8428 8429 8430 8431 8432 8433 8434 8435 8436 8437 8438 8439 8440 8441 8442 8443 8444 8445 8446 8447 8448 8449 8450 8451 8452 8453 8454 8455 8456 8457 8458 8459 8460 8461 8462 8463 8464 8465 8466 8467 8468 8469 8470 8471 8472 8473 8474 8475 8476 8477 8478 8479 8480 8481 8482 8483 8484 8485 8486 8487 8488 8489 8490 8491 8492 8493 8494 8495 8496 8497 8498 8499 8500 8501 8502 8503 8504 8505 8506 8507 8508 8509 8510 8511 8512 8513 8514 8515 8516 8517 8518 8519 8520 8521 8522 8523 8524 8525 8526 8527 8528 8529 8530 8531 8532 8533 8534 8535 8536 8537 8538 8539 8540 8541 8542 8543 8544 8545 8546 8547 8548 8549 8550 8551 8552 8553 8554 8555 8556 8557 8558 8559 8560 8561 8562 8563 8564 8565 8566 8567 8568 8569 8570 8571 8572 8573 8574 8575 8576 8577 8578 8579 8580 8581 8582 8583 8584 8585 8586 8587 8588 8589 8590 8591 8592 8593 8594 8595 8596 8597 8598 8599 8600 8601 8602 8603 8604 8605 8606 8607 8608 8609 8610 8611 8612 8613 8614 8615 8616 8617 8618 8619 8620 8621 8622 8623 8624 8625 8626 8627 8628 8629 8630 8631 8632 8633 8634 8635 8636 8637 8638 8639 8640 8641 8642 8643 8644 8645 8646 8647 8648 8649 8650 8651 8652 8653 8654 8655 8656 8657 8658 8659 8660 8661 8662 8663 8664 8665 8666 8667 8668 8669 8670 8671 8672 8673 8674 8675 8676 8677 8678 8679 8680 8681 8682 8683 8684 8685 8686 8687 8688 8689 8690 8691 8692 8693 8694 8695 8696 8697 8698 8699 8700 8701 8702 8703 8704 8705 8706 8707 8708 8709 8710 8711 8712 8713 8714 8715 8716 8717 8718 8719 8720 8721 8722 8723 8724 8725 8726 8727 8728 8729 8730 8731 8732 8733 8734 8735 8736 8737 8738 8739 8740 8741 8742 8743 8744 8745 8746 8747 8748 8749 8750 8751 8752 8753 8754 8755 8756 8757 8758 8759 8760 8761 8762 8763 8764 8765 8766 8767 8768 8769 8770 8771 8772 8773 8774 8775 8776 8777 8778 8779 8780 8781 8782 8783 8784 8785 8786 8787 8788 8789 8790 8791 8792 8793 8794 8795 8796 8797 8798 8799 8800 8801 8802 8803 8804 8805 8806 8807 8808 8809 8810 8811 8812 8813 8814 8815 8816 8817 8818 8819 8820 8821 8822 8823 8824 8825 8826 8827 8828 8829 8830 8831 8832 8833 8834 8835 8836 8837 8838 8839 8840 8841 8842 8843 8844 8845 8846 8847 8848 8849 8850 8851 8852 8853 8854 8855 8856 8857 8858 8859 8860 8861 8862 8863 8864 8865 8866 8867 8868 8869 8870 8871 8872 8873 8874 8875 8876 8877 8878 8879 8880 8881 8882 8883 8884 8885 8886 8887 8888 8889 8890 8891 8892 8893 8894 8895 8896 8897 8898 8899 8900 8901 8902 8903 8904 8905 8906 8907 8908 8909 8910 8911 8912 8913 8914 8915 8916 8917 8918 8919 8920 8921 8922 8923 8924 8925 8926 8927 8928 8929 8930 8931 8932 8933 8934 8935 8936 8937 8938 8939 8940 8941 8942 8943 8944 8945 8946 8947 8948 8949 8950 8951 8952 8953 8954 8955 8956 8957 8958 8959 8960 8961 8962 8963 8964 8965 8966 8967 8968 8969 8970 8971 8972 8973 8974 8975 8976 8977 8978 8979 8980 8981 8982 8983 8984 8985 8986 8987 8988 8989 8990 8991 8992 8993 8994 8995 8996 8997 8998 8999 9000 9001 9002 9003 9004 9005 9006 9007 9008 9009 9010 9011 9012 9013 9014 9015 9016 9017 9018 9019 9020 9021 9022 9023 9024 9025 9026 9027 9028 9029 9030 9031 9032 9033 9034 9035 9036 9037 9038 9039 9040 9041 9042 9043 9044 9045 9046 9047 9048 9049 9050 9051 9052 9053 9054 9055 9056 9057 9058 9059 9060 9061 9062 9063 9064 9065 9066 9067 9068 9069 9070 9071 9072 9073 9074 9075 9076 9077 9078 9079 9080 9081 9082 9083 9084 9085 9086 9087 9088 9089 9090 9091 9092 9093 9094 9095 9096 9097 9098 9099 9100 9101 9102 9103 9104 9105 9106 9107 9108 9109 9110 9111 9112 9113 9114 9115 9116 9117 9118 9119 9120 9121 9122 9123 9124 9125 9126 9127 9128 9129 9130 9131 9132 9133 9134 9135 9136 9137 9138 9139 9140 9141 9142 9143 9144 9145 9146 9147 9148 9149 9150 9151 9152 9153 9154 9155 9156 9157 9158 9159 9160 9161 9162 9163 9164 9165 9166 9167 9168 9169 9170 9171 9172 9173 9174 9175 9176 9177 9178 9179 9180 9181 9182 9183 9184 9185 9186 9187 9188 9189 9190 9191 9192 9193 9194 9195 9196 9197 9198 9199 9200 9201 9202 9203 9204 9205 9206 9207 9208 9209 9210 9211 9212 9213 9214 9215 9216 9217 9218 9219 9220 9221 9222 9223 9224 9225 9226 9227 9228 9229 9230 9231 9232 9233 9234 9235 9236 9237 9238 9239 9240 9241 9242 9243 9244 9245 9246 9247 9248 9249 9250 9251 9252 9253 9254 9255 9256 9257 9258 9259 9260 9261 9262 9263 9264 9265 9266 9267 9268 9269 9270 9271 9272 9273 9274 9275 9276 9277 9278 9279 9280 9281 9282 9283 9284 9285 9286 9287 9288 9289 9290 9291 9292 9293 9294 9295 9296 9297 9298 9299 9300 9301 9302 9303 9304 9305 9306 9307 9308 9309 9310 9311 9312 9313 9314 9315 9316 9317 9318 9319 9320 9321 9322 9323 9324 9325 9326 9327 9328 9329 9330 9331 9332 9333 9334 9335 9336 9337 9338 9339 9340 9341 9342 9343 9344 9345 9346 9347 9348 9349 9350 9351 9352 9353 9354 9355 9356 9357 9358 9359 9360 9361 9362 9363 9364 9365 9366 9367 9368 9369 9370 9371 9372 9373 9374 9375 9376 9377 9378 9379 9380 9381 9382 9383 9384 9385 9386 9387 9388 9389 9390 9391 9392 9393 9394 9395 9396 9397 9398 9399 9400 9401 9402 9403 9404 9405 9406 9407 9408 9409 9410 9411 9412 9413 9414 9415 9416 9417 9418 9419 9420 9421 9422 9423 9424 9425 9426 9427 9428 9429 9430 9431 9432 9433 9434 9435 9436 9437 9438 9439 9440 9441 9442 9443 9444 9445 9446 9447 9448 9449 9450 9451 9452 9453 9454 9455 9456 9457 9458 9459 9460 9461 9462 9463 9464 9465 9466 9467 9468 9469 9470 9471 9472 9473 9474 9475 9476 9477 9478 9479 9480 9481 9482 9483 9484 9485 9486 9487 9488 9489 9490 9491 9492 9493 9494 9495 9496 9497 9498 9499 9500 9501 9502 9503 9504 9505 9506 9507 9508 9509 9510 9511 9512 9513 9514 9515 9516 9517 9518 9519 9520 9521 9522 9523 9524 9525 9526 9527 9528 9529 9530 9531 9532 9533 9534 9535 9536 9537 9538 9539 9540 9541 9542 9543 9544 9545 9546 9547 9548 9549 9550 9551 9552 9553 9554 9555 9556 9557 9558 9559 9560 9561 9562 9563 9564 9565 9566 9567 9568 9569 9570 9571 9572 9573 9574 9575 9576 9577 9578 9579 9580 9581 9582 9583 9584 9585 9586 9587 9588 9589 9590 9591 9592 9593 9594 9595 9596 9597 9598 9599 9600 9601 9602 9603 9604 9605 9606 9607 9608 9609 9610 9611 9612 9613 9614 9615 9616 9617 9618 9619 9620 9621 9622 9623 9624 9625 9626 9627 9628 9629 9630 9631 9632 9633 9634 9635 9636 9637 9638 9639 9640 9641 9642 9643 9644 9645 9646 9647 9648 9649 9650 9651 9652 9653 9654 9655 9656 9657 9658 9659 9660 9661 9662 9663 9664 9665 9666 9667 9668 9669 9670 9671 9672 9673 9674 9675 9676 9677 9678 9679 9680 9681 9682 9683 9684 9685 9686 9687 9688 9689 9690 9691 9692 9693 9694 9695 9696 9697 9698 9699 9700 9701 9702 9703 9704 9705 9706 9707 9708 9709 9710 9711 9712 9713 9714 9715 9716 9717 9718 9719 9720 9721 9722 9723 9724 9725 9726 9727 9728 9729 9730 9731 9732 9733 9734 9735 9736 9737 9738 9739 9740 9741 9742 9743 9744 9745 9746 9747 9748 9749 9750 9751 9752 9753 9754 9755 9756 9757 9758 9759 9760 9761 9762 9763 9764 9765 9766 9767 9768 9769 9770 9771 9772 9773 9774 9775 9776 9777 9778 9779 9780 9781 9782 9783 9784 9785 9786 9787 9788 9789 9790 9791 9792 9793 9794 9795 9796 9797 9798 9799 9800 9801 9802 9803 9804 9805 9806 9807 9808 9809 9810 9811 9812 9813 9814 9815 9816 9817 9818 9819 9820 9821 9822 9823 9824 9825 9826 9827 9828 9829 9830 9831 9832 9833 9834 9835 9836 9837 9838 9839 9840 9841 9842 9843 9844 9845 9846 9847 9848 9849 9850 9851 9852 9853 9854 9855 9856 9857 9858 9859 9860 9861 9862 9863 9864 9865 9866 9867 9868 9869 9870 9871 9872 9873 9874 9875 9876 9877 9878 9879 9880 9881 9882 9883 9884 9885 9886 9887 9888 9889 9890 9891 9892 9893 9894 9895 9896 9897 9898 9899 9900 9901 9902 9903 9904 9905 9906 9907 9908 9909 9910 9911 9912 9913 9914 9915 9916 9917 9918 9919 9920 9921 9922 9923 9924 9925 9926 9927 9928 9929 9930 9931 9932 9933 9934 9935 9936 9937 9938 9939 9940 9941 9942 9943 9944 9945 9946 9947 9948 9949 9950 9951 9952 9953 9954 9955 9956 9957 9958 9959 9960 9961 9962 9963 9964 9965 9966 9967 9968 9969 9970 9971 9972 9973 9974 9975 9976 9977 9978 9979 9980 9981 9982 9983 9984 9985 9986 9987 9988 9989 9990 9991 9992 9993 9994 9995 9996 9997 9998 9999 10000 10001 10002 10003 10004 10005 10006 10007 10008 10009 10010 10011 10012 10013 10014 10015 10016 10017 10018 10019 10020 10021 10022 10023 10024 10025 10026 10027 10028 10029 10030 10031 10032 10033 10034 10035 10036 10037 10038 10039 10040 10041 10042 10043 10044 10045 10046 10047 10048 10049 10050 10051 10052 10053 10054 10055 10056 10057 10058 10059 10060 10061 10062 10063 10064 10065 10066 10067 10068 10069 10070 10071 10072 10073 10074 10075 10076 10077 10078 10079 10080 10081 10082 10083 10084 10085 10086 10087 10088 10089 10090 10091 10092 10093 10094 10095 10096 10097 10098 10099 10100 10101 10102 10103 10104 10105 10106 10107 10108 10109 10110 10111 10112 10113 10114 10115 10116 10117 10118 10119 10120 10121 10122 10123 10124 10125 10126 10127 10128 10129 10130 10131 10132 10133 10134 10135 10136 10137 10138 10139 10140 10141 10142 10143 10144 10145 10146 10147 10148 10149 10150 10151 10152 10153 10154 10155 10156 10157 10158 10159 10160 10161 10162 10163 10164 10165 10166 10167 10168 10169 10170 10171 10172 10173 10174 10175 10176 10177 10178 10179 10180 10181 10182 10183 10184 10185 10186 10187 10188 10189 10190 10191 10192 10193 10194 10195 10196 10197 10198 10199 10200 10201 10202 10203 10204 10205 10206 10207 10208 10209 10210 10211 10212 10213 10214 10215 10216 10217 10218 10219 10220 10221 10222 10223 10224 10225 10226 10227 10228 10229 10230 10231 10232 10233 10234 10235 10236 10237 10238 10239 10240 10241 10242 10243 10244 10245 10246 10247 10248 10249 10250 10251 10252 10253 10254 10255 10256 10257 10258 10259 10260 10261 10262 10263 10264 10265 10266 10267 10268 10269 10270 10271 10272 10273 10274 10275 10276 10277 10278 10279 10280 10281 10282 10283 10284 10285 10286 10287 10288 10289 10290 10291 10292 10293 10294 10295 10296 10297 10298 10299 10300 10301 10302 10303 10304 10305 10306 10307 10308 10309 10310 10311 10312 10313 10314 10315 10316 10317 10318 10319 10320 10321 10322 10323 10324 10325 10326 10327 10328 10329 10330 10331 10332 10333 10334 10335 10336 10337 10338 10339 10340 10341 10342 10343 10344 10345 10346 10347 10348 10349 10350 10351 10352 10353 10354 10355 10356 10357 10358 10359 10360 10361 10362 10363 10364 10365 10366 10367 10368 10369 10370 10371 10372 10373 10374 10375 10376 10377 10378 10379 10380 10381 10382 10383 10384 10385 10386 10387 10388 10389 10390 10391 10392 10393 10394 10395 10396 10397 10398 10399 10400 10401 10402 10403 10404 10405 10406 10407 10408 10409 10410 10411 10412 10413 10414 10415 10416 10417 10418 10419 10420 10421 10422 10423 10424 10425 10426 10427 10428 10429 10430 10431 10432 10433 10434 10435 10436 10437 10438 10439 10440 10441 10442 10443 10444 10445 10446 10447 10448 10449 10450 10451 10452 10453 10454 10455 10456 10457 10458 10459 10460 10461 10462 10463 10464 10465 10466 10467 10468 10469 10470 10471 10472 10473 10474 10475 10476 10477 10478 10479 10480 10481 10482 10483 10484 10485 10486 10487 10488 10489 10490 10491 10492 10493 10494 10495 10496 10497 10498 10499 10500 10501 10502 10503 10504 10505 10506 10507 10508 10509 10510 10511 10512 10513 10514 10515 10516 10517 10518 10519 10520 10521 10522 10523 10524 10525 10526 10527 10528 10529 10530 10531 10532 10533 10534 10535 10536 10537 10538 10539 10540 10541 10542 10543 10544 10545 10546 10547 10548 10549 10550 10551 10552 10553 10554 10555 10556 10557 10558 10559 10560 10561 10562 10563 10564 10565 10566 10567 10568 10569 10570 10571 10572 10573 10574 10575 10576 10577 10578 10579 10580 10581 10582 10583 10584 10585 10586 10587 10588 10589 10590 10591 10592 10593 10594 10595 10596 10597 10598 10599 10600 10601 10602 10603 10604 10605 10606 10607 10608 10609 10610 10611 10612 10613 10614 10615 10616 10617 10618 10619 10620 10621 10622 10623 10624 10625 10626 10627 10628 10629 10630 10631 10632 10633 10634 10635 10636 10637 10638 10639 10640 10641 10642 10643 10644 10645 10646 10647 10648 10649 10650 10651 10652 10653 10654 10655 10656 10657 10658 10659 10660 10661 10662 10663 10664 10665 10666 10667 10668 10669 10670 10671 10672 10673 10674 10675 10676 10677 10678 10679 10680 10681 10682 10683 10684 10685 10686 10687 10688 10689 10690 10691 10692 10693 10694 10695 10696 10697 10698 10699 10700 10701 10702 10703 10704 10705 10706 10707 10708 10709 10710 10711 10712 10713 10714 10715 10716 10717 10718 10719 10720 10721 10722 10723 10724 10725 10726 10727 10728 10729 10730 10731 10732 10733 10734 10735 10736 10737 10738 10739 10740 10741 10742 10743 10744 10745 10746 10747 10748 10749 10750 10751 10752 10753 10754 10755 10756 10757 10758 10759 10760 10761 10762 10763 10764 10765 10766 10767 10768 10769 10770 10771 10772 10773 10774 10775 10776 10777 10778 10779 10780 10781 10782 10783 10784 10785 10786 10787 10788 10789 10790 10791 10792 10793 10794 10795 10796 10797 10798 10799 10800 10801 10802 10803 10804 10805 10806 10807 10808 10809 10810 10811 10812 10813 10814 10815 10816 10817 10818 10819 10820 10821 10822 10823 10824 10825 10826 10827 10828 10829 10830 10831 10832 10833 10834 10835 10836 10837 10838 10839 10840 10841 10842 10843 10844 10845 10846 10847 10848 10849 10850 10851 10852 10853 10854 10855 10856 10857 10858 10859 10860 10861 10862 10863 10864 10865 10866 10867 10868 10869 10870 10871 10872 10873 10874 10875 10876 10877 10878 10879 10880 10881 10882 10883 10884 10885 10886 10887 10888 10889 10890 10891 10892 10893 10894 10895 10896 10897 10898 10899 10900 10901 10902 10903 10904 10905 10906 10907 10908 10909 10910 10911 10912 10913 10914 10915 10916 10917 10918 10919 10920 10921 10922 10923 10924 10925 10926 10927 10928 10929 10930 10931 10932 10933 10934 10935 10936 10937 10938 10939 10940 10941 10942 10943 10944 10945 10946 10947 10948 10949 10950 10951 10952 10953 10954 10955 10956 10957 10958 10959 10960 10961 10962 10963 10964 10965 10966 10967 10968 10969 10970 10971 10972 10973 10974 10975 10976 10977 10978 10979 10980 10981 10982 10983 10984 10985 10986 10987 10988 10989 10990 10991 10992 10993 10994 10995 10996 10997 10998 10999 11000 11001 11002 11003 11004 11005 11006 11007 11008 11009 11010 11011 11012 11013 11014 11015 11016 11017 11018 11019 11020 11021 11022 11023 11024 11025 11026 11027 11028 11029 11030 11031 11032 11033 11034 11035 11036 11037 11038 11039 11040 11041 11042 11043 11044 11045 11046 11047 11048 11049 11050 11051 11052 11053 11054 11055 11056 11057 11058 11059 11060 11061 11062 11063 11064 11065 11066 11067 11068 11069 11070 11071 11072 11073 11074 11075 11076 11077 11078 11079 11080 11081 11082 11083 11084 11085 11086 11087 11088 11089 11090 11091 11092 11093 11094 11095 11096 11097 11098 11099 11100 11101 11102 11103 11104 11105 11106 11107 11108 11109 11110 11111 11112 11113 11114 11115 11116 11117 11118 11119 11120 11121 11122 11123 11124 11125 11126 11127 11128 11129 11130 11131 11132 11133 11134 11135 11136 11137 11138 11139 11140 11141 11142 11143 11144 11145 11146 11147 11148 11149 11150 11151 11152 11153 11154 11155 11156 11157 11158 11159 11160 11161 11162 11163 11164 11165 11166 11167 11168 11169 11170 11171 11172 11173 11174 11175 11176 11177 11178 11179 11180 11181 11182 11183 11184 11185 11186 11187 11188 11189 11190 11191 11192 11193 11194 11195 11196 11197 11198 11199 11200 11201 11202 11203 11204 11205 11206 11207 11208 11209 11210 11211 11212 11213 11214 11215 11216 11217 11218 11219 11220 11221 11222 11223 11224 11225 11226 11227 11228 11229 11230 11231 11232 11233 11234 11235 11236 11237 11238 11239 11240 11241 11242 11243 11244 11245 11246 11247 11248 11249 11250 11251 11252 11253 11254 11255 11256 11257 11258 11259 11260 11261 11262 11263 11264 11265 11266 11267 11268 11269 11270 11271 11272 11273 11274 11275 11276 11277 11278 11279 11280 11281 11282 11283 11284 11285 11286 11287 11288 11289 11290 11291 11292 11293 11294 11295 11296 11297 11298 11299 11300 11301 11302 11303 11304 11305 11306 11307 11308 11309 11310 11311 11312 11313 11314 11315 11316 11317 11318 11319 11320 11321 11322 11323 11324 11325 11326 11327 11328 11329 11330 11331 11332 11333 11334 11335 11336 11337 11338 11339 11340 11341 11342 11343 11344 11345 11346 11347 11348 11349 11350 11351 11352 11353 11354 11355 11356 11357 11358 11359 11360 11361 11362 11363 11364 11365 11366 11367 11368 11369 11370 11371 11372 11373 11374 11375 11376 11377 11378 11379 11380 11381 11382 11383 11384 11385 11386 11387 11388 11389 11390 11391 11392 11393 11394 11395 11396 11397 11398 11399 11400 11401 11402 11403 11404 11405 11406 11407 11408 11409 11410 11411 11412 11413 11414 11415 11416 11417 11418 11419 11420 11421 11422 11423 11424 11425 11426 11427 11428 11429 11430 11431 11432 11433 11434 11435 11436 11437 11438 11439 11440 11441 11442 11443 11444 11445 11446 11447 11448 11449 11450 11451 11452 11453 11454 11455 11456 11457 11458 11459 11460 11461 11462 11463 11464 11465 11466 11467 11468 11469 11470 11471 11472 11473 11474 11475 11476 11477 11478 11479 11480 11481 11482 11483 11484 11485 11486 11487 11488 11489 11490 11491 11492 11493 11494 11495 11496 11497 11498 11499 11500 11501 11502 11503 11504 11505 11506 11507 11508 11509 11510 11511 11512 11513 11514 11515 11516 11517 11518 11519 11520 11521 11522 11523 11524 11525 11526 11527 11528 11529 11530 11531 11532 11533 11534 11535 11536 11537 11538 11539 11540 11541 11542 11543 11544 11545 11546 11547 11548 11549 11550 11551 11552 11553 11554 11555 11556 11557 11558 11559 11560 11561 11562 11563 11564 11565 11566 11567 11568 11569 11570 11571 11572 11573 11574 11575 11576 11577 11578 11579 11580 11581 11582 11583 11584 11585 11586 11587 11588 11589 11590 11591 11592 11593 11594 11595 11596 11597 11598 11599 11600 11601 11602 11603 11604 11605 11606 11607 11608 11609 11610 11611 11612 11613 11614 11615 11616 11617 11618 11619 11620 11621 11622 11623 11624 11625 11626 11627 11628 11629 11630 11631 11632 11633 11634 11635 11636 11637 11638 11639 11640 11641 11642 11643 11644 11645 11646 11647 11648 11649 11650 11651 11652 11653 11654 11655 11656 11657 11658 11659 11660 11661 11662 11663 11664 11665 11666 11667 11668 11669 11670 11671 11672 11673 11674 11675 11676 11677 11678 11679 11680 11681 11682 11683 11684 11685 11686 11687 11688 11689 11690 11691 11692 11693 11694 11695 11696 11697 11698 11699 11700 11701 11702 11703 11704 11705 11706 11707 11708 11709 11710 11711 11712 11713 11714 11715 11716 11717 11718 11719 11720 11721 11722 11723 11724 11725 11726 11727 11728 11729 11730 11731 11732 11733 11734 11735 11736 11737 11738 11739 11740 11741 11742 11743 11744 11745 11746 11747 11748 11749 11750 11751 11752 11753 11754 11755 11756 11757 11758 11759 11760 11761 11762 11763 11764 11765 11766 11767 11768 11769 11770 11771 11772 11773 11774 11775 11776 11777 11778 11779 11780 11781 11782 11783 11784 11785 11786 11787 11788 11789 11790 11791 11792 11793 11794 11795 11796 11797 11798 11799 11800 11801 11802 11803 11804 11805 11806 11807 11808 11809 11810 11811 11812 11813 11814 11815 11816 11817 11818 11819 11820 11821 11822 11823 11824 11825 11826 11827 11828 11829 11830 11831 11832 11833 11834 11835 11836 11837 11838 11839 11840 11841 11842 11843 11844 11845 11846 11847 11848 11849 11850 11851 11852 11853 11854 11855 11856 11857 11858 11859 11860 11861 11862 11863 11864 11865 11866 11867 11868 11869 11870 11871 11872 11873 11874 11875 11876 11877 11878 11879 11880 11881 11882 11883 11884 11885 11886 11887 11888 11889 11890 11891 11892 11893 11894 11895 11896 11897 11898 11899 11900 11901 11902 11903 11904 11905 11906 11907 11908 11909 11910 11911 11912 11913 11914 11915 11916 11917 11918 11919 11920 11921 11922 11923 11924 11925 11926 11927 11928 11929 11930 11931 11932 11933 11934 11935 11936 11937 11938 11939 11940 11941 11942 11943 11944 11945 11946 11947 11948 11949 11950 11951 11952 11953 11954 11955 11956 11957 11958 11959 11960 11961 11962 11963 11964 11965 11966 11967 11968 11969 11970 11971 11972 11973 11974 11975 11976 11977 11978 11979 11980 11981 11982 11983 11984 11985 11986 11987 11988 11989 11990 11991 11992 11993 11994 11995 11996 11997 11998 11999 12000 12001 12002 12003 12004 12005 12006 12007 12008 12009 12010 12011 12012 12013 12014 12015 12016 12017 12018 12019 12020 12021 12022 12023 12024 12025 12026 12027 12028 12029 12030 12031 12032 12033 12034 12035 12036 12037 12038 12039 12040 12041 12042 12043 12044 12045 12046 12047 12048 12049 12050 12051 12052 12053 12054 12055 12056 12057 12058 12059 12060 12061 12062 12063 12064 12065 12066 12067 12068 12069 12070 12071 12072 12073 12074 12075 12076 12077 12078 12079 12080 12081 12082 12083 12084 12085 12086 12087 12088 12089 12090 12091 12092 12093 12094 12095 12096 12097 12098 12099 12100 12101 12102 12103 12104 12105 12106 12107 12108 12109 12110 12111 12112 12113 12114 12115 12116 12117 12118 12119 12120 12121 12122 12123 12124 12125 12126 12127 12128 12129 12130 12131 12132 12133 12134 12135 12136 12137 12138 12139 12140 12141 12142 12143 12144 12145 12146 12147 12148 12149 12150 12151 12152 12153 12154 12155 12156 12157 12158 12159 12160 12161 12162 12163 12164 12165 12166 12167 12168 12169 12170 12171 12172 12173 12174 12175 12176 12177 12178 12179 12180 12181 12182 12183 12184 12185 12186 12187 12188 12189 12190 12191 12192 12193 12194 12195 12196 12197 12198 12199 12200 12201 12202 12203 12204 12205 12206 12207 12208 12209 12210 12211 12212 12213 12214 12215 12216 12217 12218 12219 12220 12221 12222 12223 12224 12225 12226 12227 12228 12229 12230 12231 12232 12233 12234 12235 12236 12237 12238 12239 12240 12241 12242 12243 12244 12245 12246 12247 12248 12249 12250 12251 12252 12253 12254 12255 12256 12257 12258 12259 12260 12261 12262 12263 12264 12265 12266 12267 12268 12269 12270 12271 12272 12273 12274 12275 12276 12277 12278 12279 12280 12281 12282 12283 12284 12285 12286 12287 12288 12289 12290 12291 12292 12293 12294 12295 12296 12297 12298 12299 12300 12301 12302 12303 12304 12305 12306 12307 12308 12309 12310 12311 12312 12313 12314 12315 12316 12317 12318 12319 12320 12321 12322 12323 12324 12325 12326 12327 12328 12329 12330 12331 12332 12333 12334 12335 12336 12337 12338 12339 12340 12341 12342 12343 12344 12345 12346 12347 12348 12349 12350 12351 12352 12353 12354 12355 12356 12357 12358 12359 12360 12361 12362 12363 12364 12365 12366 12367 12368 12369 12370 12371 12372 12373 12374 12375 12376 12377 12378 12379 12380 12381 12382 12383 12384 12385 12386 12387 12388 12389 12390 12391 12392 12393 12394 12395 12396 12397 12398 12399 12400 12401 12402 12403 12404 12405 12406 12407 12408 12409 12410 12411 12412 12413 12414 12415 12416 12417 12418 12419 12420 12421 12422 12423 12424 12425 12426 12427 12428 12429 12430 12431 12432 12433 12434 12435 12436 12437 12438 12439 12440 12441 12442 12443 12444 12445 12446 12447 12448 12449 12450 12451 12452 12453 12454 12455 12456 12457 12458 12459 12460 12461 12462 12463 12464 12465 12466 12467 12468 12469 12470 12471 12472 12473 12474 12475 12476 12477 12478 12479 12480 12481 12482 12483 12484 12485 12486 12487 12488 12489 12490 12491 12492 12493 12494 12495 12496 12497 12498 12499 12500 12501 12502 12503 12504 12505 12506 12507 12508 12509 12510 12511 12512 12513 12514 12515 12516 12517 12518 12519 12520 12521 12522 12523 12524 12525 12526 12527 12528 12529 12530 12531 12532 12533 12534 12535 12536 12537 12538 12539 12540 12541 12542 12543 12544 12545 12546 12547 12548 12549 12550 12551 12552 12553 12554 12555 12556 12557 12558 12559 12560 12561 12562 12563 12564 12565 12566 12567 12568 12569 12570 12571 12572 12573 12574 12575 12576 12577 12578 12579 12580 12581 12582 12583 12584 12585 12586 12587 12588 12589 12590 12591 12592 12593 12594 12595 12596 12597 12598 12599 12600 12601 12602 12603 12604 12605 12606 12607 12608 12609 12610 12611 12612 12613 12614 12615 12616 12617 12618 12619 12620 12621 12622 12623 12624 12625 12626 12627 12628 12629 12630 12631 12632 12633 12634 12635 12636 12637 12638 12639 12640 12641 12642 12643 12644 12645 12646 12647 12648 12649 12650 12651 12652 12653 12654 12655 12656 12657 12658 12659 12660 12661 12662 12663 12664 12665 12666 12667 12668 12669 12670 12671 12672 12673 12674 12675 12676 12677 12678 12679 12680 12681 12682 12683 12684 12685 12686 12687 12688 12689 12690 12691 12692 12693 12694 12695 12696 12697 12698 12699 12700 12701 12702 12703 12704 12705 12706 12707 12708 12709 12710 12711 12712 12713 12714 12715 12716 12717 12718 12719 12720 12721 12722 12723 12724 12725 12726 12727 12728 12729 12730 12731 12732 12733 12734 12735 12736 12737 12738 12739 12740 12741 12742 12743 12744 12745 12746 12747 12748 12749 12750 12751 12752 12753 12754 12755 12756 12757 12758 12759 12760 12761 12762 12763 12764 12765 12766 12767 12768 12769 12770 12771 12772 12773 12774 12775 12776 12777 12778 12779 12780 12781 12782 12783 12784 12785 12786 12787 12788 12789 12790 12791 12792 12793 12794 12795 12796 12797 12798 12799 12800 12801 12802 12803 12804 12805 12806 12807 12808 12809 12810 12811 12812 12813 12814 12815 12816 12817 12818 12819 12820 12821 12822 12823 12824 12825 12826 12827 12828 12829 12830 12831 12832 12833 12834 12835 12836 12837 12838 12839 12840 12841 12842 12843 12844 12845 12846 12847 12848 12849 12850 12851 12852 12853 12854 12855 12856 12857 12858 12859 12860 12861 12862 12863 12864 12865 12866 12867 12868 12869 12870 12871 12872 12873 12874 12875 12876 12877 12878 12879 12880 12881 12882 12883 12884 12885 12886 12887 12888 12889 12890 12891 12892 12893 12894 12895 12896 12897 12898 12899 12900 12901 12902 12903 12904 12905 12906 12907 12908 12909 12910 12911 12912 12913 12914 12915 12916 12917 12918 12919 12920 12921 12922 12923 12924 12925 12926 12927 12928 12929 12930 12931 12932 12933 12934 12935 12936 12937 12938 12939 12940 12941 12942 12943 12944 12945 12946 12947 12948 12949 12950 12951 12952 12953 12954 12955 12956 12957 12958 12959 12960 12961 12962 12963 12964 12965 12966 12967 12968 12969 12970 12971 12972 12973 12974 12975 12976 12977 12978 12979 12980 12981 12982 12983 12984 12985 12986 12987 12988 12989 12990 12991 12992 12993 12994 12995 12996 12997 12998 12999 13000 13001 13002 13003 13004 13005 13006 13007 13008 13009 13010 13011 13012 13013 13014 13015 13016 13017 13018 13019 13020 13021 13022 13023 13024 13025 13026 13027 13028 13029 13030 13031 13032 13033 13034 13035 13036 13037 13038 13039 13040 13041 13042 13043 13044 13045 13046 13047 13048 13049 13050 13051 13052 13053 13054 13055 13056 13057 13058 13059 13060 13061 13062 13063 13064 13065 13066 13067 13068 13069 13070 13071 13072 13073 13074 13075 13076 13077 13078 13079 13080 13081 13082 13083 13084 13085 13086 13087 13088 13089 13090 13091 13092 13093 13094 13095 13096 13097 13098 13099 13100 13101 13102 13103 13104 13105 13106 13107 13108 13109 13110 13111 13112 13113 13114 13115 13116 13117 13118 13119 13120 13121 13122 13123 13124 13125 13126 13127 13128 13129 13130 13131 13132 13133 13134 13135 13136 13137 13138 13139 13140 13141 13142 13143 13144 13145 13146 13147 13148 13149 13150 13151 13152 13153 13154 13155 13156 13157 13158 13159 13160 13161 13162 13163 13164 13165 13166 13167 13168 13169 13170 13171 13172 13173 13174 13175 13176 13177 13178 13179 13180 13181 13182 13183 13184 13185 13186 13187 13188 13189 13190 13191 13192 13193 13194 13195 13196 13197 13198 13199 13200 13201 13202 13203 13204 13205 13206 13207 13208 13209 13210 13211 13212 13213 13214 13215 13216 13217 13218 13219 13220 13221 13222 13223 13224 13225 13226 13227 13228 13229 13230 13231 13232 13233 13234 13235 13236 13237 13238 13239 13240 13241 13242 13243 13244 13245 13246 13247 13248 13249 13250 13251 13252 13253 13254 13255 13256 13257 13258 13259 13260 13261 13262 13263 13264 13265 13266 13267 13268 13269 13270 13271 13272 13273 13274 13275 13276 13277 13278 13279 13280 13281 13282 13283 13284 13285 13286 13287 13288 13289 13290 13291 13292 13293 13294 13295 13296 13297 13298 13299 13300 13301 13302 13303 13304 13305 13306 13307))
           (list :vertices #2f((0.320995 169.414001 322.342010)(8.331990 168.541992 322.575012)(8.331990 165.539993 311.369995)(8.331990 168.541992 322.575012)(0.320995 169.414001 322.342010)(36.320999 134.639999 331.658997)(35.543400 125.382004 323.787994)(35.418999 124.314003 324.074005)(36.000000 125.073997 323.869995)(35.418999 124.314003 324.074005)(35.543400 125.382004 323.787994)(35.418999 126.902000 333.733002)(36.000000 129.298004 322.738007)(35.543400 125.382004 323.787994)(36.000000 125.073997 323.869995)(35.543400 125.382004 323.787994)(36.320999 134.639999 331.658997)(35.418999 126.902000 333.733002)(-15.297999 100.722000 330.395996)(-21.181702 104.293007 329.439026)(-26.830200 105.148003 329.210022)(-21.181702 104.293007 329.439026)(-15.297999 100.722000 330.395996)(-15.297999 103.309998 340.054016)(-15.297999 103.309998 340.054016)(-22.124001 107.453003 338.944000)(-21.181702 104.293007 329.439026)(-27.038200 109.611000 328.013977)(-23.934601 107.862999 333.478973)(-22.124001 107.453003 338.944000)(-27.038200 109.611000 328.013977)(-22.124001 107.453003 338.944000)(-27.824999 112.959000 337.469025)(-27.038200 109.611000 328.013977)(-25.662201 108.281998 328.369995)(-23.934601 107.862999 333.478973)(-25.662201 108.281998 328.369995)(-27.038200 109.611000 328.013977)(-39.616997 112.034004 327.365021)(-27.038200 109.611000 328.013977)(-27.824999 110.371002 327.809998)(-39.616997 112.034004 327.365021)(-23.934601 107.862999 333.478973)(-22.124001 104.864998 329.286011)(-22.124001 107.453003 338.944000)(-22.124001 107.453003 338.944000)(36.320999 134.639999 331.658997)(-27.824999 112.959000 337.469025)(-22.124001 107.453003 338.944000)(-15.297999 103.309998 340.054016)(36.320999 134.639999 331.658997)(36.320999 134.639999 331.658997)(-32.113998 119.553001 335.701996)(-27.824999 112.959000 337.469025)(-27.824999 110.371002 327.809998)(-27.038200 109.611000 328.013977)(-27.824999 112.959000 337.469025)(-19.302401 162.013000 318.217987)(-20.933599 159.962006 314.523010)(-22.124001 159.238998 314.716980)(-19.302401 162.013000 318.217987)(-22.124001 159.238998 314.716980)(-22.124001 161.826996 324.375000)(-34.885899 138.799988 319.997009)(-36.000000 132.054001 322.000000)(-34.885899 138.848999 320.179993)(-34.760098 139.374008 318.381012)(-34.885899 138.799988 319.997009)(-34.885899 138.848999 320.179993)(-34.760098 139.374008 318.381012)(-34.885899 138.848999 320.179993)(-34.775997 142.378006 329.585999)(-34.760098 139.374008 318.381012)(-34.885899 138.433990 318.632996)(-34.885899 138.799988 319.997009)(-34.760098 139.374008 318.381012)(-34.775997 142.378006 329.585999)(-34.694702 140.014999 319.867004)(-34.694702 139.601013 318.320984)(-34.760098 139.374008 318.381012)(-34.694702 140.014999 319.867004)(-34.885899 138.433990 318.632996)(-36.000000 132.054001 322.000000)(-34.885899 138.799988 319.997009)(-34.237999 132.706009 281.450012)(-36.000000 132.054001 322.000000)(-34.885899 138.433990 318.632996)(-34.775997 142.378006 329.585999)(-34.083900 142.904999 323.907990)(-34.694702 140.014999 319.867004)(-34.775997 124.314003 324.075012)(-34.805099 124.564003 324.007996)(-36.000000 125.073997 323.870972)(-34.775997 126.902000 333.733002)(-34.805099 124.564003 324.007996)(-34.775997 124.314003 324.075012)(-34.775997 124.314003 324.075012)(-34.408600 123.300003 324.346008)(-34.775997 126.902000 333.733002)(-35.554401 130.983994 322.286987)(-34.805099 124.564003 324.007996)(-34.775997 126.902000 333.733002)(-34.775997 126.902000 333.733002)(-35.679001 134.639999 331.658997)(-35.554401 130.983994 322.286987)(-34.675201 122.160004 324.651001)(-36.000000 125.073997 323.870972)(-36.410000 120.544998 325.084015)(-34.408600 123.300003 324.346008)(-36.000000 125.073997 323.870972)(-34.675201 122.160004 324.651001)(-34.408600 123.300003 324.346008)(-34.675201 122.160004 324.651001)(-32.940300 119.246002 325.432007)(-34.408600 123.300003 324.346008)(-32.940300 119.246002 325.432007)(-32.868797 120.264999 330.024017)(36.320999 134.639999 331.658997)(-34.775997 142.378006 329.585999)(-35.679001 134.639999 331.658997)(-35.679001 134.639999 331.658997)(-34.775997 142.378006 329.585999)(-34.900597 138.722000 320.212982)(36.320999 134.639999 331.658997)(-32.113998 149.727997 327.617004)(-34.775997 142.378006 329.585999)(-34.775997 142.378006 329.585999)(-32.113998 149.727997 327.617004)(-32.478897 146.133011 318.227997)(-31.965799 146.693008 316.420990)(-32.113998 146.725998 316.411987)(-31.239100 148.070999 316.052002)(-31.239100 148.070999 316.052002)(-32.113998 146.725998 316.411987)(-31.239201 148.485001 317.597992)(-28.800501 152.234009 316.592987)(-29.125000 152.492996 316.523987)(-31.239201 148.485001 317.597992)(-28.800501 152.234009 316.592987)(-31.239201 148.485001 317.597992)(-30.908501 150.165009 321.833984)(-31.239201 148.485001 317.597992)(-32.113998 146.725998 316.411987)(-30.908501 150.165009 321.833984)(-30.908501 150.165009 321.833984)(-32.113998 146.725998 316.411987)(-32.113998 149.727997 327.617004)(-32.113998 146.725998 316.411987)(-32.478897 146.133011 318.227997)(-32.113998 149.727997 327.617004)(-32.478897 146.133011 318.227997)(-34.083900 142.904999 323.907990)(-34.775997 142.378006 329.585999)(-33.789898 142.513000 319.197998)(-34.237999 142.800003 319.121002)(-34.694702 140.014999 319.867004)(-33.789898 142.513000 319.197998)(-33.357201 144.326004 318.712006)(-34.237999 142.800003 319.121002)(-34.237999 142.800003 319.121002)(-33.357201 144.326004 318.712006)(-32.478897 146.133011 318.227997)(-32.478897 146.133011 318.227997)(-34.237999 142.800003 319.121002)(-32.476501 146.134003 318.206024)(-32.113998 146.725998 316.411987)(-32.476501 145.724991 316.680023)(-32.476501 146.134003 318.206024)(-32.476501 145.724991 316.680023)(-34.237999 142.800003 319.121002)(-32.476501 146.134003 318.206024)(-34.237999 142.800003 319.121002)(-32.476501 145.724991 316.680023)(-29.125000 142.399002 278.852997)(-29.125000 142.399002 278.852997)(-34.237999 132.706009 281.450012)(-34.237999 142.800003 319.121002)(-32.478897 146.133011 318.227997)(-33.357201 144.326004 318.712006)(-33.789898 142.513000 319.197998)(-32.478897 146.133011 318.227997)(-33.789898 142.513000 319.197998)(-34.083900 142.904999 323.907990)(-31.965799 146.693008 316.420990)(-32.476501 145.724991 316.680023)(-32.113998 146.725998 316.411987)(-34.900597 138.722000 320.212982)(-35.679001 132.052002 322.000000)(-35.679001 134.639999 331.658997)(-27.824999 156.320999 325.850006)(-32.113998 149.727997 327.617004)(36.320999 134.639999 331.658997)(-39.616997 101.939995 289.694000)(-45.644997 95.002007 291.552979)(-45.644997 105.096001 329.223999)(-53.764999 100.567001 330.437012)(-45.644997 105.096001 329.223999)(-45.644997 95.002007 291.552979)(-53.764999 100.567001 330.437012)(-45.644997 95.002007 291.552979)(-53.764999 90.473007 292.765991)(-53.764999 100.567001 330.437012)(-39.445698 83.375198 334.000000)(-45.644997 105.096001 329.223999)(-61.307003 99.044998 330.845001)(-53.764999 100.567001 330.437012)(-53.764999 90.473007 292.765991)(-32.113998 116.965004 326.042999)(-36.410000 120.544998 325.084015)(-32.639599 114.414001 326.726990)(-32.639599 114.414001 326.726990)(-36.410000 120.544998 325.084015)(-39.616997 112.034004 327.365021)(-36.410000 110.451996 287.412994)(-39.616997 101.939995 289.694000)(-39.616997 112.034004 327.365021)(-39.616997 112.034004 327.365021)(-36.410000 120.544998 325.084015)(-36.410000 110.451996 287.412994)(-39.616997 101.939995 289.694000)(-45.644997 105.096001 329.223999)(-39.616997 112.034004 327.365021)(-36.000000 114.979996 286.199982)(-36.410000 110.451996 287.412994)(-36.410000 120.544998 325.084015)(-31.522099 116.055000 326.286987)(-32.113998 116.965004 326.042999)(-32.639599 114.414001 326.726990)(-27.824999 110.371002 327.809998)(-31.522099 116.055000 326.286987)(-32.639599 114.414001 326.726990)(-31.522099 116.055000 326.286987)(-27.824999 110.371002 327.809998)(-27.824999 112.959000 337.469025)(-32.113998 116.965004 326.042999)(-32.940300 119.246002 325.432007)(-36.410000 120.544998 325.084015)(-26.830200 105.148003 329.210022)(-39.616997 112.034004 327.365021)(-45.644997 105.096001 329.223999)(-36.000000 121.959999 284.329010)(-36.000000 114.979996 286.199982)(-36.000000 125.073997 323.870972)(-61.307003 88.950996 293.174011)(-61.307003 99.044998 330.845001)(-53.764999 90.473007 292.765991)(-61.307003 88.950996 293.174011)(-61.307003 82.135002 295.000000)(-61.307003 87.268997 334.000000)(-36.000000 132.054001 322.000000)(-36.000000 121.959999 284.329010)(-36.000000 125.073997 323.870972)(-36.000000 132.054001 322.000000)(-36.000000 125.073997 323.870972)(-35.554401 130.983994 322.286987)(-36.000000 132.054001 322.000000)(-35.554401 130.983994 322.286987)(-35.659100 131.880997 322.046021)(-35.679001 132.052002 322.000000)(-35.442902 135.364990 321.112976)(-36.000000 132.054001 322.000000)(-36.000000 132.054001 322.000000)(-35.659100 131.880997 322.046021)(-35.679001 132.052002 322.000000)(-35.679001 134.639999 331.658997)(-35.659100 131.880997 322.046021)(-35.554401 130.983994 322.286987)(-32.868797 120.264999 330.024017)(-32.940300 119.246002 325.432007)(-32.113998 116.965004 326.042999)(-32.868797 120.264999 330.024017)(-32.113998 116.965004 326.042999)(-32.113998 119.553001 335.701996)(-32.113998 149.727997 327.617004)(-27.824999 156.320999 325.850006)(-28.417000 152.822998 316.436005)(-27.824999 153.733002 316.191986)(-28.417000 152.822998 316.436005)(-27.824999 156.320999 325.850006)(-27.824999 153.733002 316.191986)(-29.125000 152.492996 316.523987)(-28.417000 152.822998 316.436005)(-22.910900 158.479004 314.920013)(-29.125000 152.492996 316.523987)(-22.124001 159.238998 314.716980)(-21.160000 160.185989 314.462982)(-29.125000 152.492996 316.523987)(-22.124001 159.238998 314.716980)(-27.824999 153.733002 316.191986)(-29.125000 152.492996 316.523987)(-22.910900 158.479004 314.920013)(-22.910900 158.479004 314.920013)(-27.824999 153.733002 316.191986)(-27.824999 156.320999 325.850006)(-28.417000 152.822998 316.436005)(-28.800501 152.234009 316.592987)(-30.908501 150.165009 321.833984)(-29.125000 152.492996 316.523987)(-21.160000 160.185989 314.462982)(-21.160000 150.092010 276.791016)(-11.974199 165.581009 317.317017)(-13.279699 164.065002 313.423004)(-15.297999 162.968002 312.059998)(-13.279699 164.065002 313.423004)(-13.279600 163.650009 311.877014)(-15.297999 162.968002 312.059998)(-13.279699 164.065002 313.423004)(-11.125000 165.125000 313.138977)(-13.279600 163.650009 311.877014)(-14.059900 158.708008 294.966003)(-13.279600 163.650009 311.877014)(-11.125000 165.125000 313.138977)(-11.125000 165.125000 313.138977)(-0.000008 156.733002 275.011993)(-11.125000 155.031998 275.467987)(-14.059900 158.708008 294.966003)(-11.125000 165.125000 313.138977)(-11.125000 155.031998 275.467987)(-11.125000 165.125000 313.138977)(-9.330561 164.985001 311.518982)(-0.000008 156.733002 275.011993)(-15.297999 162.968002 312.059998)(-15.014900 162.796005 312.106018)(-18.009399 161.321991 312.501007)(-13.279600 163.650009 311.877014)(-15.014900 162.796005 312.106018)(-15.297999 162.968002 312.059998)(-14.059900 158.708008 294.966003)(-11.125000 155.031998 275.467987)(-21.160000 160.185989 314.462982)(-11.125000 155.031998 275.467987)(-21.160000 150.092010 276.791016)(-21.160000 160.185989 314.462982)(-21.160000 160.185989 314.462982)(-18.009399 161.321991 312.501007)(-14.059900 158.708008 294.966003)(-18.009300 161.737000 314.046997)(-18.009399 161.321991 312.501007)(-21.160000 160.185989 314.462982)(-18.009399 161.321991 312.501007)(-15.014900 162.796005 312.106018)(-14.059900 158.708008 294.966003)(-18.009300 161.737000 314.046997)(-21.160000 160.185989 314.462982)(-20.933599 159.962006 314.523010)(-11.974199 165.581009 317.317017)(-10.912300 164.865005 313.208984)(-13.279699 164.065002 313.423004)(-28.417000 152.822998 316.436005)(-30.908501 150.165009 321.833984)(-32.113998 149.727997 327.617004)(-11.974199 165.581009 317.317017)(-9.330299 165.399994 313.065002)(-10.912300 164.865005 313.208984)(-34.408600 123.300003 324.346008)(-32.868797 120.264999 330.024017)(-32.113998 119.553001 335.701996)(-15.297999 165.970001 323.264984)(-11.974199 165.581009 317.317017)(-15.297999 162.968002 312.059998)(-22.124001 161.826996 324.375000)(-15.297999 165.970001 323.264984)(-15.297999 162.968002 312.059998)(-19.302401 162.013000 318.217987)(-22.124001 161.826996 324.375000)(-15.297999 162.968002 312.059998)(36.320999 134.639999 331.658997)(-22.124001 161.826996 324.375000)(-27.824999 156.320999 325.850006)(-36.000000 114.979996 286.199982)(-36.410000 120.544998 325.084015)(-36.000000 125.073997 323.870972)(36.320999 134.639999 331.658997)(-35.679001 134.639999 331.658997)(-34.775997 126.902000 333.733002)(-7.689010 165.539993 311.369995)(-11.974199 165.581009 317.317017)(-15.297999 165.970001 323.264984)(8.331990 165.539993 311.369995)(8.711970 165.080002 311.493011)(0.456574 166.343002 311.154999)(0.456574 166.343002 311.154999)(0.320995 166.412003 311.136993)(8.331990 165.539993 311.369995)(0.320995 166.412003 311.136993)(-0.807269 166.289001 311.170013)(0.456574 166.343002 311.154999)(-0.807269 166.289001 311.170013)(-0.000008 156.733002 275.011993)(-7.359990 165.287003 311.437988)(-0.807269 166.289001 311.170013)(0.456574 166.343002 311.154999)(-0.000008 156.733002 275.011993)(0.456574 166.343002 311.154999)(11.124000 155.031998 275.467987)(-0.000008 156.733002 275.011993)(-0.807269 166.289001 311.170013)(-7.359990 165.287003 311.437988)(-7.689010 165.539993 311.369995)(-7.689010 165.539993 311.369995)(-7.359990 165.287003 311.437988)(-9.330561 164.985001 311.518982)(-9.330299 165.399994 313.065002)(-7.689010 165.539993 311.369995)(-9.330561 164.985001 311.518982)(-15.297999 165.970001 323.264984)(36.320999 134.639999 331.658997)(-7.689010 168.541992 322.575012)(36.320999 134.639999 331.658997)(0.320995 169.414001 322.342010)(-7.689010 168.541992 322.575012)(-7.689010 168.541992 322.575012)(0.320995 169.414001 322.342010)(-0.807269 166.289001 311.170013)(-15.297999 165.970001 323.264984)(-7.689010 168.541992 322.575012)(-7.689010 165.539993 311.369995)(-7.689010 168.541992 322.575012)(-0.807269 166.289001 311.170013)(-7.689010 165.539993 311.369995)(25.785500 155.606995 314.031982)(22.767000 158.824997 313.169983)(28.466999 153.319000 314.644989)(28.804100 152.389008 314.893982)(25.785500 155.606995 314.031982)(28.466999 153.319000 314.644989)(29.125000 152.078995 314.976990)(28.804100 152.389008 314.893982)(28.466999 153.319000 314.644989)(28.804100 152.389008 314.893982)(23.349100 157.656998 313.483002)(25.785500 155.606995 314.031982)(22.767000 158.824997 313.169983)(22.767000 161.826996 324.375000)(28.466999 153.319000 314.644989)(23.349100 157.656998 313.483002)(22.767000 158.824997 313.169983)(25.785500 155.606995 314.031982)(29.125000 142.399002 278.852997)(28.804100 152.389008 314.893982)(29.125000 152.078995 314.976990)(21.486799 159.455994 313.001007)(22.767000 158.824997 313.169983)(23.349100 157.656998 313.483002)(21.160000 159.771988 312.916016)(16.541401 162.044998 312.307007)(15.941000 162.968002 312.059998)(16.541401 162.044998 312.307007)(21.160000 159.771988 312.916016)(21.160000 150.092010 276.791016)(29.125000 142.399002 278.852997)(21.486799 159.455994 313.001007)(23.349100 157.656998 313.483002)(21.486799 159.455994 313.001007)(29.125000 142.399002 278.852997)(21.160000 150.092010 276.791016)(21.160000 150.092010 276.791016)(21.160000 159.771988 312.916016)(21.486799 159.455994 313.001007)(21.160000 159.771988 312.916016)(22.767000 158.824997 313.169983)(21.486799 159.455994 313.001007)(29.125000 142.399002 278.852997)(23.349100 157.656998 313.483002)(28.804100 152.389008 314.893982)(29.334902 151.681000 315.084015)(34.237999 132.706009 281.450012)(29.125000 142.399002 278.852997)(28.466999 153.319000 314.644989)(22.767000 161.826996 324.375000)(28.466999 156.320999 325.850006)(22.767000 161.826996 324.375000)(36.320999 134.639999 331.658997)(28.466999 156.320999 325.850006)(22.767000 161.826996 324.375000)(15.941000 165.970001 323.264984)(36.320999 134.639999 331.658997)(28.466999 156.320999 325.850006)(32.756001 146.725998 316.411987)(28.466999 153.319000 314.644989)(15.941000 162.968002 312.059998)(22.767000 158.824997 313.169983)(21.160000 159.771988 312.916016)(15.941000 162.968002 312.059998)(8.331990 168.541992 322.575012)(15.941000 165.970001 323.264984)(15.941000 165.970001 323.264984)(22.767000 158.824997 313.169983)(15.941000 162.968002 312.059998)(8.711970 165.080002 311.493011)(16.541401 162.044998 312.307007)(21.160000 150.092010 276.791016)(8.711970 165.080002 311.493011)(21.160000 150.092010 276.791016)(11.124000 155.031998 275.467987)(-31.239201 148.485001 317.597992)(-29.125000 152.492996 316.523987)(-31.239100 148.070999 316.052002)(-29.125000 142.399002 278.852997)(-31.239100 148.070999 316.052002)(-29.125000 152.492996 316.523987)(-9.330299 165.399994 313.065002)(-11.974199 165.581009 317.317017)(-7.689010 165.539993 311.369995)(32.756001 146.725998 316.411987)(33.411201 143.953003 317.154999)(29.125000 152.078995 314.976990)(34.237999 142.386002 317.575012)(33.411201 143.953003 317.154999)(32.756001 146.725998 316.411987)(34.237999 132.706009 281.450012)(33.411201 143.953003 317.154999)(34.237999 142.386002 317.575012)(34.237999 132.706009 281.450012)(34.237999 142.386002 317.575012)(34.310299 141.945007 317.692993)(35.418999 139.376007 318.381012)(34.237999 142.386002 317.575012)(32.756001 146.725998 316.411987)(35.418999 139.376007 318.381012)(34.310299 141.945007 317.692993)(34.237999 142.386002 317.575012)(35.418999 139.376007 318.381012)(35.272999 136.072998 319.265991)(34.310299 141.945007 317.692993)(35.418999 139.376007 318.381012)(35.418999 142.378006 329.585999)(36.320999 131.638000 320.454010)(35.418999 139.376007 318.381012)(32.756001 149.727997 327.617004)(35.418999 142.378006 329.585999)(36.320999 131.638000 320.454010)(35.418999 142.378006 329.585999)(36.320999 134.639999 331.658997)(36.320999 131.638000 320.454010)(35.272999 136.072998 319.265991)(35.418999 139.376007 318.381012)(36.320999 131.638000 320.454010)(35.735001 133.255997 320.020996)(35.272999 136.072998 319.265991)(36.000000 130.279999 320.817993)(35.735001 133.255997 320.020996)(36.320999 131.638000 320.454010)(35.980198 130.005997 326.056000)(36.320999 131.638000 320.454010)(36.320999 134.639999 331.658997)(35.735001 133.255997 320.020996)(36.000000 130.279999 320.817993)(36.000000 121.959999 284.329010)(32.756001 149.727997 327.617004)(35.418999 139.376007 318.381012)(32.756001 146.725998 316.411987)(34.310299 141.945007 317.692993)(36.000000 121.959999 284.329010)(34.237999 132.706009 281.450012)(36.320999 134.639999 331.658997)(35.543400 125.382004 323.787994)(35.980198 130.005997 326.056000)(36.000000 128.884003 321.191986)(36.000000 130.279999 320.817993)(36.320999 131.638000 320.454010)(36.000000 128.884003 321.191986)(36.320999 131.638000 320.454010)(36.000000 129.298004 322.738007)(36.000000 130.279999 320.817993)(36.000000 128.884003 321.191986)(36.000000 123.167000 305.033997)(36.000000 128.884003 321.191986)(36.000000 125.073997 323.869995)(36.000000 123.167000 305.033997)(36.000000 125.073997 323.869995)(36.000000 114.979996 286.199005)(36.000000 123.167000 305.033997)(15.941000 165.970001 323.264984)(8.331990 168.541992 322.575012)(36.320999 134.639999 331.658997)(41.857998 101.320000 289.860016)(37.521999 107.587006 288.179993)(37.523003 117.681000 325.850983)(37.521999 107.587006 288.179993)(36.000000 125.073997 323.869995)(37.523003 117.681000 325.850983)(48.346001 107.225998 328.653015)(52.500000 95.959999 291.296021)(48.346001 97.133003 290.981995)(52.500000 95.959999 291.296021)(52.500000 87.269997 334.000000)(52.500000 82.135002 295.000000)(48.346001 107.225998 328.653015)(52.500000 106.054001 328.967010)(52.500000 95.959999 291.296021)(41.857998 111.414001 327.531006)(48.346001 107.225998 328.653015)(48.346001 97.133003 290.981995)(41.857998 111.414001 327.531006)(48.346001 97.133003 290.981995)(41.857998 101.320000 289.860016)(37.523003 117.681000 325.850983)(41.857998 111.414001 327.531006)(41.857998 101.320000 289.860016)(41.625599 102.190002 330.002014)(48.346001 107.225998 328.653015)(44.985802 106.802002 328.766998)(48.346001 107.225998 328.653015)(41.857998 111.414001 327.531006)(44.985802 106.802002 328.766998)(41.857998 111.414001 327.531006)(41.625599 102.190002 330.002014)(44.985802 106.802002 328.766998)(37.523003 117.681000 325.850983)(41.625599 102.190002 330.002014)(41.857998 111.414001 327.531006)(52.500000 106.054001 328.967010)(52.500000 87.269997 334.000000)(52.500000 95.959999 291.296021)(-25.662201 108.281998 328.369995)(-22.124001 104.864998 329.286011)(-23.934601 107.862999 333.478973)(-36.000000 125.073997 323.870972)(-34.408600 123.300003 324.346008)(-34.775997 124.314003 324.075012)(-34.885899 138.848999 320.179993)(-34.900597 138.722000 320.212982)(-34.775997 142.378006 329.585999)(-34.885899 138.848999 320.179993)(-35.442902 135.364990 321.112976)(-34.900597 138.722000 320.212982)(32.756001 149.727997 327.617004)(36.320999 134.639999 331.658997)(35.418999 142.378006 329.585999)(29.125000 152.078995 314.976990)(28.466999 153.319000 314.644989)(32.756001 146.725998 316.411987)(32.756001 119.553001 335.701996)(28.466999 112.959000 337.469025)(28.466999 110.371002 327.809998)(32.756001 119.553001 335.701996)(28.466999 110.371002 327.809998)(32.756001 116.965004 326.042999)(32.756001 119.553001 335.701996)(32.756001 116.965004 326.042999)(35.418999 124.314003 324.074005)(28.466999 112.959000 337.469025)(32.756001 119.553001 335.701996)(36.320999 134.639999 331.658997)(32.756001 119.553001 335.701996)(35.418999 126.902000 333.733002)(36.320999 134.639999 331.658997)(37.523003 117.681000 325.850983)(35.418999 124.314003 324.074005)(32.756001 116.965004 326.042999)(28.466999 112.959000 337.469025)(22.767000 104.864998 329.285004)(28.466999 110.371002 327.809998)(41.625599 102.190002 330.002014)(28.466999 110.371002 327.809998)(22.767000 104.864998 329.285004)(-61.307003 82.135002 295.000000)(-61.307003 81.366898 314.500000)(-61.307003 87.268997 334.000000)(31.234100 94.067299 332.179016)(22.767000 104.864998 329.285004)(15.941000 100.722000 330.395996)(15.941000 100.722000 330.395996)(22.767000 104.864998 329.285004)(22.767000 107.453003 338.944000)(15.941000 100.722000 330.395996)(22.756399 92.987000 332.468018)(31.234100 94.067299 332.179016)(52.500000 87.269997 334.000000)(41.625599 102.190002 330.002014)(36.488201 96.500595 331.527008)(15.941000 103.309998 340.054016)(15.941000 100.722000 330.395996)(22.767000 107.453003 338.944000)(15.941000 103.309998 340.054016)(9.968170 98.703896 330.937012)(15.941000 100.722000 330.395996)(15.941000 103.309998 340.054016)(8.331990 100.738998 340.743011)(9.968170 98.703896 330.937012)(36.320999 134.639999 331.658997)(8.331990 100.738998 340.743011)(15.941000 103.309998 340.054016)(0.320996 99.867004 340.977997)(36.320999 134.639999 331.658997)(-7.689010 100.738998 340.743011)(-7.689010 100.738998 340.743011)(-7.689010 98.151100 331.084991)(0.320996 99.867004 340.977997)(-15.297999 100.722000 330.395996)(-7.689010 98.151100 331.084991)(-7.689010 100.738998 340.743011)(-7.689010 98.151100 331.084991)(-15.297999 100.722000 330.395996)(-15.803801 83.706497 334.000000)(-15.297999 100.722000 330.395996)(-27.348400 83.493393 334.000000)(-15.803801 83.706497 334.000000)(-7.689010 98.151100 331.084991)(0.320996 97.278702 331.317993)(0.320996 99.867004 340.977997)(0.320996 97.278702 331.317993)(-7.689010 98.151100 331.084991)(-11.225201 83.688400 334.000000)(-11.225201 83.688400 334.000000)(-7.689010 98.151100 331.084991)(-15.803801 83.706497 334.000000)(8.331990 100.738998 340.743011)(36.320999 134.639999 331.658997)(0.320996 99.867004 340.977997)(22.756399 92.987000 332.468018)(15.941000 100.722000 330.395996)(9.968170 98.703896 330.937012)(-61.307003 82.135002 295.000000)(-61.307003 77.601700 305.225006)(-61.307003 81.366898 314.500000)(-15.297999 103.309998 340.054016)(-7.689010 100.738998 340.743011)(36.320999 134.639999 331.658997)(32.756001 149.727997 327.617004)(28.466999 156.320999 325.850006)(36.320999 134.639999 331.658997)(-34.900597 138.722000 320.212982)(-35.442902 135.364990 321.112976)(-35.679001 132.052002 322.000000)(8.331990 98.151001 331.084991)(9.968170 98.703896 330.937012)(8.331990 100.738998 340.743011)(-15.297999 100.722000 330.395996)(-7.689010 100.738998 340.743011)(-15.297999 103.309998 340.054016)(-19.302401 162.013000 318.217987)(-15.297999 162.968002 312.059998)(-18.009300 161.737000 314.046997)(-28.800501 152.234009 316.592987)(-28.417000 152.822998 316.436005)(-29.125000 152.492996 316.523987)(36.320999 134.639999 331.658997)(-15.297999 165.970001 323.264984)(-22.124001 161.826996 324.375000)(-39.445698 83.375198 334.000000)(-53.764999 100.567001 330.437012)(-61.307003 87.268997 334.000000)(-35.679001 132.052002 322.000000)(-35.659100 131.880997 322.046021)(-35.679001 134.639999 331.658997)(-21.181702 104.293007 329.439026)(-22.124001 104.864998 329.286011)(-26.830200 105.148003 329.210022)(-34.408600 123.300003 324.346008)(-32.113998 119.553001 335.701996)(-34.775997 126.902000 333.733002)(22.767000 104.864998 329.285004)(28.466999 112.959000 337.469025)(22.767000 107.453003 338.944000)(-9.330561 164.985001 311.518982)(-7.359990 165.287003 311.437988)(-0.000008 156.733002 275.011993)(36.488201 96.500595 331.527008)(22.767000 104.864998 329.285004)(31.234100 94.067299 332.179016)(34.237999 132.706009 281.450012)(29.334902 151.681000 315.084015)(33.411201 143.953003 317.154999)(15.941000 165.970001 323.264984)(22.767000 161.826996 324.375000)(22.767000 158.824997 313.169983)(-34.694702 139.601013 318.320984)(-34.237999 142.800003 319.121002)(-34.237999 132.706009 281.450012)(16.541401 162.044998 312.307007)(8.711970 165.080002 311.493011)(8.331990 165.539993 311.369995)(-27.824999 110.371002 327.809998)(-32.639599 114.414001 326.726990)(-39.616997 112.034004 327.365021)(35.272999 136.072998 319.265991)(35.735001 133.255997 320.020996)(36.000000 121.959999 284.329010)(48.346001 107.225998 328.653015)(41.625599 102.190002 330.002014)(52.500000 87.269997 334.000000)(-11.125000 165.125000 313.138977)(-9.330299 165.399994 313.065002)(-9.330561 164.985001 311.518982)(-22.124001 107.453003 338.944000)(-22.124001 104.864998 329.286011)(-21.181702 104.293007 329.439026)(36.488201 96.500595 331.527008)(41.625599 102.190002 330.002014)(22.767000 104.864998 329.285004)(-29.125000 142.399002 278.852997)(-32.476501 145.724991 316.680023)(-31.965799 146.693008 316.420990)(-61.307003 99.044998 330.845001)(-61.307003 88.950996 293.174011)(-61.307003 87.268997 334.000000)(-10.912300 164.865005 313.208984)(-11.125000 165.125000 313.138977)(-13.279699 164.065002 313.423004)(-32.478897 146.133011 318.227997)(-32.476501 146.134003 318.206024)(-32.113998 146.725998 316.411987)(-21.160000 150.092010 276.791016)(-29.125000 142.399002 278.852997)(-29.125000 152.492996 316.523987)(36.320999 134.639999 331.658997)(-34.775997 126.902000 333.733002)(-32.113998 119.553001 335.701996)(-53.764999 100.567001 330.437012)(-61.307003 99.044998 330.845001)(-61.307003 87.268997 334.000000)(34.310299 141.945007 317.692993)(35.272999 136.072998 319.265991)(36.000000 121.959999 284.329010)(-22.124001 159.238998 314.716980)(-22.910900 158.479004 314.920013)(-22.124001 161.826996 324.375000)(-36.000000 132.054001 322.000000)(-35.442902 135.364990 321.112976)(-34.885899 138.848999 320.179993)(15.941000 103.309998 340.054016)(22.767000 107.453003 338.944000)(36.320999 134.639999 331.658997)(-15.297999 100.722000 330.395996)(-45.644997 105.096001 329.223999)(-27.348400 83.493393 334.000000)(-34.675201 122.160004 324.651001)(-36.410000 120.544998 325.084015)(-34.675201 120.702995 325.042023)(-36.410000 120.544998 325.084015)(-32.940300 119.246002 325.432007)(-34.675201 120.702995 325.042023)(-32.940300 119.246002 325.432007)(-34.675201 122.160004 324.651001)(-34.675201 120.702995 325.042023)(-34.760098 139.374008 318.381012)(-34.694702 139.601013 318.320984)(-34.237999 132.706009 281.450012)(36.000000 129.298004 322.738007)(35.980198 130.005997 326.056000)(35.543400 125.382004 323.787994)(-45.644997 105.096001 329.223999)(-15.297999 100.722000 330.395996)(-26.830200 105.148003 329.210022)(-22.124001 104.864998 329.286011)(-25.662201 108.281998 328.369995)(-26.830200 105.148003 329.210022)(-33.789898 142.513000 319.197998)(-34.694702 140.014999 319.867004)(-34.083900 142.904999 323.907990)(36.000000 125.073997 323.869995)(35.418999 124.314003 324.074005)(37.523003 117.681000 325.850983)(36.000000 129.298004 322.738007)(36.320999 131.638000 320.454010)(35.980198 130.005997 326.056000)(-15.014900 162.796005 312.106018)(-13.279600 163.650009 311.877014)(-14.059900 158.708008 294.966003)(-27.824999 112.959000 337.469025)(-32.113998 119.553001 335.701996)(-31.522099 116.055000 326.286987)(36.000000 130.279999 320.817993)(36.000000 123.167000 305.033997)(36.000000 121.959999 284.329010)(32.756001 116.965004 326.042999)(28.466999 110.371002 327.809998)(41.625599 102.190002 330.002014)(-26.830200 105.148003 329.210022)(-25.662201 108.281998 328.369995)(-39.616997 112.034004 327.365021)(29.125000 152.078995 314.976990)(33.411201 143.953003 317.154999)(29.334902 151.681000 315.084015)(-18.009300 161.737000 314.046997)(-20.933599 159.962006 314.523010)(-19.302401 162.013000 318.217987)(0.320995 166.412003 311.136993)(0.320995 169.414001 322.342010)(8.331990 165.539993 311.369995)(32.756001 116.965004 326.042999)(41.625599 102.190002 330.002014)(37.523003 117.681000 325.850983)(22.756399 92.987000 332.468018)(9.968170 98.703896 330.937012)(8.331990 98.151001 331.084991)(36.000000 128.884003 321.191986)(36.000000 129.298004 322.738007)(36.000000 125.073997 323.869995)(-27.348400 83.493393 334.000000)(-45.644997 105.096001 329.223999)(-39.445698 83.375198 334.000000)(36.320999 134.639999 331.658997)(22.767000 107.453003 338.944000)(28.466999 112.959000 337.469025)(-34.237999 132.706009 281.450012)(-34.885899 138.433990 318.632996)(-34.760098 139.374008 318.381012)(-32.113998 116.965004 326.042999)(-31.522099 116.055000 326.286987)(-32.113998 119.553001 335.701996)(-36.000000 132.054001 322.000000)(-34.237999 132.706009 281.450012)(-36.000000 121.959999 284.329010)(37.521999 107.587006 288.179993)(36.000000 114.979996 286.199005)(36.000000 125.073997 323.869995)(-9.330299 165.399994 313.065002)(-11.125000 165.125000 313.138977)(-10.912300 164.865005 313.208984)(-34.805099 124.564003 324.007996)(-35.554401 130.983994 322.286987)(-36.000000 125.073997 323.870972)(15.941000 162.968002 312.059998)(16.541401 162.044998 312.307007)(8.331990 165.539993 311.369995)(32.756001 146.725998 316.411987)(28.466999 156.320999 325.850006)(32.756001 149.727997 327.617004)(-22.910900 158.479004 314.920013)(-27.824999 156.320999 325.850006)(-22.124001 161.826996 324.375000)(-20.933599 159.962006 314.523010)(-21.160000 160.185989 314.462982)(-22.124001 159.238998 314.716980)(29.125000 142.399002 278.852997)(29.125000 152.078995 314.976990)(29.334902 151.681000 315.084015)(0.456574 166.343002 311.154999)(8.711970 165.080002 311.493011)(11.124000 155.031998 275.467987)(-34.694702 139.601013 318.320984)(-34.694702 140.014999 319.867004)(-34.237999 142.800003 319.121002)(8.331990 168.541992 322.575012)(15.941000 162.968002 312.059998)(8.331990 165.539993 311.369995)(-29.125000 142.399002 278.852997)(-31.965799 146.693008 316.420990)(-31.239100 148.070999 316.052002)(52.500000 106.054001 328.967010)(48.346001 107.225998 328.653015)(52.500000 87.269997 334.000000)(-18.009300 161.737000 314.046997)(-15.297999 162.968002 312.059998)(-18.009399 161.321991 312.501007)(-0.807269 166.289001 311.170013)(0.320995 169.414001 322.342010)(0.320995 166.412003 311.136993)(35.418999 126.902000 333.733002)(32.756001 119.553001 335.701996)(35.418999 124.314003 324.074005)(52.500000 87.269997 334.000000)(36.488201 96.500595 331.527008)(31.234100 94.067299 332.179016)(31.234100 94.067299 332.179016)(22.756399 92.987000 332.468018)(52.500000 87.269997 334.000000)(22.756399 92.987000 332.468018)(41.496601 84.434998 334.000000)(52.500000 87.269997 334.000000)(11.392000 83.905502 334.000000)(41.496601 84.434998 334.000000)(22.756399 92.987000 332.468018)(15.544200 91.055000 332.675995)(11.392000 83.905502 334.000000)(22.756399 92.987000 332.468018)(15.544200 91.055000 332.675995)(8.331990 98.151001 331.084991)(11.392000 83.905502 334.000000)(15.544200 91.055000 332.675995)(22.756399 92.987000 332.468018)(8.331990 98.151001 331.084991)(8.331990 98.151001 331.084991)(8.331990 100.738998 340.743011)(0.320996 97.278702 331.317993)(8.331990 98.151001 331.084991)(0.320996 97.278702 331.317993)(1.062120 83.916298 334.000000)(0.320996 99.867004 340.977997)(0.320996 97.278702 331.317993)(8.331990 100.738998 340.743011)(8.331990 98.151001 331.084991)(1.062120 83.916298 334.000000)(11.392000 83.905502 334.000000)(1.062120 83.916298 334.000000)(0.320996 97.278702 331.317993)(-11.225201 83.688400 334.000000)(-53.764999 90.473007 292.765991)(-61.307003 82.135002 295.000000)(-61.307003 88.950996 293.174011)(-61.307003 82.135002 295.000000)(-61.307003 77.163399 302.778992)(-61.307003 77.601700 305.225006)(-61.307003 82.135002 295.000000)(-61.307003 75.464706 295.000000)(-61.307003 77.163399 302.778992)(-59.974903 75.463303 295.000000)(-60.119099 75.463501 295.000000)(-61.307003 82.135002 295.000000)(-60.119099 75.463501 295.000000)(-61.307003 75.464706 295.000000)(-61.307003 82.135002 295.000000)(-58.339001 79.063202 295.000000)(-59.974903 75.463303 295.000000)(-61.307003 82.135002 295.000000)(-58.339001 79.063202 295.000000)(-61.307003 82.135002 295.000000)(-58.258198 79.227295 295.000000)(-58.258198 79.227295 295.000000)(-61.307003 82.135002 295.000000)(-56.825802 82.135002 295.000000)(-55.224003 85.168999 294.187012)(-56.825802 82.135002 295.000000)(-61.307003 82.135002 295.000000)(-55.224003 85.168999 294.187012)(-61.307003 82.135002 295.000000)(-53.764999 90.473007 292.765991)(-39.209000 99.082001 290.459015)(-39.616997 101.939995 289.694000)(-35.427002 106.377998 288.503998)(-39.209000 99.082001 290.459015)(-45.644997 95.002007 291.552979)(-39.616997 101.939995 289.694000)(-45.644997 95.002007 291.552979)(-50.446999 89.918999 292.914001)(-53.764999 90.473007 292.765991)(-39.209000 99.082001 290.459015)(-45.139999 93.271004 292.015991)(-45.644997 95.002007 291.552979)(-45.644997 95.002007 291.552979)(-47.857002 91.569000 292.472015)(-50.446999 89.918999 292.914001)(-58.944603 75.462196 295.000000)(-59.974903 75.463303 295.000000)(-58.339001 79.063202 295.000000)(-45.139999 93.271004 292.015991)(-47.857002 91.569000 292.472015)(-45.644997 95.002007 291.552979)(-35.427002 106.377998 288.503998)(-39.616997 101.939995 289.694000)(-36.410000 110.451996 287.412994)(-50.446999 89.918999 292.914001)(-55.224003 85.168999 294.187012)(-53.764999 90.473007 292.765991)(-32.311996 134.179993 281.053986)(-34.237999 132.706009 281.450012)(-29.125000 142.399002 278.852997)(-28.139999 141.634995 279.057007)(-32.311996 134.179993 281.053986)(-29.125000 142.399002 278.852997)(-34.164997 114.445999 286.341980)(-36.410000 110.451996 287.412994)(-36.000000 114.979996 286.199982)(-34.432999 125.957001 283.257996)(-36.000000 121.959999 284.329010)(-34.237999 132.706009 281.450012)(-32.311996 134.179993 281.053986)(-34.432999 125.957001 283.257996)(-34.237999 132.706009 281.450012)(-34.387997 117.612999 285.492981)(-36.000000 121.959999 284.329010)(-34.432999 125.957001 283.257996)(-34.387997 117.612999 285.492981)(-36.000000 114.979996 286.199982)(-36.000000 121.959999 284.329010)(-34.164997 114.445999 286.341980)(-36.000000 114.979996 286.199982)(-34.387997 117.612999 285.492981)(-0.000008 156.733002 275.011993)(2.270990 155.713013 275.285004)(-6.481010 155.121002 275.442993)(-20.121698 149.134003 277.048004)(-22.179001 147.852997 277.390991)(-21.160000 150.092010 276.791016)(-14.805000 152.445007 276.160004)(-20.121698 149.134003 277.048004)(-21.160000 150.092010 276.791016)(-22.179001 147.852997 277.390991)(-29.125000 142.399002 278.852997)(-21.160000 150.092010 276.791016)(-11.125000 155.031998 275.467987)(-6.481010 155.121002 275.442993)(-14.805000 152.445007 276.160004)(-22.179001 147.852997 277.390991)(-28.139999 141.634995 279.057007)(-29.125000 142.399002 278.852997)(-35.427002 106.377998 288.503998)(-36.410000 110.451996 287.412994)(-34.164997 114.445999 286.341980)(-14.805000 152.445007 276.160004)(-21.160000 150.092010 276.791016)(-11.125000 155.031998 275.467987)(-0.000008 156.733002 275.011993)(-6.481010 155.121002 275.442993)(-11.125000 155.031998 275.467987)(52.500000 82.135002 295.000000)(52.500000 81.335899 314.500000)(52.500000 75.987099 297.262024)(52.500000 87.269997 334.000000)(52.500000 81.335899 314.500000)(52.500000 82.135002 295.000000)(37.521999 107.587006 288.179993)(31.111000 105.881996 288.637024)(34.283001 113.783005 286.520020)(22.327799 96.009796 291.282013)(52.500000 82.135002 295.000000)(20.062700 94.173401 291.774994)(52.500000 82.135002 295.000000)(26.004999 98.990997 290.483002)(29.344400 103.497993 289.276001)(26.004999 98.990997 290.483002)(52.500000 82.135002 295.000000)(22.327799 96.009796 291.282013)(19.284901 93.542801 291.944000)(20.062700 94.173401 291.774994)(52.500000 82.135002 295.000000)(37.521999 107.587006 288.179993)(29.344400 103.497993 289.276001)(31.111000 105.881996 288.637024)(10.900001 154.184006 275.694000)(2.270990 155.713013 275.285004)(-0.000008 156.733002 275.011993)(11.124000 155.031998 275.467987)(10.900001 154.184006 275.694000)(-0.000008 156.733002 275.011993)(18.865000 150.630005 276.645996)(10.900001 154.184006 275.694000)(11.124000 155.031998 275.467987)(29.125000 142.399002 278.852997)(25.664000 145.274994 278.080994)(21.160000 150.092010 276.791016)(30.872000 138.455002 279.910004)(25.664000 145.274994 278.080994)(29.125000 142.399002 278.852997)(34.237999 132.706009 281.450012)(30.872000 138.455002 279.910004)(29.125000 142.399002 278.852997)(35.320000 122.197998 284.265015)(34.159000 130.597992 282.014008)(34.237999 132.706009 281.450012)(34.159000 130.597992 282.014008)(30.872000 138.455002 279.910004)(34.237999 132.706009 281.450012)(36.000000 121.959999 284.329010)(35.320000 122.197998 284.265015)(34.237999 132.706009 281.450012)(36.000000 114.979996 286.199005)(34.283001 113.783005 286.520020)(35.320000 122.197998 284.265015)(36.000000 121.959999 284.329010)(36.000000 114.979996 286.199005)(35.320000 122.197998 284.265015)(41.857998 101.320000 289.860016)(52.500000 82.135002 295.000000)(29.344400 103.497993 289.276001)(41.857998 101.320000 289.860016)(35.601200 104.452995 289.019989)(37.521999 107.587006 288.179993)(35.601200 104.452995 289.019989)(41.857998 101.320000 289.860016)(29.344400 103.497993 289.276001)(52.500000 95.959999 291.296021)(52.500000 82.135002 295.000000)(48.346001 97.133003 290.981995)(48.346001 97.133003 290.981995)(52.500000 82.135002 295.000000)(41.857998 101.320000 289.860016)(36.000000 114.979996 286.199005)(37.521999 107.587006 288.179993)(34.283001 113.783005 286.520020)(52.500000 82.135002 295.000000)(7.256990 88.820999 293.208008)(11.373000 89.879997 292.923981)(7.256990 88.820999 293.208008)(52.500000 82.135002 295.000000)(-9.491710 77.874603 295.000000)(52.500000 82.135002 295.000000)(41.411198 76.998001 295.000000)(28.827499 76.776695 295.000000)(52.500000 82.135002 295.000000)(28.827499 76.776695 295.000000)(-9.491710 77.874603 295.000000)(47.652699 75.137901 295.000000)(41.411198 76.998001 295.000000)(52.500000 82.135002 295.000000)(49.063000 75.113701 295.000000)(47.652699 75.137901 295.000000)(52.500000 82.135002 295.000000)(51.340302 75.074501 295.000000)(49.063000 75.113701 295.000000)(52.500000 82.135002 295.000000)(52.500000 75.401794 295.000000)(51.340302 75.074501 295.000000)(52.500000 82.135002 295.000000)(52.500000 82.135002 295.000000)(52.500000 75.750999 296.348999)(52.500000 75.401794 295.000000)(36.000000 121.959999 284.329010)(36.000000 123.167000 305.033997)(36.000000 114.979996 286.199005)(21.160000 150.092010 276.791016)(25.664000 145.274994 278.080994)(18.865000 150.630005 276.645996)(52.500000 82.135002 295.000000)(52.500000 75.987099 297.262024)(52.500000 75.750999 296.348999)(37.521999 107.587006 288.179993)(35.601200 104.452995 289.019989)(29.344400 103.497993 289.276001)(19.284901 93.542801 291.944000)(52.500000 82.135002 295.000000)(11.373000 89.879997 292.923981)(21.160000 150.092010 276.791016)(18.865000 150.630005 276.645996)(11.124000 155.031998 275.467987)(-9.491710 77.874603 295.000000)(0.508551 86.214401 293.906982)(7.256990 88.820999 293.208008)(-10.356000 76.087494 295.000000)(-9.491710 77.874603 295.000000)(28.827499 76.776695 295.000000)(-61.307003 81.366898 314.500000)(-61.307003 78.823700 310.820007)(-61.307003 79.329498 313.720001)(-61.307003 77.601700 305.225006)(-61.307003 78.823700 310.820007)(-61.307003 81.366898 314.500000)(-61.307003 87.268997 334.000000)(-61.307003 82.820702 332.976013)(-61.307003 83.014198 334.000000)(-61.307003 83.014198 334.000000)(-58.542400 83.028801 334.000000)(-61.307003 87.268997 334.000000)(-61.307003 87.268997 334.000000)(-61.307003 81.329002 324.300995)(-61.307003 82.618805 331.907013)(-61.307003 87.268997 334.000000)(-61.307003 82.618805 331.907013)(-61.307003 82.820702 332.976013)(-58.203102 83.030594 334.000000)(-39.445698 83.375198 334.000000)(-61.307003 87.268997 334.000000)(-58.542400 83.028801 334.000000)(-58.203102 83.030594 334.000000)(-61.307003 87.268997 334.000000)(-61.307003 81.366898 314.500000)(-61.307003 79.329498 313.720001)(-61.307003 81.329002 324.300995)(-61.307003 81.366898 314.500000)(-61.307003 81.329002 324.300995)(-61.307003 87.268997 334.000000)(52.500000 82.581001 334.000000)(52.500000 87.269997 334.000000)(45.727802 83.584702 334.000000)(52.500000 87.269997 334.000000)(41.496601 84.434998 334.000000)(45.727802 83.584702 334.000000)(52.500000 87.269997 334.000000)(52.500000 82.378998 332.873993)(52.500000 81.335899 314.500000)(52.500000 87.269997 334.000000)(52.500000 82.581001 334.000000)(52.500000 82.378998 332.873993)(52.500000 81.335899 314.500000)(52.500000 82.378998 332.873993)(52.500000 75.987099 297.262024)(-36.000000 -114.979996 286.199982)(-36.000000 -121.959999 284.329010)(-36.000000 -125.073997 323.870972)(-36.000000 -114.979996 286.199982)(-36.000000 -125.073997 323.870972)(-36.410000 -120.544998 325.084015)(-21.160000 -160.185989 314.462982)(-29.125000 -152.492996 316.523987)(-21.160000 -150.092010 276.791016)(-29.125000 -142.399002 278.852997)(-21.160000 -150.092010 276.791016)(-29.125000 -152.492996 316.523987)(-61.307003 -87.268997 334.000000)(-61.307003 -88.950996 293.174011)(-61.307003 -99.044998 330.845001)(-53.764999 -90.473007 292.765991)(-61.307003 -99.044998 330.845001)(-61.307003 -88.950996 293.174011)(-61.307003 -99.044998 330.845001)(-53.764999 -90.473007 292.765991)(-53.764999 -100.567001 330.437012)(-61.307003 -82.135002 295.000000)(-61.307003 -88.950996 293.174011)(-61.307003 -87.268997 334.000000)(-61.307003 -77.601700 305.225006)(-61.307003 -77.163399 302.778992)(-61.307003 -82.135002 295.000000)(-61.307003 -81.366898 314.500000)(-61.307003 -77.601700 305.225006)(-61.307003 -82.135002 295.000000)(-61.307003 -87.268997 334.000000)(-61.307003 -81.366898 314.500000)(-61.307003 -82.135002 295.000000)(-61.307003 -75.464706 295.000000)(-61.307003 -82.135002 295.000000)(-61.307003 -77.163399 302.778992)(-61.307003 -82.135002 295.000000)(-61.307003 -75.464706 295.000000)(-60.119099 -75.463501 295.000000)(-58.339001 -79.063202 295.000000)(-61.307003 -82.135002 295.000000)(-59.974903 -75.463303 295.000000)(-58.258198 -79.227295 295.000000)(-61.307003 -82.135002 295.000000)(-58.339001 -79.063202 295.000000)(34.237999 -132.706009 281.450012)(36.000000 -121.959999 284.329010)(34.310299 -141.945007 317.692993)(34.237999 -132.706009 281.450012)(34.310299 -141.945007 317.692993)(34.237999 -142.386002 317.575012)(-32.476501 -145.724991 316.680023)(-32.476501 -146.134003 318.206024)(-34.237999 -142.800003 319.121002)(-29.125000 -142.399002 278.852997)(-32.476501 -145.724991 316.680023)(-34.237999 -142.800003 319.121002)(32.756001 -119.553001 335.701996)(35.418999 -124.314003 324.074005)(32.756001 -116.965004 326.042999)(37.523003 -117.681000 325.850983)(32.756001 -116.965004 326.042999)(35.418999 -124.314003 324.074005)(37.523003 -117.681000 325.850983)(35.418999 -124.314003 324.074005)(36.000000 -125.073997 323.869995)(37.523003 -117.681000 325.850983)(36.000000 -125.073997 323.869995)(37.521999 -107.587006 288.179993)(36.000000 -129.298004 322.738007)(35.543400 -125.382004 323.787994)(35.980198 -130.005997 326.056000)(36.320999 -131.638000 320.454010)(36.000000 -129.298004 322.738007)(35.980198 -130.005997 326.056000)(35.543400 -125.382004 323.787994)(36.000000 -129.298004 322.738007)(36.000000 -125.073997 323.869995)(36.000000 -128.884003 321.191986)(36.000000 -129.298004 322.738007)(36.320999 -131.638000 320.454010)(36.000000 -125.073997 323.869995)(36.000000 -129.298004 322.738007)(36.000000 -128.884003 321.191986)(36.000000 -125.073997 323.869995)(36.000000 -123.167000 305.033997)(36.000000 -114.979996 286.199005)(36.000000 -125.073997 323.869995)(36.000000 -128.884003 321.191986)(36.000000 -123.167000 305.033997)(36.000000 -125.073997 323.869995)(36.000000 -114.979996 286.199005)(37.521999 -107.587006 288.179993)(36.000000 -128.884003 321.191986)(36.000000 -130.279999 320.817993)(36.000000 -123.167000 305.033997)(35.418999 -124.314003 324.074005)(35.543400 -125.382004 323.787994)(36.000000 -125.073997 323.869995)(37.521999 -107.587006 288.179993)(41.857998 -101.320000 289.860016)(37.523003 -117.681000 325.850983)(41.625599 -102.190002 330.002014)(32.756001 -116.965004 326.042999)(37.523003 -117.681000 325.850983)(41.857998 -111.414001 327.531006)(41.625599 -102.190002 330.002014)(37.523003 -117.681000 325.850983)(36.000000 -130.279999 320.817993)(36.000000 -121.959999 284.329010)(36.000000 -123.167000 305.033997)(-32.478897 -146.133011 318.227997)(-33.357201 -144.326004 318.712006)(-34.237999 -142.800003 319.121002)(-33.789898 -142.513000 319.197998)(-33.357201 -144.326004 318.712006)(-32.478897 -146.133011 318.227997)(-33.789898 -142.513000 319.197998)(-32.478897 -146.133011 318.227997)(-34.083900 -142.904999 323.907990)(-33.789898 -142.513000 319.197998)(-34.237999 -142.800003 319.121002)(-33.357201 -144.326004 318.712006)(-32.940300 -119.246002 325.432007)(-34.675201 -122.160004 324.651001)(-34.408600 -123.300003 324.346008)(-34.408600 -123.300003 324.346008)(-34.675201 -122.160004 324.651001)(-36.000000 -125.073997 323.870972)(-34.675201 -122.160004 324.651001)(-36.410000 -120.544998 325.084015)(-36.000000 -125.073997 323.870972)(-34.775997 -124.314003 324.075012)(-34.408600 -123.300003 324.346008)(-36.000000 -125.073997 323.870972)(-35.554401 -130.983994 322.286987)(-36.000000 -125.073997 323.870972)(-36.000000 -132.054001 322.000000)(-34.805099 -124.564003 324.007996)(-36.000000 -125.073997 323.870972)(-35.554401 -130.983994 322.286987)(-34.805099 -124.564003 324.007996)(-34.775997 -124.314003 324.075012)(-36.000000 -125.073997 323.870972)(-34.675201 -122.160004 324.651001)(-32.940300 -119.246002 325.432007)(-34.675201 -120.702995 325.042023)(-32.940300 -119.246002 325.432007)(-36.410000 -120.544998 325.084015)(-34.675201 -120.702995 325.042023)(-36.410000 -120.544998 325.084015)(-34.675201 -122.160004 324.651001)(-34.675201 -120.702995 325.042023)(-32.113998 -116.965004 326.042999)(-32.639599 -114.414001 326.726990)(-36.410000 -120.544998 325.084015)(-32.940300 -119.246002 325.432007)(-32.113998 -116.965004 326.042999)(-36.410000 -120.544998 325.084015)(-32.940300 -119.246002 325.432007)(-34.408600 -123.300003 324.346008)(-32.868797 -120.264999 330.024017)(-35.679001 -132.052002 322.000000)(-35.442902 -135.364990 321.112976)(-34.900597 -138.722000 320.212982)(-35.679001 -132.052002 322.000000)(-36.000000 -132.054001 322.000000)(-35.442902 -135.364990 321.112976)(-34.900597 -138.722000 320.212982)(-35.442902 -135.364990 321.112976)(-34.885899 -138.848999 320.179993)(-35.554401 -130.983994 322.286987)(-35.659100 -131.880997 322.046021)(-35.679001 -134.639999 331.658997)(-35.554401 -130.983994 322.286987)(-35.679001 -134.639999 331.658997)(-34.775997 -126.902000 333.733002)(36.320999 -134.639999 331.658997)(-34.775997 -126.902000 333.733002)(-35.679001 -134.639999 331.658997)(-34.885899 -138.848999 320.179993)(-34.760098 -139.374008 318.381012)(-34.775997 -142.378006 329.585999)(-34.900597 -138.722000 320.212982)(-34.885899 -138.848999 320.179993)(-34.775997 -142.378006 329.585999)(-34.900597 -138.722000 320.212982)(-34.775997 -142.378006 329.585999)(-35.679001 -134.639999 331.658997)(36.320999 -134.639999 331.658997)(-35.679001 -134.639999 331.658997)(-34.775997 -142.378006 329.585999)(-32.478897 -146.133011 318.227997)(-32.113998 -146.725998 316.411987)(-32.113998 -149.727997 327.617004)(-32.478897 -146.133011 318.227997)(-32.113998 -149.727997 327.617004)(-34.775997 -142.378006 329.585999)(36.320999 -134.639999 331.658997)(-34.775997 -142.378006 329.585999)(-32.113998 -149.727997 327.617004)(-32.113998 -146.725998 316.411987)(-30.908501 -150.165009 321.833984)(-32.113998 -149.727997 327.617004)(-32.113998 -146.725998 316.411987)(-31.239201 -148.485001 317.597992)(-30.908501 -150.165009 321.833984)(-31.239100 -148.070999 316.052002)(-31.239201 -148.485001 317.597992)(-32.113998 -146.725998 316.411987)(-31.239100 -148.070999 316.052002)(-29.125000 -152.492996 316.523987)(-31.239201 -148.485001 317.597992)(-29.125000 -142.399002 278.852997)(-29.125000 -152.492996 316.523987)(-31.239100 -148.070999 316.052002)(-29.125000 -142.399002 278.852997)(-31.239100 -148.070999 316.052002)(-31.965799 -146.693008 316.420990)(-31.239201 -148.485001 317.597992)(-28.800501 -152.234009 316.592987)(-30.908501 -150.165009 321.833984)(-28.800501 -152.234009 316.592987)(-31.239201 -148.485001 317.597992)(-29.125000 -152.492996 316.523987)(-22.910900 -158.479004 314.920013)(-29.125000 -152.492996 316.523987)(-27.824999 -153.733002 316.191986)(-22.124001 -159.238998 314.716980)(-29.125000 -152.492996 316.523987)(-22.910900 -158.479004 314.920013)(-28.417000 -152.822998 316.436005)(-29.125000 -152.492996 316.523987)(-27.824999 -153.733002 316.191986)(-28.417000 -152.822998 316.436005)(-27.824999 -153.733002 316.191986)(-27.824999 -156.320999 325.850006)(-22.910900 -158.479004 314.920013)(-22.124001 -159.238998 314.716980)(-22.124001 -161.826996 324.375000)(-22.910900 -158.479004 314.920013)(-22.124001 -161.826996 324.375000)(-27.824999 -156.320999 325.850006)(-28.417000 -152.822998 316.436005)(-28.800501 -152.234009 316.592987)(-29.125000 -152.492996 316.523987)(-34.775997 -126.902000 333.733002)(-32.113998 -119.553001 335.701996)(-34.408600 -123.300003 324.346008)(-32.113998 -119.553001 335.701996)(-32.868797 -120.264999 330.024017)(-34.408600 -123.300003 324.346008)(36.320999 -134.639999 331.658997)(-32.113998 -119.553001 335.701996)(-34.775997 -126.902000 333.733002)(-31.965799 -146.693008 316.420990)(-31.239100 -148.070999 316.052002)(-32.113998 -146.725998 316.411987)(-31.965799 -146.693008 316.420990)(-32.113998 -146.725998 316.411987)(-32.476501 -145.724991 316.680023)(-35.679001 -132.052002 322.000000)(-34.900597 -138.722000 320.212982)(-35.679001 -134.639999 331.658997)(36.320999 -134.639999 331.658997)(-27.824999 -112.959000 337.469025)(-32.113998 -119.553001 335.701996)(-32.113998 -119.553001 335.701996)(-27.824999 -112.959000 337.469025)(-31.522099 -116.055000 326.286987)(-27.824999 -112.959000 337.469025)(-27.824999 -110.371002 327.809998)(-31.522099 -116.055000 326.286987)(-27.038200 -109.611000 328.013977)(-27.824999 -110.371002 327.809998)(-27.824999 -112.959000 337.469025)(-27.824999 -110.371002 327.809998)(-27.038200 -109.611000 328.013977)(-39.616997 -112.034004 327.365021)(-27.038200 -109.611000 328.013977)(-25.662201 -108.281998 328.369995)(-39.616997 -112.034004 327.365021)(-25.662201 -108.281998 328.369995)(-27.038200 -109.611000 328.013977)(-23.934601 -107.862999 333.478973)(-32.639599 -114.414001 326.726990)(-27.824999 -110.371002 327.809998)(-39.616997 -112.034004 327.365021)(-34.885899 -138.848999 320.179993)(-35.442902 -135.364990 321.112976)(-36.000000 -132.054001 322.000000)(-61.307003 -87.268997 334.000000)(-53.764999 -100.567001 330.437012)(-39.445698 -83.375198 334.000000)(-39.616997 -101.939995 289.694000)(-36.410000 -110.451996 287.412994)(-39.616997 -112.034004 327.365021)(-36.410000 -120.544998 325.084015)(-39.616997 -112.034004 327.365021)(-36.410000 -110.451996 287.412994)(-39.616997 -101.939995 289.694000)(-39.616997 -112.034004 327.365021)(-45.644997 -105.096001 329.223999)(-45.644997 -95.002007 291.552979)(-39.616997 -101.939995 289.694000)(-45.644997 -105.096001 329.223999)(-36.410000 -110.451996 287.412994)(-36.000000 -114.979996 286.199982)(-36.410000 -120.544998 325.084015)(-26.830200 -105.148003 329.210022)(-45.644997 -105.096001 329.223999)(-39.616997 -112.034004 327.365021)(-22.124001 -107.453003 338.944000)(-21.181702 -104.293007 329.439026)(-22.124001 -104.864998 329.286011)(-21.181702 -104.293007 329.439026)(-22.124001 -107.453003 338.944000)(-15.297999 -103.309998 340.054016)(15.941000 -103.309998 340.054016)(15.941000 -100.722000 330.395996)(9.968170 -98.703896 330.937012)(8.331990 -100.738998 340.743011)(15.941000 -103.309998 340.054016)(9.968170 -98.703896 330.937012)(9.968170 -98.703896 330.937012)(15.941000 -100.722000 330.395996)(22.756399 -92.987000 332.468018)(31.234100 -94.067299 332.179016)(22.756399 -92.987000 332.468018)(15.941000 -100.722000 330.395996)(36.320999 -134.639999 331.658997)(-15.297999 -103.309998 340.054016)(-22.124001 -107.453003 338.944000)(-7.689010 -100.738998 340.743011)(0.320996 -99.867004 340.977997)(-7.689010 -98.151100 331.084991)(-7.689010 -98.151100 331.084991)(-15.297999 -100.722000 330.395996)(-7.689010 -100.738998 340.743011)(-7.689010 -98.151100 331.084991)(0.320996 -99.867004 340.977997)(0.320996 -97.278702 331.317993)(1.062120 -83.916298 334.000000)(-11.225201 -83.688400 334.000000)(0.320996 -97.278702 331.317993)(0.320996 -97.278702 331.317993)(-11.225201 -83.688400 334.000000)(-7.689010 -98.151100 331.084991)(-11.225201 -83.688400 334.000000)(-15.803801 -83.706497 334.000000)(-7.689010 -98.151100 331.084991)(11.392000 -83.905502 334.000000)(1.062120 -83.916298 334.000000)(8.331990 -98.151001 331.084991)(15.544200 -91.055000 332.675995)(8.331990 -98.151001 331.084991)(22.756399 -92.987000 332.468018)(15.544200 -91.055000 332.675995)(11.392000 -83.905502 334.000000)(8.331990 -98.151001 331.084991)(15.544200 -91.055000 332.675995)(22.756399 -92.987000 332.468018)(11.392000 -83.905502 334.000000)(52.500000 -87.269997 334.000000)(22.756399 -92.987000 332.468018)(31.234100 -94.067299 332.179016)(52.500000 -87.269997 334.000000)(41.496601 -84.434998 334.000000)(22.756399 -92.987000 332.468018)(11.392000 -83.905502 334.000000)(22.756399 -92.987000 332.468018)(41.496601 -84.434998 334.000000)(1.062120 -83.916298 334.000000)(0.320996 -97.278702 331.317993)(8.331990 -98.151001 331.084991)(8.331990 -100.738998 340.743011)(8.331990 -98.151001 331.084991)(0.320996 -97.278702 331.317993)(-15.297999 -100.722000 330.395996)(-27.348400 -83.493393 334.000000)(-45.644997 -105.096001 329.223999)(-15.803801 -83.706497 334.000000)(-27.348400 -83.493393 334.000000)(-15.297999 -100.722000 330.395996)(-26.830200 -105.148003 329.210022)(-15.297999 -100.722000 330.395996)(-45.644997 -105.096001 329.223999)(-21.181702 -104.293007 329.439026)(-15.297999 -100.722000 330.395996)(-26.830200 -105.148003 329.210022)(-15.297999 -103.309998 340.054016)(-15.297999 -100.722000 330.395996)(-21.181702 -104.293007 329.439026)(-34.760098 -139.374008 318.381012)(-34.694702 -139.601013 318.320984)(-34.694702 -140.014999 319.867004)(-34.694702 -139.601013 318.320984)(-34.237999 -142.800003 319.121002)(-34.694702 -140.014999 319.867004)(-33.789898 -142.513000 319.197998)(-34.694702 -140.014999 319.867004)(-34.237999 -142.800003 319.121002)(-34.694702 -139.601013 318.320984)(-34.760098 -139.374008 318.381012)(-34.237999 -132.706009 281.450012)(-36.000000 -121.959999 284.329010)(-34.237999 -132.706009 281.450012)(-36.000000 -132.054001 322.000000)(-34.237999 -132.706009 281.450012)(-34.885899 -138.433990 318.632996)(-36.000000 -132.054001 322.000000)(-34.760098 -139.374008 318.381012)(-34.885899 -138.433990 318.632996)(-34.237999 -132.706009 281.450012)(-34.885899 -138.433990 318.632996)(-34.760098 -139.374008 318.381012)(-34.885899 -138.799988 319.997009)(-34.885899 -138.433990 318.632996)(-34.885899 -138.799988 319.997009)(-36.000000 -132.054001 322.000000)(-34.885899 -138.799988 319.997009)(-34.885899 -138.848999 320.179993)(-36.000000 -132.054001 322.000000)(-34.237999 -142.800003 319.121002)(-34.237999 -132.706009 281.450012)(-29.125000 -142.399002 278.852997)(-39.209000 -99.082001 290.459015)(-39.616997 -101.939995 289.694000)(-45.644997 -95.002007 291.552979)(-28.800501 -152.234009 316.592987)(-28.417000 -152.822998 316.436005)(-30.908501 -150.165009 321.833984)(-34.237999 -132.706009 281.450012)(-34.237999 -142.800003 319.121002)(-34.694702 -139.601013 318.320984)(22.767000 -107.453003 338.944000)(15.941000 -100.722000 330.395996)(15.941000 -103.309998 340.054016)(22.767000 -107.453003 338.944000)(22.767000 -104.864998 329.285004)(15.941000 -100.722000 330.395996)(22.767000 -104.864998 329.285004)(22.767000 -107.453003 338.944000)(28.466999 -112.959000 337.469025)(28.466999 -112.959000 337.469025)(32.756001 -119.553001 335.701996)(28.466999 -110.371002 327.809998)(22.767000 -104.864998 329.285004)(28.466999 -112.959000 337.469025)(28.466999 -110.371002 327.809998)(35.543400 -125.382004 323.787994)(35.418999 -126.902000 333.733002)(36.320999 -134.639999 331.658997)(36.000000 -121.959999 284.329010)(35.735001 -133.255997 320.020996)(35.272999 -136.072998 319.265991)(36.000000 -121.959999 284.329010)(36.000000 -130.279999 320.817993)(35.735001 -133.255997 320.020996)(36.320999 -131.638000 320.454010)(35.735001 -133.255997 320.020996)(36.000000 -130.279999 320.817993)(35.272999 -136.072998 319.265991)(35.735001 -133.255997 320.020996)(36.320999 -131.638000 320.454010)(22.767000 -158.824997 313.169983)(21.160000 -159.771988 312.916016)(21.486799 -159.455994 313.001007)(15.941000 -162.968002 312.059998)(21.160000 -159.771988 312.916016)(22.767000 -158.824997 313.169983)(21.486799 -159.455994 313.001007)(21.160000 -159.771988 312.916016)(21.160000 -150.092010 276.791016)(21.160000 -150.092010 276.791016)(21.160000 -159.771988 312.916016)(16.541401 -162.044998 312.307007)(15.941000 -165.970001 323.264984)(15.941000 -162.968002 312.059998)(22.767000 -158.824997 313.169983)(15.941000 -165.970001 323.264984)(8.331990 -168.541992 322.575012)(15.941000 -162.968002 312.059998)(8.331990 -165.539993 311.369995)(16.541401 -162.044998 312.307007)(15.941000 -162.968002 312.059998)(8.331990 -165.539993 311.369995)(15.941000 -162.968002 312.059998)(8.331990 -168.541992 322.575012)(0.320995 -169.414001 322.342010)(8.331990 -165.539993 311.369995)(8.331990 -168.541992 322.575012)(0.320995 -166.412003 311.136993)(8.331990 -165.539993 311.369995)(0.320995 -169.414001 322.342010)(8.331990 -165.539993 311.369995)(8.711970 -165.080002 311.493011)(16.541401 -162.044998 312.307007)(0.456574 -166.343002 311.154999)(11.124000 -155.031998 275.467987)(8.711970 -165.080002 311.493011)(8.711970 -165.080002 311.493011)(8.331990 -165.539993 311.369995)(0.456574 -166.343002 311.154999)(8.711970 -165.080002 311.493011)(11.124000 -155.031998 275.467987)(21.160000 -150.092010 276.791016)(8.331990 -165.539993 311.369995)(0.320995 -166.412003 311.136993)(0.456574 -166.343002 311.154999)(-0.000008 -156.733002 275.011993)(11.124000 -155.031998 275.467987)(0.456574 -166.343002 311.154999)(-0.807269 -166.289001 311.170013)(0.320995 -166.412003 311.136993)(0.320995 -169.414001 322.342010)(0.456574 -166.343002 311.154999)(-0.807269 -166.289001 311.170013)(0.320995 -166.412003 311.136993)(-0.807269 -166.289001 311.170013)(0.320995 -169.414001 322.342010)(-7.689010 -168.541992 322.575012)(-0.000008 -156.733002 275.011993)(-11.125000 -165.125000 313.138977)(-11.125000 -155.031998 275.467987)(-11.125000 -165.125000 313.138977)(-0.000008 -156.733002 275.011993)(-9.330561 -164.985001 311.518982)(-11.125000 -165.125000 313.138977)(-13.279600 -163.650009 311.877014)(-14.059900 -158.708008 294.966003)(-11.125000 -165.125000 313.138977)(-14.059900 -158.708008 294.966003)(-11.125000 -155.031998 275.467987)(-13.279699 -164.065002 313.423004)(-13.279600 -163.650009 311.877014)(-11.125000 -165.125000 313.138977)(-11.125000 -165.125000 313.138977)(-10.912300 -164.865005 313.208984)(-13.279699 -164.065002 313.423004)(-13.279699 -164.065002 313.423004)(-15.297999 -162.968002 312.059998)(-13.279600 -163.650009 311.877014)(-15.297999 -162.968002 312.059998)(-11.974199 -165.581009 317.317017)(-15.297999 -165.970001 323.264984)(-11.974199 -165.581009 317.317017)(-15.297999 -162.968002 312.059998)(-13.279699 -164.065002 313.423004)(-15.014900 -162.796005 312.106018)(-13.279600 -163.650009 311.877014)(-15.297999 -162.968002 312.059998)(-18.009300 -161.737000 314.046997)(-20.933599 -159.962006 314.523010)(-21.160000 -160.185989 314.462982)(-19.302401 -162.013000 318.217987)(-20.933599 -159.962006 314.523010)(-18.009300 -161.737000 314.046997)(-15.014900 -162.796005 312.106018)(-15.297999 -162.968002 312.059998)(-18.009399 -161.321991 312.501007)(-15.014900 -162.796005 312.106018)(-18.009399 -161.321991 312.501007)(-14.059900 -158.708008 294.966003)(-18.009300 -161.737000 314.046997)(-18.009399 -161.321991 312.501007)(-15.297999 -162.968002 312.059998)(-19.302401 -162.013000 318.217987)(-18.009300 -161.737000 314.046997)(-15.297999 -162.968002 312.059998)(-18.009399 -161.321991 312.501007)(-21.160000 -160.185989 314.462982)(-14.059900 -158.708008 294.966003)(-9.330561 -164.985001 311.518982)(-0.000008 -156.733002 275.011993)(-7.359990 -165.287003 311.437988)(-0.000008 -156.733002 275.011993)(-0.807269 -166.289001 311.170013)(-7.359990 -165.287003 311.437988)(-7.359990 -165.287003 311.437988)(-0.807269 -166.289001 311.170013)(-7.689010 -165.539993 311.369995)(-0.807269 -166.289001 311.170013)(-7.689010 -168.541992 322.575012)(-7.689010 -165.539993 311.369995)(-7.689010 -165.539993 311.369995)(-7.689010 -168.541992 322.575012)(-15.297999 -165.970001 323.264984)(34.310299 -141.945007 317.692993)(35.272999 -136.072998 319.265991)(35.418999 -139.376007 318.381012)(34.237999 -142.386002 317.575012)(34.310299 -141.945007 317.692993)(35.418999 -139.376007 318.381012)(35.418999 -139.376007 318.381012)(35.272999 -136.072998 319.265991)(36.320999 -131.638000 320.454010)(32.756001 -146.725998 316.411987)(34.237999 -142.386002 317.575012)(35.418999 -139.376007 318.381012)(33.411201 -143.953003 317.154999)(34.237999 -142.386002 317.575012)(32.756001 -146.725998 316.411987)(32.756001 -146.725998 316.411987)(29.125000 -152.078995 314.976990)(33.411201 -143.953003 317.154999)(34.237999 -142.386002 317.575012)(33.411201 -143.953003 317.154999)(34.237999 -132.706009 281.450012)(33.411201 -143.953003 317.154999)(29.334902 -151.681000 315.084015)(34.237999 -132.706009 281.450012)(29.125000 -142.399002 278.852997)(34.237999 -132.706009 281.450012)(29.334902 -151.681000 315.084015)(29.334902 -151.681000 315.084015)(29.125000 -152.078995 314.976990)(33.411201 -143.953003 317.154999)(-0.807269 -166.289001 311.170013)(-0.000008 -156.733002 275.011993)(0.456574 -166.343002 311.154999)(16.541401 -162.044998 312.307007)(8.711970 -165.080002 311.493011)(21.160000 -150.092010 276.791016)(-18.009300 -161.737000 314.046997)(-21.160000 -160.185989 314.462982)(-18.009399 -161.321991 312.501007)(-20.933599 -159.962006 314.523010)(-22.124001 -159.238998 314.716980)(-21.160000 -160.185989 314.462982)(35.418999 -139.376007 318.381012)(32.756001 -149.727997 327.617004)(32.756001 -146.725998 316.411987)(32.756001 -146.725998 316.411987)(32.756001 -149.727997 327.617004)(28.466999 -156.320999 325.850006)(28.466999 -153.319000 314.644989)(32.756001 -146.725998 316.411987)(28.466999 -156.320999 325.850006)(28.466999 -156.320999 325.850006)(22.767000 -161.826996 324.375000)(28.466999 -153.319000 314.644989)(28.466999 -153.319000 314.644989)(28.804100 -152.389008 314.893982)(29.125000 -152.078995 314.976990)(28.466999 -153.319000 314.644989)(25.785500 -155.606995 314.031982)(28.804100 -152.389008 314.893982)(22.767000 -158.824997 313.169983)(23.349100 -157.656998 313.483002)(25.785500 -155.606995 314.031982)(22.767000 -158.824997 313.169983)(25.785500 -155.606995 314.031982)(28.466999 -153.319000 314.644989)(28.466999 -153.319000 314.644989)(22.767000 -161.826996 324.375000)(22.767000 -158.824997 313.169983)(35.418999 -142.378006 329.585999)(32.756001 -149.727997 327.617004)(35.418999 -139.376007 318.381012)(35.418999 -139.376007 318.381012)(36.320999 -131.638000 320.454010)(35.418999 -142.378006 329.585999)(29.125000 -142.399002 278.852997)(29.125000 -152.078995 314.976990)(28.804100 -152.389008 314.893982)(29.125000 -142.399002 278.852997)(28.804100 -152.389008 314.893982)(23.349100 -157.656998 313.483002)(29.125000 -142.399002 278.852997)(23.349100 -157.656998 313.483002)(21.486799 -159.455994 313.001007)(15.941000 -162.968002 312.059998)(16.541401 -162.044998 312.307007)(21.160000 -159.771988 312.916016)(-36.000000 -132.054001 322.000000)(-35.659100 -131.880997 322.046021)(-35.679001 -132.052002 322.000000)(-34.775997 -124.314003 324.075012)(-34.805099 -124.564003 324.007996)(-34.775997 -126.902000 333.733002)(-11.974199 -165.581009 317.317017)(-13.279699 -164.065002 313.423004)(-10.912300 -164.865005 313.208984)(-7.689010 -165.539993 311.369995)(-11.974199 -165.581009 317.317017)(-9.330299 -165.399994 313.065002)(-11.974199 -165.581009 317.317017)(-10.912300 -164.865005 313.208984)(-9.330299 -165.399994 313.065002)(-9.330299 -165.399994 313.065002)(-9.330561 -164.985001 311.518982)(-7.689010 -165.539993 311.369995)(-32.113998 -119.553001 335.701996)(-32.113998 -116.965004 326.042999)(-32.868797 -120.264999 330.024017)(-15.297999 -165.970001 323.264984)(-22.124001 -161.826996 324.375000)(-15.297999 -162.968002 312.059998)(-22.124001 -161.826996 324.375000)(-22.124001 -159.238998 314.716980)(-19.302401 -162.013000 318.217987)(-22.124001 -104.864998 329.286011)(-23.934601 -107.862999 333.478973)(-22.124001 -107.453003 338.944000)(-25.662201 -108.281998 328.369995)(-26.830200 -105.148003 329.210022)(-39.616997 -112.034004 327.365021)(-22.124001 -104.864998 329.286011)(-26.830200 -105.148003 329.210022)(-25.662201 -108.281998 328.369995)(-30.908501 -150.165009 321.833984)(-28.417000 -152.822998 316.436005)(-32.113998 -149.727997 327.617004)(-32.113998 -116.965004 326.042999)(-32.940300 -119.246002 325.432007)(-32.868797 -120.264999 330.024017)(-31.522099 -116.055000 326.286987)(-32.639599 -114.414001 326.726990)(-32.113998 -116.965004 326.042999)(41.625599 -102.190002 330.002014)(28.466999 -110.371002 327.809998)(32.756001 -116.965004 326.042999)(-39.445698 -83.375198 334.000000)(-45.644997 -105.096001 329.223999)(-27.348400 -83.493393 334.000000)(41.857998 -111.414001 327.531006)(37.523003 -117.681000 325.850983)(41.857998 -101.320000 289.860016)(52.500000 -82.135002 295.000000)(52.500000 -87.269997 334.000000)(52.500000 -95.959999 291.296021)(48.346001 -107.225998 328.653015)(48.346001 -97.133003 290.981995)(52.500000 -95.959999 291.296021)(41.857998 -111.414001 327.531006)(41.857998 -101.320000 289.860016)(48.346001 -97.133003 290.981995)(-35.659100 -131.880997 322.046021)(-35.554401 -130.983994 322.286987)(-36.000000 -132.054001 322.000000)(41.625599 -102.190002 330.002014)(22.767000 -104.864998 329.285004)(28.466999 -110.371002 327.809998)(52.500000 -87.269997 334.000000)(36.488201 -96.500595 331.527008)(41.625599 -102.190002 330.002014)(41.625599 -102.190002 330.002014)(36.488201 -96.500595 331.527008)(22.767000 -104.864998 329.285004)(48.346001 -107.225998 328.653015)(52.500000 -87.269997 334.000000)(41.625599 -102.190002 330.002014)(52.500000 -87.269997 334.000000)(48.346001 -107.225998 328.653015)(52.500000 -106.054001 328.967010)(36.488201 -96.500595 331.527008)(31.234100 -94.067299 332.179016)(22.767000 -104.864998 329.285004)(8.331990 -98.151001 331.084991)(9.968170 -98.703896 330.937012)(22.756399 -92.987000 332.468018)(-50.446999 -89.918999 292.914001)(-53.764999 -90.473007 292.765991)(-55.224003 -85.168999 294.187012)(-45.139999 -93.271004 292.015991)(-45.644997 -95.002007 291.552979)(-47.857002 -91.569000 292.472015)(-50.446999 -89.918999 292.914001)(-47.857002 -91.569000 292.472015)(-45.644997 -95.002007 291.552979)(-50.446999 -89.918999 292.914001)(-45.644997 -95.002007 291.552979)(-53.764999 -90.473007 292.765991)(-56.825802 -82.135002 295.000000)(-55.224003 -85.168999 294.187012)(-61.307003 -82.135002 295.000000)(-55.224003 -85.168999 294.187012)(-53.764999 -90.473007 292.765991)(-61.307003 -82.135002 295.000000)(-32.113998 -146.725998 316.411987)(-32.476501 -146.134003 318.206024)(-32.478897 -146.133011 318.227997)(-9.330299 -165.399994 313.065002)(-10.912300 -164.865005 313.208984)(-11.125000 -165.125000 313.138977)(-45.644997 -105.096001 329.223999)(-53.764999 -100.567001 330.437012)(-45.644997 -95.002007 291.552979)(35.980198 -130.005997 326.056000)(35.543400 -125.382004 323.787994)(36.320999 -134.639999 331.658997)(-7.359990 -165.287003 311.437988)(-7.689010 -165.539993 311.369995)(-9.330561 -164.985001 311.518982)(22.767000 -161.826996 324.375000)(15.941000 -165.970001 323.264984)(22.767000 -158.824997 313.169983)(-39.209000 -99.082001 290.459015)(-45.644997 -95.002007 291.552979)(-45.139999 -93.271004 292.015991)(-32.639599 -114.414001 326.726990)(-39.616997 -112.034004 327.365021)(-36.410000 -120.544998 325.084015)(-53.764999 -90.473007 292.765991)(-61.307003 -88.950996 293.174011)(-61.307003 -82.135002 295.000000)(-11.125000 -155.031998 275.467987)(-14.059900 -158.708008 294.966003)(-21.160000 -160.185989 314.462982)(-27.824999 -156.320999 325.850006)(-32.113998 -149.727997 327.617004)(-28.417000 -152.822998 316.436005)(-34.760098 -139.374008 318.381012)(-34.694702 -140.014999 319.867004)(-34.775997 -142.378006 329.585999)(-34.694702 -140.014999 319.867004)(-34.083900 -142.904999 323.907990)(-34.775997 -142.378006 329.585999)(28.466999 -110.371002 327.809998)(32.756001 -119.553001 335.701996)(32.756001 -116.965004 326.042999)(-22.124001 -104.864998 329.286011)(-25.662201 -108.281998 328.369995)(-23.934601 -107.862999 333.478973)(-21.160000 -150.092010 276.791016)(-11.125000 -155.031998 275.467987)(-21.160000 -160.185989 314.462982)(-11.125000 -165.125000 313.138977)(-9.330561 -164.985001 311.518982)(-9.330299 -165.399994 313.065002)(52.500000 -87.269997 334.000000)(52.500000 -106.054001 328.967010)(52.500000 -95.959999 291.296021)(-19.302401 -162.013000 318.217987)(-22.124001 -159.238998 314.716980)(-20.933599 -159.962006 314.523010)(36.320999 -131.638000 320.454010)(36.000000 -130.279999 320.817993)(36.000000 -128.884003 321.191986)(-13.279600 -163.650009 311.877014)(-15.014900 -162.796005 312.106018)(-14.059900 -158.708008 294.966003)(35.272999 -136.072998 319.265991)(34.310299 -141.945007 317.692993)(36.000000 -121.959999 284.329010)(21.486799 -159.455994 313.001007)(21.160000 -150.092010 276.791016)(29.125000 -142.399002 278.852997)(-32.113998 -119.553001 335.701996)(-31.522099 -116.055000 326.286987)(-32.113998 -116.965004 326.042999)(8.331990 -100.738998 340.743011)(0.320996 -97.278702 331.317993)(0.320996 -99.867004 340.977997)(-35.659100 -131.880997 322.046021)(-35.679001 -132.052002 322.000000)(-35.679001 -134.639999 331.658997)(25.785500 -155.606995 314.031982)(23.349100 -157.656998 313.483002)(28.804100 -152.389008 314.893982)(-27.824999 -153.733002 316.191986)(-22.910900 -158.479004 314.920013)(-27.824999 -156.320999 325.850006)(-34.237999 -142.800003 319.121002)(-32.478897 -146.133011 318.227997)(-32.476501 -146.134003 318.206024)(9.968170 -98.703896 330.937012)(8.331990 -98.151001 331.084991)(8.331990 -100.738998 340.743011)(28.466999 -153.319000 314.644989)(29.125000 -152.078995 314.976990)(32.756001 -146.725998 316.411987)(-34.885899 -138.799988 319.997009)(-34.760098 -139.374008 318.381012)(-34.885899 -138.848999 320.179993)(-53.764999 -90.473007 292.765991)(-45.644997 -95.002007 291.552979)(-53.764999 -100.567001 330.437012)(-34.805099 -124.564003 324.007996)(-35.554401 -130.983994 322.286987)(-34.775997 -126.902000 333.733002)(-34.694702 -140.014999 319.867004)(-33.789898 -142.513000 319.197998)(-34.083900 -142.904999 323.907990)(22.767000 -158.824997 313.169983)(21.486799 -159.455994 313.001007)(23.349100 -157.656998 313.483002)(-61.307003 -87.268997 334.000000)(-61.307003 -99.044998 330.845001)(-53.764999 -100.567001 330.437012)(35.418999 -124.314003 324.074005)(32.756001 -119.553001 335.701996)(35.418999 -126.902000 333.733002)(-36.000000 -125.073997 323.870972)(-36.000000 -121.959999 284.329010)(-36.000000 -132.054001 322.000000)(-15.297999 -100.722000 330.395996)(-15.297999 -103.309998 340.054016)(-7.689010 -100.738998 340.743011)(44.985802 -106.802002 328.766998)(41.625599 -102.190002 330.002014)(41.857998 -111.414001 327.531006)(44.985802 -106.802002 328.766998)(41.857998 -111.414001 327.531006)(48.346001 -107.225998 328.653015)(44.985802 -106.802002 328.766998)(48.346001 -107.225998 328.653015)(41.625599 -102.190002 330.002014)(29.125000 -142.399002 278.852997)(29.334902 -151.681000 315.084015)(29.125000 -152.078995 314.976990)(48.346001 -107.225998 328.653015)(41.857998 -111.414001 327.531006)(48.346001 -97.133003 290.981995)(-22.124001 -107.453003 338.944000)(-23.934601 -107.862999 333.478973)(-27.038200 -109.611000 328.013977)(-29.125000 -142.399002 278.852997)(-31.965799 -146.693008 316.420990)(-32.476501 -145.724991 316.680023)(-27.038200 -109.611000 328.013977)(-27.824999 -112.959000 337.469025)(-22.124001 -107.453003 338.944000)(-39.445698 -83.375198 334.000000)(-53.764999 -100.567001 330.437012)(-45.644997 -105.096001 329.223999)(35.543400 -125.382004 323.787994)(35.418999 -124.314003 324.074005)(35.418999 -126.902000 333.733002)(36.320999 -131.638000 320.454010)(36.320999 -134.639999 331.658997)(35.418999 -142.378006 329.585999)(36.320999 -131.638000 320.454010)(35.980198 -130.005997 326.056000)(36.320999 -134.639999 331.658997)(-34.775997 -142.378006 329.585999)(-34.083900 -142.904999 323.907990)(-32.478897 -146.133011 318.227997)(-26.830200 -105.148003 329.210022)(-22.124001 -104.864998 329.286011)(-21.181702 -104.293007 329.439026)(-34.408600 -123.300003 324.346008)(-34.775997 -124.314003 324.075012)(-34.775997 -126.902000 333.733002)(-27.824999 -110.371002 327.809998)(-32.639599 -114.414001 326.726990)(-31.522099 -116.055000 326.286987)(52.500000 -106.054001 328.967010)(48.346001 -107.225998 328.653015)(52.500000 -95.959999 291.296021)(-19.302401 -162.013000 318.217987)(-15.297999 -162.968002 312.059998)(-22.124001 -161.826996 324.375000)(36.000000 -114.979996 286.199005)(36.000000 -123.167000 305.033997)(36.000000 -121.959999 284.329010)(15.941000 -100.722000 330.395996)(22.767000 -104.864998 329.285004)(31.234100 -94.067299 332.179016)(-32.476501 -145.724991 316.680023)(-32.113998 -146.725998 316.411987)(-32.476501 -146.134003 318.206024)(36.488201 -96.500595 331.527008)(52.500000 -87.269997 334.000000)(31.234100 -94.067299 332.179016)(-56.825802 -82.135002 295.000000)(-61.307003 -82.135002 295.000000)(-58.258198 -79.227295 295.000000)(-15.297999 -165.970001 323.264984)(-11.974199 -165.581009 317.317017)(-7.689010 -165.539993 311.369995)(-61.307003 -82.135002 295.000000)(-60.119099 -75.463501 295.000000)(-59.974903 -75.463303 295.000000)(-7.689010 -98.151100 331.084991)(-15.803801 -83.706497 334.000000)(-15.297999 -100.722000 330.395996)(36.320999 -134.639999 331.658997)(-22.124001 -107.453003 338.944000)(-27.824999 -112.959000 337.469025)(-55.224003 -85.168999 294.187012)(-56.825802 -82.135002 295.000000)(-58.258198 -79.227295 295.000000)(-22.124001 -159.238998 314.716980)(-29.125000 -152.492996 316.523987)(-21.160000 -160.185989 314.462982)(36.320999 -134.639999 331.658997)(-32.113998 -149.727997 327.617004)(-27.824999 -156.320999 325.850006)(-15.297999 -103.309998 340.054016)(36.320999 -134.639999 331.658997)(-7.689010 -100.738998 340.743011)(8.331990 -100.738998 340.743011)(0.320996 -99.867004 340.977997)(36.320999 -134.639999 331.658997)(36.320999 -134.639999 331.658997)(0.320996 -99.867004 340.977997)(-7.689010 -100.738998 340.743011)(35.418999 -126.902000 333.733002)(32.756001 -119.553001 335.701996)(36.320999 -134.639999 331.658997)(28.466999 -112.959000 337.469025)(36.320999 -134.639999 331.658997)(32.756001 -119.553001 335.701996)(36.320999 -134.639999 331.658997)(8.331990 -168.541992 322.575012)(15.941000 -165.970001 323.264984)(-7.689010 -168.541992 322.575012)(0.320995 -169.414001 322.342010)(36.320999 -134.639999 331.658997)(-15.297999 -165.970001 323.264984)(-7.689010 -168.541992 322.575012)(36.320999 -134.639999 331.658997)(36.320999 -134.639999 331.658997)(28.466999 -156.320999 325.850006)(32.756001 -149.727997 327.617004)(35.418999 -142.378006 329.585999)(36.320999 -134.639999 331.658997)(32.756001 -149.727997 327.617004)(-22.124001 -161.826996 324.375000)(-15.297999 -165.970001 323.264984)(36.320999 -134.639999 331.658997)(36.320999 -134.639999 331.658997)(15.941000 -165.970001 323.264984)(22.767000 -161.826996 324.375000)(15.941000 -103.309998 340.054016)(36.320999 -134.639999 331.658997)(22.767000 -107.453003 338.944000)(15.941000 -103.309998 340.054016)(8.331990 -100.738998 340.743011)(36.320999 -134.639999 331.658997)(8.331990 -168.541992 322.575012)(36.320999 -134.639999 331.658997)(0.320995 -169.414001 322.342010)(22.767000 -107.453003 338.944000)(36.320999 -134.639999 331.658997)(28.466999 -112.959000 337.469025)(36.320999 -134.639999 331.658997)(22.767000 -161.826996 324.375000)(28.466999 -156.320999 325.850006)(-22.124001 -161.826996 324.375000)(36.320999 -134.639999 331.658997)(-27.824999 -156.320999 325.850006)(7.256990 -88.820999 293.208008)(4.082000 -88.003998 293.427002)(0.508551 -86.214401 293.906982)(7.256990 -88.820999 293.208008)(0.508551 -86.214401 293.906982)(-9.491710 -77.874603 295.000000)(52.500000 -87.269997 334.000000)(45.727802 -83.584702 334.000000)(41.496601 -84.434998 334.000000)(52.500000 -82.135002 295.000000)(19.284901 -93.542801 291.944000)(11.373000 -89.879997 292.923981)(11.373000 -89.879997 292.923981)(7.256990 -88.820999 293.208008)(52.500000 -82.135002 295.000000)(52.500000 -82.135002 295.000000)(26.004999 -98.990997 290.483002)(22.327799 -96.009796 291.282013)(52.500000 -82.135002 295.000000)(29.344400 -103.497993 289.276001)(26.004999 -98.990997 290.483002)(52.500000 -82.135002 295.000000)(22.327799 -96.009796 291.282013)(20.062700 -94.173401 291.774994)(52.500000 -82.135002 295.000000)(20.062700 -94.173401 291.774994)(19.284901 -93.542801 291.944000)(52.500000 -95.959999 291.296021)(48.346001 -97.133003 290.981995)(52.500000 -82.135002 295.000000)(52.500000 -82.378998 332.873993)(52.500000 -87.269997 334.000000)(52.500000 -81.335899 314.500000)(52.500000 -82.135002 295.000000)(52.500000 -81.335899 314.500000)(52.500000 -87.269997 334.000000)(52.500000 -75.987099 297.262024)(52.500000 -81.335899 314.500000)(52.500000 -82.135002 295.000000)(52.500000 -82.378998 332.873993)(52.500000 -82.581001 334.000000)(52.500000 -87.269997 334.000000)(41.857998 -101.320000 289.860016)(52.500000 -82.135002 295.000000)(48.346001 -97.133003 290.981995)(52.500000 -82.378998 332.873993)(52.500000 -81.335899 314.500000)(52.500000 -75.987099 297.262024)(52.500000 -82.135002 295.000000)(41.411198 -76.998001 295.000000)(47.652699 -75.137901 295.000000)(28.827499 -76.776695 295.000000)(41.411198 -76.998001 295.000000)(52.500000 -82.135002 295.000000)(-9.491710 -77.874603 295.000000)(28.827499 -76.776695 295.000000)(52.500000 -82.135002 295.000000)(-9.491710 -77.874603 295.000000)(52.500000 -82.135002 295.000000)(7.256990 -88.820999 293.208008)(52.500000 -82.135002 295.000000)(41.857998 -101.320000 289.860016)(29.344400 -103.497993 289.276001)(52.500000 -87.269997 334.000000)(52.500000 -82.581001 334.000000)(45.727802 -83.584702 334.000000)(35.601200 -104.452995 289.019989)(37.521999 -107.587006 288.179993)(29.344400 -103.497993 289.276001)(41.857998 -101.320000 289.860016)(35.601200 -104.452995 289.019989)(29.344400 -103.497993 289.276001)(37.521999 -107.587006 288.179993)(31.111000 -105.881996 288.637024)(29.344400 -103.497993 289.276001)(37.521999 -107.587006 288.179993)(34.283001 -113.783005 286.520020)(31.111000 -105.881996 288.637024)(34.237999 -132.706009 281.450012)(34.159000 -130.597992 282.014008)(35.320000 -122.197998 284.265015)(52.500000 -75.401794 295.000000)(52.500000 -75.750999 296.348999)(52.500000 -82.135002 295.000000)(52.500000 -82.135002 295.000000)(51.340302 -75.074501 295.000000)(52.500000 -75.401794 295.000000)(52.500000 -82.135002 295.000000)(47.652699 -75.137901 295.000000)(49.063000 -75.113701 295.000000)(52.500000 -82.135002 295.000000)(49.063000 -75.113701 295.000000)(51.340302 -75.074501 295.000000)(-9.491710 -77.874603 295.000000)(-10.356000 -76.087494 295.000000)(28.827499 -76.776695 295.000000)(36.000000 -114.979996 286.199005)(34.283001 -113.783005 286.520020)(37.521999 -107.587006 288.179993)(36.000000 -121.959999 284.329010)(35.320000 -122.197998 284.265015)(36.000000 -114.979996 286.199005)(36.000000 -114.979996 286.199005)(35.320000 -122.197998 284.265015)(34.283001 -113.783005 286.520020)(52.500000 -75.750999 296.348999)(52.500000 -75.987099 297.262024)(52.500000 -82.135002 295.000000)(41.857998 -101.320000 289.860016)(37.521999 -107.587006 288.179993)(35.601200 -104.452995 289.019989)(36.000000 -121.959999 284.329010)(34.237999 -132.706009 281.450012)(35.320000 -122.197998 284.265015)(-61.307003 -81.366898 314.500000)(-61.307003 -78.823700 310.820007)(-61.307003 -77.601700 305.225006)(-61.307003 -79.329498 313.720001)(-61.307003 -78.823700 310.820007)(-61.307003 -81.366898 314.500000)(-61.307003 -79.329498 313.720001)(-61.307003 -81.366898 314.500000)(-61.307003 -81.329002 324.300995)(-61.307003 -87.268997 334.000000)(-61.307003 -81.329002 324.300995)(-61.307003 -81.366898 314.500000)(-58.339001 -79.063202 295.000000)(-59.974903 -75.463303 295.000000)(-58.944603 -75.462196 295.000000)(-61.307003 -83.014198 334.000000)(-61.307003 -82.820702 332.976013)(-61.307003 -87.268997 334.000000)(-61.307003 -87.268997 334.000000)(-58.203102 -83.030594 334.000000)(-58.542400 -83.028801 334.000000)(-61.307003 -87.268997 334.000000)(-39.445698 -83.375198 334.000000)(-58.203102 -83.030594 334.000000)(-61.307003 -87.268997 334.000000)(-58.542400 -83.028801 334.000000)(-61.307003 -83.014198 334.000000)(-61.307003 -82.820702 332.976013)(-61.307003 -82.618805 331.907013)(-61.307003 -87.268997 334.000000)(-61.307003 -82.618805 331.907013)(-61.307003 -81.329002 324.300995)(-61.307003 -87.268997 334.000000)(-34.164997 -114.445999 286.341980)(-34.387997 -117.612999 285.492981)(-36.000000 -114.979996 286.199982)(-34.164997 -114.445999 286.341980)(-36.000000 -114.979996 286.199982)(-36.410000 -110.451996 287.412994)(-35.427002 -106.377998 288.503998)(-36.410000 -110.451996 287.412994)(-39.616997 -101.939995 289.694000)(-35.427002 -106.377998 288.503998)(-39.616997 -101.939995 289.694000)(-39.209000 -99.082001 290.459015)(-34.164997 -114.445999 286.341980)(-36.410000 -110.451996 287.412994)(-35.427002 -106.377998 288.503998)(-34.432999 -125.957001 283.257996)(-36.000000 -121.959999 284.329010)(-34.387997 -117.612999 285.492981)(-34.237999 -132.706009 281.450012)(-36.000000 -121.959999 284.329010)(-34.432999 -125.957001 283.257996)(-32.311996 -134.179993 281.053986)(-34.237999 -132.706009 281.450012)(-34.432999 -125.957001 283.257996)(-28.139999 -141.634995 279.057007)(-29.125000 -142.399002 278.852997)(-32.311996 -134.179993 281.053986)(-28.139999 -141.634995 279.057007)(-22.179001 -147.852997 277.390991)(-29.125000 -142.399002 278.852997)(-29.125000 -142.399002 278.852997)(-34.237999 -132.706009 281.450012)(-32.311996 -134.179993 281.053986)(2.270990 -155.713013 275.285004)(-0.000008 -156.733002 275.011993)(-6.481010 -155.121002 275.442993)(25.664000 -145.274994 278.080994)(21.160000 -150.092010 276.791016)(18.865000 -150.630005 276.645996)(11.124000 -155.031998 275.467987)(18.865000 -150.630005 276.645996)(21.160000 -150.092010 276.791016)(18.865000 -150.630005 276.645996)(11.124000 -155.031998 275.467987)(10.900001 -154.184006 275.694000)(10.900001 -154.184006 275.694000)(11.124000 -155.031998 275.467987)(-0.000008 -156.733002 275.011993)(-0.000008 -156.733002 275.011993)(2.270990 -155.713013 275.285004)(10.900001 -154.184006 275.694000)(34.237999 -132.706009 281.450012)(30.872000 -138.455002 279.910004)(34.159000 -130.597992 282.014008)(-20.121698 -149.134003 277.048004)(-21.160000 -150.092010 276.791016)(-22.179001 -147.852997 277.390991)(-20.121698 -149.134003 277.048004)(-14.805000 -152.445007 276.160004)(-21.160000 -150.092010 276.791016)(-11.125000 -155.031998 275.467987)(-6.481010 -155.121002 275.442993)(-0.000008 -156.733002 275.011993)(-6.481010 -155.121002 275.442993)(-11.125000 -155.031998 275.467987)(-14.805000 -152.445007 276.160004)(-11.125000 -155.031998 275.467987)(-21.160000 -150.092010 276.791016)(-14.805000 -152.445007 276.160004)(29.125000 -142.399002 278.852997)(30.872000 -138.455002 279.910004)(34.237999 -132.706009 281.450012)(21.160000 -150.092010 276.791016)(25.664000 -145.274994 278.080994)(29.125000 -142.399002 278.852997)(-36.000000 -121.959999 284.329010)(-36.000000 -114.979996 286.199982)(-34.387997 -117.612999 285.492981)(29.125000 -142.399002 278.852997)(25.664000 -145.274994 278.080994)(30.872000 -138.455002 279.910004)(-21.160000 -150.092010 276.791016)(-29.125000 -142.399002 278.852997)(-22.179001 -147.852997 277.390991)(36.775700 -52.616997 260.316986)(36.070000 -51.817997 229.615997)(45.763000 -43.496002 229.615997)(36.775700 -52.616997 260.316986)(36.682098 -52.697498 260.318024)(36.070000 -51.817997 229.615997)(13.931200 0.000000 229.615997)(3.626770 0.000000 229.615997)(28.604900 21.748001 229.615997)(45.763000 43.496002 229.615997)(28.604900 21.748001 229.615997)(3.626770 0.000000 229.615997)(-42.663002 47.998001 260.614014)(-36.688000 52.706001 260.614014)(-36.068996 51.817997 229.615997)(-36.688000 52.706001 260.614014)(-24.899000 58.017998 229.615997)(-36.068996 51.817997 229.615997)(-18.354000 0.000000 229.615997)(3.272990 -30.921000 229.615997)(12.710000 -61.841999 229.615997)(12.710000 -61.841999 229.615997)(-0.000012 -63.134998 229.615997)(-18.354000 0.000000 229.615997)(25.326000 59.010597 260.540985)(25.352999 58.995602 260.540985)(24.900000 58.017998 229.615997)(25.352999 58.995602 260.540985)(36.070000 51.817997 229.615997)(24.900000 58.017998 229.615997)(12.020300 29.008999 229.615997)(24.900000 58.017998 229.615997)(36.070000 51.817997 229.615997)(-12.927999 62.903004 260.614014)(-0.000012 64.217003 260.614014)(-0.000012 63.134998 229.615997)(-0.000012 64.217003 260.614014)(12.710000 61.841999 229.615997)(-0.000012 63.134998 229.615997)(-0.000012 64.217003 260.614014)(12.927999 62.903004 260.614014)(12.710000 61.841999 229.615997)(12.927999 62.903004 260.614014)(24.900000 58.017998 229.615997)(12.710000 61.841999 229.615997)(24.900000 58.017998 229.615997)(12.927999 62.903004 260.614014)(21.528200 60.204800 260.615997)(3.272990 30.921000 229.615997)(12.710000 61.841999 229.615997)(24.900000 58.017998 229.615997)(25.352999 -58.995602 260.540985)(24.900000 -58.017998 229.615997)(36.070000 -51.817997 229.615997)(25.352999 -58.995602 260.540985)(25.326000 -59.010597 260.540985)(24.900000 -58.017998 229.615997)(25.326000 -59.010597 260.540985)(21.528200 -60.204800 260.615997)(24.900000 -58.017998 229.615997)(24.900000 -58.017998 229.615997)(21.528200 -60.204800 260.615997)(12.927999 -62.903004 260.614014)(12.710000 -61.841999 229.615997)(24.900000 -58.017998 229.615997)(12.927999 -62.903004 260.614014)(12.927999 -62.903004 260.614014)(-0.000012 -64.217003 260.614014)(12.710000 -61.841999 229.615997)(-0.000012 -64.217003 260.614014)(-0.000012 -63.134998 229.615997)(12.710000 -61.841999 229.615997)(-0.000012 -63.134998 229.615997)(-0.000012 -64.217003 260.614014)(-12.927999 -62.903004 260.614014)(-34.349602 0.000000 229.615997)(-36.068996 51.817997 229.615997)(-24.899000 58.017998 229.615997)(-29.347500 -0.000000 229.615997)(-34.349602 0.000000 229.615997)(-24.899000 58.017998 229.615997)(-24.899000 58.017998 229.615997)(-36.688000 52.706001 260.614014)(-25.326000 59.012001 260.614014)(-12.710000 61.841999 229.615997)(-24.899000 58.017998 229.615997)(-25.326000 59.012001 260.614014)(-29.347500 -0.000000 229.615997)(-24.899000 58.017998 229.615997)(-12.710000 61.841999 229.615997)(-24.063900 0.000000 229.615997)(-29.347500 -0.000000 229.615997)(-12.710000 61.841999 229.615997)(-24.063900 0.000000 229.615997)(-12.710000 61.841999 229.615997)(-0.000012 63.134998 229.615997)(-25.326000 59.012001 260.614014)(-12.927999 62.903004 260.614014)(-12.710000 61.841999 229.615997)(-34.349602 0.000000 229.615997)(-39.188702 0.000000 229.615997)(-36.068996 51.817997 229.615997)(-24.899000 -58.017998 229.615997)(-34.349602 0.000000 229.615997)(-29.347500 -0.000000 229.615997)(-12.927999 -62.903004 260.614014)(-25.326000 -59.012001 260.614014)(-12.710000 -61.841999 229.615997)(-12.710000 -61.841999 229.615997)(-24.899000 -58.017998 229.615997)(-29.347500 -0.000000 229.615997)(-25.326000 -59.012001 260.614014)(-24.899000 -58.017998 229.615997)(-12.710000 -61.841999 229.615997)(-12.029500 0.000000 229.615997)(3.272990 30.921000 229.615997)(24.900000 58.017998 229.615997)(-12.029500 0.000000 229.615997)(-18.354000 0.000000 229.615997)(3.272990 30.921000 229.615997)(-12.710000 -61.841999 229.615997)(-29.347500 -0.000000 229.615997)(-24.063900 0.000000 229.615997)(-42.663002 -47.998001 260.614014)(-45.763000 -43.496002 229.615997)(-36.068996 -51.817997 229.615997)(-36.688000 -52.706001 260.614014)(-42.663002 -47.998001 260.614014)(-36.068996 -51.817997 229.615997)(-36.068996 -51.817997 229.615997)(-39.188702 0.000000 229.615997)(-34.349602 0.000000 229.615997)(-40.916000 -25.908998 229.615997)(-39.188702 0.000000 229.615997)(-36.068996 -51.817997 229.615997)(-40.916000 -25.908998 229.615997)(-43.969299 0.000000 229.615997)(-39.188702 0.000000 229.615997)(-45.763000 -43.496002 229.615997)(-43.969299 0.000000 229.615997)(-40.916000 -25.908998 229.615997)(-48.776199 -21.748001 229.615997)(-43.969299 0.000000 229.615997)(-45.763000 -43.496002 229.615997)(-46.547001 44.241997 260.614014)(-42.663002 47.998001 260.614014)(-45.763000 43.496002 229.615997)(-45.763000 -43.496002 229.615997)(-53.583000 -33.394001 229.615997)(-48.776199 -21.748001 229.615997)(-48.790001 0.000000 229.615997)(-48.776199 -21.748001 229.615997)(-53.583000 -33.394001 229.615997)(-53.583000 -33.394001 229.615997)(-53.999500 -16.697001 229.615997)(-48.790001 0.000000 229.615997)(-48.776199 -21.748001 229.615997)(-48.790001 0.000000 229.615997)(-43.969299 0.000000 229.615997)(-45.763000 43.496002 229.615997)(-53.583000 33.394001 229.615997)(-46.547001 44.241997 260.614014)(-48.776199 21.748001 229.615997)(-53.583000 33.394001 229.615997)(-45.763000 43.496002 229.615997)(-43.969299 0.000000 229.615997)(-48.790001 0.000000 229.615997)(-48.776199 21.748001 229.615997)(-48.790001 0.000000 229.615997)(-53.583000 33.394001 229.615997)(-48.776199 21.748001 229.615997)(-62.410999 9.556000 229.615997)(-63.481003 9.720000 260.614014)(-60.223999 22.299999 260.614014)(-60.223999 22.299999 260.614014)(-59.209000 21.924000 229.615997)(-62.410999 9.556000 229.615997)(-62.410999 9.556000 229.615997)(-63.162804 0.000000 237.298996)(-63.481003 9.720000 260.614014)(-62.895603 0.000000 229.615997)(-63.162804 0.000000 237.298996)(-62.410999 9.556000 229.615997)(-62.410999 -9.556000 229.615997)(-62.895603 0.000000 229.615997)(-58.974300 0.000000 229.615997)(-62.895603 0.000000 229.615997)(-62.410999 -9.556000 229.615997)(-63.162804 0.000000 237.298996)(-62.410999 -9.556000 229.615997)(-58.974300 0.000000 229.615997)(-53.753201 0.000000 229.615997)(-53.753201 0.000000 229.615997)(-58.974300 0.000000 229.615997)(-62.410999 9.556000 229.615997)(-59.209000 -21.924000 229.615997)(-62.410999 -9.556000 229.615997)(-53.753201 0.000000 229.615997)(-53.999500 -16.697001 229.615997)(-59.209000 -21.924000 229.615997)(-53.753201 0.000000 229.615997)(-45.763000 43.496002 229.615997)(-43.969299 0.000000 229.615997)(-48.776199 21.748001 229.615997)(-40.916000 25.908998 229.615997)(-43.969299 0.000000 229.615997)(-45.763000 43.496002 229.615997)(36.775700 52.616997 260.316986)(41.335003 48.699100 260.226990)(45.763000 43.496002 229.615997)(46.548000 44.241997 260.614014)(54.501999 33.966000 260.614014)(53.583000 33.394001 229.615997)(46.548000 44.241997 260.614014)(53.583000 33.394001 229.615997)(45.763000 43.496002 229.615997)(53.583000 33.394001 229.615997)(28.604900 21.748001 229.615997)(45.763000 43.496002 229.615997)(45.763000 43.496002 229.615997)(41.335003 48.699100 260.226990)(46.548000 44.241997 260.614014)(36.682098 52.697498 260.318024)(36.775700 52.616997 260.316986)(36.070000 51.817997 229.615997)(36.775700 52.616997 260.316986)(45.763000 43.496002 229.615997)(36.070000 51.817997 229.615997)(-45.763000 -43.496002 229.615997)(-42.663002 -47.998001 260.614014)(-46.547001 -44.241997 260.614014)(63.163803 0.000000 237.298996)(63.974796 0.000000 260.614014)(63.482002 -9.720000 260.614014)(63.482002 -9.720000 260.614014)(62.412003 -9.556000 229.615997)(63.163803 0.000000 237.298996)(63.482002 -9.720000 260.614014)(60.224998 -22.299999 260.614014)(62.412003 -9.556000 229.615997)(60.224998 -22.299999 260.614014)(59.209999 -21.924000 229.615997)(62.412003 -9.556000 229.615997)(59.209999 21.924000 229.615997)(54.501999 33.966000 260.614014)(60.224998 22.299999 260.614014)(62.412003 9.556000 229.615997)(59.209999 21.924000 229.615997)(60.224998 22.299999 260.614014)(62.412003 9.556000 229.615997)(60.224998 22.299999 260.614014)(63.482002 9.720000 260.614014)(27.066700 0.000000 229.615997)(13.931200 0.000000 229.615997)(53.583000 33.394001 229.615997)(59.209999 21.924000 229.615997)(27.066700 0.000000 229.615997)(53.583000 33.394001 229.615997)(62.412003 9.556000 229.615997)(44.804802 0.000000 229.615997)(59.209999 21.924000 229.615997)(62.896603 0.000000 229.615997)(44.804802 0.000000 229.615997)(62.412003 9.556000 229.615997)(62.896603 0.000000 229.615997)(62.412003 9.556000 229.615997)(63.163803 0.000000 237.298996)(44.804802 0.000000 229.615997)(27.066700 0.000000 229.615997)(59.209999 21.924000 229.615997)(59.209999 -21.924000 229.615997)(27.066700 0.000000 229.615997)(44.804802 0.000000 229.615997)(59.209999 -21.924000 229.615997)(44.804802 0.000000 229.615997)(62.412003 -9.556000 229.615997)(53.583000 -33.394001 229.615997)(27.066700 0.000000 229.615997)(59.209999 -21.924000 229.615997)(53.583000 -33.394001 229.615997)(13.931200 0.000000 229.615997)(27.066700 0.000000 229.615997)(53.583000 -33.394001 229.615997)(28.604900 -21.748001 229.615997)(13.931200 0.000000 229.615997)(63.163803 0.000000 237.298996)(62.412003 9.556000 229.615997)(63.482002 9.720000 260.614014)(-62.410999 -9.556000 229.615997)(-60.223999 -22.299999 260.614014)(-63.481003 -9.720000 260.614014)(-59.209000 -21.924000 229.615997)(-54.500999 -33.966000 260.614014)(-60.223999 -22.299999 260.614014)(-59.209000 -21.924000 229.615997)(-53.583000 -33.394001 229.615997)(-54.500999 -33.966000 260.614014)(-53.583000 -33.394001 229.615997)(-46.547001 -44.241997 260.614014)(-54.500999 -33.966000 260.614014)(36.682098 -52.697498 260.318024)(25.352999 -58.995602 260.540985)(36.070000 -51.817997 229.615997)(-24.899000 -58.017998 229.615997)(-36.068996 -51.817997 229.615997)(-34.349602 0.000000 229.615997)(-12.927999 62.903004 260.614014)(-0.000012 63.134998 229.615997)(-12.710000 61.841999 229.615997)(54.501999 -33.966000 260.614014)(46.548000 -44.241997 260.614014)(53.583000 -33.394001 229.615997)(46.548000 -44.241997 260.614014)(45.763000 -43.496002 229.615997)(53.583000 -33.394001 229.615997)(46.548000 -44.241997 260.614014)(41.335003 -48.699100 260.226990)(45.763000 -43.496002 229.615997)(63.163803 0.000000 237.298996)(63.482002 9.720000 260.614014)(63.974796 0.000000 260.614014)(3.272990 -30.921000 229.615997)(-18.354000 0.000000 229.615997)(-12.029500 0.000000 229.615997)(24.900000 -58.017998 229.615997)(3.272990 -30.921000 229.615997)(-12.029500 0.000000 229.615997)(-12.029500 0.000000 229.615997)(12.020300 -29.008999 229.615997)(24.900000 -58.017998 229.615997)(12.020300 -29.008999 229.615997)(-12.029500 0.000000 229.615997)(-4.829680 0.000000 229.615997)(-4.829680 0.000000 229.615997)(-12.029500 0.000000 229.615997)(12.020300 29.008999 229.615997)(-4.829680 0.000000 229.615997)(12.020300 29.008999 229.615997)(36.070000 51.817997 229.615997)(20.466700 -25.908998 229.615997)(-4.829680 0.000000 229.615997)(3.626770 0.000000 229.615997)(-4.829680 0.000000 229.615997)(20.466700 -25.908998 229.615997)(36.070000 -51.817997 229.615997)(3.626770 0.000000 229.615997)(-4.829680 0.000000 229.615997)(20.466700 25.908998 229.615997)(20.466700 25.908998 229.615997)(-4.829680 0.000000 229.615997)(36.070000 51.817997 229.615997)(62.412003 -9.556000 229.615997)(44.804802 0.000000 229.615997)(62.896603 0.000000 229.615997)(24.900000 -58.017998 229.615997)(12.020300 -29.008999 229.615997)(36.070000 -51.817997 229.615997)(36.070000 -51.817997 229.615997)(12.020300 -29.008999 229.615997)(-4.829680 0.000000 229.615997)(-59.209000 21.924000 229.615997)(-60.223999 22.299999 260.614014)(-54.500999 33.966000 260.614014)(-53.999500 16.697001 229.615997)(-59.209000 21.924000 229.615997)(-53.583000 33.394001 229.615997)(-53.999500 16.697001 229.615997)(-53.753201 0.000000 229.615997)(-59.209000 21.924000 229.615997)(-48.790001 0.000000 229.615997)(-53.753201 0.000000 229.615997)(-53.999500 16.697001 229.615997)(-54.500999 33.966000 260.614014)(-53.583000 33.394001 229.615997)(-59.209000 21.924000 229.615997)(54.501999 33.966000 260.614014)(59.209999 21.924000 229.615997)(53.583000 33.394001 229.615997)(-25.326000 -59.012001 260.614014)(-36.688000 -52.706001 260.614014)(-24.899000 -58.017998 229.615997)(59.209999 -21.924000 229.615997)(60.224998 -22.299999 260.614014)(54.501999 -33.966000 260.614014)(-53.999500 16.697001 229.615997)(-53.583000 33.394001 229.615997)(-48.790001 0.000000 229.615997)(36.070000 51.817997 229.615997)(25.352999 58.995602 260.540985)(36.682098 52.697498 260.318024)(-60.223999 -22.299999 260.614014)(-62.410999 -9.556000 229.615997)(-59.209000 -21.924000 229.615997)(-53.583000 33.394001 229.615997)(-54.500999 33.966000 260.614014)(-46.547001 44.241997 260.614014)(-36.068996 -51.817997 229.615997)(-45.763000 -43.496002 229.615997)(-40.916000 -25.908998 229.615997)(-58.974300 0.000000 229.615997)(-62.895603 0.000000 229.615997)(-62.410999 9.556000 229.615997)(45.763000 -43.496002 229.615997)(20.466700 -25.908998 229.615997)(3.626770 0.000000 229.615997)(3.626770 0.000000 229.615997)(28.604900 -21.748001 229.615997)(45.763000 -43.496002 229.615997)(-18.354000 0.000000 229.615997)(-0.000012 63.134998 229.615997)(12.710000 61.841999 229.615997)(-12.927999 -62.903004 260.614014)(-12.710000 -61.841999 229.615997)(-0.000012 -63.134998 229.615997)(-39.188702 0.000000 229.615997)(-43.969299 0.000000 229.615997)(-40.916000 25.908998 229.615997)(36.070000 -51.817997 229.615997)(20.466700 -25.908998 229.615997)(45.763000 -43.496002 229.615997)(53.583000 -33.394001 229.615997)(59.209999 -21.924000 229.615997)(54.501999 -33.966000 260.614014)(-53.999500 -16.697001 229.615997)(-53.753201 0.000000 229.615997)(-48.790001 0.000000 229.615997)(-0.000012 -63.134998 229.615997)(-12.710000 -61.841999 229.615997)(-24.063900 0.000000 229.615997)(12.710000 61.841999 229.615997)(3.272990 30.921000 229.615997)(-18.354000 0.000000 229.615997)(-63.481003 -9.720000 260.614014)(-63.973801 0.000000 260.614014)(-63.162804 0.000000 237.298996)(12.020300 29.008999 229.615997)(-12.029500 0.000000 229.615997)(24.900000 58.017998 229.615997)(24.900000 58.017998 229.615997)(21.528200 60.204800 260.615997)(25.326000 59.010597 260.540985)(-53.753201 0.000000 229.615997)(-62.410999 9.556000 229.615997)(-59.209000 21.924000 229.615997)(45.763000 -43.496002 229.615997)(28.604900 -21.748001 229.615997)(53.583000 -33.394001 229.615997)(63.163803 0.000000 237.298996)(62.412003 -9.556000 229.615997)(62.896603 0.000000 229.615997)(-53.583000 -33.394001 229.615997)(-59.209000 -21.924000 229.615997)(-53.999500 -16.697001 229.615997)(28.604900 -21.748001 229.615997)(3.626770 0.000000 229.615997)(13.931200 0.000000 229.615997)(-63.481003 -9.720000 260.614014)(-63.162804 0.000000 237.298996)(-62.410999 -9.556000 229.615997)(20.466700 25.908998 229.615997)(36.070000 51.817997 229.615997)(45.763000 43.496002 229.615997)(-39.188702 0.000000 229.615997)(-40.916000 25.908998 229.615997)(-36.068996 51.817997 229.615997)(13.931200 0.000000 229.615997)(28.604900 21.748001 229.615997)(53.583000 33.394001 229.615997)(-36.068996 51.817997 229.615997)(-45.763000 43.496002 229.615997)(-42.663002 47.998001 260.614014)(-40.916000 25.908998 229.615997)(-45.763000 43.496002 229.615997)(-36.068996 51.817997 229.615997)(-0.000012 -63.134998 229.615997)(-24.063900 0.000000 229.615997)(-18.354000 0.000000 229.615997)(-18.354000 0.000000 229.615997)(-24.063900 0.000000 229.615997)(-0.000012 63.134998 229.615997)(20.466700 25.908998 229.615997)(45.763000 43.496002 229.615997)(3.626770 0.000000 229.615997)(24.900000 -58.017998 229.615997)(12.710000 -61.841999 229.615997)(3.272990 -30.921000 229.615997)(-53.583000 -33.394001 229.615997)(-45.763000 -43.496002 229.615997)(-46.547001 -44.241997 260.614014)(-63.162804 0.000000 237.298996)(-63.973801 0.000000 260.614014)(-63.481003 9.720000 260.614014)(41.335003 -48.699100 260.226990)(36.775700 -52.616997 260.316986)(45.763000 -43.496002 229.615997)(-36.688000 -52.706001 260.614014)(-36.068996 -51.817997 229.615997)(-24.899000 -58.017998 229.615997)(-182.143005 -45.311100 463.487000)(-182.000000 -45.454800 462.976013)(-181.967010 -45.590401 463.997009)(-182.143005 -45.311100 463.487000)(-181.967010 -45.590401 463.997009)(-182.343002 -45.050098 463.532013)(-182.000000 -45.454800 462.976013)(-182.000000 -45.799999 462.970001)(-181.967010 -45.590401 463.997009)(-181.869995 -43.308998 455.483002)(-181.731003 -43.294701 455.464996)(-181.832993 -44.672401 458.121979)(-181.869995 -43.308998 455.483002)(-181.832993 -44.672401 458.121979)(-183.264999 -43.174999 459.820984)(-181.909988 -41.462997 453.144989)(-181.869995 -43.308998 455.483002)(-183.264999 -43.174999 459.820984)(-181.869995 -43.308998 455.483002)(-181.909988 -41.462997 453.144989)(-181.731003 -43.294701 455.464996)(-181.832993 -44.672401 458.121979)(-182.542999 -44.611000 461.138000)(-183.264999 -43.174999 459.820984)(-182.770004 -44.549000 464.264984)(-181.959000 -45.582001 464.260010)(-182.705994 -44.516998 465.834991)(-181.967010 -45.590401 463.997009)(-181.959000 -45.582001 464.260010)(-182.770004 -44.549000 464.264984)(-182.030014 -35.792999 449.824005)(-181.778000 -37.358501 450.475983)(-181.963989 -38.924000 451.126984)(-181.525009 -35.792999 449.824005)(-181.778000 -37.358501 450.475983)(-182.030014 -35.792999 449.824005)(-182.030014 -35.792999 449.824005)(-181.525009 -35.792999 449.824005)(-181.525009 -35.682499 449.806000)(-181.572006 -38.800499 451.075989)(-181.778000 -37.358501 450.475983)(-181.525009 -35.792999 449.824005)(-181.572006 -38.800499 451.075989)(-181.963989 -38.924000 451.126984)(-181.778000 -37.358501 450.475983)(-181.963989 -38.924000 451.126984)(-181.574005 -38.924000 451.126984)(-181.572006 -38.800499 451.075989)(-181.574005 -38.924000 451.126984)(-181.645004 -41.395500 453.091003)(-181.963989 -38.924000 451.126984)(-181.645004 -41.395500 453.091003)(-181.909988 -41.462997 453.144989)(-181.963989 -38.924000 451.126984)(-181.909988 -41.462997 453.144989)(-181.647003 -41.462997 453.144989)(-181.645004 -41.395500 453.091003)(-181.501999 -20.481300 449.445007)(-182.291992 -21.139999 449.445007)(-181.948013 -17.015499 449.445007)(-181.501999 -20.481300 449.445007)(-181.948013 -17.015499 449.445007)(-181.500000 -17.228500 449.445007)(-181.501999 -21.139999 449.445007)(-182.291992 -21.139999 449.445007)(-181.501999 -20.481300 449.445007)(-182.078003 -33.615997 449.472015)(-181.794998 -34.704498 449.647980)(-182.030014 -35.792999 449.824005)(-185.662003 -21.164000 456.438995)(-182.078003 -33.615997 449.472015)(-182.030014 -35.792999 449.824005)(-181.511993 -33.615997 449.472015)(-181.794998 -34.704498 449.647980)(-182.078003 -33.615997 449.472015)(-181.525009 -35.682499 449.806000)(-181.794998 -34.704498 449.647980)(-181.511993 -33.615997 449.472015)(-185.662003 -21.164000 456.438995)(-182.239990 -25.265001 449.445007)(-182.078003 -33.615997 449.472015)(-182.291992 -21.139999 449.445007)(-182.239990 -25.265001 449.445007)(-185.662003 -21.164000 456.438995)(-181.897003 -23.202499 449.445007)(-182.239990 -25.265001 449.445007)(-182.291992 -21.139999 449.445007)(-181.873001 -29.440500 449.458984)(-182.078003 -33.615997 449.472015)(-182.239990 -25.265001 449.445007)(-181.511002 -33.134800 449.470001)(-182.078003 -33.615997 449.472015)(-181.873001 -29.440500 449.458984)(-181.897003 -23.202499 449.445007)(-182.291992 -21.139999 449.445007)(-181.501999 -21.139999 449.445007)(-181.504990 -25.265001 449.445007)(-181.873001 -29.440500 449.458984)(-182.239990 -25.265001 449.445007)(-181.504990 -25.265001 449.445007)(-182.239990 -25.265001 449.445007)(-181.504990 -24.960199 449.445007)(-181.504990 -24.960199 449.445007)(-181.897003 -23.202499 449.445007)(-181.501999 -21.139999 449.445007)(-181.963989 38.924000 451.126984)(-181.778000 37.358501 450.475983)(-182.030014 35.792999 449.824005)(-181.572006 38.800499 451.075989)(-181.778000 37.358501 450.475983)(-181.963989 38.924000 451.126984)(-181.574005 38.924000 451.126984)(-181.963989 38.924000 451.126984)(-181.645004 41.395500 453.091003)(-181.963989 38.924000 451.126984)(-181.572006 38.800499 451.075989)(-181.574005 38.924000 451.126984)(-181.963989 38.924000 451.126984)(-182.030014 35.792999 449.824005)(-185.662003 21.164000 456.438995)(-181.645004 41.395500 453.091003)(-181.963989 38.924000 451.126984)(-181.909988 41.462997 453.144989)(-181.994003 45.447102 462.799011)(-182.352005 44.975002 462.700989)(-182.770004 44.549000 464.264984)(-181.994003 45.447102 462.799011)(-182.343002 45.050098 463.532013)(-182.770004 44.549000 464.264984)(-181.850006 -42.749001 473.145996)(-181.824005 -44.380001 470.308990)(-181.679993 -42.776699 473.098022)(-181.824005 -44.380001 470.308990)(-181.766998 -44.380001 470.308990)(-181.679993 -42.776699 473.098022)(-182.664001 -43.738998 468.848999)(-182.522003 -44.486000 467.388977)(-181.824005 -44.380001 470.308990)(-182.522003 -44.486000 467.388977)(-182.664001 -43.738998 468.848999)(-183.231003 -42.904999 468.936005)(-182.522003 -44.486000 467.388977)(-181.815994 -44.977798 468.768005)(-181.824005 -44.380001 470.308990)(-181.766998 -44.380001 470.308990)(-181.768005 -44.384598 470.296997)(-181.824005 -44.380001 470.308990)(-181.768005 -44.384598 470.296997)(-181.815994 -44.977798 468.768005)(-181.824005 -44.380001 470.308990)(-182.522003 -44.486000 467.388977)(-181.834991 -45.183201 468.154999)(-181.815994 -44.977798 468.768005)(-182.059006 -45.473000 464.902985)(-181.914001 -45.526798 465.667999)(-182.522003 -44.486000 467.388977)(-181.914001 -45.526798 465.667999)(-181.891998 -45.439800 466.360992)(-182.522003 -44.486000 467.388977)(-181.891998 -45.439800 466.360992)(-181.834991 -45.183201 468.154999)(-182.522003 -44.486000 467.388977)(-182.705994 -44.516998 465.834991)(-182.059006 -45.473000 464.902985)(-182.522003 -44.486000 467.388977)(-185.662003 -21.164000 456.438995)(-183.993988 -41.234001 458.639008)(-184.498001 -41.145000 460.884979)(-183.993988 -41.234001 458.639008)(-184.049988 -41.582401 459.761993)(-184.498001 -41.145000 460.884979)(-183.785004 -42.111603 459.761993)(-183.264999 -43.174999 459.820984)(-184.498001 -41.145000 460.884979)(-183.993988 -41.234001 458.639008)(-183.264999 -43.174999 459.820984)(-183.785004 -42.111603 459.761993)(-183.993988 -41.234001 458.639008)(-183.785004 -42.111603 459.761993)(-184.049988 -41.582401 459.761993)(-184.498001 -41.145000 460.884979)(-183.264999 -43.174999 459.820984)(-184.744995 -41.005001 464.446991)(-183.264999 -43.174999 459.820984)(-182.542999 -44.611000 461.138000)(-183.718002 -43.040001 464.381012)(-183.264999 -43.174999 459.820984)(-183.718002 -43.040001 464.381012)(-184.744995 -41.005001 464.446991)(-182.542999 -44.611000 461.138000)(-182.770004 -44.549000 464.264984)(-183.718002 -43.040001 464.381012)(-182.352005 -44.975002 462.700989)(-182.770004 -44.549000 464.264984)(-182.542999 -44.611000 461.138000)(-182.542999 -44.611000 461.138000)(-181.970993 -45.429501 462.175018)(-182.352005 -44.975002 462.700989)(-183.718002 -43.040001 464.381012)(-182.770004 -44.549000 464.264984)(-183.684006 -43.006001 465.528992)(-182.352005 -44.975002 462.700989)(-181.994003 -45.447102 462.799011)(-182.770004 -44.549000 464.264984)(-182.343002 -45.050098 463.532013)(-182.000000 -45.454800 462.976013)(-181.994003 -45.447102 462.799011)(-182.770004 -44.549000 464.264984)(-182.343002 -45.050098 463.532013)(-181.994003 -45.447102 462.799011)(-183.731003 -41.280998 457.464996)(-183.264999 -43.174999 459.820984)(-183.993988 -41.234001 458.639008)(-181.970993 -45.429501 462.175018)(-181.994003 -45.447102 462.799011)(-182.352005 -44.975002 462.700989)(-181.951996 -45.611603 464.490997)(-181.967010 -45.590401 463.997009)(-182.000000 -45.799999 462.970001)(-181.967010 -45.590401 463.997009)(-181.959000 -45.582001 464.260010)(-181.951996 -45.611603 464.490997)(-182.000000 -45.799999 462.970001)(-181.951996 -45.611603 464.490997)(-181.914001 -45.526798 465.667999)(-182.038986 -44.842197 459.630005)(-182.542999 -44.611000 461.138000)(-181.832993 -44.672401 458.121979)(-182.038986 -44.842197 459.630005)(-181.930008 -45.375202 461.000000)(-182.542999 -44.611000 461.138000)(-182.000000 -45.799999 462.970001)(-181.970993 -45.429501 462.175018)(-181.930008 -45.375202 461.000000)(-181.994003 -45.447102 462.799011)(-181.970993 -45.429501 462.175018)(-182.000000 -45.799999 462.970001)(-181.930008 -45.375202 461.000000)(-182.038986 -44.842197 459.630005)(-181.838013 -44.763500 458.429993)(-181.838013 -44.763500 458.429993)(-182.038986 -44.842197 459.630005)(-181.832993 -44.672401 458.121979)(-182.542999 44.611000 461.138000)(-182.352005 44.975002 462.700989)(-181.970993 45.429501 462.175018)(-181.930008 45.375202 461.000000)(-182.542999 44.611000 461.138000)(-181.970993 45.429501 462.175018)(-181.511993 33.615997 449.472015)(-181.794998 34.704498 449.647980)(-181.525009 35.682499 449.806000)(-181.525009 35.682499 449.806000)(-181.794998 34.704498 449.647980)(-182.030014 35.792999 449.824005)(-181.511993 33.615997 449.472015)(-182.078003 33.615997 449.472015)(-181.794998 34.704498 449.647980)(-182.239990 25.265001 449.445007)(-182.078003 33.615997 449.472015)(-181.873001 29.440500 449.458984)(-182.078003 33.615997 449.472015)(-182.239990 25.265001 449.445007)(-185.662003 21.164000 456.438995)(-181.504990 25.265001 449.445007)(-182.239990 25.265001 449.445007)(-181.873001 29.440500 449.458984)(-181.504990 24.960199 449.445007)(-182.239990 25.265001 449.445007)(-181.504990 25.265001 449.445007)(-182.291992 21.139999 449.445007)(-182.239990 25.265001 449.445007)(-181.897003 23.202499 449.445007)(-181.897003 23.202499 449.445007)(-182.239990 25.265001 449.445007)(-181.504990 24.960199 449.445007)(-181.501999 21.139999 449.445007)(-182.291992 21.139999 449.445007)(-181.897003 23.202499 449.445007)(-181.504990 25.265001 449.445007)(-181.873001 29.440500 449.458984)(-181.511002 33.134800 449.470001)(-181.930008 45.375202 461.000000)(-181.970993 45.429501 462.175018)(-182.000000 45.799999 462.970001)(-182.000000 45.799999 462.970001)(-181.970993 45.429501 462.175018)(-181.994003 45.447102 462.799011)(-182.395996 12.891000 449.445007)(-182.291992 21.139999 449.445007)(-181.948013 17.015499 449.445007)(-181.525009 12.891000 449.445007)(-182.395996 12.891000 449.445007)(-181.948013 17.015499 449.445007)(-181.500000 17.228500 449.445007)(-181.948013 17.015499 449.445007)(-181.501999 20.481300 449.445007)(-181.525009 12.891000 449.445007)(-181.948013 17.015499 449.445007)(-181.500000 17.228500 449.445007)(-181.531998 11.796700 449.445007)(-181.557999 7.341420 449.445007)(-182.395996 12.891000 449.445007)(-181.531998 11.796700 449.445007)(-182.395996 12.891000 449.445007)(-181.525009 12.891000 449.445007)(-181.511002 33.134800 449.470001)(-181.873001 29.440500 449.458984)(-182.078003 33.615997 449.472015)(-182.059006 45.473000 464.902985)(-182.705994 44.516998 465.834991)(-182.522003 44.486000 467.388977)(-181.914001 45.526798 465.667999)(-182.059006 45.473000 464.902985)(-182.522003 44.486000 467.388977)(-181.951996 45.611603 464.490997)(-182.059006 45.473000 464.902985)(-181.914001 45.526798 465.667999)(-182.059006 45.473000 464.902985)(-181.959000 45.582001 464.260010)(-181.951996 45.611603 464.490997)(-181.914001 45.526798 465.667999)(-181.951996 45.611603 464.490997)(-182.000000 45.799999 462.970001)(-181.768005 44.384598 470.296997)(-181.766998 44.380001 470.308990)(-181.824005 44.380001 470.308990)(-181.815994 44.977798 468.768005)(-181.768005 44.384598 470.296997)(-181.824005 44.380001 470.308990)(-181.815994 44.977798 468.768005)(-182.522003 44.486000 467.388977)(-181.824005 44.380001 470.308990)(-182.522003 44.486000 467.388977)(-182.664001 43.738998 468.848999)(-181.824005 44.380001 470.308990)(-181.891998 45.439800 466.360992)(-182.522003 44.486000 467.388977)(-181.834991 45.183201 468.154999)(-182.664001 43.738998 468.848999)(-183.231003 42.904999 468.936005)(-181.824005 44.380001 470.308990)(-181.850006 42.749001 473.145996)(-181.679993 42.776699 473.098022)(-181.824005 44.380001 470.308990)(-181.679993 42.776699 473.098022)(-181.677994 42.749001 473.145996)(-181.850006 42.749001 473.145996)(-181.824005 44.380001 470.308990)(-183.231003 42.904999 468.936005)(-181.850006 42.749001 473.145996)(-182.000000 45.799999 462.970001)(-181.967010 45.590401 463.997009)(-181.951996 45.611603 464.490997)(-182.000000 45.799999 462.970001)(-182.000000 45.454800 462.976013)(-181.967010 45.590401 463.997009)(-182.000000 45.454800 462.976013)(-182.143005 45.311100 463.487000)(-181.967010 45.590401 463.997009)(-182.000000 45.454800 462.976013)(-181.994003 45.447102 462.799011)(-182.000000 45.799999 462.970001)(-181.832993 44.672401 458.121979)(-182.038986 44.842197 459.630005)(-181.838013 44.763500 458.429993)(-183.718002 43.040001 464.381012)(-184.636002 40.947998 465.911011)(-183.684006 43.006001 465.528992)(-184.744995 41.005001 464.446991)(-184.636002 40.947998 465.911011)(-183.718002 43.040001 464.381012)(-183.264999 43.174999 459.820984)(-184.744995 41.005001 464.446991)(-183.718002 43.040001 464.381012)(-182.542999 44.611000 461.138000)(-183.264999 43.174999 459.820984)(-183.718002 43.040001 464.381012)(-182.542999 44.611000 461.138000)(-183.718002 43.040001 464.381012)(-182.770004 44.549000 464.264984)(-181.832993 44.672401 458.121979)(-183.264999 43.174999 459.820984)(-182.542999 44.611000 461.138000)(-183.993988 41.234001 458.639008)(-184.049988 41.582401 459.761993)(-183.785004 42.111603 459.761993)(-184.049988 41.582401 459.761993)(-184.498001 41.145000 460.884979)(-183.785004 42.111603 459.761993)(-183.785004 42.111603 459.761993)(-184.498001 41.145000 460.884979)(-183.264999 43.174999 459.820984)(-183.264999 43.174999 459.820984)(-184.498001 41.145000 460.884979)(-184.744995 41.005001 464.446991)(-185.662003 21.164000 456.438995)(-184.744995 41.005001 464.446991)(-184.498001 41.145000 460.884979)(-184.498001 41.145000 460.884979)(-183.993988 41.234001 458.639008)(-185.662003 21.164000 456.438995)(-183.993988 41.234001 458.639008)(-183.731003 41.280998 457.464996)(-185.662003 21.164000 456.438995)(-183.731003 41.280998 457.464996)(-182.878998 41.371902 455.285004)(-185.662003 21.164000 456.438995)(-183.731003 41.280998 457.464996)(-181.909988 41.462997 453.144989)(-182.878998 41.371902 455.285004)(-183.731003 41.280998 457.464996)(-183.993988 41.234001 458.639008)(-183.264999 43.174999 459.820984)(-181.832993 44.672401 458.121979)(-182.542999 44.611000 461.138000)(-182.038986 44.842197 459.630005)(-184.049988 41.582401 459.761993)(-183.993988 41.234001 458.639008)(-184.498001 41.145000 460.884979)(-181.850006 42.749001 473.145996)(-181.604004 40.615601 475.529999)(-181.677994 42.749001 473.145996)(-181.600998 40.553997 475.598999)(-181.743988 38.902000 476.592987)(-181.542999 37.382202 477.507996)(-181.542999 37.382202 477.507996)(-181.743988 38.902000 476.592987)(-181.944992 37.250000 477.588013)(-181.600998 40.553997 475.598999)(-181.885010 40.553997 475.598999)(-181.743988 38.902000 476.592987)(-181.604004 40.615601 475.529999)(-181.600998 40.553997 475.598999)(-181.885010 40.553997 475.598999)(-181.885010 40.553997 475.598999)(-181.604004 40.615601 475.529999)(-181.850006 42.749001 473.145996)(-181.539993 37.250000 477.588013)(-181.766998 35.409000 478.003998)(-181.516998 33.751099 478.378998)(-181.539993 37.250000 477.588013)(-181.944992 37.250000 477.588013)(-181.766998 35.409000 478.003998)(-182.017990 33.567997 478.419983)(-181.944992 37.250000 477.588013)(-185.626007 21.236000 471.464996)(-181.944992 37.250000 477.588013)(-181.885010 40.553997 475.598999)(-185.626007 21.236000 471.464996)(-181.944992 37.250000 477.588013)(-182.017990 33.567997 478.419983)(-181.766998 35.409000 478.003998)(-181.516998 33.751099 478.378998)(-181.766998 35.409000 478.003998)(-182.017990 33.567997 478.419983)(-181.959000 45.582001 464.260010)(-182.705994 44.516998 465.834991)(-182.059006 45.473000 464.902985)(-185.662003 21.164000 456.438995)(-182.291992 21.139999 449.445007)(-185.622009 0.539009 456.467987)(-186.770004 21.199999 463.954987)(-185.662003 21.164000 456.438995)(-185.622009 0.539009 456.467987)(-186.770004 21.199999 463.954987)(-185.622009 0.539009 456.467987)(-186.666992 0.539009 463.954987)(-182.447998 -0.294009 449.445007)(-182.447998 0.294009 449.445007)(-181.576004 0.441008 449.445007)(-181.576004 -0.441008 449.445007)(-182.447998 -0.294009 449.445007)(-181.576004 0.441008 449.445007)(-181.557999 -7.341420 449.445007)(-181.989990 -6.592500 449.445007)(-181.576004 -0.441008 449.445007)(-181.989990 -6.592500 449.445007)(-182.447998 -0.294009 449.445007)(-181.576004 -0.441008 449.445007)(-182.447998 0.294009 449.445007)(-182.447998 -0.294009 449.445007)(-185.622009 -0.539009 456.467987)(-185.622009 -0.539009 456.467987)(-182.447998 -0.294009 449.445007)(-182.395996 -12.891000 449.445007)(-181.557999 -7.341420 449.445007)(-182.395996 -12.891000 449.445007)(-181.989990 -6.592500 449.445007)(-185.622009 0.539009 456.467987)(-182.447998 0.294009 449.445007)(-185.622009 -0.539009 456.467987)(-186.666992 0.539009 463.954987)(-185.622009 0.539009 456.467987)(-186.666992 -0.539009 463.954987)(-185.622009 0.539009 456.467987)(-185.622009 -0.539009 456.467987)(-186.666992 -0.539009 463.954987)(-182.395996 12.891000 449.445007)(-182.447998 0.294009 449.445007)(-185.622009 0.539009 456.467987)(-183.684006 43.006001 465.528992)(-184.488998 40.872002 467.869995)(-183.592010 42.972000 466.672974)(-183.684006 43.006001 465.528992)(-183.592010 42.972000 466.672974)(-182.705994 44.516998 465.834991)(-182.705994 44.516998 465.834991)(-183.592010 42.972000 466.672974)(-183.231003 42.904999 468.936005)(-183.231003 42.904999 468.936005)(-183.592010 42.972000 466.672974)(-183.716003 40.736000 471.286011)(-183.972992 40.780998 470.148010)(-186.770004 21.199999 463.954987)(-185.626007 21.236000 471.464996)(-183.716003 40.736000 471.286011)(-183.972992 40.780998 470.148010)(-185.626007 21.236000 471.464996)(-182.914001 40.645000 473.485992)(-183.716003 40.736000 471.286011)(-185.626007 21.236000 471.464996)(-183.972992 40.780998 470.148010)(-184.488998 40.872002 467.869995)(-186.770004 21.199999 463.954987)(-183.231003 42.904999 468.936005)(-183.716003 40.736000 471.286011)(-182.914001 40.645000 473.485992)(-182.914001 40.645000 473.485992)(-181.885010 40.553997 475.598999)(-183.231003 42.904999 468.936005)(-184.636002 40.947998 465.911011)(-186.770004 21.199999 463.954987)(-184.488998 40.872002 467.869995)(-185.626007 21.236000 471.464996)(-186.770004 21.199999 463.954987)(-186.666992 0.539009 463.954987)(-183.592010 42.972000 466.672974)(-183.972992 40.780998 470.148010)(-183.716003 40.736000 471.286011)(-181.967010 45.590401 463.997009)(-182.770004 44.549000 464.264984)(-181.959000 45.582001 464.260010)(-182.343002 45.050098 463.532013)(-182.770004 44.549000 464.264984)(-181.967010 45.590401 463.997009)(-181.959000 45.582001 464.260010)(-182.770004 44.549000 464.264984)(-182.705994 44.516998 465.834991)(-182.770004 44.549000 464.264984)(-183.684006 43.006001 465.528992)(-182.705994 44.516998 465.834991)(-181.576004 0.441008 449.445007)(-182.447998 0.294009 449.445007)(-181.989990 6.592500 449.445007)(-185.622009 -0.539009 456.467987)(-182.395996 -12.891000 449.445007)(-182.291992 -21.139999 449.445007)(-181.501999 20.481300 449.445007)(-182.291992 21.139999 449.445007)(-181.501999 21.139999 449.445007)(-181.850006 -42.749001 473.145996)(-181.677994 -42.749001 473.145996)(-181.604004 -40.615601 475.529999)(-181.527008 -13.635000 478.445007)(-181.527008 -12.981000 478.445007)(-182.325012 -12.981000 478.445007)(-181.923996 -17.120001 478.445007)(-181.527008 -13.635000 478.445007)(-182.325012 -12.981000 478.445007)(-181.522003 -21.547600 478.445007)(-181.522003 -21.259001 478.445007)(-182.223007 -21.259001 478.445007)(-182.325012 -12.981000 478.445007)(-181.527008 -12.981000 478.445007)(-181.529999 -7.748500 478.445007)(-182.173004 25.397999 478.445007)(-185.626007 21.236000 471.464996)(-182.223007 21.259001 478.445007)(-181.871002 23.328501 478.445007)(-182.173004 25.397999 478.445007)(-182.223007 21.259001 478.445007)(-182.223007 21.259001 478.445007)(-181.522003 21.547600 478.445007)(-181.871002 23.328501 478.445007)(-181.520004 25.397999 478.445007)(-181.871002 23.328501 478.445007)(-181.522003 21.547600 478.445007)(-181.871002 23.328501 478.445007)(-181.520004 25.397999 478.445007)(-182.173004 25.397999 478.445007)(-181.520004 25.397999 478.445007)(-181.520004 25.923698 478.442993)(-182.173004 25.397999 478.445007)(-182.173004 25.397999 478.445007)(-181.843994 29.483000 478.432007)(-182.017990 33.567997 478.419983)(-181.516006 33.567997 478.419983)(-182.017990 33.567997 478.419983)(-181.843994 29.483000 478.432007)(-181.520004 25.923698 478.442993)(-181.843994 29.483000 478.432007)(-182.173004 25.397999 478.445007)(-182.223007 21.259001 478.445007)(-185.626007 21.236000 471.464996)(-185.585007 0.539009 471.437012)(-181.516006 33.567997 478.419983)(-181.843994 29.483000 478.432007)(-181.520004 25.923698 478.442993)(-185.585007 0.539009 471.437012)(-182.325012 12.981000 478.445007)(-182.223007 21.259001 478.445007)(-181.522003 -21.547600 478.445007)(-181.871002 -23.328501 478.445007)(-181.520004 -25.397999 478.445007)(-182.173004 -25.397999 478.445007)(-181.520004 -25.397999 478.445007)(-181.871002 -23.328501 478.445007)(-182.223007 -21.259001 478.445007)(-182.173004 -25.397999 478.445007)(-181.871002 -23.328501 478.445007)(-182.223007 -21.259001 478.445007)(-185.626007 -21.236000 471.464996)(-182.173004 -25.397999 478.445007)(-181.885010 -40.553997 475.598999)(-181.850006 -42.749001 473.145996)(-181.604004 -40.615601 475.529999)(-181.600998 -40.553997 475.598999)(-181.604004 -40.615601 475.529999)(-181.885010 -40.553997 475.598999)(-183.231003 -42.904999 468.936005)(-181.850006 -42.749001 473.145996)(-181.885010 -40.553997 475.598999)(-181.885010 -40.553997 475.598999)(-182.914001 -40.645000 473.485992)(-183.231003 -42.904999 468.936005)(-185.626007 -21.236000 471.464996)(-182.914001 -40.645000 473.485992)(-181.885010 -40.553997 475.598999)(-185.626007 -21.236000 471.464996)(-183.716003 -40.736000 471.286011)(-182.914001 -40.645000 473.485992)(-183.592010 -42.972000 466.672974)(-183.231003 -42.904999 468.936005)(-183.716003 -40.736000 471.286011)(-183.972992 -40.780998 470.148010)(-183.592010 -42.972000 466.672974)(-183.716003 -40.736000 471.286011)(-182.375992 -0.294010 478.445007)(-185.585007 -0.539009 471.437012)(-182.325012 -12.981000 478.445007)(-185.585007 -0.539009 471.437012)(-182.375992 -0.294010 478.445007)(-182.375992 0.294010 478.445007)(-181.529999 1.361440 478.445007)(-182.375992 0.294010 478.445007)(-181.529999 -1.361440 478.445007)(-182.375992 0.294010 478.445007)(-181.529999 1.361440 478.445007)(-181.951996 6.637510 478.445007)(-185.585007 0.539009 471.437012)(-185.585007 -0.539009 471.437012)(-182.375992 0.294010 478.445007)(-185.585007 0.539009 471.437012)(-182.375992 0.294010 478.445007)(-182.325012 12.981000 478.445007)(-181.529999 7.748500 478.445007)(-181.951996 6.637510 478.445007)(-181.529999 1.361440 478.445007)(-181.529999 7.748500 478.445007)(-182.325012 12.981000 478.445007)(-181.951996 6.637510 478.445007)(-181.529999 7.748500 478.445007)(-181.527008 12.981000 478.445007)(-182.325012 12.981000 478.445007)(-182.325012 12.981000 478.445007)(-182.375992 0.294010 478.445007)(-181.951996 6.637510 478.445007)(-181.527008 12.981000 478.445007)(-181.527008 13.635000 478.445007)(-182.325012 12.981000 478.445007)(-185.585007 0.539009 471.437012)(-186.666992 -0.539009 463.954987)(-185.585007 -0.539009 471.437012)(-185.585007 -0.539009 471.437012)(-185.626007 -21.236000 471.464996)(-182.223007 -21.259001 478.445007)(-185.585007 -0.539009 471.437012)(-186.666992 -0.539009 463.954987)(-185.626007 -21.236000 471.464996)(-186.770004 -21.199999 463.954987)(-185.626007 -21.236000 471.464996)(-186.666992 -0.539009 463.954987)(-185.626007 -21.236000 471.464996)(-186.770004 -21.199999 463.954987)(-183.972992 -40.780998 470.148010)(-186.770004 -21.199999 463.954987)(-184.488998 -40.872002 467.869995)(-183.972992 -40.780998 470.148010)(-183.972992 -40.780998 470.148010)(-183.716003 -40.736000 471.286011)(-185.626007 -21.236000 471.464996)(-184.636002 -40.947998 465.911011)(-184.488998 -40.872002 467.869995)(-186.770004 -21.199999 463.954987)(-183.684006 -43.006001 465.528992)(-183.592010 -42.972000 466.672974)(-184.488998 -40.872002 467.869995)(-183.684006 -43.006001 465.528992)(-182.705994 -44.516998 465.834991)(-183.592010 -42.972000 466.672974)(-184.636002 -40.947998 465.911011)(-183.684006 -43.006001 465.528992)(-184.488998 -40.872002 467.869995)(-182.325012 -12.981000 478.445007)(-185.585007 -0.539009 471.437012)(-182.223007 -21.259001 478.445007)(-182.173004 -25.397999 478.445007)(-185.626007 -21.236000 471.464996)(-182.017990 -33.567997 478.419983)(-182.017990 -33.567997 478.419983)(-185.626007 -21.236000 471.464996)(-181.944992 -37.250000 477.588013)(-181.600998 -40.553997 475.598999)(-181.743988 -38.902000 476.592987)(-181.885010 -40.553997 475.598999)(-181.766998 -35.409000 478.003998)(-182.017990 -33.567997 478.419983)(-181.944992 -37.250000 477.588013)(-181.539993 -37.250000 477.588013)(-181.766998 -35.409000 478.003998)(-181.944992 -37.250000 477.588013)(-181.516998 -33.751099 478.378998)(-182.017990 -33.567997 478.419983)(-181.766998 -35.409000 478.003998)(-182.017990 -33.567997 478.419983)(-181.516006 -33.567997 478.419983)(-181.516998 -33.751099 478.378998)(-181.520004 -25.923698 478.442993)(-181.843994 -29.483000 478.432007)(-181.516006 -33.567997 478.419983)(-181.520004 -25.923698 478.442993)(-182.173004 -25.397999 478.445007)(-181.843994 -29.483000 478.432007)(-181.516006 -33.567997 478.419983)(-181.843994 -29.483000 478.432007)(-182.017990 -33.567997 478.419983)(-181.516998 -33.751099 478.378998)(-181.766998 -35.409000 478.003998)(-181.539993 -37.250000 477.588013)(-181.522003 21.259001 478.445007)(-181.522003 21.547600 478.445007)(-182.223007 21.259001 478.445007)(-181.527008 13.635000 478.445007)(-181.522003 21.259001 478.445007)(-181.923996 17.120001 478.445007)(-181.923996 17.120001 478.445007)(-181.522003 21.259001 478.445007)(-182.223007 21.259001 478.445007)(-183.716003 -40.736000 471.286011)(-183.231003 -42.904999 468.936005)(-182.914001 -40.645000 473.485992)(-181.944992 -37.250000 477.588013)(-185.626007 -21.236000 471.464996)(-181.885010 -40.553997 475.598999)(-182.017990 -33.567997 478.419983)(-181.843994 -29.483000 478.432007)(-182.173004 -25.397999 478.445007)(-181.951996 -6.637510 478.445007)(-182.375992 -0.294010 478.445007)(-182.325012 -12.981000 478.445007)(-181.951996 -6.637510 478.445007)(-182.325012 -12.981000 478.445007)(-181.529999 -7.748500 478.445007)(-181.529999 -1.361440 478.445007)(-181.951996 -6.637510 478.445007)(-181.529999 -7.748500 478.445007)(-181.951996 -6.637510 478.445007)(-181.529999 -1.361440 478.445007)(-182.375992 -0.294010 478.445007)(-184.488998 -40.872002 467.869995)(-183.592010 -42.972000 466.672974)(-183.972992 -40.780998 470.148010)(-182.395996 -12.891000 449.445007)(-182.447998 -0.294009 449.445007)(-181.989990 -6.592500 449.445007)(-182.522003 44.486000 467.388977)(-183.231003 42.904999 468.936005)(-182.664001 43.738998 468.848999)(-182.542999 -44.611000 461.138000)(-181.930008 -45.375202 461.000000)(-181.970993 -45.429501 462.175018)(-183.592010 -42.972000 466.672974)(-182.705994 -44.516998 465.834991)(-183.231003 -42.904999 468.936005)(-181.944992 -37.250000 477.588013)(-181.539993 -37.250000 477.588013)(-181.542999 -37.382202 477.507996)(-182.000000 45.454800 462.976013)(-182.343002 45.050098 463.532013)(-182.143005 45.311100 463.487000)(-181.948013 17.015499 449.445007)(-182.291992 21.139999 449.445007)(-181.501999 20.481300 449.445007)(-181.989990 6.592500 449.445007)(-182.447998 0.294009 449.445007)(-182.395996 12.891000 449.445007)(-186.666992 -0.539009 463.954987)(-185.585007 0.539009 471.437012)(-186.666992 0.539009 463.954987)(-181.871002 -23.328501 478.445007)(-181.522003 -21.547600 478.445007)(-182.223007 -21.259001 478.445007)(-182.375992 0.294010 478.445007)(-182.375992 -0.294010 478.445007)(-181.529999 -1.361440 478.445007)(-182.705994 44.516998 465.834991)(-183.231003 42.904999 468.936005)(-182.522003 44.486000 467.388977)(-181.869995 43.308998 455.483002)(-183.264999 43.174999 459.820984)(-181.832993 44.672401 458.121979)(-181.869995 43.308998 455.483002)(-181.909988 41.462997 453.144989)(-183.264999 43.174999 459.820984)(-181.869995 43.308998 455.483002)(-181.731003 43.294701 455.464996)(-181.909988 41.462997 453.144989)(-181.869995 43.308998 455.483002)(-181.832993 44.672401 458.121979)(-181.731003 43.294701 455.464996)(-181.909988 41.462997 453.144989)(-181.731003 43.294701 455.464996)(-181.647003 41.462997 453.144989)(-181.850006 42.749001 473.145996)(-183.231003 42.904999 468.936005)(-181.885010 40.553997 475.598999)(-184.498001 -41.145000 460.884979)(-184.744995 -41.005001 464.446991)(-185.662003 -21.164000 456.438995)(-184.744995 -41.005001 464.446991)(-186.770004 -21.199999 463.954987)(-185.662003 -21.164000 456.438995)(-185.622009 -0.539009 456.467987)(-185.662003 -21.164000 456.438995)(-186.770004 -21.199999 463.954987)(-181.885010 40.553997 475.598999)(-182.914001 40.645000 473.485992)(-185.626007 21.236000 471.464996)(-183.993988 41.234001 458.639008)(-183.785004 42.111603 459.761993)(-183.264999 43.174999 459.820984)(-186.666992 -0.539009 463.954987)(-185.622009 -0.539009 456.467987)(-186.770004 -21.199999 463.954987)(-182.223007 -21.259001 478.445007)(-181.522003 -21.259001 478.445007)(-181.923996 -17.120001 478.445007)(-181.511002 -33.134800 449.470001)(-181.873001 -29.440500 449.458984)(-181.504990 -25.265001 449.445007)(-185.662003 -21.164000 456.438995)(-182.030014 -35.792999 449.824005)(-181.963989 -38.924000 451.126984)(-181.677994 -42.749001 473.145996)(-181.679993 -42.776699 473.098022)(-181.850006 -42.749001 473.145996)(-181.944992 37.250000 477.588013)(-181.542999 37.382202 477.507996)(-181.539993 37.250000 477.588013)(-182.038986 44.842197 459.630005)(-182.542999 44.611000 461.138000)(-181.930008 45.375202 461.000000)(-181.948013 -17.015499 449.445007)(-182.291992 -21.139999 449.445007)(-182.395996 -12.891000 449.445007)(-181.948013 -17.015499 449.445007)(-182.395996 -12.891000 449.445007)(-181.525009 -12.891000 449.445007)(-181.525009 35.792999 449.824005)(-182.030014 35.792999 449.824005)(-181.778000 37.358501 450.475983)(-181.909988 41.462997 453.144989)(-181.645004 41.395500 453.091003)(-181.647003 41.462997 453.144989)(-182.143005 45.311100 463.487000)(-182.343002 45.050098 463.532013)(-181.967010 45.590401 463.997009)(-181.576004 0.441008 449.445007)(-181.989990 6.592500 449.445007)(-181.557999 7.341420 449.445007)(-185.626007 21.236000 471.464996)(-186.666992 0.539009 463.954987)(-185.585007 0.539009 471.437012)(-182.017990 33.567997 478.419983)(-185.626007 21.236000 471.464996)(-182.173004 25.397999 478.445007)(-183.718002 43.040001 464.381012)(-183.684006 43.006001 465.528992)(-182.770004 44.549000 464.264984)(-181.951996 -45.611603 464.490997)(-181.959000 -45.582001 464.260010)(-182.059006 -45.473000 464.902985)(-182.878998 41.371902 455.285004)(-181.909988 41.462997 453.144989)(-185.662003 21.164000 456.438995)(-185.662003 -21.164000 456.438995)(-181.963989 -38.924000 451.126984)(-181.909988 -41.462997 453.144989)(-185.662003 -21.164000 456.438995)(-181.909988 -41.462997 453.144989)(-182.878998 -41.371902 455.285004)(-183.731003 -41.280998 457.464996)(-182.878998 -41.371902 455.285004)(-181.909988 -41.462997 453.144989)(-185.662003 -21.164000 456.438995)(-182.878998 -41.371902 455.285004)(-183.731003 -41.280998 457.464996)(-181.525009 35.792999 449.824005)(-181.778000 37.358501 450.475983)(-181.572006 38.800499 451.075989)(-184.744995 -41.005001 464.446991)(-184.636002 -40.947998 465.911011)(-186.770004 -21.199999 463.954987)(-181.951996 45.611603 464.490997)(-181.959000 45.582001 464.260010)(-181.967010 45.590401 463.997009)(-181.511993 33.615997 449.472015)(-181.511002 33.134800 449.470001)(-182.078003 33.615997 449.472015)(-181.824005 44.380001 470.308990)(-181.679993 42.776699 473.098022)(-181.766998 44.380001 470.308990)(-181.743988 38.902000 476.592987)(-181.885010 40.553997 475.598999)(-181.944992 37.250000 477.588013)(-184.744995 -41.005001 464.446991)(-183.718002 -43.040001 464.381012)(-184.636002 -40.947998 465.911011)(-181.838013 44.763500 458.429993)(-182.038986 44.842197 459.630005)(-181.930008 45.375202 461.000000)(-181.743988 -38.902000 476.592987)(-181.944992 -37.250000 477.588013)(-181.885010 -40.553997 475.598999)(-185.622009 -0.539009 456.467987)(-182.291992 -21.139999 449.445007)(-185.662003 -21.164000 456.438995)(-181.525009 -12.891000 449.445007)(-182.395996 -12.891000 449.445007)(-181.531998 -11.796700 449.445007)(-181.909988 -41.462997 453.144989)(-181.647003 -41.462997 453.144989)(-181.731003 -43.294701 455.464996)(-182.664001 -43.738998 468.848999)(-181.824005 -44.380001 470.308990)(-183.231003 -42.904999 468.936005)(-181.500000 -17.228500 449.445007)(-181.948013 -17.015499 449.445007)(-181.525009 -12.891000 449.445007)(-181.914001 -45.526798 465.667999)(-182.059006 -45.473000 464.902985)(-181.951996 -45.611603 464.490997)(-185.662003 -21.164000 456.438995)(-183.731003 -41.280998 457.464996)(-183.993988 -41.234001 458.639008)(-181.834991 45.183201 468.154999)(-182.522003 44.486000 467.388977)(-181.815994 44.977798 468.768005)(-181.525009 -35.682499 449.806000)(-182.030014 -35.792999 449.824005)(-181.794998 -34.704498 449.647980)(-182.000000 -45.799999 462.970001)(-181.994003 -45.447102 462.799011)(-182.000000 -45.454800 462.976013)(-181.959000 -45.582001 464.260010)(-182.059006 -45.473000 464.902985)(-182.705994 -44.516998 465.834991)(-181.504990 -24.960199 449.445007)(-182.239990 -25.265001 449.445007)(-181.897003 -23.202499 449.445007)(-181.794998 34.704498 449.647980)(-182.078003 33.615997 449.472015)(-182.030014 35.792999 449.824005)(-182.395996 12.891000 449.445007)(-185.622009 0.539009 456.467987)(-182.291992 21.139999 449.445007)(-183.231003 -42.904999 468.936005)(-181.824005 -44.380001 470.308990)(-181.850006 -42.749001 473.145996)(-183.264999 -43.174999 459.820984)(-183.731003 -41.280998 457.464996)(-181.909988 -41.462997 453.144989)(-184.744995 41.005001 464.446991)(-186.770004 21.199999 463.954987)(-184.636002 40.947998 465.911011)(-181.501999 21.139999 449.445007)(-181.897003 23.202499 449.445007)(-181.504990 24.960199 449.445007)(-182.239990 25.265001 449.445007)(-182.291992 21.139999 449.445007)(-185.662003 21.164000 456.438995)(-181.520004 -25.923698 478.442993)(-181.520004 -25.397999 478.445007)(-182.173004 -25.397999 478.445007)(-182.030014 35.792999 449.824005)(-182.078003 33.615997 449.472015)(-185.662003 21.164000 456.438995)(-181.542999 -37.382202 477.507996)(-181.944992 -37.250000 477.588013)(-181.743988 -38.902000 476.592987)(-181.527008 -13.635000 478.445007)(-181.923996 -17.120001 478.445007)(-181.522003 -21.259001 478.445007)(-185.662003 21.164000 456.438995)(-186.770004 21.199999 463.954987)(-184.744995 41.005001 464.446991)(-181.557999 7.341420 449.445007)(-181.989990 6.592500 449.445007)(-182.395996 12.891000 449.445007)(-181.542999 -37.382202 477.507996)(-181.743988 -38.902000 476.592987)(-181.600998 -40.553997 475.598999)(-182.343002 45.050098 463.532013)(-181.994003 45.447102 462.799011)(-182.000000 45.454800 462.976013)(-184.049988 -41.582401 459.761993)(-183.785004 -42.111603 459.761993)(-184.498001 -41.145000 460.884979)(-181.914001 45.526798 465.667999)(-182.522003 44.486000 467.388977)(-181.891998 45.439800 466.360992)(-182.705994 -44.516998 465.834991)(-182.522003 -44.486000 467.388977)(-183.231003 -42.904999 468.936005)(-183.684006 43.006001 465.528992)(-184.636002 40.947998 465.911011)(-184.488998 40.872002 467.869995)(-182.000000 -45.454800 462.976013)(-182.143005 -45.311100 463.487000)(-182.343002 -45.050098 463.532013)(-182.223007 21.259001 478.445007)(-182.325012 12.981000 478.445007)(-181.923996 17.120001 478.445007)(-182.325012 12.981000 478.445007)(-181.527008 13.635000 478.445007)(-181.923996 17.120001 478.445007)(-181.909988 41.462997 453.144989)(-183.731003 41.280998 457.464996)(-183.264999 43.174999 459.820984)(-182.017990 33.567997 478.419983)(-181.516998 33.751099 478.378998)(-181.516006 33.567997 478.419983)(-182.542999 44.611000 461.138000)(-182.770004 44.549000 464.264984)(-182.352005 44.975002 462.700989)(-181.909988 41.462997 453.144989)(-181.963989 38.924000 451.126984)(-185.662003 21.164000 456.438995)(-182.325012 -12.981000 478.445007)(-182.223007 -21.259001 478.445007)(-181.923996 -17.120001 478.445007)(-182.030014 35.792999 449.824005)(-181.525009 35.682499 449.806000)(-181.525009 35.792999 449.824005)(-181.511002 -33.134800 449.470001)(-181.511993 -33.615997 449.472015)(-182.078003 -33.615997 449.472015)(-181.970993 45.429501 462.175018)(-182.352005 44.975002 462.700989)(-181.994003 45.447102 462.799011)(-182.343002 -45.050098 463.532013)(-181.967010 -45.590401 463.997009)(-182.770004 -44.549000 464.264984)(-183.592010 42.972000 466.672974)(-184.488998 40.872002 467.869995)(-183.972992 40.780998 470.148010)(-182.770004 -44.549000 464.264984)(-182.705994 -44.516998 465.834991)(-183.684006 -43.006001 465.528992)(-183.718002 -43.040001 464.381012)(-183.684006 -43.006001 465.528992)(-184.636002 -40.947998 465.911011)(-181.531998 -11.796700 449.445007)(-182.395996 -12.891000 449.445007)(-181.557999 -7.341420 449.445007)(28.865000 166.727005 529.002014)(27.898001 184.147003 525.343018)(-17.415001 155.074997 531.200989)(27.898001 184.147003 525.343018)(-16.909000 166.010010 529.140991)(-17.415001 155.074997 531.200989)(30.250999 126.840996 535.477966)(29.966000 138.363998 533.869995)(-18.422001 116.231003 536.732971)(29.966000 138.363998 533.869995)(-18.277000 125.980003 535.587036)(-18.422001 116.231003 536.732971)(-18.277000 125.980003 535.587036)(-24.553999 137.067001 519.904968)(-18.422001 116.231003 536.732971)(-17.415001 155.074997 531.200989)(-24.553999 137.067001 519.904968)(-18.000000 137.470001 534.000000)(-24.553999 137.067001 519.904968)(-18.277000 125.980003 535.587036)(-18.000000 137.470001 534.000000)(29.382000 155.634003 531.104004)(-18.000000 137.470001 534.000000)(-18.277000 125.980003 535.587036)(-24.553999 137.067001 519.904968)(-27.730000 109.431999 515.903992)(-18.422001 116.231003 536.732971)(-24.553999 137.067001 519.904968)(-28.597301 123.250000 509.487976)(-27.730000 109.431999 515.903992)(-28.597301 123.250000 509.487976)(-24.553999 137.067001 519.904968)(-32.288998 114.680000 498.968018)(36.495998 138.225006 519.828979)(38.880001 123.503998 516.132996)(42.614002 110.850998 509.056976)(36.495998 138.225006 519.828979)(42.782001 144.342010 505.160980)(34.765003 168.787003 517.477966)(34.765003 168.787003 517.477966)(32.735600 153.505997 524.613037)(36.495998 138.225006 519.828979)(29.382000 155.634003 531.104004)(32.735600 153.505997 524.613037)(34.765003 168.787003 517.477966)(42.614002 110.850998 509.056976)(42.782001 144.342010 505.160980)(36.495998 138.225006 519.828979)(42.782001 144.342010 505.160980)(42.614002 110.850998 509.056976)(44.333000 113.764999 497.681000)(42.851002 146.615005 495.161011)(42.782001 144.342010 505.160980)(44.333000 113.764999 497.681000)(42.851002 146.615005 495.161011)(44.333000 113.764999 497.681000)(43.039898 113.545998 495.481995)(41.850101 115.831001 495.582001)(42.851002 146.615005 495.161011)(43.039898 113.545998 495.481995)(41.850101 115.831001 495.582001)(38.940701 115.742996 495.884003)(42.851002 146.615005 495.161011)(38.940701 115.742996 495.884003)(36.775997 207.522003 495.162018)(42.851002 146.615005 495.161011)(35.325401 166.192993 495.523010)(36.775997 207.522003 495.162018)(38.940701 115.742996 495.884003)(36.775997 207.522003 495.162018)(40.570000 174.052002 505.160980)(42.851002 146.615005 495.161011)(28.616800 115.555000 495.963013)(11.581401 168.929001 495.562988)(21.304001 221.847992 495.162018)(28.616800 115.555000 495.963013)(10.479900 115.243004 495.968994)(11.581401 168.929001 495.562988)(10.479900 115.243004 495.968994)(-5.454000 222.615997 495.162018)(11.581401 168.929001 495.562988)(10.479900 115.243004 495.968994)(-2.983560 168.862991 495.552979)(-5.454000 222.615997 495.162018)(10.479900 115.243004 495.968994)(2.565930 115.108994 495.950989)(-2.983560 168.862991 495.552979)(36.662003 207.233002 505.161987)(40.570000 174.052002 505.160980)(36.775997 207.522003 495.162018)(21.304001 221.847992 495.162018)(-5.454000 222.441010 505.161987)(5.425000 222.441010 505.161987)(22.799000 221.273010 505.161987)(21.304001 221.847992 495.162018)(5.425000 222.441010 505.161987)(22.799000 221.273010 505.161987)(5.425000 222.441010 505.161987)(5.415000 209.865997 513.713013)(20.683001 209.529999 513.751953)(22.799000 221.273010 505.161987)(5.415000 209.865997 513.713013)(5.415000 209.865997 513.713013)(-15.921000 183.938004 525.391968)(20.683001 209.529999 513.751953)(-5.454000 222.441010 505.161987)(21.304001 221.847992 495.162018)(-5.454000 222.615997 495.162018)(-5.454000 222.615997 495.162018)(-16.907001 218.152008 505.161987)(-5.454000 222.441010 505.161987)(24.948002 196.932999 521.754028)(20.683001 209.529999 513.751953)(-15.921000 183.938004 525.391968)(-18.406000 201.539993 514.411987)(-22.856001 167.634003 517.579956)(-16.909000 166.010010 529.140991)(-15.921000 183.938004 525.391968)(-18.406000 201.539993 514.411987)(-16.909000 166.010010 529.140991)(-18.406000 201.539993 514.411987)(-15.921000 183.938004 525.391968)(-9.838000 209.233002 513.782959)(-18.406000 201.539993 514.411987)(-24.258999 208.572998 505.161987)(-22.856001 167.634003 517.579956)(-15.921000 183.938004 525.391968)(-16.909000 166.010010 529.140991)(24.948002 196.932999 521.754028)(34.765003 168.787003 517.477966)(36.662003 207.233002 505.161987)(29.814999 202.535004 514.326965)(36.662003 207.233002 505.161987)(34.765003 168.787003 517.477966)(40.570000 174.052002 505.160980)(34.765003 168.787003 517.477966)(29.814999 202.535004 514.326965)(27.898001 184.147003 525.343018)(29.814999 202.535004 514.326965)(24.948002 196.932999 521.754028)(27.898001 184.147003 525.343018)(29.814999 202.535004 514.326965)(20.683001 209.529999 513.751953)(24.948002 196.932999 521.754028)(-16.909000 166.010010 529.140991)(27.898001 184.147003 525.343018)(24.948002 196.932999 521.754028)(-16.909000 166.010010 529.140991)(-22.856001 167.634003 517.579956)(-17.415001 155.074997 531.200989)(-16.447001 218.894012 495.162018)(-2.983560 168.862991 495.552979)(2.565930 115.108994 495.950989)(-24.786999 207.522003 495.162018)(-11.110300 166.942001 495.522003)(-4.825290 114.990005 495.889984)(2.565930 115.108994 495.950989)(-4.825290 114.990005 495.889984)(-11.110300 166.942001 495.522003)(-4.825290 114.990005 495.889984)(-22.387800 114.437996 497.869995)(-24.786999 207.522003 495.162018)(-22.387800 114.437996 497.869995)(-32.288998 114.680000 498.968018)(-24.786999 207.522003 495.162018)(-11.110300 166.942001 495.522003)(-16.447001 218.894012 495.162018)(2.565930 115.108994 495.950989)(-16.907001 218.152008 505.161987)(-18.406000 201.539993 514.411987)(-9.838000 209.233002 513.782959)(28.441700 168.702011 495.548981)(28.616800 115.555000 495.963013)(21.304001 221.847992 495.162018)(31.709999 216.707001 495.162018)(28.441700 168.702011 495.548981)(21.304001 221.847992 495.162018)(29.814999 202.535004 514.326965)(36.662003 207.233002 505.161987)(32.177002 215.849991 505.161987)(32.177002 215.849991 505.161987)(22.799000 221.273010 505.161987)(29.814999 202.535004 514.326965)(31.709999 216.707001 495.162018)(36.775997 207.522003 495.162018)(35.325401 166.192993 495.523010)(31.709999 216.707001 495.162018)(35.325401 166.192993 495.523010)(35.579300 115.677994 495.934998)(-5.454000 222.441010 505.161987)(-16.907001 218.152008 505.161987)(-9.838000 209.233002 513.782959)(5.415000 209.865997 513.713013)(-5.454000 222.441010 505.161987)(-9.838000 209.233002 513.782959)(40.570000 174.052002 505.160980)(42.782001 144.342010 505.160980)(42.851002 146.615005 495.161011)(-24.258999 208.572998 505.161987)(-18.406000 201.539993 514.411987)(-16.907001 218.152008 505.161987)(-24.786999 207.522003 495.162018)(-16.907001 218.152008 505.161987)(-16.447001 218.894012 495.162018)(-24.258999 208.572998 505.161987)(-16.907001 218.152008 505.161987)(-24.786999 207.522003 495.162018)(-24.786999 207.522003 495.162018)(-28.607000 173.621002 505.161987)(-24.258999 208.572998 505.161987)(-28.607000 173.621002 505.161987)(-24.786999 207.522003 495.162018)(-30.945999 141.824005 505.161987)(-11.110300 166.942001 495.522003)(-24.786999 207.522003 495.162018)(-16.447001 218.894012 495.162018)(36.775997 207.522003 495.162018)(32.177002 215.849991 505.161987)(36.662003 207.233002 505.161987)(-5.454000 222.441010 505.161987)(5.415000 209.865997 513.713013)(5.425000 222.441010 505.161987)(-24.258999 208.572998 505.161987)(-28.607000 173.621002 505.161987)(-22.856001 167.634003 517.579956)(21.304001 221.847992 495.162018)(11.581401 168.929001 495.562988)(-5.454000 222.615997 495.162018)(35.579300 115.677994 495.934998)(28.441700 168.702011 495.548981)(31.709999 216.707001 495.162018)(-17.415001 155.074997 531.200989)(-22.856001 167.634003 517.579956)(-24.553999 137.067001 519.904968)(-22.856001 167.634003 517.579956)(-30.945999 141.824005 505.161987)(-24.553999 137.067001 519.904968)(32.735600 153.505997 524.613037)(29.382000 155.634003 531.104004)(36.495998 138.225006 519.828979)(29.382000 155.634003 531.104004)(29.966000 138.363998 533.869995)(36.495998 138.225006 519.828979)(-9.838000 209.233002 513.782959)(-15.921000 183.938004 525.391968)(5.415000 209.865997 513.713013)(40.570000 174.052002 505.160980)(34.765003 168.787003 517.477966)(42.782001 144.342010 505.160980)(30.945999 112.570000 535.922974)(30.250999 126.840996 535.477966)(-18.422001 116.231003 536.732971)(36.495998 138.225006 519.828979)(30.250999 126.840996 535.477966)(30.945999 112.570000 535.922974)(30.945999 112.570000 535.922974)(35.002499 108.396004 526.828003)(36.495998 138.225006 519.828979)(-22.856001 167.634003 517.579956)(-28.607000 173.621002 505.161987)(-30.945999 141.824005 505.161987)(29.966000 138.363998 533.869995)(29.382000 155.634003 531.104004)(-18.277000 125.980003 535.587036)(29.814999 202.535004 514.326965)(22.799000 221.273010 505.161987)(20.683001 209.529999 513.751953)(22.799000 221.273010 505.161987)(32.177002 215.849991 505.161987)(31.709999 216.707001 495.162018)(28.865000 166.727005 529.002014)(29.382000 155.634003 531.104004)(34.765003 168.787003 517.477966)(32.177002 215.849991 505.161987)(36.775997 207.522003 495.162018)(31.709999 216.707001 495.162018)(29.382000 155.634003 531.104004)(28.865000 166.727005 529.002014)(-18.000000 137.470001 534.000000)(28.865000 166.727005 529.002014)(34.765003 168.787003 517.477966)(27.898001 184.147003 525.343018)(38.940701 115.742996 495.884003)(35.579300 115.677994 495.934998)(35.325401 166.192993 495.523010)(-24.553999 137.067001 519.904968)(-30.945999 141.824005 505.161987)(-32.288998 114.680000 498.968018)(35.579300 115.677994 495.934998)(28.616800 115.555000 495.963013)(28.441700 168.702011 495.548981)(31.709999 216.707001 495.162018)(21.304001 221.847992 495.162018)(22.799000 221.273010 505.161987)(-5.454000 222.615997 495.162018)(-2.983560 168.862991 495.552979)(-16.447001 218.894012 495.162018)(28.865000 166.727005 529.002014)(-17.415001 155.074997 531.200989)(-18.000000 137.470001 534.000000)(-30.945999 141.824005 505.161987)(-24.786999 207.522003 495.162018)(-32.288998 114.680000 498.968018)(38.880001 123.503998 516.132996)(36.495998 138.225006 519.828979)(35.002499 108.396004 526.828003)(-16.907001 218.152008 505.161987)(-5.454000 222.615997 495.162018)(-16.447001 218.894012 495.162018)(30.250999 126.840996 535.477966)(36.495998 138.225006 519.828979)(29.966000 138.363998 533.869995)(-16.271900 106.265999 536.718994)(-11.589200 106.377998 536.640991)(-18.422001 116.231003 536.732971)(20.557201 107.150002 536.106995)(6.262110 111.249001 536.334961)(-11.589200 106.377998 536.640991)(30.945999 112.570000 535.922974)(6.262110 111.249001 536.334961)(20.557201 107.150002 536.106995)(30.941299 107.333000 535.933960)(30.945999 112.570000 535.922974)(20.557201 107.150002 536.106995)(30.945999 112.570000 535.922974)(30.941299 107.333000 535.933960)(31.407400 107.657997 534.888977)(30.945999 112.570000 535.922974)(31.407400 107.657997 534.888977)(31.999201 107.987000 533.562012)(-18.422001 106.220001 536.732971)(-16.271900 106.265999 536.718994)(-18.422001 116.231003 536.732971)(-18.422001 116.231003 536.732971)(-19.717800 106.887001 533.835999)(-18.810200 106.418999 535.867004)(-18.422001 116.231003 536.732971)(-18.810200 106.418999 535.867004)(-18.422001 106.220001 536.732971)(-18.422001 116.231003 536.732971)(-20.182499 107.125000 532.796021)(-19.717800 106.887001 533.835999)(-18.422001 116.231003 536.732971)(-22.224501 106.913002 528.226013)(-20.822300 106.959999 531.364014)(-18.422001 116.231003 536.732971)(-20.822300 106.959999 531.364014)(-20.182499 107.125000 532.796021)(-27.730000 109.431999 515.903992)(-22.224501 106.913002 528.226013)(-18.422001 116.231003 536.732971)(30.945999 112.570000 535.922974)(31.999201 107.987000 533.562012)(35.002499 108.396004 526.828003)(-11.589200 106.377998 536.640991)(6.262110 111.249001 536.334961)(-18.422001 116.231003 536.732971)(-28.597301 123.250000 509.487976)(-32.288998 114.680000 498.968018)(-31.500801 113.773003 501.896027)(-28.597301 123.250000 509.487976)(-31.500801 113.773003 501.896027)(-30.990301 113.553001 503.700958)(-32.288998 114.680000 498.968018)(-32.287998 114.127998 498.975006)(-31.500801 113.773003 501.896027)(-27.730000 109.431999 515.903992)(-29.100000 110.769005 510.819977)(-27.734499 108.783997 515.893005)(-27.730000 109.431999 515.903992)(-27.734499 108.783997 515.893005)(-27.289999 108.397995 516.888977)(-29.100000 110.769005 510.819977)(-27.730000 109.431999 515.903992)(-29.890100 111.917999 507.879974)(42.614002 110.850998 509.056976)(42.614098 110.106995 509.056976)(43.473499 111.936005 503.368988)(43.766300 112.223000 501.431000)(43.473499 111.936005 503.368988)(42.614098 110.106995 509.056976)(44.333000 113.764999 497.681000)(44.331100 113.262001 497.694000)(44.020298 113.420998 497.148987)(42.614002 110.850998 509.056976)(41.883400 110.609001 510.778015)(42.614098 110.106995 509.056976)(41.883400 110.609001 510.778015)(41.885101 109.429001 511.524963)(42.614098 110.106995 509.056976)(44.333000 113.764999 497.681000)(42.614002 110.850998 509.056976)(43.473499 111.936005 503.368988)(42.614002 110.850998 509.056976)(38.880001 123.503998 516.132996)(41.882999 112.118996 510.591980)(44.333000 113.764999 497.681000)(43.766300 112.223000 501.431000)(44.331100 113.262001 497.694000)(-32.104702 114.133003 498.964996)(-32.288998 114.680000 498.968018)(-22.387800 114.437996 497.869995)(-32.287998 114.127998 498.975006)(-32.104702 114.133003 498.964996)(-22.387800 114.437996 497.869995)(35.002499 108.396004 526.828003)(39.559902 109.838005 516.250000)(38.880001 123.503998 516.132996)(38.880001 123.503998 516.132996)(39.559902 109.838005 516.250000)(41.882999 112.118996 510.591980)(-28.597301 123.250000 509.487976)(-30.990301 113.553001 503.700958)(-29.890100 111.917999 507.879974)(-32.104702 114.133003 498.964996)(-32.287998 114.127998 498.975006)(-32.288998 114.680000 498.968018)(-28.597301 123.250000 509.487976)(-29.890100 111.917999 507.879974)(-27.730000 109.431999 515.903992)(43.039898 113.545998 495.481995)(41.850201 113.562004 495.604980)(41.850101 115.831001 495.582001)(30.945999 112.570000 535.922974)(-18.422001 116.231003 536.732971)(6.262110 111.249001 536.334961)(44.333000 113.764999 497.681000)(44.020298 113.420998 497.148987)(43.163300 113.523003 495.692017)(44.333000 113.764999 497.681000)(43.473499 111.936005 503.368988)(43.766300 112.223000 501.431000)(-27.289999 108.397995 516.888977)(-26.114500 106.509003 519.519958)(-22.224501 106.913002 528.226013)(41.882999 112.118996 510.591980)(41.883400 110.609001 510.778015)(42.614002 110.850998 509.056976)(44.333000 113.764999 497.681000)(43.163300 113.523003 495.692017)(43.039898 113.545998 495.481995)(-27.730000 109.431999 515.903992)(-27.289999 108.397995 516.888977)(-22.224501 106.913002 528.226013)(-27.730000 -109.431999 515.903992)(-29.890100 -111.917999 507.879974)(-28.597301 -123.250000 509.487976)(-27.730000 -109.431999 515.903992)(-28.597301 -123.250000 509.487976)(-24.553999 -137.067001 519.904968)(29.382000 -155.634003 531.104004)(32.735600 -153.505997 524.613037)(36.495998 -138.225006 519.828979)(29.382000 -155.634003 531.104004)(36.495998 -138.225006 519.828979)(29.966000 -138.363998 533.869995)(24.948002 -196.932999 521.754028)(29.814999 -202.535004 514.326965)(27.898001 -184.147003 525.343018)(24.948002 -196.932999 521.754028)(27.898001 -184.147003 525.343018)(-16.909000 -166.010010 529.140991)(29.814999 -202.535004 514.326965)(24.948002 -196.932999 521.754028)(20.683001 -209.529999 513.751953)(29.814999 -202.535004 514.326965)(34.765003 -168.787003 517.477966)(27.898001 -184.147003 525.343018)(-15.921000 -183.938004 525.391968)(20.683001 -209.529999 513.751953)(24.948002 -196.932999 521.754028)(27.898001 -184.147003 525.343018)(34.765003 -168.787003 517.477966)(28.865000 -166.727005 529.002014)(-27.734499 -108.783997 515.893005)(-27.730000 -109.431999 515.903992)(-27.289999 -108.397995 516.888977)(-22.224501 -106.913002 528.226013)(-27.289999 -108.397995 516.888977)(-27.730000 -109.431999 515.903992)(-27.734499 -108.783997 515.893005)(-29.100000 -110.769005 510.819977)(-27.730000 -109.431999 515.903992)(-16.909000 -166.010010 529.140991)(-22.856001 -167.634003 517.579956)(-18.406000 -201.539993 514.411987)(-22.856001 -167.634003 517.579956)(-24.258999 -208.572998 505.161987)(-18.406000 -201.539993 514.411987)(-24.258999 -208.572998 505.161987)(-28.607000 -173.621002 505.161987)(-24.786999 -207.522003 495.162018)(-22.856001 -167.634003 517.579956)(-28.607000 -173.621002 505.161987)(-24.258999 -208.572998 505.161987)(-16.907001 -218.152008 505.161987)(-24.258999 -208.572998 505.161987)(-24.786999 -207.522003 495.162018)(-16.907001 -218.152008 505.161987)(-24.786999 -207.522003 495.162018)(-16.447001 -218.894012 495.162018)(-16.447001 -218.894012 495.162018)(-24.786999 -207.522003 495.162018)(-11.110300 -166.942001 495.522003)(-16.907001 -218.152008 505.161987)(-16.447001 -218.894012 495.162018)(-5.454000 -222.615997 495.162018)(-5.454000 -222.615997 495.162018)(-16.447001 -218.894012 495.162018)(-2.983560 -168.862991 495.552979)(-16.907001 -218.152008 505.161987)(-18.406000 -201.539993 514.411987)(-24.258999 -208.572998 505.161987)(-9.838000 -209.233002 513.782959)(-18.406000 -201.539993 514.411987)(-16.907001 -218.152008 505.161987)(-9.838000 -209.233002 513.782959)(-16.907001 -218.152008 505.161987)(-5.454000 -222.441010 505.161987)(5.415000 -209.865997 513.713013)(-9.838000 -209.233002 513.782959)(-5.454000 -222.441010 505.161987)(21.304001 -221.847992 495.162018)(5.425000 -222.441010 505.161987)(-5.454000 -222.441010 505.161987)(5.425000 -222.441010 505.161987)(5.415000 -209.865997 513.713013)(-5.454000 -222.441010 505.161987)(-4.825290 -114.990005 495.889984)(-11.110300 -166.942001 495.522003)(-24.786999 -207.522003 495.162018)(-24.786999 -207.522003 495.162018)(-22.387800 -114.437996 497.869995)(-4.825290 -114.990005 495.889984)(-11.110300 -166.942001 495.522003)(-4.825290 -114.990005 495.889984)(2.565930 -115.108994 495.950989)(-24.786999 -207.522003 495.162018)(-32.288998 -114.680000 498.968018)(-22.387800 -114.437996 497.869995)(-18.277000 -125.980003 535.587036)(-18.000000 -137.470001 534.000000)(29.382000 -155.634003 531.104004)(28.865000 -166.727005 529.002014)(29.382000 -155.634003 531.104004)(-18.000000 -137.470001 534.000000)(-17.415001 -155.074997 531.200989)(-18.000000 -137.470001 534.000000)(-24.553999 -137.067001 519.904968)(28.865000 -166.727005 529.002014)(-18.000000 -137.470001 534.000000)(-17.415001 -155.074997 531.200989)(27.898001 -184.147003 525.343018)(28.865000 -166.727005 529.002014)(-17.415001 -155.074997 531.200989)(-22.856001 -167.634003 517.579956)(-17.415001 -155.074997 531.200989)(-24.553999 -137.067001 519.904968)(29.382000 -155.634003 531.104004)(28.865000 -166.727005 529.002014)(34.765003 -168.787003 517.477966)(-24.553999 -137.067001 519.904968)(-30.945999 -141.824005 505.161987)(-22.856001 -167.634003 517.579956)(-31.500801 -113.773003 501.896027)(-32.288998 -114.680000 498.968018)(-28.597301 -123.250000 509.487976)(-28.597301 -123.250000 509.487976)(-32.288998 -114.680000 498.968018)(-24.553999 -137.067001 519.904968)(-30.945999 -141.824005 505.161987)(-24.553999 -137.067001 519.904968)(-32.288998 -114.680000 498.968018)(-24.786999 -207.522003 495.162018)(-30.945999 -141.824005 505.161987)(-32.288998 -114.680000 498.968018)(-18.277000 -125.980003 535.587036)(-24.553999 -137.067001 519.904968)(-18.000000 -137.470001 534.000000)(-24.786999 -207.522003 495.162018)(-28.607000 -173.621002 505.161987)(-30.945999 -141.824005 505.161987)(-18.422001 -116.231003 536.732971)(-11.589200 -106.377998 536.640991)(-16.271900 -106.265999 536.718994)(30.945999 -112.570000 535.922974)(6.262110 -111.249001 536.334961)(-18.422001 -116.231003 536.732971)(-18.422001 -116.231003 536.732971)(6.262110 -111.249001 536.334961)(-11.589200 -106.377998 536.640991)(30.250999 -126.840996 535.477966)(30.945999 -112.570000 535.922974)(-18.422001 -116.231003 536.732971)(30.945999 -112.570000 535.922974)(20.557201 -107.150002 536.106995)(6.262110 -111.249001 536.334961)(29.966000 -138.363998 533.869995)(30.250999 -126.840996 535.477966)(-18.422001 -116.231003 536.732971)(29.966000 -138.363998 533.869995)(-18.422001 -116.231003 536.732971)(-18.277000 -125.980003 535.587036)(30.250999 -126.840996 535.477966)(29.966000 -138.363998 533.869995)(36.495998 -138.225006 519.828979)(30.945999 -112.570000 535.922974)(30.250999 -126.840996 535.477966)(36.495998 -138.225006 519.828979)(36.370399 -108.790001 523.738953)(33.232800 -107.897995 530.796021)(30.945999 -112.570000 535.922974)(36.370399 -108.790001 523.738953)(30.945999 -112.570000 535.922974)(36.495998 -138.225006 519.828979)(31.999201 -107.987000 533.562012)(30.945999 -112.570000 535.922974)(33.232800 -107.897995 530.796021)(30.945999 -112.570000 535.922974)(30.941299 -107.333000 535.933960)(20.557201 -107.150002 536.106995)(38.880001 -123.503998 516.132996)(36.370399 -108.790001 523.738953)(36.495998 -138.225006 519.828979)(28.616800 -115.555000 495.963013)(11.581401 -168.929001 495.562988)(10.479900 -115.243004 495.968994)(22.799000 -221.273010 505.161987)(21.304001 -221.847992 495.162018)(31.709999 -216.707001 495.162018)(31.709999 -216.707001 495.162018)(21.304001 -221.847992 495.162018)(28.441700 -168.702011 495.548981)(28.616800 -115.555000 495.963013)(28.441700 -168.702011 495.548981)(21.304001 -221.847992 495.162018)(31.709999 -216.707001 495.162018)(28.441700 -168.702011 495.548981)(35.579300 -115.677994 495.934998)(38.940701 -115.742996 495.884003)(36.775997 -207.522003 495.162018)(35.325401 -166.192993 495.523010)(35.325401 -166.192993 495.523010)(35.579300 -115.677994 495.934998)(38.940701 -115.742996 495.884003)(36.775997 -207.522003 495.162018)(38.940701 -115.742996 495.884003)(42.851002 -146.615005 495.161011)(42.851002 -146.615005 495.161011)(40.570000 -174.052002 505.160980)(36.775997 -207.522003 495.162018)(42.782001 -144.342010 505.160980)(40.570000 -174.052002 505.160980)(42.851002 -146.615005 495.161011)(36.662003 -207.233002 505.161987)(40.570000 -174.052002 505.160980)(34.765003 -168.787003 517.477966)(42.782001 -144.342010 505.160980)(34.765003 -168.787003 517.477966)(40.570000 -174.052002 505.160980)(35.325401 -166.192993 495.523010)(36.775997 -207.522003 495.162018)(31.709999 -216.707001 495.162018)(35.579300 -115.677994 495.934998)(35.325401 -166.192993 495.523010)(31.709999 -216.707001 495.162018)(35.579300 -115.677994 495.934998)(28.441700 -168.702011 495.548981)(28.616800 -115.555000 495.963013)(31.709999 -216.707001 495.162018)(32.177002 -215.849991 505.161987)(22.799000 -221.273010 505.161987)(42.851002 -146.615005 495.161011)(38.940701 -115.742996 495.884003)(41.850101 -115.831001 495.582001)(44.333000 -113.764999 497.681000)(42.614002 -110.850998 509.056976)(42.782001 -144.342010 505.160980)(42.614002 -110.850998 509.056976)(36.495998 -138.225006 519.828979)(42.782001 -144.342010 505.160980)(42.614002 -110.850998 509.056976)(38.880001 -123.503998 516.132996)(36.495998 -138.225006 519.828979)(43.473499 -111.936005 503.368988)(42.614002 -110.850998 509.056976)(44.333000 -113.764999 497.681000)(42.614098 -110.106995 509.056976)(43.473499 -111.936005 503.368988)(43.766300 -112.223000 501.431000)(42.614098 -110.106995 509.056976)(42.614002 -110.850998 509.056976)(43.473499 -111.936005 503.368988)(42.614098 -110.106995 509.056976)(41.883400 -110.609001 510.778015)(42.614002 -110.850998 509.056976)(41.885101 -109.429001 511.524963)(41.883400 -110.609001 510.778015)(42.614098 -110.106995 509.056976)(43.766300 -112.223000 501.431000)(43.473499 -111.936005 503.368988)(44.333000 -113.764999 497.681000)(43.039898 -113.545998 495.481995)(42.851002 -146.615005 495.161011)(41.850101 -115.831001 495.582001)(43.039898 -113.545998 495.481995)(44.333000 -113.764999 497.681000)(42.851002 -146.615005 495.161011)(43.163300 -113.523003 495.692017)(44.333000 -113.764999 497.681000)(43.039898 -113.545998 495.481995)(44.020298 -113.420998 497.148987)(44.333000 -113.764999 497.681000)(43.163300 -113.523003 495.692017)(44.331100 -113.262001 497.694000)(44.333000 -113.764999 497.681000)(44.020298 -113.420998 497.148987)(44.331100 -113.262001 497.694000)(43.766300 -112.223000 501.431000)(44.333000 -113.764999 497.681000)(41.882999 -112.118996 510.591980)(38.880001 -123.503998 516.132996)(42.614002 -110.850998 509.056976)(41.882999 -112.118996 510.591980)(39.559902 -109.838005 516.250000)(38.880001 -123.503998 516.132996)(42.782001 -144.342010 505.160980)(36.495998 -138.225006 519.828979)(34.765003 -168.787003 517.477966)(29.814999 -202.535004 514.326965)(22.799000 -221.273010 505.161987)(32.177002 -215.849991 505.161987)(36.662003 -207.233002 505.161987)(29.814999 -202.535004 514.326965)(32.177002 -215.849991 505.161987)(36.662003 -207.233002 505.161987)(32.177002 -215.849991 505.161987)(36.775997 -207.522003 495.162018)(10.479900 -115.243004 495.968994)(-2.983560 -168.862991 495.552979)(2.565930 -115.108994 495.950989)(-11.589200 -106.377998 536.640991)(6.262110 -111.249001 536.334961)(20.557201 -107.150002 536.106995)(-27.730000 -109.431999 515.903992)(-18.422001 -116.231003 536.732971)(-22.224501 -106.913002 528.226013)(-18.422001 -116.231003 536.732971)(-27.730000 -109.431999 515.903992)(-24.553999 -137.067001 519.904968)(-15.921000 -183.938004 525.391968)(-16.909000 -166.010010 529.140991)(-18.406000 -201.539993 514.411987)(42.851002 -146.615005 495.161011)(44.333000 -113.764999 497.681000)(42.782001 -144.342010 505.160980)(29.382000 -155.634003 531.104004)(34.765003 -168.787003 517.477966)(32.735600 -153.505997 524.613037)(-18.422001 -116.231003 536.732971)(-24.553999 -137.067001 519.904968)(-18.277000 -125.980003 535.587036)(-18.810200 -106.418999 535.867004)(-19.717800 -106.887001 533.835999)(-18.422001 -116.231003 536.732971)(-19.717800 -106.887001 533.835999)(-20.182499 -107.125000 532.796021)(-18.422001 -116.231003 536.732971)(-20.182499 -107.125000 532.796021)(-20.822300 -106.959999 531.364014)(-18.422001 -116.231003 536.732971)(-15.921000 -183.938004 525.391968)(-18.406000 -201.539993 514.411987)(-9.838000 -209.233002 513.782959)(-32.288998 -114.680000 498.968018)(-32.287998 -114.127998 498.975006)(-32.104702 -114.133003 498.964996)(-17.415001 -155.074997 531.200989)(-22.856001 -167.634003 517.579956)(-16.909000 -166.010010 529.140991)(31.999201 -107.987000 533.562012)(31.407400 -107.657997 534.888977)(30.945999 -112.570000 535.922974)(-32.287998 -114.127998 498.975006)(-32.288998 -114.680000 498.968018)(-31.500801 -113.773003 501.896027)(31.407400 -107.657997 534.888977)(30.941299 -107.333000 535.933960)(30.945999 -112.570000 535.922974)(34.765003 -168.787003 517.477966)(29.814999 -202.535004 514.326965)(36.662003 -207.233002 505.161987)(22.799000 -221.273010 505.161987)(5.425000 -222.441010 505.161987)(21.304001 -221.847992 495.162018)(-5.454000 -222.441010 505.161987)(-16.907001 -218.152008 505.161987)(-5.454000 -222.615997 495.162018)(39.559902 -109.838005 516.250000)(39.377602 -109.778000 516.679016)(38.880001 -123.503998 516.132996)(39.377602 -109.778000 516.679016)(39.058498 -109.678001 517.416992)(38.880001 -123.503998 516.132996)(39.058498 -109.678001 517.416992)(38.056900 -109.357994 519.747986)(38.880001 -123.503998 516.132996)(38.056900 -109.357994 519.747986)(37.233700 -109.096001 521.663025)(38.880001 -123.503998 516.132996)(37.233700 -109.096001 521.663025)(36.370399 -108.790001 523.738953)(38.880001 -123.503998 516.132996)(-22.224501 -106.913002 528.226013)(-26.114500 -106.509003 519.519958)(-27.289999 -108.397995 516.888977)(5.415000 -209.865997 513.713013)(5.425000 -222.441010 505.161987)(22.799000 -221.273010 505.161987)(5.415000 -209.865997 513.713013)(22.799000 -221.273010 505.161987)(20.683001 -209.529999 513.751953)(-30.945999 -141.824005 505.161987)(-28.607000 -173.621002 505.161987)(-22.856001 -167.634003 517.579956)(41.850101 -115.831001 495.582001)(41.850201 -113.562004 495.604980)(43.039898 -113.545998 495.481995)(2.565930 -115.108994 495.950989)(-2.983560 -168.862991 495.552979)(-16.447001 -218.894012 495.162018)(29.382000 -155.634003 531.104004)(29.966000 -138.363998 533.869995)(-18.277000 -125.980003 535.587036)(-30.990301 -113.553001 503.700958)(-31.500801 -113.773003 501.896027)(-28.597301 -123.250000 509.487976)(-5.454000 -222.441010 505.161987)(-5.454000 -222.615997 495.162018)(21.304001 -221.847992 495.162018)(21.304001 -221.847992 495.162018)(-5.454000 -222.615997 495.162018)(11.581401 -168.929001 495.562988)(20.683001 -209.529999 513.751953)(-15.921000 -183.938004 525.391968)(5.415000 -209.865997 513.713013)(-18.422001 -116.231003 536.732971)(-16.271900 -106.265999 536.718994)(-18.422001 -106.220001 536.732971)(-20.822300 -106.959999 531.364014)(-22.224501 -106.913002 528.226013)(-18.422001 -116.231003 536.732971)(11.581401 -168.929001 495.562988)(-5.454000 -222.615997 495.162018)(10.479900 -115.243004 495.968994)(40.570000 -174.052002 505.160980)(36.662003 -207.233002 505.161987)(36.775997 -207.522003 495.162018)(-29.890100 -111.917999 507.879974)(-27.730000 -109.431999 515.903992)(-29.100000 -110.769005 510.819977)(36.495998 -138.225006 519.828979)(32.735600 -153.505997 524.613037)(34.765003 -168.787003 517.477966)(2.565930 -115.108994 495.950989)(-16.447001 -218.894012 495.162018)(-11.110300 -166.942001 495.522003)(-18.422001 -106.220001 536.732971)(-18.810200 -106.418999 535.867004)(-18.422001 -116.231003 536.732971)(27.898001 -184.147003 525.343018)(-17.415001 -155.074997 531.200989)(-16.909000 -166.010010 529.140991)(-32.288998 -114.680000 498.968018)(-32.104702 -114.133003 498.964996)(-22.387800 -114.437996 497.869995)(-15.921000 -183.938004 525.391968)(-9.838000 -209.233002 513.782959)(5.415000 -209.865997 513.713013)(29.814999 -202.535004 514.326965)(20.683001 -209.529999 513.751953)(22.799000 -221.273010 505.161987)(31.709999 -216.707001 495.162018)(36.775997 -207.522003 495.162018)(32.177002 -215.849991 505.161987)(24.948002 -196.932999 521.754028)(-16.909000 -166.010010 529.140991)(-15.921000 -183.938004 525.391968)(21.304001 -221.847992 495.162018)(11.581401 -168.929001 495.562988)(28.616800 -115.555000 495.963013)(-29.890100 -111.917999 507.879974)(-30.990301 -113.553001 503.700958)(-28.597301 -123.250000 509.487976)(41.883400 -110.609001 510.778015)(41.882999 -112.118996 510.591980)(42.614002 -110.850998 509.056976)(-5.454000 -222.615997 495.162018)(-2.983560 -168.862991 495.552979)(10.479900 -115.243004 495.968994)(44.020000 96.366005 370.035004)(44.275700 92.553497 368.490997)(44.020000 92.696007 366.596985)(44.275700 92.553497 368.490997)(44.020000 96.366005 370.035004)(44.958000 88.740997 370.332001)(43.692997 94.530998 366.203003)(44.020000 96.366005 370.035004)(44.020000 92.696007 366.596985)(42.863998 96.243004 362.447998)(44.020000 92.696007 366.596985)(43.809998 88.031998 364.948975)(43.692997 94.530998 366.203003)(44.020000 92.696007 366.596985)(42.863998 96.243004 362.447998)(44.020000 92.696007 366.596985)(44.275700 92.553497 368.490997)(44.958000 88.740997 370.332001)(44.958000 88.740997 370.332001)(43.809998 88.031998 364.948975)(44.020000 92.696007 366.596985)(44.763500 92.553497 372.123016)(45.030003 92.881996 374.278015)(44.958000 88.740997 370.332001)(45.030003 92.881996 374.278015)(45.693001 89.557999 376.733002)(44.958000 88.740997 370.332001)(44.020000 96.366005 370.035004)(44.763500 92.553497 372.123016)(44.958000 88.740997 370.332001)(42.863998 96.243004 362.447998)(43.809998 88.031998 364.948975)(42.746998 87.457001 360.680023)(45.805000 90.896004 387.692993)(45.030003 93.781998 380.053986)(45.589001 92.432999 396.824982)(45.859001 90.318001 382.876984)(45.030003 93.781998 380.053986)(45.805000 90.896004 387.692993)(45.030003 92.881996 374.278015)(45.030003 93.781998 380.053986)(45.859001 90.318001 382.876984)(41.932999 108.151001 533.707947)(41.899799 108.604996 518.491028)(41.898003 109.456001 517.320007)(41.932999 108.151001 533.707947)(41.905300 106.750000 521.044006)(41.899799 108.604996 518.491028)(41.905300 106.750000 521.044006)(41.932999 108.151001 533.707947)(41.918198 99.487000 526.510986)(41.899799 108.604996 518.491028)(41.905300 106.750000 521.044006)(41.918198 99.487000 526.510986)(41.916500 100.043999 525.991028)(41.899799 108.604996 518.491028)(41.918198 99.487000 526.510986)(35.002499 108.396004 526.828003)(41.932999 108.151001 533.707947)(41.898003 109.456001 517.320007)(41.563000 -103.900002 364.347992)(41.570801 -104.253998 367.906982)(41.558998 -106.091003 362.724976)(41.561699 -103.788002 363.302002)(41.563000 -103.900002 364.347992)(41.558998 -106.091003 362.724976)(41.563000 -103.900002 364.347992)(42.143700 -102.505997 367.603973)(41.570801 -104.253998 367.906982)(41.570801 -104.253998 367.906982)(42.143700 -102.505997 367.603973)(42.863998 -100.806000 371.921997)(42.863998 -100.806000 371.921997)(41.570900 -104.259003 367.989990)(41.570801 -104.253998 367.906982)(41.561699 -103.788002 363.302002)(42.143700 -102.505997 367.603973)(41.563000 -103.900002 364.347992)(42.863998 -100.806000 371.921997)(42.143700 -102.505997 367.603973)(41.561699 -103.788002 363.302002)(-119.115997 103.874001 538.150024)(-65.370003 104.758003 538.934998)(-65.292999 106.380997 532.132019)(-42.543900 106.000999 535.635986)(-65.292999 106.380997 532.132019)(-65.370003 104.758003 538.934998)(-119.115997 103.874001 538.150024)(-119.135002 99.620003 544.377991)(-65.370003 104.758003 538.934998)(-121.857002 -101.837997 361.869019)(-149.495010 -97.790001 363.494995)(-135.472000 -47.260002 354.721985)(-135.472000 -47.260002 354.721985)(-124.982994 -72.045998 355.863983)(-121.857002 -101.837997 361.869019)(-135.472000 -47.260002 354.721985)(-148.231003 -49.443001 357.250977)(-140.007004 -29.219000 354.571991)(-140.007004 -29.219000 354.571991)(-148.231003 -49.443001 357.250977)(-141.477005 -23.040001 354.537018)(-148.231003 -49.443001 357.250977)(-145.686996 -0.441004 355.087006)(-141.477005 -23.040001 354.537018)(-148.231003 -49.443001 357.250977)(-160.667999 -0.441005 359.252991)(-145.686996 -0.441004 355.087006)(-148.231003 -49.443001 357.250977)(-160.835999 -49.456997 361.252991)(-160.667999 -0.441005 359.252991)(-170.673004 -103.360001 379.378998)(-149.495010 -97.790001 363.494995)(-121.857002 -101.837997 361.869019)(-179.389999 41.200001 378.924988)(-175.944000 44.369999 373.253998)(-179.389999 0.441005 375.324982)(-175.944000 44.369999 373.253998)(-173.869995 0.441005 366.456970)(-179.389999 0.441005 375.324982)(41.912899 101.700996 524.294006)(41.909698 102.618004 522.785034)(41.899799 108.604996 518.491028)(41.899799 108.604996 518.491028)(41.909698 102.618004 522.785034)(41.898197 105.878998 517.421997)(45.030003 -92.881996 374.278015)(44.958000 -88.740997 370.332001)(45.693001 -89.557999 376.733002)(45.030003 -92.881996 374.278015)(45.693001 -89.557999 376.733002)(45.859001 -90.318001 382.876984)(-141.460007 -102.950996 488.976990)(-108.691002 -104.039993 502.781982)(-108.690002 -104.039993 503.285004)(-108.662003 -104.041000 516.104004)(-141.460007 -102.950996 488.976990)(-108.690002 -104.039993 503.285004)(-141.460007 -102.950996 488.976990)(-108.662003 -104.041000 516.104004)(-108.661003 -104.041000 516.291992)(-119.135002 -99.620003 544.377991)(-65.370003 -104.758003 538.934998)(-65.389000 -100.506996 545.154968)(-119.115997 -103.874001 538.150024)(-119.041000 -105.494003 531.342041)(-65.292999 -106.380997 532.132019)(-65.370003 -104.758003 538.934998)(-65.292999 -106.380997 532.132019)(-42.543900 -106.000999 535.635986)(-42.543900 -106.000999 535.635986)(-19.717800 -106.887001 533.835999)(-65.370003 -104.758003 538.934998)(-20.182499 -107.125000 532.796021)(-42.543900 -106.000999 535.635986)(-65.292999 -106.380997 532.132019)(-119.115997 -103.874001 538.150024)(-65.292999 -106.380997 532.132019)(-65.370003 -104.758003 538.934998)(-42.201599 -106.249001 519.438965)(-26.114500 -106.509003 519.519958)(-22.224501 -106.913002 528.226013)(-20.822300 -106.959999 531.364014)(-42.201599 -106.249001 519.438965)(-22.224501 -106.913002 528.226013)(-66.859001 -105.430000 519.893982)(-42.201599 -106.249001 519.438965)(-20.822300 -106.959999 531.364014)(-108.653000 -104.425995 520.135010)(-86.876701 -104.764999 520.263000)(-65.292999 -106.380997 532.132019)(-119.135002 -99.620003 544.377991)(-119.115997 -103.874001 538.150024)(-65.370003 -104.758003 538.934998)(41.865200 -101.732002 362.399017)(41.556400 -100.463005 358.989014)(42.863998 -99.831001 365.808014)(41.865200 -101.732002 362.399017)(42.863998 -99.831001 365.808014)(41.561699 -103.788002 363.302002)(42.863998 -100.806000 371.921997)(41.561699 -103.788002 363.302002)(42.863998 -99.831001 365.808014)(42.499302 -98.357994 362.348999)(42.863998 -99.831001 365.808014)(41.556400 -100.463005 358.989014)(-160.835999 -49.456997 361.252991)(-149.495010 -97.790001 363.494995)(-162.182007 -97.984001 368.515015)(-170.673004 -103.360001 379.378998)(-162.182007 -97.984001 368.515015)(-149.495010 -97.790001 363.494995)(-168.220993 -98.103004 371.578979)(-162.182007 -97.984001 368.515015)(-170.673004 -103.360001 379.378998)(-160.835999 -49.456997 361.252991)(-162.182007 -97.984001 368.515015)(-168.220993 -98.103004 371.578979)(-160.835999 -49.456997 361.252991)(-168.220993 -98.103004 371.578979)(-174.177002 -95.821999 377.274994)(-174.177002 -95.821999 377.274994)(-168.220993 -98.103004 371.578979)(-170.673004 -103.360001 379.378998)(7.603000 -87.778999 354.873016)(0.980996 -99.698997 357.934998)(-19.615000 -101.438995 357.934998)(21.541000 -102.112000 357.934998)(0.980996 -99.698997 357.934998)(7.603000 -87.778999 354.873016)(24.572001 -88.039001 354.567993)(21.541000 -102.112000 357.934998)(7.603000 -87.778999 354.873016)(42.863998 -100.806000 371.921997)(44.018997 -98.164001 388.927002)(42.863998 -101.720001 385.408997)(42.863998 -100.806000 371.921997)(44.020000 -97.305000 375.981018)(44.018997 -98.164001 388.927002)(44.018997 -98.164001 388.927002)(44.020000 -97.305000 375.981018)(45.589001 -92.432999 396.824982)(44.018997 -98.886993 401.951996)(42.863998 -101.720001 385.408997)(44.018997 -98.164001 388.927002)(42.863998 -101.720001 385.408997)(44.018997 -98.886993 401.951996)(42.862999 -102.489998 398.992981)(42.340900 -103.037003 383.490997)(42.863998 -101.720001 385.408997)(42.862999 -102.489998 398.992981)(41.571098 -104.264000 368.078003)(42.340900 -103.037003 383.490997)(42.862999 -102.489998 398.992981)(42.863998 -101.720001 385.408997)(42.340900 -103.037003 383.490997)(41.570900 -104.259003 367.989990)(41.570900 -104.259003 367.989990)(42.340900 -103.037003 383.490997)(41.571098 -104.264000 368.078003)(42.862999 -102.489998 398.992981)(44.018997 -98.886993 401.951996)(43.928001 -100.006996 421.527008)(-179.389999 -94.904999 463.443024)(-179.389999 -90.622002 401.414978)(-174.260010 -101.861000 393.664001)(-174.260010 -101.861000 393.664001)(-174.260010 -101.861000 461.351013)(-179.389999 -94.904999 463.443024)(-108.822998 -104.429001 442.579010)(-174.260010 -101.861000 393.664001)(22.221699 -109.572998 454.324005)(-174.260010 -101.861000 393.664001)(-108.822998 -104.429001 442.579010)(-174.260010 -101.861000 461.351013)(-108.781998 -104.431000 461.050995)(-174.260010 -101.861000 461.351013)(-108.822998 -104.429001 442.579010)(-179.389999 -88.012001 388.846008)(-179.389999 -90.622002 401.414978)(-179.389999 -94.904999 463.443024)(-179.389999 -88.012001 388.846008)(-174.260010 -101.861000 393.664001)(-179.389999 -90.622002 401.414978)(-121.857002 -101.837997 361.869019)(-101.926003 -100.093002 357.934998)(-101.896004 -104.075996 362.724976)(-101.896004 -104.075996 362.724976)(-170.673004 -103.360001 379.378998)(-121.857002 -101.837997 361.869019)(-101.896004 -104.075996 362.724976)(-101.926003 -100.093002 357.934998)(-81.347000 -100.429001 357.934998)(-81.347000 -100.429001 357.934998)(-101.926003 -100.093002 357.934998)(-94.212006 -86.218002 356.704010)(-174.260010 -101.861000 393.664001)(-170.673004 -103.360001 379.378998)(-101.896004 -104.075996 362.724976)(-60.763000 -103.795998 362.724976)(-174.260010 -101.861000 393.664001)(-101.896004 -104.075996 362.724976)(-174.260010 -101.861000 393.664001)(-179.389999 -88.012001 388.846008)(-170.673004 -103.360001 379.378998)(-174.177002 -95.821999 377.274994)(-170.673004 -103.360001 379.378998)(-179.389999 -88.012001 388.846008)(-174.260010 -101.861000 461.351013)(-108.742996 -103.891998 479.122986)(-108.733994 -103.766998 483.282013)(-108.742996 -103.891998 479.122986)(-174.260010 -101.861000 461.351013)(-108.750000 -103.984001 476.016022)(-60.763000 -103.795998 362.724976)(22.221699 -109.572998 454.324005)(-174.260010 -101.861000 393.664001)(36.112701 -109.979004 454.970001)(22.221699 -109.572998 454.324005)(-60.763000 -103.795998 362.724976)(41.736801 -106.903999 443.817993)(42.178001 -105.959000 446.110992)(41.753201 -107.167000 451.436005)(41.736801 -106.903999 443.817993)(42.862999 -102.489998 398.992981)(42.178001 -105.959000 446.110992)(41.761200 -110.111000 455.091003)(41.736801 -106.903999 443.817993)(41.753201 -107.167000 451.436005)(41.586601 -104.509003 375.111023)(41.736801 -106.903999 443.817993)(41.761200 -110.111000 455.091003)(41.586601 -104.509003 375.111023)(41.761200 -110.111000 455.091003)(41.558998 -106.091003 362.724976)(-60.272999 -86.737999 356.092987)(-60.752998 -98.686005 357.934998)(-77.243004 -86.478004 356.397980)(-40.193001 -101.102997 357.934998)(-60.752998 -98.686005 357.934998)(-60.272999 -86.737999 356.092987)(-60.763000 -103.795998 362.724976)(-60.752998 -98.686005 357.934998)(-40.193001 -101.102997 357.934998)(-19.615000 -101.438995 357.934998)(-60.763000 -103.795998 362.724976)(-40.193001 -101.102997 357.934998)(-60.763000 -103.795998 362.724976)(-19.615000 -101.438995 357.934998)(21.573000 -106.091003 362.724976)(21.573000 -106.091003 362.724976)(36.112701 -109.979004 454.970001)(-60.763000 -103.795998 362.724976)(36.112701 -109.979004 454.970001)(21.573000 -106.091003 362.724976)(40.704002 -110.114998 455.193024)(21.573000 -106.091003 362.724976)(41.558998 -106.091003 362.724976)(40.704002 -110.114998 455.193024)(21.573000 -106.091003 362.724976)(41.549000 -103.334000 357.934998)(41.558998 -106.091003 362.724976)(40.704002 -110.114998 455.193024)(41.558998 -106.091003 362.724976)(41.761200 -110.111000 455.091003)(41.560402 -103.690994 363.161011)(41.558998 -106.091003 362.724976)(41.549000 -103.334000 357.934998)(41.571098 -104.264000 368.078003)(41.586601 -104.509003 375.111023)(41.558998 -106.091003 362.724976)(42.858997 -103.848999 437.105011)(42.178001 -105.959000 446.110992)(42.862999 -102.489998 398.992981)(42.070198 -97.139000 359.908020)(42.863998 -96.243004 362.447998)(41.556400 -100.463005 358.989014)(41.560200 -88.260201 356.608978)(42.070198 -97.139000 359.908020)(41.556400 -100.463005 358.989014)(42.070198 -97.139000 359.908020)(41.560200 -88.260201 356.608978)(42.746998 -87.457001 360.680023)(42.863998 -96.243004 362.447998)(42.499302 -98.357994 362.348999)(41.556400 -100.463005 358.989014)(42.863998 -96.243004 362.447998)(42.863998 -99.831001 365.808014)(42.499302 -98.357994 362.348999)(42.863998 -96.243004 362.447998)(44.020000 -96.366005 370.035004)(42.863998 -99.831001 365.808014)(43.692997 -94.530998 366.203003)(44.020000 -96.366005 370.035004)(42.863998 -96.243004 362.447998)(44.020000 -92.696007 366.596985)(44.020000 -96.366005 370.035004)(43.692997 -94.530998 366.203003)(44.275700 -92.553497 368.490997)(44.958000 -88.740997 370.332001)(44.020000 -96.366005 370.035004)(44.020000 -92.696007 366.596985)(44.275700 -92.553497 368.490997)(44.020000 -96.366005 370.035004)(44.958000 -88.740997 370.332001)(44.275700 -92.553497 368.490997)(44.020000 -92.696007 366.596985)(42.863998 -99.831001 365.808014)(44.020000 -96.366005 370.035004)(44.020000 -97.305000 375.981018)(43.362000 -102.135002 430.031006)(42.858997 -103.848999 437.105011)(42.862999 -102.489998 398.992981)(44.020000 -97.305000 375.981018)(44.020000 -96.366005 370.035004)(45.030003 -93.781998 380.053986)(44.020000 -96.366005 370.035004)(45.030003 -92.881996 374.278015)(45.030003 -93.781998 380.053986)(44.763500 -92.553497 372.123016)(45.030003 -92.881996 374.278015)(44.020000 -96.366005 370.035004)(45.030003 -92.881996 374.278015)(45.859001 -90.318001 382.876984)(45.030003 -93.781998 380.053986)(45.589001 -92.432999 396.824982)(45.030003 -93.781998 380.053986)(45.805000 -90.896004 387.692993)(45.589001 -92.432999 396.824982)(44.993999 -95.351006 404.143005)(44.018997 -98.886993 401.951996)(44.018997 -98.886993 401.951996)(44.993999 -95.351006 404.143005)(43.928001 -100.006996 421.527008)(45.030003 -93.781998 380.053986)(45.859001 -90.318001 382.876984)(45.805000 -90.896004 387.692993)(41.541000 -88.298996 354.263000)(41.549000 -103.334000 357.934998)(24.572001 -88.039001 354.567993)(41.541000 -88.298996 354.263000)(41.556400 -100.463005 358.989014)(41.549000 -103.334000 357.934998)(41.549000 -103.334000 357.934998)(21.541000 -102.112000 357.934998)(24.572001 -88.039001 354.567993)(42.746998 -87.457001 360.680023)(43.809998 -88.031998 364.948975)(42.863998 -96.243004 362.447998)(-174.177002 -95.821999 377.274994)(-173.537003 -47.617001 368.218018)(-160.835999 -49.456997 361.252991)(-108.735001 -83.295006 356.660004)(-101.926003 -100.093002 357.934998)(-118.275002 -79.184006 356.402008)(-102.599998 -84.996002 356.729004)(-101.926003 -100.093002 357.934998)(-108.735001 -83.295006 356.660004)(-173.537003 -47.617001 368.218018)(-174.177002 -95.821999 377.274994)(-179.389999 -88.012001 388.846008)(41.916500 -100.043999 525.991028)(41.899799 -108.604996 518.491028)(41.912899 -101.700996 524.294006)(41.918198 -99.487000 526.510986)(41.899799 -108.604996 518.491028)(41.916500 -100.043999 525.991028)(41.973000 -92.264999 551.796997)(41.939301 -87.826401 536.362000)(41.950302 -78.220802 541.342041)(41.939301 -87.826401 536.362000)(41.973000 -92.264999 551.796997)(41.933102 -91.898705 533.554016)(41.932800 -92.076797 533.430969)(41.931801 -95.781898 532.832031)(41.918198 -99.487000 526.510986)(41.931801 -95.781898 532.832031)(41.945698 -96.386406 539.153992)(41.918198 -99.487000 526.510986)(41.932800 -92.076797 533.430969)(41.945698 -96.386406 539.153992)(41.931801 -95.781898 532.832031)(41.933102 -91.898705 533.554016)(41.945698 -96.386406 539.153992)(41.932800 -92.076797 533.430969)(41.973000 -92.264999 551.796997)(41.945698 -96.386406 539.153992)(41.933102 -91.898705 533.554016)(41.973000 -92.264999 551.796997)(41.965000 -100.874001 547.864990)(41.945698 -96.386406 539.153992)(41.965000 -100.874001 547.864990)(41.973000 -92.264999 551.796997)(-11.602000 -95.147995 550.136963)(41.965000 -100.874001 547.864990)(-11.602000 -95.147995 550.136963)(-11.644000 -101.392998 545.932007)(41.950302 -78.220802 541.342041)(41.952099 -75.767197 542.196960)(41.973000 -92.264999 551.796997)(41.959503 -57.327599 545.482971)(41.978001 -54.875000 553.933960)(41.958000 -62.816700 544.821960)(41.952099 -75.767197 542.196960)(41.956997 -65.602196 544.356995)(41.973000 -92.264999 551.796997)(41.956997 -65.602196 544.356995)(41.978001 -54.875000 553.933960)(41.973000 -92.264999 551.796997)(41.956997 -65.602196 544.356995)(41.958000 -62.816700 544.821960)(41.978001 -54.875000 553.933960)(-11.602000 -95.147995 550.136963)(-11.504000 -88.339996 551.713013)(-65.251999 -87.443001 550.935974)(-65.389000 -100.506996 545.154968)(-11.625000 -105.641998 539.717957)(-11.644000 -101.392998 545.932007)(-11.644000 -101.392998 545.932007)(-11.625000 -105.641998 539.717957)(41.951000 -105.669998 541.840942)(31.407400 -107.657997 534.888977)(31.999201 -107.987000 533.562012)(41.932999 -108.151001 533.707947)(31.407400 -107.657997 534.888977)(41.932999 -108.151001 533.707947)(41.951000 -105.669998 541.840942)(30.941299 -107.333000 535.933960)(31.407400 -107.657997 534.888977)(41.951000 -105.669998 541.840942)(20.557201 -107.150002 536.106995)(30.941299 -107.333000 535.933960)(41.951000 -105.669998 541.840942)(20.557201 -107.150002 536.106995)(41.951000 -105.669998 541.840942)(-11.625000 -105.641998 539.717957)(-11.625000 -105.641998 539.717957)(-11.589200 -106.377998 536.640991)(20.557201 -107.150002 536.106995)(-16.271900 -106.265999 536.718994)(-11.589200 -106.377998 536.640991)(-11.625000 -105.641998 539.717957)(-18.422001 -106.220001 536.732971)(-16.271900 -106.265999 536.718994)(-11.625000 -105.641998 539.717957)(41.898003 -109.456001 517.320007)(36.370399 -108.790001 523.738953)(37.233700 -109.096001 521.663025)(41.898003 -109.456001 517.320007)(37.233700 -109.096001 521.663025)(38.056900 -109.357994 519.747986)(41.898003 -109.456001 517.320007)(38.056900 -109.357994 519.747986)(39.058498 -109.678001 517.416992)(41.898003 -109.456001 517.320007)(39.058498 -109.678001 517.416992)(39.313801 -109.762993 516.816040)(41.898003 -109.456001 517.320007)(39.313801 -109.762993 516.816040)(39.559902 -109.838005 516.250000)(33.232800 -107.897995 530.796021)(36.370399 -108.790001 523.738953)(41.898003 -109.456001 517.320007)(41.965000 -100.874001 547.864990)(41.951000 -105.669998 541.840942)(41.932999 -108.151001 533.707947)(41.899799 -108.604996 518.491028)(41.932999 -108.151001 533.707947)(41.898003 -109.456001 517.320007)(41.898197 -105.878998 517.421997)(41.899799 -108.604996 518.491028)(41.898003 -109.456001 517.320007)(41.905300 -106.750000 521.044006)(41.932999 -108.151001 533.707947)(41.899799 -108.604996 518.491028)(41.918198 -99.487000 526.510986)(41.905300 -106.750000 521.044006)(41.899799 -108.604996 518.491028)(41.918198 -99.487000 526.510986)(41.932999 -108.151001 533.707947)(41.905300 -106.750000 521.044006)(41.965000 -100.874001 547.864990)(41.932999 -108.151001 533.707947)(41.918198 -99.487000 526.510986)(45.589001 92.432999 396.824982)(44.018997 98.886993 401.951996)(44.993999 95.351006 404.143005)(44.018997 98.886993 401.951996)(45.589001 92.432999 396.824982)(44.018997 98.164001 388.927002)(44.993999 95.351006 404.143005)(44.018997 98.886993 401.951996)(43.928001 100.006996 421.527008)(43.362000 102.135002 430.031006)(42.862999 102.489998 398.992981)(42.858997 103.848999 437.105011)(43.928001 100.006996 421.527008)(42.862999 102.489998 398.992981)(43.362000 102.135002 430.031006)(44.018997 98.886993 401.951996)(42.862999 102.489998 398.992981)(43.928001 100.006996 421.527008)(44.020000 97.305000 375.981018)(44.018997 98.164001 388.927002)(45.589001 92.432999 396.824982)(44.018997 98.164001 388.927002)(42.863998 101.720001 385.408997)(44.018997 98.886993 401.951996)(42.863998 100.806000 371.921997)(42.863998 101.720001 385.408997)(44.018997 98.164001 388.927002)(44.020000 97.305000 375.981018)(42.863998 100.806000 371.921997)(44.018997 98.164001 388.927002)(42.863998 99.831001 365.808014)(42.863998 100.806000 371.921997)(44.020000 97.305000 375.981018)(45.030003 92.881996 374.278015)(44.020000 96.366005 370.035004)(45.030003 93.781998 380.053986)(44.020000 96.366005 370.035004)(44.020000 97.305000 375.981018)(45.030003 93.781998 380.053986)(44.020000 96.366005 370.035004)(42.863998 99.831001 365.808014)(44.020000 97.305000 375.981018)(42.863998 99.831001 365.808014)(44.020000 96.366005 370.035004)(42.863998 96.243004 362.447998)(42.863998 99.831001 365.808014)(42.499302 98.357994 362.348999)(41.556400 100.463005 358.989014)(42.499302 98.357994 362.348999)(42.863998 99.831001 365.808014)(42.863998 96.243004 362.447998)(42.143700 102.505997 367.603973)(41.570801 104.253998 367.906982)(42.863998 100.806000 371.921997)(41.561699 103.788002 363.302002)(42.143700 102.505997 367.603973)(42.863998 100.806000 371.921997)(41.865200 101.732002 362.399017)(41.561699 103.788002 363.302002)(42.863998 99.831001 365.808014)(41.556400 100.463005 358.989014)(41.561699 103.788002 363.302002)(41.865200 101.732002 362.399017)(41.556400 100.463005 358.989014)(41.561699 103.788002 363.302002)(41.560402 103.690994 363.161011)(41.549000 103.334000 357.934998)(41.556400 100.463005 358.989014)(41.541000 88.298996 354.263000)(41.549000 103.334000 357.934998)(41.541000 88.298996 354.263000)(24.572001 88.039001 354.567993)(41.549000 103.334000 357.934998)(41.560402 103.690994 363.161011)(41.556400 100.463005 358.989014)(42.863998 99.831001 365.808014)(41.561699 103.788002 363.302002)(42.863998 100.806000 371.921997)(41.556400 100.463005 358.989014)(41.560200 88.260201 356.608978)(41.541000 88.298996 354.263000)(24.572001 88.039001 354.567993)(21.541000 102.112000 357.934998)(41.549000 103.334000 357.934998)(41.563000 103.900002 364.347992)(42.143700 102.505997 367.603973)(41.561699 103.788002 363.302002)(41.558998 106.091003 362.724976)(41.570801 104.253998 367.906982)(41.563000 103.900002 364.347992)(41.558998 106.091003 362.724976)(41.563000 103.900002 364.347992)(41.561699 103.788002 363.302002)(41.558998 106.091003 362.724976)(41.570900 104.259003 367.989990)(41.570801 104.253998 367.906982)(41.558998 106.091003 362.724976)(41.561699 103.788002 363.302002)(41.560402 103.690994 363.161011)(41.571098 104.264000 368.078003)(41.570900 104.259003 367.989990)(41.558998 106.091003 362.724976)(42.340900 103.037003 383.490997)(41.570900 104.259003 367.989990)(41.571098 104.264000 368.078003)(41.571098 104.264000 368.078003)(42.862999 102.489998 398.992981)(42.340900 103.037003 383.490997)(41.570900 104.259003 367.989990)(42.340900 103.037003 383.490997)(42.863998 101.720001 385.408997)(41.560200 88.260201 356.608978)(41.556400 100.463005 358.989014)(42.070198 97.139000 359.908020)(41.556400 100.463005 358.989014)(42.863998 96.243004 362.447998)(42.070198 97.139000 359.908020)(42.070198 97.139000 359.908020)(42.863998 96.243004 362.447998)(42.746998 87.457001 360.680023)(42.863998 101.720001 385.408997)(42.340900 103.037003 383.490997)(42.862999 102.489998 398.992981)(24.572001 88.039001 354.567993)(7.603000 87.778999 354.873016)(21.541000 102.112000 357.934998)(0.980996 99.698997 357.934998)(7.603000 87.778999 354.873016)(-19.615000 101.438995 357.934998)(7.603000 87.778999 354.873016)(0.980996 99.698997 357.934998)(21.541000 102.112000 357.934998)(0.980996 99.698997 357.934998)(21.573000 106.091003 362.724976)(21.541000 102.112000 357.934998)(41.586601 104.509003 375.111023)(41.571098 104.264000 368.078003)(41.558998 106.091003 362.724976)(41.761200 110.111000 455.091003)(41.586601 104.509003 375.111023)(41.558998 106.091003 362.724976)(41.761200 110.111000 455.091003)(41.736801 106.903999 443.817993)(41.586601 104.509003 375.111023)(41.761200 110.111000 455.091003)(41.558998 106.091003 362.724976)(40.704002 110.114998 455.193024)(40.704002 110.114998 455.193024)(21.573000 106.091003 362.724976)(36.112701 109.979004 454.970001)(-20.822300 106.959999 531.364014)(-66.859001 105.430000 519.893982)(-86.876701 104.764999 520.263000)(-65.292999 106.380997 532.132019)(-20.822300 106.959999 531.364014)(-86.876701 104.764999 520.263000)(-65.292999 106.380997 532.132019)(-86.876701 104.764999 520.263000)(-108.653000 104.425995 520.135010)(-65.292999 106.380997 532.132019)(-108.653000 104.425995 520.135010)(-174.260010 101.861000 505.577972)(-11.589200 106.377998 536.640991)(-11.625000 105.641998 539.717957)(20.557201 107.150002 536.106995)(-16.271900 106.265999 536.718994)(-11.625000 105.641998 539.717957)(-11.589200 106.377998 536.640991)(41.932999 108.151001 533.707947)(41.951000 105.669998 541.840942)(41.965000 100.874001 547.864990)(31.407400 107.657997 534.888977)(41.951000 105.669998 541.840942)(41.932999 108.151001 533.707947)(35.002499 108.396004 526.828003)(31.999201 107.987000 533.562012)(41.932999 108.151001 533.707947)(31.999201 107.987000 533.562012)(31.407400 107.657997 534.888977)(41.932999 108.151001 533.707947)(31.407400 107.657997 534.888977)(30.941299 107.333000 535.933960)(41.951000 105.669998 541.840942)(41.951000 105.669998 541.840942)(20.557201 107.150002 536.106995)(-11.625000 105.641998 539.717957)(-22.224501 106.913002 528.226013)(-26.114500 106.509003 519.519958)(-42.201599 106.249001 519.438965)(-20.822300 106.959999 531.364014)(-22.224501 106.913002 528.226013)(-42.201599 106.249001 519.438965)(-42.543900 106.000999 535.635986)(-19.717800 106.887001 533.835999)(-20.182499 107.125000 532.796021)(-65.370003 104.758003 538.934998)(-65.389000 100.506996 545.154968)(-11.625000 105.641998 539.717957)(-65.389000 100.506996 545.154968)(-11.644000 101.392998 545.932007)(-11.625000 105.641998 539.717957)(-174.260010 101.861000 505.577972)(-141.460007 102.950996 488.976990)(-174.260010 101.861000 461.351013)(-108.718002 104.039001 490.179993)(-174.260010 101.861000 461.351013)(-141.460007 102.950996 488.976990)(-174.260010 101.861000 461.351013)(-108.718002 104.039001 490.179993)(-108.719994 104.013000 489.520996)(-174.260010 101.861000 461.351013)(-108.719994 104.013000 489.520996)(-108.719994 104.005997 489.352997)(-108.733994 103.766998 483.282013)(-108.742996 103.891998 479.122986)(-174.260010 101.861000 461.351013)(-174.260010 101.861000 461.351013)(-108.719994 104.005997 489.352997)(-108.733994 103.766998 483.282013)(-65.389000 100.506996 545.154968)(-119.135002 99.620003 544.377991)(-119.093002 93.363998 548.587952)(-65.347000 94.255997 549.362000)(-65.389000 100.506996 545.154968)(-119.093002 93.363998 548.587952)(-119.041000 105.494003 531.342041)(-174.260010 101.861000 505.577972)(-174.260010 101.861000 527.593018)(-11.644000 101.392998 545.932007)(-65.389000 100.506996 545.154968)(-65.347000 94.255997 549.362000)(-11.602000 95.147995 550.136963)(-11.644000 101.392998 545.932007)(-65.347000 94.255997 549.362000)(41.965000 100.874001 547.864990)(-11.644000 101.392998 545.932007)(-11.602000 95.147995 550.136963)(-108.718002 104.039001 490.179993)(-141.460007 102.950996 488.976990)(-108.691002 104.039993 502.781982)(-108.690002 104.039993 503.285004)(-108.691002 104.039993 502.781982)(-141.460007 102.950996 488.976990)(-108.661003 104.041000 516.291992)(-108.662003 104.041000 516.104004)(-141.460007 102.950996 488.976990)(-174.260010 101.861000 505.577972)(-108.653000 104.425995 520.135010)(-108.661003 104.041000 516.601990)(-108.661003 104.041000 516.601990)(-141.460007 102.950996 488.976990)(-174.260010 101.861000 505.577972)(-119.135002 99.620003 544.377991)(-65.389000 100.506996 545.154968)(-65.370003 104.758003 538.934998)(41.973000 92.264999 551.796997)(41.965000 100.874001 547.864990)(-11.602000 95.147995 550.136963)(41.973000 92.264999 551.796997)(-11.602000 95.147995 550.136963)(-11.504000 88.339996 551.713013)(41.898003 109.456001 517.320007)(41.898197 105.878998 517.421997)(41.897800 106.003998 517.218018)(41.898003 109.456001 517.320007)(41.897800 106.003998 517.218018)(41.892399 107.468002 514.809021)(35.002499 108.396004 526.828003)(41.898003 109.456001 517.320007)(39.559902 109.838005 516.250000)(39.559902 109.838005 516.250000)(41.898003 109.456001 517.320007)(41.882999 112.118996 510.591980)(41.890499 109.061005 513.955994)(41.898003 109.456001 517.320007)(41.892399 107.468002 514.809021)(41.890499 109.061005 513.955994)(41.892399 107.468002 514.809021)(41.885101 109.429001 511.524963)(41.898003 109.456001 517.320007)(41.890499 109.061005 513.955994)(41.882999 112.118996 510.591980)(41.973000 92.264999 551.796997)(41.933102 91.898705 533.554016)(41.945698 96.386406 539.153992)(41.932800 92.076797 533.430969)(41.945698 96.386406 539.153992)(41.933102 91.898705 533.554016)(41.965000 100.874001 547.864990)(41.973000 92.264999 551.796997)(41.945698 96.386406 539.153992)(41.965000 100.874001 547.864990)(41.945698 96.386406 539.153992)(41.918198 99.487000 526.510986)(41.918198 99.487000 526.510986)(41.931801 95.781898 532.832031)(41.932800 92.076797 533.430969)(41.945698 96.386406 539.153992)(41.931801 95.781898 532.832031)(41.918198 99.487000 526.510986)(41.931801 95.781898 532.832031)(41.945698 96.386406 539.153992)(41.932800 92.076797 533.430969)(41.973000 92.264999 551.796997)(41.939301 87.826401 536.362000)(41.933102 91.898705 533.554016)(41.978001 54.875000 553.933960)(41.959400 56.295303 545.449036)(41.959503 57.327599 545.482971)(41.958000 62.816700 544.821960)(41.978001 54.875000 553.933960)(41.959503 57.327599 545.482971)(41.956997 65.602196 544.356995)(41.978001 54.875000 553.933960)(41.958000 62.816700 544.821960)(41.956997 65.602196 544.356995)(41.973000 92.264999 551.796997)(41.978001 54.875000 553.933960)(41.962200 30.018700 546.692017)(41.959202 53.446301 545.358032)(41.978001 54.875000 553.933960)(41.950302 78.220802 541.342041)(41.973000 92.264999 551.796997)(41.952099 75.767197 542.196960)(41.939301 87.826401 536.362000)(41.973000 92.264999 551.796997)(41.950302 78.220802 541.342041)(41.962200 30.018700 546.692017)(41.968597 1.151140 549.645996)(41.960796 0.000000 546.080994)(41.968597 -1.151140 549.645996)(41.960796 0.000000 546.080994)(41.968597 1.151140 549.645996)(41.960796 0.000000 546.080994)(41.968597 -1.151140 549.645996)(41.962200 -30.018700 546.692017)(41.952099 75.767197 542.196960)(41.973000 92.264999 551.796997)(41.956997 65.602196 544.356995)(-11.602000 95.147995 550.136963)(-65.347000 94.255997 549.362000)(-65.251999 87.443001 550.935974)(41.959400 56.295303 545.449036)(41.978001 54.875000 553.933960)(41.959202 53.446301 545.358032)(-11.625000 105.641998 539.717957)(-11.644000 101.392998 545.932007)(41.951000 105.669998 541.840942)(41.882999 112.118996 510.591980)(41.890499 109.061005 513.955994)(41.883400 110.609001 510.778015)(-119.115997 103.874001 538.150024)(-119.041000 105.494003 531.342041)(-174.260010 101.861000 527.593018)(41.885101 -109.429001 511.524963)(41.890499 -109.061005 513.955994)(41.883400 -110.609001 510.778015)(41.897800 -106.003998 517.218018)(41.898003 -109.456001 517.320007)(41.892399 -107.468002 514.809021)(41.892399 -107.468002 514.809021)(41.898003 -109.456001 517.320007)(41.890499 -109.061005 513.955994)(41.892399 -107.468002 514.809021)(41.890499 -109.061005 513.955994)(41.885101 -109.429001 511.524963)(41.883400 -110.609001 510.778015)(41.890499 -109.061005 513.955994)(41.882999 -112.118996 510.591980)(41.890499 -109.061005 513.955994)(41.898003 -109.456001 517.320007)(41.882999 -112.118996 510.591980)(-81.347000 100.429001 357.934998)(-101.896004 104.075996 362.724976)(-60.763000 103.795998 362.724976)(-60.763000 103.795998 362.724976)(-60.752998 98.686005 357.934998)(-81.347000 100.429001 357.934998)(-40.193001 101.102997 357.934998)(-60.752998 98.686005 357.934998)(-60.763000 103.795998 362.724976)(-77.243004 86.478004 356.397980)(-60.752998 98.686005 357.934998)(-60.272999 86.737999 356.092987)(-60.752998 98.686005 357.934998)(-77.243004 86.478004 356.397980)(-81.347000 100.429001 357.934998)(-40.193001 101.102997 357.934998)(-60.763000 103.795998 362.724976)(-19.615000 101.438995 357.934998)(-60.763000 103.795998 362.724976)(21.573000 106.091003 362.724976)(-19.615000 101.438995 357.934998)(-101.896004 104.075996 362.724976)(-174.260010 101.861000 393.664001)(-60.763000 103.795998 362.724976)(-19.615000 101.438995 357.934998)(-26.334999 87.259003 355.483002)(-40.193001 101.102997 357.934998)(-173.869995 0.441005 366.456970)(-179.389999 -0.441005 375.324982)(-179.389999 0.441005 375.324982)(-121.857002 101.837997 361.869019)(-170.673004 103.360001 379.378998)(-101.896004 104.075996 362.724976)(-149.495010 97.790001 363.494995)(-170.673004 103.360001 379.378998)(-121.857002 101.837997 361.869019)(-173.537003 -47.617001 368.218018)(-173.869995 -0.441005 366.456970)(-160.667999 -0.441005 359.252991)(-173.869995 -0.441005 366.456970)(-173.537003 -47.617001 368.218018)(-175.944000 -44.369999 373.253998)(-175.944000 -44.369999 373.253998)(-173.537003 -47.617001 368.218018)(-179.389999 -88.012001 388.846008)(-160.667999 -0.441005 359.252991)(-173.869995 -0.441005 366.456970)(-160.667999 0.441005 359.252991)(-173.869995 -0.441005 366.456970)(-179.389999 -0.441005 375.324982)(-173.869995 0.441005 366.456970)(-173.869995 -0.441005 366.456970)(-173.869995 0.441005 366.456970)(-160.667999 0.441005 359.252991)(-160.667999 -0.441005 359.252991)(-160.667999 0.441005 359.252991)(-145.686996 0.441004 355.087006)(-148.231003 49.443001 357.250977)(-145.686996 0.441004 355.087006)(-160.667999 0.441005 359.252991)(-140.007004 29.219000 354.571991)(-148.231003 49.443001 357.250977)(-135.472000 47.260002 354.721985)(-140.007004 29.219000 354.571991)(-141.477005 23.040001 354.537018)(-148.231003 49.443001 357.250977)(-141.477005 23.040001 354.537018)(-145.686996 0.441004 355.087006)(-148.231003 49.443001 357.250977)(-141.477005 0.000000 354.537018)(-145.686996 0.441004 355.087006)(-141.477005 23.040001 354.537018)(-145.686996 -0.441004 355.087006)(-145.686996 0.441004 355.087006)(-141.477005 0.000000 354.537018)(-173.537003 47.617001 368.218018)(-160.667999 0.441005 359.252991)(-173.869995 0.441005 366.456970)(-175.944000 44.369999 373.253998)(-173.537003 47.617001 368.218018)(-173.869995 0.441005 366.456970)(-170.673004 103.360001 379.378998)(-162.182007 97.984001 368.515015)(-168.220993 98.103004 371.578979)(-160.835999 49.456997 361.252991)(-168.220993 98.103004 371.578979)(-162.182007 97.984001 368.515015)(-170.673004 103.360001 379.378998)(-168.220993 98.103004 371.578979)(-174.177002 95.821999 377.274994)(-174.177002 95.821999 377.274994)(-179.389999 88.012001 388.846008)(-170.673004 103.360001 379.378998)(-179.389999 88.012001 388.846008)(-174.177002 95.821999 377.274994)(-173.537003 47.617001 368.218018)(-174.177002 95.821999 377.274994)(-160.835999 49.456997 361.252991)(-173.537003 47.617001 368.218018)(-174.177002 95.821999 377.274994)(-168.220993 98.103004 371.578979)(-160.835999 49.456997 361.252991)(-160.835999 49.456997 361.252991)(-162.182007 97.984001 368.515015)(-149.495010 97.790001 363.494995)(-149.495010 97.790001 363.494995)(-148.231003 49.443001 357.250977)(-160.835999 49.456997 361.252991)(-160.667999 0.441005 359.252991)(-173.537003 47.617001 368.218018)(-160.835999 49.456997 361.252991)(-170.673004 103.360001 379.378998)(-179.389999 88.012001 388.846008)(-174.260010 101.861000 393.664001)(-179.389999 94.904999 463.443024)(-174.260010 101.861000 393.664001)(-179.389999 90.622002 401.414978)(-179.389999 90.622002 401.414978)(-174.260010 101.861000 393.664001)(-179.389999 88.012001 388.846008)(-162.182007 97.984001 368.515015)(-170.673004 103.360001 379.378998)(-149.495010 97.790001 363.494995)(-121.857002 101.837997 361.869019)(-101.896004 104.075996 362.724976)(-101.926003 100.093002 357.934998)(-40.193001 101.102997 357.934998)(-26.334999 87.259003 355.483002)(-60.272999 86.737999 356.092987)(-101.926003 100.093002 357.934998)(-118.275002 79.184006 356.402008)(-121.857002 101.837997 361.869019)(-118.275002 79.184006 356.402008)(-101.926003 100.093002 357.934998)(-108.735001 83.295006 356.660004)(-118.275002 79.184006 356.402008)(-124.982994 72.045998 355.863983)(-121.857002 101.837997 361.869019)(-121.857002 101.837997 361.869019)(-124.982994 72.045998 355.863983)(-135.472000 47.260002 354.721985)(-81.347000 100.429001 357.934998)(-94.212006 86.218002 356.704010)(-101.926003 100.093002 357.934998)(-94.212006 86.218002 356.704010)(-102.599998 84.996002 356.729004)(-101.926003 100.093002 357.934998)(-170.673004 103.360001 379.378998)(-174.260010 101.861000 393.664001)(-101.896004 104.075996 362.724976)(41.558998 106.091003 362.724976)(41.560402 103.690994 363.161011)(41.549000 103.334000 357.934998)(21.573000 106.091003 362.724976)(41.558998 106.091003 362.724976)(41.549000 103.334000 357.934998)(7.603000 -87.778999 354.873016)(-19.615000 -101.438995 357.934998)(-26.334999 -87.259003 355.483002)(41.556400 100.463005 358.989014)(42.499302 98.357994 362.348999)(42.863998 96.243004 362.447998)(-179.389999 -0.441005 375.324982)(-173.869995 -0.441005 366.456970)(-175.944000 -44.369999 373.253998)(42.862999 -102.489998 398.992981)(41.586601 -104.509003 375.111023)(41.571098 -104.264000 368.078003)(41.959202 -53.446301 545.358032)(41.978001 -54.875000 553.933960)(41.959400 -56.295303 545.449036)(44.958000 -88.740997 370.332001)(44.763500 -92.553497 372.123016)(44.020000 -96.366005 370.035004)(41.978001 54.875000 553.933960)(41.978001 0.000000 553.933960)(41.968597 1.151140 549.645996)(41.962200 30.018700 546.692017)(41.978001 54.875000 553.933960)(41.968597 1.151140 549.645996)(43.809998 -88.031998 364.948975)(44.958000 -88.740997 370.332001)(44.020000 -92.696007 366.596985)(41.570900 -104.259003 367.989990)(41.571098 -104.264000 368.078003)(41.558998 -106.091003 362.724976)(41.968597 -1.151140 549.645996)(41.978001 -54.875000 553.933960)(41.962200 -30.018700 546.692017)(-60.752998 -98.686005 357.934998)(-81.347000 -100.429001 357.934998)(-77.243004 -86.478004 356.397980)(-108.662003 104.041000 516.104004)(-108.690002 104.039993 503.285004)(-141.460007 102.950996 488.976990)(36.112701 109.979004 454.970001)(-60.763000 103.795998 362.724976)(22.221699 109.572998 454.324005)(-108.750000 103.984001 476.016022)(-174.260010 101.861000 461.351013)(-108.742996 103.891998 479.122986)(-108.750000 103.984001 476.016022)(-108.781998 104.431000 461.050995)(-174.260010 101.861000 461.351013)(21.541000 102.112000 357.934998)(21.573000 106.091003 362.724976)(41.549000 103.334000 357.934998)(-18.422001 -106.220001 536.732971)(-11.625000 -105.641998 539.717957)(-38.479599 -105.834000 536.674011)(-65.370003 -104.758003 538.934998)(-38.479599 -105.834000 536.674011)(-11.625000 -105.641998 539.717957)(-38.479599 -105.834000 536.674011)(-19.717800 -106.887001 533.835999)(-18.810200 -106.418999 535.867004)(-38.479599 -105.834000 536.674011)(-18.810200 -106.418999 535.867004)(-18.422001 -106.220001 536.732971)(-38.479599 105.834000 536.674011)(-18.810200 106.418999 535.867004)(-19.717800 106.887001 533.835999)(44.020000 -92.696007 366.596985)(43.692997 -94.530998 366.203003)(42.863998 -96.243004 362.447998)(44.020000 -97.305000 375.981018)(45.030003 -93.781998 380.053986)(45.589001 -92.432999 396.824982)(20.557201 107.150002 536.106995)(41.951000 105.669998 541.840942)(30.941299 107.333000 535.933960)(39.559902 -109.838005 516.250000)(41.882999 -112.118996 510.591980)(41.898003 -109.456001 517.320007)(41.556400 100.463005 358.989014)(41.865200 101.732002 362.399017)(42.863998 99.831001 365.808014)(-108.822998 104.429001 442.579010)(22.221699 109.572998 454.324005)(-174.260010 101.861000 393.664001)(-20.822300 106.959999 531.364014)(-42.201599 106.249001 519.438965)(-66.859001 105.430000 519.893982)(43.809998 -88.031998 364.948975)(44.020000 -92.696007 366.596985)(42.863998 -96.243004 362.447998)(-108.691002 -104.039993 502.781982)(-141.460007 -102.950996 488.976990)(-108.718002 -104.039001 490.179993)(-108.719994 -104.005997 489.352997)(-108.719994 -104.013000 489.520996)(-174.260010 -101.861000 461.351013)(-174.260010 -101.861000 461.351013)(-108.719994 -104.013000 489.520996)(-108.718002 -104.039001 490.179993)(41.883400 110.609001 510.778015)(41.890499 109.061005 513.955994)(41.885101 109.429001 511.524963)(-101.926003 100.093002 357.934998)(-101.896004 104.075996 362.724976)(-81.347000 100.429001 357.934998)(41.549000 -103.334000 357.934998)(21.573000 -106.091003 362.724976)(21.541000 -102.112000 357.934998)(-42.543900 -106.000999 535.635986)(-20.182499 -107.125000 532.796021)(-19.717800 -106.887001 533.835999)(-65.389000 -100.506996 545.154968)(-65.370003 -104.758003 538.934998)(-11.625000 -105.641998 539.717957)(-42.543900 106.000999 535.635986)(-20.182499 107.125000 532.796021)(-65.292999 106.380997 532.132019)(41.968597 -1.151140 549.645996)(41.978001 0.000000 553.933960)(41.978001 -54.875000 553.933960)(41.570900 -104.259003 367.989990)(42.863998 -100.806000 371.921997)(42.863998 -101.720001 385.408997)(44.958000 -88.740997 370.332001)(45.030003 -92.881996 374.278015)(44.763500 -92.553497 372.123016)(41.556400 -100.463005 358.989014)(41.541000 -88.298996 354.263000)(41.560200 -88.260201 356.608978)(41.912899 101.700996 524.294006)(41.899799 108.604996 518.491028)(41.916500 100.043999 525.991028)(-77.243004 86.478004 356.397980)(-94.212006 86.218002 356.704010)(-81.347000 100.429001 357.934998)(-121.857002 101.837997 361.869019)(-135.472000 47.260002 354.721985)(-149.495010 97.790001 363.494995)(-26.334999 -87.259003 355.483002)(-40.193001 -101.102997 357.934998)(-60.272999 -86.737999 356.092987)(41.945698 -96.386406 539.153992)(41.965000 -100.874001 547.864990)(41.918198 -99.487000 526.510986)(-160.667999 0.441005 359.252991)(-160.835999 49.456997 361.252991)(-148.231003 49.443001 357.250977)(41.570801 104.253998 367.906982)(41.570900 104.259003 367.989990)(42.863998 100.806000 371.921997)(-94.212006 -86.218002 356.704010)(-101.926003 -100.093002 357.934998)(-102.599998 -84.996002 356.729004)(-65.292999 -106.380997 532.132019)(-20.822300 -106.959999 531.364014)(-20.182499 -107.125000 532.796021)(41.556400 -100.463005 358.989014)(41.865200 -101.732002 362.399017)(41.561699 -103.788002 363.302002)(41.560402 -103.690994 363.161011)(41.561699 -103.788002 363.302002)(41.556400 -100.463005 358.989014)(-108.661003 104.041000 516.601990)(-108.661003 104.041000 516.291992)(-141.460007 102.950996 488.976990)(-118.275002 -79.184006 356.402008)(-121.857002 -101.837997 361.869019)(-124.982994 -72.045998 355.863983)(-65.347000 -94.255997 549.362000)(-65.389000 -100.506996 545.154968)(-11.644000 -101.392998 545.932007)(42.863998 100.806000 371.921997)(41.570900 104.259003 367.989990)(42.863998 101.720001 385.408997)(-38.479599 105.834000 536.674011)(-18.422001 106.220001 536.732971)(-18.810200 106.418999 535.867004)(-60.763000 -103.795998 362.724976)(-101.896004 -104.075996 362.724976)(-81.347000 -100.429001 357.934998)(-16.271900 106.265999 536.718994)(-18.422001 106.220001 536.732971)(-11.625000 105.641998 539.717957)(-160.835999 -49.456997 361.252991)(-173.537003 -47.617001 368.218018)(-160.667999 -0.441005 359.252991)(-174.260010 101.861000 461.351013)(-108.822998 104.429001 442.579010)(-174.260010 101.861000 393.664001)(-102.599998 84.996002 356.729004)(-108.735001 83.295006 356.660004)(-101.926003 100.093002 357.934998)(-160.667999 -0.441005 359.252991)(-145.686996 0.441004 355.087006)(-145.686996 -0.441004 355.087006)(0.980996 -99.698997 357.934998)(21.573000 -106.091003 362.724976)(-19.615000 -101.438995 357.934998)(-179.389999 94.904999 463.443024)(-179.389999 90.622002 401.414978)(-179.389999 88.012001 388.846008)(-119.041000 105.494003 531.342041)(-119.115997 103.874001 538.150024)(-65.292999 106.380997 532.132019)(44.020000 96.366005 370.035004)(45.030003 92.881996 374.278015)(44.763500 92.553497 372.123016)(44.020000 96.366005 370.035004)(43.692997 94.530998 366.203003)(42.863998 96.243004 362.447998)(-135.472000 47.260002 354.721985)(-148.231003 49.443001 357.250977)(-149.495010 97.790001 363.494995)(42.862999 -102.489998 398.992981)(41.736801 -106.903999 443.817993)(41.586601 -104.509003 375.111023)(-65.251999 87.443001 550.935974)(-11.504000 88.339996 551.713013)(-11.602000 95.147995 550.136963)(-175.944000 44.369999 373.253998)(-179.389999 41.200001 378.924988)(-179.389999 88.012001 388.846008)(-179.389999 88.012001 388.846008)(-173.537003 47.617001 368.218018)(-175.944000 44.369999 373.253998)(41.898003 109.456001 517.320007)(41.899799 108.604996 518.491028)(41.898197 105.878998 517.421997)(-141.477005 -23.040001 354.537018)(-145.686996 -0.441004 355.087006)(-141.477005 0.000000 354.537018)(-40.193001 101.102997 357.934998)(-60.272999 86.737999 356.092987)(-60.752998 98.686005 357.934998)(0.980996 -99.698997 357.934998)(21.541000 -102.112000 357.934998)(21.573000 -106.091003 362.724976)(-11.644000 -101.392998 545.932007)(-11.602000 -95.147995 550.136963)(-65.347000 -94.255997 549.362000)(-119.041000 105.494003 531.342041)(-65.292999 106.380997 532.132019)(-174.260010 101.861000 505.577972)(-77.243004 -86.478004 356.397980)(-81.347000 -100.429001 357.934998)(-94.212006 -86.218002 356.704010)(41.932999 108.151001 533.707947)(41.965000 100.874001 547.864990)(41.918198 99.487000 526.510986)(42.863998 -100.806000 371.921997)(42.863998 -99.831001 365.808014)(44.020000 -97.305000 375.981018)(41.898197 -105.878998 517.421997)(41.909698 -102.618004 522.785034)(41.899799 -108.604996 518.491028)(-11.625000 105.641998 539.717957)(-18.422001 106.220001 536.732971)(-38.479599 105.834000 536.674011)(44.018997 -98.164001 388.927002)(45.589001 -92.432999 396.824982)(44.018997 -98.886993 401.951996)(41.563000 103.900002 364.347992)(41.570801 104.253998 367.906982)(42.143700 102.505997 367.603973)(-108.661003 -104.041000 516.601990)(-141.460007 -102.950996 488.976990)(-108.661003 -104.041000 516.291992)(41.959400 -56.295303 545.449036)(41.978001 -54.875000 553.933960)(41.959503 -57.327599 545.482971)(-19.615000 101.438995 357.934998)(21.573000 106.091003 362.724976)(0.980996 99.698997 357.934998)(42.863998 101.720001 385.408997)(42.862999 102.489998 398.992981)(44.018997 98.886993 401.951996)(-65.292999 106.380997 532.132019)(-20.182499 107.125000 532.796021)(-20.822300 106.959999 531.364014)(33.232800 -107.897995 530.796021)(41.898003 -109.456001 517.320007)(41.932999 -108.151001 533.707947)(-19.615000 -101.438995 357.934998)(-40.193001 -101.102997 357.934998)(-26.334999 -87.259003 355.483002)(-11.602000 -95.147995 550.136963)(-65.251999 -87.443001 550.935974)(-65.347000 -94.255997 549.362000)(41.736801 106.903999 443.817993)(42.862999 102.489998 398.992981)(41.586601 104.509003 375.111023)(42.178001 105.959000 446.110992)(41.736801 106.903999 443.817993)(41.753201 107.167000 451.436005)(42.178001 105.959000 446.110992)(42.862999 102.489998 398.992981)(41.736801 106.903999 443.817993)(-11.644000 101.392998 545.932007)(41.965000 100.874001 547.864990)(41.951000 105.669998 541.840942)(-108.781998 104.431000 461.050995)(-108.822998 104.429001 442.579010)(-174.260010 101.861000 461.351013)(-60.752998 -98.686005 357.934998)(-60.763000 -103.795998 362.724976)(-81.347000 -100.429001 357.934998)(-86.876701 -104.764999 520.263000)(-20.822300 -106.959999 531.364014)(-65.292999 -106.380997 532.132019)(41.968597 1.151140 549.645996)(41.978001 0.000000 553.933960)(41.968597 -1.151140 549.645996)(36.112701 109.979004 454.970001)(21.573000 106.091003 362.724976)(-60.763000 103.795998 362.724976)(-86.876701 -104.764999 520.263000)(-66.859001 -105.430000 519.893982)(-20.822300 -106.959999 531.364014)(-65.370003 104.758003 538.934998)(-38.479599 105.834000 536.674011)(-19.717800 106.887001 533.835999)(41.556400 -100.463005 358.989014)(41.560402 -103.690994 363.161011)(41.549000 -103.334000 357.934998)(-108.750000 -103.984001 476.016022)(-174.260010 -101.861000 461.351013)(-108.781998 -104.431000 461.050995)(41.570801 -104.253998 367.906982)(41.570900 -104.259003 367.989990)(41.558998 -106.091003 362.724976)(42.862999 -102.489998 398.992981)(43.928001 -100.006996 421.527008)(43.362000 -102.135002 430.031006)(-179.389999 -0.441005 375.324982)(-175.944000 -44.369999 373.253998)(-179.389999 -41.200001 378.924988)(42.746998 87.457001 360.680023)(41.560200 88.260201 356.608978)(42.070198 97.139000 359.908020)(-179.389999 94.904999 463.443024)(-174.260010 101.861000 461.351013)(-174.260010 101.861000 393.664001)(7.603000 87.778999 354.873016)(-26.334999 87.259003 355.483002)(-19.615000 101.438995 357.934998)(41.897800 -106.003998 517.218018)(41.898197 -105.878998 517.421997)(41.898003 -109.456001 517.320007)(42.746998 -87.457001 360.680023)(42.863998 -96.243004 362.447998)(42.070198 -97.139000 359.908020)(41.560402 -103.690994 363.161011)(41.561699 -103.788002 363.302002)(41.558998 -106.091003 362.724976)(41.962200 -30.018700 546.692017)(41.978001 -54.875000 553.933960)(41.959202 -53.446301 545.358032)(42.862999 102.489998 398.992981)(41.571098 104.264000 368.078003)(41.586601 104.509003 375.111023)(31.999201 -107.987000 533.562012)(33.232800 -107.897995 530.796021)(41.932999 -108.151001 533.707947)(40.704002 110.114998 455.193024)(41.558998 106.091003 362.724976)(21.573000 106.091003 362.724976)(-174.260010 -101.861000 461.351013)(-108.718002 -104.039001 490.179993)(-141.460007 -102.950996 488.976990)(-174.260010 101.861000 393.664001)(22.221699 109.572998 454.324005)(-60.763000 103.795998 362.724976)(45.693001 89.557999 376.733002)(45.030003 92.881996 374.278015)(45.859001 90.318001 382.876984)(-148.231003 -49.443001 357.250977)(-135.472000 -47.260002 354.721985)(-149.495010 -97.790001 363.494995)(41.973000 -92.264999 551.796997)(-11.504000 -88.339996 551.713013)(-11.602000 -95.147995 550.136963)(41.899799 -108.604996 518.491028)(41.909698 -102.618004 522.785034)(41.912899 -101.700996 524.294006)(45.589001 92.432999 396.824982)(45.030003 93.781998 380.053986)(44.020000 97.305000 375.981018)(42.862999 102.489998 398.992981)(42.178001 105.959000 446.110992)(42.858997 103.848999 437.105011)(-179.389999 -41.200001 378.924988)(-175.944000 -44.369999 373.253998)(-179.389999 -88.012001 388.846008)(-11.625000 105.641998 539.717957)(-38.479599 105.834000 536.674011)(-65.370003 104.758003 538.934998)(-160.835999 -49.456997 361.252991)(-148.231003 -49.443001 357.250977)(-149.495010 -97.790001 363.494995)(-121.857002 -101.837997 361.869019)(-118.275002 -79.184006 356.402008)(-101.926003 -100.093002 357.934998)(-11.644000 -101.392998 545.932007)(41.951000 -105.669998 541.840942)(41.965000 -100.874001 547.864990)(41.761200 110.111000 455.091003)(41.753201 107.167000 451.436005)(41.736801 106.903999 443.817993)(-19.717800 -106.887001 533.835999)(-38.479599 -105.834000 536.674011)(-65.370003 -104.758003 538.934998)(-65.370003 104.758003 538.934998)(-19.717800 106.887001 533.835999)(-42.543900 106.000999 535.635986)(-108.733994 -103.766998 483.282013)(-108.719994 -104.005997 489.352997)(-174.260010 -101.861000 461.351013)(-172.479004 0.000000 550.620972)(-179.389999 0.441013 545.104980)(-179.389999 -0.441013 545.104980)(-179.389999 0.441013 545.104980)(-181.529999 1.361440 478.445007)(-179.389999 -0.441013 545.104980)(-119.093002 -93.363998 548.587952)(-173.253006 -85.556999 548.661987)(-173.260010 -92.579002 546.385986)(-173.253006 -85.556999 548.661987)(-179.389999 -84.383003 542.888000)(-173.260010 -92.579002 546.385986)(-179.389999 -78.511002 545.104980)(-179.389999 -84.383003 542.888000)(-173.253006 -85.556999 548.661987)(-176.480988 -93.792999 536.950012)(-173.260010 -92.579002 546.385986)(-179.389999 -84.383003 542.888000)(-179.389999 -95.949005 526.393982)(-176.480988 -93.792999 536.950012)(-179.389999 -88.257996 535.483032)(-176.480988 -93.792999 536.950012)(-179.389999 -84.383003 542.888000)(-179.389999 -88.257996 535.483032)(-179.389999 -94.904999 463.443024)(-179.389999 -95.949005 526.393982)(-179.389999 -88.257996 535.483032)(-179.389999 -94.904999 463.443024)(-179.389999 -88.257996 535.483032)(-179.389999 -84.383003 542.888000)(-179.389999 -95.949005 526.393982)(-172.671005 -101.859001 538.221985)(-176.480988 -93.792999 536.950012)(-119.115997 -103.874001 538.150024)(-119.135002 -99.620003 544.377991)(-172.671005 -101.859001 538.221985)(-119.135002 -99.620003 544.377991)(-119.093002 -93.363998 548.587952)(-172.671005 -101.859001 538.221985)(-65.389000 -100.506996 545.154968)(-119.093002 -93.363998 548.587952)(-119.135002 -99.620003 544.377991)(-174.260010 -101.861000 527.593018)(-119.115997 -103.874001 538.150024)(-172.671005 -101.859001 538.221985)(-119.041000 -105.494003 531.342041)(-119.115997 -103.874001 538.150024)(-174.260010 -101.861000 527.593018)(-65.292999 -106.380997 532.132019)(-119.041000 -105.494003 531.342041)(-174.260010 -101.861000 505.577972)(-108.653000 -104.425995 520.135010)(-65.292999 -106.380997 532.132019)(-174.260010 -101.861000 505.577972)(-174.260010 -101.861000 505.577972)(-141.460007 -102.950996 488.976990)(-108.661003 -104.041000 516.601990)(-108.661003 -104.041000 516.601990)(-108.653000 -104.425995 520.135010)(-174.260010 -101.861000 505.577972)(-174.260010 -101.861000 505.577972)(-119.041000 -105.494003 531.342041)(-174.260010 -101.861000 527.593018)(-174.260010 -101.861000 527.593018)(-179.389999 -95.949005 526.393982)(-174.260010 -101.861000 505.577972)(-181.815994 -44.977798 468.768005)(-181.834991 -45.183201 468.154999)(-179.389999 -41.049000 545.104980)(-181.834991 -45.183201 468.154999)(-181.891998 -45.439800 466.360992)(-179.389999 -41.049000 545.104980)(-179.389999 -41.049000 545.104980)(-181.679993 -42.776699 473.098022)(-181.766998 -44.380001 470.308990)(-181.679993 -42.776699 473.098022)(-179.389999 -41.049000 545.104980)(-181.677994 -42.749001 473.145996)(-181.891998 -45.439800 466.360992)(-181.914001 -45.526798 465.667999)(-179.389999 -41.049000 545.104980)(-181.914001 -45.526798 465.667999)(-182.000000 -45.799999 462.970001)(-179.389999 -41.049000 545.104980)(-179.389999 -41.049000 545.104980)(-182.000000 -45.799999 462.970001)(-179.389999 -63.845001 545.104980)(-181.766998 -44.380001 470.308990)(-181.768005 -44.384598 470.296997)(-179.389999 -41.049000 545.104980)(41.973000 -92.264999 551.796997)(41.978001 -54.875000 553.933960)(-172.479004 -55.882000 550.620972)(-172.479004 -55.882000 550.620972)(-173.139999 -67.365997 549.745972)(41.973000 -92.264999 551.796997)(-11.504000 -88.339996 551.713013)(-173.139999 -67.365997 549.745972)(-65.251999 -87.443001 550.935974)(-173.139999 -67.365997 549.745972)(-11.504000 -88.339996 551.713013)(41.973000 -92.264999 551.796997)(-119.000000 -86.544998 550.161011)(-65.251999 -87.443001 550.935974)(-173.139999 -67.365997 549.745972)(-119.000000 -86.544998 550.161011)(-173.139999 -67.365997 549.745972)(-173.253006 -85.556999 548.661987)(-179.389999 88.257996 535.483032)(-179.389999 84.383003 542.888000)(-176.480988 93.792999 536.950012)(-179.389999 94.904999 463.443024)(-179.389999 84.383003 542.888000)(-179.389999 88.257996 535.483032)(-174.260010 101.861000 461.351013)(-179.389999 94.904999 463.443024)(-174.260010 101.861000 505.577972)(-179.389999 95.949005 526.393982)(-174.260010 101.861000 505.577972)(-179.389999 94.904999 463.443024)(-179.389999 94.904999 463.443024)(-179.389999 88.257996 535.483032)(-179.389999 95.949005 526.393982)(-174.260010 101.861000 505.577972)(-179.389999 95.949005 526.393982)(-174.260010 101.861000 527.593018)(-119.093002 93.363998 548.587952)(-119.135002 99.620003 544.377991)(-172.671005 101.859001 538.221985)(-119.093002 93.363998 548.587952)(-172.671005 101.859001 538.221985)(-173.260010 92.579002 546.385986)(-176.480988 93.792999 536.950012)(-173.260010 92.579002 546.385986)(-172.671005 101.859001 538.221985)(-176.480988 93.792999 536.950012)(-172.671005 101.859001 538.221985)(-179.389999 95.949005 526.393982)(-173.260010 92.579002 546.385986)(-173.253006 85.556999 548.661987)(-119.093002 93.363998 548.587952)(-173.260010 92.579002 546.385986)(-179.389999 84.383003 542.888000)(-173.253006 85.556999 548.661987)(-172.671005 101.859001 538.221985)(-174.260010 101.861000 527.593018)(-179.389999 95.949005 526.393982)(-173.253006 85.556999 548.661987)(-179.389999 84.383003 542.888000)(-179.389999 78.511002 545.104980)(-119.000000 86.544998 550.161011)(-119.093002 93.363998 548.587952)(-173.253006 85.556999 548.661987)(-119.000000 86.544998 550.161011)(-173.253006 85.556999 548.661987)(-173.139999 67.365997 549.745972)(-181.891998 45.439800 466.360992)(-181.834991 45.183201 468.154999)(-179.389999 41.049000 545.104980)(-181.834991 45.183201 468.154999)(-181.815994 44.977798 468.768005)(-179.389999 41.049000 545.104980)(-181.815994 44.977798 468.768005)(-181.768005 44.384598 470.296997)(-179.389999 41.049000 545.104980)(-181.914001 45.526798 465.667999)(-181.891998 45.439800 466.360992)(-179.389999 41.049000 545.104980)(-182.000000 45.799999 462.970001)(-181.914001 45.526798 465.667999)(-179.389999 41.049000 545.104980)(-179.389999 63.845001 545.104980)(-182.000000 45.799999 462.970001)(-179.389999 41.049000 545.104980)(-181.766998 44.380001 470.308990)(-181.679993 42.776699 473.098022)(-179.389999 41.049000 545.104980)(-181.679993 42.776699 473.098022)(-181.677994 42.749001 473.145996)(-179.389999 41.049000 545.104980)(-65.347000 94.255997 549.362000)(-119.093002 93.363998 548.587952)(-119.000000 86.544998 550.161011)(-11.504000 88.339996 551.713013)(-65.251999 87.443001 550.935974)(-173.139999 67.365997 549.745972)(41.973000 92.264999 551.796997)(-11.504000 88.339996 551.713013)(-173.139999 67.365997 549.745972)(-173.139999 67.365997 549.745972)(-172.479004 55.882000 550.620972)(41.973000 92.264999 551.796997)(-172.479004 55.882000 550.620972)(-173.139999 67.365997 549.745972)(-179.389999 63.845001 545.104980)(41.978001 54.875000 553.933960)(41.973000 92.264999 551.796997)(-172.479004 55.882000 550.620972)(-65.250504 27.941000 552.277954)(41.978001 54.875000 553.933960)(-172.479004 55.882000 550.620972)(-65.128494 0.000000 552.278992)(41.978001 54.875000 553.933960)(-65.250504 27.941000 552.277954)(41.978001 0.000000 553.933960)(41.978001 54.875000 553.933960)(-65.128494 0.000000 552.278992)(41.978001 -54.875000 553.933960)(41.978001 0.000000 553.933960)(-65.128494 0.000000 552.278992)(41.978001 -54.875000 553.933960)(-65.128494 0.000000 552.278992)(-65.250504 -27.941000 552.277954)(-65.128494 0.000000 552.278992)(-172.479004 0.000000 550.620972)(-65.250504 -27.941000 552.277954)(-65.250504 -27.941000 552.277954)(-172.479004 0.000000 550.620972)(-172.479004 -55.882000 550.620972)(-119.115997 103.874001 538.150024)(-174.260010 101.861000 527.593018)(-172.671005 101.859001 538.221985)(-179.389999 63.845001 545.104980)(-173.139999 67.365997 549.745972)(-179.389999 78.511002 545.104980)(-172.671005 101.859001 538.221985)(-119.135002 99.620003 544.377991)(-119.115997 103.874001 538.150024)(-181.542999 37.382202 477.507996)(-181.539993 37.250000 477.588013)(-180.705002 26.774300 504.037964)(-181.600998 40.553997 475.598999)(-181.542999 37.382202 477.507996)(-180.705002 26.774300 504.037964)(-181.516998 33.751099 478.378998)(-180.705002 26.774300 504.037964)(-181.539993 37.250000 477.588013)(-181.604004 40.615601 475.529999)(-181.600998 40.553997 475.598999)(-179.389999 41.049000 545.104980)(-181.768005 -44.384598 470.296997)(-181.815994 -44.977798 468.768005)(-179.389999 -41.049000 545.104980)(-181.677994 -42.749001 473.145996)(-179.389999 -41.049000 545.104980)(-181.604004 -40.615601 475.529999)(-173.139999 67.365997 549.745972)(-173.253006 85.556999 548.661987)(-179.389999 78.511002 545.104980)(-172.671005 -101.859001 538.221985)(-179.389999 -95.949005 526.393982)(-174.260010 -101.861000 527.593018)(-181.527008 -13.635000 478.445007)(-181.522003 -21.259001 478.445007)(-180.705002 -26.774300 504.037964)(-181.522003 -21.259001 478.445007)(-181.522003 -21.547600 478.445007)(-180.705002 -26.774300 504.037964)(-181.527008 -12.981000 478.445007)(-181.527008 -13.635000 478.445007)(-180.705002 -26.774300 504.037964)(-181.520004 25.397999 478.445007)(-181.522003 21.547600 478.445007)(-180.705002 26.774300 504.037964)(-181.520004 25.923698 478.442993)(-181.520004 25.397999 478.445007)(-180.705002 26.774300 504.037964)(-181.516006 33.567997 478.419983)(-181.520004 25.923698 478.442993)(-180.705002 26.774300 504.037964)(-181.529999 1.361440 478.445007)(-181.529999 -1.361440 478.445007)(-179.389999 -0.441013 545.104980)(-180.705002 26.774300 504.037964)(-181.529999 7.748500 478.445007)(-179.389999 41.049000 545.104980)(-181.529999 7.748500 478.445007)(-179.389999 0.441013 545.104980)(-179.389999 41.049000 545.104980)(-181.527008 12.981000 478.445007)(-181.529999 7.748500 478.445007)(-180.705002 26.774300 504.037964)(-181.527008 13.635000 478.445007)(-181.527008 12.981000 478.445007)(-180.705002 26.774300 504.037964)(-179.389999 41.049000 545.104980)(-179.389999 0.441013 545.104980)(-172.479004 55.882000 550.620972)(-180.705002 -26.774300 504.037964)(-181.539993 -37.250000 477.588013)(-181.542999 -37.382202 477.507996)(-181.516998 -33.751099 478.378998)(-181.539993 -37.250000 477.588013)(-180.705002 -26.774300 504.037964)(-181.516998 -33.751099 478.378998)(-180.705002 -26.774300 504.037964)(-181.516006 -33.567997 478.419983)(-181.520004 -25.923698 478.442993)(-181.516006 -33.567997 478.419983)(-180.705002 -26.774300 504.037964)(-181.520004 -25.397999 478.445007)(-181.520004 -25.923698 478.442993)(-180.705002 -26.774300 504.037964)(-179.389999 95.949005 526.393982)(-179.389999 88.257996 535.483032)(-176.480988 93.792999 536.950012)(41.978001 -54.875000 553.933960)(-65.250504 -27.941000 552.277954)(-172.479004 -55.882000 550.620972)(-181.529999 -7.748500 478.445007)(-181.527008 -12.981000 478.445007)(-180.705002 -26.774300 504.037964)(-181.600998 -40.553997 475.598999)(-179.389999 -41.049000 545.104980)(-180.705002 -26.774300 504.037964)(-181.529999 -7.748500 478.445007)(-180.705002 -26.774300 504.037964)(-179.389999 -41.049000 545.104980)(-181.529999 -7.748500 478.445007)(-179.389999 -41.049000 545.104980)(-179.389999 -0.441013 545.104980)(-172.479004 -55.882000 550.620972)(-179.389999 -0.441013 545.104980)(-179.389999 -41.049000 545.104980)(-172.479004 0.000000 550.620972)(-65.250504 27.941000 552.277954)(-172.479004 55.882000 550.620972)(-119.000000 -86.544998 550.161011)(-65.347000 -94.255997 549.362000)(-65.251999 -87.443001 550.935974)(-173.139999 67.365997 549.745972)(-65.251999 87.443001 550.935974)(-119.000000 86.544998 550.161011)(-179.389999 -95.949005 526.393982)(-179.389999 -94.904999 463.443024)(-174.260010 -101.861000 505.577972)(-176.480988 93.792999 536.950012)(-179.389999 84.383003 542.888000)(-173.260010 92.579002 546.385986)(-181.522003 21.259001 478.445007)(-181.527008 13.635000 478.445007)(-180.705002 26.774300 504.037964)(-179.389999 -78.511002 545.104980)(-173.253006 -85.556999 548.661987)(-173.139999 -67.365997 549.745972)(-179.389999 -78.511002 545.104980)(-173.139999 -67.365997 549.745972)(-179.389999 -63.845001 545.104980)(-181.529999 -7.748500 478.445007)(-179.389999 -0.441013 545.104980)(-181.529999 -1.361440 478.445007)(-181.677994 42.749001 473.145996)(-181.604004 40.615601 475.529999)(-179.389999 41.049000 545.104980)(-181.522003 -21.547600 478.445007)(-181.520004 -25.397999 478.445007)(-180.705002 -26.774300 504.037964)(-181.768005 44.384598 470.296997)(-181.766998 44.380001 470.308990)(-179.389999 41.049000 545.104980)(-181.542999 -37.382202 477.507996)(-181.600998 -40.553997 475.598999)(-180.705002 -26.774300 504.037964)(-174.260010 -101.861000 505.577972)(-179.389999 -94.904999 463.443024)(-174.260010 -101.861000 461.351013)(-65.128494 0.000000 552.278992)(-65.250504 27.941000 552.277954)(-172.479004 0.000000 550.620972)(-119.093002 -93.363998 548.587952)(-173.260010 -92.579002 546.385986)(-172.671005 -101.859001 538.221985)(-179.389999 41.049000 545.104980)(-172.479004 55.882000 550.620972)(-179.389999 63.845001 545.104980)(-65.389000 -100.506996 545.154968)(-65.347000 -94.255997 549.362000)(-119.093002 -93.363998 548.587952)(-119.093002 -93.363998 548.587952)(-119.000000 -86.544998 550.161011)(-173.253006 -85.556999 548.661987)(-179.389999 -63.845001 545.104980)(-172.479004 -55.882000 550.620972)(-179.389999 -41.049000 545.104980)(-181.522003 21.547600 478.445007)(-181.522003 21.259001 478.445007)(-180.705002 26.774300 504.037964)(-181.600998 -40.553997 475.598999)(-181.604004 -40.615601 475.529999)(-179.389999 -41.049000 545.104980)(-181.529999 7.748500 478.445007)(-181.529999 1.361440 478.445007)(-179.389999 0.441013 545.104980)(-172.479004 -55.882000 550.620972)(-172.479004 0.000000 550.620972)(-179.389999 -0.441013 545.104980)(-181.600998 40.553997 475.598999)(-180.705002 26.774300 504.037964)(-179.389999 41.049000 545.104980)(-179.389999 0.441013 545.104980)(-172.479004 0.000000 550.620972)(-172.479004 55.882000 550.620972)(-174.260010 -101.861000 505.577972)(-174.260010 -101.861000 461.351013)(-141.460007 -102.950996 488.976990)(-173.139999 -67.365997 549.745972)(-172.479004 -55.882000 550.620972)(-179.389999 -63.845001 545.104980)(-181.516006 33.567997 478.419983)(-180.705002 26.774300 504.037964)(-181.516998 33.751099 478.378998)(-65.251999 87.443001 550.935974)(-65.347000 94.255997 549.362000)(-119.000000 86.544998 550.161011)(-176.480988 -93.792999 536.950012)(-172.671005 -101.859001 538.221985)(-173.260010 -92.579002 546.385986)(-65.347000 -94.255997 549.362000)(-119.000000 -86.544998 550.161011)(-119.093002 -93.363998 548.587952)(79.360596 42.931400 470.023010)(79.353493 43.105000 470.230988)(80.232002 43.105000 470.230988)(79.360596 42.931400 470.023010)(80.232002 43.105000 470.230988)(79.844803 42.118500 469.049988)(77.800995 75.124001 452.000000)(79.353493 43.105000 470.230988)(79.360596 42.931400 470.023010)(77.800995 75.124001 452.000000)(79.360596 42.931400 470.023010)(79.435104 41.132000 467.869995)(79.353493 43.105000 470.230988)(79.774796 43.627003 471.354004)(80.232002 43.105000 470.230988)(79.317596 44.059700 472.285004)(79.774796 43.627003 471.354004)(79.353493 43.105000 470.230988)(79.317596 44.059700 472.285004)(80.167000 44.149002 472.476990)(79.774796 43.627003 471.354004)(80.167000 44.149002 472.476990)(80.232002 43.105000 470.230988)(79.774796 43.627003 471.354004)(79.317596 44.059700 472.285004)(79.314301 44.149002 472.476990)(80.167000 44.149002 472.476990)(80.111000 45.054996 474.428009)(80.167000 44.149002 472.476990)(79.725105 44.601997 473.452972)(79.283104 44.979599 474.265991)(80.111000 45.054996 474.428009)(79.725105 44.601997 473.452972)(79.314301 44.149002 472.476990)(79.725105 44.601997 473.452972)(80.167000 44.149002 472.476990)(77.800995 75.124001 452.000000)(79.435104 41.132000 467.869995)(79.438904 41.043503 467.806000)(80.329002 41.132000 467.869995)(79.884003 40.884499 467.690002)(79.438904 41.043503 467.806000)(79.435104 41.132000 467.869995)(79.438904 41.043503 467.806000)(80.329002 41.132000 467.869995)(79.435104 41.132000 467.869995)(79.844803 42.118500 469.049988)(80.329002 41.132000 467.869995)(80.329002 41.132000 467.869995)(79.906502 40.637001 467.510986)(79.884003 40.884499 467.690002)(80.140205 40.637001 467.510986)(79.906502 40.637001 467.510986)(80.329002 41.132000 467.869995)(79.928894 39.762798 466.877014)(79.963402 39.383499 466.601990)(79.483803 40.006001 467.053009)(79.963402 39.383499 466.601990)(79.928894 39.762798 466.877014)(80.374001 40.141998 467.152008)(80.443001 38.625000 466.051025)(79.963402 39.383499 466.601990)(80.374001 40.141998 467.152008)(80.374001 40.141998 467.152008)(82.525002 40.196999 472.917999)(80.443001 38.625000 466.051025)(80.329002 41.132000 467.869995)(82.525002 40.196999 472.917999)(80.374001 40.141998 467.152008)(80.443001 38.625000 466.051025)(79.543594 38.625000 466.051025)(79.963402 39.383499 466.601990)(80.443001 38.625000 466.051025)(79.555305 38.361603 465.946991)(79.543594 38.625000 466.051025)(80.329002 41.132000 467.869995)(80.232002 43.105000 470.230988)(82.525002 40.196999 472.917999)(80.374001 40.141998 467.152008)(79.928894 39.762798 466.877014)(79.483803 40.006001 467.053009)(79.438904 41.043503 467.806000)(79.672699 40.592701 467.479004)(79.477898 40.141998 467.152008)(77.800995 75.124001 452.000000)(79.438904 41.043503 467.806000)(79.477898 40.141998 467.152008)(79.477898 40.141998 467.152008)(79.926003 40.265800 467.242004)(80.374001 40.141998 467.152008)(79.926003 40.389500 467.332001)(79.926003 40.265800 467.242004)(80.374001 40.141998 467.152008)(80.374001 40.141998 467.152008)(79.483803 40.006001 467.053009)(79.477898 40.141998 467.152008)(77.800995 75.124001 452.000000)(79.477898 40.141998 467.152008)(79.483803 40.006001 467.053009)(77.800995 75.124001 452.000000)(79.483803 40.006001 467.053009)(79.543594 38.625000 466.051025)(80.232002 43.105000 470.230988)(80.329002 41.132000 467.869995)(79.844803 42.118500 469.049988)(79.283104 44.979599 474.265991)(79.280304 45.054996 474.428009)(80.111000 45.054996 474.428009)(77.800995 75.124001 452.000000)(79.280304 45.054996 474.428009)(79.283104 44.979599 474.265991)(79.314301 44.149002 472.476990)(77.800995 75.124001 452.000000)(79.283104 44.979599 474.265991)(79.280304 45.054996 474.428009)(79.676201 45.388500 476.713989)(80.111000 45.054996 474.428009)(79.272102 45.492599 477.427979)(79.676201 45.388500 476.713989)(79.280304 45.054996 474.428009)(79.272102 45.492599 477.427979)(80.018997 45.722000 479.000000)(79.676201 45.388500 476.713989)(79.963402 39.383499 466.601990)(79.543594 38.625000 466.051025)(79.483803 40.006001 467.053009)(80.374001 40.141998 467.152008)(79.926003 40.389500 467.332001)(79.906502 40.637001 467.510986)(79.926003 40.389500 467.332001)(79.477898 40.141998 467.152008)(79.906502 40.637001 467.510986)(79.360596 42.931400 470.023010)(79.844803 42.118500 469.049988)(79.435104 41.132000 467.869995)(79.884003 40.884499 467.690002)(79.906502 40.637001 467.510986)(79.438904 41.043503 467.806000)(80.374001 40.141998 467.152008)(80.140205 40.637001 467.510986)(80.329002 41.132000 467.869995)(79.353493 43.105000 470.230988)(77.800995 75.124001 452.000000)(79.317596 44.059700 472.285004)(77.800995 75.124001 452.000000)(79.543594 38.625000 466.051025)(79.555305 38.361603 465.946991)(80.443001 38.625000 466.051025)(83.756996 33.969997 471.612000)(80.567001 35.695000 464.893982)(80.567001 35.695000 464.893982)(80.061195 37.160000 465.472992)(80.443001 38.625000 466.051025)(80.567001 35.695000 464.893982)(80.153603 34.827000 464.783020)(79.674301 35.695000 464.893982)(80.153603 34.827000 464.783020)(79.746597 34.111897 464.691010)(79.674301 35.695000 464.893982)(80.567001 35.695000 464.893982)(79.674301 35.695000 464.893982)(80.061195 37.160000 465.472992)(80.633003 33.959000 464.670990)(80.153603 34.827000 464.783020)(80.567001 35.695000 464.893982)(77.800995 75.124001 452.000000)(79.674301 35.695000 464.893982)(79.746597 34.111897 464.691010)(77.800995 75.124001 452.000000)(79.555305 38.361603 465.946991)(79.674301 35.695000 464.893982)(79.555305 38.361603 465.946991)(80.061195 37.160000 465.472992)(79.674301 35.695000 464.893982)(80.633003 33.959000 464.670990)(79.746597 34.111897 464.691010)(80.153603 34.827000 464.783020)(80.247299 32.951000 464.543030)(79.809601 32.731998 464.515015)(80.219299 33.286999 464.584991)(80.247299 32.951000 464.543030)(80.684998 32.614998 464.500000)(79.809601 32.731998 464.515015)(80.219299 33.286999 464.584991)(79.809601 32.731998 464.515015)(79.753601 33.959000 464.670990)(77.800995 75.124001 452.000000)(79.753601 33.959000 464.670990)(79.809601 32.731998 464.515015)(77.800995 75.124001 452.000000)(79.809601 32.731998 464.515015)(79.815002 32.614998 464.500000)(80.684998 32.614998 464.500000)(79.815002 32.614998 464.500000)(79.809601 32.731998 464.515015)(80.193306 33.622997 464.628021)(80.219299 33.286999 464.584991)(79.753601 33.959000 464.670990)(79.753601 33.959000 464.670990)(80.193306 33.790997 464.649994)(80.193306 33.622997 464.628021)(80.193306 33.790997 464.649994)(80.193306 33.622997 464.628021)(80.633003 33.959000 464.670990)(80.633003 33.959000 464.670990)(80.193306 33.790997 464.649994)(79.753601 33.959000 464.670990)(80.633003 33.959000 464.670990)(79.753601 33.959000 464.670990)(79.746597 34.111897 464.691010)(80.567001 35.695000 464.893982)(83.756996 33.969997 471.612000)(80.633003 33.959000 464.670990)(79.477898 40.141998 467.152008)(79.926003 40.389500 467.332001)(79.926003 40.265800 467.242004)(80.018997 45.722000 479.000000)(80.111000 45.054996 474.428009)(79.676201 45.388500 476.713989)(80.684998 32.614998 464.500000)(80.247299 32.951000 464.543030)(80.219299 33.286999 464.584991)(80.452103 33.286999 464.584991)(80.219299 33.286999 464.584991)(80.633003 33.959000 464.670990)(80.452103 33.286999 464.584991)(80.684998 32.614998 464.500000)(80.219299 33.286999 464.584991)(80.684998 32.614998 464.500000)(80.452103 33.286999 464.584991)(80.633003 33.959000 464.670990)(79.906502 40.637001 467.510986)(79.477898 40.141998 467.152008)(79.672699 40.592701 467.479004)(80.443001 38.625000 466.051025)(80.061195 37.160000 465.472992)(79.555305 38.361603 465.946991)(80.633003 33.959000 464.670990)(80.219299 33.286999 464.584991)(80.193306 33.622997 464.628021)(77.800995 75.124001 452.000000)(79.746597 34.111897 464.691010)(79.753601 33.959000 464.670990)(79.317596 44.059700 472.285004)(77.800995 75.124001 452.000000)(79.314301 44.149002 472.476990)(80.167000 44.149002 472.476990)(82.525002 40.196999 472.917999)(80.232002 43.105000 470.230988)(69.753494 -36.353001 373.369995)(67.601006 -72.706001 376.436005)(67.601196 0.000000 361.701019)(72.701996 -62.891998 384.640015)(69.753494 -36.353001 373.369995)(67.601196 0.000000 361.701019)(69.753494 -36.353001 373.369995)(72.701996 -62.891998 384.640015)(67.601006 -72.706001 376.436005)(67.601006 -72.706001 376.436005)(67.601006 -63.148998 371.933990)(67.601196 0.000000 361.701019)(72.701996 -82.625000 415.539001)(67.601006 -72.706001 376.436005)(72.701996 -62.891998 384.640015)(72.701996 -82.625000 415.539001)(67.601006 -77.644997 379.588989)(67.601006 -72.706001 376.436005)(67.601006 -63.148998 371.933990)(67.601006 -72.706001 376.436005)(59.000999 -63.197002 371.791016)(64.200996 18.559999 362.567017)(69.044502 0.000000 338.789001)(69.044907 0.000000 338.782990)(64.200996 18.559999 362.567017)(65.674995 11.033999 361.970978)(69.044502 0.000000 338.789001)(65.674995 11.033999 361.970978)(68.721397 0.000000 341.713013)(69.044502 0.000000 338.789001)(65.674995 11.033999 361.970978)(66.512001 0.034005 361.682007)(68.721397 0.000000 341.713013)(66.512001 0.034005 361.682007)(66.512001 -0.034005 361.682007)(68.721397 0.000000 341.713013)(66.512001 0.034005 361.682007)(65.674995 11.033999 361.970978)(67.601006 24.057001 363.636993)(67.461494 0.000000 361.697998)(66.512001 0.034005 361.682007)(66.512001 -0.034005 361.682007)(65.674995 -11.033999 361.970978)(68.721397 0.000000 341.713013)(66.512001 -0.034005 361.682007)(67.461494 0.000000 361.697998)(66.512001 0.034005 361.682007)(67.601006 24.057001 363.636993)(67.601196 0.000000 361.701019)(67.461494 0.000000 361.697998)(67.601006 24.057001 363.636993)(67.601196 0.000000 361.701019)(67.601006 -24.057001 363.636993)(67.461494 0.000000 361.697998)(67.601006 -24.057001 363.636993)(65.674995 -11.033999 361.970978)(66.512001 -0.034005 361.682007)(67.601006 -24.057001 363.636993)(64.200996 -18.559999 362.567017)(65.674995 -11.033999 361.970978)(67.461494 0.000000 361.697998)(67.601006 -24.057001 363.636993)(66.512001 -0.034005 361.682007)(67.601006 -24.057001 363.636993)(63.235001 -22.982000 362.966003)(64.200996 -18.559999 362.567017)(60.224998 22.299999 260.614014)(60.178898 22.282900 262.020996)(60.324402 21.720699 262.023010)(60.224998 22.299999 260.614014)(60.324402 21.720699 262.023010)(61.828899 16.003599 261.346008)(60.324402 21.720699 262.023010)(61.755299 16.190599 262.048004)(61.828899 16.003599 261.346008)(61.828899 16.003599 261.346008)(61.755299 16.190599 262.048004)(62.091103 14.892700 262.053986)(62.254898 14.259600 262.057007)(62.091103 14.892700 262.053986)(67.703003 33.854000 262.151978)(65.601997 22.568800 262.114990)(62.254898 14.259600 262.057007)(67.703003 33.854000 262.151978)(63.024902 11.283500 262.070007)(62.254898 14.259600 262.057007)(65.601997 22.568800 262.114990)(68.948997 28.271000 262.174011)(63.024902 11.283500 262.070007)(65.601997 22.568800 262.114990)(61.828899 16.003599 261.346008)(62.091103 14.892700 262.053986)(62.254898 14.259600 262.057007)(61.828899 16.003599 261.346008)(62.254898 14.259600 262.057007)(63.482002 9.720000 260.614014)(61.755299 16.190599 262.048004)(60.324402 21.720699 262.023010)(63.761799 30.413801 262.083008)(61.755299 16.190599 262.048004)(63.761799 30.413801 262.083008)(67.703003 33.854000 262.151978)(45.859001 90.318001 382.876984)(59.000999 91.572998 395.704010)(45.693001 89.557999 376.733002)(45.693001 89.557999 376.733002)(59.000999 91.572998 395.704010)(59.000999 89.418999 377.466003)(63.235001 -22.982000 362.966003)(67.601006 -63.148998 371.933990)(61.535999 -28.941999 363.698975)(66.028999 -22.513000 339.349976)(63.235001 -22.982000 362.966003)(61.535999 -28.941999 363.698975)(67.601006 -24.057001 363.636993)(67.601006 -63.148998 371.933990)(63.235001 -22.982000 362.966003)(66.028999 -22.513000 339.349976)(64.200996 -18.559999 362.567017)(63.235001 -22.982000 362.966003)(52.604298 52.723099 261.888000)(48.129997 68.846001 261.809998)(59.000000 68.695000 262.000000)(59.000000 68.695000 262.000000)(52.407299 36.600101 261.884979)(52.604298 52.723099 261.888000)(53.674301 34.961998 261.907013)(52.407299 36.600101 261.884979)(59.000000 68.695000 262.000000)(52.407299 36.600101 261.884979)(53.674301 34.961998 261.907013)(54.501999 33.966000 260.614014)(54.501999 33.966000 260.614014)(53.674301 34.961998 261.907013)(54.463303 33.941898 261.920990)(79.884003 -40.884499 467.690002)(79.438904 -41.043503 467.806000)(79.906502 -40.637001 467.510986)(79.906502 -40.637001 467.510986)(79.438904 -41.043503 467.806000)(79.672699 -40.592701 467.479004)(42.746998 87.457001 360.680023)(43.809998 88.031998 364.948975)(59.000999 89.418999 377.466003)(43.809998 88.031998 364.948975)(44.958000 88.740997 370.332001)(59.000999 89.418999 377.466003)(44.958000 88.740997 370.332001)(45.693001 89.557999 376.733002)(59.000999 89.418999 377.466003)(67.601006 105.671005 446.901001)(72.701996 82.625000 415.539001)(67.601006 104.222000 440.570007)(42.178001 105.959000 446.110992)(67.601006 105.671005 446.901001)(67.601006 104.222000 440.570007)(67.601006 104.222000 440.570007)(42.858997 103.848999 437.105011)(42.178001 105.959000 446.110992)(59.000999 72.435997 375.942993)(59.000000 68.695000 262.000000)(59.000999 89.418999 377.466003)(59.000999 89.418999 377.466003)(59.000999 85.778000 387.139008)(59.000999 72.435997 375.942993)(59.000999 91.572998 395.704010)(59.000999 85.778000 387.139008)(59.000999 89.418999 377.466003)(59.000999 52.636002 298.752014)(59.000000 68.695000 262.000000)(59.000999 72.435997 375.942993)(79.545601 0.879971 493.500000)(79.918396 5.431000 493.500000)(79.476807 10.862000 493.500000)(79.545601 0.879971 493.500000)(80.357498 -0.000000 493.500000)(79.918396 5.431000 493.500000)(77.800400 0.000000 530.000000)(79.545601 0.879971 493.500000)(79.476807 10.862000 493.500000)(81.124001 16.306999 464.500000)(80.550095 16.699800 464.500000)(80.539803 16.924101 464.500000)(80.564003 16.306999 464.500000)(80.550095 16.699800 464.500000)(81.124001 16.306999 464.500000)(81.124001 16.306999 464.500000)(80.539803 16.924101 464.500000)(80.595001 21.743000 464.500000)(80.539803 16.924101 464.500000)(80.550095 16.699800 464.500000)(81.290001 0.000000 456.649017)(81.290001 0.000000 456.649017)(80.550095 16.699800 464.500000)(81.291397 0.000000 457.002014)(80.914497 8.153500 464.500000)(80.564003 16.306999 464.500000)(81.124001 16.306999 464.500000)(45.805000 90.896004 387.692993)(45.589001 92.432999 396.824982)(59.000999 91.572998 395.704010)(-63.481003 -9.720000 260.614014)(-63.780800 -3.229520 261.456024)(-63.973801 0.000000 260.614014)(-63.481003 -9.720000 260.614014)(-63.458199 -9.023340 262.285004)(-63.780800 -3.229520 261.456024)(-94.406998 68.487999 262.893005)(-76.641594 72.824501 282.835999)(-58.876102 73.665703 286.773010)(-94.406998 68.487999 262.893005)(-58.876102 73.665703 286.773010)(-58.770599 72.124001 278.677002)(80.029007 32.595001 493.500000)(79.655701 34.596500 493.169983)(79.326797 32.595001 493.500000)(79.329399 32.212902 493.500000)(80.029007 32.595001 493.500000)(79.326797 32.595001 493.500000)(41.335003 -70.367004 260.226990)(-10.356000 -76.087494 295.000000)(-9.366880 -70.952202 267.973999)(-10.356000 -76.087494 295.000000)(-9.491710 -77.874603 295.000000)(-9.366880 -70.952202 267.973999)(81.290001 0.000000 456.649017)(80.046600 27.599699 464.500000)(80.066101 27.179001 464.500000)(79.815002 32.614998 464.500000)(80.046600 27.599699 464.500000)(81.290001 0.000000 456.649017)(80.066101 27.179001 464.500000)(80.046600 27.599699 464.500000)(80.832001 27.179001 464.500000)(80.046600 27.599699 464.500000)(79.815002 32.614998 464.500000)(80.323502 29.897001 464.500000)(80.832001 27.179001 464.500000)(80.046600 27.599699 464.500000)(80.323502 29.897001 464.500000)(80.595001 21.743000 464.500000)(80.066101 27.179001 464.500000)(80.832001 27.179001 464.500000)(80.684998 32.614998 464.500000)(80.832001 27.179001 464.500000)(80.323502 29.897001 464.500000)(-124.982994 -72.045998 355.863983)(-135.472000 -47.260002 354.721985)(-130.461014 -52.723999 333.459991)(-130.461014 -52.723999 333.459991)(-124.130005 -67.465996 333.440979)(-124.982994 -72.045998 355.863983)(-139.966003 0.441003 333.462006)(-139.966003 -0.441003 333.462006)(-140.720993 -0.441000 344.000000)(-140.720993 -0.441000 344.000000)(-139.966003 -0.441003 333.462006)(-141.477005 -23.040001 354.537018)(-141.477005 -23.040001 354.537018)(-141.477005 0.000000 354.537018)(-140.720993 -0.441000 344.000000)(-137.444000 -26.815001 333.463989)(-141.477005 -23.040001 354.537018)(-139.966003 -0.441003 333.462006)(-130.461014 -52.723999 333.459991)(-137.444000 -26.815001 333.463989)(-128.570999 -47.430000 310.032990)(-137.444000 -26.815001 333.463989)(-133.781998 -23.965000 310.036011)(-128.570999 -47.430000 310.032990)(-130.815002 0.441001 286.712006)(-135.668991 0.441002 310.035004)(-129.649994 21.038000 286.709991)(-135.668991 0.441002 310.035004)(-130.815002 0.441001 286.712006)(-135.668991 -0.441002 310.035004)(-130.815002 -0.441001 286.712006)(-135.668991 -0.441002 310.035004)(-130.815002 0.441001 286.712006)(-130.815002 -0.441001 286.712006)(-129.649994 -21.038000 286.709991)(-135.668991 -0.441002 310.035004)(-125.403999 -0.441000 263.502014)(-129.649994 -21.038000 286.709991)(-130.815002 -0.441001 286.712006)(-135.668991 -0.441002 310.035004)(-129.649994 -21.038000 286.709991)(-133.781998 -23.965000 310.036011)(-133.781998 -23.965000 310.036011)(-139.966003 -0.441003 333.462006)(-135.668991 -0.441002 310.035004)(-133.781998 -23.965000 310.036011)(-137.444000 -26.815001 333.463989)(-139.966003 -0.441003 333.462006)(-130.461014 -52.723999 333.459991)(-128.570999 -47.430000 310.032990)(-123.512001 -61.675999 310.009979)(-129.649994 21.038000 286.709991)(-125.403999 0.441000 263.502014)(-130.815002 0.441001 286.712006)(-94.406998 68.487999 262.893005)(-125.403999 0.441000 263.502014)(-124.935997 19.788000 263.491974)(-125.403999 0.441000 263.502014)(-129.649994 21.038000 286.709991)(-124.935997 19.788000 263.491974)(-124.935997 19.788000 263.491974)(-123.795998 36.459000 263.470001)(-94.406998 68.487999 262.893005)(-125.403999 -0.441000 263.502014)(-124.935997 -19.788000 263.491974)(-129.649994 -21.038000 286.709991)(-94.406998 -68.487999 262.893005)(-124.935997 -19.788000 263.491974)(-125.403999 -0.441000 263.502014)(-129.649994 -21.038000 286.709991)(-124.935997 -19.788000 263.491974)(-126.401009 -41.887001 286.700989)(-123.795998 -36.459000 263.470001)(-126.401009 -41.887001 286.700989)(-124.935997 -19.788000 263.491974)(-122.964005 -45.035999 263.453003)(-124.023994 -52.660000 286.687988)(-126.401009 -41.887001 286.700989)(-123.795998 -36.459000 263.470001)(-122.964005 -45.035999 263.453003)(-126.401009 -41.887001 286.700989)(-94.406998 -68.487999 262.893005)(-122.964005 -45.035999 263.453003)(-123.795998 -36.459000 263.470001)(-120.144005 -52.723003 263.397980)(-122.964005 -45.035999 263.453003)(-94.406998 -68.487999 262.893005)(-123.512001 -61.675999 310.009979)(-124.130005 -67.465996 333.440979)(-130.461014 -52.723999 333.459991)(-120.144005 -52.723003 263.397980)(-117.026001 -63.762001 286.584991)(-121.458000 -58.391003 286.653992)(-121.458000 -58.391003 286.653992)(-117.026001 -63.762001 286.584991)(-123.512001 -61.675999 310.009979)(-117.026001 -63.762001 286.584991)(-117.537003 -69.362000 309.940979)(-123.512001 -61.675999 310.009979)(-123.512001 -61.675999 310.009979)(-117.537003 -69.362000 309.940979)(-124.130005 -67.465996 333.440979)(-117.537003 -69.362000 309.940979)(-117.959000 -74.542999 333.388000)(-124.130005 -67.465996 333.440979)(-118.275002 -79.184006 356.402008)(-124.130005 -67.465996 333.440979)(-117.959000 -74.542999 333.388000)(-118.275002 -79.184006 356.402008)(-124.982994 -72.045998 355.863983)(-124.130005 -67.465996 333.440979)(-94.406998 -68.487999 262.893005)(-123.795998 -36.459000 263.470001)(-124.935997 -19.788000 263.491974)(-122.964005 -45.035999 263.453003)(-120.144005 -52.723003 263.397980)(-121.458000 -58.391003 286.653992)(-121.458000 -58.391003 286.653992)(-124.023994 -52.660000 286.687988)(-122.964005 -45.035999 263.453003)(-135.472000 -47.260002 354.721985)(-140.007004 -29.219000 354.571991)(-137.444000 -26.815001 333.463989)(-140.007004 -29.219000 354.571991)(-141.477005 -23.040001 354.537018)(-137.444000 -26.815001 333.463989)(-130.815002 0.441001 286.712006)(-125.403999 0.441000 263.502014)(-130.815002 -0.441001 286.712006)(-123.795998 36.459000 263.470001)(-124.935997 19.788000 263.491974)(-126.401009 41.887001 286.700989)(-135.668991 0.441002 310.035004)(-139.966003 -0.441003 333.462006)(-139.966003 0.441003 333.462006)(-139.966003 0.441003 333.462006)(-141.477005 23.040001 354.537018)(-137.444000 26.815001 333.463989)(-141.477005 23.040001 354.537018)(-139.966003 0.441003 333.462006)(-140.720993 0.441000 344.000000)(-137.444000 26.815001 333.463989)(-133.781998 23.965000 310.036011)(-139.966003 0.441003 333.462006)(-137.444000 26.815001 333.463989)(-130.461014 52.723999 333.459991)(-128.570999 47.430000 310.032990)(-128.570999 47.430000 310.032990)(-133.781998 23.965000 310.036011)(-137.444000 26.815001 333.463989)(-128.570999 47.430000 310.032990)(-124.023994 52.660000 286.687988)(-126.401009 41.887001 286.700989)(-126.401009 41.887001 286.700989)(-133.781998 23.965000 310.036011)(-128.570999 47.430000 310.032990)(-126.401009 41.887001 286.700989)(-129.649994 21.038000 286.709991)(-133.781998 23.965000 310.036011)(-135.668991 0.441002 310.035004)(-139.966003 0.441003 333.462006)(-133.781998 23.965000 310.036011)(-125.403999 -0.441000 263.502014)(-130.815002 -0.441001 286.712006)(-125.403999 0.441000 263.502014)(-133.781998 23.965000 310.036011)(-129.649994 21.038000 286.709991)(-135.668991 0.441002 310.035004)(79.922997 -43.680000 486.819000)(79.737900 -43.936497 486.182983)(79.934998 -44.193001 485.545990)(80.756996 -44.300999 482.371979)(79.922997 -43.680000 486.819000)(79.934998 -44.193001 485.545990)(79.911003 -42.146000 489.063995)(79.922997 -43.680000 486.819000)(80.756996 -44.300999 482.371979)(80.756996 -44.300999 482.371979)(82.287994 -40.196999 485.184998)(79.911003 -42.146000 489.063995)(67.601006 -72.706001 376.436005)(59.000999 -72.435997 375.942993)(59.000999 -63.197002 371.791016)(59.000999 -63.197002 371.791016)(59.000999 -72.435997 375.942993)(59.000999 -52.636002 298.752014)(-58.339001 -71.764000 267.755981)(-58.633900 -70.127800 268.194000)(-39.505299 -70.447899 268.075989)(-55.224003 -77.662994 266.174988)(-58.339001 -71.764000 267.755981)(-39.505299 -70.447899 268.075989)(-50.446999 -82.413002 264.902008)(-55.224003 -77.662994 266.174988)(-39.505299 -70.447899 268.075989)(-47.857002 -84.063004 264.459991)(-50.446999 -82.413002 264.902008)(-39.505299 -70.447899 268.075989)(-47.857002 -84.063004 264.459991)(-39.505299 -70.447899 268.075989)(-45.139999 -85.764999 264.003998)(-39.209000 -91.576004 262.446991)(-45.139999 -85.764999 264.003998)(-39.505299 -70.447899 268.075989)(41.335003 -70.367004 260.226990)(-39.505299 -70.447899 268.075989)(-58.633900 -70.127800 268.194000)(-58.633900 -70.127800 268.194000)(-58.339001 -71.764000 267.755981)(-58.753300 -71.872101 277.354004)(-94.357002 -73.585007 286.235016)(-76.641594 -72.824501 282.835999)(-61.307003 -77.163399 302.778992)(-94.357002 -73.585007 286.235016)(-61.307003 -77.163399 302.778992)(-61.307003 -77.601700 305.225006)(-77.832001 -76.204399 298.527985)(-94.357002 -73.585007 286.235016)(-61.307003 -77.601700 305.225006)(-77.832001 -76.204399 298.527985)(-61.307003 -77.601700 305.225006)(-61.307003 -78.823700 310.820007)(-94.341003 -75.278999 293.992004)(-94.357002 -73.585007 286.235016)(-77.832001 -76.204399 298.527985)(-58.876102 -73.665703 286.773010)(-58.770599 -72.124001 278.677002)(-58.339001 -79.063202 295.000000)(-58.876102 -73.665703 286.773010)(-58.339001 -79.063202 295.000000)(-58.944603 -75.462196 295.000000)(-59.974903 -75.463303 295.000000)(-58.876102 -73.665703 286.773010)(-58.944603 -75.462196 295.000000)(-60.119099 -75.463501 295.000000)(-58.876102 -73.665703 286.773010)(-59.974903 -75.463303 295.000000)(-61.307003 -75.464706 295.000000)(-58.876102 -73.665703 286.773010)(-60.119099 -75.463501 295.000000)(-76.641594 -72.824501 282.835999)(-58.876102 -73.665703 286.773010)(-61.307003 -75.464706 295.000000)(-94.406998 -68.487999 262.893005)(-58.770599 -72.124001 278.677002)(-58.876102 -73.665703 286.773010)(-94.357002 -73.585007 286.235016)(-94.406998 -68.487999 262.893005)(-76.641594 -72.824501 282.835999)(-58.753300 -71.872101 277.354004)(-58.339001 -71.764000 267.755981)(-58.770599 -72.124001 278.677002)(-94.406998 -68.487999 262.893005)(-58.633900 -70.127800 268.194000)(-58.753300 -71.872101 277.354004)(-94.406998 -68.487999 262.893005)(41.335003 -70.367004 260.226990)(-58.633900 -70.127800 268.194000)(79.534698 -43.808201 486.501007)(79.540703 -43.936497 486.182983)(79.922997 -43.680000 486.819000)(79.146400 -43.719898 486.720001)(79.534698 -43.808201 486.501007)(79.922997 -43.680000 486.819000)(79.720695 29.886501 493.500000)(80.029007 32.595001 493.500000)(79.329399 32.212902 493.500000)(79.720695 29.886501 493.500000)(80.112000 27.178001 493.500000)(80.029007 32.595001 493.500000)(79.372696 25.941099 493.500000)(80.112000 27.178001 493.500000)(79.364204 27.178001 493.500000)(79.364204 27.178001 493.500000)(80.112000 27.178001 493.500000)(79.720695 29.886501 493.500000)(79.866402 19.020000 493.500000)(80.112000 27.178001 493.500000)(79.372696 25.941099 493.500000)(79.866402 19.020000 493.500000)(80.360001 10.862000 493.500000)(80.112000 27.178001 493.500000)(79.476807 10.862000 493.500000)(80.360001 10.862000 493.500000)(79.866402 19.020000 493.500000)(79.364204 27.178001 493.500000)(78.471199 31.063999 511.557983)(79.372696 25.941099 493.500000)(79.329399 32.212902 493.500000)(78.471199 31.063999 511.557983)(79.364204 27.178001 493.500000)(83.608002 27.179001 486.575012)(80.112000 27.178001 493.500000)(80.360001 10.862000 493.500000)(79.476807 10.862000 493.500000)(79.372696 25.941099 493.500000)(78.471199 31.063999 511.557983)(78.471199 31.063999 511.557983)(79.329399 32.212902 493.500000)(79.326797 32.595001 493.500000)(78.471199 31.063999 511.557983)(79.326797 32.595001 493.500000)(79.329102 34.866096 493.126007)(78.471199 31.063999 511.557983)(79.329102 34.866096 493.126007)(77.800995 62.127998 521.060974)(66.028999 22.513000 339.349976)(69.044907 0.000000 338.782990)(71.083099 0.000000 313.239990)(71.083099 0.000000 313.239990)(69.044907 0.000000 338.782990)(66.028999 -22.513000 339.349976)(66.028999 -22.513000 339.349976)(69.044907 0.000000 338.782990)(64.200996 -18.559999 362.567017)(-124.023994 52.660000 286.687988)(-121.458000 58.391003 286.653992)(-122.964005 45.035999 263.453003)(-121.458000 58.391003 286.653992)(-124.023994 52.660000 286.687988)(-123.512001 61.675999 310.009979)(-121.458000 58.391003 286.653992)(-120.144005 52.723003 263.397980)(-122.964005 45.035999 263.453003)(83.160995 -40.196999 479.069000)(82.525002 -40.196999 472.917999)(83.756996 -33.969997 471.612000)(84.684998 -33.971001 479.098999)(83.160995 -40.196999 479.069000)(83.756996 -33.969997 471.612000)(84.889999 -27.179001 479.101013)(83.428001 -33.969997 486.536011)(84.684998 -33.971001 479.098999)(84.889999 -27.179001 479.101013)(84.684998 -33.971001 479.098999)(83.756996 -33.969997 471.612000)(83.160995 -40.196999 479.069000)(84.684998 -33.971001 479.098999)(83.428001 -33.969997 486.536011)(83.608002 -27.179001 486.575012)(80.029007 -32.595001 493.500000)(83.428001 -33.969997 486.536011)(80.029007 -32.595001 493.500000)(79.952003 -36.598000 492.841003)(83.428001 -33.969997 486.536011)(79.914001 -40.181999 490.934998)(82.287994 -40.196999 485.184998)(79.952003 -36.598000 492.841003)(79.952003 -36.598000 492.841003)(79.568901 -38.389999 491.888000)(79.914001 -40.181999 490.934998)(83.428001 -33.969997 486.536011)(79.952003 -36.598000 492.841003)(82.287994 -40.196999 485.184998)(79.914001 -40.181999 490.934998)(79.568901 -38.389999 491.888000)(79.185905 -40.181999 490.934998)(79.185905 -40.181999 490.934998)(79.568901 -38.389999 491.888000)(79.267700 -36.842300 492.710999)(79.185905 -40.181999 490.934998)(79.267700 -36.842300 492.710999)(78.432899 -56.746899 499.244019)(79.952003 -36.598000 492.841003)(79.329102 -34.866096 493.126007)(79.282295 -36.327900 492.884979)(79.952003 -36.598000 492.841003)(79.282295 -36.327900 492.884979)(79.273697 -36.598000 492.841003)(79.655701 -34.596500 493.169983)(79.329102 -34.866096 493.126007)(79.952003 -36.598000 492.841003)(79.952003 -36.598000 492.841003)(79.273697 -36.598000 492.841003)(79.267700 -36.842300 492.710999)(78.432899 -56.746899 499.244019)(79.267700 -36.842300 492.710999)(79.273697 -36.598000 492.841003)(79.273697 -36.598000 492.841003)(79.282295 -36.327900 492.884979)(77.800995 -62.127998 521.060974)(79.914001 -40.181999 490.934998)(79.185905 -40.181999 490.934998)(79.183601 -40.325401 490.798004)(79.914001 -40.181999 490.934998)(79.183601 -40.325401 490.798004)(79.534203 -41.164001 490.000000)(79.154495 -42.146000 489.063995)(79.534203 -41.164001 490.000000)(79.183601 -40.325401 490.798004)(79.544296 -44.064701 485.864014)(79.544296 -44.128899 485.704987)(79.153503 -44.193001 485.545990)(79.544296 -44.128899 485.704987)(79.153503 -44.193001 485.545990)(79.934998 -44.193001 485.545990)(79.153801 -42.262302 488.893982)(79.534393 -42.913002 487.942017)(79.911003 -42.146000 489.063995)(79.145798 -43.680000 486.819000)(79.534393 -42.913002 487.942017)(79.153801 -42.262302 488.893982)(79.145798 -43.680000 486.819000)(79.153801 -42.262302 488.893982)(78.432899 -56.746899 499.244019)(79.153801 -42.262302 488.893982)(79.154495 -42.146000 489.063995)(78.432899 -56.746899 499.244019)(79.154495 -42.146000 489.063995)(79.183601 -40.325401 490.798004)(78.432899 -56.746899 499.244019)(79.145798 -43.680000 486.819000)(79.922997 -43.680000 486.819000)(79.534393 -42.913002 487.942017)(79.922997 -43.680000 486.819000)(79.146400 -43.719898 486.720001)(79.145798 -43.680000 486.819000)(79.146400 -43.719898 486.720001)(79.145798 -43.680000 486.819000)(78.432899 -56.746899 499.244019)(79.154701 -44.272099 485.350006)(79.153503 -44.193001 485.545990)(78.432899 -56.746899 499.244019)(79.153503 -44.193001 485.545990)(79.146400 -43.719898 486.720001)(78.432899 -56.746899 499.244019)(79.153503 -44.193001 485.545990)(79.154701 -44.272099 485.350006)(79.934998 -44.193001 485.545990)(79.934998 -44.193001 485.545990)(79.544296 -44.064701 485.864014)(79.544296 -44.128899 485.704987)(79.911003 -42.146000 489.063995)(79.534203 -41.164001 490.000000)(79.154495 -42.146000 489.063995)(83.160995 -40.196999 479.069000)(83.428001 -33.969997 486.536011)(82.287994 -40.196999 485.184998)(83.160995 -40.196999 479.069000)(81.794701 -42.171600 482.127014)(80.756996 -44.300999 482.371979)(81.072006 -44.300999 479.023010)(83.160995 -40.196999 479.069000)(80.756996 -44.300999 482.371979)(83.160995 -40.196999 479.069000)(82.299202 -41.100201 482.127014)(81.794701 -42.171600 482.127014)(82.299202 -41.100201 482.127014)(83.160995 -40.196999 479.069000)(82.287994 -40.196999 485.184998)(79.911003 -42.146000 489.063995)(79.534393 -42.913002 487.942017)(79.922997 -43.680000 486.819000)(78.432899 -56.746899 499.244019)(79.273697 -36.598000 492.841003)(77.800995 -62.127998 521.060974)(79.183601 -40.325401 490.798004)(79.185905 -40.181999 490.934998)(78.432899 -56.746899 499.244019)(82.525002 -40.196999 472.917999)(83.160995 -40.196999 479.069000)(81.072006 -44.300999 479.023010)(81.072006 -44.300999 479.023010)(80.018997 -45.722000 479.000000)(82.525002 -40.196999 472.917999)(79.153503 -44.193001 485.545990)(79.544296 -44.064701 485.864014)(79.540703 -43.936497 486.182983)(80.029007 -32.595001 493.500000)(79.655701 -34.596500 493.169983)(79.952003 -36.598000 492.841003)(81.794701 -42.171600 482.127014)(82.299202 -41.100201 482.127014)(82.287994 -40.196999 485.184998)(83.756996 -33.969997 471.612000)(82.525002 -40.196999 472.917999)(80.443001 -38.625000 466.051025)(80.167000 -44.149002 472.476990)(82.525002 -40.196999 472.917999)(80.018997 -45.722000 479.000000)(67.601006 98.632996 417.792999)(67.601006 101.487000 429.165985)(72.701996 82.625000 415.539001)(67.601006 101.487000 429.165985)(67.601006 98.632996 417.792999)(42.858997 103.848999 437.105011)(79.314301 -44.149002 472.476990)(79.725105 -44.601997 473.452972)(79.283104 -44.979599 474.265991)(79.283104 -44.979599 474.265991)(77.800995 -75.124001 452.000000)(79.314301 -44.149002 472.476990)(34.283001 106.278000 258.507996)(35.320000 122.197998 284.265015)(34.767200 114.242004 272.513977)(34.283001 113.783005 286.520020)(34.283001 106.278000 258.507996)(34.767200 114.242004 272.513977)(67.601006 101.744003 523.383972)(41.909698 102.618004 522.785034)(41.912899 101.700996 524.294006)(41.912899 101.700996 524.294006)(41.916500 100.043999 525.991028)(67.601006 101.744003 523.383972)(41.898197 105.878998 517.421997)(41.909698 102.618004 522.785034)(67.601006 101.744003 523.383972)(41.916500 100.043999 525.991028)(67.601006 95.750999 529.524048)(67.601006 101.744003 523.383972)(41.897800 106.003998 517.218018)(41.898197 105.878998 517.421997)(67.601006 101.744003 523.383972)(32.603802 106.113998 274.630981)(34.283001 113.783005 286.520020)(31.111000 105.881996 288.637024)(-14.805000 144.939011 248.147995)(-22.179001 140.348007 249.378998)(-22.179001 147.852997 277.390991)(-22.179001 140.348007 249.378998)(-28.139999 141.634995 279.057007)(-22.179001 147.852997 277.390991)(-28.139999 141.634995 279.057007)(-22.179001 140.348007 249.378998)(-28.139999 134.128998 251.044983)(31.111000 98.375999 260.625000)(-28.139999 134.128998 251.044983)(-22.179001 140.348007 249.378998)(34.283001 106.278000 258.507996)(31.111000 98.375999 260.625000)(-22.179001 140.348007 249.378998)(34.283001 113.783005 286.520020)(31.111000 98.375999 260.625000)(34.283001 106.278000 258.507996)(31.111000 98.375999 260.625000)(26.004999 91.485001 262.470978)(-28.139999 134.128998 251.044983)(22.327799 96.009796 291.282013)(20.062700 94.173401 291.774994)(19.285002 86.037003 263.931000)(26.004999 91.485001 262.470978)(31.111000 98.375999 260.625000)(31.111000 105.881996 288.637024)(26.004999 91.485001 262.470978)(31.111000 105.881996 288.637024)(29.344400 103.497993 289.276001)(26.004999 91.485001 262.470978)(29.344400 103.497993 289.276001)(26.004999 98.990997 290.483002)(26.004999 98.990997 290.483002)(19.285002 86.037003 263.931000)(26.004999 91.485001 262.470978)(26.004999 98.990997 290.483002)(22.327799 96.009796 291.282013)(19.285002 86.037003 263.931000)(-14.805000 144.939011 248.147995)(34.283001 106.278000 258.507996)(-22.179001 140.348007 249.378998)(-9.366880 70.952202 267.973999)(-39.209000 91.576004 262.446991)(-35.427002 98.872002 260.492004)(-39.505299 70.447899 268.075989)(-39.209000 91.576004 262.446991)(-9.366880 70.952202 267.973999)(-39.505299 70.447899 268.075989)(-45.139999 85.764999 264.003998)(-39.209000 91.576004 262.446991)(-39.505299 70.447899 268.075989)(-47.857002 84.063004 264.459991)(-45.139999 85.764999 264.003998)(-47.857002 91.569000 292.472015)(-45.139999 85.764999 264.003998)(-47.857002 84.063004 264.459991)(-39.209000 91.576004 262.446991)(-45.139999 85.764999 264.003998)(-45.139999 93.271004 292.015991)(-50.446999 89.918999 292.914001)(-47.857002 91.569000 292.472015)(-47.857002 84.063004 264.459991)(-45.139999 93.271004 292.015991)(-39.209000 99.082001 290.459015)(-39.209000 91.576004 262.446991)(-39.505299 70.447899 268.075989)(-50.446999 82.413002 264.902008)(-47.857002 84.063004 264.459991)(-50.446999 89.918999 292.914001)(-47.857002 84.063004 264.459991)(-50.446999 82.413002 264.902008)(-3.418010 76.742004 266.421997)(-9.366880 70.952202 267.973999)(-35.427002 98.872002 260.492004)(-9.491710 77.874603 295.000000)(-9.366880 70.952202 267.973999)(-3.418010 76.742004 266.421997)(0.508551 86.214401 293.906982)(-9.491710 77.874603 295.000000)(-3.418010 76.742004 266.421997)(-3.418010 76.742004 266.421997)(4.082000 88.003998 293.427002)(0.508551 86.214401 293.906982)(-35.427002 98.872002 260.492004)(-39.209000 91.576004 262.446991)(-39.209000 99.082001 290.459015)(-32.311996 126.673996 253.042999)(-34.432999 125.957001 283.257996)(-32.311996 134.179993 281.053986)(-32.311996 134.179993 281.053986)(-28.139999 134.128998 251.044983)(-32.311996 126.673996 253.042999)(-34.432999 125.957001 283.257996)(-32.311996 126.673996 253.042999)(-34.432999 118.450996 255.246994)(-34.432999 118.450996 255.246994)(-32.311996 126.673996 253.042999)(19.285002 86.037003 263.931000)(-34.432999 118.450996 255.246994)(19.285002 86.037003 263.931000)(11.373000 82.374001 264.912018)(19.284901 93.542801 291.944000)(11.373000 82.374001 264.912018)(19.285002 86.037003 263.931000)(11.373000 82.374001 264.912018)(19.284901 93.542801 291.944000)(11.373000 89.879997 292.923981)(-34.387997 110.106995 257.481995)(-34.164997 114.445999 286.341980)(-34.387997 117.612999 285.492981)(-34.387997 110.106995 257.481995)(-34.164997 106.940002 258.329987)(-34.164997 114.445999 286.341980)(-34.164997 106.940002 258.329987)(-35.427002 106.377998 288.503998)(-34.164997 114.445999 286.341980)(-34.387997 117.612999 285.492981)(-34.432999 118.450996 255.246994)(-34.387997 110.106995 257.481995)(-34.432999 118.450996 255.246994)(-34.387997 117.612999 285.492981)(-34.432999 125.957001 283.257996)(4.082000 80.498001 265.415985)(-34.164997 106.940002 258.329987)(-34.387997 110.106995 257.481995)(-34.387997 110.106995 257.481995)(7.256990 81.315002 265.195984)(4.082000 80.498001 265.415985)(7.256990 88.820999 293.208008)(4.082000 80.498001 265.415985)(7.256990 81.315002 265.195984)(7.256990 88.820999 293.208008)(4.082000 88.003998 293.427002)(4.082000 80.498001 265.415985)(4.082000 80.498001 265.415985)(-3.418010 76.742004 266.421997)(-34.164997 106.940002 258.329987)(11.373000 89.879997 292.923981)(7.256990 81.315002 265.195984)(11.373000 82.374001 264.912018)(-34.164997 106.940002 258.329987)(-35.427002 98.872002 260.492004)(-35.427002 106.377998 288.503998)(-3.418010 76.742004 266.421997)(4.082000 80.498001 265.415985)(4.082000 88.003998 293.427002)(0.508551 86.214401 293.906982)(4.082000 88.003998 293.427002)(7.256990 88.820999 293.208008)(2.270990 148.207001 247.272995)(10.900001 146.677994 247.682007)(30.872000 130.949005 251.897003)(2.270990 155.713013 275.285004)(10.900001 146.677994 247.682007)(2.270990 148.207001 247.272995)(-6.481010 155.121002 275.442993)(2.270990 155.713013 275.285004)(2.270990 148.207001 247.272995)(-6.481010 147.615005 247.431000)(-6.481010 155.121002 275.442993)(2.270990 148.207001 247.272995)(-14.805000 152.445007 276.160004)(-6.481010 155.121002 275.442993)(-6.481010 147.615005 247.431000)(-6.481010 147.615005 247.431000)(35.320000 114.692001 256.252991)(-14.805000 144.939011 248.147995)(34.159000 123.092003 254.001999)(35.320000 114.692001 256.252991)(-6.481010 147.615005 247.431000)(35.320000 114.692001 256.252991)(34.159000 123.092003 254.001999)(34.159000 130.597992 282.014008)(-14.805000 152.445007 276.160004)(-6.481010 147.615005 247.431000)(-14.805000 144.939011 248.147995)(2.270990 148.207001 247.272995)(34.159000 123.092003 254.001999)(-6.481010 147.615005 247.431000)(-14.805000 144.939011 248.147995)(35.320000 114.692001 256.252991)(34.283001 106.278000 258.507996)(18.865000 143.125000 248.634995)(10.900001 154.184006 275.694000)(18.865000 150.630005 276.645996)(25.664000 137.770004 250.070007)(18.865000 143.125000 248.634995)(18.865000 150.630005 276.645996)(30.872000 130.949005 251.897003)(25.664000 137.770004 250.070007)(25.664000 145.274994 278.080994)(25.664000 137.770004 250.070007)(18.865000 150.630005 276.645996)(25.664000 145.274994 278.080994)(25.664000 145.274994 278.080994)(30.872000 138.455002 279.910004)(30.872000 130.949005 251.897003)(34.159000 123.092003 254.001999)(30.872000 130.949005 251.897003)(30.872000 138.455002 279.910004)(30.872000 138.455002 279.910004)(34.159000 130.597992 282.014008)(34.159000 123.092003 254.001999)(-39.209000 99.082001 290.459015)(-35.427002 106.377998 288.503998)(-35.427002 98.872002 260.492004)(30.872000 130.949005 251.897003)(34.159000 123.092003 254.001999)(2.270990 148.207001 247.272995)(30.872000 130.949005 251.897003)(10.900001 146.677994 247.682007)(25.664000 137.770004 250.070007)(-32.311996 134.179993 281.053986)(-28.139999 141.634995 279.057007)(-28.139999 134.128998 251.044983)(79.906502 -40.637001 467.510986)(79.672699 -40.592701 467.479004)(79.477898 -40.141998 467.152008)(79.926003 -40.389500 467.332001)(79.906502 -40.637001 467.510986)(79.477898 -40.141998 467.152008)(80.374001 -40.141998 467.152008)(79.906502 -40.637001 467.510986)(79.926003 -40.389500 467.332001)(80.329002 -41.132000 467.869995)(80.140205 -40.637001 467.510986)(80.374001 -40.141998 467.152008)(80.140205 -40.637001 467.510986)(79.906502 -40.637001 467.510986)(80.374001 -40.141998 467.152008)(80.140205 -40.637001 467.510986)(80.329002 -41.132000 467.869995)(79.906502 -40.637001 467.510986)(80.374001 -40.141998 467.152008)(82.525002 -40.196999 472.917999)(80.329002 -41.132000 467.869995)(79.477898 -40.141998 467.152008)(79.672699 -40.592701 467.479004)(79.438904 -41.043503 467.806000)(79.926003 -40.389500 467.332001)(79.926003 -40.265800 467.242004)(80.374001 -40.141998 467.152008)(79.483803 -40.006001 467.053009)(79.477898 -40.141998 467.152008)(77.800995 -75.124001 452.000000)(80.374001 -40.141998 467.152008)(79.477898 -40.141998 467.152008)(79.483803 -40.006001 467.053009)(79.928894 -39.762798 466.877014)(80.374001 -40.141998 467.152008)(79.483803 -40.006001 467.053009)(80.374001 -40.141998 467.152008)(79.928894 -39.762798 466.877014)(79.963402 -39.383499 466.601990)(80.374001 -40.141998 467.152008)(79.926003 -40.265800 467.242004)(79.477898 -40.141998 467.152008)(79.543594 -38.625000 466.051025)(79.483803 -40.006001 467.053009)(77.800995 -75.124001 452.000000)(79.963402 -39.383499 466.601990)(79.483803 -40.006001 467.053009)(79.543594 -38.625000 466.051025)(80.443001 -38.625000 466.051025)(79.963402 -39.383499 466.601990)(79.543594 -38.625000 466.051025)(80.443001 -38.625000 466.051025)(79.543594 -38.625000 466.051025)(79.555305 -38.361603 465.946991)(79.674301 -35.695000 464.893982)(79.555305 -38.361603 465.946991)(77.800995 -75.124001 452.000000)(79.674301 -35.695000 464.893982)(80.061195 -37.160000 465.472992)(79.555305 -38.361603 465.946991)(79.555305 -38.361603 465.946991)(79.543594 -38.625000 466.051025)(77.800995 -75.124001 452.000000)(80.443001 -38.625000 466.051025)(79.555305 -38.361603 465.946991)(80.061195 -37.160000 465.472992)(79.746597 -34.111897 464.691010)(79.674301 -35.695000 464.893982)(77.800995 -75.124001 452.000000)(80.567001 -35.695000 464.893982)(79.674301 -35.695000 464.893982)(80.153603 -34.827000 464.783020)(80.153603 -34.827000 464.783020)(79.674301 -35.695000 464.893982)(79.746597 -34.111897 464.691010)(80.567001 -35.695000 464.893982)(80.153603 -34.827000 464.783020)(80.633003 -33.959000 464.670990)(80.633003 -33.959000 464.670990)(83.756996 -33.969997 471.612000)(80.567001 -35.695000 464.893982)(80.684998 -32.614998 464.500000)(83.756996 -33.969997 471.612000)(80.633003 -33.959000 464.670990)(-42.395500 48.153004 261.871002)(-39.661900 50.334801 261.242981)(-42.663002 47.998001 260.614014)(-36.665100 52.673199 261.759003)(-39.661900 50.334801 261.242981)(-42.395500 48.153004 261.871002)(-36.688000 52.706001 260.614014)(-39.661900 50.334801 261.242981)(-36.665100 52.673199 261.759003)(-36.688000 52.706001 260.614014)(-42.663002 47.998001 260.614014)(-39.661900 50.334801 261.242981)(-94.406998 68.487999 262.893005)(-36.665100 52.673199 261.759003)(-42.395500 48.153004 261.871002)(79.534698 43.808201 486.501007)(79.146400 43.719898 486.720001)(79.922997 43.680000 486.819000)(79.922997 43.680000 486.819000)(79.145798 43.680000 486.819000)(79.146400 43.719898 486.720001)(79.146400 43.719898 486.720001)(78.432899 56.746899 499.244019)(79.145798 43.680000 486.819000)(79.145798 43.680000 486.819000)(78.432899 56.746899 499.244019)(79.153801 42.262302 488.893982)(79.153801 42.262302 488.893982)(79.534393 42.913002 487.942017)(79.145798 43.680000 486.819000)(79.153801 42.262302 488.893982)(79.911003 42.146000 489.063995)(79.534393 42.913002 487.942017)(82.287994 40.196999 485.184998)(80.756996 44.300999 482.371979)(79.911003 42.146000 489.063995)(81.794701 42.171600 482.127014)(80.756996 44.300999 482.371979)(82.287994 40.196999 485.184998)(82.299202 41.100201 482.127014)(81.794701 42.171600 482.127014)(82.287994 40.196999 485.184998)(80.756996 44.300999 482.371979)(79.922997 43.680000 486.819000)(79.911003 42.146000 489.063995)(79.922997 43.680000 486.819000)(79.534393 42.913002 487.942017)(79.911003 42.146000 489.063995)(83.160995 40.196999 479.069000)(82.299202 41.100201 482.127014)(82.287994 40.196999 485.184998)(83.160995 40.196999 479.069000)(82.287994 40.196999 485.184998)(83.428001 33.969997 486.536011)(83.160995 40.196999 479.069000)(81.794701 42.171600 482.127014)(82.299202 41.100201 482.127014)(83.160995 40.196999 479.069000)(80.756996 44.300999 482.371979)(81.794701 42.171600 482.127014)(79.153801 42.262302 488.893982)(78.432899 56.746899 499.244019)(79.154495 42.146000 489.063995)(79.153801 42.262302 488.893982)(79.154495 42.146000 489.063995)(79.911003 42.146000 489.063995)(79.534698 43.808201 486.501007)(79.922997 43.680000 486.819000)(79.540703 43.936497 486.182983)(79.540703 43.936497 486.182983)(79.922997 43.680000 486.819000)(79.737900 43.936497 486.182983)(79.540703 43.936497 486.182983)(79.737900 43.936497 486.182983)(79.934998 44.193001 485.545990)(79.544296 44.064701 485.864014)(79.540703 43.936497 486.182983)(79.934998 44.193001 485.545990)(79.934998 44.193001 485.545990)(79.737900 43.936497 486.182983)(79.922997 43.680000 486.819000)(82.287994 40.196999 485.184998)(79.952003 36.598000 492.841003)(83.428001 33.969997 486.536011)(79.914001 40.181999 490.934998)(79.534203 41.164001 490.000000)(79.183601 40.325401 490.798004)(79.183601 40.325401 490.798004)(79.534203 41.164001 490.000000)(79.154495 42.146000 489.063995)(79.914001 40.181999 490.934998)(79.183601 40.325401 490.798004)(79.185905 40.181999 490.934998)(79.183601 40.325401 490.798004)(78.432899 56.746899 499.244019)(79.185905 40.181999 490.934998)(79.267700 36.842300 492.710999)(79.568901 38.389999 491.888000)(79.185905 40.181999 490.934998)(79.914001 40.181999 490.934998)(79.185905 40.181999 490.934998)(79.568901 38.389999 491.888000)(79.914001 40.181999 490.934998)(79.568901 38.389999 491.888000)(79.952003 36.598000 492.841003)(79.952003 36.598000 492.841003)(79.568901 38.389999 491.888000)(79.267700 36.842300 492.710999)(79.914001 40.181999 490.934998)(79.952003 36.598000 492.841003)(82.287994 40.196999 485.184998)(79.185905 40.181999 490.934998)(78.432899 56.746899 499.244019)(79.267700 36.842300 492.710999)(79.273697 36.598000 492.841003)(79.267700 36.842300 492.710999)(78.432899 56.746899 499.244019)(79.952003 36.598000 492.841003)(79.267700 36.842300 492.710999)(79.273697 36.598000 492.841003)(77.800995 62.127998 521.060974)(79.329102 34.866096 493.126007)(79.282295 36.327900 492.884979)(77.800995 62.127998 521.060974)(79.282295 36.327900 492.884979)(79.273697 36.598000 492.841003)(79.952003 36.598000 492.841003)(79.273697 36.598000 492.841003)(79.282295 36.327900 492.884979)(83.428001 33.969997 486.536011)(83.608002 27.179001 486.575012)(84.889999 27.179001 479.101013)(84.684998 33.971001 479.098999)(83.428001 33.969997 486.536011)(84.889999 27.179001 479.101013)(84.765907 0.000000 479.118988)(84.889999 27.179001 479.101013)(83.608002 27.179001 486.575012)(80.029007 32.595001 493.500000)(83.608002 27.179001 486.575012)(83.428001 33.969997 486.536011)(79.952003 36.598000 492.841003)(80.029007 32.595001 493.500000)(83.428001 33.969997 486.536011)(79.273697 36.598000 492.841003)(78.432899 56.746899 499.244019)(77.800995 62.127998 521.060974)(7.603000 -87.778999 354.873016)(-1.388220 -85.788200 344.410004)(24.572001 -88.039001 354.567993)(-61.307003 -79.329498 313.720001)(-77.823997 -78.304001 309.147003)(-94.341003 -75.278999 293.992004)(-94.309006 -78.239998 309.659973)(-94.341003 -75.278999 293.992004)(-77.823997 -78.304001 309.147003)(-94.309006 -78.239998 309.659973)(-77.823997 -78.304001 309.147003)(-61.307003 -81.329002 324.300995)(41.753201 -107.167000 451.436005)(42.178001 -105.959000 446.110992)(67.601006 -106.838005 452.000000)(41.784397 -110.182999 465.615997)(41.753201 -107.167000 451.436005)(67.601006 -108.184006 458.108002)(41.753201 -107.167000 451.436005)(67.601006 -106.838005 452.000000)(67.601006 -108.184006 458.108002)(41.802002 -111.883995 473.709991)(41.784397 -110.182999 465.615997)(67.601006 -108.184006 458.108002)(67.601006 -112.671005 480.468018)(41.812000 -112.814003 478.283997)(41.808601 -112.526001 476.743988)(41.808601 -112.526001 476.743988)(41.805199 -112.203003 475.196014)(67.601006 -110.815002 470.542999)(72.714005 -96.683998 488.843994)(67.601006 -110.815002 470.542999)(67.601006 -109.491997 464.199982)(41.805199 -112.203003 475.196014)(67.601006 -109.491997 464.199982)(67.601006 -110.815002 470.542999)(72.714005 -96.683998 488.843994)(67.601006 -112.671005 480.468018)(67.601006 -110.815002 470.542999)(67.601006 -112.671005 480.468018)(72.714005 -96.683998 488.843994)(67.601006 -113.523994 488.196991)(41.805199 -112.203003 475.196014)(41.802002 -111.883995 473.709991)(67.601006 -109.491997 464.199982)(-106.214005 -75.188004 309.794983)(-94.309006 -78.239998 309.659973)(-106.494003 -79.836006 333.272980)(-94.341003 -75.278999 293.992004)(-94.309006 -78.239998 309.659973)(-106.214005 -75.188004 309.794983)(-94.276001 -81.189995 325.270996)(-106.494003 -79.836006 333.272980)(-94.309006 -78.239998 309.659973)(-94.260002 -82.452995 333.162994)(-106.494003 -79.836006 333.272980)(-94.276001 -81.189995 325.270996)(-94.276001 -81.189995 325.270996)(-94.309006 -78.239998 309.659973)(-61.307003 -82.618805 331.907013)(-94.276001 -81.189995 325.270996)(-61.307003 -82.618805 331.907013)(-61.307003 -82.820702 332.976013)(-94.276001 -81.189995 325.270996)(-61.307003 -82.820702 332.976013)(-61.307003 -83.014198 334.000000)(-58.542400 -83.028801 334.000000)(-58.203102 -83.030594 334.000000)(-26.334999 -87.259003 355.483002)(-26.334999 -87.259003 355.483002)(-61.307003 -83.014198 334.000000)(-58.542400 -83.028801 334.000000)(-26.334999 -87.259003 355.483002)(-94.276001 -81.189995 325.270996)(-61.307003 -83.014198 334.000000)(-60.272999 -86.737999 356.092987)(-94.260002 -82.452995 333.162994)(-94.276001 -81.189995 325.270996)(-77.243004 -86.478004 356.397980)(-94.260002 -82.452995 333.162994)(-60.272999 -86.737999 356.092987)(-39.445698 -83.375198 334.000000)(-26.334999 -87.259003 355.483002)(-58.203102 -83.030594 334.000000)(-26.334999 -87.259003 355.483002)(-39.445698 -83.375198 334.000000)(7.603000 -87.778999 354.873016)(7.603000 -87.778999 354.873016)(-39.445698 -83.375198 334.000000)(-27.348400 -83.493393 334.000000)(67.601006 -109.491997 464.199982)(67.601006 -108.184006 458.108002)(72.714005 -96.683998 488.843994)(-94.212006 -86.218002 356.704010)(-94.260002 -82.452995 333.162994)(-77.243004 -86.478004 356.397980)(41.808601 -112.526001 476.743988)(67.601006 -110.815002 470.542999)(67.601006 -112.671005 480.468018)(72.701996 -82.625000 415.539001)(67.601006 -88.885002 391.522003)(67.601006 -84.650002 386.212006)(72.701996 -82.625000 415.539001)(67.601006 -92.889000 398.705994)(67.601006 -88.885002 391.522003)(67.601006 -98.632996 417.792999)(42.858997 -103.848999 437.105011)(43.362000 -102.135002 430.031006)(67.601006 -92.889000 398.705994)(45.589001 -92.432999 396.824982)(59.000999 -91.572998 395.704010)(45.589001 -92.432999 396.824982)(45.805000 -90.896004 387.692993)(59.000999 -91.572998 395.704010)(44.993999 -95.351006 404.143005)(45.589001 -92.432999 396.824982)(67.601006 -92.889000 398.705994)(44.993999 -95.351006 404.143005)(67.601006 -92.889000 398.705994)(67.601006 -94.186996 402.330994)(67.601006 -94.186996 402.330994)(67.601006 -95.661003 406.449005)(44.993999 -95.351006 404.143005)(67.601006 -95.661003 406.449005)(43.928001 -100.006996 421.527008)(44.993999 -95.351006 404.143005)(43.928001 -100.006996 421.527008)(67.601006 -95.661003 406.449005)(67.601006 -97.194000 412.299011)(67.601006 -95.661003 406.449005)(72.701996 -82.625000 415.539001)(67.601006 -97.194000 412.299011)(43.362000 -102.135002 430.031006)(67.601006 -97.194000 412.299011)(67.601006 -98.632996 417.792999)(67.601006 -97.194000 412.299011)(72.701996 -82.625000 415.539001)(67.601006 -98.632996 417.792999)(67.601006 -94.186996 402.330994)(67.601006 -92.889000 398.705994)(72.701996 -82.625000 415.539001)(67.601006 -105.671005 446.901001)(67.601006 -104.222000 440.570007)(72.701996 -82.625000 415.539001)(42.178001 -105.959000 446.110992)(67.601006 -104.222000 440.570007)(67.601006 -105.671005 446.901001)(42.178001 -105.959000 446.110992)(42.858997 -103.848999 437.105011)(67.601006 -104.222000 440.570007)(67.601006 -101.487000 429.165985)(72.701996 -82.625000 415.539001)(67.601006 -104.222000 440.570007)(42.858997 -103.848999 437.105011)(67.601006 -101.487000 429.165985)(67.601006 -104.222000 440.570007)(42.858997 -103.848999 437.105011)(67.601006 -98.632996 417.792999)(67.601006 -101.487000 429.165985)(59.000999 -89.418999 377.466003)(42.746998 -87.457001 360.680023)(41.560200 -88.260201 356.608978)(-9.491710 -77.874603 295.000000)(0.508551 -86.214401 293.906982)(-3.418010 -76.742004 266.421997)(-3.418010 -76.742004 266.421997)(0.508551 -86.214401 293.906982)(4.082000 -88.003998 293.427002)(4.082000 -88.003998 293.427002)(4.082000 -80.498001 265.415985)(-3.418010 -76.742004 266.421997)(4.082000 -80.498001 265.415985)(4.082000 -88.003998 293.427002)(7.256990 -88.820999 293.208008)(-34.164997 -106.940002 258.329987)(-3.418010 -76.742004 266.421997)(4.082000 -80.498001 265.415985)(-34.164997 -106.940002 258.329987)(-34.387997 -110.106995 257.481995)(-34.164997 -114.445999 286.341980)(4.082000 -80.498001 265.415985)(-34.387997 -110.106995 257.481995)(-34.164997 -106.940002 258.329987)(-3.418010 -76.742004 266.421997)(-34.164997 -106.940002 258.329987)(-35.427002 -98.872002 260.492004)(-9.366880 -70.952202 267.973999)(-35.427002 -98.872002 260.492004)(-39.209000 -91.576004 262.446991)(-35.427002 -98.872002 260.492004)(-9.366880 -70.952202 267.973999)(-3.418010 -76.742004 266.421997)(-39.209000 -99.082001 290.459015)(-39.209000 -91.576004 262.446991)(-35.427002 -98.872002 260.492004)(-35.427002 -106.377998 288.503998)(-35.427002 -98.872002 260.492004)(-34.164997 -106.940002 258.329987)(-35.427002 -98.872002 260.492004)(-35.427002 -106.377998 288.503998)(-39.209000 -99.082001 290.459015)(-11.225201 -83.688400 334.000000)(24.572001 -88.039001 354.567993)(-15.803801 -83.706497 334.000000)(15.157900 -86.016106 344.256989)(24.572001 -88.039001 354.567993)(-11.225201 -83.688400 334.000000)(41.541000 -88.298996 354.263000)(15.157900 -86.016106 344.256989)(1.062120 -83.916298 334.000000)(41.541000 -88.298996 354.263000)(1.062120 -83.916298 334.000000)(11.392000 -83.905502 334.000000)(41.541000 -88.298996 354.263000)(24.572001 -88.039001 354.567993)(15.157900 -86.016106 344.256989)(41.496601 -84.434998 334.000000)(45.727802 -83.584702 334.000000)(41.541000 -88.298996 354.263000)(41.560200 -88.260201 356.608978)(41.541000 -88.298996 354.263000)(45.727802 -83.584702 334.000000)(45.727802 -83.584702 334.000000)(52.500000 -82.581001 334.000000)(41.560200 -88.260201 356.608978)(41.560200 -88.260201 356.608978)(52.500000 -82.581001 334.000000)(59.000999 -89.418999 377.466003)(-1.388220 -85.788200 344.410004)(-27.348400 -83.493393 334.000000)(-15.803801 -83.706497 334.000000)(-11.225201 -83.688400 334.000000)(1.062120 -83.916298 334.000000)(15.157900 -86.016106 344.256989)(59.000999 -89.418999 377.466003)(43.809998 -88.031998 364.948975)(42.746998 -87.457001 360.680023)(44.958000 -88.740997 370.332001)(43.809998 -88.031998 364.948975)(59.000999 -89.418999 377.466003)(7.256990 -88.820999 293.208008)(7.256990 -81.315002 265.195984)(4.082000 -80.498001 265.415985)(7.256990 -88.820999 293.208008)(11.373000 -89.879997 292.923981)(7.256990 -81.315002 265.195984)(11.373000 -89.879997 292.923981)(19.284901 -93.542801 291.944000)(11.373000 -82.374001 264.912018)(11.373000 -82.374001 264.912018)(7.256990 -81.315002 265.195984)(11.373000 -89.879997 292.923981)(7.256990 -81.315002 265.195984)(11.373000 -82.374001 264.912018)(-34.432999 -118.450996 255.246994)(7.256990 -81.315002 265.195984)(-34.432999 -118.450996 255.246994)(-34.387997 -110.106995 257.481995)(-34.387997 -110.106995 257.481995)(-34.432999 -118.450996 255.246994)(-34.387997 -117.612999 285.492981)(41.836800 -113.957001 489.412018)(41.833302 -113.969994 487.820007)(67.601006 -113.523994 488.196991)(41.833302 -113.969994 487.820007)(41.824699 -113.646004 483.968994)(67.601006 -113.523994 488.196991)(41.837200 -113.955994 489.576019)(41.836800 -113.957001 489.412018)(67.601006 -113.523994 488.196991)(41.824699 -113.646004 483.968994)(41.820400 -113.435997 482.065002)(67.601006 -112.671005 480.468018)(67.601006 -112.671005 480.468018)(41.813999 -112.979004 479.169006)(41.812099 -112.822006 478.329987)(4.082000 -80.498001 265.415985)(7.256990 -81.315002 265.195984)(-34.387997 -110.106995 257.481995)(-34.432999 -118.450996 255.246994)(-34.432999 -125.957001 283.257996)(-34.387997 -117.612999 285.492981)(22.327799 -96.009796 291.282013)(26.004999 -98.990997 290.483002)(19.285002 -86.037003 263.931000)(19.285002 -86.037003 263.931000)(-32.311996 -126.673996 253.042999)(-34.432999 -118.450996 255.246994)(19.285002 -86.037003 263.931000)(26.004999 -91.485001 262.470978)(-32.311996 -126.673996 253.042999)(26.004999 -91.485001 262.470978)(19.285002 -86.037003 263.931000)(26.004999 -98.990997 290.483002)(26.004999 -91.485001 262.470978)(-28.139999 -134.128998 251.044983)(-32.311996 -126.673996 253.042999)(-32.311996 -134.179993 281.053986)(-32.311996 -126.673996 253.042999)(-28.139999 -134.128998 251.044983)(-28.139999 -134.128998 251.044983)(-28.139999 -141.634995 279.057007)(-32.311996 -134.179993 281.053986)(-28.139999 -134.128998 251.044983)(-22.179001 -140.348007 249.378998)(-28.139999 -141.634995 279.057007)(-32.311996 -126.673996 253.042999)(-32.311996 -134.179993 281.053986)(-34.432999 -125.957001 283.257996)(19.285002 -86.037003 263.931000)(20.062700 -94.173401 291.774994)(22.327799 -96.009796 291.282013)(-28.139999 -134.128998 251.044983)(26.004999 -91.485001 262.470978)(31.111000 -98.375999 260.625000)(19.284901 -93.542801 291.944000)(20.062700 -94.173401 291.774994)(19.285002 -86.037003 263.931000)(67.601006 -84.650002 386.212006)(67.601006 -88.885002 391.522003)(59.000999 -91.572998 395.704010)(-1.388220 -85.788200 344.410004)(7.603000 -87.778999 354.873016)(-27.348400 -83.493393 334.000000)(24.572001 -88.039001 354.567993)(-1.388220 -85.788200 344.410004)(-15.803801 -83.706497 334.000000)(26.004999 -91.485001 262.470978)(26.004999 -98.990997 290.483002)(29.344400 -103.497993 289.276001)(-60.272999 -86.737999 356.092987)(-94.276001 -81.189995 325.270996)(-26.334999 -87.259003 355.483002)(-22.179001 -147.852997 277.390991)(-28.139999 -141.634995 279.057007)(-22.179001 -140.348007 249.378998)(32.603802 -106.113998 274.630981)(31.111000 -105.881996 288.637024)(34.283001 -113.783005 286.520020)(31.111000 -98.375999 260.625000)(32.603802 -106.113998 274.630981)(34.283001 -113.783005 286.520020)(34.283001 -106.278000 258.507996)(31.111000 -98.375999 260.625000)(34.283001 -113.783005 286.520020)(32.603802 -106.113998 274.630981)(31.111000 -98.375999 260.625000)(31.111000 -105.881996 288.637024)(34.767200 -114.242004 272.513977)(34.283001 -106.278000 258.507996)(34.283001 -113.783005 286.520020)(-6.481010 -155.121002 275.442993)(2.270990 -148.207001 247.272995)(2.270990 -155.713013 275.285004)(25.664000 -137.770004 250.070007)(30.872000 -130.949005 251.897003)(25.664000 -145.274994 278.080994)(25.664000 -145.274994 278.080994)(18.865000 -150.630005 276.645996)(25.664000 -137.770004 250.070007)(10.900001 -146.677994 247.682007)(18.865000 -143.125000 248.634995)(10.900001 -154.184006 275.694000)(25.664000 -137.770004 250.070007)(18.865000 -143.125000 248.634995)(10.900001 -146.677994 247.682007)(18.865000 -150.630005 276.645996)(18.865000 -143.125000 248.634995)(25.664000 -137.770004 250.070007)(34.283001 -106.278000 258.507996)(35.320000 -114.692001 256.252991)(-14.805000 -144.939011 248.147995)(35.320000 -114.692001 256.252991)(34.283001 -106.278000 258.507996)(35.320000 -122.197998 284.265015)(34.283001 -106.278000 258.507996)(-14.805000 -144.939011 248.147995)(-22.179001 -140.348007 249.378998)(35.320000 -122.197998 284.265015)(34.283001 -106.278000 258.507996)(34.767200 -114.242004 272.513977)(-14.805000 -144.939011 248.147995)(35.320000 -114.692001 256.252991)(-6.481010 -147.615005 247.431000)(34.159000 -123.092003 254.001999)(35.320000 -114.692001 256.252991)(34.159000 -130.597992 282.014008)(35.320000 -114.692001 256.252991)(34.159000 -123.092003 254.001999)(-6.481010 -147.615005 247.431000)(34.159000 -123.092003 254.001999)(2.270990 -148.207001 247.272995)(-6.481010 -147.615005 247.431000)(34.159000 -130.597992 282.014008)(30.872000 -138.455002 279.910004)(34.159000 -123.092003 254.001999)(34.159000 -123.092003 254.001999)(30.872000 -130.949005 251.897003)(2.270990 -148.207001 247.272995)(-14.805000 -152.445007 276.160004)(-14.805000 -144.939011 248.147995)(-6.481010 -147.615005 247.431000)(-22.179001 -140.348007 249.378998)(-14.805000 -144.939011 248.147995)(-22.179001 -147.852997 277.390991)(-20.121698 -149.134003 277.048004)(-22.179001 -147.852997 277.390991)(-16.759100 -147.552994 262.769012)(-14.805000 -144.939011 248.147995)(-16.759100 -147.552994 262.769012)(-22.179001 -147.852997 277.390991)(-14.805000 -152.445007 276.160004)(-20.121698 -149.134003 277.048004)(-16.759100 -147.552994 262.769012)(30.872000 -138.455002 279.910004)(30.872000 -130.949005 251.897003)(34.159000 -123.092003 254.001999)(-6.481010 -155.121002 275.442993)(-14.805000 -152.445007 276.160004)(-6.481010 -147.615005 247.431000)(2.270990 -155.713013 275.285004)(10.900001 -146.677994 247.682007)(10.900001 -154.184006 275.694000)(-106.214005 -75.188004 309.794983)(-106.494003 -79.836006 333.272980)(-117.959000 -74.542999 333.388000)(-106.494003 -79.836006 333.272980)(-102.599998 -84.996002 356.729004)(-108.735001 -83.295006 356.660004)(-102.599998 -84.996002 356.729004)(-106.494003 -79.836006 333.272980)(-94.212006 -86.218002 356.704010)(-108.735001 -83.295006 356.660004)(-117.959000 -74.542999 333.388000)(-106.494003 -79.836006 333.272980)(-94.212006 -86.218002 356.704010)(-106.494003 -79.836006 333.272980)(-94.260002 -82.452995 333.162994)(83.756996 33.969997 471.612000)(83.160995 40.196999 479.069000)(84.684998 33.971001 479.098999)(83.160995 40.196999 479.069000)(83.756996 33.969997 471.612000)(82.525002 40.196999 472.917999)(82.525002 40.196999 472.917999)(81.072006 44.300999 479.023010)(83.160995 40.196999 479.069000)(81.072006 44.300999 479.023010)(80.018997 45.722000 479.000000)(80.756996 44.300999 482.371979)(82.525002 40.196999 472.917999)(80.018997 45.722000 479.000000)(81.072006 44.300999 479.023010)(82.525002 40.196999 472.917999)(80.167000 44.149002 472.476990)(80.018997 45.722000 479.000000)(80.018997 45.722000 479.000000)(79.994003 45.503002 480.707001)(80.756996 44.300999 482.371979)(77.800400 0.000000 530.000000)(79.545601 -0.879971 493.500000)(79.545601 0.879971 493.500000)(79.545601 -0.879971 493.500000)(77.800400 0.000000 530.000000)(79.476807 -10.862000 493.500000)(79.476807 -10.862000 493.500000)(79.918396 -5.431000 493.500000)(79.545601 -0.879971 493.500000)(77.800400 0.000000 530.000000)(78.569298 -15.532000 511.746002)(79.476807 -10.862000 493.500000)(41.916500 -100.043999 525.991028)(41.912899 -101.700996 524.294006)(67.601006 -101.744003 523.383972)(54.775600 -76.659996 541.580017)(41.950302 -78.220802 541.342041)(67.601006 -80.802002 539.831970)(54.775600 -76.659996 541.580017)(41.952099 -75.767197 542.196960)(41.950302 -78.220802 541.342041)(67.601006 -80.802002 539.831970)(67.601006 -72.328003 542.781982)(54.775600 -76.659996 541.580017)(72.714005 -48.195999 536.594971)(67.601006 -72.328003 542.781982)(67.601006 -80.802002 539.831970)(72.714005 -48.195999 536.594971)(67.601006 -62.781998 544.375000)(67.601006 -72.328003 542.781982)(67.601006 -80.802002 539.831970)(41.950302 -78.220802 541.342041)(41.939301 -87.826401 536.362000)(54.766899 -88.597496 535.143982)(67.601006 -80.802002 539.831970)(41.939301 -87.826401 536.362000)(67.601006 -95.750999 529.524048)(41.932800 -92.076797 533.430969)(41.918198 -99.487000 526.510986)(54.766899 -88.597496 535.143982)(41.933102 -91.898705 533.554016)(41.932800 -92.076797 533.430969)(67.601006 -72.328003 542.781982)(41.952099 -75.767197 542.196960)(54.775600 -76.659996 541.580017)(67.601006 -95.750999 529.524048)(41.918198 -99.487000 526.510986)(41.916500 -100.043999 525.991028)(67.601006 -62.781998 544.375000)(72.714005 -48.195999 536.594971)(68.405998 -43.556000 546.675049)(41.959503 -57.327599 545.482971)(41.958000 -62.816700 544.821960)(67.601006 -62.781998 544.375000)(67.601006 -62.781998 544.375000)(68.405998 -43.556000 546.675049)(41.959503 -57.327599 545.482971)(41.959503 -57.327599 545.482971)(68.405998 -43.556000 546.675049)(41.959400 -56.295303 545.449036)(67.601006 -30.676001 546.212952)(68.405998 -43.556000 546.675049)(72.714005 -48.195999 536.594971)(67.601006 98.632996 417.792999)(43.362000 102.135002 430.031006)(42.858997 103.848999 437.105011)(67.601006 98.632996 417.792999)(67.601006 97.194000 412.299011)(43.362000 102.135002 430.031006)(45.727802 83.584702 334.000000)(41.541000 88.298996 354.263000)(41.560200 88.260201 356.608978)(45.727802 83.584702 334.000000)(41.560200 88.260201 356.608978)(52.500000 82.581001 334.000000)(41.541000 88.298996 354.263000)(11.392000 83.905502 334.000000)(1.062120 83.916298 334.000000)(41.541000 88.298996 354.263000)(41.496601 84.434998 334.000000)(11.392000 83.905502 334.000000)(41.541000 88.298996 354.263000)(45.727802 83.584702 334.000000)(41.496601 84.434998 334.000000)(7.603000 87.778999 354.873016)(-1.388220 85.788200 344.410004)(-27.348400 83.493393 334.000000)(-15.803801 83.706497 334.000000)(-27.348400 83.493393 334.000000)(-1.388220 85.788200 344.410004)(-1.388220 85.788200 344.410004)(7.603000 87.778999 354.873016)(24.572001 88.039001 354.567993)(-27.348400 83.493393 334.000000)(-39.445698 83.375198 334.000000)(7.603000 87.778999 354.873016)(-1.388220 85.788200 344.410004)(24.572001 88.039001 354.567993)(-15.803801 83.706497 334.000000)(41.753201 107.167000 451.436005)(41.784397 110.182999 465.615997)(67.601006 108.184006 458.108002)(41.753201 107.167000 451.436005)(67.601006 108.184006 458.108002)(67.601006 106.838005 452.000000)(41.784397 110.182999 465.615997)(41.802002 111.883995 473.709991)(67.601006 108.184006 458.108002)(72.714005 96.683998 488.843994)(67.601006 106.838005 452.000000)(67.601006 108.184006 458.108002)(41.802002 111.883995 473.709991)(67.601006 109.491997 464.199982)(67.601006 108.184006 458.108002)(1.062120 83.916298 334.000000)(15.157900 86.016106 344.256989)(41.541000 88.298996 354.263000)(1.062120 83.916298 334.000000)(-11.225201 83.688400 334.000000)(15.157900 86.016106 344.256989)(-11.225201 83.688400 334.000000)(24.572001 88.039001 354.567993)(15.157900 86.016106 344.256989)(72.714005 96.683998 488.843994)(67.601006 108.184006 458.108002)(67.601006 109.491997 464.199982)(79.207504 45.520298 480.571991)(79.994003 45.503002 480.707001)(79.613205 45.612499 479.853973)(79.613205 45.612499 479.853973)(79.994003 45.503002 480.707001)(80.018997 45.722000 479.000000)(79.232201 45.722000 479.000000)(79.613205 45.612499 479.853973)(80.018997 45.722000 479.000000)(79.207504 45.520298 480.571991)(79.205299 45.503002 480.707001)(79.994003 45.503002 480.707001)(79.168701 45.203999 483.036987)(79.557396 44.698498 484.290985)(79.960007 45.203999 483.036987)(79.154701 44.272099 485.350006)(79.557396 44.698498 484.290985)(79.168701 45.203999 483.036987)(80.756996 44.300999 482.371979)(79.960007 45.203999 483.036987)(79.934998 44.193001 485.545990)(79.994003 45.503002 480.707001)(79.960007 45.203999 483.036987)(80.756996 44.300999 482.371979)(79.582802 45.353497 481.871979)(79.960007 45.203999 483.036987)(79.994003 45.503002 480.707001)(79.171600 45.227699 482.852997)(79.582802 45.353497 481.871979)(79.205299 45.503002 480.707001)(79.171600 45.227699 482.852997)(79.960007 45.203999 483.036987)(79.582802 45.353497 481.871979)(79.171600 45.227699 482.852997)(79.205299 45.503002 480.707001)(78.432899 56.746899 499.244019)(79.207504 45.520298 480.571991)(77.800995 78.636993 492.308990)(78.432899 56.746899 499.244019)(79.232201 45.722000 479.000000)(77.800995 78.636993 492.308990)(79.207504 45.520298 480.571991)(79.241295 45.669601 478.640991)(77.800995 78.636993 492.308990)(79.232201 45.722000 479.000000)(77.800995 78.636993 492.308990)(79.241295 45.669601 478.640991)(79.272102 45.492599 477.427979)(77.800995 75.124001 452.000000)(77.800995 78.636993 492.308990)(79.272102 45.492599 477.427979)(72.714005 96.683998 488.843994)(77.800995 78.636993 492.308990)(77.800995 75.124001 452.000000)(79.205299 45.503002 480.707001)(79.207504 45.520298 480.571991)(78.432899 56.746899 499.244019)(79.154701 44.272099 485.350006)(79.168701 45.203999 483.036987)(78.432899 56.746899 499.244019)(78.432899 56.746899 499.244019)(79.168701 45.203999 483.036987)(79.171600 45.227699 482.852997)(79.153503 44.193001 485.545990)(79.154701 44.272099 485.350006)(78.432899 56.746899 499.244019)(79.154701 44.272099 485.350006)(79.934998 44.193001 485.545990)(79.557396 44.698498 484.290985)(79.171600 45.227699 482.852997)(79.168701 45.203999 483.036987)(79.960007 45.203999 483.036987)(79.557396 44.698498 484.290985)(79.934998 44.193001 485.545990)(79.960007 45.203999 483.036987)(78.432899 56.746899 499.244019)(77.800995 78.636993 492.308990)(77.800995 62.127998 521.060974)(77.800995 75.124001 452.000000)(72.708000 90.958000 452.000000)(72.714005 96.683998 488.843994)(77.800995 78.636993 492.308990)(72.714005 96.683998 488.843994)(77.800995 62.127998 521.060974)(41.885101 109.429001 511.524963)(41.892399 107.468002 514.809021)(67.601006 109.103996 511.054993)(70.139099 -7.513500 542.466980)(68.856705 -7.513500 544.556030)(67.601006 -15.026999 546.661987)(67.601006 0.000000 546.541992)(68.856705 -7.513500 544.556030)(70.139099 -7.513500 542.466980)(67.601006 -15.026999 546.661987)(68.856705 -7.513500 544.556030)(67.601006 0.000000 546.541992)(60.613503 0.000000 546.342041)(67.601006 0.000000 546.541992)(67.601006 15.026999 546.661987)(67.601006 -15.026999 546.661987)(67.601006 0.000000 546.541992)(60.613503 0.000000 546.342041)(67.601006 -15.026999 546.661987)(60.613503 0.000000 546.342041)(59.982502 0.000000 546.275024)(67.601006 -15.026999 546.661987)(59.982502 0.000000 546.275024)(55.723598 -0.000000 545.817017)(55.723598 -0.000000 545.817017)(59.982502 0.000000 546.275024)(67.601006 15.026999 546.661987)(54.766899 88.597496 535.143982)(67.601006 95.750999 529.524048)(41.932800 92.076797 533.430969)(67.601006 95.750999 529.524048)(41.918198 99.487000 526.510986)(41.932800 92.076797 533.430969)(41.959400 56.295303 545.449036)(68.405998 43.556000 546.675049)(41.959503 57.327599 545.482971)(68.405998 43.556000 546.675049)(67.601006 62.781998 544.375000)(41.959503 57.327599 545.482971)(67.601006 62.781998 544.375000)(68.405998 43.556000 546.675049)(72.714005 48.195999 536.594971)(67.601006 30.676001 546.212952)(41.959202 53.446301 545.358032)(41.962200 30.018700 546.692017)(41.962200 30.018700 546.692017)(54.781601 26.837099 546.380981)(67.601006 30.676001 546.212952)(54.781601 23.003201 546.302979)(54.781601 26.837099 546.380981)(41.962200 30.018700 546.692017)(67.601006 30.676001 546.212952)(68.405998 43.556000 546.675049)(41.959202 53.446301 545.358032)(72.714005 48.195999 536.594971)(68.405998 43.556000 546.675049)(67.601006 30.676001 546.212952)(67.601006 72.328003 542.781982)(67.601006 62.781998 544.375000)(72.714005 48.195999 536.594971)(41.892399 107.468002 514.809021)(67.601006 101.744003 523.383972)(67.601006 109.103996 511.054993)(67.601006 109.103996 511.054993)(67.601006 101.744003 523.383972)(72.714005 82.199997 522.572998)(67.601006 109.103996 511.054993)(72.714005 82.199997 522.572998)(67.601006 112.983002 497.233978)(41.805199 112.203003 475.196014)(41.808601 112.526001 476.743988)(67.601006 110.815002 470.542999)(41.805199 112.203003 475.196014)(67.601006 110.815002 470.542999)(67.601006 109.491997 464.199982)(67.601006 109.491997 464.199982)(67.601006 110.815002 470.542999)(72.714005 96.683998 488.843994)(67.601006 113.523994 488.196991)(41.824699 113.646004 483.968994)(41.833302 113.969994 487.820007)(67.601006 112.671005 480.468018)(72.714005 96.683998 488.843994)(67.601006 110.815002 470.542999)(67.601006 113.523994 488.196991)(72.714005 96.683998 488.843994)(67.601006 112.671005 480.468018)(67.601006 113.523994 488.196991)(67.601006 112.671005 480.468018)(41.824699 113.646004 483.968994)(67.601006 113.523994 488.196991)(67.601006 113.279999 492.261993)(72.714005 96.683998 488.843994)(72.714005 48.195999 536.594971)(67.601006 95.750999 529.524048)(67.601006 80.802002 539.831970)(72.714005 82.199997 522.572998)(67.601006 95.750999 529.524048)(72.714005 48.195999 536.594971)(72.714005 96.683998 488.843994)(67.601006 113.279999 492.261993)(72.714005 82.199997 522.572998)(72.714005 82.199997 522.572998)(77.800995 62.127998 521.060974)(72.714005 96.683998 488.843994)(72.714005 48.195999 536.594971)(77.800995 62.127998 521.060974)(72.714005 82.199997 522.572998)(67.601006 112.983002 497.233978)(72.714005 82.199997 522.572998)(67.601006 113.279999 492.261993)(67.601006 80.802002 539.831970)(67.601006 72.328003 542.781982)(72.714005 48.195999 536.594971)(54.775600 76.659996 541.580017)(41.952099 75.767197 542.196960)(67.601006 72.328003 542.781982)(67.601006 72.328003 542.781982)(67.601006 80.802002 539.831970)(54.775600 76.659996 541.580017)(67.601006 80.802002 539.831970)(41.939301 87.826401 536.362000)(41.950302 78.220802 541.342041)(67.601006 80.802002 539.831970)(41.950302 78.220802 541.342041)(54.775600 76.659996 541.580017)(43.766300 112.223000 501.431000)(42.614098 110.106995 509.056976)(67.601006 109.103996 511.054993)(67.601006 109.103996 511.054993)(67.601006 112.983002 497.233978)(43.766300 112.223000 501.431000)(44.331100 113.262001 497.694000)(43.766300 112.223000 501.431000)(67.601006 112.983002 497.233978)(44.020298 113.420998 497.148987)(44.331100 113.262001 497.694000)(67.601006 112.983002 497.233978)(55.382198 113.355003 494.760986)(44.020298 113.420998 497.148987)(67.601006 112.983002 497.233978)(67.601006 113.279999 492.261993)(43.163300 113.523003 495.692017)(55.382198 113.355003 494.760986)(67.601006 113.279999 492.261993)(41.842899 113.883003 492.217987)(43.163300 113.523003 495.692017)(41.842899 113.883003 492.217987)(43.039898 113.545998 495.481995)(43.163300 113.523003 495.692017)(41.850201 113.562004 495.604980)(43.039898 113.545998 495.481995)(41.842899 113.883003 492.217987)(41.840698 113.944000 491.200012)(67.601006 113.523994 488.196991)(41.837200 113.955994 489.576019)(41.820400 113.435997 482.065002)(41.824699 113.646004 483.968994)(67.601006 112.671005 480.468018)(41.812099 112.822006 478.329987)(41.813999 112.979004 479.169006)(67.601006 112.671005 480.468018)(41.813999 112.979004 479.169006)(41.820400 113.435997 482.065002)(67.601006 112.671005 480.468018)(67.601006 62.781998 544.375000)(67.601006 72.328003 542.781982)(41.956997 65.602196 544.356995)(54.781601 23.003201 546.302979)(41.962200 30.018700 546.692017)(54.780899 15.335300 546.146973)(72.714005 -10.359000 538.294983)(67.601006 -30.676001 546.212952)(72.714005 -48.195999 536.594971)(72.714005 -10.359000 538.294983)(67.601006 -15.026999 546.661987)(67.601006 -30.676001 546.212952)(72.714005 -10.359000 538.294983)(72.714005 -48.195999 536.594971)(77.800995 -62.127998 521.060974)(67.601006 -30.676001 546.212952)(67.601006 -15.026999 546.661987)(55.723598 -0.000000 545.817017)(55.723598 -0.000000 545.817017)(54.780899 -15.335300 546.146973)(67.601006 -30.676001 546.212952)(67.601006 -30.676001 546.212952)(54.780899 -15.335300 546.146973)(54.781601 -23.003201 546.302979)(54.780899 15.335300 546.146973)(41.962200 30.018700 546.692017)(48.370903 15.011801 546.263977)(41.960796 0.000000 546.080994)(48.370903 15.011801 546.263977)(41.962200 30.018700 546.692017)(41.962200 -30.018700 546.692017)(48.370903 -15.011801 546.263977)(41.960796 0.000000 546.080994)(54.780899 -15.335300 546.146973)(48.370903 -15.011801 546.263977)(41.962200 -30.018700 546.692017)(54.781601 -26.837099 546.380981)(54.781601 -23.003201 546.302979)(41.962200 -30.018700 546.692017)(54.781601 -23.003201 546.302979)(54.780899 -15.335300 546.146973)(41.962200 -30.018700 546.692017)(67.601006 -30.676001 546.212952)(54.781601 -26.837099 546.380981)(41.962200 -30.018700 546.692017)(67.601006 -30.676001 546.212952)(41.962200 -30.018700 546.692017)(41.959202 -53.446301 545.358032)(67.601006 -30.676001 546.212952)(54.781601 -23.003201 546.302979)(54.781601 -26.837099 546.380981)(54.780899 15.335300 546.146973)(48.370903 15.011801 546.263977)(41.960796 0.000000 546.080994)(77.800400 0.000000 530.000000)(72.714005 -10.359000 538.294983)(77.800995 -62.127998 521.060974)(77.800995 -62.127998 521.060974)(78.471199 -31.063999 511.557983)(77.800400 0.000000 530.000000)(78.569298 -15.532000 511.746002)(77.800400 0.000000 530.000000)(78.471199 -31.063999 511.557983)(79.372696 -25.941099 493.500000)(79.866402 -19.020000 493.500000)(79.476807 -10.862000 493.500000)(79.476807 -10.862000 493.500000)(78.471199 -31.063999 511.557983)(79.372696 -25.941099 493.500000)(79.476807 -10.862000 493.500000)(78.569298 -15.532000 511.746002)(78.471199 -31.063999 511.557983)(41.840698 113.944000 491.200012)(41.842899 113.883003 492.217987)(67.601006 113.279999 492.261993)(79.372696 -25.941099 493.500000)(78.471199 -31.063999 511.557983)(79.364204 -27.178001 493.500000)(80.029007 -32.595001 493.500000)(80.112000 -27.178001 493.500000)(79.720695 -29.886501 493.500000)(79.720695 -29.886501 493.500000)(80.112000 -27.178001 493.500000)(79.364204 -27.178001 493.500000)(79.329399 -32.212902 493.500000)(80.029007 -32.595001 493.500000)(79.720695 -29.886501 493.500000)(79.326797 -32.595001 493.500000)(80.029007 -32.595001 493.500000)(79.329399 -32.212902 493.500000)(79.329399 -32.212902 493.500000)(78.471199 -31.063999 511.557983)(79.326797 -32.595001 493.500000)(79.364204 -27.178001 493.500000)(78.471199 -31.063999 511.557983)(79.329399 -32.212902 493.500000)(79.329399 -32.212902 493.500000)(79.720695 -29.886501 493.500000)(79.364204 -27.178001 493.500000)(67.601006 62.781998 544.375000)(41.958000 62.816700 544.821960)(41.959503 57.327599 545.482971)(41.837200 113.955994 489.576019)(67.601006 113.523994 488.196991)(41.836800 113.957001 489.412018)(67.601006 112.983002 497.233978)(67.601006 113.279999 492.261993)(55.382198 113.355003 494.760986)(67.601006 30.676001 546.212952)(54.781601 26.837099 546.380981)(54.781601 23.003201 546.302979)(67.601006 62.781998 544.375000)(41.956997 65.602196 544.356995)(41.958000 62.816700 544.821960)(72.714005 10.359000 538.294983)(77.800995 62.127998 521.060974)(72.714005 48.195999 536.594971)(70.139099 -7.513500 542.466980)(67.601006 -15.026999 546.661987)(72.714005 -10.359000 538.294983)(74.165901 0.000000 535.719971)(72.714005 0.000000 538.158997)(72.714005 -10.359000 538.294983)(72.714005 0.000000 538.158997)(71.280098 0.000000 540.548035)(72.714005 -10.359000 538.294983)(71.280098 0.000000 540.548035)(70.139099 -7.513500 542.466980)(72.714005 -10.359000 538.294983)(72.714005 48.195999 536.594971)(67.601006 30.676001 546.212952)(72.714005 10.359000 538.294983)(67.601006 113.523994 488.196991)(41.833302 113.969994 487.820007)(41.836800 113.957001 489.412018)(79.866402 -19.020000 493.500000)(80.360001 -10.862000 493.500000)(79.476807 -10.862000 493.500000)(80.539803 -16.924101 464.500000)(80.550095 -16.699800 464.500000)(81.124001 -16.306999 464.500000)(80.550095 -16.699800 464.500000)(80.564003 -16.306999 464.500000)(81.124001 -16.306999 464.500000)(81.124001 -16.306999 464.500000)(80.564003 -16.306999 464.500000)(80.914497 -8.153500 464.500000)(80.894905 -6.929690 464.500000)(80.914497 -8.153500 464.500000)(80.564003 -16.306999 464.500000)(81.264900 -0.000000 464.500000)(80.914497 -8.153500 464.500000)(80.894905 -6.929690 464.500000)(81.124001 -16.306999 464.500000)(80.914497 -8.153500 464.500000)(81.264900 -0.000000 464.500000)(81.267998 0.000000 464.500000)(81.264900 -0.000000 464.500000)(81.124001 -16.306999 464.500000)(81.124001 16.306999 464.500000)(81.264900 -0.000000 464.500000)(81.267998 0.000000 464.500000)(81.267998 0.000000 464.500000)(84.006798 0.000000 471.638000)(81.124001 -16.306999 464.500000)(83.979004 -27.179001 471.576996)(82.564896 -13.589500 468.069000)(84.006798 0.000000 471.638000)(84.006798 0.000000 471.638000)(82.564896 -13.589500 468.069000)(81.124001 -16.306999 464.500000)(84.889999 -27.179001 479.101013)(83.979004 -27.179001 471.576996)(84.006798 0.000000 471.638000)(80.112000 -27.178001 493.500000)(80.360001 -10.862000 493.500000)(79.866402 -19.020000 493.500000)(80.360001 -10.862000 493.500000)(80.112000 -27.178001 493.500000)(83.608002 -27.179001 486.575012)(80.360001 -10.862000 493.500000)(80.357498 -0.000000 493.500000)(79.918396 -5.431000 493.500000)(83.559402 0.000000 486.539978)(80.357498 -0.000000 493.500000)(80.360001 -10.862000 493.500000)(83.559402 0.000000 486.539978)(80.360001 -10.862000 493.500000)(83.608002 -27.179001 486.575012)(84.765907 0.000000 479.118988)(83.559402 0.000000 486.539978)(83.608002 -27.179001 486.575012)(84.765907 0.000000 479.118988)(83.608002 -27.179001 486.575012)(84.889999 -27.179001 479.101013)(84.006798 0.000000 471.638000)(84.765907 0.000000 479.118988)(84.889999 -27.179001 479.101013)(67.601006 -95.750999 529.524048)(54.766899 -88.597496 535.143982)(41.932800 -92.076797 533.430969)(67.601006 -95.750999 529.524048)(61.184002 -88.436996 534.910950)(54.766899 -88.597496 535.143982)(41.840698 -113.944000 491.200012)(67.601006 -113.523994 488.196991)(67.601006 -113.279999 492.261993)(41.842899 -113.883003 492.217987)(41.840698 -113.944000 491.200012)(67.601006 -113.279999 492.261993)(41.885101 -109.429001 511.524963)(42.614098 -110.106995 509.056976)(67.601006 -109.103996 511.054993)(41.897800 -106.003998 517.218018)(41.892399 -107.468002 514.809021)(67.601006 -101.744003 523.383972)(41.898197 -105.878998 517.421997)(41.897800 -106.003998 517.218018)(67.601006 -101.744003 523.383972)(41.909698 -102.618004 522.785034)(41.898197 -105.878998 517.421997)(67.601006 -101.744003 523.383972)(43.163300 -113.523003 495.692017)(43.039898 -113.545998 495.481995)(41.842899 -113.883003 492.217987)(41.850201 -113.562004 495.604980)(41.842899 -113.883003 492.217987)(43.039898 -113.545998 495.481995)(43.163300 -113.523003 495.692017)(41.842899 -113.883003 492.217987)(67.601006 -113.279999 492.261993)(44.331100 -113.262001 497.694000)(44.020298 -113.420998 497.148987)(67.601006 -112.983002 497.233978)(43.766300 -112.223000 501.431000)(44.331100 -113.262001 497.694000)(67.601006 -112.983002 497.233978)(43.766300 -112.223000 501.431000)(67.601006 -112.983002 497.233978)(67.601006 -109.103996 511.054993)(67.601006 -112.983002 497.233978)(72.714005 -82.199997 522.572998)(67.601006 -109.103996 511.054993)(55.382198 -113.355003 494.760986)(43.163300 -113.523003 495.692017)(67.601006 -113.279999 492.261993)(72.714005 -82.199997 522.572998)(67.601006 -112.983002 497.233978)(67.601006 -113.279999 492.261993)(67.601006 -109.103996 511.054993)(72.714005 -82.199997 522.572998)(67.601006 -101.744003 523.383972)(72.714005 -82.199997 522.572998)(72.714005 -48.195999 536.594971)(67.601006 -95.750999 529.524048)(72.714005 -82.199997 522.572998)(67.601006 -95.750999 529.524048)(67.601006 -101.744003 523.383972)(44.020298 -113.420998 497.148987)(43.163300 -113.523003 495.692017)(55.382198 -113.355003 494.760986)(55.382198 -113.355003 494.760986)(67.601006 -113.279999 492.261993)(67.601006 -112.983002 497.233978)(-94.276001 81.189995 325.270996)(-60.272999 86.737999 356.092987)(-26.334999 87.259003 355.483002)(-117.959000 74.542999 333.388000)(-118.275002 79.184006 356.402008)(-108.735001 83.295006 356.660004)(-60.272999 86.737999 356.092987)(-94.276001 81.189995 325.270996)(-94.260002 82.452995 333.162994)(-94.260002 82.452995 333.162994)(-94.276001 81.189995 325.270996)(-106.494003 79.836006 333.272980)(-94.276001 81.189995 325.270996)(-61.307003 82.820702 332.976013)(-61.307003 82.618805 331.907013)(-94.276001 81.189995 325.270996)(-61.307003 83.014198 334.000000)(-61.307003 82.820702 332.976013)(-94.309006 78.239998 309.659973)(-94.276001 81.189995 325.270996)(-61.307003 82.618805 331.907013)(-94.309006 78.239998 309.659973)(-106.494003 79.836006 333.272980)(-94.276001 81.189995 325.270996)(-106.494003 79.836006 333.272980)(-94.309006 78.239998 309.659973)(-106.214005 75.188004 309.794983)(-106.214005 75.188004 309.794983)(-94.309006 78.239998 309.659973)(-94.341003 75.278999 293.992004)(-94.341003 75.278999 293.992004)(-94.309006 78.239998 309.659973)(-77.823997 78.304001 309.147003)(-77.823997 78.304001 309.147003)(-94.309006 78.239998 309.659973)(-61.307003 81.329002 324.300995)(-94.341003 75.278999 293.992004)(-77.823997 78.304001 309.147003)(-61.307003 79.329498 313.720001)(-94.341003 75.278999 293.992004)(-61.307003 79.329498 313.720001)(-61.307003 78.823700 310.820007)(-61.307003 83.014198 334.000000)(-94.276001 81.189995 325.270996)(-26.334999 87.259003 355.483002)(-102.599998 84.996002 356.729004)(-94.212006 86.218002 356.704010)(-106.494003 79.836006 333.272980)(-94.260002 82.452995 333.162994)(-106.494003 79.836006 333.272980)(-94.212006 86.218002 356.704010)(-106.494003 79.836006 333.272980)(-108.735001 83.295006 356.660004)(-102.599998 84.996002 356.729004)(-106.494003 79.836006 333.272980)(-117.959000 74.542999 333.388000)(-108.735001 83.295006 356.660004)(-94.212006 86.218002 356.704010)(-77.243004 86.478004 356.397980)(-94.260002 82.452995 333.162994)(-106.214005 75.188004 309.794983)(-117.959000 74.542999 333.388000)(-106.494003 79.836006 333.272980)(-94.309006 78.239998 309.659973)(-61.307003 82.618805 331.907013)(-61.307003 81.329002 324.300995)(41.335003 70.367004 260.226990)(25.352999 58.995602 260.540985)(25.326000 59.010597 260.540985)(-60.119099 75.463501 295.000000)(-59.974903 75.463303 295.000000)(-58.876102 73.665703 286.773010)(-59.974903 75.463303 295.000000)(-58.944603 75.462196 295.000000)(-58.876102 73.665703 286.773010)(-24.953701 59.095497 261.528992)(-25.313299 58.982399 261.536011)(-94.406998 68.487999 262.893005)(-12.923200 62.879799 261.292999)(-24.953701 59.095497 261.528992)(-94.406998 68.487999 262.893005)(0.172782 64.184700 261.035004)(-0.000012 64.202194 261.039001)(41.335003 70.367004 260.226990)(-0.000012 64.202194 261.039001)(-94.406998 68.487999 262.893005)(41.335003 70.367004 260.226990)(-58.633900 70.127800 268.194000)(41.335003 70.367004 260.226990)(-94.406998 68.487999 262.893005)(-0.000012 64.217003 260.614014)(0.172782 64.184700 261.035004)(-0.000012 64.202194 261.039001)(0.172782 64.184700 261.035004)(6.463250 63.552700 260.825012)(-0.000012 64.217003 260.614014)(-12.927999 62.903004 260.614014)(-19.122200 60.942299 261.070984)(-12.923200 62.879799 261.292999)(-12.923200 62.879799 261.292999)(-12.647201 62.908001 261.287018)(-12.927999 62.903004 260.614014)(-12.923200 62.879799 261.292999)(-94.406998 68.487999 262.893005)(-12.647201 62.908001 261.287018)(-6.462820 63.548401 260.951019)(-12.927999 62.903004 260.614014)(-12.647201 62.908001 261.287018)(-12.927999 62.903004 260.614014)(-6.462820 63.548401 260.951019)(-0.000012 64.217003 260.614014)(-0.000012 64.202194 261.039001)(-0.000012 64.217003 260.614014)(-6.462820 63.548401 260.951019)(-94.406998 68.487999 262.893005)(-58.753300 71.872101 277.354004)(-58.633900 70.127800 268.194000)(-12.923200 62.879799 261.292999)(-19.122200 60.942299 261.070984)(-24.953701 59.095497 261.528992)(12.926800 62.897198 260.785004)(41.335003 70.367004 260.226990)(12.993500 62.876301 260.783997)(12.927999 62.903004 260.614014)(12.993500 62.876301 260.783997)(12.926800 62.897198 260.785004)(21.528200 60.204800 260.615997)(12.927999 62.903004 260.614014)(12.993500 62.876301 260.783997)(12.993500 62.876301 260.783997)(41.335003 70.367004 260.226990)(21.528200 60.204800 260.615997)(25.326000 59.010597 260.540985)(21.528200 60.204800 260.615997)(41.335003 70.367004 260.226990)(-0.000012 64.202194 261.039001)(-6.462820 63.548401 260.951019)(-12.647201 62.908001 261.287018)(6.463250 63.552700 260.825012)(12.927999 62.903004 260.614014)(-0.000012 64.217003 260.614014)(-94.406998 68.487999 262.893005)(-58.770599 72.124001 278.677002)(-58.753300 71.872101 277.354004)(-58.339001 71.764000 267.755981)(-58.770599 72.124001 278.677002)(-58.339001 79.063202 295.000000)(-58.753300 71.872101 277.354004)(-58.770599 72.124001 278.677002)(-58.339001 71.764000 267.755981)(-58.339001 79.063202 295.000000)(-55.224003 77.662994 266.174988)(-58.339001 71.764000 267.755981)(-55.224003 77.662994 266.174988)(-58.339001 79.063202 295.000000)(-58.258198 79.227295 295.000000)(-58.339001 71.764000 267.755981)(-55.224003 77.662994 266.174988)(-39.505299 70.447899 268.075989)(-58.258198 79.227295 295.000000)(-56.825802 82.135002 295.000000)(-55.224003 85.168999 294.187012)(-55.224003 77.662994 266.174988)(-58.258198 79.227295 295.000000)(-55.224003 85.168999 294.187012)(-50.446999 82.413002 264.902008)(-55.224003 77.662994 266.174988)(-55.224003 85.168999 294.187012)(-24.953701 59.095497 261.528992)(-19.122200 60.942299 261.070984)(-25.326000 59.012001 260.614014)(-25.326000 59.012001 260.614014)(-19.122200 60.942299 261.070984)(-12.927999 62.903004 260.614014)(-0.000012 -64.217003 260.614014)(6.463250 -63.552700 260.825012)(0.172782 -64.184700 261.035004)(-0.000012 -64.217003 260.614014)(-0.000012 -64.202194 261.039001)(0.172782 -64.184700 261.035004)(12.926800 -62.897198 260.785004)(6.463250 -63.552700 260.825012)(12.927999 -62.903004 260.614014)(12.927999 -62.903004 260.614014)(12.993500 -62.876301 260.783997)(12.926800 -62.897198 260.785004)(12.927999 -62.903004 260.614014)(21.528200 -60.204800 260.615997)(12.993500 -62.876301 260.783997)(-12.927999 -62.903004 260.614014)(-0.000012 -64.217003 260.614014)(-6.462820 -63.548401 260.951019)(-12.647201 -62.908001 261.287018)(-6.462820 -63.548401 260.951019)(-0.000012 -64.202194 261.039001)(-0.000012 -64.202194 261.039001)(-6.462820 -63.548401 260.951019)(-0.000012 -64.217003 260.614014)(-12.647201 -62.908001 261.287018)(-12.927999 -62.903004 260.614014)(-6.462820 -63.548401 260.951019)(12.993500 -62.876301 260.783997)(21.528200 -60.204800 260.615997)(41.335003 -70.367004 260.226990)(-94.406998 -68.487999 262.893005)(-12.647201 -62.908001 261.287018)(-0.000012 -64.202194 261.039001)(-94.406998 -68.487999 262.893005)(-0.000012 -64.202194 261.039001)(41.335003 -70.367004 260.226990)(-0.000012 -64.202194 261.039001)(0.172782 -64.184700 261.035004)(41.335003 -70.367004 260.226990)(-94.406998 -68.487999 262.893005)(-12.923200 -62.879799 261.292999)(-12.647201 -62.908001 261.287018)(-25.313299 58.982399 261.536011)(-30.997398 55.841698 261.182007)(-36.255600 52.900799 261.751007)(-30.997398 55.841698 261.182007)(-36.688000 52.706001 260.614014)(-36.255600 52.900799 261.751007)(-36.688000 52.706001 260.614014)(-30.997398 55.841698 261.182007)(-25.326000 59.012001 260.614014)(-94.406998 -68.487999 262.893005)(-25.313299 -58.982399 261.536011)(-24.953701 -59.095497 261.528992)(-94.406998 -68.487999 262.893005)(-24.953701 -59.095497 261.528992)(-12.923200 -62.879799 261.292999)(-94.406998 -68.487999 262.893005)(-36.255600 -52.900799 261.751007)(-25.313299 -58.982399 261.536011)(-24.953701 -59.095497 261.528992)(-19.122200 -60.942299 261.070984)(-12.923200 -62.879799 261.292999)(-19.122200 -60.942299 261.070984)(-25.326000 -59.012001 260.614014)(-12.927999 -62.903004 260.614014)(-25.326000 -59.012001 260.614014)(-19.122200 -60.942299 261.070984)(-24.953701 -59.095497 261.528992)(12.926800 -62.897198 260.785004)(12.993500 -62.876301 260.783997)(41.335003 -70.367004 260.226990)(-0.000012 -64.217003 260.614014)(12.927999 -62.903004 260.614014)(6.463250 -63.552700 260.825012)(0.172782 -64.184700 261.035004)(12.926800 -62.897198 260.785004)(41.335003 -70.367004 260.226990)(21.528200 -60.204800 260.615997)(25.326000 -59.010597 260.540985)(41.335003 -70.367004 260.226990)(12.927999 62.903004 260.614014)(6.463250 63.552700 260.825012)(12.926800 62.897198 260.785004)(25.352999 -58.995602 260.540985)(41.335003 -70.367004 260.226990)(25.326000 -59.010597 260.540985)(41.335003 -70.367004 260.226990)(25.352999 -58.995602 260.540985)(36.682098 -52.697498 260.318024)(41.335003 -70.367004 260.226990)(36.682098 -52.697498 260.318024)(36.775700 -52.616997 260.316986)(12.926800 62.897198 260.785004)(6.463250 63.552700 260.825012)(0.172782 64.184700 261.035004)(-94.357002 73.585007 286.235016)(-61.307003 77.601700 305.225006)(-61.307003 77.163399 302.778992)(-135.472000 47.260002 354.721985)(-124.982994 72.045998 355.863983)(-130.461014 52.723999 333.459991)(-124.130005 67.465996 333.440979)(-130.461014 52.723999 333.459991)(-124.982994 72.045998 355.863983)(-123.512001 61.675999 310.009979)(-130.461014 52.723999 333.459991)(-124.130005 67.465996 333.440979)(-117.537003 69.362000 309.940979)(-123.512001 61.675999 310.009979)(-124.130005 67.465996 333.440979)(-124.130005 67.465996 333.440979)(-117.959000 74.542999 333.388000)(-117.537003 69.362000 309.940979)(-123.512001 61.675999 310.009979)(-117.537003 69.362000 309.940979)(-117.026001 63.762001 286.584991)(-105.911003 70.065002 286.406006)(-94.406998 68.487999 262.893005)(-106.490997 63.938000 263.130005)(-105.911003 70.065002 286.406006)(-94.357002 73.585007 286.235016)(-94.406998 68.487999 262.893005)(-106.490997 63.938000 263.130005)(-115.973999 58.090000 263.316986)(-105.911003 70.065002 286.406006)(-94.357002 73.585007 286.235016)(-105.911003 70.065002 286.406006)(-106.214005 75.188004 309.794983)(-117.537003 69.362000 309.940979)(-106.214005 75.188004 309.794983)(-105.911003 70.065002 286.406006)(-117.537003 69.362000 309.940979)(-105.911003 70.065002 286.406006)(-117.026001 63.762001 286.584991)(-117.026001 63.762001 286.584991)(-105.911003 70.065002 286.406006)(-115.973999 58.090000 263.316986)(-115.973999 58.090000 263.316986)(-120.144005 52.723003 263.397980)(-117.026001 63.762001 286.584991)(-120.144005 52.723003 263.397980)(-121.458000 58.391003 286.653992)(-117.026001 63.762001 286.584991)(-120.144005 52.723003 263.397980)(-115.973999 58.090000 263.316986)(-94.406998 68.487999 262.893005)(-122.964005 45.035999 263.453003)(-120.144005 52.723003 263.397980)(-94.406998 68.487999 262.893005)(43.362000 -102.135002 430.031006)(43.928001 -100.006996 421.527008)(67.601006 -97.194000 412.299011)(67.601006 -112.983002 497.233978)(44.020298 -113.420998 497.148987)(55.382198 -113.355003 494.760986)(67.601006 80.802002 539.831970)(54.766899 88.597496 535.143982)(41.939301 87.826401 536.362000)(54.766899 88.597496 535.143982)(67.601006 80.802002 539.831970)(61.184002 88.436996 534.910950)(84.684998 33.971001 479.098999)(84.889999 27.179001 479.101013)(83.756996 33.969997 471.612000)(83.756996 33.969997 471.612000)(83.979004 27.179001 471.576996)(80.684998 32.614998 464.500000)(80.684998 32.614998 464.500000)(83.979004 27.179001 471.576996)(80.832001 27.179001 464.500000)(83.756996 33.969997 471.612000)(84.889999 27.179001 479.101013)(83.979004 27.179001 471.576996)(-24.953701 -59.095497 261.528992)(-25.313299 -58.982399 261.536011)(-25.326000 -59.012001 260.614014)(-39.661900 -50.334801 261.242981)(-42.663002 -47.998001 260.614014)(-36.688000 -52.706001 260.614014)(-25.313299 -58.982399 261.536011)(-30.997398 -55.841698 261.182007)(-25.326000 -59.012001 260.614014)(-30.997398 -55.841698 261.182007)(-36.688000 -52.706001 260.614014)(-25.326000 -59.012001 260.614014)(-36.688000 -52.706001 260.614014)(-30.997398 -55.841698 261.182007)(-36.255600 -52.900799 261.751007)(-36.255600 -52.900799 261.751007)(-36.665100 -52.673199 261.759003)(-36.688000 -52.706001 260.614014)(-36.665100 -52.673199 261.759003)(-39.661900 -50.334801 261.242981)(-36.688000 -52.706001 260.614014)(-42.395500 -48.153004 261.871002)(-39.661900 -50.334801 261.242981)(-36.665100 -52.673199 261.759003)(-94.406998 -68.487999 262.893005)(-42.395500 -48.153004 261.871002)(-36.665100 -52.673199 261.759003)(-42.395500 -48.153004 261.871002)(-42.663002 -47.998001 260.614014)(-39.661900 -50.334801 261.242981)(-34.432999 -125.957001 283.257996)(-34.432999 -118.450996 255.246994)(-32.311996 -126.673996 253.042999)(41.959400 -56.295303 545.449036)(68.405998 -43.556000 546.675049)(41.959202 -53.446301 545.358032)(61.184002 88.436996 534.910950)(67.601006 95.750999 529.524048)(54.766899 88.597496 535.143982)(64.392502 88.356804 534.793945)(67.601006 95.750999 529.524048)(61.184002 88.436996 534.910950)(-42.663002 47.998001 260.614014)(-46.547001 44.241997 260.614014)(-44.588802 46.103203 261.283020)(-46.513199 44.209801 261.952026)(-44.588802 46.103203 261.283020)(-46.547001 44.241997 260.614014)(-42.789501 47.814297 261.878998)(-44.588802 46.103203 261.283020)(-46.513199 44.209801 261.952026)(-63.481003 9.720000 260.614014)(-63.423298 9.711161 262.283997)(-61.824402 16.002699 261.449005)(-63.481003 9.720000 260.614014)(-61.824402 16.002699 261.449005)(-60.223999 22.299999 260.614014)(-61.824402 16.002699 261.449005)(-60.337601 21.638199 262.223999)(-60.223999 22.299999 260.614014)(-60.223999 22.299999 260.614014)(-60.171398 22.280499 262.221008)(-57.337399 28.120701 261.416992)(-60.223999 22.299999 260.614014)(-60.337601 21.638199 262.223999)(-60.171398 22.280499 262.221008)(-57.337399 28.120701 261.416992)(-60.171398 22.280499 262.221008)(-56.438499 29.895500 262.147003)(-56.438499 29.895500 262.147003)(-60.171398 22.280499 262.221008)(-94.406998 68.487999 262.893005)(-57.337399 28.120701 261.416992)(-56.438499 29.895500 262.147003)(-54.500999 33.966000 260.614014)(-56.438499 29.895500 262.147003)(-94.406998 68.487999 262.893005)(-54.728798 33.383400 262.113983)(-46.852303 43.771301 261.958984)(-94.406998 68.487999 262.893005)(-46.513199 44.209801 261.952026)(-54.456699 33.938400 262.108002)(-94.406998 68.487999 262.893005)(-46.852303 43.771301 261.958984)(-54.728798 33.383400 262.113983)(-94.406998 68.487999 262.893005)(-54.456699 33.938400 262.108002)(-46.513199 44.209801 261.952026)(-94.406998 68.487999 262.893005)(-42.789501 47.814297 261.878998)(-46.547001 44.241997 260.614014)(-46.852303 43.771301 261.958984)(-46.513199 44.209801 261.952026)(-54.500999 33.966000 260.614014)(-54.728798 33.383400 262.113983)(-54.456699 33.938400 262.108002)(-54.500999 33.966000 260.614014)(-50.503498 39.088100 261.360992)(-46.547001 44.241997 260.614014)(-54.500999 33.966000 260.614014)(-54.456699 33.938400 262.108002)(-50.503498 39.088100 261.360992)(-50.503498 39.088100 261.360992)(-46.852303 43.771301 261.958984)(-46.547001 44.241997 260.614014)(-46.852303 43.771301 261.958984)(-50.503498 39.088100 261.360992)(-54.456699 33.938400 262.108002)(81.290001 0.000000 456.649017)(80.550095 -16.699800 464.500000)(80.539803 -16.924101 464.500000)(80.452103 -33.286999 464.584991)(80.633003 -33.959000 464.670990)(80.219299 -33.286999 464.584991)(80.452103 -33.286999 464.584991)(80.219299 -33.286999 464.584991)(80.684998 -32.614998 464.500000)(80.684998 -32.614998 464.500000)(80.219299 -33.286999 464.584991)(80.247299 -32.951000 464.543030)(80.633003 -33.959000 464.670990)(80.452103 -33.286999 464.584991)(80.684998 -32.614998 464.500000)(80.247299 -32.951000 464.543030)(80.219299 -33.286999 464.584991)(79.809601 -32.731998 464.515015)(83.979004 -27.179001 471.576996)(80.832001 -27.179001 464.500000)(81.124001 -16.306999 464.500000)(80.832001 -27.179001 464.500000)(83.979004 -27.179001 471.576996)(80.684998 -32.614998 464.500000)(80.832001 -27.179001 464.500000)(80.595001 -21.743000 464.500000)(81.124001 -16.306999 464.500000)(80.323502 -29.897001 464.500000)(80.832001 -27.179001 464.500000)(80.684998 -32.614998 464.500000)(80.323502 -29.897001 464.500000)(80.046600 -27.599699 464.500000)(80.832001 -27.179001 464.500000)(80.046600 -27.599699 464.500000)(80.066101 -27.179001 464.500000)(80.832001 -27.179001 464.500000)(81.290001 0.000000 456.649017)(80.066101 -27.179001 464.500000)(80.046600 -27.599699 464.500000)(81.290001 0.000000 456.649017)(80.046600 -27.599699 464.500000)(79.815002 -32.614998 464.500000)(81.290001 0.000000 456.649017)(79.815002 -32.614998 464.500000)(77.800995 -75.124001 452.000000)(81.290001 0.000000 456.649017)(77.800995 -75.124001 452.000000)(81.288498 0.000000 456.497986)(79.815002 -32.614998 464.500000)(79.809601 -32.731998 464.515015)(77.800995 -75.124001 452.000000)(79.809601 -32.731998 464.515015)(79.753601 -33.959000 464.670990)(77.800995 -75.124001 452.000000)(80.684998 -32.614998 464.500000)(79.809601 -32.731998 464.515015)(79.815002 -32.614998 464.500000)(80.832001 -27.179001 464.500000)(80.066101 -27.179001 464.500000)(80.595001 -21.743000 464.500000)(80.539803 -16.924101 464.500000)(80.595001 -21.743000 464.500000)(80.066101 -27.179001 464.500000)(80.219299 -33.286999 464.584991)(79.753601 -33.959000 464.670990)(79.809601 -32.731998 464.515015)(81.290001 0.000000 456.649017)(80.539803 -16.924101 464.500000)(80.066101 -27.179001 464.500000)(77.800995 -71.921997 436.239014)(81.288498 0.000000 456.497986)(77.800995 -75.124001 452.000000)(72.701996 -82.625000 415.539001)(77.800995 -75.124001 452.000000)(72.708000 -90.958000 452.000000)(72.708000 -90.958000 452.000000)(67.601006 -106.838005 452.000000)(72.701996 -82.625000 415.539001)(72.701996 -82.625000 415.539001)(77.800995 -71.921997 436.239014)(77.800995 -75.124001 452.000000)(77.800995 -68.164993 419.658020)(81.286697 0.000000 456.321014)(77.800995 -71.921997 436.239014)(81.288498 0.000000 456.497986)(77.800995 -71.921997 436.239014)(81.286697 0.000000 456.321014)(77.800995 71.921997 436.239014)(81.288498 0.000000 456.497986)(81.286697 0.000000 456.321014)(77.800995 -71.921997 436.239014)(72.701996 -82.625000 415.539001)(77.800995 -68.164993 419.658020)(81.275597 0.000000 455.844025)(81.286697 0.000000 456.321014)(77.800995 -68.164993 419.658020)(77.800995 68.164993 419.658020)(81.286697 0.000000 456.321014)(81.275597 0.000000 455.844025)(81.275597 0.000000 455.844025)(77.800995 -68.164993 419.658020)(77.800995 -51.714001 392.269989)(77.800995 0.000000 381.000000)(78.641403 0.000000 389.551025)(77.800995 -21.837999 381.958984)(78.641403 0.000000 389.551025)(78.978004 -15.835000 395.385010)(77.800995 -21.837999 381.958984)(74.368095 0.000000 374.716003)(77.800995 0.000000 381.000000)(77.800995 -21.837999 381.958984)(77.800995 21.837999 381.958984)(78.641403 0.000000 389.551025)(77.800995 0.000000 381.000000)(77.800995 21.837999 381.958984)(78.978004 15.835000 395.385010)(78.641403 0.000000 389.551025)(78.978004 15.835000 395.385010)(78.650101 0.000000 389.654999)(78.641403 0.000000 389.551025)(81.224098 0.000000 454.131989)(77.800995 51.714001 392.269989)(81.275597 0.000000 455.844025)(81.275597 0.000000 455.844025)(77.800995 -51.714001 392.269989)(81.224098 0.000000 454.131989)(78.978004 15.835000 395.385010)(77.800995 51.714001 392.269989)(81.224098 0.000000 454.131989)(78.978004 15.835000 395.385010)(79.367897 0.000000 399.118988)(78.650101 0.000000 389.654999)(78.650101 0.000000 389.654999)(79.367897 0.000000 399.118988)(78.978004 -15.835000 395.385010)(79.367897 0.000000 399.118988)(81.224098 0.000000 454.131989)(78.978004 -15.835000 395.385010)(81.224098 0.000000 454.131989)(79.367897 0.000000 399.118988)(78.978004 15.835000 395.385010)(78.641403 0.000000 389.551025)(78.650101 0.000000 389.654999)(78.978004 -15.835000 395.385010)(77.800995 71.921997 436.239014)(77.800995 75.124001 452.000000)(81.288498 0.000000 456.497986)(77.800995 75.124001 452.000000)(77.800995 71.921997 436.239014)(72.701996 82.625000 415.539001)(77.800995 -51.714001 392.269989)(78.978004 -15.835000 395.385010)(81.224098 0.000000 454.131989)(77.800995 -51.714001 392.269989)(77.800995 -21.837999 381.958984)(78.978004 -15.835000 395.385010)(72.701996 -27.146000 373.149017)(77.800995 -51.714001 392.269989)(72.701996 -62.891998 384.640015)(72.701996 -27.146000 373.149017)(77.800995 -21.837999 381.958984)(77.800995 -51.714001 392.269989)(72.714005 -96.683998 488.843994)(72.708000 -90.958000 452.000000)(77.800995 -75.124001 452.000000)(79.280304 -45.054996 474.428009)(79.283104 -44.979599 474.265991)(80.111000 -45.054996 474.428009)(79.280304 -45.054996 474.428009)(77.800995 -75.124001 452.000000)(79.283104 -44.979599 474.265991)(79.168701 -45.203999 483.036987)(79.960007 -45.203999 483.036987)(79.557396 -44.698498 484.290985)(79.960007 -45.203999 483.036987)(79.934998 -44.193001 485.545990)(79.557396 -44.698498 484.290985)(79.168701 -45.203999 483.036987)(79.557396 -44.698498 484.290985)(79.154701 -44.272099 485.350006)(79.168701 -45.203999 483.036987)(79.171600 -45.227699 482.852997)(79.960007 -45.203999 483.036987)(79.205299 -45.503002 480.707001)(79.171600 -45.227699 482.852997)(78.432899 -56.746899 499.244019)(79.171600 -45.227699 482.852997)(79.168701 -45.203999 483.036987)(78.432899 -56.746899 499.244019)(79.207504 -45.520298 480.571991)(79.205299 -45.503002 480.707001)(78.432899 -56.746899 499.244019)(79.205299 -45.503002 480.707001)(79.207504 -45.520298 480.571991)(79.994003 -45.503002 480.707001)(79.207504 -45.520298 480.571991)(79.613205 -45.612499 479.853973)(79.994003 -45.503002 480.707001)(79.207504 -45.520298 480.571991)(77.800995 -78.636993 492.308990)(79.232201 -45.722000 479.000000)(79.232201 -45.722000 479.000000)(79.613205 -45.612499 479.853973)(79.207504 -45.520298 480.571991)(79.232201 -45.722000 479.000000)(80.018997 -45.722000 479.000000)(79.613205 -45.612499 479.853973)(79.241295 -45.669601 478.640991)(79.272102 -45.492599 477.427979)(80.018997 -45.722000 479.000000)(79.272102 -45.492599 477.427979)(79.676201 -45.388500 476.713989)(80.018997 -45.722000 479.000000)(80.111000 -45.054996 474.428009)(80.167000 -44.149002 472.476990)(80.018997 -45.722000 479.000000)(79.676201 -45.388500 476.713989)(80.111000 -45.054996 474.428009)(80.018997 -45.722000 479.000000)(79.232201 -45.722000 479.000000)(79.241295 -45.669601 478.640991)(80.018997 -45.722000 479.000000)(79.272102 -45.492599 477.427979)(79.241295 -45.669601 478.640991)(77.800995 -78.636993 492.308990)(80.018997 -45.722000 479.000000)(79.994003 -45.503002 480.707001)(79.613205 -45.612499 479.853973)(79.994003 -45.503002 480.707001)(79.960007 -45.203999 483.036987)(79.582802 -45.353497 481.871979)(79.994003 -45.503002 480.707001)(80.756996 -44.300999 482.371979)(79.960007 -45.203999 483.036987)(79.994003 -45.503002 480.707001)(80.018997 -45.722000 479.000000)(80.756996 -44.300999 482.371979)(79.280304 -45.054996 474.428009)(79.676201 -45.388500 476.713989)(79.272102 -45.492599 477.427979)(79.280304 -45.054996 474.428009)(79.272102 -45.492599 477.427979)(77.800995 -75.124001 452.000000)(79.241295 -45.669601 478.640991)(79.232201 -45.722000 479.000000)(77.800995 -78.636993 492.308990)(77.800995 -75.124001 452.000000)(79.272102 -45.492599 477.427979)(77.800995 -78.636993 492.308990)(77.800995 -78.636993 492.308990)(72.714005 -96.683998 488.843994)(77.800995 -75.124001 452.000000)(77.800995 -62.127998 521.060974)(72.714005 -96.683998 488.843994)(77.800995 -78.636993 492.308990)(77.800995 -62.127998 521.060974)(72.714005 -82.199997 522.572998)(72.714005 -96.683998 488.843994)(84.889999 27.179001 479.101013)(84.765907 0.000000 479.118988)(84.006798 0.000000 471.638000)(67.601006 72.328003 542.781982)(41.952099 75.767197 542.196960)(41.956997 65.602196 544.356995)(-58.770599 72.124001 278.677002)(-58.876102 73.665703 286.773010)(-58.339001 79.063202 295.000000)(-61.307003 75.464706 295.000000)(-60.119099 75.463501 295.000000)(-58.876102 73.665703 286.773010)(41.824699 -113.646004 483.968994)(67.601006 -112.671005 480.468018)(67.601006 -113.523994 488.196991)(80.894905 -6.929690 464.500000)(80.939102 -0.523865 464.500000)(81.264900 -0.000000 464.500000)(80.939102 -0.523865 464.500000)(80.894905 -6.929690 464.500000)(81.283302 0.000000 457.399017)(80.939102 0.523865 464.500000)(80.939102 -0.523865 464.500000)(81.283302 0.000000 457.399017)(72.714005 96.683998 488.843994)(72.708000 90.958000 452.000000)(67.601006 106.838005 452.000000)(72.701996 82.625000 415.539001)(67.601006 106.838005 452.000000)(72.708000 90.958000 452.000000)(-9.491710 -77.874603 295.000000)(-3.418010 -76.742004 266.421997)(-9.366880 -70.952202 267.973999)(43.163300 113.523003 495.692017)(44.020298 113.420998 497.148987)(55.382198 113.355003 494.760986)(79.952003 36.598000 492.841003)(79.282295 36.327900 492.884979)(79.329102 34.866096 493.126007)(79.655701 34.596500 493.169983)(79.952003 36.598000 492.841003)(79.329102 34.866096 493.126007)(80.939102 -0.523865 464.500000)(80.939102 0.523865 464.500000)(81.101997 -0.000000 464.500000)(81.101997 -0.000000 464.500000)(81.264900 -0.000000 464.500000)(80.939102 0.523865 464.500000)(81.101997 -0.000000 464.500000)(80.939102 -0.523865 464.500000)(81.264900 -0.000000 464.500000)(80.914497 8.153500 464.500000)(81.264900 -0.000000 464.500000)(80.894905 6.929690 464.500000)(80.894905 6.929690 464.500000)(81.264900 -0.000000 464.500000)(80.939102 0.523865 464.500000)(79.207504 -45.520298 480.571991)(78.432899 -56.746899 499.244019)(77.800995 -78.636993 492.308990)(7.256990 81.315002 265.195984)(11.373000 89.879997 292.923981)(7.256990 88.820999 293.208008)(-124.982994 72.045998 355.863983)(-118.275002 79.184006 356.402008)(-124.130005 67.465996 333.440979)(41.912899 -101.700996 524.294006)(41.909698 -102.618004 522.785034)(67.601006 -101.744003 523.383972)(81.124001 16.306999 464.500000)(81.264900 -0.000000 464.500000)(80.914497 8.153500 464.500000)(-54.500999 33.966000 260.614014)(-56.438499 29.895500 262.147003)(-54.728798 33.383400 262.113983)(45.805000 -90.896004 387.692993)(45.859001 -90.318001 382.876984)(59.000999 -91.572998 395.704010)(77.800995 -62.127998 521.060974)(79.329102 -34.866096 493.126007)(78.471199 -31.063999 511.557983)(11.373000 82.374001 264.912018)(7.256990 81.315002 265.195984)(-34.432999 118.450996 255.246994)(-58.753300 71.872101 277.354004)(-58.339001 71.764000 267.755981)(-58.633900 70.127800 268.194000)(-42.789501 47.814297 261.878998)(-42.663002 47.998001 260.614014)(-44.588802 46.103203 261.283020)(80.374001 -40.141998 467.152008)(79.963402 -39.383499 466.601990)(80.443001 -38.625000 466.051025)(80.232002 -43.105000 470.230988)(82.525002 -40.196999 472.917999)(80.167000 -44.149002 472.476990)(79.774796 -43.627003 471.354004)(80.232002 -43.105000 470.230988)(80.167000 -44.149002 472.476990)(79.353493 -43.105000 470.230988)(80.232002 -43.105000 470.230988)(79.774796 -43.627003 471.354004)(79.353493 -43.105000 470.230988)(79.774796 -43.627003 471.354004)(79.317596 -44.059700 472.285004)(79.317596 -44.059700 472.285004)(79.774796 -43.627003 471.354004)(80.167000 -44.149002 472.476990)(79.314301 -44.149002 472.476990)(79.317596 -44.059700 472.285004)(80.167000 -44.149002 472.476990)(79.314301 -44.149002 472.476990)(77.800995 -75.124001 452.000000)(79.317596 -44.059700 472.285004)(54.766899 -88.597496 535.143982)(41.939301 -87.826401 536.362000)(41.933102 -91.898705 533.554016)(67.601006 104.222000 440.570007)(67.601006 101.487000 429.165985)(42.858997 103.848999 437.105011)(52.407299 36.600101 261.884979)(50.507099 39.090099 261.266998)(46.814201 43.831501 261.786987)(46.548000 44.241997 260.614014)(46.814201 43.831501 261.786987)(50.507099 39.090099 261.266998)(46.548000 44.241997 260.614014)(50.507099 39.090099 261.266998)(54.501999 33.966000 260.614014)(41.411198 76.998001 295.000000)(47.652699 75.137901 295.000000)(48.129997 68.846001 261.809998)(47.652699 75.137901 295.000000)(49.063000 75.113701 295.000000)(48.129997 68.846001 261.809998)(41.411198 76.998001 295.000000)(48.129997 68.846001 261.809998)(41.338203 67.909004 261.691986)(46.548000 44.241997 260.614014)(41.335800 48.715599 260.602997)(43.928703 46.463699 261.198029)(46.208698 44.480000 261.776001)(46.548000 44.241997 260.614014)(43.928703 46.463699 261.198029)(43.928703 46.463699 261.198029)(41.335800 48.715599 260.602997)(41.338203 48.664803 261.691986)(46.208698 44.480000 261.776001)(43.928703 46.463699 261.198029)(41.338203 48.664803 261.691986)(46.208698 44.480000 261.776001)(41.338203 48.664803 261.691986)(44.734100 56.662998 261.751007)(44.734100 56.662998 261.751007)(41.338203 48.664803 261.691986)(41.338203 67.909004 261.691986)(46.208698 44.480000 261.776001)(44.734100 56.662998 261.751007)(48.129997 68.846001 261.809998)(41.336601 59.515900 260.958984)(41.338203 48.664803 261.691986)(41.335800 48.715599 260.602997)(41.335003 70.367004 260.226990)(41.411198 76.998001 295.000000)(41.338203 67.909004 261.691986)(41.336601 59.515900 260.958984)(41.335003 70.367004 260.226990)(41.338203 67.909004 261.691986)(41.335800 48.715599 260.602997)(41.335003 70.367004 260.226990)(41.336601 59.515900 260.958984)(41.335003 70.367004 260.226990)(41.335800 48.715599 260.602997)(41.335003 48.699100 260.226990)(41.335003 48.699100 260.226990)(36.775700 52.616997 260.316986)(41.335003 70.367004 260.226990)(28.827499 76.776695 295.000000)(41.335003 70.367004 260.226990)(-10.356000 76.087494 295.000000)(-9.366880 70.952202 267.973999)(-10.356000 76.087494 295.000000)(41.335003 70.367004 260.226990)(46.208698 44.480000 261.776001)(46.518402 44.213898 261.781982)(46.548000 44.241997 260.614014)(36.775700 52.616997 260.316986)(36.682098 52.697498 260.318024)(41.335003 70.367004 260.226990)(44.734100 56.662998 261.751007)(41.338203 67.909004 261.691986)(48.129997 68.846001 261.809998)(-25.313299 58.982399 261.536011)(-24.953701 59.095497 261.528992)(-25.326000 59.012001 260.614014)(-44.588802 -46.103203 261.283020)(-46.547001 -44.241997 260.614014)(-42.663002 -47.998001 260.614014)(-42.789501 -47.814297 261.878998)(-44.588802 -46.103203 261.283020)(-42.663002 -47.998001 260.614014)(-46.547001 -44.241997 260.614014)(-46.513199 -44.209801 261.952026)(-46.852303 -43.771301 261.958984)(-46.513199 -44.209801 261.952026)(-94.406998 -68.487999 262.893005)(-46.852303 -43.771301 261.958984)(-46.513199 -44.209801 261.952026)(-44.588802 -46.103203 261.283020)(-42.789501 -47.814297 261.878998)(-94.406998 -68.487999 262.893005)(-46.513199 -44.209801 261.952026)(-42.789501 -47.814297 261.878998)(-46.513199 -44.209801 261.952026)(-46.547001 -44.241997 260.614014)(-44.588802 -46.103203 261.283020)(79.146400 43.719898 486.720001)(79.534698 43.808201 486.501007)(79.540703 43.936497 486.182983)(79.146400 43.719898 486.720001)(79.540703 43.936497 486.182983)(79.153503 44.193001 485.545990)(-0.000012 64.202194 261.039001)(-12.647201 62.908001 261.287018)(-94.406998 68.487999 262.893005)(75.193001 -13.573000 376.886017)(74.368095 0.000000 374.716003)(77.800995 -21.837999 381.958984)(59.000999 35.831001 364.783997)(66.028999 22.513000 339.349976)(59.000999 39.448997 354.901001)(66.028999 22.513000 339.349976)(59.000999 35.831001 364.783997)(61.535999 28.941999 363.698975)(63.235001 22.982000 362.966003)(61.535999 28.941999 363.698975)(67.601006 63.148998 371.933990)(61.535999 28.941999 363.698975)(63.235001 22.982000 362.966003)(66.028999 22.513000 339.349976)(66.028999 22.513000 339.349976)(63.235001 22.982000 362.966003)(64.200996 18.559999 362.567017)(61.535999 28.941999 363.698975)(59.000999 35.831001 364.783997)(67.601006 63.148998 371.933990)(67.601006 24.057001 363.636993)(63.235001 22.982000 362.966003)(67.601006 63.148998 371.933990)(64.200996 18.559999 362.567017)(63.235001 22.982000 362.966003)(67.601006 24.057001 363.636993)(67.601006 63.148998 371.933990)(59.000999 35.831001 364.783997)(59.000999 63.197002 371.791016)(67.601006 63.148998 371.933990)(59.000999 63.197002 371.791016)(67.601006 72.706001 376.436005)(59.000999 -39.448997 354.901001)(59.000999 -35.831001 364.783997)(59.000999 -63.197002 371.791016)(59.000999 -39.448997 354.901001)(66.028999 -22.513000 339.349976)(59.000999 -35.831001 364.783997)(67.504005 -25.653002 313.793976)(66.028999 -22.513000 339.349976)(59.000999 -44.068001 339.895020)(59.000999 -44.068001 339.895020)(66.028999 -22.513000 339.349976)(59.000999 -42.695000 344.901001)(66.028999 -22.513000 339.349976)(59.000999 -39.448997 354.901001)(59.000999 -42.695000 344.901001)(66.028999 -22.513000 339.349976)(67.504005 -25.653002 313.793976)(71.083099 0.000000 313.239990)(59.000999 -42.695000 344.901001)(59.000999 -63.197002 371.791016)(59.000999 -44.068001 339.895020)(59.000999 -39.448997 354.901001)(59.000999 -63.197002 371.791016)(59.000999 -42.695000 344.901001)(59.000999 -44.068001 339.895020)(59.000999 -46.861000 329.708008)(67.504005 -25.653002 313.793976)(59.000999 -50.173000 314.332977)(59.000999 -46.861000 329.708008)(59.000999 -63.197002 371.791016)(67.504005 -25.653002 313.793976)(59.000999 -46.861000 329.708008)(59.000999 -50.173000 314.332977)(59.000999 -63.197002 371.791016)(59.000999 -46.861000 329.708008)(59.000999 -44.068001 339.895020)(68.569000 -27.600000 287.979980)(67.504005 -25.653002 313.793976)(59.000999 -50.173000 314.332977)(59.000000 -54.230000 283.061005)(59.000000 -53.697002 288.311005)(59.000000 -68.695000 262.000000)(59.000000 -68.695000 262.000000)(59.000000 -53.697002 288.311005)(59.000999 -52.636002 298.752014)(59.000000 -53.697002 288.311005)(68.569000 -27.600000 287.979980)(59.000999 -52.636002 298.752014)(59.000000 -68.695000 262.000000)(59.000999 -52.636002 298.752014)(59.000999 -72.435997 375.942993)(59.000999 -52.636002 298.752014)(68.569000 -27.600000 287.979980)(59.000999 -50.173000 314.332977)(68.569000 -27.600000 287.979980)(72.301094 0.000000 287.640991)(67.504005 -25.653002 313.793976)(72.301498 0.000000 287.631989)(72.301094 0.000000 287.640991)(68.569000 -27.600000 287.979980)(71.442001 -17.107000 262.216980)(72.301498 0.000000 287.631989)(68.569000 -27.600000 287.979980)(59.000000 -54.230000 283.061005)(68.569000 -27.600000 287.979980)(59.000000 -53.697002 288.311005)(68.569000 -27.600000 287.979980)(59.000000 -54.230000 283.061005)(59.000000 -54.806999 272.545990)(59.000999 -89.418999 377.466003)(59.000000 -68.695000 262.000000)(59.000999 -72.435997 375.942993)(68.948997 -28.271000 262.174011)(71.442001 -17.107000 262.216980)(68.569000 -27.600000 287.979980)(63.761799 -30.413801 262.083008)(60.324402 -21.720699 262.023010)(61.755299 -16.190599 262.048004)(61.828899 -16.003599 261.346008)(61.755299 -16.190599 262.048004)(60.324402 -21.720699 262.023010)(60.224998 -22.299999 260.614014)(60.178898 -22.282900 262.020996)(59.820599 -23.013800 262.014008)(60.224998 -22.299999 260.614014)(60.324402 -21.720699 262.023010)(60.178898 -22.282900 262.020996)(60.224998 -22.299999 260.614014)(61.828899 -16.003599 261.346008)(60.324402 -21.720699 262.023010)(63.761799 -30.413801 262.083008)(59.820599 -23.013800 262.014008)(60.178898 -22.282900 262.020996)(60.224998 -22.299999 260.614014)(59.820599 -23.013800 262.014008)(59.133999 -24.414499 262.001984)(63.868999 -44.636997 262.084991)(59.133999 -24.414499 262.001984)(59.820599 -23.013800 262.014008)(59.000000 -54.994999 262.000000)(54.701099 -33.456799 261.925018)(55.011200 -32.824100 261.929993)(54.501999 -33.966000 260.614014)(55.011200 -32.824100 261.929993)(54.701099 -33.456799 261.925018)(54.501999 -33.966000 260.614014)(54.701099 -33.456799 261.925018)(54.463303 -33.941898 261.920990)(54.501999 -33.966000 260.614014)(55.086201 -32.671299 261.931976)(55.011200 -32.824100 261.929993)(57.341602 -28.122200 261.317017)(58.761898 -25.173399 261.996002)(56.077801 -30.648500 261.949005)(57.341602 -28.122200 261.317017)(56.077801 -30.648500 261.949005)(54.501999 -33.966000 260.614014)(60.224998 -22.299999 260.614014)(57.341602 -28.122200 261.317017)(54.501999 -33.966000 260.614014)(56.077801 -30.648500 261.949005)(55.086201 -32.671299 261.931976)(54.501999 -33.966000 260.614014)(59.973400 -40.084202 262.016998)(56.077801 -30.648500 261.949005)(58.761898 -25.173399 261.996002)(59.000000 -54.994999 262.000000)(56.077801 -30.648500 261.949005)(59.973400 -40.084202 262.016998)(60.224998 -22.299999 260.614014)(58.761898 -25.173399 261.996002)(57.341602 -28.122200 261.317017)(60.224998 -22.299999 260.614014)(59.133999 -24.414499 262.001984)(58.761898 -25.173399 261.996002)(63.868999 -44.636997 262.084991)(59.973400 -40.084202 262.016998)(58.761898 -25.173399 261.996002)(59.000000 -54.994999 262.000000)(55.086201 -32.671299 261.931976)(56.077801 -30.648500 261.949005)(63.868999 -44.636997 262.084991)(59.820599 -23.013800 262.014008)(63.761799 -30.413801 262.083008)(68.569000 -27.600000 287.979980)(67.703003 -33.854000 262.151978)(68.948997 -28.271000 262.174011)(63.868999 -44.636997 262.084991)(67.703003 -33.854000 262.151978)(68.569000 -27.600000 287.979980)(63.868999 -44.636997 262.084991)(68.569000 -27.600000 287.979980)(59.000000 -54.994999 262.000000)(63.868999 -44.636997 262.084991)(63.761799 -30.413801 262.083008)(67.703003 -33.854000 262.151978)(72.701996 82.625000 415.539001)(67.601006 72.706001 376.436005)(67.601006 77.644997 379.588989)(72.701996 82.625000 415.539001)(72.701996 62.891998 384.640015)(67.601006 72.706001 376.436005)(67.601006 77.644997 379.588989)(67.601006 72.706001 376.436005)(59.000999 72.435997 375.942993)(69.753494 36.353001 373.369995)(67.601006 72.706001 376.436005)(72.701996 62.891998 384.640015)(67.601006 72.706001 376.436005)(59.000999 63.197002 371.791016)(59.000999 72.435997 375.942993)(59.000999 72.435997 375.942993)(59.000999 63.197002 371.791016)(59.000999 52.636002 298.752014)(72.301094 0.000000 287.640991)(68.569000 27.600000 287.979980)(67.504005 25.653002 313.793976)(68.569000 27.600000 287.979980)(59.000999 50.173000 314.332977)(67.504005 25.653002 313.793976)(59.000999 52.636002 298.752014)(68.569000 27.600000 287.979980)(59.000000 53.697002 288.311005)(68.569000 27.600000 287.979980)(59.000999 52.636002 298.752014)(59.000999 50.173000 314.332977)(59.000999 63.197002 371.791016)(59.000999 50.173000 314.332977)(59.000999 52.636002 298.752014)(69.753494 36.353001 373.369995)(72.701996 62.891998 384.640015)(67.601196 0.000000 361.701019)(72.701996 27.146000 373.149017)(75.193001 13.573000 376.886017)(72.701996 0.000000 371.746979)(75.193001 13.573000 376.886017)(74.368095 0.000000 374.716003)(72.701996 0.000000 371.746979)(75.193001 13.573000 376.886017)(77.800995 21.837999 381.958984)(74.368095 0.000000 374.716003)(72.701996 0.000000 371.746979)(74.368095 0.000000 374.716003)(75.193001 -13.573000 376.886017)(72.701996 0.000000 371.746979)(75.193001 -13.573000 376.886017)(72.701996 -27.146000 373.149017)(72.701996 27.146000 373.149017)(77.800995 21.837999 381.958984)(75.193001 13.573000 376.886017)(67.601196 0.000000 361.701019)(72.701996 0.000000 371.746979)(72.701996 -27.146000 373.149017)(77.800995 21.837999 381.958984)(72.701996 27.146000 373.149017)(77.800995 51.714001 392.269989)(72.701996 62.891998 384.640015)(77.800995 51.714001 392.269989)(72.701996 27.146000 373.149017)(72.701996 62.891998 384.640015)(72.701996 27.146000 373.149017)(67.601196 0.000000 361.701019)(72.701996 62.891998 384.640015)(72.701996 82.625000 415.539001)(77.800995 68.164993 419.658020)(59.000000 54.230000 283.061005)(59.000000 53.697002 288.311005)(68.569000 27.600000 287.979980)(54.501999 33.966000 260.614014)(55.086201 32.671299 261.931976)(56.077801 30.648500 261.949005)(54.501999 33.966000 260.614014)(55.011200 32.824100 261.929993)(55.086201 32.671299 261.931976)(54.501999 33.966000 260.614014)(54.701099 33.456799 261.925018)(55.011200 32.824100 261.929993)(54.501999 33.966000 260.614014)(54.463303 33.941898 261.920990)(54.701099 33.456799 261.925018)(55.011200 32.824100 261.929993)(54.701099 33.456799 261.925018)(59.000000 54.994999 262.000000)(59.000000 54.994999 262.000000)(55.086201 32.671299 261.931976)(55.011200 32.824100 261.929993)(56.077801 30.648500 261.949005)(55.086201 32.671299 261.931976)(59.000000 54.994999 262.000000)(63.482002 9.720000 260.614014)(63.785397 3.229700 261.350983)(63.974796 0.000000 260.614014)(63.482002 9.720000 260.614014)(63.461998 9.109690 262.077972)(63.785397 3.229700 261.350983)(63.482002 9.720000 260.614014)(63.431503 9.712260 262.077972)(63.461998 9.109690 262.077972)(63.482002 9.720000 260.614014)(63.197701 10.615900 262.072998)(63.431503 9.712260 262.077972)(67.319801 -13.569201 262.145020)(63.431503 -9.712260 262.077972)(63.461998 -9.109690 262.077972)(67.319801 -13.569201 262.145020)(63.461998 -9.109690 262.077972)(64.238304 0.000000 262.091003)(63.197701 -10.615900 262.072998)(63.431503 -9.712260 262.077972)(67.319801 -13.569201 262.145020)(63.482002 -9.720000 260.614014)(63.431503 -9.712260 262.077972)(63.197701 -10.615900 262.072998)(65.601997 -22.568800 262.114990)(63.024902 -11.283500 262.070007)(68.948997 -28.271000 262.174011)(68.948997 -28.271000 262.174011)(63.024902 -11.283500 262.070007)(63.197701 -10.615900 262.072998)(63.482002 -9.720000 260.614014)(63.197701 -10.615900 262.072998)(63.024902 -11.283500 262.070007)(63.482002 -9.720000 260.614014)(63.024902 -11.283500 262.070007)(62.254898 -14.259600 262.057007)(63.482002 -9.720000 260.614014)(62.254898 -14.259600 262.057007)(61.828899 -16.003599 261.346008)(63.482002 -9.720000 260.614014)(63.461998 -9.109690 262.077972)(63.431503 -9.712260 262.077972)(63.461998 -9.109690 262.077972)(63.923599 0.000000 262.085999)(64.238304 0.000000 262.091003)(63.930199 0.000000 261.896027)(63.923599 0.000000 262.085999)(63.785397 -3.229700 261.350983)(63.961903 0.000000 260.984009)(63.930199 0.000000 261.896027)(63.785397 -3.229700 261.350983)(63.461998 -9.109690 262.077972)(63.785397 -3.229700 261.350983)(63.923599 0.000000 262.085999)(72.700600 0.000000 262.239014)(64.651497 0.000000 262.098022)(71.442001 17.107000 262.216980)(71.442001 -17.107000 262.216980)(64.651497 0.000000 262.098022)(72.700600 0.000000 262.239014)(71.442001 -17.107000 262.216980)(64.444305 0.000000 262.095001)(64.651497 0.000000 262.098022)(72.301498 0.000000 287.631989)(72.700600 0.000000 262.239014)(71.442001 17.107000 262.216980)(71.442001 -17.107000 262.216980)(67.319801 -13.569201 262.145020)(64.444305 0.000000 262.095001)(68.569000 27.600000 287.979980)(72.301498 0.000000 287.631989)(71.442001 17.107000 262.216980)(68.948997 -28.271000 262.174011)(67.319801 -13.569201 262.145020)(71.442001 -17.107000 262.216980)(64.651497 0.000000 262.098022)(64.444305 0.000000 262.095001)(71.442001 17.107000 262.216980)(64.238304 0.000000 262.091003)(63.923599 0.000000 262.085999)(63.461998 9.109690 262.077972)(64.238304 0.000000 262.091003)(63.461998 9.109690 262.077972)(67.319801 13.569201 262.145020)(63.923599 0.000000 262.085999)(63.785397 3.229700 261.350983)(63.461998 9.109690 262.077972)(64.444305 0.000000 262.095001)(64.238304 0.000000 262.091003)(67.319801 13.569201 262.145020)(64.444305 0.000000 262.095001)(67.319801 13.569201 262.145020)(71.442001 17.107000 262.216980)(71.442001 17.107000 262.216980)(67.319801 13.569201 262.145020)(68.948997 28.271000 262.174011)(63.961903 0.000000 260.984009)(63.785397 3.229700 261.350983)(63.930199 0.000000 261.896027)(67.319801 -13.569201 262.145020)(64.238304 0.000000 262.091003)(64.444305 0.000000 262.095001)(63.482002 -9.720000 260.614014)(63.785397 -3.229700 261.350983)(63.461998 -9.109690 262.077972)(63.974796 0.000000 260.614014)(63.785397 -3.229700 261.350983)(63.482002 -9.720000 260.614014)(58.761898 25.173399 261.996002)(57.341602 28.122200 261.317017)(56.077801 30.648500 261.949005)(57.341602 28.122200 261.317017)(58.761898 25.173399 261.996002)(60.224998 22.299999 260.614014)(58.761898 25.173399 261.996002)(59.133999 24.414499 262.001984)(60.224998 22.299999 260.614014)(59.133999 24.414499 262.001984)(58.761898 25.173399 261.996002)(63.868999 44.636997 262.084991)(60.178898 22.282900 262.020996)(59.820599 23.013800 262.014008)(63.761799 30.413801 262.083008)(63.761799 30.413801 262.083008)(59.820599 23.013800 262.014008)(63.868999 44.636997 262.084991)(67.703003 33.854000 262.151978)(63.761799 30.413801 262.083008)(63.868999 44.636997 262.084991)(68.569000 27.600000 287.979980)(67.703003 33.854000 262.151978)(63.868999 44.636997 262.084991)(63.868999 44.636997 262.084991)(59.973400 40.084202 262.016998)(59.000000 54.994999 262.000000)(59.973400 40.084202 262.016998)(56.077801 30.648500 261.949005)(59.000000 54.994999 262.000000)(63.868999 44.636997 262.084991)(59.000000 54.994999 262.000000)(68.569000 27.600000 287.979980)(59.000000 54.806999 272.545990)(68.569000 27.600000 287.979980)(59.000000 54.994999 262.000000)(59.000000 54.230000 283.061005)(68.569000 27.600000 287.979980)(59.000000 54.806999 272.545990)(68.569000 27.600000 287.979980)(68.948997 28.271000 262.174011)(67.703003 33.854000 262.151978)(59.820599 23.013800 262.014008)(59.133999 24.414499 262.001984)(63.868999 44.636997 262.084991)(59.000000 54.230000 283.061005)(59.000000 54.806999 272.545990)(59.000000 68.695000 262.000000)(54.501999 33.966000 260.614014)(57.341602 28.122200 261.317017)(60.224998 22.299999 260.614014)(58.761898 25.173399 261.996002)(59.973400 40.084202 262.016998)(63.868999 44.636997 262.084991)(71.442001 17.107000 262.216980)(68.948997 28.271000 262.174011)(68.569000 27.600000 287.979980)(67.319801 13.569201 262.145020)(63.197701 10.615900 262.072998)(68.948997 28.271000 262.174011)(63.461998 9.109690 262.077972)(63.431503 9.712260 262.077972)(67.319801 13.569201 262.145020)(67.601006 72.706001 376.436005)(67.601196 0.000000 361.701019)(67.601006 63.148998 371.933990)(63.868999 -44.636997 262.084991)(58.761898 -25.173399 261.996002)(59.133999 -24.414499 262.001984)(68.569000 -27.600000 287.979980)(59.000000 -54.806999 272.545990)(59.000000 -54.994999 262.000000)(79.153503 44.193001 485.545990)(78.432899 56.746899 499.244019)(79.146400 43.719898 486.720001)(72.301498 0.000000 287.631989)(68.569000 27.600000 287.979980)(72.301094 0.000000 287.640991)(-61.307003 77.163399 302.778992)(-76.641594 72.824501 282.835999)(-94.357002 73.585007 286.235016)(72.714005 10.359000 538.294983)(72.714005 0.000000 538.158997)(74.165901 0.000000 535.719971)(74.165901 0.000000 535.719971)(77.800400 0.000000 530.000000)(72.714005 10.359000 538.294983)(-45.139999 85.764999 264.003998)(-47.857002 91.569000 292.472015)(-45.139999 93.271004 292.015991)(79.145798 43.680000 486.819000)(79.534393 42.913002 487.942017)(79.922997 43.680000 486.819000)(55.723598 -0.000000 545.817017)(41.960796 0.000000 546.080994)(54.780899 -15.335300 546.146973)(54.701099 33.456799 261.925018)(54.463303 33.941898 261.920990)(59.000000 54.994999 262.000000)(54.463303 33.941898 261.920990)(53.674301 34.961998 261.907013)(59.000000 54.994999 262.000000)(59.000999 46.861000 329.708008)(67.504005 25.653002 313.793976)(59.000999 50.173000 314.332977)(59.000999 63.197002 371.791016)(59.000999 39.448997 354.901001)(59.000999 42.695000 344.901001)(59.000999 63.197002 371.791016)(59.000999 42.695000 344.901001)(59.000999 44.068001 339.895020)(59.000999 42.695000 344.901001)(66.028999 22.513000 339.349976)(59.000999 44.068001 339.895020)(59.000999 44.068001 339.895020)(66.028999 22.513000 339.349976)(67.504005 25.653002 313.793976)(67.504005 25.653002 313.793976)(59.000999 46.861000 329.708008)(59.000999 44.068001 339.895020)(79.934998 44.193001 485.545990)(79.922997 43.680000 486.819000)(80.756996 44.300999 482.371979)(55.723598 -0.000000 545.817017)(54.780899 15.335300 546.146973)(41.960796 0.000000 546.080994)(67.601006 30.676001 546.212952)(54.780899 15.335300 546.146973)(55.723598 -0.000000 545.817017)(-61.824402 16.002699 261.449005)(-63.423298 9.711161 262.283997)(-60.337601 21.638199 262.223999)(-54.500999 -33.966000 260.614014)(-56.438499 -29.895500 262.147003)(-57.337399 -28.120701 261.416992)(-54.500999 -33.966000 260.614014)(-57.337399 -28.120701 261.416992)(-60.223999 -22.299999 260.614014)(-54.500999 -33.966000 260.614014)(-54.456699 -33.938400 262.108002)(-54.728798 -33.383400 262.113983)(-54.456699 -33.938400 262.108002)(-94.406998 -68.487999 262.893005)(-54.728798 -33.383400 262.113983)(-54.728798 -33.383400 262.113983)(-94.406998 -68.487999 262.893005)(-56.438499 -29.895500 262.147003)(-56.438499 -29.895500 262.147003)(-94.406998 -68.487999 262.893005)(-60.171398 -22.280499 262.221008)(-50.503498 -39.088100 261.360992)(-54.456699 -33.938400 262.108002)(-54.500999 -33.966000 260.614014)(-50.503498 -39.088100 261.360992)(-46.852303 -43.771301 261.958984)(-54.456699 -33.938400 262.108002)(-60.171398 -22.280499 262.221008)(-94.406998 -68.487999 262.893005)(-60.337601 -21.638199 262.223999)(-60.223999 -22.299999 260.614014)(-60.171398 -22.280499 262.221008)(-60.337601 -21.638199 262.223999)(-60.223999 -22.299999 260.614014)(-60.337601 -21.638199 262.223999)(-61.824402 -16.002699 261.449005)(-60.223999 -22.299999 260.614014)(-61.824402 -16.002699 261.449005)(-63.481003 -9.720000 260.614014)(-63.481003 -9.720000 260.614014)(-61.824402 -16.002699 261.449005)(-63.423298 -9.711161 262.283997)(-60.337601 -21.638199 262.223999)(-94.406998 -68.487999 262.893005)(-63.423298 -9.711161 262.283997)(-63.423298 -9.711161 262.283997)(-94.406998 -68.487999 262.893005)(-63.458199 -9.023340 262.285004)(-63.458199 -9.023340 262.285004)(-94.406998 -68.487999 262.893005)(-65.456200 0.000000 262.324005)(-94.406998 -68.487999 262.893005)(-94.406998 0.000000 262.893005)(-65.456200 0.000000 262.324005)(-63.458199 -9.023340 262.285004)(-65.456200 0.000000 262.324005)(-63.915401 0.000000 262.294006)(-63.915401 0.000000 262.294006)(-65.456200 0.000000 262.324005)(-63.458199 9.023340 262.285004)(-63.458199 9.023340 262.285004)(-65.456200 0.000000 262.324005)(-94.406998 68.487999 262.893005)(-63.915401 0.000000 262.294006)(-63.780800 -3.229520 261.456024)(-63.458199 -9.023340 262.285004)(-57.337399 -28.120701 261.416992)(-60.171398 -22.280499 262.221008)(-60.223999 -22.299999 260.614014)(-63.423298 9.711161 262.283997)(-63.458199 9.023340 262.285004)(-94.406998 68.487999 262.893005)(-60.337601 21.638199 262.223999)(-63.423298 9.711161 262.283997)(-94.406998 68.487999 262.893005)(-61.824402 -16.002699 261.449005)(-60.337601 -21.638199 262.223999)(-63.423298 -9.711161 262.283997)(-54.728798 -33.383400 262.113983)(-56.438499 -29.895500 262.147003)(-54.500999 -33.966000 260.614014)(-63.929996 0.000000 261.875000)(-63.780800 -3.229520 261.456024)(-63.915401 0.000000 262.294006)(-63.929996 0.000000 261.875000)(-63.915401 0.000000 262.294006)(-63.780800 3.229520 261.456024)(-63.959099 0.000000 261.036987)(-63.929996 0.000000 261.875000)(-63.780800 3.229520 261.456024)(-63.973801 0.000000 260.614014)(-63.959099 0.000000 261.036987)(-63.780800 3.229520 261.456024)(-63.973801 0.000000 260.614014)(-63.780800 3.229520 261.456024)(-63.481003 9.720000 260.614014)(-63.959099 0.000000 261.036987)(-63.780800 -3.229520 261.456024)(-63.929996 0.000000 261.875000)(-63.780800 3.229520 261.456024)(-63.458199 9.023340 262.285004)(-63.481003 9.720000 260.614014)(-63.458199 9.023340 262.285004)(-63.780800 3.229520 261.456024)(-63.915401 0.000000 262.294006)(-65.456200 0.000000 262.324005)(-94.406998 0.000000 262.893005)(-94.406998 68.487999 262.893005)(-46.547001 -44.241997 260.614014)(-50.503498 -39.088100 261.360992)(-54.500999 -33.966000 260.614014)(45.693001 -89.557999 376.733002)(44.958000 -88.740997 370.332001)(59.000999 -89.418999 377.466003)(45.693001 -89.557999 376.733002)(59.000999 -89.418999 377.466003)(59.000999 -91.572998 395.704010)(59.000999 -85.778000 387.139008)(59.000999 -91.572998 395.704010)(59.000999 -89.418999 377.466003)(-58.203102 83.030594 334.000000)(-26.334999 87.259003 355.483002)(-39.445698 83.375198 334.000000)(-58.203102 83.030594 334.000000)(-58.542400 83.028801 334.000000)(-26.334999 87.259003 355.483002)(-94.357002 73.585007 286.235016)(-77.832001 76.204399 298.527985)(-61.307003 77.601700 305.225006)(-94.357002 73.585007 286.235016)(-94.341003 75.278999 293.992004)(-77.832001 76.204399 298.527985)(77.800995 75.124001 452.000000)(81.290001 0.000000 456.649017)(81.288498 0.000000 456.497986)(26.004999 91.485001 262.470978)(19.285002 86.037003 263.931000)(-32.311996 126.673996 253.042999)(68.948997 -28.271000 262.174011)(67.703003 -33.854000 262.151978)(65.601997 -22.568800 262.114990)(67.703003 -33.854000 262.151978)(62.254898 -14.259600 262.057007)(65.601997 -22.568800 262.114990)(67.703003 -33.854000 262.151978)(62.091103 -14.892700 262.053986)(62.254898 -14.259600 262.057007)(59.000000 -54.230000 283.061005)(59.000000 -68.695000 262.000000)(59.000000 -54.806999 272.545990)(79.153503 -44.193001 485.545990)(79.540703 -43.936497 486.182983)(79.146400 -43.719898 486.720001)(-16.759100 147.552994 262.769012)(-14.805000 152.445007 276.160004)(-14.805000 144.939011 248.147995)(81.072006 44.300999 479.023010)(80.756996 44.300999 482.371979)(83.160995 40.196999 479.069000)(77.800400 0.000000 530.000000)(79.476807 10.862000 493.500000)(78.569298 15.532000 511.746002)(77.800400 0.000000 530.000000)(78.569298 15.532000 511.746002)(78.471199 31.063999 511.557983)(77.800400 0.000000 530.000000)(78.471199 31.063999 511.557983)(77.800995 62.127998 521.060974)(45.693001 -89.557999 376.733002)(59.000999 -91.572998 395.704010)(45.859001 -90.318001 382.876984)(67.601006 95.750999 529.524048)(64.392502 88.356804 534.793945)(67.601006 80.802002 539.831970)(78.569298 15.532000 511.746002)(79.476807 10.862000 493.500000)(78.471199 31.063999 511.557983)(-3.418010 76.742004 266.421997)(-35.427002 98.872002 260.492004)(-34.164997 106.940002 258.329987)(64.392502 -88.356804 534.793945)(61.184002 -88.436996 534.910950)(67.601006 -95.750999 529.524048)(64.392502 -88.356804 534.793945)(67.601006 -80.802002 539.831970)(61.184002 -88.436996 534.910950)(67.601006 -80.802002 539.831970)(64.392502 -88.356804 534.793945)(67.601006 -95.750999 529.524048)(62.254898 -14.259600 262.057007)(62.091103 -14.892700 262.053986)(61.828899 -16.003599 261.346008)(52.500000 -82.378998 332.873993)(59.000000 -68.695000 262.000000)(52.500000 -82.581001 334.000000)(59.000000 -68.695000 262.000000)(52.500000 -82.378998 332.873993)(52.500000 -75.987099 297.262024)(79.934998 44.193001 485.545990)(79.544296 44.064701 485.864014)(79.544296 44.128899 485.704987)(79.934998 44.193001 485.545990)(79.153503 44.193001 485.545990)(79.544296 44.128899 485.704987)(79.544296 44.064701 485.864014)(79.544296 44.128899 485.704987)(79.153503 44.193001 485.545990)(81.291397 0.000000 457.002014)(81.283302 0.000000 457.399017)(80.894905 -6.929690 464.500000)(-61.307003 -78.823700 310.820007)(-94.341003 -75.278999 293.992004)(-77.832001 -76.204399 298.527985)(52.500000 82.378998 332.873993)(59.000000 68.695000 262.000000)(52.500000 75.987099 297.262024)(59.000000 68.695000 262.000000)(52.500000 75.750999 296.348999)(52.500000 75.987099 297.262024)(52.500000 75.401794 295.000000)(52.500000 75.750999 296.348999)(59.000000 68.695000 262.000000)(59.000000 68.695000 262.000000)(51.340302 75.074501 295.000000)(52.500000 75.401794 295.000000)(49.063000 75.113701 295.000000)(51.340302 75.074501 295.000000)(59.000000 68.695000 262.000000)(52.500000 82.581001 334.000000)(59.000000 68.695000 262.000000)(52.500000 82.378998 332.873993)(81.124001 16.306999 464.500000)(84.006798 0.000000 471.638000)(81.267998 0.000000 464.500000)(83.979004 27.179001 471.576996)(84.006798 0.000000 471.638000)(82.564896 13.589500 468.069000)(82.564896 13.589500 468.069000)(81.124001 16.306999 464.500000)(83.979004 27.179001 471.576996)(81.124001 16.306999 464.500000)(82.564896 13.589500 468.069000)(84.006798 0.000000 471.638000)(52.500000 -75.750999 296.348999)(52.500000 -75.401794 295.000000)(59.000000 -68.695000 262.000000)(59.000000 -68.695000 262.000000)(52.500000 -75.401794 295.000000)(51.340302 -75.074501 295.000000)(54.501999 -33.966000 260.614014)(53.674301 -34.961998 261.907013)(52.407299 -36.600101 261.884979)(54.501999 -33.966000 260.614014)(52.407299 -36.600101 261.884979)(50.507099 -39.090099 261.266998)(44.734100 -56.662998 261.751007)(41.338203 -67.909004 261.691986)(41.338203 -48.664803 261.691986)(48.129997 -68.846001 261.809998)(41.338203 -67.909004 261.691986)(44.734100 -56.662998 261.751007)(52.604298 -52.723099 261.888000)(46.518402 -44.213898 261.781982)(46.814201 -43.831501 261.786987)(52.604298 -52.723099 261.888000)(46.814201 -43.831501 261.786987)(52.407299 -36.600101 261.884979)(50.507099 -39.090099 261.266998)(52.407299 -36.600101 261.884979)(46.814201 -43.831501 261.786987)(50.507099 -39.090099 261.266998)(46.814201 -43.831501 261.786987)(46.548000 -44.241997 260.614014)(52.604298 -52.723099 261.888000)(46.208698 -44.480000 261.776001)(46.518402 -44.213898 261.781982)(52.604298 -52.723099 261.888000)(48.129997 -68.846001 261.809998)(46.208698 -44.480000 261.776001)(41.335003 -48.699100 260.226990)(46.548000 -44.241997 260.614014)(41.335800 -48.715599 260.602997)(41.335003 -48.699100 260.226990)(41.335800 -48.715599 260.602997)(41.335003 -70.367004 260.226990)(41.336601 -59.515900 260.958984)(41.335003 -70.367004 260.226990)(41.335800 -48.715599 260.602997)(43.928703 -46.463699 261.198029)(41.335800 -48.715599 260.602997)(46.548000 -44.241997 260.614014)(46.518402 -44.213898 261.781982)(46.208698 -44.480000 261.776001)(46.548000 -44.241997 260.614014)(46.208698 -44.480000 261.776001)(43.928703 -46.463699 261.198029)(46.548000 -44.241997 260.614014)(41.338203 -48.664803 261.691986)(43.928703 -46.463699 261.198029)(46.208698 -44.480000 261.776001)(48.129997 -68.846001 261.809998)(44.734100 -56.662998 261.751007)(46.208698 -44.480000 261.776001)(41.335800 -48.715599 260.602997)(41.338203 -48.664803 261.691986)(41.336601 -59.515900 260.958984)(41.338203 -67.909004 261.691986)(41.335003 -70.367004 260.226990)(41.336601 -59.515900 260.958984)(41.338203 -67.909004 261.691986)(48.129997 -68.846001 261.809998)(41.411198 -76.998001 295.000000)(41.338203 -67.909004 261.691986)(41.411198 -76.998001 295.000000)(41.335003 -70.367004 260.226990)(46.548000 -44.241997 260.614014)(46.814201 -43.831501 261.786987)(46.518402 -44.213898 261.781982)(47.652699 -75.137901 295.000000)(41.411198 -76.998001 295.000000)(48.129997 -68.846001 261.809998)(47.652699 -75.137901 295.000000)(48.129997 -68.846001 261.809998)(49.063000 -75.113701 295.000000)(59.000000 -68.695000 262.000000)(49.063000 -75.113701 295.000000)(48.129997 -68.846001 261.809998)(59.000000 -68.695000 262.000000)(48.129997 -68.846001 261.809998)(52.604298 -52.723099 261.888000)(41.338203 -48.664803 261.691986)(41.335800 -48.715599 260.602997)(43.928703 -46.463699 261.198029)(28.827499 -76.776695 295.000000)(41.335003 -70.367004 260.226990)(41.411198 -76.998001 295.000000)(52.604298 -52.723099 261.888000)(52.407299 -36.600101 261.884979)(59.000000 -68.695000 262.000000)(-55.224003 77.662994 266.174988)(-50.446999 82.413002 264.902008)(-39.505299 70.447899 268.075989)(54.501999 -33.966000 260.614014)(50.507099 -39.090099 261.266998)(46.548000 -44.241997 260.614014)(-60.223999 22.299999 260.614014)(-57.337399 28.120701 261.416992)(-54.500999 33.966000 260.614014)(54.780899 -15.335300 546.146973)(41.960796 0.000000 546.080994)(48.370903 -15.011801 546.263977)(83.608002 27.179001 486.575012)(83.559402 0.000000 486.539978)(84.765907 0.000000 479.118988)(-12.923200 -62.879799 261.292999)(-19.122200 -60.942299 261.070984)(-12.927999 -62.903004 260.614014)(41.808601 112.526001 476.743988)(67.601006 112.671005 480.468018)(67.601006 110.815002 470.542999)(54.775600 76.659996 541.580017)(41.950302 78.220802 541.342041)(41.952099 75.767197 542.196960)(-25.313299 58.982399 261.536011)(-36.255600 52.900799 261.751007)(-94.406998 68.487999 262.893005)(79.171600 -45.227699 482.852997)(79.582802 -45.353497 481.871979)(79.960007 -45.203999 483.036987)(-22.179001 147.852997 277.390991)(-16.759100 147.552994 262.769012)(-14.805000 144.939011 248.147995)(-22.179001 147.852997 277.390991)(-20.121698 149.134003 277.048004)(-16.759100 147.552994 262.769012)(63.974796 0.000000 260.614014)(63.785397 3.229700 261.350983)(63.961903 0.000000 260.984009)(-42.395500 -48.153004 261.871002)(-42.789501 -47.814297 261.878998)(-42.663002 -47.998001 260.614014)(-106.214005 75.188004 309.794983)(-117.537003 69.362000 309.940979)(-117.959000 74.542999 333.388000)(79.928894 -39.762798 466.877014)(79.483803 -40.006001 467.053009)(79.963402 -39.383499 466.601990)(80.684998 -32.614998 464.500000)(80.247299 -32.951000 464.543030)(79.809601 -32.731998 464.515015)(79.725105 -44.601997 473.452972)(80.167000 -44.149002 472.476990)(80.111000 -45.054996 474.428009)(2.270990 -148.207001 247.272995)(10.900001 -146.677994 247.682007)(2.270990 -155.713013 275.285004)(80.567001 -35.695000 464.893982)(83.756996 -33.969997 471.612000)(80.443001 -38.625000 466.051025)(-125.403999 -0.441000 263.502014)(-125.403999 0.441000 263.502014)(-94.406998 0.000000 262.893005)(41.560200 88.260201 356.608978)(59.000999 89.418999 377.466003)(52.500000 82.581001 334.000000)(-57.337399 -28.120701 261.416992)(-56.438499 -29.895500 262.147003)(-60.171398 -22.280499 262.221008)(-77.832001 76.204399 298.527985)(-61.307003 78.823700 310.820007)(-61.307003 77.601700 305.225006)(-76.641594 -72.824501 282.835999)(-94.406998 -68.487999 262.893005)(-58.876102 -73.665703 286.773010)(72.714005 10.359000 538.294983)(71.280098 0.000000 540.548035)(72.714005 0.000000 538.158997)(70.139099 7.513500 542.466980)(68.856705 7.513500 544.556030)(67.601006 0.000000 546.541992)(67.601006 15.026999 546.661987)(68.856705 7.513500 544.556030)(70.139099 7.513500 542.466980)(67.601006 15.026999 546.661987)(70.139099 7.513500 542.466980)(72.714005 10.359000 538.294983)(70.139099 7.513500 542.466980)(67.601006 0.000000 546.541992)(71.280098 0.000000 540.548035)(72.714005 10.359000 538.294983)(70.139099 7.513500 542.466980)(71.280098 0.000000 540.548035)(67.601006 84.650002 386.212006)(72.701996 82.625000 415.539001)(67.601006 77.644997 379.588989)(67.601006 84.650002 386.212006)(67.601006 77.644997 379.588989)(59.000999 85.778000 387.139008)(63.482002 9.720000 260.614014)(63.024902 11.283500 262.070007)(63.197701 10.615900 262.072998)(79.911003 42.146000 489.063995)(79.914001 40.181999 490.934998)(82.287994 40.196999 485.184998)(67.601006 98.632996 417.792999)(72.701996 82.625000 415.539001)(67.601006 97.194000 412.299011)(43.928001 100.006996 421.527008)(67.601006 97.194000 412.299011)(67.601006 95.661003 406.449005)(67.601006 95.661003 406.449005)(67.601006 97.194000 412.299011)(72.701996 82.625000 415.539001)(67.601006 94.186996 402.330994)(67.601006 95.661003 406.449005)(72.701996 82.625000 415.539001)(67.601006 95.661003 406.449005)(67.601006 94.186996 402.330994)(44.993999 95.351006 404.143005)(44.993999 95.351006 404.143005)(67.601006 94.186996 402.330994)(67.601006 92.889000 398.705994)(67.601006 92.889000 398.705994)(67.601006 94.186996 402.330994)(72.701996 82.625000 415.539001)(77.800995 51.714001 392.269989)(78.978004 15.835000 395.385010)(77.800995 21.837999 381.958984)(79.960007 -45.203999 483.036987)(80.756996 -44.300999 482.371979)(79.934998 -44.193001 485.545990)(-58.944603 75.462196 295.000000)(-58.339001 79.063202 295.000000)(-58.876102 73.665703 286.773010)(41.812000 112.814003 478.283997)(41.812099 112.822006 478.329987)(67.601006 112.671005 480.468018)(72.701996 -82.625000 415.539001)(67.601006 -95.661003 406.449005)(67.601006 -94.186996 402.330994)(79.207504 45.520298 480.571991)(79.613205 45.612499 479.853973)(79.232201 45.722000 479.000000)(71.442001 -17.107000 262.216980)(72.700600 0.000000 262.239014)(72.301498 0.000000 287.631989)(80.633003 -33.959000 464.670990)(80.193306 -33.622997 464.628021)(80.219299 -33.286999 464.584991)(79.753601 -33.959000 464.670990)(80.193306 -33.790997 464.649994)(80.193306 -33.622997 464.628021)(80.193306 -33.790997 464.649994)(80.193306 -33.622997 464.628021)(80.633003 -33.959000 464.670990)(79.753601 -33.959000 464.670990)(80.193306 -33.790997 464.649994)(80.633003 -33.959000 464.670990)(80.633003 -33.959000 464.670990)(79.746597 -34.111897 464.691010)(79.753601 -33.959000 464.670990)(79.153503 44.193001 485.545990)(79.540703 43.936497 486.182983)(79.544296 44.064701 485.864014)(41.335800 48.715599 260.602997)(46.548000 44.241997 260.614014)(41.335003 48.699100 260.226990)(-126.401009 -41.887001 286.700989)(-124.023994 -52.660000 286.687988)(-128.570999 -47.430000 310.032990)(79.914001 -40.181999 490.934998)(79.911003 -42.146000 489.063995)(82.287994 -40.196999 485.184998)(80.329002 -41.132000 467.869995)(82.525002 -40.196999 472.917999)(80.232002 -43.105000 470.230988)(79.435104 -41.132000 467.869995)(80.329002 -41.132000 467.869995)(79.844803 -42.118500 469.049988)(79.435104 -41.132000 467.869995)(79.844803 -42.118500 469.049988)(79.360596 -42.931400 470.023010)(79.438904 -41.043503 467.806000)(79.435104 -41.132000 467.869995)(80.329002 -41.132000 467.869995)(79.438904 -41.043503 467.806000)(79.435104 -41.132000 467.869995)(77.800995 -75.124001 452.000000)(79.844803 -42.118500 469.049988)(80.329002 -41.132000 467.869995)(80.232002 -43.105000 470.230988)(83.608002 27.179001 486.575012)(80.360001 10.862000 493.500000)(83.559402 0.000000 486.539978)(67.703003 -33.854000 262.151978)(63.761799 -30.413801 262.083008)(61.755299 -16.190599 262.048004)(-25.313299 58.982399 261.536011)(-25.326000 59.012001 260.614014)(-30.997398 55.841698 261.182007)(59.000999 63.197002 371.791016)(59.000999 35.831001 364.783997)(59.000999 39.448997 354.901001)(41.802002 111.883995 473.709991)(41.805199 112.203003 475.196014)(67.601006 109.491997 464.199982)(54.501999 33.966000 260.614014)(56.077801 30.648500 261.949005)(57.341602 28.122200 261.317017)(79.154495 -42.146000 489.063995)(79.153801 -42.262302 488.893982)(79.911003 -42.146000 489.063995)(79.314301 -44.149002 472.476990)(80.167000 -44.149002 472.476990)(79.725105 -44.601997 473.452972)(83.979004 -27.179001 471.576996)(84.889999 -27.179001 479.101013)(83.756996 -33.969997 471.612000)(-124.023994 -52.660000 286.687988)(-121.458000 -58.391003 286.653992)(-123.512001 -61.675999 310.009979)(-123.795998 36.459000 263.470001)(-122.964005 45.035999 263.453003)(-94.406998 68.487999 262.893005)(79.476807 10.862000 493.500000)(79.866402 19.020000 493.500000)(79.372696 25.941099 493.500000)(80.357498 -0.000000 493.500000)(79.545601 0.879971 493.500000)(79.951599 0.000000 493.500000)(79.545601 0.879971 493.500000)(79.545601 -0.879971 493.500000)(79.951599 0.000000 493.500000)(79.545601 -0.879971 493.500000)(80.357498 -0.000000 493.500000)(79.951599 0.000000 493.500000)(79.372696 -25.941099 493.500000)(80.112000 -27.178001 493.500000)(79.866402 -19.020000 493.500000)(-94.406998 -68.487999 262.893005)(-58.753300 -71.872101 277.354004)(-58.770599 -72.124001 278.677002)(59.000000 -68.695000 262.000000)(52.500000 -75.987099 297.262024)(52.500000 -75.750999 296.348999)(-34.432999 -118.450996 255.246994)(11.373000 -82.374001 264.912018)(19.285002 -86.037003 263.931000)(79.146400 -43.719898 486.720001)(79.540703 -43.936497 486.182983)(79.534698 -43.808201 486.501007)(79.280304 -45.054996 474.428009)(80.111000 -45.054996 474.428009)(79.676201 -45.388500 476.713989)(79.168701 -45.203999 483.036987)(79.154701 -44.272099 485.350006)(78.432899 -56.746899 499.244019)(80.564003 16.306999 464.500000)(80.914497 8.153500 464.500000)(80.894905 6.929690 464.500000)(81.291397 0.000000 457.002014)(80.564003 16.306999 464.500000)(80.894905 6.929690 464.500000)(59.000999 -85.778000 387.139008)(67.601006 -84.650002 386.212006)(59.000999 -91.572998 395.704010)(67.601006 -84.650002 386.212006)(59.000999 -85.778000 387.139008)(67.601006 -77.644997 379.588989)(59.000000 53.697002 288.311005)(59.000000 54.230000 283.061005)(59.000000 68.695000 262.000000)(79.477898 -40.141998 467.152008)(79.438904 -41.043503 467.806000)(77.800995 -75.124001 452.000000)(31.111000 -98.375999 260.625000)(34.283001 -106.278000 258.507996)(-22.179001 -140.348007 249.378998)(79.317596 -44.059700 472.285004)(77.800995 -75.124001 452.000000)(79.353493 -43.105000 470.230988)(79.353493 -43.105000 470.230988)(77.800995 -75.124001 452.000000)(79.360596 -42.931400 470.023010)(59.000000 -68.695000 262.000000)(52.407299 -36.600101 261.884979)(53.674301 -34.961998 261.907013)(59.000000 -54.994999 262.000000)(53.674301 -34.961998 261.907013)(54.463303 -33.941898 261.920990)(53.674301 -34.961998 261.907013)(59.000000 -54.994999 262.000000)(59.000000 -68.695000 262.000000)(79.952003 36.598000 492.841003)(79.655701 34.596500 493.169983)(80.029007 32.595001 493.500000)(67.601006 -106.838005 452.000000)(72.708000 -90.958000 452.000000)(72.714005 -96.683998 488.843994)(79.283104 -44.979599 474.265991)(79.725105 -44.601997 473.452972)(80.111000 -45.054996 474.428009)(72.701996 82.625000 415.539001)(72.708000 90.958000 452.000000)(77.800995 75.124001 452.000000)(44.734100 -56.662998 261.751007)(41.338203 -48.664803 261.691986)(46.208698 -44.480000 261.776001)(-36.665100 52.673199 261.759003)(-94.406998 68.487999 262.893005)(-36.255600 52.900799 261.751007)(-117.026001 -63.762001 286.584991)(-120.144005 -52.723003 263.397980)(-115.973999 -58.090000 263.316986)(-105.911003 -70.065002 286.406006)(-106.490997 -63.938000 263.130005)(-94.406998 -68.487999 262.893005)(-105.911003 -70.065002 286.406006)(-115.973999 -58.090000 263.316986)(-106.490997 -63.938000 263.130005)(-105.911003 -70.065002 286.406006)(-117.026001 -63.762001 286.584991)(-115.973999 -58.090000 263.316986)(-106.490997 -63.938000 263.130005)(-115.973999 -58.090000 263.316986)(-94.406998 -68.487999 262.893005)(30.872000 -130.949005 251.897003)(10.900001 -146.677994 247.682007)(2.270990 -148.207001 247.272995)(80.894905 6.929690 464.500000)(80.939102 0.523865 464.500000)(81.283302 0.000000 457.399017)(41.812099 -112.822006 478.329987)(41.812000 -112.814003 478.283997)(67.601006 -112.671005 480.468018)(59.000999 89.418999 377.466003)(59.000000 68.695000 262.000000)(52.500000 82.581001 334.000000)(71.083099 0.000000 313.239990)(67.504005 25.653002 313.793976)(66.028999 22.513000 339.349976)(-137.444000 -26.815001 333.463989)(-130.461014 -52.723999 333.459991)(-135.472000 -47.260002 354.721985)(80.357498 -0.000000 493.500000)(80.360001 10.862000 493.500000)(79.918396 5.431000 493.500000)(79.364204 -27.178001 493.500000)(80.112000 -27.178001 493.500000)(79.372696 -25.941099 493.500000)(83.979004 -27.179001 471.576996)(83.756996 -33.969997 471.612000)(80.684998 -32.614998 464.500000)(80.595001 -21.743000 464.500000)(80.539803 -16.924101 464.500000)(81.124001 -16.306999 464.500000)(-34.164997 -106.940002 258.329987)(-34.164997 -114.445999 286.341980)(-35.427002 -106.377998 288.503998)(41.496601 -84.434998 334.000000)(41.541000 -88.298996 354.263000)(11.392000 -83.905502 334.000000)(10.900001 154.184006 275.694000)(18.865000 143.125000 248.634995)(10.900001 146.677994 247.682007)(-76.641594 72.824501 282.835999)(-61.307003 77.163399 302.778992)(-61.307003 75.464706 295.000000)(67.601006 -101.744003 523.383972)(67.601006 -95.750999 529.524048)(41.916500 -100.043999 525.991028)(-6.481010 -147.615005 247.431000)(2.270990 -148.207001 247.272995)(-6.481010 -155.121002 275.442993)(49.063000 -75.113701 295.000000)(59.000000 -68.695000 262.000000)(51.340302 -75.074501 295.000000)(41.338203 -67.909004 261.691986)(41.336601 -59.515900 260.958984)(41.338203 -48.664803 261.691986)(67.601006 -112.671005 480.468018)(41.820400 -113.435997 482.065002)(41.813999 -112.979004 479.169006)(80.046600 -27.599699 464.500000)(80.323502 -29.897001 464.500000)(79.815002 -32.614998 464.500000)(-122.964005 45.035999 263.453003)(-126.401009 41.887001 286.700989)(-124.023994 52.660000 286.687988)(-115.973999 -58.090000 263.316986)(-120.144005 -52.723003 263.397980)(-94.406998 -68.487999 262.893005)(59.000999 -52.636002 298.752014)(59.000999 -50.173000 314.332977)(59.000999 -63.197002 371.791016)(72.701996 82.625000 415.539001)(67.601006 101.487000 429.165985)(67.601006 104.222000 440.570007)(59.000999 39.448997 354.901001)(66.028999 22.513000 339.349976)(59.000999 42.695000 344.901001)(46.518402 44.213898 261.781982)(46.208698 44.480000 261.776001)(52.604298 52.723099 261.888000)(46.814201 43.831501 261.786987)(46.518402 44.213898 261.781982)(52.604298 52.723099 261.888000)(-94.406998 -68.487999 262.893005)(-42.789501 -47.814297 261.878998)(-42.395500 -48.153004 261.871002)(80.684998 -32.614998 464.500000)(79.815002 -32.614998 464.500000)(80.323502 -29.897001 464.500000)(67.601006 88.885002 391.522003)(67.601006 92.889000 398.705994)(72.701996 82.625000 415.539001)(59.000999 91.572998 395.704010)(67.601006 88.885002 391.522003)(67.601006 84.650002 386.212006)(59.000999 91.572998 395.704010)(67.601006 92.889000 398.705994)(67.601006 88.885002 391.522003)(67.601006 112.671005 480.468018)(41.808601 112.526001 476.743988)(41.812000 112.814003 478.283997)(63.761799 -30.413801 262.083008)(60.178898 -22.282900 262.020996)(60.324402 -21.720699 262.023010)(67.601006 -95.750999 529.524048)(72.714005 -48.195999 536.594971)(67.601006 -80.802002 539.831970)(80.029007 -32.595001 493.500000)(79.326797 -32.595001 493.500000)(79.655701 -34.596500 493.169983)(67.504005 25.653002 313.793976)(71.083099 0.000000 313.239990)(72.301094 0.000000 287.640991)(80.550095 16.699800 464.500000)(80.564003 16.306999 464.500000)(81.291397 0.000000 457.002014)(-108.735001 -83.295006 356.660004)(-118.275002 -79.184006 356.402008)(-117.959000 -74.542999 333.388000)(35.320000 -122.197998 284.265015)(34.159000 -130.597992 282.014008)(35.320000 -114.692001 256.252991)(80.112000 27.178001 493.500000)(83.608002 27.179001 486.575012)(80.029007 32.595001 493.500000)(-32.311996 126.673996 253.042999)(-28.139999 134.128998 251.044983)(26.004999 91.485001 262.470978)(59.000000 54.806999 272.545990)(59.000000 54.994999 262.000000)(59.000000 68.695000 262.000000)(60.224998 22.299999 260.614014)(59.133999 24.414499 262.001984)(59.820599 23.013800 262.014008)(81.124001 16.306999 464.500000)(80.595001 21.743000 464.500000)(80.832001 27.179001 464.500000)(67.601006 15.026999 546.661987)(67.601006 0.000000 546.541992)(68.856705 7.513500 544.556030)(-140.007004 29.219000 354.571991)(-135.472000 47.260002 354.721985)(-137.444000 26.815001 333.463989)(77.800995 68.164993 419.658020)(77.800995 51.714001 392.269989)(72.701996 62.891998 384.640015)(-9.366880 70.952202 267.973999)(41.335003 70.367004 260.226990)(-39.505299 70.447899 268.075989)(-140.720993 0.441000 344.000000)(-139.966003 0.441003 333.462006)(-140.720993 -0.441000 344.000000)(-46.852303 -43.771301 261.958984)(-50.503498 -39.088100 261.360992)(-46.547001 -44.241997 260.614014)(67.601006 84.650002 386.212006)(67.601006 88.885002 391.522003)(72.701996 82.625000 415.539001)(79.360596 -42.931400 470.023010)(77.800995 -75.124001 452.000000)(79.435104 -41.132000 467.869995)(80.633003 -33.959000 464.670990)(80.153603 -34.827000 464.783020)(79.746597 -34.111897 464.691010)(80.193306 -33.622997 464.628021)(79.753601 -33.959000 464.670990)(80.219299 -33.286999 464.584991)(59.000999 63.197002 371.791016)(59.000999 44.068001 339.895020)(59.000999 46.861000 329.708008)(42.614098 110.106995 509.056976)(41.885101 109.429001 511.524963)(67.601006 109.103996 511.054993)(59.000000 -54.994999 262.000000)(55.011200 -32.824100 261.929993)(55.086201 -32.671299 261.931976)(80.329002 -41.132000 467.869995)(79.884003 -40.884499 467.690002)(79.906502 -40.637001 467.510986)(67.601006 95.750999 529.524048)(72.714005 82.199997 522.572998)(67.601006 101.744003 523.383972)(-36.255600 -52.900799 261.751007)(-30.997398 -55.841698 261.182007)(-25.313299 -58.982399 261.536011)(79.364204 27.178001 493.500000)(79.720695 29.886501 493.500000)(79.329399 32.212902 493.500000)(19.285002 -86.037003 263.931000)(11.373000 -82.374001 264.912018)(19.284901 -93.542801 291.944000)(-39.445698 83.375198 334.000000)(-26.334999 87.259003 355.483002)(7.603000 87.778999 354.873016)(79.911003 42.146000 489.063995)(79.534203 41.164001 490.000000)(79.914001 40.181999 490.934998)(67.601006 -72.328003 542.781982)(67.601006 -62.781998 544.375000)(41.956997 -65.602196 544.356995)(-117.537003 -69.362000 309.940979)(-117.026001 -63.762001 286.584991)(-105.911003 -70.065002 286.406006)(-106.214005 -75.188004 309.794983)(-117.537003 -69.362000 309.940979)(-105.911003 -70.065002 286.406006)(67.601006 -63.148998 371.933990)(59.000999 -35.831001 364.783997)(61.535999 -28.941999 363.698975)(34.767200 114.242004 272.513977)(35.320000 122.197998 284.265015)(34.283001 113.783005 286.520020)(67.601006 -72.328003 542.781982)(41.956997 -65.602196 544.356995)(41.952099 -75.767197 542.196960)(67.601006 105.671005 446.901001)(67.601006 106.838005 452.000000)(72.701996 82.625000 415.539001)(-130.461014 52.723999 333.459991)(-137.444000 26.815001 333.463989)(-135.472000 47.260002 354.721985)(-94.406998 -68.487999 262.893005)(-94.357002 -73.585007 286.235016)(-105.911003 -70.065002 286.406006)(62.254898 14.259600 262.057007)(63.024902 11.283500 262.070007)(63.482002 9.720000 260.614014)(30.872000 -138.455002 279.910004)(25.664000 -145.274994 278.080994)(30.872000 -130.949005 251.897003)(-106.214005 75.188004 309.794983)(-94.341003 75.278999 293.992004)(-94.357002 73.585007 286.235016)(-124.023994 -52.660000 286.687988)(-123.512001 -61.675999 310.009979)(-128.570999 -47.430000 310.032990)(79.477898 -40.141998 467.152008)(79.926003 -40.389500 467.332001)(79.926003 -40.265800 467.242004)(79.914001 -40.181999 490.934998)(79.534203 -41.164001 490.000000)(79.911003 -42.146000 489.063995)(-106.214005 -75.188004 309.794983)(-105.911003 -70.065002 286.406006)(-94.357002 -73.585007 286.235016)(58.761898 25.173399 261.996002)(56.077801 30.648500 261.949005)(59.973400 40.084202 262.016998)(-39.505299 70.447899 268.075989)(41.335003 70.367004 260.226990)(-58.633900 70.127800 268.194000)(80.360001 10.862000 493.500000)(80.357498 -0.000000 493.500000)(83.559402 0.000000 486.539978)(79.205299 -45.503002 480.707001)(79.582802 -45.353497 481.871979)(79.171600 -45.227699 482.852997)(-58.633900 70.127800 268.194000)(-58.339001 71.764000 267.755981)(-39.505299 70.447899 268.075989)(81.291397 0.000000 457.002014)(80.550095 -16.699800 464.500000)(81.290001 0.000000 456.649017)(-50.446999 82.413002 264.902008)(-55.224003 85.168999 294.187012)(-50.446999 89.918999 292.914001)(43.928001 100.006996 421.527008)(43.362000 102.135002 430.031006)(67.601006 97.194000 412.299011)(41.959202 53.446301 545.358032)(68.405998 43.556000 546.675049)(41.959400 56.295303 545.449036)(67.601006 77.644997 379.588989)(59.000999 72.435997 375.942993)(59.000999 85.778000 387.139008)(18.865000 -150.630005 276.645996)(10.900001 -154.184006 275.694000)(18.865000 -143.125000 248.634995)(68.405998 -43.556000 546.675049)(67.601006 -30.676001 546.212952)(41.959202 -53.446301 545.358032)(-60.272999 86.737999 356.092987)(-94.260002 82.452995 333.162994)(-77.243004 86.478004 356.397980)(67.703003 33.854000 262.151978)(62.091103 14.892700 262.053986)(61.755299 16.190599 262.048004)(-94.341003 -75.278999 293.992004)(-61.307003 -78.823700 310.820007)(-61.307003 -79.329498 313.720001)(79.154701 44.272099 485.350006)(79.153503 44.193001 485.545990)(79.934998 44.193001 485.545990)(67.703003 -33.854000 262.151978)(61.755299 -16.190599 262.048004)(62.091103 -14.892700 262.053986)(45.589001 92.432999 396.824982)(44.993999 95.351006 404.143005)(67.601006 92.889000 398.705994)(75.193001 -13.573000 376.886017)(77.800995 -21.837999 381.958984)(72.701996 -27.146000 373.149017)(67.601006 -98.632996 417.792999)(72.701996 -82.625000 415.539001)(67.601006 -101.487000 429.165985)(80.832001 27.179001 464.500000)(83.979004 27.179001 471.576996)(81.124001 16.306999 464.500000)(-42.789501 47.814297 261.878998)(-94.406998 68.487999 262.893005)(-42.395500 48.153004 261.871002)(61.184002 -88.436996 534.910950)(67.601006 -80.802002 539.831970)(54.766899 -88.597496 535.143982)(77.800995 68.164993 419.658020)(81.275597 0.000000 455.844025)(77.800995 51.714001 392.269989)(50.507099 39.090099 261.266998)(52.407299 36.600101 261.884979)(54.501999 33.966000 260.614014)(79.360596 -42.931400 470.023010)(79.844803 -42.118500 469.049988)(80.232002 -43.105000 470.230988)(80.018997 -45.722000 479.000000)(81.072006 -44.300999 479.023010)(80.756996 -44.300999 482.371979)(-58.542400 83.028801 334.000000)(-61.307003 83.014198 334.000000)(-26.334999 87.259003 355.483002)(79.952003 -36.598000 492.841003)(79.267700 -36.842300 492.710999)(79.568901 -38.389999 491.888000)(63.431503 9.712260 262.077972)(63.197701 10.615900 262.072998)(67.319801 13.569201 262.145020)(77.800400 0.000000 530.000000)(74.165901 0.000000 535.719971)(72.714005 -10.359000 538.294983)(35.320000 114.692001 256.252991)(34.159000 130.597992 282.014008)(35.320000 122.197998 284.265015)(-94.406998 0.000000 262.893005)(-125.403999 0.441000 263.502014)(-94.406998 68.487999 262.893005)(34.767200 -114.242004 272.513977)(34.283001 -113.783005 286.520020)(35.320000 -122.197998 284.265015)(80.029007 -32.595001 493.500000)(83.608002 -27.179001 486.575012)(80.112000 -27.178001 493.500000)(83.608002 -27.179001 486.575012)(83.428001 -33.969997 486.536011)(84.889999 -27.179001 479.101013)(67.601006 -77.644997 379.588989)(59.000999 -85.778000 387.139008)(59.000999 -72.435997 375.942993)(59.000999 -91.572998 395.704010)(67.601006 -88.885002 391.522003)(67.601006 -92.889000 398.705994)(69.753494 36.353001 373.369995)(67.601196 0.000000 361.701019)(67.601006 72.706001 376.436005)(80.066101 27.179001 464.500000)(80.595001 21.743000 464.500000)(80.539803 16.924101 464.500000)(77.800995 -78.636993 492.308990)(78.432899 -56.746899 499.244019)(77.800995 -62.127998 521.060974)(-76.641594 72.824501 282.835999)(-61.307003 75.464706 295.000000)(-58.876102 73.665703 286.773010)(67.601006 -63.148998 371.933990)(59.000999 -63.197002 371.791016)(59.000999 -35.831001 364.783997)(-122.964005 45.035999 263.453003)(-123.795998 36.459000 263.470001)(-126.401009 41.887001 286.700989)(41.338203 48.664803 261.691986)(41.336601 59.515900 260.958984)(41.338203 67.909004 261.691986)(20.062700 94.173401 291.774994)(19.284901 93.542801 291.944000)(19.285002 86.037003 263.931000)(79.545601 -0.879971 493.500000)(79.918396 -5.431000 493.500000)(80.357498 -0.000000 493.500000)(63.930199 0.000000 261.896027)(63.785397 3.229700 261.350983)(63.923599 0.000000 262.085999)(25.664000 -137.770004 250.070007)(10.900001 -146.677994 247.682007)(30.872000 -130.949005 251.897003)(-124.935997 19.788000 263.491974)(-129.649994 21.038000 286.709991)(-126.401009 41.887001 286.700989)(67.601006 95.750999 529.524048)(41.916500 100.043999 525.991028)(41.918198 99.487000 526.510986)(59.000999 63.197002 371.791016)(59.000999 46.861000 329.708008)(59.000999 50.173000 314.332977)(41.802002 -111.883995 473.709991)(67.601006 -108.184006 458.108002)(67.601006 -109.491997 464.199982)(54.766899 88.597496 535.143982)(41.933102 91.898705 533.554016)(41.939301 87.826401 536.362000)(-117.959000 -74.542999 333.388000)(-117.537003 -69.362000 309.940979)(-106.214005 -75.188004 309.794983)(-140.720993 0.441000 344.000000)(-140.720993 -0.441000 344.000000)(-141.477005 0.000000 354.537018)(67.601006 30.676001 546.212952)(67.601006 15.026999 546.661987)(72.714005 10.359000 538.294983)(31.111000 105.881996 288.637024)(31.111000 98.375999 260.625000)(32.603802 106.113998 274.630981)(-77.823997 78.304001 309.147003)(-61.307003 81.329002 324.300995)(-61.307003 79.329498 313.720001)(-94.406998 68.487999 262.893005)(-115.973999 58.090000 263.316986)(-106.490997 63.938000 263.130005)(81.283302 0.000000 457.399017)(81.291397 0.000000 457.002014)(80.894905 6.929690 464.500000)(-129.649994 -21.038000 286.709991)(-126.401009 -41.887001 286.700989)(-133.781998 -23.965000 310.036011)(-61.307003 -81.329002 324.300995)(-61.307003 -82.618805 331.907013)(-94.309006 -78.239998 309.659973)(84.006798 0.000000 471.638000)(83.979004 27.179001 471.576996)(84.889999 27.179001 479.101013)(-60.171398 22.280499 262.221008)(-60.337601 21.638199 262.223999)(-94.406998 68.487999 262.893005)(-94.357002 73.585007 286.235016)(-76.641594 72.824501 282.835999)(-94.406998 68.487999 262.893005)(-46.852303 -43.771301 261.958984)(-94.406998 -68.487999 262.893005)(-54.456699 -33.938400 262.108002)(59.000000 -68.695000 262.000000)(59.000999 -89.418999 377.466003)(52.500000 -82.581001 334.000000)(79.154701 -44.272099 485.350006)(79.557396 -44.698498 484.290985)(79.934998 -44.193001 485.545990)(80.443001 -38.625000 466.051025)(82.525002 -40.196999 472.917999)(80.374001 -40.141998 467.152008)(49.063000 75.113701 295.000000)(59.000000 68.695000 262.000000)(48.129997 68.846001 261.809998)(72.701996 -82.625000 415.539001)(67.601006 -84.650002 386.212006)(67.601006 -77.644997 379.588989)(72.714005 -96.683998 488.843994)(67.601006 -108.184006 458.108002)(67.601006 -106.838005 452.000000)(77.800995 75.124001 452.000000)(79.815002 32.614998 464.500000)(81.290001 0.000000 456.649017)(-137.444000 26.815001 333.463989)(-141.477005 23.040001 354.537018)(-140.007004 29.219000 354.571991)(79.353493 -43.105000 470.230988)(79.360596 -42.931400 470.023010)(80.232002 -43.105000 470.230988)(-77.823997 -78.304001 309.147003)(-61.307003 -79.329498 313.720001)(-61.307003 -81.329002 324.300995)(10.900001 146.677994 247.682007)(18.865000 143.125000 248.634995)(25.664000 137.770004 250.070007)(79.241295 45.669601 478.640991)(80.018997 45.722000 479.000000)(79.272102 45.492599 477.427979)(77.800995 68.164993 419.658020)(77.800995 71.921997 436.239014)(81.286697 0.000000 456.321014)(46.548000 44.241997 260.614014)(46.518402 44.213898 261.781982)(46.814201 43.831501 261.786987)(15.157900 86.016106 344.256989)(24.572001 88.039001 354.567993)(41.541000 88.298996 354.263000)(59.000000 68.695000 262.000000)(59.000000 54.994999 262.000000)(53.674301 34.961998 261.907013)(72.701996 27.146000 373.149017)(72.701996 0.000000 371.746979)(67.601196 0.000000 361.701019)(52.407299 36.600101 261.884979)(46.814201 43.831501 261.786987)(52.604298 52.723099 261.888000)(79.205299 -45.503002 480.707001)(79.994003 -45.503002 480.707001)(79.582802 -45.353497 481.871979)(79.280304 45.054996 474.428009)(77.800995 75.124001 452.000000)(79.272102 45.492599 477.427979)(-63.481003 -9.720000 260.614014)(-63.423298 -9.711161 262.283997)(-63.458199 -9.023340 262.285004)(64.200996 -18.559999 362.567017)(69.044907 0.000000 338.782990)(69.044502 0.000000 338.789001)(81.794701 -42.171600 482.127014)(82.287994 -40.196999 485.184998)(80.756996 -44.300999 482.371979)(45.859001 90.318001 382.876984)(45.805000 90.896004 387.692993)(59.000999 91.572998 395.704010)(42.746998 87.457001 360.680023)(59.000999 89.418999 377.466003)(41.560200 88.260201 356.608978)(79.476807 -10.862000 493.500000)(80.360001 -10.862000 493.500000)(79.918396 -5.431000 493.500000)(41.840698 113.944000 491.200012)(67.601006 113.279999 492.261993)(67.601006 113.523994 488.196991)(72.701996 -62.891998 384.640015)(77.800995 -68.164993 419.658020)(72.701996 -82.625000 415.539001)(79.241295 45.669601 478.640991)(79.232201 45.722000 479.000000)(80.018997 45.722000 479.000000)(52.604298 52.723099 261.888000)(46.208698 44.480000 261.776001)(48.129997 68.846001 261.809998)(-126.401009 -41.887001 286.700989)(-128.570999 -47.430000 310.032990)(-133.781998 -23.965000 310.036011)(69.044907 0.000000 338.782990)(66.028999 22.513000 339.349976)(64.200996 18.559999 362.567017)(79.154495 42.146000 489.063995)(78.432899 56.746899 499.244019)(79.183601 40.325401 490.798004)(42.178001 105.959000 446.110992)(41.753201 107.167000 451.436005)(67.601006 106.838005 452.000000)(-39.209000 -91.576004 262.446991)(-39.505299 -70.447899 268.075989)(-9.366880 -70.952202 267.973999)(-12.647201 -62.908001 261.287018)(-12.923200 -62.879799 261.292999)(-12.927999 -62.903004 260.614014)(54.766899 88.597496 535.143982)(41.932800 92.076797 533.430969)(41.933102 91.898705 533.554016)(72.714005 -96.683998 488.843994)(67.601006 -113.279999 492.261993)(67.601006 -113.523994 488.196991)(65.601997 -22.568800 262.114990)(62.254898 -14.259600 262.057007)(63.024902 -11.283500 262.070007)(44.993999 95.351006 404.143005)(43.928001 100.006996 421.527008)(67.601006 95.661003 406.449005)(79.540703 -43.936497 486.182983)(79.934998 -44.193001 485.545990)(79.737900 -43.936497 486.182983)(-9.366880 -70.952202 267.973999)(-39.505299 -70.447899 268.075989)(41.335003 -70.367004 260.226990)(59.000000 -54.994999 262.000000)(54.463303 -33.941898 261.920990)(54.701099 -33.456799 261.925018)(67.601006 30.676001 546.212952)(54.781601 23.003201 546.302979)(54.780899 15.335300 546.146973)(68.948997 28.271000 262.174011)(65.601997 22.568800 262.114990)(67.703003 33.854000 262.151978)(36.682098 52.697498 260.318024)(25.352999 58.995602 260.540985)(41.335003 70.367004 260.226990)(79.911003 42.146000 489.063995)(79.154495 42.146000 489.063995)(79.534203 41.164001 490.000000)(41.335003 -70.367004 260.226990)(36.775700 -52.616997 260.316986)(41.335003 -48.699100 260.226990)(68.721397 0.000000 341.713013)(65.674995 -11.033999 361.970978)(69.044502 0.000000 338.789001)(-94.406998 -68.487999 262.893005)(-36.665100 -52.673199 261.759003)(-36.255600 -52.900799 261.751007)(80.140205 40.637001 467.510986)(80.374001 40.141998 467.152008)(79.906502 40.637001 467.510986)(63.974796 0.000000 260.614014)(63.961903 0.000000 260.984009)(63.785397 -3.229700 261.350983)(63.197701 10.615900 262.072998)(63.024902 11.283500 262.070007)(68.948997 28.271000 262.174011)(67.601006 -105.671005 446.901001)(72.701996 -82.625000 415.539001)(67.601006 -106.838005 452.000000)(-140.720993 0.441000 344.000000)(-141.477005 0.000000 354.537018)(-141.477005 23.040001 354.537018)(79.544296 -44.064701 485.864014)(79.934998 -44.193001 485.545990)(79.540703 -43.936497 486.182983)(80.018997 45.722000 479.000000)(80.167000 44.149002 472.476990)(80.111000 45.054996 474.428009)(-118.275002 79.184006 356.402008)(-117.959000 74.542999 333.388000)(-124.130005 67.465996 333.440979)(80.066101 27.179001 464.500000)(80.539803 16.924101 464.500000)(81.290001 0.000000 456.649017)(35.320000 122.197998 284.265015)(34.283001 106.278000 258.507996)(35.320000 114.692001 256.252991)(59.982502 0.000000 546.275024)(60.613503 0.000000 546.342041)(67.601006 15.026999 546.661987)(64.392502 88.356804 534.793945)(61.184002 88.436996 534.910950)(67.601006 80.802002 539.831970)(41.892399 -107.468002 514.809021)(41.885101 -109.429001 511.524963)(67.601006 -109.103996 511.054993)(81.124001 -16.306999 464.500000)(82.564896 -13.589500 468.069000)(83.979004 -27.179001 471.576996)(67.601006 106.838005 452.000000)(67.601006 105.671005 446.901001)(42.178001 105.959000 446.110992)(60.224998 22.299999 260.614014)(59.820599 23.013800 262.014008)(60.178898 22.282900 262.020996)(67.601196 0.000000 361.701019)(67.601006 24.057001 363.636993)(67.601006 63.148998 371.933990)(79.918396 5.431000 493.500000)(80.360001 10.862000 493.500000)(79.476807 10.862000 493.500000)(77.800995 -62.127998 521.060974)(72.714005 -48.195999 536.594971)(72.714005 -82.199997 522.572998)(54.501999 -33.966000 260.614014)(54.463303 -33.941898 261.920990)(53.674301 -34.961998 261.907013)(71.280098 0.000000 540.548035)(67.601006 0.000000 546.541992)(70.139099 -7.513500 542.466980)(79.282295 -36.327900 492.884979)(79.329102 -34.866096 493.126007)(77.800995 -62.127998 521.060974)(67.601006 -63.148998 371.933990)(67.601006 -24.057001 363.636993)(67.601196 0.000000 361.701019)(59.000000 -54.994999 262.000000)(59.000000 -54.806999 272.545990)(59.000000 -68.695000 262.000000)(-128.570999 47.430000 310.032990)(-123.512001 61.675999 310.009979)(-124.023994 52.660000 286.687988)(-36.665100 52.673199 261.759003)(-36.255600 52.900799 261.751007)(-36.688000 52.706001 260.614014)(59.000999 85.778000 387.139008)(59.000999 91.572998 395.704010)(67.601006 84.650002 386.212006)(41.837200 -113.955994 489.576019)(67.601006 -113.523994 488.196991)(41.840698 -113.944000 491.200012)(79.283104 44.979599 474.265991)(79.725105 44.601997 473.452972)(79.314301 44.149002 472.476990)(79.655701 34.596500 493.169983)(79.329102 34.866096 493.126007)(79.326797 32.595001 493.500000)(63.482002 -9.720000 260.614014)(61.828899 -16.003599 261.346008)(60.224998 -22.299999 260.614014)(41.411198 76.998001 295.000000)(41.335003 70.367004 260.226990)(28.827499 76.776695 295.000000)(67.601196 0.000000 361.701019)(72.701996 -27.146000 373.149017)(72.701996 -62.891998 384.640015)(80.633003 33.959000 464.670990)(83.756996 33.969997 471.612000)(80.684998 32.614998 464.500000)(59.000999 -72.435997 375.942993)(59.000999 -85.778000 387.139008)(59.000999 -89.418999 377.466003)(-42.789501 47.814297 261.878998)(-42.395500 48.153004 261.871002)(-42.663002 47.998001 260.614014)(-9.491710 77.874603 295.000000)(-10.356000 76.087494 295.000000)(-9.366880 70.952202 267.973999)(80.567001 -35.695000 464.893982)(80.061195 -37.160000 465.472992)(79.674301 -35.695000 464.893982)(-34.387997 110.106995 257.481995)(-34.432999 118.450996 255.246994)(7.256990 81.315002 265.195984)(79.205299 45.503002 480.707001)(79.582802 45.353497 481.871979)(79.994003 45.503002 480.707001)(79.906502 40.637001 467.510986)(79.672699 40.592701 467.479004)(79.438904 41.043503 467.806000)(-34.387997 -117.612999 285.492981)(-34.164997 -114.445999 286.341980)(-34.387997 -110.106995 257.481995)(-135.668991 -0.441002 310.035004)(-139.966003 -0.441003 333.462006)(-135.668991 0.441002 310.035004)(72.714005 -82.199997 522.572998)(67.601006 -113.279999 492.261993)(72.714005 -96.683998 488.843994)(-15.803801 83.706497 334.000000)(24.572001 88.039001 354.567993)(-11.225201 83.688400 334.000000)(67.601006 -72.706001 376.436005)(67.601006 -77.644997 379.588989)(59.000999 -72.435997 375.942993)(31.111000 -105.881996 288.637024)(31.111000 -98.375999 260.625000)(26.004999 -91.485001 262.470978)(-94.341003 -75.278999 293.992004)(-106.214005 -75.188004 309.794983)(-94.357002 -73.585007 286.235016)(-77.832001 76.204399 298.527985)(-94.341003 75.278999 293.992004)(-61.307003 78.823700 310.820007)(0.172782 64.184700 261.035004)(41.335003 70.367004 260.226990)(12.926800 62.897198 260.785004)(26.004999 -91.485001 262.470978)(29.344400 -103.497993 289.276001)(31.111000 -105.881996 288.637024)(2.270990 155.713013 275.285004)(10.900001 154.184006 275.694000)(10.900001 146.677994 247.682007)(59.000999 91.572998 395.704010)(45.589001 92.432999 396.824982)(67.601006 92.889000 398.705994)(61.828899 -16.003599 261.346008)(62.091103 -14.892700 262.053986)(61.755299 -16.190599 262.048004)(-76.641594 -72.824501 282.835999)(-61.307003 -75.464706 295.000000)(-61.307003 -77.163399 302.778992)(-94.406998 -68.487999 262.893005)(-125.403999 -0.441000 263.502014)(-94.406998 0.000000 262.893005)(-14.805000 -152.445007 276.160004)(-16.759100 -147.552994 262.769012)(-14.805000 -144.939011 248.147995)(65.674995 11.033999 361.970978)(64.200996 18.559999 362.567017)(67.601006 24.057001 363.636993)(42.614098 -110.106995 509.056976)(43.766300 -112.223000 501.431000)(67.601006 -109.103996 511.054993)(-10.356000 -76.087494 295.000000)(41.335003 -70.367004 260.226990)(28.827499 -76.776695 295.000000)(67.601006 -109.103996 511.054993)(67.601006 -101.744003 523.383972)(41.892399 -107.468002 514.809021)(0.172782 -64.184700 261.035004)(6.463250 -63.552700 260.825012)(12.926800 -62.897198 260.785004)(-16.759100 147.552994 262.769012)(-20.121698 149.134003 277.048004)(-14.805000 152.445007 276.160004)(81.291397 0.000000 457.002014)(80.894905 -6.929690 464.500000)(80.564003 -16.306999 464.500000)(77.800995 68.164993 419.658020)(72.701996 82.625000 415.539001)(77.800995 71.921997 436.239014)(77.800995 21.837999 381.958984)(77.800995 0.000000 381.000000)(74.368095 0.000000 374.716003)(82.525002 40.196999 472.917999)(83.756996 33.969997 471.612000)(80.443001 38.625000 466.051025)(66.028999 -22.513000 339.349976)(61.535999 -28.941999 363.698975)(59.000999 -35.831001 364.783997)(-58.770599 -72.124001 278.677002)(-58.339001 -71.764000 267.755981)(-58.339001 -79.063202 295.000000)(-63.973801 0.000000 260.614014)(-63.780800 -3.229520 261.456024)(-63.959099 0.000000 261.036987)(77.800400 0.000000 530.000000)(77.800995 62.127998 521.060974)(72.714005 10.359000 538.294983)(42.178001 -105.959000 446.110992)(67.601006 -105.671005 446.901001)(67.601006 -106.838005 452.000000)(-130.461014 52.723999 333.459991)(-123.512001 61.675999 310.009979)(-128.570999 47.430000 310.032990)(55.723598 -0.000000 545.817017)(67.601006 15.026999 546.661987)(67.601006 30.676001 546.212952)(80.323502 29.897001 464.500000)(79.815002 32.614998 464.500000)(80.684998 32.614998 464.500000)(79.655701 -34.596500 493.169983)(79.326797 -32.595001 493.500000)(79.329102 -34.866096 493.126007)(63.868999 -44.636997 262.084991)(59.000000 -54.994999 262.000000)(59.973400 -40.084202 262.016998)(78.471199 -31.063999 511.557983)(79.329102 -34.866096 493.126007)(79.326797 -32.595001 493.500000)(-123.512001 61.675999 310.009979)(-117.026001 63.762001 286.584991)(-121.458000 58.391003 286.653992)(59.000000 53.697002 288.311005)(59.000000 68.695000 262.000000)(59.000999 52.636002 298.752014)(81.291397 0.000000 457.002014)(80.564003 -16.306999 464.500000)(80.550095 -16.699800 464.500000)(60.324402 21.720699 262.023010)(60.178898 22.282900 262.020996)(63.761799 30.413801 262.083008)(80.443001 -38.625000 466.051025)(80.061195 -37.160000 465.472992)(80.567001 -35.695000 464.893982)(77.800995 -68.164993 419.658020)(72.701996 -62.891998 384.640015)(77.800995 -51.714001 392.269989)(31.111000 98.375999 260.625000)(34.283001 113.783005 286.520020)(32.603802 106.113998 274.630981)(60.224998 22.299999 260.614014)(61.828899 16.003599 261.346008)(63.482002 9.720000 260.614014)(31.111000 -98.375999 260.625000)(-22.179001 -140.348007 249.378998)(-28.139999 -134.128998 251.044983)(79.884003 -40.884499 467.690002)(80.329002 -41.132000 467.869995)(79.438904 -41.043503 467.806000)(41.892399 107.468002 514.809021)(41.897800 106.003998 517.218018)(67.601006 101.744003 523.383972)(79.540703 -43.936497 486.182983)(79.737900 -43.936497 486.182983)(79.922997 -43.680000 486.819000)(84.684998 33.971001 479.098999)(83.160995 40.196999 479.069000)(83.428001 33.969997 486.536011)(67.601006 -62.781998 544.375000)(41.958000 -62.816700 544.821960)(41.956997 -65.602196 544.356995)(69.044502 0.000000 338.789001)(65.674995 -11.033999 361.970978)(64.200996 -18.559999 362.567017)(79.753601 -33.959000 464.670990)(79.746597 -34.111897 464.691010)(77.800995 -75.124001 452.000000)(68.948997 -28.271000 262.174011)(63.197701 -10.615900 262.072998)(67.319801 -13.569201 262.145020)(72.301094 0.000000 287.640991)(71.083099 0.000000 313.239990)(67.504005 -25.653002 313.793976)(-63.481003 9.720000 260.614014)(-63.458199 9.023340 262.285004)(-63.423298 9.711161 262.283997)(-55.224003 -85.168999 294.187012)(-55.224003 -77.662994 266.174988)(-50.446999 -82.413002 264.902008)(-50.446999 -82.413002 264.902008)(-47.857002 -84.063004 264.459991)(-50.446999 -89.918999 292.914001)(-50.446999 -89.918999 292.914001)(-55.224003 -85.168999 294.187012)(-50.446999 -82.413002 264.902008)(-55.224003 -85.168999 294.187012)(-58.258198 -79.227295 295.000000)(-55.224003 -77.662994 266.174988)(-58.339001 -71.764000 267.755981)(-55.224003 -77.662994 266.174988)(-58.339001 -79.063202 295.000000)(-47.857002 -91.569000 292.472015)(-47.857002 -84.063004 264.459991)(-45.139999 -85.764999 264.003998)(-45.139999 -85.764999 264.003998)(-39.209000 -91.576004 262.446991)(-45.139999 -93.271004 292.015991)(-58.258198 -79.227295 295.000000)(-58.339001 -79.063202 295.000000)(-55.224003 -77.662994 266.174988)(-45.139999 -85.764999 264.003998)(-45.139999 -93.271004 292.015991)(-47.857002 -91.569000 292.472015)(-39.209000 -91.576004 262.446991)(-39.209000 -99.082001 290.459015)(-45.139999 -93.271004 292.015991)(-47.857002 -91.569000 292.472015)(-50.446999 -89.918999 292.914001)(-47.857002 -84.063004 264.459991)(-108.737000 -108.407997 481.798004)(-108.742996 -112.924004 479.122986)(-108.731003 -108.870003 484.472992)(-108.742996 -103.891998 479.122986)(-108.737000 -108.407997 481.798004)(-108.731003 -108.870003 484.472992)(-108.704002 -108.992004 496.526978)(-108.719002 -113.972000 489.824005)(-108.689003 -112.239998 503.533020)(-108.691002 -104.039993 502.781982)(-108.704002 -108.992004 496.526978)(-108.689003 -112.239998 503.533020)(41.837200 -113.955994 489.576019)(41.840698 -113.944000 491.200012)(41.836998 -116.599998 489.493988)(41.836800 -113.957001 489.412018)(41.837200 -113.955994 489.576019)(41.836998 -116.599998 489.493988)(-108.661003 -107.153000 516.381958)(-108.689003 -112.239998 503.533020)(-29.100000 -110.769005 510.819977)(-108.661003 -107.153000 516.381958)(-29.100000 -110.769005 510.819977)(-27.734499 -108.783997 515.893005)(-108.689003 -112.239998 503.533020)(-108.661003 -107.153000 516.381958)(-108.690002 -104.039993 503.285004)(-108.690002 -104.039993 503.285004)(-108.691002 -104.039993 502.781982)(-108.689003 -112.239998 503.533020)(-108.689003 -112.239998 503.533020)(-29.890100 -111.917999 507.879974)(-29.100000 -110.769005 510.819977)(-30.990301 -113.553001 503.700958)(-108.689003 -112.239998 503.533020)(-65.553398 -113.834999 496.772003)(-108.689003 -112.239998 503.533020)(-30.990301 -113.553001 503.700958)(-29.890100 -111.917999 507.879974)(-108.661003 -107.153000 516.381958)(-27.734499 -108.783997 515.893005)(-27.289999 -108.397995 516.888977)(-108.661003 -107.153000 516.381958)(-66.859001 -105.430000 519.893982)(-86.876701 -104.764999 520.263000)(-108.653000 -104.425995 520.135010)(-108.661003 -107.153000 516.381958)(-86.876701 -104.764999 520.263000)(-108.661003 -107.153000 516.381958)(-67.387703 -106.650002 518.199951)(-66.859001 -105.430000 519.893982)(-67.387703 -106.650002 518.199951)(-27.289999 -108.397995 516.888977)(-42.201599 -106.249001 519.438965)(-42.201599 -106.249001 519.438965)(-27.289999 -108.397995 516.888977)(-26.114500 -106.509003 519.519958)(-108.661003 -107.153000 516.381958)(-27.289999 -108.397995 516.888977)(-67.387703 -106.650002 518.199951)(-108.661003 -104.041000 516.601990)(-108.661003 -107.153000 516.381958)(-108.653000 -104.425995 520.135010)(-108.661003 -104.041000 516.601990)(-108.661003 -104.041000 516.291992)(-108.661003 -107.153000 516.381958)(-31.500801 -113.773003 501.896027)(-30.990301 -113.553001 503.700958)(-65.553398 -113.834999 496.772003)(-32.287998 -114.127998 498.975006)(-31.500801 -113.773003 501.896027)(-65.553398 -113.834999 496.772003)(-32.287998 -114.127998 498.975006)(-65.553398 -113.834999 496.772003)(-22.387800 -114.437996 497.869995)(-108.731003 -108.870003 484.472992)(-108.731003 -111.420998 484.473999)(-108.719002 -113.972000 489.824005)(-108.719002 -113.972000 489.824005)(-108.731003 -111.420998 484.473999)(-108.742996 -112.924004 479.122986)(-108.724998 -108.988998 487.148987)(-108.731003 -108.870003 484.472992)(-108.719002 -113.972000 489.824005)(41.836998 -116.599998 489.493988)(-108.719002 -113.972000 489.824005)(-108.742996 -112.924004 479.122986)(-108.733994 -103.766998 483.282013)(-108.731003 -108.870003 484.472992)(-108.719994 -104.005997 489.352997)(-108.733994 -103.766998 483.282013)(-108.742996 -103.891998 479.122986)(-108.731003 -108.870003 484.472992)(22.221699 -109.572998 454.324005)(-108.822998 -104.429001 442.579010)(-15.808801 -108.080002 450.915985)(-108.742996 -112.924004 479.122986)(-108.781998 -104.431000 461.050995)(-108.822998 -104.429001 442.579010)(-108.750000 -103.984001 476.016022)(-108.781998 -104.431000 461.050995)(-108.742996 -112.924004 479.122986)(-108.742996 -103.891998 479.122986)(-108.750000 -103.984001 476.016022)(-108.742996 -112.924004 479.122986)(41.784397 -110.182999 465.615997)(41.761200 -110.111000 455.091003)(41.753201 -107.167000 451.436005)(41.805199 -112.203003 475.196014)(41.808601 -112.526001 476.743988)(41.812000 -115.501999 478.283997)(41.802002 -111.883995 473.709991)(41.805199 -112.203003 475.196014)(41.812000 -115.501999 478.283997)(41.812000 -115.501999 478.283997)(41.784397 -110.182999 465.615997)(41.802002 -111.883995 473.709991)(41.808601 -112.526001 476.743988)(41.812000 -112.814003 478.283997)(41.812000 -115.501999 478.283997)(36.112701 -109.979004 454.970001)(40.704002 -110.114998 455.193024)(41.812000 -115.501999 478.283997)(22.221699 -109.572998 454.324005)(36.112701 -109.979004 454.970001)(41.812000 -115.501999 478.283997)(-15.808801 -108.080002 450.915985)(22.221699 -109.572998 454.324005)(41.812000 -115.501999 478.283997)(-33.505398 -109.991997 460.545990)(-15.808801 -108.080002 450.915985)(41.812000 -115.501999 478.283997)(41.833302 -113.969994 487.820007)(41.836800 -113.957001 489.412018)(41.836998 -116.599998 489.493988)(41.824699 -113.646004 483.968994)(41.824501 -114.710999 483.889008)(41.820400 -113.435997 482.065002)(41.824699 -113.646004 483.968994)(41.833302 -113.969994 487.820007)(41.824501 -114.710999 483.889008)(41.820400 -113.435997 482.065002)(41.824501 -114.710999 483.889008)(41.812000 -115.501999 478.283997)(-108.742996 -112.924004 479.122986)(41.812000 -115.501999 478.283997)(41.836998 -116.599998 489.493988)(-108.742996 -112.924004 479.122986)(-33.505398 -109.991997 460.545990)(41.812000 -115.501999 478.283997)(41.812000 -115.501999 478.283997)(41.824501 -114.710999 483.889008)(41.836998 -116.599998 489.493988)(41.812099 -112.822006 478.329987)(41.813999 -112.979004 479.169006)(41.812000 -115.501999 478.283997)(41.813999 -112.979004 479.169006)(41.820400 -113.435997 482.065002)(41.812000 -115.501999 478.283997)(41.833302 -113.969994 487.820007)(41.836998 -116.599998 489.493988)(41.824501 -114.710999 483.889008)(41.812000 -112.814003 478.283997)(41.812099 -112.822006 478.329987)(41.812000 -115.501999 478.283997)(-33.434399 -114.789001 493.589996)(-108.719002 -113.972000 489.824005)(41.836998 -116.599998 489.493988)(-33.434399 -114.789001 493.589996)(-22.387800 -114.437996 497.869995)(-108.719002 -113.972000 489.824005)(-33.434399 -114.789001 493.589996)(-4.825290 -114.990005 495.889984)(-22.387800 -114.437996 497.869995)(-22.387800 -114.437996 497.869995)(-65.553398 -113.834999 496.772003)(-108.719002 -113.972000 489.824005)(41.836998 -116.599998 489.493988)(28.616800 -115.555000 495.963013)(10.479900 -115.243004 495.968994)(41.836998 -116.599998 489.493988)(10.479900 -115.243004 495.968994)(2.565930 -115.108994 495.950989)(28.616800 -115.555000 495.963013)(41.836998 -116.599998 489.493988)(35.579300 -115.677994 495.934998)(41.842899 -113.883003 492.217987)(41.850201 -113.562004 495.604980)(41.843601 -115.080994 492.549988)(41.850201 -113.562004 495.604980)(41.850101 -115.831001 495.582001)(41.843601 -115.080994 492.549988)(38.940701 -115.742996 495.884003)(41.836998 -116.599998 489.493988)(41.850101 -115.831001 495.582001)(35.579300 -115.677994 495.934998)(41.836998 -116.599998 489.493988)(38.940701 -115.742996 495.884003)(-32.104702 -114.133003 498.964996)(-32.287998 -114.127998 498.975006)(-22.387800 -114.437996 497.869995)(-66.859001 -105.430000 519.893982)(-67.387703 -106.650002 518.199951)(-42.201599 -106.249001 519.438965)(41.836998 -116.599998 489.493988)(-4.825290 -114.990005 495.889984)(-33.434399 -114.789001 493.589996)(41.836998 -116.599998 489.493988)(2.565930 -115.108994 495.950989)(-4.825290 -114.990005 495.889984)(-108.704002 -106.516006 496.480988)(-108.718002 -104.039001 490.179993)(-108.704002 -108.992004 496.526978)(-108.704002 -106.516006 496.480988)(-108.704002 -108.992004 496.526978)(-108.691002 -104.039993 502.781982)(-108.718002 -104.039001 490.179993)(-108.704002 -106.516006 496.480988)(-108.691002 -104.039993 502.781982)(-108.718002 -104.039001 490.179993)(-108.712006 -109.004997 493.174988)(-108.704002 -108.992004 496.526978)(-108.718002 -104.039001 490.179993)(-108.714996 -109.004997 491.500000)(-108.712006 -109.004997 493.174988)(-108.712006 -109.004997 493.174988)(-108.714996 -109.004997 491.500000)(-108.719002 -113.972000 489.824005)(-108.719002 -113.972000 489.824005)(-108.714996 -109.004997 491.500000)(-108.718002 -104.039001 490.179993)(-108.719002 -113.972000 489.824005)(-108.719994 -104.013000 489.520996)(-108.719994 -104.005997 489.352997)(-108.718002 -104.039001 490.179993)(-108.719994 -104.013000 489.520996)(-108.719002 -113.972000 489.824005)(-108.712006 -109.004997 493.174988)(-108.719002 -113.972000 489.824005)(-108.704002 -108.992004 496.526978)(41.843601 -115.080994 492.549988)(41.850101 -115.831001 495.582001)(41.836998 -116.599998 489.493988)(-108.719994 -104.005997 489.352997)(-108.731003 -108.870003 484.472992)(-108.724998 -108.988998 487.148987)(-108.719994 -104.005997 489.352997)(-108.724998 -108.988998 487.148987)(-108.719002 -113.972000 489.824005)(-108.742996 -103.891998 479.122986)(-108.740005 -108.407997 480.460999)(-108.737000 -108.407997 481.798004)(-65.553398 -113.834999 496.772003)(-108.689003 -112.239998 503.533020)(-108.719002 -113.972000 489.824005)(-33.505398 -109.991997 460.545990)(-108.822998 -104.429001 442.579010)(-15.808801 -108.080002 450.915985)(-108.742996 -112.924004 479.122986)(-108.740005 -108.407997 480.460999)(-108.742996 -103.891998 479.122986)(41.840698 -113.944000 491.200012)(41.843601 -115.080994 492.549988)(41.836998 -116.599998 489.493988)(-108.662003 -104.041000 516.104004)(-108.690002 -104.039993 503.285004)(-108.661003 -107.153000 516.381958)(-108.737000 -108.407997 481.798004)(-108.740005 -108.407997 480.460999)(-108.742996 -112.924004 479.122986)(41.761200 -110.111000 455.091003)(41.784397 -110.182999 465.615997)(41.812000 -115.501999 478.283997)(-108.731003 -108.870003 484.472992)(-108.742996 -112.924004 479.122986)(-108.731003 -111.420998 484.473999)(-108.661003 -104.041000 516.291992)(-108.662003 -104.041000 516.104004)(-108.661003 -107.153000 516.381958)(41.842899 -113.883003 492.217987)(41.843601 -115.080994 492.549988)(41.840698 -113.944000 491.200012)(-108.742996 -112.924004 479.122986)(-108.822998 -104.429001 442.579010)(-33.505398 -109.991997 460.545990)(40.704002 -110.114998 455.193024)(41.761200 -110.111000 455.091003)(41.812000 -115.501999 478.283997)(41.812000 115.501999 478.283997)(-15.808801 108.080002 450.915985)(-33.505398 109.991997 460.545990)(-108.742996 112.924004 479.122986)(41.812000 115.501999 478.283997)(-33.505398 109.991997 460.545990)(-108.742996 112.924004 479.122986)(41.836998 116.599998 489.493988)(41.812000 115.501999 478.283997)(41.812000 115.501999 478.283997)(41.784397 110.182999 465.615997)(41.761200 110.111000 455.091003)(40.704002 110.114998 455.193024)(41.812000 115.501999 478.283997)(41.761200 110.111000 455.091003)(36.112701 109.979004 454.970001)(41.812000 115.501999 478.283997)(40.704002 110.114998 455.193024)(22.221699 109.572998 454.324005)(41.812000 115.501999 478.283997)(36.112701 109.979004 454.970001)(41.753201 107.167000 451.436005)(41.761200 110.111000 455.091003)(41.784397 110.182999 465.615997)(-86.876701 104.764999 520.263000)(-66.859001 105.430000 519.893982)(-108.661003 107.153000 516.381958)(-108.661003 107.153000 516.381958)(-66.859001 105.430000 519.893982)(-67.387703 106.650002 518.199951)(-42.201599 106.249001 519.438965)(-67.387703 106.650002 518.199951)(-66.859001 105.430000 519.893982)(-42.201599 106.249001 519.438965)(-26.114500 106.509003 519.519958)(-27.289999 108.397995 516.888977)(-30.990301 113.553001 503.700958)(-31.500801 113.773003 501.896027)(-65.553398 113.834999 496.772003)(-65.553398 113.834999 496.772003)(-31.500801 113.773003 501.896027)(-32.287998 114.127998 498.975006)(-108.689003 112.239998 503.533020)(-30.990301 113.553001 503.700958)(-65.553398 113.834999 496.772003)(-108.719002 113.972000 489.824005)(-108.719994 104.013000 489.520996)(-108.718002 104.039001 490.179993)(-108.719994 104.013000 489.520996)(-108.719002 113.972000 489.824005)(-108.719994 104.005997 489.352997)(-108.742996 103.891998 479.122986)(-108.740005 108.407997 480.460999)(-108.742996 112.924004 479.122986)(-108.737000 108.407997 481.798004)(-108.740005 108.407997 480.460999)(-108.742996 103.891998 479.122986)(-108.742996 112.924004 479.122986)(-108.740005 108.407997 480.460999)(-108.737000 108.407997 481.798004)(-108.737000 108.407997 481.798004)(-108.742996 103.891998 479.122986)(-108.731003 108.870003 484.472992)(-108.731003 108.870003 484.472992)(-108.742996 103.891998 479.122986)(-108.733994 103.766998 483.282013)(-108.742996 112.924004 479.122986)(-108.750000 103.984001 476.016022)(-108.742996 103.891998 479.122986)(-108.718002 104.039001 490.179993)(-108.714996 109.004997 491.500000)(-108.719002 113.972000 489.824005)(-108.712006 109.004997 493.174988)(-108.718002 104.039001 490.179993)(-108.704002 108.992004 496.526978)(-108.712006 109.004997 493.174988)(-108.714996 109.004997 491.500000)(-108.718002 104.039001 490.179993)(-108.719002 113.972000 489.824005)(-108.712006 109.004997 493.174988)(-108.704002 108.992004 496.526978)(-108.719002 113.972000 489.824005)(-108.704002 108.992004 496.526978)(-108.689003 112.239998 503.533020)(-108.704002 108.992004 496.526978)(-108.718002 104.039001 490.179993)(-108.704002 106.516006 496.480988)(-108.704002 108.992004 496.526978)(-108.704002 106.516006 496.480988)(-108.691002 104.039993 502.781982)(-108.719002 113.972000 489.824005)(-108.689003 112.239998 503.533020)(-65.553398 113.834999 496.772003)(-108.689003 112.239998 503.533020)(-108.691002 104.039993 502.781982)(-108.690002 104.039993 503.285004)(-108.689003 112.239998 503.533020)(-108.690002 104.039993 503.285004)(-108.661003 107.153000 516.381958)(-108.661003 107.153000 516.381958)(-108.662003 104.041000 516.104004)(-108.661003 104.041000 516.291992)(-108.661003 107.153000 516.381958)(-108.690002 104.039993 503.285004)(-108.662003 104.041000 516.104004)(-108.661003 107.153000 516.381958)(-108.661003 104.041000 516.291992)(-108.661003 104.041000 516.601990)(-108.661003 107.153000 516.381958)(-108.661003 104.041000 516.601990)(-108.653000 104.425995 520.135010)(-29.100000 110.769005 510.819977)(-108.689003 112.239998 503.533020)(-108.661003 107.153000 516.381958)(-29.100000 110.769005 510.819977)(-29.890100 111.917999 507.879974)(-108.689003 112.239998 503.533020)(-108.661003 107.153000 516.381958)(-27.734499 108.783997 515.893005)(-29.100000 110.769005 510.819977)(-108.661003 107.153000 516.381958)(-27.289999 108.397995 516.888977)(-27.734499 108.783997 515.893005)(-108.731003 108.870003 484.472992)(-108.733994 103.766998 483.282013)(-108.719994 104.005997 489.352997)(41.812000 115.501999 478.283997)(41.808601 112.526001 476.743988)(41.805199 112.203003 475.196014)(41.812000 115.501999 478.283997)(41.805199 112.203003 475.196014)(41.802002 111.883995 473.709991)(41.824501 114.710999 483.889008)(41.824699 113.646004 483.968994)(41.820400 113.435997 482.065002)(41.824501 114.710999 483.889008)(41.833302 113.969994 487.820007)(41.824699 113.646004 483.968994)(41.836998 116.599998 489.493988)(41.833302 113.969994 487.820007)(41.824501 114.710999 483.889008)(41.836998 116.599998 489.493988)(41.837200 113.955994 489.576019)(41.836800 113.957001 489.412018)(41.836998 116.599998 489.493988)(41.840698 113.944000 491.200012)(41.837200 113.955994 489.576019)(38.940701 115.742996 495.884003)(41.850101 115.831001 495.582001)(41.836998 116.599998 489.493988)(41.843601 115.080994 492.549988)(41.850201 113.562004 495.604980)(41.842899 113.883003 492.217987)(41.850101 115.831001 495.582001)(41.850201 113.562004 495.604980)(41.843601 115.080994 492.549988)(41.850101 115.831001 495.582001)(41.843601 115.080994 492.549988)(41.836998 116.599998 489.493988)(41.843601 115.080994 492.549988)(41.842899 113.883003 492.217987)(41.840698 113.944000 491.200012)(41.836998 116.599998 489.493988)(41.843601 115.080994 492.549988)(41.840698 113.944000 491.200012)(35.579300 115.677994 495.934998)(38.940701 115.742996 495.884003)(41.836998 116.599998 489.493988)(28.616800 115.555000 495.963013)(35.579300 115.677994 495.934998)(41.836998 116.599998 489.493988)(10.479900 115.243004 495.968994)(28.616800 115.555000 495.963013)(41.836998 116.599998 489.493988)(-108.719002 113.972000 489.824005)(-33.434399 114.789001 493.589996)(41.836998 116.599998 489.493988)(-33.434399 114.789001 493.589996)(-4.825290 114.990005 495.889984)(41.836998 116.599998 489.493988)(-4.825290 114.990005 495.889984)(-33.434399 114.789001 493.589996)(-22.387800 114.437996 497.869995)(-4.825290 114.990005 495.889984)(2.565930 115.108994 495.950989)(41.836998 116.599998 489.493988)(2.565930 115.108994 495.950989)(10.479900 115.243004 495.968994)(41.836998 116.599998 489.493988)(41.836998 116.599998 489.493988)(41.824501 114.710999 483.889008)(41.812000 115.501999 478.283997)(41.812000 115.501999 478.283997)(41.813999 112.979004 479.169006)(41.812099 112.822006 478.329987)(41.812000 115.501999 478.283997)(41.820400 113.435997 482.065002)(41.813999 112.979004 479.169006)(-67.387703 106.650002 518.199951)(-27.289999 108.397995 516.888977)(-108.661003 107.153000 516.381958)(-65.553398 113.834999 496.772003)(-32.287998 114.127998 498.975006)(-22.387800 114.437996 497.869995)(41.836998 116.599998 489.493988)(41.836800 113.957001 489.412018)(41.833302 113.969994 487.820007)(-108.742996 112.924004 479.122986)(-108.737000 108.407997 481.798004)(-108.731003 108.870003 484.472992)(-108.731003 111.420998 484.473999)(-108.742996 112.924004 479.122986)(-108.731003 108.870003 484.472992)(-108.742996 112.924004 479.122986)(-108.731003 111.420998 484.473999)(-108.719002 113.972000 489.824005)(-108.731003 111.420998 484.473999)(-108.731003 108.870003 484.472992)(-108.719002 113.972000 489.824005)(-15.808801 108.080002 450.915985)(41.812000 115.501999 478.283997)(22.221699 109.572998 454.324005)(-108.822998 104.429001 442.579010)(-15.808801 108.080002 450.915985)(22.221699 109.572998 454.324005)(41.824501 114.710999 483.889008)(41.820400 113.435997 482.065002)(41.812000 115.501999 478.283997)(-108.742996 112.924004 479.122986)(-108.719002 113.972000 489.824005)(41.836998 116.599998 489.493988)(-108.742996 112.924004 479.122986)(-108.781998 104.431000 461.050995)(-108.750000 103.984001 476.016022)(-108.719002 113.972000 489.824005)(-108.714996 109.004997 491.500000)(-108.712006 109.004997 493.174988)(41.812000 115.501999 478.283997)(41.812099 112.822006 478.329987)(41.812000 112.814003 478.283997)(-108.689003 112.239998 503.533020)(-29.890100 111.917999 507.879974)(-30.990301 113.553001 503.700958)(-108.822998 104.429001 442.579010)(-33.505398 109.991997 460.545990)(-15.808801 108.080002 450.915985)(-42.201599 106.249001 519.438965)(-27.289999 108.397995 516.888977)(-67.387703 106.650002 518.199951)(-108.822998 104.429001 442.579010)(-108.742996 112.924004 479.122986)(-33.505398 109.991997 460.545990)(-108.822998 104.429001 442.579010)(-108.781998 104.431000 461.050995)(-108.742996 112.924004 479.122986)(-108.719002 113.972000 489.824005)(-108.724998 108.988998 487.148987)(-108.719994 104.005997 489.352997)(41.812000 115.501999 478.283997)(41.802002 111.883995 473.709991)(41.784397 110.182999 465.615997)(-108.689003 112.239998 503.533020)(-108.704002 108.992004 496.526978)(-108.691002 104.039993 502.781982)(-108.661003 107.153000 516.381958)(-108.653000 104.425995 520.135010)(-86.876701 104.764999 520.263000)(-108.719002 113.972000 489.824005)(-108.731003 108.870003 484.472992)(-108.724998 108.988998 487.148987)(-108.724998 108.988998 487.148987)(-108.731003 108.870003 484.472992)(-108.719994 104.005997 489.352997)(-108.719002 113.972000 489.824005)(-22.387800 114.437996 497.869995)(-33.434399 114.789001 493.589996)(-108.719002 113.972000 489.824005)(-65.553398 113.834999 496.772003)(-22.387800 114.437996 497.869995)(-108.691002 104.039993 502.781982)(-108.704002 106.516006 496.480988)(-108.718002 104.039001 490.179993)(41.812000 115.501999 478.283997)(41.812000 112.814003 478.283997)(41.808601 112.526001 476.743988)(-181.731003 -43.294701 455.464996)(-180.686005 -52.620197 425.911987)(-181.832993 -44.672401 458.121979)(-181.525009 -35.792999 449.824005)(-180.686005 -52.620197 425.911987)(-181.572006 -38.800499 451.075989)(-181.645004 -41.395500 453.091003)(-180.686005 -52.620197 425.911987)(-181.647003 -41.462997 453.144989)(-181.574005 -38.924000 451.126984)(-180.686005 -52.620197 425.911987)(-181.645004 -41.395500 453.091003)(-181.525009 -35.682499 449.806000)(-180.686005 -52.620197 425.911987)(-181.525009 -35.792999 449.824005)(-179.389999 -78.511002 545.104980)(-179.389999 -94.904999 463.443024)(-179.389999 -84.383003 542.888000)(-179.389999 0.441005 375.324982)(-181.576004 0.441008 449.445007)(-181.557999 7.341420 449.445007)(-179.389999 0.441005 375.324982)(-181.557999 7.341420 449.445007)(-179.389999 41.200001 378.924988)(-181.501999 -21.139999 449.445007)(-181.501999 -20.481300 449.445007)(-180.686005 -52.620197 425.911987)(-181.504990 -25.265001 449.445007)(-181.504990 -24.960199 449.445007)(-180.686005 -52.620197 425.911987)(-180.686005 -52.620197 425.911987)(-181.511002 -33.134800 449.470001)(-181.504990 -25.265001 449.445007)(-181.511993 -33.615997 449.472015)(-180.686005 -52.620197 425.911987)(-181.525009 -35.682499 449.806000)(-181.511002 -33.134800 449.470001)(-180.686005 -52.620197 425.911987)(-181.511993 -33.615997 449.472015)(-180.686005 -52.620197 425.911987)(-181.501999 -20.481300 449.445007)(-181.500000 -17.228500 449.445007)(-181.645004 41.395500 453.091003)(-180.686005 52.620197 425.911987)(-181.574005 38.924000 451.126984)(-180.686005 52.620197 425.911987)(-181.572006 38.800499 451.075989)(-181.574005 38.924000 451.126984)(-179.389999 -41.200001 378.924988)(-181.500000 -17.228500 449.445007)(-181.525009 -12.891000 449.445007)(-181.531998 -11.796700 449.445007)(-179.389999 -41.200001 378.924988)(-181.525009 -12.891000 449.445007)(-181.500000 -17.228500 449.445007)(-179.389999 -41.200001 378.924988)(-179.389999 -88.012001 388.846008)(-181.500000 -17.228500 449.445007)(-179.389999 -88.012001 388.846008)(-180.686005 -52.620197 425.911987)(-182.000000 -45.799999 462.970001)(-179.389999 -94.904999 463.443024)(-179.389999 -63.845001 545.104980)(-179.389999 -94.904999 463.443024)(-182.000000 -45.799999 462.970001)(-179.389999 -88.012001 388.846008)(-182.000000 -45.799999 462.970001)(-180.686005 -52.620197 425.911987)(-179.389999 -88.012001 388.846008)(-181.838013 -44.763500 458.429993)(-180.686005 -52.620197 425.911987)(-181.930008 -45.375202 461.000000)(-182.000000 -45.799999 462.970001)(-181.930008 -45.375202 461.000000)(-180.686005 -52.620197 425.911987)(-179.389999 84.383003 542.888000)(-179.389999 94.904999 463.443024)(-179.389999 78.511002 545.104980)(-179.389999 78.511002 545.104980)(-179.389999 94.904999 463.443024)(-179.389999 63.845001 545.104980)(-179.389999 63.845001 545.104980)(-179.389999 94.904999 463.443024)(-182.000000 45.799999 462.970001)(-181.572006 38.800499 451.075989)(-180.686005 52.620197 425.911987)(-181.525009 35.792999 449.824005)(-181.525009 35.792999 449.824005)(-180.686005 52.620197 425.911987)(-181.525009 35.682499 449.806000)(-181.525009 35.682499 449.806000)(-180.686005 52.620197 425.911987)(-181.511993 33.615997 449.472015)(-181.511993 33.615997 449.472015)(-180.686005 52.620197 425.911987)(-181.511002 33.134800 449.470001)(-181.504990 25.265001 449.445007)(-181.511002 33.134800 449.470001)(-180.686005 52.620197 425.911987)(-181.504990 25.265001 449.445007)(-180.686005 52.620197 425.911987)(-181.504990 24.960199 449.445007)(-181.504990 24.960199 449.445007)(-180.686005 52.620197 425.911987)(-181.501999 21.139999 449.445007)(-181.501999 21.139999 449.445007)(-180.686005 52.620197 425.911987)(-181.501999 20.481300 449.445007)(-181.500000 17.228500 449.445007)(-181.501999 20.481300 449.445007)(-180.686005 52.620197 425.911987)(-180.686005 52.620197 425.911987)(-181.930008 45.375202 461.000000)(-182.000000 45.799999 462.970001)(-180.686005 52.620197 425.911987)(-181.838013 44.763500 458.429993)(-181.930008 45.375202 461.000000)(-180.686005 52.620197 425.911987)(-181.832993 44.672401 458.121979)(-181.838013 44.763500 458.429993)(-179.389999 88.012001 388.846008)(-180.686005 52.620197 425.911987)(-182.000000 45.799999 462.970001)(-179.389999 88.012001 388.846008)(-181.500000 17.228500 449.445007)(-180.686005 52.620197 425.911987)(-179.389999 88.012001 388.846008)(-182.000000 45.799999 462.970001)(-179.389999 94.904999 463.443024)(-179.389999 41.200001 378.924988)(-181.531998 11.796700 449.445007)(-181.525009 12.891000 449.445007)(-179.389999 41.200001 378.924988)(-181.525009 12.891000 449.445007)(-181.500000 17.228500 449.445007)(-179.389999 88.012001 388.846008)(-179.389999 41.200001 378.924988)(-181.500000 17.228500 449.445007)(-179.389999 -0.441005 375.324982)(-181.557999 -7.341420 449.445007)(-181.576004 -0.441008 449.445007)(-179.389999 0.441005 375.324982)(-179.389999 -0.441005 375.324982)(-181.576004 -0.441008 449.445007)(-180.686005 52.620197 425.911987)(-181.647003 41.462997 453.144989)(-181.731003 43.294701 455.464996)(-179.389999 -63.845001 545.104980)(-179.389999 -94.904999 463.443024)(-179.389999 -78.511002 545.104980)(-181.576004 0.441008 449.445007)(-179.389999 0.441005 375.324982)(-181.576004 -0.441008 449.445007)(-180.686005 52.620197 425.911987)(-181.731003 43.294701 455.464996)(-181.832993 44.672401 458.121979)(-181.531998 11.796700 449.445007)(-179.389999 41.200001 378.924988)(-181.557999 7.341420 449.445007)(-181.647003 -41.462997 453.144989)(-180.686005 -52.620197 425.911987)(-181.731003 -43.294701 455.464996)(-179.389999 -41.200001 378.924988)(-181.557999 -7.341420 449.445007)(-179.389999 -0.441005 375.324982)(-181.557999 -7.341420 449.445007)(-179.389999 -41.200001 378.924988)(-181.531998 -11.796700 449.445007)(-181.504990 -24.960199 449.445007)(-181.501999 -21.139999 449.445007)(-180.686005 -52.620197 425.911987)(-180.686005 52.620197 425.911987)(-181.645004 41.395500 453.091003)(-181.647003 41.462997 453.144989)(-181.572006 -38.800499 451.075989)(-180.686005 -52.620197 425.911987)(-181.574005 -38.924000 451.126984)(-181.832993 -44.672401 458.121979)(-180.686005 -52.620197 425.911987)(-181.838013 -44.763500 458.429993)))
           )
           )))
    (send glvertices :calc-normals)
    (send self :assoc glvertices)
    glvertices)
  (:qhull-faceset ()
   ;; qhull 13308 -> 91 faces
   (instance faceset :init :faces (list
    (instance face :init :vertices (list (float-vector -53.583000 -33.394001 229.616001) (float-vector -62.410999 9.556000 229.616001) (float-vector -122.964002 -45.035999 263.453007)))
    (instance face :init :vertices (list (float-vector -174.177006 95.821999 377.274990) (float-vector -120.144002 52.723002 263.397992) (float-vector -22.179000 140.348002 249.378994) (float-vector -170.672998 103.359997 379.379004)))
    (instance face :init :vertices (list (float-vector 25.664000 137.769997 250.070006) (float-vector 59.209999 21.924000 229.616001) (float-vector 59.000000 68.695001 261.999995)))
    (instance face :init :vertices (list (float-vector -172.671005 -101.859003 538.222015) (float-vector -16.907001 -218.152002 505.162001) (float-vector -16.447000 -218.894005 495.162010) (float-vector -170.672998 -103.359997 379.379004) (float-vector -179.389998 -95.949002 526.394010)))
    (instance face :init :vertices (list (float-vector -173.253000 -85.556999 548.662007) (float-vector -172.671005 -101.859003 538.222015) (float-vector -179.389998 -95.949002 526.394010) (float-vector -179.389998 -78.511000 545.104980)))
    (instance face :init :vertices (list (float-vector -6.481010 -147.615001 247.430995) (float-vector 10.900000 -146.678001 247.682005) (float-vector 36.070000 -51.817998 229.616001) (float-vector -12.710000 -61.841998 229.616001)))
    (instance face :init :vertices (list (float-vector 62.896602 0.000000 229.616001) (float-vector 62.412001 -9.556000 229.616001) (float-vector 59.000000 -68.695001 261.999995) (float-vector 71.442001 -17.107001 262.216985)))
    (instance face :init :vertices (list (float-vector -5.454000 -222.441003 505.162001) (float-vector -5.454000 -222.616002 495.162010) (float-vector -16.447000 -218.894005 495.162010) (float-vector -16.907001 -218.152002 505.162001)))
    (instance face :init :vertices (list (float-vector -179.389998 90.622000 401.414990) (float-vector -179.389998 95.949002 526.394010) (float-vector -186.770007 21.199999 463.954985)))
    (instance face :init :vertices (list (float-vector -186.770007 -21.199999 463.954985) (float-vector -186.770007 21.199999 463.954985) (float-vector -179.389998 95.949002 526.394010) (float-vector -179.389998 78.511000 545.104980) (float-vector -179.389998 -78.511000 545.104980) (float-vector -179.389998 -95.949002 526.394010)))
    (instance face :init :vertices (list (float-vector -179.389998 95.949002 526.394010) (float-vector -179.389998 90.622000 401.414990) (float-vector -174.177006 95.821999 377.274990) (float-vector -170.672998 103.359997 379.379004)))
    (instance face :init :vertices (list (float-vector -179.389998 95.949002 526.394010) (float-vector -172.671005 101.859003 538.222015) (float-vector -173.260003 92.579000 546.386003) (float-vector -179.389998 78.511000 545.104980)))
    (instance face :init :vertices (list (float-vector -62.410999 9.556000 229.616001) (float-vector -120.144002 52.723002 263.397992) (float-vector -124.936000 19.788001 263.491988) (float-vector -122.964002 -45.035999 263.453007)))
    (instance face :init :vertices (list (float-vector -124.936000 19.788001 263.491988) (float-vector -120.144002 52.723002 263.397992) (float-vector -174.177006 95.821999 377.274990) (float-vector -179.389998 0.441005 375.324994)))
    (instance face :init :vertices (list (float-vector -174.177006 -95.821999 377.274990) (float-vector -122.964002 -45.035999 263.453007) (float-vector -124.936000 19.788001 263.491988) (float-vector -179.389998 0.441005 375.324994) (float-vector -179.389998 -41.200001 378.924996)))
    (instance face :init :vertices (list (float-vector 77.800997 68.164997 419.658005) (float-vector 84.684998 33.971000 479.099005) (float-vector 77.800997 78.636996 492.309004)))
    (instance face :init :vertices (list (float-vector 36.775999 207.522005 495.162010) (float-vector 77.800997 68.164997 419.658005) (float-vector 77.800997 78.636996 492.309004)))
    (instance face :init :vertices (list (float-vector 77.800997 68.164997 419.658005) (float-vector 36.775999 207.522005 495.162010) (float-vector 59.000000 68.695001 261.999995)))
    (instance face :init :vertices (list (float-vector 71.442001 17.107001 262.216985) (float-vector 77.800997 68.164997 419.658005) (float-vector 59.000000 68.695001 261.999995)))
    (instance face :init :vertices (list (float-vector 59.000000 68.695001 261.999995) (float-vector 59.209999 21.924000 229.616001) (float-vector 62.896602 0.000000 229.616001) (float-vector 71.442001 17.107001 262.216985)))
    (instance face :init :vertices (list (float-vector 77.800997 -68.164997 419.658005) (float-vector 71.442001 -17.107001 262.216985) (float-vector 59.000000 -68.695001 261.999995)))
    (instance face :init :vertices (list (float-vector 59.000000 -68.695001 261.999995) (float-vector 36.775999 -207.522005 495.162010) (float-vector 67.601003 -112.671003 480.468005) (float-vector 77.800997 -68.164997 419.658005)))
    (instance face :init :vertices (list (float-vector 2.270990 148.206994 247.272998) (float-vector -5.454000 222.616002 495.162010) (float-vector -16.447000 218.894005 495.162010) (float-vector -170.672998 103.359997 379.379004) (float-vector -22.179000 140.348002 249.378994)))
    (instance face :init :vertices (list (float-vector 21.304000 221.847996 495.162010) (float-vector 5.425000 222.441003 505.162001) (float-vector -5.454000 222.616002 495.162010) (float-vector 2.270990 148.206994 247.272998)))
    (instance face :init :vertices (list (float-vector 53.583000 -33.394001 229.616001) (float-vector 25.664000 -137.769997 250.070006) (float-vector 59.000000 -68.695001 261.999995) (float-vector 62.412001 -9.556000 229.616001)))
    (instance face :init :vertices (list (float-vector 53.583000 -33.394001 229.616001) (float-vector 36.070000 -51.817998 229.616001) (float-vector 10.900000 -146.678001 247.682005) (float-vector 25.664000 -137.769997 250.070006)))
    (instance face :init :vertices (list (float-vector 31.709999 -216.707006 495.162010) (float-vector 36.775999 -207.522005 495.162010) (float-vector 59.000000 -68.695001 261.999995) (float-vector 25.664000 -137.769997 250.070006)))
    (instance face :init :vertices (list (float-vector -173.253000 -85.556999 548.662007) (float-vector -9.838000 -209.233001 513.782978) (float-vector -5.454000 -222.441003 505.162001) (float-vector -16.907001 -218.152002 505.162001) (float-vector -172.671005 -101.859003 538.222015)))
    (instance face :init :vertices (list (float-vector -16.907001 218.152002 505.162001) (float-vector -172.671005 101.859003 538.222015) (float-vector -179.389998 95.949002 526.394010) (float-vector -170.672998 103.359997 379.379004) (float-vector -16.447000 218.894005 495.162010)))
    (instance face :init :vertices (list (float-vector -5.454000 -222.616002 495.162010) (float-vector -6.481010 -147.615001 247.430995) (float-vector -22.179000 -140.348002 249.378994) (float-vector -170.672998 -103.359997 379.379004) (float-vector -16.447000 -218.894005 495.162010)))
    (instance face :init :vertices (list (float-vector -22.179000 -140.348002 249.378994) (float-vector -6.481010 -147.615001 247.430995) (float-vector -12.710000 -61.841998 229.616001) (float-vector -53.583000 -33.394001 229.616001)))
    (instance face :init :vertices (list (float-vector -179.389998 -88.012002 388.846010) (float-vector -186.770007 -21.199999 463.954985) (float-vector -179.389998 -95.949002 526.394010)))
    (instance face :init :vertices (list (float-vector -179.389998 -88.012002 388.846010) (float-vector -174.177006 -95.821999 377.274990) (float-vector -179.389998 -41.200001 378.924996)))
    (instance face :init :vertices (list (float-vector -174.177006 95.821999 377.274990) (float-vector -179.389998 90.622000 401.414990) (float-vector -186.770007 21.199999 463.954985) (float-vector -186.770007 -21.199999 463.954985) (float-vector -179.389998 -88.012002 388.846010) (float-vector -179.389998 -41.200001 378.924996) (float-vector -179.389998 0.441005 375.324994)))
    (instance face :init :vertices (list (float-vector -174.177006 -95.821999 377.274990) (float-vector -179.389998 -88.012002 388.846010) (float-vector -179.389998 -95.949002 526.394010) (float-vector -170.672998 -103.359997 379.379004)))
    (instance face :init :vertices (list (float-vector 77.800997 -78.636996 492.309004) (float-vector 77.800997 -68.164997 419.658005) (float-vector 67.601003 -112.671003 480.468005)))
    (instance face :init :vertices (list (float-vector 84.684998 33.971000 479.099005) (float-vector 72.700597 0.000000 262.239009) (float-vector 84.890001 -27.179001 479.101002)))
    (instance face :init :vertices (list (float-vector 77.800997 -68.164997 419.658005) (float-vector 84.890001 -27.179001 479.101002) (float-vector 72.700597 0.000000 262.239009) (float-vector 71.442001 -17.107001 262.216985)))
    (instance face :init :vertices (list (float-vector 72.700597 0.000000 262.239009) (float-vector 84.684998 33.971000 479.099005) (float-vector 77.800997 68.164997 419.658005) (float-vector 71.442001 17.107001 262.216985)))
    (instance face :init :vertices (list (float-vector 72.700597 0.000000 262.239009) (float-vector 71.442001 17.107001 262.216985) (float-vector 62.896602 0.000000 229.616001) (float-vector 71.442001 -17.107001 262.216985)))
    (instance face :init :vertices (list (float-vector -120.144002 52.723002 263.397992) (float-vector -45.763001 43.496002 229.616001) (float-vector -22.179000 140.348002 249.378994)))
    (instance face :init :vertices (list (float-vector -45.763001 43.496002 229.616001) (float-vector -120.144002 52.723002 263.397992) (float-vector -62.410999 9.556000 229.616001)))
    (instance face :init :vertices (list (float-vector -22.179000 140.348002 249.378994) (float-vector -45.763001 43.496002 229.616001) (float-vector -0.000012 63.134998 229.616001) (float-vector 2.270990 148.206994 247.272998)))
    (instance face :init :vertices (list (float-vector -0.000012 63.134998 229.616001) (float-vector 36.070000 51.817998 229.616001) (float-vector 2.270990 148.206994 247.272998)))
    (instance face :init :vertices (list (float-vector -12.710000 -61.841998 229.616001) (float-vector 36.070000 -51.817998 229.616001) (float-vector 53.583000 -33.394001 229.616001) (float-vector 62.412001 -9.556000 229.616001) (float-vector 62.896602 0.000000 229.616001) (float-vector 59.209999 21.924000 229.616001) (float-vector 36.070000 51.817998 229.616001) (float-vector -0.000012 63.134998 229.616001) (float-vector -45.763001 43.496002 229.616001) (float-vector -62.410999 9.556000 229.616001) (float-vector -53.583000 -33.394001 229.616001)))
    (instance face :init :vertices (list (float-vector 2.270990 148.206994 247.272998) (float-vector 36.070000 51.817998 229.616001) (float-vector 59.209999 21.924000 229.616001) (float-vector 25.664000 137.769997 250.070006)))
    (instance face :init :vertices (list (float-vector 21.304000 221.847996 495.162010) (float-vector 22.799000 221.273005 505.162001) (float-vector 5.425000 222.441003 505.162001)))
    (instance face :init :vertices (list (float-vector 21.304000 -221.847996 495.162010) (float-vector 10.900000 -146.678001 247.682005) (float-vector -6.481010 -147.615001 247.430995) (float-vector -5.454000 -222.616002 495.162010)))
    (instance face :init :vertices (list (float-vector 21.304000 -221.847996 495.162010) (float-vector -5.454000 -222.616002 495.162010) (float-vector -5.454000 -222.441003 505.162001) (float-vector 22.799000 -221.273005 505.162001)))
    (instance face :init :vertices (list (float-vector 21.304000 -221.847996 495.162010) (float-vector 31.709999 -216.707006 495.162010) (float-vector 25.664000 -137.769997 250.070006) (float-vector 10.900000 -146.678001 247.682005)))
    (instance face :init :vertices (list (float-vector 22.799000 -221.273005 505.162001) (float-vector 32.177001 -215.849996 505.162001) (float-vector 31.709999 -216.707006 495.162010) (float-vector 21.304000 -221.847996 495.162010)))
    (instance face :init :vertices (list (float-vector 5.425000 222.441003 505.162001) (float-vector -5.454000 222.441003 505.162001) (float-vector -5.454000 222.616002 495.162010)))
    (instance face :init :vertices (list (float-vector -5.454000 222.616002 495.162010) (float-vector -5.454000 222.441003 505.162001) (float-vector -16.907001 218.152002 505.162001) (float-vector -16.447000 218.894005 495.162010)))
    (instance face :init :vertices (list (float-vector -22.179000 -140.348002 249.378994) (float-vector -115.974002 -58.090001 263.316989) (float-vector -170.672998 -103.359997 379.379004)))
    (instance face :init :vertices (list (float-vector -122.964002 -45.035999 263.453007) (float-vector -115.974002 -58.090001 263.316989) (float-vector -22.179000 -140.348002 249.378994) (float-vector -53.583000 -33.394001 229.616001)))
    (instance face :init :vertices (list (float-vector -170.672998 -103.359997 379.379004) (float-vector -115.974002 -58.090001 263.316989) (float-vector -122.964002 -45.035999 263.453007) (float-vector -174.177006 -95.821999 377.274990)))
    (instance face :init :vertices (list (float-vector 25.664000 137.769997 250.070006) (float-vector 31.709999 216.707006 495.162010) (float-vector 22.799000 221.273005 505.162001) (float-vector 21.304000 221.847996 495.162010) (float-vector 2.270990 148.206994 247.272998)))
    (instance face :init :vertices (list (float-vector 67.601003 -101.744004 523.383975) (float-vector 32.177001 -215.849996 505.162001) (float-vector 67.601003 -80.802001 539.831996)))
    (instance face :init :vertices (list (float-vector -9.838000 209.233001 513.782978) (float-vector -173.260003 92.579000 546.386003) (float-vector -172.671005 101.859003 538.222015) (float-vector -16.907001 218.152002 505.162001) (float-vector -5.454000 222.441003 505.162001)))
    (instance face :init :vertices (list (float-vector -15.921000 -183.937997 525.391996) (float-vector -9.838000 -209.233001 513.782978) (float-vector -173.253000 -85.556999 548.662007)))
    (instance face :init :vertices (list (float-vector -15.921000 -183.937997 525.391996) (float-vector 24.948001 -196.933001 521.754026) (float-vector -9.838000 -209.233001 513.782978)))
    (instance face :init :vertices (list (float-vector 32.177001 -215.849996 505.162001) (float-vector 24.948001 -196.933001 521.754026) (float-vector 67.601003 -80.802001 539.831996)))
    (instance face :init :vertices (list (float-vector 24.948001 -196.933001 521.754026) (float-vector 41.972999 -92.265002 551.796973) (float-vector 67.601003 -80.802001 539.831996)))
    (instance face :init :vertices (list (float-vector 24.948001 -196.933001 521.754026) (float-vector -15.921000 -183.937997 525.391996) (float-vector -173.253000 -85.556999 548.662007) (float-vector 41.972999 -92.265002 551.796973)))
    (instance face :init :vertices (list (float-vector -9.838000 -209.233001 513.782978) (float-vector 24.948001 -196.933001 521.754026) (float-vector 32.177001 -215.849996 505.162001) (float-vector 22.799000 -221.273005 505.162001) (float-vector -5.454000 -222.441003 505.162001)))
    (instance face :init :vertices (list (float-vector 77.800997 -62.128000 521.061003) (float-vector 67.601003 -101.744004 523.383975) (float-vector 67.601003 -80.802001 539.831996)))
    (instance face :init :vertices (list (float-vector 31.709999 -216.707006 495.162010) (float-vector 32.177001 -215.849996 505.162001) (float-vector 67.601003 -101.744004 523.383975) (float-vector 77.800997 -62.128000 521.061003) (float-vector 77.800997 -78.636996 492.309004) (float-vector 67.601003 -112.671003 480.468005) (float-vector 36.775999 -207.522005 495.162010)))
    (instance face :init :vertices (list (float-vector 77.800997 -78.636996 492.309004) (float-vector 77.800997 -62.128000 521.061003) (float-vector 84.890001 -27.179001 479.101002) (float-vector 77.800997 -68.164997 419.658005)))
    (instance face :init :vertices (list (float-vector -173.260003 92.579000 546.386003) (float-vector -172.479004 55.881999 550.620973) (float-vector -173.253000 -85.556999 548.662007) (float-vector -179.389998 -78.511000 545.104980) (float-vector -179.389998 78.511000 545.104980)))
    (instance face :init :vertices (list (float-vector -9.838000 209.233001 513.782978) (float-vector 24.948001 196.933001 521.754026) (float-vector -173.260003 92.579000 546.386003)))
    (instance face :init :vertices (list (float-vector 5.425000 222.441003 505.162001) (float-vector 22.799000 221.273005 505.162001) (float-vector 24.948001 196.933001 521.754026) (float-vector -9.838000 209.233001 513.782978) (float-vector -5.454000 222.441003 505.162001)))
    (instance face :init :vertices (list (float-vector 41.972999 -92.265002 551.796973) (float-vector 68.406001 -43.556001 546.675026) (float-vector 67.601003 -80.802001 539.831996)))
    (instance face :init :vertices (list (float-vector -11.504000 88.339999 551.712990) (float-vector -172.479004 55.881999 550.620973) (float-vector -173.260003 92.579000 546.386003)))
    (instance face :init :vertices (list (float-vector -172.479004 55.881999 550.620973) (float-vector -11.504000 88.339999 551.712990) (float-vector 41.978002 54.875001 553.933978) (float-vector 41.972999 -92.265002 551.796973) (float-vector -173.253000 -85.556999 548.662007)))
    (instance face :init :vertices (list (float-vector -11.504000 88.339999 551.712990) (float-vector 41.972999 92.265002 551.796973) (float-vector 41.978002 54.875001 553.933978)))
    (instance face :init :vertices (list (float-vector -11.504000 88.339999 551.712990) (float-vector -173.260003 92.579000 546.386003) (float-vector 24.948001 196.933001 521.754026) (float-vector 41.972999 92.265002 551.796973)))
    (instance face :init :vertices (list (float-vector 67.601003 -80.802001 539.831996) (float-vector 68.406001 -43.556001 546.675026) (float-vector 77.800401 0.000000 529.999971) (float-vector 77.800997 -62.128000 521.061003)))
    (instance face :init :vertices (list (float-vector 67.601003 80.802001 539.831996) (float-vector 41.972999 92.265002 551.796973) (float-vector 24.948001 196.933001 521.754026)))
    (instance face :init :vertices (list (float-vector 67.601003 80.802001 539.831996) (float-vector 68.406001 43.556001 546.675026) (float-vector 41.972999 92.265002 551.796973)))
    (instance face :init :vertices (list (float-vector 68.406001 43.556001 546.675026) (float-vector 77.800401 0.000000 529.999971) (float-vector 68.406001 -43.556001 546.675026)))
    (instance face :init :vertices (list (float-vector 41.978002 54.875001 553.933978) (float-vector 41.972999 92.265002 551.796973) (float-vector 68.406001 43.556001 546.675026) (float-vector 68.406001 -43.556001 546.675026) (float-vector 41.972999 -92.265002 551.796973)))
    (instance face :init :vertices (list (float-vector 31.709999 216.707006 495.162010) (float-vector 36.662001 207.232997 505.162001) (float-vector 22.799000 221.273005 505.162001)))
    (instance face :init :vertices (list (float-vector 36.662001 207.232997 505.162001) (float-vector 24.948001 196.933001 521.754026) (float-vector 22.799000 221.273005 505.162001)))
    (instance face :init :vertices (list (float-vector 36.662001 207.232997 505.162001) (float-vector 67.601003 80.802001 539.831996) (float-vector 24.948001 196.933001 521.754026)))
    (instance face :init :vertices (list (float-vector 36.662001 207.232997 505.162001) (float-vector 67.601003 101.744004 523.383975) (float-vector 67.601003 80.802001 539.831996)))
    (instance face :init :vertices (list (float-vector 36.662001 207.232997 505.162001) (float-vector 31.709999 216.707006 495.162010) (float-vector 25.664000 137.769997 250.070006) (float-vector 59.000000 68.695001 261.999995) (float-vector 36.775999 207.522005 495.162010)))
    (instance face :init :vertices (list (float-vector 84.684998 33.971000 479.099005) (float-vector 77.800997 62.128000 521.061003) (float-vector 77.800997 78.636996 492.309004)))
    (instance face :init :vertices (list (float-vector 67.601003 101.744004 523.383975) (float-vector 77.800997 62.128000 521.061003) (float-vector 67.601003 80.802001 539.831996)))
    (instance face :init :vertices (list (float-vector 77.800401 0.000000 529.999971) (float-vector 77.800997 62.128000 521.061003) (float-vector 84.684998 33.971000 479.099005) (float-vector 84.890001 -27.179001 479.101002) (float-vector 77.800997 -62.128000 521.061003)))
    (instance face :init :vertices (list (float-vector 68.406001 43.556001 546.675026) (float-vector 67.601003 80.802001 539.831996) (float-vector 77.800997 62.128000 521.061003) (float-vector 77.800401 0.000000 529.999971)))
    (instance face :init :vertices (list (float-vector 36.775999 207.522005 495.162010) (float-vector 77.800997 78.636996 492.309004) (float-vector 77.800997 62.128000 521.061003) (float-vector 67.601003 101.744004 523.383975) (float-vector 36.662001 207.232997 505.162001)))
    ))
   )
  )

(defclass HiroNX_g1_2_geom0
  :super collada-body
  :slots ())
(defmethod HiroNX_g1_2_geom0
  (:init (&key (name))
         (replace-object self (send self :qhull-faceset))
         (if name (send self :name name))
         (send self :def-gl-vertices)
         self)
  (:def-gl-vertices ()
    (setq glvertices
       (instance gl::glvertices :init
          (list
          (list
           (list :type :triangles)
           (list :material (list
             (list :color (float-vector 0.1 0.1 0.1))
             (list :ambient (float-vector 0.200000 0.200000 0.200000 1.000000))
             (list :diffuse (float-vector 0.900000 0.900000 0.900000 1.000000))
           ))
           (list :indices #i( 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148 149 150 151 152 153 154 155 156 157 158 159 160 161 162 163 164 165 166 167 168 169 170 171 172 173 174 175 176 177 178 179 180 181 182 183 184 185 186 187 188 189 190 191 192 193 194 195 196 197 198 199 200 201 202 203 204 205 206 207 208 209 210 211 212 213 214 215 216 217 218 219 220 221 222 223 224 225 226 227 228 229 230 231 232 233 234 235 236 237 238 239 240 241 242 243 244 245 246 247 248 249 250 251 252 253 254 255 256 257 258 259 260 261 262 263 264 265 266 267 268 269 270 271 272 273 274 275 276 277 278 279 280 281 282 283 284 285 286 287 288 289 290 291 292 293 294 295 296 297 298 299 300 301 302 303 304 305 306 307 308 309 310 311 312 313 314 315 316 317 318 319 320 321 322 323 324 325 326 327 328 329 330 331 332 333 334 335 336 337 338 339 340 341 342 343 344 345 346 347 348 349 350 351 352 353 354 355 356 357 358 359 360 361 362 363 364 365 366 367 368 369 370 371 372 373 374 375 376 377 378 379 380 381 382 383 384 385 386 387 388 389 390 391 392 393 394 395 396 397 398 399 400 401 402 403 404 405 406 407 408 409 410 411 412 413 414 415 416 417 418 419 420 421 422 423 424 425 426 427 428 429 430 431 432 433 434 435 436 437 438 439 440 441 442 443 444 445 446 447 448 449 450 451 452 453 454 455 456 457 458 459 460 461 462 463 464 465 466 467 468 469 470 471 472 473 474 475 476 477 478 479 480 481 482 483 484 485 486 487 488 489 490 491 492 493 494 495 496 497 498 499 500 501 502 503 504 505 506 507 508 509 510 511 512 513 514 515 516 517 518 519 520 521 522 523 524 525 526 527 528 529 530 531 532 533 534 535 536 537 538 539 540 541 542 543 544 545 546 547 548 549 550 551 552 553 554 555 556 557 558 559 560 561 562 563 564 565 566 567 568 569 570 571 572 573 574 575 576 577 578 579 580 581 582 583 584 585 586 587 588 589 590 591 592 593 594 595 596 597 598 599 600 601 602 603 604 605 606 607 608 609 610 611 612 613 614 615 616 617 618 619 620 621 622 623 624 625 626 627 628 629 630 631 632 633 634 635 636 637 638 639 640 641 642 643 644 645 646 647 648 649 650 651 652 653 654 655 656 657 658 659 660 661 662 663 664 665 666 667 668 669 670 671 672 673 674 675 676 677 678 679 680 681 682 683 684 685 686 687 688 689 690 691 692 693 694 695 696 697 698 699 700 701 702 703 704 705 706 707 708 709 710 711 712 713 714 715 716 717 718 719 720 721 722 723 724 725 726 727 728 729 730 731 732 733 734 735 736 737 738 739 740 741 742 743 744 745 746 747 748 749 750 751 752 753 754 755 756 757 758 759 760 761 762 763 764 765 766 767 768 769 770 771 772 773 774 775 776 777 778 779 780 781 782 783 784 785 786 787 788 789 790 791 792 793 794 795 796 797 798 799 800 801 802 803 804 805 806 807 808 809 810 811 812 813 814 815 816 817 818 819 820 821 822 823 824 825 826 827 828 829 830 831 832 833 834 835 836 837 838 839 840 841 842 843 844 845 846 847 848 849 850 851 852 853 854 855 856 857 858 859 860 861 862 863 864 865 866 867 868 869 870 871 872 873 874 875 876 877 878 879 880 881 882 883 884 885 886 887 888 889 890 891 892 893 894 895 896 897 898 899 900 901 902 903 904 905 906 907 908 909 910 911 912 913 914 915 916 917 918 919 920 921 922 923 924 925 926 927 928 929 930 931 932 933 934 935 936 937 938 939 940 941 942 943 944 945 946 947 948 949 950 951 952 953 954 955 956 957 958 959 960 961 962 963 964 965 966 967 968 969 970 971 972 973 974 975 976 977 978 979 980 981 982 983 984 985 986 987 988 989 990 991 992 993 994 995 996 997 998 999 1000 1001 1002 1003 1004 1005 1006 1007 1008 1009 1010 1011 1012 1013 1014 1015 1016 1017 1018 1019 1020 1021 1022 1023 1024 1025 1026 1027 1028 1029 1030 1031 1032 1033 1034 1035 1036 1037 1038 1039 1040 1041 1042 1043 1044 1045 1046 1047 1048 1049 1050 1051 1052 1053 1054 1055 1056 1057 1058 1059 1060 1061 1062 1063 1064 1065 1066 1067 1068 1069 1070 1071 1072 1073 1074 1075 1076 1077 1078 1079 1080 1081 1082 1083 1084 1085 1086 1087 1088 1089 1090 1091 1092 1093 1094 1095 1096 1097 1098 1099 1100 1101 1102 1103 1104 1105 1106 1107 1108 1109 1110 1111 1112 1113 1114 1115 1116 1117 1118 1119 1120 1121 1122 1123 1124 1125 1126 1127 1128 1129 1130 1131 1132 1133 1134 1135 1136 1137 1138 1139 1140 1141 1142 1143 1144 1145 1146 1147 1148 1149 1150 1151 1152 1153 1154 1155 1156 1157 1158 1159 1160 1161 1162 1163 1164 1165 1166 1167 1168 1169 1170 1171 1172 1173 1174 1175 1176 1177 1178 1179 1180 1181 1182 1183 1184 1185 1186 1187 1188 1189 1190 1191 1192 1193 1194 1195 1196 1197 1198 1199 1200 1201 1202 1203 1204 1205 1206 1207 1208 1209 1210 1211 1212 1213 1214 1215 1216 1217 1218 1219 1220 1221 1222 1223 1224 1225 1226 1227 1228 1229 1230 1231 1232 1233 1234 1235 1236 1237 1238 1239 1240 1241 1242 1243 1244 1245 1246 1247 1248 1249 1250 1251 1252 1253 1254 1255 1256 1257 1258 1259 1260 1261 1262 1263 1264 1265 1266 1267 1268 1269 1270 1271 1272 1273 1274 1275 1276 1277 1278 1279 1280 1281 1282 1283 1284 1285 1286 1287 1288 1289 1290 1291 1292 1293 1294 1295 1296 1297 1298 1299 1300 1301 1302 1303 1304 1305 1306 1307 1308 1309 1310 1311 1312 1313 1314 1315 1316 1317 1318 1319 1320 1321 1322 1323 1324 1325 1326 1327 1328 1329 1330 1331 1332 1333 1334 1335 1336 1337 1338 1339 1340 1341 1342 1343 1344 1345 1346 1347 1348 1349 1350 1351 1352 1353 1354 1355 1356 1357 1358 1359 1360 1361 1362 1363 1364 1365 1366 1367 1368 1369 1370 1371 1372 1373 1374 1375 1376 1377 1378 1379 1380 1381 1382 1383 1384 1385 1386 1387 1388 1389 1390 1391 1392 1393 1394 1395 1396 1397 1398 1399 1400 1401 1402 1403 1404 1405 1406 1407 1408 1409 1410 1411 1412 1413 1414 1415 1416 1417 1418 1419 1420 1421 1422 1423 1424 1425 1426 1427 1428 1429 1430 1431 1432 1433 1434 1435 1436 1437 1438 1439 1440 1441 1442 1443 1444 1445 1446 1447 1448 1449 1450 1451 1452 1453 1454 1455 1456 1457 1458 1459 1460 1461 1462 1463 1464 1465 1466 1467 1468 1469 1470 1471 1472 1473 1474 1475 1476 1477 1478 1479 1480 1481 1482 1483 1484 1485 1486 1487 1488 1489 1490 1491 1492 1493 1494 1495 1496 1497 1498 1499 1500 1501 1502 1503 1504 1505 1506 1507 1508 1509 1510 1511 1512 1513 1514 1515 1516 1517 1518 1519 1520 1521 1522 1523 1524 1525 1526 1527 1528 1529 1530 1531 1532 1533 1534 1535 1536 1537 1538 1539 1540 1541 1542 1543 1544 1545 1546 1547 1548 1549 1550 1551 1552 1553 1554 1555 1556 1557 1558 1559 1560 1561 1562 1563 1564 1565 1566 1567 1568 1569 1570 1571 1572 1573 1574 1575 1576 1577 1578 1579 1580 1581 1582 1583 1584 1585 1586 1587 1588 1589 1590 1591 1592 1593 1594 1595 1596 1597 1598 1599 1600 1601 1602 1603 1604 1605 1606 1607 1608 1609 1610 1611 1612 1613 1614 1615 1616 1617 1618 1619 1620 1621 1622 1623 1624 1625 1626 1627 1628 1629 1630 1631 1632 1633 1634 1635 1636 1637 1638 1639 1640 1641 1642 1643 1644 1645 1646 1647 1648 1649 1650 1651 1652 1653 1654 1655 1656 1657 1658 1659 1660 1661 1662 1663 1664 1665 1666 1667 1668 1669 1670 1671 1672 1673 1674 1675 1676 1677 1678 1679 1680 1681 1682 1683 1684 1685 1686 1687 1688 1689 1690 1691 1692 1693 1694 1695 1696 1697 1698 1699 1700 1701 1702 1703 1704 1705 1706 1707 1708 1709 1710 1711 1712 1713 1714 1715 1716 1717 1718 1719 1720 1721 1722 1723 1724 1725 1726 1727 1728 1729 1730 1731 1732 1733 1734 1735 1736 1737 1738 1739 1740 1741 1742 1743 1744 1745 1746 1747 1748 1749 1750 1751 1752 1753 1754 1755 1756 1757 1758 1759 1760 1761 1762 1763 1764 1765 1766 1767 1768 1769 1770 1771 1772 1773 1774 1775 1776 1777 1778 1779 1780 1781 1782 1783 1784 1785 1786 1787 1788 1789 1790 1791 1792 1793 1794 1795 1796 1797 1798 1799 1800 1801 1802 1803 1804 1805 1806 1807 1808 1809 1810 1811 1812 1813 1814 1815 1816 1817 1818 1819 1820 1821 1822 1823 1824 1825 1826 1827 1828 1829 1830 1831 1832 1833 1834 1835 1836 1837 1838 1839 1840 1841 1842 1843 1844 1845 1846 1847 1848 1849 1850 1851 1852 1853 1854 1855 1856 1857 1858 1859 1860 1861 1862 1863 1864 1865 1866 1867 1868 1869 1870 1871 1872 1873 1874 1875 1876 1877 1878 1879 1880 1881 1882 1883 1884 1885 1886 1887 1888 1889 1890 1891 1892 1893 1894 1895 1896 1897 1898 1899 1900 1901 1902 1903 1904 1905 1906 1907 1908 1909 1910 1911 1912 1913 1914 1915 1916 1917 1918 1919 1920 1921 1922 1923 1924 1925 1926 1927 1928 1929 1930 1931 1932 1933 1934 1935 1936 1937 1938 1939 1940 1941 1942 1943 1944 1945 1946 1947 1948 1949 1950 1951 1952 1953 1954 1955 1956 1957 1958 1959 1960 1961 1962 1963 1964 1965 1966 1967 1968 1969 1970 1971 1972 1973 1974 1975 1976 1977 1978 1979 1980 1981 1982 1983 1984 1985 1986 1987 1988 1989 1990 1991 1992 1993 1994 1995 1996 1997 1998 1999 2000 2001 2002 2003 2004 2005 2006 2007 2008 2009 2010 2011 2012 2013 2014 2015 2016 2017 2018 2019 2020 2021 2022 2023 2024 2025 2026 2027 2028 2029 2030 2031 2032 2033 2034 2035 2036 2037 2038 2039 2040 2041 2042 2043 2044 2045 2046 2047 2048 2049 2050 2051 2052 2053 2054 2055 2056 2057 2058 2059 2060 2061 2062 2063 2064 2065 2066 2067 2068 2069 2070 2071 2072 2073 2074 2075 2076 2077 2078 2079 2080 2081 2082 2083 2084 2085 2086 2087 2088 2089 2090 2091 2092 2093 2094 2095 2096 2097 2098 2099 2100 2101 2102 2103 2104 2105 2106 2107 2108 2109 2110 2111 2112 2113 2114 2115 2116 2117 2118 2119 2120 2121 2122 2123 2124 2125 2126 2127 2128 2129 2130 2131 2132 2133 2134 2135 2136 2137 2138 2139 2140 2141 2142 2143 2144 2145 2146 2147 2148 2149 2150 2151 2152 2153 2154 2155 2156 2157 2158 2159 2160 2161 2162 2163 2164 2165 2166 2167 2168 2169 2170 2171 2172 2173 2174 2175 2176 2177 2178 2179 2180 2181 2182 2183 2184 2185 2186 2187 2188 2189 2190 2191 2192 2193 2194 2195 2196 2197 2198 2199 2200 2201 2202 2203 2204 2205 2206 2207 2208 2209 2210 2211 2212 2213 2214 2215 2216 2217 2218 2219 2220 2221 2222 2223 2224 2225 2226 2227 2228 2229 2230 2231 2232 2233 2234 2235 2236 2237 2238 2239 2240 2241 2242 2243 2244 2245 2246 2247 2248 2249 2250 2251 2252 2253 2254 2255 2256 2257 2258 2259 2260 2261 2262 2263 2264 2265 2266 2267 2268 2269 2270 2271 2272 2273 2274 2275 2276 2277 2278 2279 2280 2281 2282 2283 2284 2285 2286 2287 2288 2289 2290 2291 2292 2293 2294 2295 2296 2297 2298 2299 2300 2301 2302 2303 2304 2305 2306 2307 2308 2309 2310 2311 2312 2313 2314 2315 2316 2317 2318 2319 2320 2321 2322 2323 2324 2325 2326 2327 2328 2329 2330 2331 2332 2333 2334 2335 2336 2337 2338 2339 2340 2341 2342 2343 2344 2345 2346 2347 2348 2349 2350 2351 2352 2353 2354 2355 2356 2357 2358 2359 2360 2361 2362 2363 2364 2365 2366 2367 2368 2369 2370 2371 2372 2373 2374 2375 2376 2377 2378 2379 2380 2381 2382 2383 2384 2385 2386 2387 2388 2389 2390 2391 2392 2393 2394 2395 2396 2397 2398 2399 2400 2401 2402 2403 2404 2405 2406 2407 2408 2409 2410 2411 2412 2413 2414 2415 2416 2417 2418 2419 2420 2421 2422 2423 2424 2425 2426 2427 2428 2429 2430 2431 2432 2433 2434 2435 2436 2437 2438 2439 2440 2441 2442 2443 2444 2445 2446 2447 2448 2449 2450 2451 2452 2453 2454 2455 2456 2457 2458 2459 2460 2461 2462 2463 2464 2465 2466 2467 2468 2469 2470 2471 2472 2473 2474 2475 2476 2477 2478 2479 2480 2481 2482 2483 2484 2485 2486 2487 2488 2489 2490 2491 2492 2493 2494 2495 2496 2497 2498 2499 2500 2501 2502 2503 2504 2505 2506 2507 2508 2509 2510 2511 2512 2513 2514 2515 2516 2517 2518 2519 2520 2521 2522 2523 2524 2525 2526 2527 2528 2529 2530 2531 2532 2533 2534 2535 2536 2537 2538 2539 2540 2541 2542 2543 2544 2545 2546 2547 2548 2549 2550 2551 2552 2553 2554 2555 2556 2557 2558 2559 2560 2561 2562 2563 2564 2565 2566 2567 2568 2569 2570 2571 2572 2573 2574 2575 2576 2577 2578 2579 2580 2581 2582 2583 2584 2585 2586 2587 2588 2589 2590 2591 2592 2593 2594 2595 2596 2597 2598 2599 2600 2601 2602 2603 2604 2605 2606 2607 2608 2609 2610 2611 2612 2613 2614 2615 2616 2617 2618 2619 2620 2621 2622 2623 2624 2625 2626 2627 2628 2629 2630 2631 2632 2633 2634 2635 2636 2637 2638 2639 2640 2641 2642 2643 2644 2645 2646 2647 2648 2649 2650 2651 2652 2653 2654 2655 2656 2657 2658 2659 2660 2661 2662 2663 2664 2665 2666 2667 2668 2669 2670 2671 2672 2673 2674 2675 2676 2677 2678 2679 2680 2681 2682 2683 2684 2685 2686 2687 2688 2689 2690 2691 2692 2693 2694 2695 2696 2697 2698 2699 2700 2701 2702 2703 2704 2705 2706 2707 2708 2709 2710 2711 2712 2713 2714 2715 2716 2717 2718 2719 2720 2721 2722 2723 2724 2725 2726 2727 2728 2729 2730 2731 2732 2733 2734 2735 2736 2737 2738 2739 2740 2741 2742 2743 2744 2745 2746 2747 2748 2749 2750 2751 2752 2753 2754 2755 2756 2757 2758 2759 2760 2761 2762 2763 2764 2765 2766 2767 2768 2769 2770 2771 2772 2773 2774 2775 2776 2777 2778 2779 2780 2781 2782 2783 2784 2785 2786 2787 2788 2789 2790 2791 2792 2793 2794 2795 2796 2797 2798 2799 2800 2801 2802 2803 2804 2805 2806 2807 2808 2809 2810 2811 2812 2813 2814 2815 2816 2817 2818 2819 2820 2821 2822 2823 2824 2825 2826 2827 2828 2829 2830 2831 2832 2833 2834 2835 2836 2837 2838 2839 2840 2841 2842 2843 2844 2845 2846 2847 2848 2849 2850 2851 2852 2853 2854 2855 2856 2857 2858 2859 2860 2861 2862 2863 2864 2865 2866 2867 2868 2869 2870 2871 2872 2873 2874 2875 2876 2877 2878 2879 2880 2881 2882 2883 2884 2885 2886 2887 2888 2889 2890 2891 2892 2893 2894 2895 2896 2897 2898 2899 2900 2901 2902 2903 2904 2905 2906 2907 2908 2909 2910 2911 2912 2913 2914 2915 2916 2917 2918 2919 2920 2921 2922 2923 2924 2925 2926 2927 2928 2929 2930 2931 2932 2933 2934 2935 2936 2937 2938 2939 2940 2941 2942 2943 2944 2945 2946 2947 2948 2949 2950 2951 2952 2953 2954 2955 2956 2957 2958 2959 2960 2961 2962 2963 2964 2965 2966 2967 2968 2969 2970 2971 2972 2973 2974 2975 2976 2977 2978 2979 2980 2981 2982 2983 2984 2985 2986 2987 2988 2989 2990 2991 2992 2993 2994 2995 2996 2997 2998 2999 3000 3001 3002 3003 3004 3005 3006 3007 3008 3009 3010 3011 3012 3013 3014 3015 3016 3017 3018 3019 3020 3021 3022 3023 3024 3025 3026 3027 3028 3029 3030 3031 3032 3033 3034 3035))
           (list :vertices #2f((-11.213300 17.698900 -20.036600)(-11.404900 17.533300 -19.957300)(-11.495000 23.500000 -19.920000)(-11.404900 17.533300 -19.957300)(-11.213300 17.698900 -20.036600)(-10.915000 17.937000 -20.243000)(-10.915000 17.937000 -20.243000)(-11.213300 17.698900 -20.036600)(-10.832601 17.875399 -20.194300)(-11.404900 17.533300 -19.957300)(-11.495000 17.455200 -19.920000)(-11.495000 23.500000 -19.920000)(15.351999 -14.334000 -25.001001)(16.118599 -13.088400 -16.378700)(15.294200 -13.970500 -17.011501)(15.351999 -14.334000 -25.001001)(16.268000 -12.928500 -16.264002)(16.118599 -13.088400 -16.378700)(15.351999 -14.334000 -25.001001)(17.560999 -11.523000 -14.859000)(16.268000 -12.928500 -16.264002)(17.560999 -11.523000 -14.859000)(15.351999 -14.334000 -25.001001)(18.650002 -9.661000 -25.001001)(-5.804300 -20.158701 -22.235901)(-5.661000 -20.221001 -22.292000)(-5.948000 -20.096199 -22.216999)(-5.804300 -20.158701 -22.235901)(-5.661000 -20.221001 -22.292000)(-0.666437 -20.903301 -22.912600)(-5.948000 -23.600000 -22.216999)(-5.804300 -20.158701 -22.235901)(-4.459750 -21.879398 -22.413000)(-5.804300 -20.158701 -22.235901)(-2.971500 -21.848099 -22.608999)(-4.459750 -21.879398 -22.413000)(-2.971500 -21.848099 -22.608999)(-5.948000 -23.600000 -22.216999)(-4.459750 -21.879398 -22.413000)(-2.971500 -21.848099 -22.608999)(-5.804300 -20.158701 -22.235901)(-0.666437 -20.903301 -22.912600)(-0.064241 -20.990499 -22.991899)(-2.862620 -20.605700 -22.641901)(-2.803000 -20.811001 -22.829000)(-0.064241 -20.990499 -22.991899)(-0.329676 -20.952000 -22.956900)(-2.862620 -20.605700 -22.641901)(-2.862620 -20.605700 -22.641901)(-0.329676 -20.952000 -22.956900)(-0.666437 -20.903301 -22.912600)(-0.666437 -20.903301 -22.912600)(-5.661000 -20.221001 -22.292000)(-2.862620 -20.605700 -22.641901)(0.005003 -23.600000 -23.000999)(-0.666437 -20.903301 -22.912600)(-0.329676 -20.952000 -22.956900)(-2.803000 -20.811001 -22.829000)(-2.833150 -20.618900 -23.932699)(-0.064241 -20.990499 -22.991899)(-0.005297 -20.993599 -22.999599)(-2.833150 -20.618900 -23.932699)(-0.064241 -20.990499 -22.991899)(-2.833150 -20.618900 -23.932699)(-5.661000 -20.221001 -25.001001)(-0.005297 -20.993599 -22.999599)(0.005004 -29.000000 -25.001001)(0.005003 -21.000000 -25.001001)(-5.661000 -20.221001 -25.001001)(-6.935000 -28.157000 -25.001001)(0.005004 -29.000000 -25.001001)(-5.661000 -20.221001 -25.001001)(-6.935000 -28.157000 -25.001001)(-5.661000 -20.221001 -25.001001)(-10.907000 -17.943001 -25.001001)(-5.661000 -20.221001 -22.292000)(-10.907000 -17.943001 -25.001001)(-5.661000 -20.221001 -25.001001)(-5.661000 -20.221001 -22.292000)(-5.661000 -20.221001 -25.001001)(-2.803000 -20.811001 -22.829000)(-5.661000 -20.221001 -25.001001)(-2.833150 -20.618900 -23.932699)(-2.803000 -20.811001 -22.829000)(0.005003 -23.600000 -23.000999)(-2.971500 -21.848099 -22.608999)(-0.666437 -20.903301 -22.912600)(-5.948000 -23.600000 -22.216999)(-5.948000 -20.096199 -22.216999)(-5.804300 -20.158701 -22.235901)(-0.005297 -20.993599 -22.999599)(-5.661000 -20.221001 -25.001001)(0.005003 -21.000000 -25.001001)(-0.005297 -20.993599 -22.999599)(-0.064241 -20.990499 -22.991899)(0.005003 -20.995001 -23.000999)(-27.111000 -10.283000 -25.001001)(-27.111000 10.284000 -25.001001)(-28.783998 3.496000 -25.001001)(-23.862001 -16.473999 -25.001001)(-27.111000 10.284000 -25.001001)(-27.111000 -10.283000 -25.001001)(8.731501 20.441200 -21.068501)(6.774760 19.763102 -21.878799)(5.958000 23.500000 -22.216999)(8.731501 20.441200 -21.068501)(5.958000 23.500000 -22.216999)(8.731501 21.970600 -21.068501)(5.958000 23.500000 -22.216999)(11.505000 23.500000 -19.920000)(8.731501 21.970600 -21.068501)(11.505000 23.500000 -19.920000)(8.731501 20.441200 -21.068501)(8.731501 21.970600 -21.068501)(21.005001 -0.001000 -9.382000)(20.853100 -1.068300 -9.502220)(20.896999 -2.125000 -9.619000)(21.005001 -0.001000 -9.382000)(20.896999 -2.125000 -9.619000)(20.955999 1.433000 -25.001001)(20.896999 -2.125000 -9.619000)(20.566000 -4.273000 -25.001001)(20.955999 1.433000 -25.001001)(28.898998 -0.000500 -26.250999)(28.792999 3.495000 -25.001001)(28.792999 -3.496000 -25.001001)(28.792999 3.495000 -25.001001)(28.898998 -0.000500 -26.250999)(29.005001 -0.000002 -27.500999)(27.119999 10.283000 -25.001001)(28.792999 -3.496000 -25.001001)(28.792999 3.495000 -25.001001)(18.095501 -16.185400 -13.882500)(19.923000 -23.600000 -11.501000)(16.268000 -23.600000 -16.264002)(19.923000 -23.600000 -11.501000)(18.095501 -16.185400 -13.882500)(18.772200 -8.770841 -13.000600)(18.772200 -8.770841 -13.000600)(19.683401 -7.056580 -11.813300)(19.923000 -23.600000 -11.501000)(-5.948000 -23.600000 -22.216999)(16.268000 -23.600000 -16.264002)(19.923000 -23.600000 -11.501000)(19.991400 6.352780 -11.335900)(19.955400 6.483600 -11.422899)(20.028999 6.329000 -11.316999)(19.998901 6.330440 -11.317901)(19.991400 6.352780 -11.335900)(20.028999 6.329000 -11.316999)(19.955400 6.483600 -11.422899)(19.998901 6.330440 -11.317901)(19.991400 6.352780 -11.335900)(19.923000 23.500000 -11.501000)(19.998901 6.330440 -11.317901)(19.955400 6.483600 -11.422899)(19.923000 23.500000 -11.501000)(19.955400 6.483600 -11.422899)(19.923000 6.552000 -11.501000)(19.923000 23.500000 -11.501000)(20.701799 2.129080 -9.620950)(19.998901 6.330440 -11.317901)(19.923000 23.500000 -11.501000)(19.923000 6.552000 -11.501000)(19.907700 6.583990 -11.520900)(19.998901 6.330440 -11.317901)(20.701799 2.129080 -9.620950)(20.698502 2.145780 -9.629080)(20.698502 2.145780 -9.629080)(20.701799 2.129080 -9.620950)(20.896999 2.123000 -9.619000)(20.028999 6.329000 -11.316999)(19.998901 6.330440 -11.317901)(20.696800 2.153320 -9.633190)(20.701799 2.129080 -9.620950)(20.702999 2.115380 -9.618160)(20.896999 2.123000 -9.619000)(20.458000 -4.250000 -10.478000)(20.896999 -2.125000 -9.619000)(20.602901 -3.248790 -10.094300)(20.896999 -2.125000 -9.619000)(20.458000 -4.250000 -10.478000)(20.566000 -4.273000 -25.001001)(20.308800 -4.372590 -10.569700)(20.458000 -4.250000 -10.478000)(20.602901 -3.248790 -10.094300)(20.602901 -3.248790 -10.094300)(20.632301 -2.364500 -9.788790)(20.308800 -4.372590 -10.569700)(20.308800 -4.372590 -10.569700)(20.632301 -2.364500 -9.788790)(20.696800 -2.155200 -9.633121)(20.696800 -2.155200 -9.633121)(20.632301 -2.364500 -9.788790)(20.896999 -2.125000 -9.619000)(20.696800 -2.155200 -9.633121)(20.698900 -2.145910 -9.628060)(20.896999 -2.125000 -9.619000)(20.308800 -4.372590 -10.569700)(20.696800 -2.155200 -9.633121)(20.698900 -2.145910 -9.628060)(20.698900 -2.145910 -9.628060)(20.701200 -2.135600 -9.622450)(20.308800 -4.372590 -10.569700)(20.308800 -4.372590 -10.569700)(20.027000 -6.334000 -11.320000)(19.988701 -6.362160 -11.342400)(19.988701 -6.362160 -11.342400)(19.955299 -6.484630 -11.423000)(20.027000 -6.334000 -11.320000)(20.027000 -6.334000 -11.320000)(19.923000 -6.550460 -11.501000)(19.955299 -6.484630 -11.423000)(20.240101 -5.427220 -18.160500)(20.027000 -6.334000 -11.320000)(19.923000 -6.550460 -11.501000)(20.240101 -5.427220 -18.160500)(19.923000 -6.550460 -11.501000)(19.909401 -6.579250 -11.518800)(19.988701 -6.362160 -11.342400)(20.308800 -4.372590 -10.569700)(22.221001 -23.600000 -5.954000)(20.734901 1.425270 -9.541250)(20.702999 2.115380 -9.618160)(22.221001 -23.600000 -5.954000)(22.221001 -23.600000 -5.954000)(20.800900 -0.000995 -9.382000)(20.734901 1.425270 -9.541250)(20.701200 -2.135600 -9.622450)(20.800900 -0.000995 -9.382000)(22.221001 -23.600000 -5.954000)(22.221001 -23.600000 -5.954000)(20.308800 -4.372590 -10.569700)(20.701200 -2.135600 -9.622450)(20.931999 1.432000 -9.542000)(20.734901 1.425270 -9.541250)(20.800900 -0.000995 -9.382000)(20.931999 1.432000 -9.542000)(20.896999 2.123000 -9.619000)(20.734901 1.425270 -9.541250)(20.701200 -2.135600 -9.622450)(20.798899 -0.022670 -9.386800)(20.800900 -0.000995 -9.382000)(22.221001 -23.600000 -5.954000)(20.702999 2.115380 -9.618160)(19.923000 23.500000 -11.501000)(19.923000 -6.550460 -11.501000)(19.955299 -6.484630 -11.423000)(22.221001 -23.600000 -5.954000)(19.923000 -6.550460 -11.501000)(19.923000 -23.600000 -11.501000)(19.904900 -6.591660 -11.524600)(19.923000 -6.550460 -11.501000)(22.221001 -23.600000 -5.954000)(19.923000 -23.600000 -11.501000)(-5.948000 -23.600000 -22.216999)(19.923000 -23.600000 -11.501000)(22.221001 -23.600000 -5.954000)(23.004999 -23.600000 -0.001002)(-5.948000 -23.600000 -22.216999)(22.221001 -23.600000 -5.954000)(20.702999 2.115380 -9.618160)(20.734901 1.425270 -9.541250)(20.896999 2.123000 -9.619000)(20.853100 -1.068300 -9.502220)(20.798899 -0.022670 -9.386800)(20.701200 -2.135600 -9.622450)(20.955999 1.433000 -25.001001)(20.896999 2.123000 -9.619000)(20.931999 1.432000 -9.542000)(20.240101 -5.427220 -18.160500)(20.566000 -4.273000 -25.001001)(20.027000 -6.334000 -11.320000)(20.698900 -2.145910 -9.628060)(20.701200 -2.135600 -9.622450)(20.896999 -2.125000 -9.619000)(20.602901 -3.248790 -10.094300)(20.896999 -2.125000 -9.619000)(20.632301 -2.364500 -9.788790)(19.955400 6.483600 -11.422899)(20.028999 6.329000 -11.316999)(19.923000 6.552000 -11.501000)(22.221001 23.500000 -5.954000)(23.004999 -23.600000 -0.001002)(22.221001 -23.600000 -5.954000)(-10.907000 -17.943001 -25.001001)(-5.948000 -20.096199 -22.216999)(-5.975290 -20.084400 -22.205700)(-8.440479 -19.012199 -22.622000)(-10.907000 -17.943001 -25.001001)(-5.975290 -20.084400 -22.205700)(-19.322001 8.213000 -12.469000)(-18.000900 10.206800 -13.994100)(-17.152000 12.110000 -25.001001)(-17.152000 12.110000 -25.001001)(-19.782999 7.033000 -25.001001)(-19.322001 8.213000 -12.469000)(-19.782999 7.033000 -25.001001)(-17.152000 12.110000 -25.001001)(-19.226000 21.707001 -25.001001)(-18.778400 8.865850 -12.980900)(-18.000900 10.206800 -13.994100)(-19.322001 8.213000 -12.469000)(-17.152000 12.110000 -25.001001)(-18.000900 10.206800 -13.994100)(-16.871801 11.921200 -15.465500)(-20.945999 1.433000 -25.001001)(-19.782999 7.033000 -25.001001)(-19.226000 21.707001 -25.001001)(-16.871801 11.921200 -15.465500)(-16.744499 12.066000 -15.631400)(-17.152000 12.110000 -25.001001)(-18.086500 16.182899 -13.882500)(-16.744499 12.066000 -15.631400)(-16.871801 11.921200 -15.465500)(-16.258999 12.784699 -16.264002)(-13.248000 16.289999 -25.001001)(-16.744499 12.066000 -15.631400)(-13.248000 16.289999 -25.001001)(-16.258999 12.784699 -16.264002)(-16.041800 13.129100 -16.430700)(-16.258999 23.500000 -16.264002)(-16.041800 13.129100 -16.430700)(-16.258999 12.784699 -16.264002)(-15.589900 13.845301 -16.777500)(-16.041800 13.129100 -16.430700)(-16.258999 23.500000 -16.264002)(-16.744499 12.066000 -15.631400)(-13.248000 16.289999 -25.001001)(-17.152000 12.110000 -25.001001)(-15.308500 14.102799 -16.993401)(-15.589900 13.845301 -16.777500)(-16.258999 23.500000 -16.264002)(-17.152000 12.110000 -25.001001)(-13.248000 16.289999 -25.001001)(-13.472000 25.677999 -25.001001)(2.864000 20.803999 -25.001001)(0.005003 29.000000 -25.001001)(-2.855000 20.803999 -25.001001)(0.005003 29.000000 -25.001001)(-6.935000 28.157000 -25.001001)(-2.855000 20.803999 -25.001001)(0.005003 29.000000 -27.500999)(-6.935000 28.157000 -25.001001)(0.005003 29.000000 -25.001001)(-10.915000 17.937000 -20.243000)(-8.282001 19.077999 -21.267000)(-8.362000 19.261002 -25.001001)(-8.282001 19.077999 -21.267000)(-2.855000 20.803999 -25.001001)(-8.362000 19.261002 -25.001001)(-13.248000 16.289999 -25.001001)(-8.362000 19.261002 -25.001001)(-6.935000 28.157000 -25.001001)(-8.362000 19.261002 -25.001001)(-2.855000 20.803999 -25.001001)(-6.935000 28.157000 -25.001001)(-7.635190 19.358299 -21.518299)(-2.855000 20.803999 -25.001001)(-8.282001 19.077999 -21.267000)(-8.362000 19.261002 -25.001001)(-13.248000 16.289999 -25.001001)(-13.141000 16.157000 -18.703001)(-8.362000 19.261002 -25.001001)(-13.141000 16.157000 -18.703001)(-11.495000 17.455200 -19.920000)(-5.948000 20.072800 -22.216999)(-2.855000 20.803999 -25.001001)(-7.635190 19.358299 -21.518299)(-7.635190 19.358299 -21.518299)(-8.351480 19.024401 -21.221699)(-8.721499 20.687698 -21.068501)(-7.635190 19.358299 -21.518299)(-8.721499 20.687698 -21.068501)(-5.948000 20.072800 -22.216999)(-8.351480 19.024401 -21.221699)(-8.427310 18.990601 -21.190300)(-8.721499 20.687698 -21.068501)(-8.351480 19.024401 -21.221699)(-8.282001 19.077999 -21.267000)(-8.427310 18.990601 -21.190300)(-5.884380 20.106699 -22.225401)(-2.855000 20.803999 -25.001001)(-5.948000 20.072800 -22.216999)(-5.611000 20.235001 -22.305000)(-2.855000 20.803999 -25.001001)(-5.884380 20.106699 -22.225401)(-2.855000 20.803999 -25.001001)(-5.611000 20.235001 -22.305000)(-2.853000 20.798000 -22.816000)(-5.948000 20.072800 -22.216999)(-8.721499 20.687698 -21.068501)(-5.948000 23.500000 -22.216999)(-15.091001 14.598000 -17.353001)(-13.141000 16.157000 -18.703001)(-13.248000 16.289999 -25.001001)(-12.948400 16.272800 -18.804600)(-13.681000 15.592000 -18.242399)(-13.877000 18.801401 -18.092001)(-12.530000 16.645901 -19.125700)(-12.948400 16.272800 -18.804600)(-13.877000 18.801401 -18.092001)(-12.948400 16.272800 -18.804600)(-13.141000 16.157000 -18.703001)(-12.530000 16.645901 -19.125700)(-13.681000 15.592000 -18.242399)(-13.141000 16.157000 -18.703001)(-12.948400 16.272800 -18.804600)(-13.681000 15.592000 -18.242399)(-15.308500 14.102799 -16.993401)(-13.877000 18.801401 -18.092001)(-13.681000 15.592000 -18.242399)(-13.141000 16.157000 -18.703001)(-15.091001 14.598000 -17.353001)(-13.248000 16.289999 -25.001001)(-6.935000 28.157000 -25.001001)(-13.472000 25.677999 -25.001001)(-6.935000 28.157000 -27.500999)(-13.472000 25.677999 -25.001001)(-6.935000 28.157000 -25.001001)(-6.935000 28.157000 -27.500999)(-13.472000 25.677999 -27.500999)(-13.472000 25.677999 -25.001001)(-6.935000 28.157000 -27.500999)(28.792999 -3.496000 -27.500999)(-13.472000 25.677999 -27.500999)(-13.472000 25.677999 -27.500999)(-19.226000 21.707001 -25.001001)(-13.472000 25.677999 -25.001001)(-7.635190 19.358299 -21.518299)(-8.282001 19.077999 -21.267000)(-8.351480 19.024401 -21.221699)(-11.495000 17.455200 -19.920000)(-11.404900 17.533300 -19.957300)(-8.362000 19.261002 -25.001001)(-8.427310 18.990601 -21.190300)(-8.282001 19.077999 -21.267000)(-8.899090 18.772001 -20.995001)(0.005003 29.000000 -27.500999)(28.792999 -3.496000 -27.500999)(-6.935000 28.157000 -27.500999)(-5.884380 20.106699 -22.225401)(-5.948000 20.072800 -22.216999)(-5.948000 23.500000 -22.216999)(-5.780590 20.161699 -22.239000)(-5.884380 20.106699 -22.225401)(-5.948000 23.500000 -22.216999)(-13.681000 15.592000 -18.242399)(-15.091001 14.598000 -17.353001)(-15.308500 14.102799 -16.993401)(-12.530000 16.645901 -19.125700)(-13.141000 16.157000 -18.703001)(-11.495000 17.455200 -19.920000)(-20.533998 4.378000 -10.353000)(-19.782999 7.033000 -25.001001)(-20.945999 1.433000 -25.001001)(-28.783998 3.496000 -25.001001)(-28.783998 3.496000 -27.500999)(-28.783998 -3.496000 -27.500999)(-28.783998 -3.496000 -27.500999)(-28.783998 3.496000 -27.500999)(28.792999 -3.496000 -27.500999)(28.792999 -3.496000 -27.500999)(-28.783998 3.496000 -27.500999)(-27.111000 10.284000 -27.500999)(-19.226000 -21.707001 -27.500999)(-23.862001 -16.473999 -27.500999)(28.792999 -3.496000 -27.500999)(-23.862001 -16.473999 -27.500999)(-27.111000 -10.283000 -27.500999)(28.792999 -3.496000 -27.500999)(-23.862001 -16.473999 -25.001001)(-27.111000 -10.283000 -27.500999)(-23.862001 -16.473999 -27.500999)(-27.111000 -10.283000 -27.500999)(-23.862001 -16.473999 -25.001001)(-27.111000 -10.283000 -25.001001)(-27.111000 -10.283000 -25.001001)(-28.783998 -3.496000 -27.500999)(-27.111000 -10.283000 -27.500999)(28.792999 -3.496000 -27.500999)(-27.111000 -10.283000 -27.500999)(-28.783998 -3.496000 -27.500999)(-28.783998 -3.496000 -27.500999)(-27.111000 -10.283000 -25.001001)(-28.783998 -3.496000 -25.001001)(-19.226000 -21.707001 -25.001001)(-23.862001 -16.473999 -25.001001)(-23.862001 -16.473999 -27.500999)(-27.111000 10.284000 -27.500999)(-23.862001 16.473999 -27.500999)(28.792999 -3.496000 -27.500999)(-27.111000 10.284000 -27.500999)(-27.111000 10.284000 -25.001001)(-23.862001 16.473999 -27.500999)(-19.226000 -21.707001 -27.500999)(-19.226000 -21.707001 -25.001001)(-23.862001 -16.473999 -27.500999)(-20.681801 2.246430 -9.646871)(-20.875000 2.247000 -9.646999)(-20.721399 1.435250 -9.551320)(-22.211000 23.500000 -5.954000)(-20.681801 2.246430 -9.646871)(-20.721399 1.435250 -9.551320)(-22.211000 23.500000 -5.954000)(-20.390400 4.370190 -10.350500)(-20.681801 2.246430 -9.646871)(-20.390400 4.370190 -10.350500)(-20.632700 3.312220 -9.999930)(-20.681801 2.246430 -9.646871)(-20.791100 0.009213 -9.383030)(-22.211000 23.500000 -5.954000)(-20.721399 1.435250 -9.551320)(20.566000 -4.273000 -25.001001)(19.909401 -6.579250 -11.518800)(19.904900 -6.591660 -11.524600)(18.650002 -9.661000 -25.001001)(20.566000 -4.273000 -25.001001)(19.904900 -6.591660 -11.524600)(18.650002 -9.661000 -25.001001)(19.235001 -21.707001 -25.001001)(20.566000 -4.273000 -25.001001)(15.351999 -14.334000 -25.001001)(19.235001 -21.707001 -25.001001)(18.650002 -9.661000 -25.001001)(13.886500 -18.785299 -18.092001)(14.274800 -15.061300 -17.793900)(15.040600 -14.220000 -17.206100)(13.886500 -18.785299 -18.092001)(15.040600 -14.220000 -17.206100)(15.139900 -14.135699 -17.129900)(12.082700 -17.061699 -19.476601)(14.274800 -15.061300 -17.793900)(13.178801 -16.923302 -18.635302)(14.274800 -15.061300 -17.793900)(13.886500 -18.785299 -18.092001)(13.178801 -16.923302 -18.635302)(13.886500 -18.785299 -18.092001)(12.082700 -17.061699 -19.476601)(13.178801 -16.923302 -18.635302)(11.505000 -17.396900 -19.920000)(12.082700 -17.061699 -19.476601)(13.886500 -18.785299 -18.092001)(12.082700 -17.061699 -19.476601)(11.505000 -17.396900 -19.920000)(10.916000 -17.943001 -25.001001)(10.916000 -17.943001 -25.001001)(15.040600 -14.220000 -17.206100)(14.274800 -15.061300 -17.793900)(12.791000 -16.659000 -19.118999)(12.082700 -17.061699 -19.476601)(10.916000 -17.943001 -25.001001)(15.040600 -14.220000 -17.206100)(10.916000 -17.943001 -25.001001)(15.351999 -14.334000 -25.001001)(16.358500 -20.005999 -25.001001)(19.235001 -21.707001 -25.001001)(15.351999 -14.334000 -25.001001)(13.481999 -25.677999 -25.001001)(16.358500 -20.005999 -25.001001)(15.351999 -14.334000 -25.001001)(13.481999 -25.677999 -25.001001)(15.351999 -14.334000 -25.001001)(10.916000 -17.943001 -25.001001)(13.481999 -25.677999 -25.001001)(10.916000 -17.943001 -25.001001)(6.945000 -28.157000 -25.001001)(15.139900 -14.135699 -17.129900)(15.040600 -14.220000 -17.206100)(15.351999 -14.334000 -25.001001)(6.945000 -28.157000 -25.001001)(13.481999 -25.677999 -27.500999)(13.481999 -25.677999 -25.001001)(19.235001 -21.707001 -27.500999)(13.481999 -25.677999 -27.500999)(28.792999 -3.496000 -27.500999)(13.481999 -25.677999 -27.500999)(6.945000 -28.157000 -27.500999)(28.792999 -3.496000 -27.500999)(6.945000 -28.157000 -25.001001)(6.945000 -28.157000 -27.500999)(13.481999 -25.677999 -27.500999)(0.005004 -29.000000 -25.001001)(6.945000 -28.157000 -27.500999)(6.945000 -28.157000 -25.001001)(0.005004 -29.000000 -25.001001)(0.005003 -29.000000 -27.500999)(6.945000 -28.157000 -27.500999)(0.005004 -29.000000 -25.001001)(-6.935000 -28.157000 -27.500999)(0.005003 -29.000000 -27.500999)(6.945000 -28.157000 -25.001001)(5.670000 -20.221001 -25.001001)(0.005004 -29.000000 -25.001001)(14.274800 -15.061300 -17.793900)(12.082700 -17.061699 -19.476601)(12.791000 -16.659000 -19.118999)(28.792999 -3.496000 -27.500999)(0.005003 -29.000000 -27.500999)(-6.935000 -28.157000 -27.500999)(-20.721399 1.435250 -9.551320)(-20.918001 1.432000 -9.551000)(-20.791100 0.009213 -9.383030)(-20.791100 0.009213 -9.383030)(-20.918001 1.432000 -9.551000)(-20.995001 -0.000000 -9.382000)(-20.945999 1.433000 -25.001001)(-20.995001 -0.000000 -9.382000)(-20.918001 1.432000 -9.551000)(-20.945999 1.433000 -25.001001)(-20.918001 1.432000 -9.551000)(-20.875000 2.247000 -9.646999)(-20.535999 -4.368000 -10.349000)(-20.556000 -4.273000 -25.001001)(-20.222601 -5.347680 -17.674999)(-20.222601 -5.347680 -17.674999)(-20.011301 -6.032440 -11.266000)(-20.535999 -4.368000 -10.349000)(-20.392200 -4.356970 -10.346100)(-20.535999 -4.368000 -10.349000)(-20.011301 -6.032440 -11.266000)(-20.535999 -4.368000 -10.349000)(-20.995001 -0.000000 -9.382000)(-20.875000 -2.242000 -9.646000)(-20.535999 -4.368000 -10.349000)(-20.875000 -2.242000 -9.646000)(-20.551001 -4.272000 -10.316999)(-20.693701 -2.184000 -9.865500)(-20.995001 -0.000000 -9.382000)(-20.535999 -4.368000 -10.349000)(-20.791500 -0.000005 -9.382000)(-20.995001 -0.000000 -9.382000)(-20.693701 -2.184000 -9.865500)(-20.392200 -4.356970 -10.346100)(-20.791500 -0.000005 -9.382000)(-20.693701 -2.184000 -9.865500)(-20.556000 -4.273000 -25.001001)(-20.551001 -4.272000 -10.316999)(-20.875000 -2.242000 -9.646000)(-20.392200 -4.356970 -10.346100)(-20.693701 -2.184000 -9.865500)(-20.535999 -4.368000 -10.349000)(-19.914000 -23.600000 -11.501000)(-20.392200 -4.356970 -10.346100)(-20.011301 -6.032440 -11.266000)(-20.875000 -2.242000 -9.646000)(-20.995001 -0.000000 -9.382000)(-20.995001 -0.000001 -25.001001)(-13.472000 -25.677999 -25.001001)(-13.472000 -25.677999 -27.500999)(-6.935000 -28.157000 -25.001001)(-6.935000 -28.157000 -25.001001)(-13.472000 -25.677999 -27.500999)(-6.935000 -28.157000 -27.500999)(28.792999 -3.496000 -27.500999)(-6.935000 -28.157000 -27.500999)(-13.472000 -25.677999 -27.500999)(-13.472000 -25.677999 -25.001001)(-19.226000 -21.707001 -27.500999)(-13.472000 -25.677999 -27.500999)(-20.556000 -4.273000 -25.001001)(-19.226000 -21.707001 -25.001001)(-18.641001 -9.661000 -25.001001)(-13.472000 -25.677999 -25.001001)(-18.641001 -9.661000 -25.001001)(-19.226000 -21.707001 -25.001001)(-20.995001 -0.000001 -25.001001)(-19.226000 -21.707001 -25.001001)(-20.556000 -4.273000 -25.001001)(-23.862001 16.473999 -25.001001)(-19.226000 -21.707001 -25.001001)(-20.995001 -0.000001 -25.001001)(-23.862001 16.473999 -25.001001)(-20.995001 -0.000001 -25.001001)(-20.945999 1.433000 -25.001001)(-20.945999 1.433000 -25.001001)(-20.995001 -0.000001 -25.001001)(-20.995001 -0.000000 -9.382000)(-19.226000 -21.707001 -25.001001)(-19.226000 -21.707001 -27.500999)(-13.472000 -25.677999 -25.001001)(-19.880499 -6.444260 -11.544600)(-20.556000 -4.273000 -25.001001)(-18.641001 -9.661000 -25.001001)(-20.556000 -4.273000 -25.001001)(-20.535999 -4.368000 -10.349000)(-20.551001 -4.272000 -10.316999)(-19.768900 -6.802200 -11.690100)(-19.880499 -6.444260 -11.544600)(-18.641001 -9.661000 -25.001001)(-19.880499 -6.444260 -11.544600)(-19.888399 -6.422130 -11.534300)(-19.768900 -6.802200 -11.690100)(-19.768900 -6.802200 -11.690100)(-19.188101 -8.172450 -12.446900)(-18.086500 -14.970500 -13.882500)(-19.768900 -6.802200 -11.690100)(-18.086500 -14.970500 -13.882500)(-19.914000 -23.600000 -11.501000)(-19.914000 -23.600000 -11.501000)(-19.888399 -6.422130 -11.534300)(-19.768900 -6.802200 -11.690100)(-19.914000 -6.341040 -11.501000)(-19.888399 -6.422130 -11.534300)(-19.914000 -23.600000 -11.501000)(-19.188101 -8.172450 -12.446900)(-19.768900 -6.802200 -11.690100)(-19.331001 -8.194000 -12.457000)(-19.331001 -8.194000 -12.457000)(-19.072100 -8.365400 -12.598100)(-19.188101 -8.172450 -12.446900)(-18.086500 -14.970500 -13.882500)(-16.258999 -23.600000 -16.264002)(-19.914000 -23.600000 -11.501000)(-17.204700 -11.413799 -15.031700)(-16.258999 -12.849600 -16.264002)(-16.258999 -23.600000 -16.264002)(-18.086500 -14.970500 -13.882500)(-17.204700 -11.413799 -15.031700)(-16.258999 -23.600000 -16.264002)(-16.258999 -12.849600 -16.264002)(-17.204700 -11.413799 -15.031700)(-17.388300 -11.295899 -19.243000)(-18.641001 -9.661000 -25.001001)(-16.183199 -12.963200 -16.322199)(-17.388300 -11.295899 -19.243000)(-18.441000 -9.539000 -13.485000)(-18.641001 -9.661000 -25.001001)(-17.388300 -11.295899 -19.243000)(-17.388300 -11.295899 -19.243000)(-18.001299 -10.204300 -13.993601)(-18.441000 -9.539000 -13.485000)(-16.949501 -11.967500 -20.661600)(-16.183199 -12.963200 -16.322199)(-18.641001 -9.661000 -25.001001)(-16.115099 -13.060800 -16.374399)(-16.949501 -11.967500 -20.661600)(-15.343000 -14.334000 -25.001001)(-16.949501 -11.967500 -20.661600)(-18.641001 -9.661000 -25.001001)(-16.970699 -11.982500 -22.831301)(-18.641001 -9.661000 -25.001001)(-15.343000 -14.334000 -25.001001)(-16.970699 -11.982500 -22.831301)(-15.343000 -14.334000 -25.001001)(-16.949501 -11.967500 -20.661600)(-16.970699 -11.982500 -22.831301)(-18.441000 -9.539000 -13.485000)(-18.001299 -10.204300 -13.993601)(-18.359100 -9.589840 -13.527200)(-19.072100 -8.365400 -12.598100)(-18.359100 -9.589840 -13.527200)(-18.086500 -14.970500 -13.882500)(-18.359100 -9.589840 -13.527200)(-18.001299 -10.204300 -13.993601)(-18.086500 -14.970500 -13.882500)(-17.388300 -11.295899 -19.243000)(-17.204700 -11.413799 -15.031700)(-18.001299 -10.204300 -13.993601)(-16.949501 -11.967500 -20.661600)(-16.115099 -13.060800 -16.374399)(-16.183199 -12.963200 -16.322199)(-16.183199 -12.963200 -16.322199)(-16.115099 -13.060800 -16.374399)(-16.258999 -23.600000 -16.264002)(-20.011301 -6.032440 -11.266000)(-19.914000 -6.341040 -11.501000)(-19.914000 -23.600000 -11.501000)(-16.258999 -23.600000 -16.264002)(-16.258999 -12.849600 -16.264002)(-16.183199 -12.963200 -16.322199)(-20.875000 2.247000 -9.646999)(-20.533998 4.378000 -10.353000)(-20.945999 1.433000 -25.001001)(10.916000 -17.943001 -25.001001)(5.670000 -20.221001 -25.001001)(6.945000 -28.157000 -25.001001)(-20.721399 1.435250 -9.551320)(-20.875000 2.247000 -9.646999)(-20.918001 1.432000 -9.551000)(-20.681801 2.246430 -9.646871)(-20.632700 3.312220 -9.999930)(-20.875000 2.247000 -9.646999)(-20.995001 -0.000000 -9.382000)(-20.791500 -0.000005 -9.382000)(-20.791100 0.009213 -9.383030)(-18.641001 -9.661000 -25.001001)(-18.441000 -9.539000 -13.485000)(-19.331001 -8.194000 -12.457000)(-20.222601 -5.347680 -17.674999)(-20.556000 -4.273000 -25.001001)(-19.888399 -6.422130 -11.534300)(-20.556000 -4.273000 -25.001001)(-19.880499 -6.444260 -11.544600)(-19.888399 -6.422130 -11.534300)(-20.533998 4.378000 -10.353000)(-20.875000 2.247000 -9.646999)(-20.632700 3.312220 -9.999930)(15.294200 -13.970500 -17.011501)(13.886500 -18.785299 -18.092001)(15.139900 -14.135699 -17.129900)(5.958010 -23.600000 -22.216999)(5.514570 -20.091499 -22.275400)(5.631490 -20.074600 -22.260000)(5.631490 -20.074600 -22.260000)(5.514570 -20.091499 -22.275400)(5.670000 -20.221001 -25.001001)(5.348930 -20.115499 -22.297199)(0.005003 -21.000000 -25.001001)(5.670000 -20.221001 -25.001001)(4.630370 -20.329901 -22.391800)(0.005003 -21.000000 -25.001001)(5.348930 -20.115499 -22.297199)(5.514570 -20.091499 -22.275400)(5.348930 -20.115499 -22.297199)(5.670000 -20.221001 -25.001001)(16.268000 -23.600000 -16.264002)(13.886500 -18.785299 -18.092001)(15.294200 -13.970500 -17.011501)(13.886500 -18.785299 -18.092001)(16.268000 -23.600000 -16.264002)(13.886500 -21.192598 -18.092001)(16.268000 -23.600000 -16.264002)(11.505000 -23.600000 -19.920000)(13.886500 -21.192598 -18.092001)(11.505000 -23.600000 -19.920000)(13.886500 -18.785299 -18.092001)(13.886500 -21.192598 -18.092001)(0.096896 -20.983999 -22.988901)(0.077003 -21.000000 -23.000999)(0.536158 -20.923000 -22.931000)(0.536158 -20.923000 -22.931000)(2.353690 -20.664900 -22.696400)(0.077003 -21.000000 -23.000999)(0.077003 -21.000000 -23.000999)(2.760000 -20.818001 -22.834999)(2.353690 -20.664900 -22.696400)(0.029865 -20.996698 -22.997700)(0.077003 -21.000000 -23.000999)(0.096896 -20.983999 -22.988901)(0.005003 -20.995001 -23.000999)(0.029865 -20.996698 -22.997700)(0.077003 -21.000000 -23.000999)(0.005003 -20.995001 -23.000999)(0.029865 -20.996698 -22.997700)(0.005003 -23.600000 -23.000999)(0.077003 -21.000000 -23.000999)(0.005003 -20.995001 -23.000999)(0.005003 -21.000000 -25.001001)(0.005003 -23.600000 -23.000999)(0.029865 -20.996698 -22.997700)(0.096896 -20.983999 -22.988901)(0.005003 -23.600000 -23.000999)(0.096896 -20.983999 -22.988901)(0.536158 -20.923000 -22.931000)(2.981510 -21.845800 -22.608999)(0.536158 -20.923000 -22.931000)(4.630370 -20.329901 -22.391800)(5.958010 -23.600000 -22.216999)(2.981510 -21.845800 -22.608999)(4.630370 -20.329901 -22.391800)(5.958010 -23.600000 -22.216999)(16.268000 -23.600000 -16.264002)(0.005003 -23.600000 -23.000999)(2.981510 -21.845800 -22.608999)(5.958010 -23.600000 -22.216999)(2.981510 -22.722900 -22.608999)(5.958010 -23.600000 -22.216999)(0.005003 -23.600000 -23.000999)(2.981510 -22.722900 -22.608999)(0.005003 -23.600000 -23.000999)(2.981510 -21.845800 -22.608999)(2.981510 -22.722900 -22.608999)(0.005003 -23.600000 -23.000999)(0.536158 -20.923000 -22.931000)(2.981510 -21.845800 -22.608999)(5.958010 -23.600000 -22.216999)(11.505000 -23.600000 -19.920000)(16.268000 -23.600000 -16.264002)(8.731501 -20.691599 -21.068501)(11.505000 -23.600000 -19.920000)(8.731501 -22.145800 -21.068501)(11.505000 -23.600000 -19.920000)(5.958010 -23.600000 -22.216999)(8.731501 -22.145800 -21.068501)(5.958010 -23.600000 -22.216999)(8.731501 -20.691599 -21.068501)(8.731501 -22.145800 -21.068501)(5.958010 -23.600000 -22.216999)(6.746790 -19.776501 -21.890400)(8.731501 -20.691599 -21.068501)(5.958010 -23.600000 -22.216999)(5.958010 -19.990400 -22.216999)(6.746790 -19.776501 -21.890400)(5.958010 -23.600000 -22.216999)(5.912950 -20.001900 -22.222900)(5.958010 -19.990400 -22.216999)(5.958010 -19.990400 -22.216999)(5.912950 -20.001900 -22.222900)(5.670000 -20.221001 -25.001001)(5.912950 -20.001900 -22.222900)(5.631490 -20.074600 -22.260000)(5.670000 -20.221001 -25.001001)(-27.111000 10.284000 -25.001001)(-23.862001 16.473999 -25.001001)(-23.862001 16.473999 -27.500999)(-23.862001 16.473999 -25.001001)(-27.111000 10.284000 -25.001001)(-23.862001 -16.473999 -25.001001)(-19.226000 21.707001 -27.500999)(-23.862001 16.473999 -25.001001)(-19.226000 21.707001 -25.001001)(-23.862001 16.473999 -27.500999)(-23.862001 16.473999 -25.001001)(-19.226000 21.707001 -27.500999)(6.746790 -19.776501 -21.890400)(5.958010 -19.990400 -22.216999)(5.670000 -20.221001 -25.001001)(7.787010 -19.504999 -21.643999)(6.746790 -19.776501 -21.890400)(5.670000 -20.221001 -25.001001)(9.824030 -18.346199 -20.616098)(6.746790 -19.776501 -21.890400)(7.787010 -19.504999 -21.643999)(9.824030 -18.346199 -20.616098)(7.787010 -19.504999 -21.643999)(10.652300 -17.859001 -20.273100)(11.505000 -23.600000 -19.920000)(9.824030 -18.346199 -20.616098)(10.652300 -17.859001 -20.273100)(10.652300 -17.859001 -20.273100)(7.787010 -19.504999 -21.643999)(5.670000 -20.221001 -25.001001)(11.505000 -23.600000 -19.920000)(10.652300 -17.859001 -20.273100)(10.820001 -17.783298 -20.203701)(11.162499 -20.498400 -20.061800)(10.822701 -17.782001 -20.202501)(11.426600 -17.441200 -19.952499)(11.426600 -17.441200 -19.952499)(10.822701 -17.782001 -20.202501)(10.916000 -17.943001 -25.001001)(10.916000 -17.943001 -25.001001)(10.820001 -17.783298 -20.203701)(10.822701 -17.782001 -20.202501)(10.820001 -17.783298 -20.203701)(10.652300 -17.859001 -20.273100)(10.916000 -17.943001 -25.001001)(11.505000 -17.396900 -19.920000)(11.505000 -23.600000 -19.920000)(11.162499 -20.498400 -20.061800)(11.162499 -20.498400 -20.061800)(11.505000 -23.600000 -19.920000)(10.820001 -17.783298 -20.203701)(-19.072100 -8.365400 -12.598100)(-18.441000 -9.539000 -13.485000)(-18.359100 -9.589840 -13.527200)(10.822701 -17.782001 -20.202501)(10.820001 -17.783298 -20.203701)(11.162499 -20.498400 -20.061800)(-18.001299 -10.204300 -13.993601)(-17.204700 -11.413799 -15.031700)(-18.086500 -14.970500 -13.882500)(-18.641001 -9.661000 -25.001001)(-19.331001 -8.194000 -12.457000)(-19.768900 -6.802200 -11.690100)(-23.862001 16.473999 -27.500999)(-19.226000 21.707001 -27.500999)(28.792999 -3.496000 -27.500999)(-11.496800 -17.476599 -19.918701)(-15.343000 -14.334000 -25.001001)(-10.951000 -17.916000 -20.223999)(-10.951000 -17.916000 -20.223999)(-15.343000 -14.334000 -25.001001)(-10.903000 -17.936001 -20.243000)(-7.553000 -19.396502 -21.552401)(-8.440479 -19.012199 -22.622000)(-6.382970 -19.906599 -22.036901)(-7.553000 -19.396502 -21.552401)(-10.903000 -17.936001 -20.243000)(-8.440479 -19.012199 -22.622000)(-9.672939 -18.475801 -22.622000)(-10.907000 -17.943001 -25.001001)(-8.440479 -19.012199 -22.622000)(-9.672939 -18.475801 -22.622000)(-8.440479 -19.012199 -22.622000)(-10.903000 -17.936001 -20.243000)(-9.672939 -18.475801 -22.622000)(-10.903000 -17.936001 -20.243000)(-10.907000 -17.943001 -25.001001)(-13.472000 -25.677999 -25.001001)(-10.907000 -17.943001 -25.001001)(-15.343000 -14.334000 -25.001001)(-15.343000 -14.334000 -25.001001)(-10.907000 -17.943001 -25.001001)(-10.903000 -17.936001 -20.243000)(-10.903000 -17.936001 -20.243000)(-7.553000 -19.396502 -21.552401)(-10.421600 -18.070999 -20.364500)(-8.721499 -20.539001 -21.068501)(-7.553000 -19.396502 -21.552401)(-6.382970 -19.906599 -22.036901)(-10.421600 -18.070999 -20.364500)(-10.903000 -17.936001 -20.243000)(-11.208400 -17.700600 -20.038700)(-5.975290 -20.084400 -22.205700)(-6.382970 -19.906599 -22.036901)(-8.440479 -19.012199 -22.622000)(-5.948000 -23.600000 -22.216999)(-8.721499 -20.539001 -21.068501)(-6.382970 -19.906599 -22.036901)(-8.721499 -20.539001 -21.068501)(-10.421600 -18.070999 -20.364500)(-7.553000 -19.396502 -21.552401)(-10.951000 -17.916000 -20.223999)(-11.496800 -17.476599 -19.918701)(-11.231601 -17.690300 -20.029100)(-5.948000 -23.600000 -22.216999)(-6.382970 -19.906599 -22.036901)(-5.975290 -20.084400 -22.205700)(-10.951000 -17.916000 -20.223999)(-10.903000 -17.936001 -20.243000)(-11.208400 -17.700600 -20.038700)(-11.495000 -23.600000 -19.920000)(-11.496800 -17.476599 -19.918701)(-11.231601 -17.690300 -20.029100)(-11.495000 -23.600000 -19.920000)(-11.231601 -17.690300 -20.029100)(-11.208400 -17.700600 -20.038700)(-10.951000 -17.916000 -20.223999)(-11.208400 -17.700600 -20.038700)(-11.231601 -17.690300 -20.029100)(-11.495000 -23.600000 -19.920000)(-8.721499 -20.539001 -21.068501)(-8.721499 -22.069500 -21.068501)(-8.721499 -20.539001 -21.068501)(-5.948000 -23.600000 -22.216999)(-8.721499 -22.069500 -21.068501)(-5.948000 -23.600000 -22.216999)(-11.495000 -23.600000 -19.920000)(-8.721499 -22.069500 -21.068501)(0.005007 -23.600000 22.999001)(-5.948000 -23.600000 -22.216999)(5.958010 -23.600000 22.215000)(0.005007 -23.600000 22.999001)(5.958010 -23.600000 22.215000)(5.958010 23.500000 22.215000)(-5.948000 -23.600000 -22.216999)(0.005007 -23.600000 22.999001)(-5.947990 -23.600000 22.215000)(-5.947990 -23.600000 22.215000)(-11.495000 -23.600000 19.918001)(-5.948000 -23.600000 -22.216999)(3.735910 20.454399 -22.509600)(2.981510 21.737900 -22.608999)(4.642890 20.327000 -22.390200)(3.735910 20.454399 -22.509600)(3.602360 20.471500 -22.527199)(2.981510 21.737900 -22.608999)(3.331750 20.501699 -22.562901)(3.227210 20.496899 -22.576601)(2.981510 21.737900 -22.608999)(2.981510 21.737900 -22.608999)(3.346500 20.500099 -22.560900)(3.331750 20.501699 -22.562901)(2.863000 20.798000 -22.817001)(3.331750 20.501699 -22.562901)(3.346500 20.500099 -22.560900)(2.863000 20.798000 -22.817001)(3.346500 20.500099 -22.560900)(3.380150 20.496300 -22.556501)(2.863000 20.798000 -22.817001)(3.380150 20.496300 -22.556501)(3.602360 20.471500 -22.527199)(3.602360 20.471500 -22.527199)(3.735910 20.454399 -22.509600)(2.863000 20.798000 -22.817001)(3.602360 20.471500 -22.527199)(3.380150 20.496300 -22.556501)(2.981510 21.737900 -22.608999)(2.863000 20.798000 -22.817001)(3.227210 20.496899 -22.576601)(3.331750 20.501699 -22.562901)(2.981510 21.737900 -22.608999)(3.346500 20.500099 -22.560900)(3.380150 20.496300 -22.556501)(3.227210 20.496899 -22.576601)(1.365690 20.803301 -22.821800)(2.981510 21.737900 -22.608999)(-20.533998 4.378000 -10.353000)(-19.914000 6.341730 -11.501000)(-19.782999 7.033000 -25.001001)(-19.782999 7.033000 -25.001001)(-19.914000 6.341730 -11.501000)(-19.885599 6.431370 -11.538000)(-19.346199 14.920899 -12.240900)(-19.885599 6.431370 -11.538000)(-19.914000 6.341730 -11.501000)(-22.211000 23.500000 -5.954000)(-19.914000 6.341730 -11.501000)(-20.011200 6.032800 -11.266300)(-22.211000 23.500000 -5.954000)(-19.914000 23.500000 -11.501000)(-19.914000 6.341730 -11.501000)(-19.346199 14.920899 -12.240900)(-19.914000 6.341730 -11.501000)(-19.914000 23.500000 -11.501000)(-19.767801 6.804340 -11.691501)(-19.885599 6.431370 -11.538000)(-19.346199 14.920899 -12.240900)(-19.767801 6.804340 -11.691501)(-19.885599 6.431370 -11.538000)(-19.703999 7.007000 -11.803000)(-19.346199 14.920899 -12.240900)(-19.683100 7.004490 -11.801900)(-19.767801 6.804340 -11.691501)(-19.322001 8.213000 -12.469000)(-19.683100 7.004490 -11.801900)(-19.178999 8.191339 -12.458900)(-19.178999 8.191339 -12.458900)(-19.683100 7.004490 -11.801900)(-19.174500 8.205940 -12.464701)(-19.322001 8.213000 -12.469000)(-19.174500 8.205940 -12.464701)(-19.178999 8.191339 -12.458900)(-19.174500 8.205940 -12.464701)(-19.683100 7.004490 -11.801900)(-19.346199 14.920899 -12.240900)(-19.322001 8.213000 -12.469000)(-19.174500 8.205940 -12.464701)(-19.030800 8.435540 -12.652000)(-19.346199 14.920899 -12.240900)(-19.030800 8.435540 -12.652000)(-19.174500 8.205940 -12.464701)(-19.322001 8.213000 -12.469000)(-19.703999 7.007000 -11.803000)(-19.683100 7.004490 -11.801900)(-19.914000 23.500000 -11.501000)(-16.258999 23.500000 -16.264002)(-18.086500 16.182899 -13.882500)(-19.914000 23.500000 -11.501000)(-18.086500 16.182899 -13.882500)(-18.778400 8.865850 -12.980900)(-22.995001 23.500000 -0.001002)(-22.211000 23.500000 -5.954000)(-22.211000 -23.600000 -5.954000)(-22.995001 -23.600000 -0.000998)(-22.211000 -23.600000 -5.954000)(-19.914000 -23.600000 -11.501000)(-22.211000 23.500000 -5.954000)(-19.914000 -23.600000 -11.501000)(-22.211000 -23.600000 -5.954000)(-19.914000 -23.600000 -11.501000)(-22.211000 -23.600000 5.952000)(-22.995001 -23.600000 -0.000998)(-22.211000 23.500000 5.952000)(-22.995001 -23.600000 -0.000998)(-22.211000 -23.600000 5.952000)(-22.211000 -23.600000 5.952000)(-19.914000 -23.600000 -11.501000)(-19.914000 -23.600000 11.499000)(-16.258999 23.500000 16.263000)(-19.914000 23.500000 11.499000)(-19.914000 -23.600000 11.499000)(-19.914000 23.500000 11.499000)(-22.211000 -23.600000 5.952000)(-19.914000 -23.600000 11.499000)(-16.258999 23.500000 16.263000)(-19.914000 -23.600000 11.499000)(-16.258999 -23.600000 16.263000)(-11.495000 -23.600000 19.918001)(-16.258999 -23.600000 16.263000)(-5.948000 -23.600000 -22.216999)(-16.258999 -23.600000 16.263000)(-11.495000 -23.600000 19.918001)(-11.495000 23.500000 19.918001)(-16.258999 -23.600000 16.263000)(-19.914000 -23.600000 11.499000)(-5.948000 -23.600000 -22.216999)(-22.995001 23.500000 -0.001002)(-22.211000 -23.600000 -5.954000)(-22.995001 -23.600000 -0.000998)(-16.258999 -23.600000 16.263000)(-11.495000 23.500000 19.918001)(-16.258999 23.500000 16.263000)(-19.914000 -23.600000 11.499000)(-11.495000 -23.600000 -19.920000)(-5.948000 -23.600000 -22.216999)(1.365690 20.803301 -22.821800)(2.981510 21.737900 -22.608999)(1.298650 20.813599 -22.830601)(1.298650 20.813599 -22.830601)(0.005003 23.500000 -23.000999)(2.981510 21.737900 -22.608999)(0.326874 20.953400 -22.958601)(0.101084 20.985802 -22.988300)(0.005003 23.500000 -23.000999)(1.298650 20.813599 -22.830601)(0.326874 20.953400 -22.958601)(0.005003 23.500000 -23.000999)(0.101084 20.985802 -22.988300)(0.326874 20.953400 -22.958601)(2.809000 20.811998 -22.829000)(0.042116 20.994400 -22.996099)(0.101084 20.985802 -22.988300)(0.128003 21.000000 -23.000999)(0.128003 21.000000 -23.000999)(0.013399 20.991400 -22.999899)(0.042116 20.994400 -22.996099)(0.101084 20.985802 -22.988300)(2.809000 20.811998 -22.829000)(0.128003 21.000000 -23.000999)(2.864000 20.803999 -25.001001)(0.128003 21.000000 -23.000999)(2.809000 20.811998 -22.829000)(0.326874 20.953400 -22.958601)(1.298650 20.813599 -22.830601)(2.809000 20.811998 -22.829000)(2.809000 20.811998 -22.829000)(2.080820 20.805799 -22.823799)(2.863000 20.798000 -22.817001)(2.809000 20.811998 -22.829000)(1.298650 20.813599 -22.830601)(2.080820 20.805799 -22.823799)(14.343000 14.998500 -17.741600)(13.202001 16.233002 -18.765001)(12.809099 16.406500 -18.919001)(12.809099 16.406500 -18.919001)(13.202001 16.233002 -18.765001)(12.390599 16.780600 -19.240299)(12.809099 16.406500 -18.919001)(12.390599 16.780600 -19.240299)(13.886500 18.209801 -18.092001)(12.809099 16.406500 -18.919001)(13.886500 18.209801 -18.092001)(13.576000 16.604099 -18.330299)(13.886500 18.209801 -18.092001)(14.343000 14.998500 -17.741600)(13.576000 16.604099 -18.330299)(14.343000 14.998500 -17.741600)(12.809099 16.406500 -18.919001)(13.576000 16.604099 -18.330299)(12.390599 16.780600 -19.240299)(12.163500 16.987900 -19.414499)(13.886500 18.209801 -18.092001)(13.886500 18.209801 -18.092001)(12.163500 16.987900 -19.414499)(11.505000 23.500000 -19.920000)(12.108200 17.038500 -19.456999)(11.505000 17.382401 -19.920000)(11.505000 23.500000 -19.920000)(12.163500 16.987900 -19.414499)(12.108200 17.038500 -19.456999)(11.505000 23.500000 -19.920000)(-11.495000 17.455200 -19.920000)(-13.877000 18.801401 -18.092001)(-11.495000 23.500000 -19.920000)(-11.495000 23.500000 -19.920000)(-13.877000 18.801401 -18.092001)(-13.877000 21.150702 -18.092001)(-13.877000 18.801401 -18.092001)(-16.258999 23.500000 -16.264002)(-13.877000 21.150702 -18.092001)(-16.258999 23.500000 -16.264002)(-11.495000 23.500000 -19.920000)(-13.877000 21.150702 -18.092001)(5.958000 23.500000 -22.216999)(0.005003 23.500000 -23.000999)(1.225000 23.500000 -22.685001)(2.981510 21.737900 -22.608999)(0.005003 23.500000 -23.000999)(2.981500 22.618898 -22.608999)(0.005003 23.500000 -23.000999)(5.958000 23.500000 -22.216999)(2.981500 22.618898 -22.608999)(5.958000 23.500000 -22.216999)(2.981510 21.737900 -22.608999)(2.981500 22.618898 -22.608999)(1.225000 23.500000 -22.685001)(0.005003 23.500000 -23.000999)(-5.948000 23.500000 -22.216999)(0.005007 23.500000 22.999001)(5.958010 23.500000 22.215000)(5.146010 23.500000 22.125999)(0.005007 23.500000 22.999001)(5.146010 23.500000 22.125999)(-5.948000 23.500000 22.215000)(-5.948000 23.500000 22.215000)(-8.886140 23.446400 20.965601)(-11.495000 -23.600000 19.918001)(5.146010 23.500000 22.125999)(-8.886140 23.446400 20.965601)(-5.948000 23.500000 22.215000)(5.958010 23.500000 22.215000)(11.505000 23.500000 19.918001)(5.146010 23.500000 22.125999)(-11.495000 -23.600000 19.918001)(-5.947990 -23.600000 22.215000)(-5.948000 23.500000 22.215000)(13.886500 18.209801 -18.092001)(11.505000 23.500000 -19.920000)(13.886500 20.854900 -18.092001)(11.505000 23.500000 -19.920000)(16.268000 23.500000 -16.264002)(13.886500 20.854900 -18.092001)(16.268000 23.500000 -16.264002)(13.886500 18.209801 -18.092001)(13.886500 20.854900 -18.092001)(23.004999 -23.600000 -0.001002)(22.221001 23.500000 -5.954000)(23.004999 23.500000 -0.001006)(-5.947990 -23.600000 22.215000)(0.005007 23.500000 22.999001)(-5.948000 23.500000 22.215000)(13.258000 16.289999 -25.001001)(13.202001 16.233002 -18.765001)(14.343000 14.998500 -17.741600)(16.041201 13.165200 -16.438101)(14.343000 14.998500 -17.741600)(13.886500 18.209801 -18.092001)(19.923000 -23.600000 11.499000)(16.268000 -23.600000 16.263000)(-5.948000 -23.600000 -22.216999)(11.505000 -23.600000 19.918001)(-5.948000 -23.600000 -22.216999)(16.268000 -23.600000 16.263000)(11.505000 -23.600000 19.918001)(16.268000 23.500000 16.263000)(11.505000 23.500000 19.918001)(11.505000 -23.600000 19.918001)(16.268000 -23.600000 16.263000)(16.268000 23.500000 16.263000)(5.958010 -23.600000 22.215000)(11.505000 -23.600000 19.918001)(11.505000 23.500000 19.918001)(19.923000 -23.600000 11.499000)(22.221001 23.500000 5.952000)(19.923000 23.500000 11.499000)(19.923000 23.500000 11.499000)(16.268000 -23.600000 16.263000)(19.923000 -23.600000 11.499000)(-19.030800 8.435540 -12.652000)(-19.322001 8.213000 -12.469000)(-18.981899 8.514900 -12.715700)(-19.782999 7.033000 -25.001001)(-19.885599 6.431370 -11.538000)(-19.703999 7.007000 -11.803000)(-11.495000 23.500000 -19.920000)(1.225000 23.500000 -22.685001)(-5.948000 23.500000 -22.216999)(12.163500 16.987900 -19.414499)(12.390599 16.780600 -19.240299)(12.853001 16.611000 -19.077999)(13.258000 16.289999 -25.001001)(12.853001 16.611000 -19.077999)(13.202001 16.233002 -18.765001)(17.161001 12.110000 -25.001001)(16.041201 13.165200 -16.438101)(16.166599 13.029300 -16.341900)(16.041201 13.165200 -16.438101)(17.161001 12.110000 -25.001001)(13.258000 16.289999 -25.001001)(6.945000 28.157000 -25.001001)(6.945000 28.157000 -27.500999)(0.005003 29.000000 -25.001001)(13.481999 25.677999 -27.500999)(6.945000 28.157000 -27.500999)(6.945000 28.157000 -25.001001)(6.016170 19.960602 -22.192900)(7.195240 19.616899 -23.309999)(8.371000 19.261002 -25.001001)(6.386180 19.864300 -22.039700)(7.195240 19.616899 -23.309999)(6.016170 19.960602 -22.192900)(6.386180 19.864300 -22.039700)(6.016170 19.960602 -22.192900)(5.958000 23.500000 -22.216999)(11.485800 17.393499 -19.928001)(12.374500 16.846298 -22.039499)(13.258000 16.289999 -25.001001)(12.374500 16.846298 -22.039499)(11.485800 17.393499 -19.928001)(11.505000 17.382401 -19.920000)(12.374500 16.846298 -22.039499)(12.853001 16.611000 -19.077999)(13.258000 16.289999 -25.001001)(11.485800 17.393499 -19.928001)(13.258000 16.289999 -25.001001)(10.803100 17.752901 -22.464500)(7.857000 19.477001 -21.618999)(8.339000 19.200001 -21.374001)(8.371000 19.261002 -25.001001)(8.339000 19.200001 -21.374001)(7.857000 19.477001 -21.618999)(7.152710 19.587099 -21.722300)(13.258000 16.289999 -25.001001)(8.371000 19.261002 -25.001001)(8.339000 19.200001 -21.374001)(10.803100 17.752901 -22.464500)(13.258000 16.289999 -25.001001)(8.339000 19.200001 -21.374001)(7.857000 19.477001 -21.618999)(6.774760 19.763102 -21.878799)(7.152710 19.587099 -21.722300)(6.774760 19.763102 -21.878799)(7.857000 19.477001 -21.618999)(7.195240 19.616899 -23.309999)(6.386180 19.864300 -22.039700)(6.774760 19.763102 -21.878799)(7.195240 19.616899 -23.309999)(13.258000 16.289999 -25.001001)(13.481999 25.677999 -25.001001)(8.371000 19.261002 -25.001001)(17.161001 12.110000 -25.001001)(19.792000 7.032000 -25.001001)(19.235001 21.707001 -25.001001)(19.792000 7.032000 -25.001001)(23.871000 16.473999 -25.001001)(19.235001 21.707001 -25.001001)(20.955999 1.433000 -25.001001)(19.792000 7.032000 -25.001001)(20.028999 6.329000 -11.316999)(19.792000 7.032000 -25.001001)(20.955999 1.433000 -25.001001)(23.871000 16.473999 -25.001001)(17.161001 12.110000 -25.001001)(19.235001 21.707001 -25.001001)(13.481999 25.677999 -25.001001)(19.235001 21.707001 -25.001001)(19.235001 21.707001 -27.500999)(13.481999 25.677999 -25.001001)(19.235001 21.707001 -27.500999)(19.235001 21.707001 -25.001001)(23.871000 16.473999 -27.500999)(19.235001 21.707001 -27.500999)(13.481999 25.677999 -27.500999)(13.481999 25.677999 -25.001001)(13.481999 25.677999 -25.001001)(13.481999 25.677999 -27.500999)(6.945000 28.157000 -25.001001)(13.258000 16.289999 -25.001001)(17.161001 12.110000 -25.001001)(13.481999 25.677999 -25.001001)(10.803100 17.752901 -22.464500)(8.339000 19.200001 -21.374001)(9.852700 18.332100 -20.604200)(13.481999 25.677999 -27.500999)(28.792999 -3.496000 -27.500999)(6.945000 28.157000 -27.500999)(12.108200 17.038500 -19.456999)(12.853001 16.611000 -19.077999)(12.374500 16.846298 -22.039499)(5.958000 19.975800 -22.216999)(6.016170 19.960602 -22.192900)(8.371000 19.261002 -25.001001)(2.864000 20.803999 -25.001001)(8.371000 19.261002 -25.001001)(6.945000 28.157000 -25.001001)(8.371000 19.261002 -25.001001)(2.864000 20.803999 -25.001001)(2.863000 20.798000 -22.817001)(4.642890 20.327000 -22.390200)(8.371000 19.261002 -25.001001)(2.863000 20.798000 -22.817001)(5.958000 19.975800 -22.216999)(4.642890 20.327000 -22.390200)(5.958000 23.500000 -22.216999)(5.958000 19.975800 -22.216999)(8.371000 19.261002 -25.001001)(4.642890 20.327000 -22.390200)(23.871000 16.473999 -27.500999)(19.235001 21.707001 -25.001001)(23.871000 16.473999 -25.001001)(13.481999 25.677999 -25.001001)(6.945000 28.157000 -25.001001)(8.371000 19.261002 -25.001001)(19.792000 7.032000 -25.001001)(17.161001 12.110000 -25.001001)(17.577000 11.497999 -14.840000)(6.016170 19.960602 -22.192900)(5.958000 19.975800 -22.216999)(5.958000 23.500000 -22.216999)(23.871000 16.473999 -27.500999)(28.792999 -3.496000 -27.500999)(19.235001 21.707001 -27.500999)(27.119999 10.283000 -27.500999)(28.792999 -3.496000 -27.500999)(23.871000 16.473999 -27.500999)(28.792999 3.495000 -27.500999)(28.792999 -3.496000 -27.500999)(27.119999 10.283000 -27.500999)(27.119999 10.283000 -27.500999)(27.119999 10.283000 -25.001001)(28.792999 3.495000 -27.500999)(28.792999 3.495000 -27.500999)(27.119999 10.283000 -25.001001)(28.792999 3.495000 -25.001001)(5.670000 -20.221001 -25.001001)(10.916000 -17.943001 -25.001001)(10.652300 -17.859001 -20.273100)(-5.611000 20.235001 -22.305000)(-5.884380 20.106699 -22.225401)(-5.780590 20.161699 -22.239000)(0.005003 20.990601 -23.000999)(-0.089555 20.986000 -22.988501)(0.005003 23.500000 -23.000999)(2.864000 20.803999 -25.001001)(-0.089555 20.986000 -22.988501)(0.005003 20.990601 -23.000999)(-2.752000 20.818001 -22.834999)(-0.089555 20.986000 -22.988501)(2.864000 20.803999 -25.001001)(-2.752000 20.818001 -22.834999)(2.864000 20.803999 -25.001001)(-2.853000 20.798000 -22.816000)(-2.853000 20.798000 -22.816000)(-2.752000 20.818001 -22.834999)(-2.647870 20.712500 -22.749701)(-2.752000 20.818001 -22.834999)(-1.291020 20.812799 -22.830299)(-1.267620 20.816401 -22.833399)(-1.267620 20.816401 -22.833399)(-0.089555 20.986000 -22.988501)(-2.752000 20.818001 -22.834999)(-2.441380 20.621801 -22.678801)(-1.291020 20.812799 -22.830299)(-2.752000 20.818001 -22.834999)(2.864000 20.803999 -25.001001)(0.013399 20.991400 -22.999899)(0.005003 20.990601 -23.000999)(-2.752000 20.818001 -22.834999)(-2.441380 20.621801 -22.678801)(-2.647870 20.712500 -22.749701)(-0.089555 20.986000 -22.988501)(-1.267620 20.816401 -22.833399)(0.005003 23.500000 -23.000999)(-1.267620 20.816401 -22.833399)(-2.971500 21.848900 -22.608999)(0.005003 23.500000 -23.000999)(0.005003 23.500000 -23.000999)(0.013399 20.991400 -22.999899)(0.005003 20.990601 -23.000999)(-2.551230 20.607199 -22.664299)(-2.647870 20.712500 -22.749701)(-2.441380 20.621801 -22.678801)(-5.405410 20.215799 -22.288500)(-5.530630 20.197701 -22.271999)(-5.948000 23.500000 -22.216999)(-2.971500 21.848900 -22.608999)(-5.405410 20.215799 -22.288500)(-4.459750 21.857901 -22.413000)(-5.405410 20.215799 -22.288500)(-5.948000 23.500000 -22.216999)(-4.459750 21.857901 -22.413000)(-5.948000 23.500000 -22.216999)(-2.971500 21.848900 -22.608999)(-4.459750 21.857901 -22.413000)(-3.238430 20.503500 -22.573801)(-5.405410 20.215799 -22.288500)(-2.971500 21.848900 -22.608999)(-2.551230 20.607199 -22.664299)(-2.853000 20.798000 -22.816000)(-3.238430 20.503500 -22.573801)(-2.551230 20.607199 -22.664299)(-3.238430 20.503500 -22.573801)(-2.971500 21.848900 -22.608999)(-2.971500 21.848900 -22.608999)(-2.441380 20.621801 -22.678801)(-2.551230 20.607199 -22.664299)(-5.611000 20.235001 -22.305000)(-5.530630 20.197701 -22.271999)(-5.405410 20.215799 -22.288500)(-5.780590 20.161699 -22.239000)(-5.530630 20.197701 -22.271999)(-5.611000 20.235001 -22.305000)(-16.258999 -23.600000 -16.264002)(-11.495000 -23.600000 -19.920000)(-19.914000 -23.600000 11.499000)(-13.425500 -15.910400 -21.169500)(-11.496800 -17.476599 -19.918701)(-12.168800 -16.937901 -19.402901)(-12.168800 -16.937901 -19.402901)(-12.501499 -16.671299 -19.147598)(-13.425500 -15.910400 -21.169500)(-13.877000 -18.224800 -18.092001)(-12.501499 -16.671299 -19.147598)(-12.168800 -16.937901 -19.402901)(-13.425500 -15.910400 -21.169500)(-12.501499 -16.671299 -19.147598)(-15.109000 -14.580000 -17.337999)(-14.391200 -15.130800 -21.169500)(-13.425500 -15.910400 -21.169500)(-15.109000 -14.580000 -17.337999)(-14.391200 -15.130800 -21.169500)(-15.109000 -14.580000 -17.337999)(-15.343000 -14.334000 -25.001001)(-14.391200 -15.130800 -21.169500)(-15.343000 -14.334000 -25.001001)(-13.425500 -15.910400 -21.169500)(-15.601800 -13.834100 -16.768301)(-15.295000 -14.298000 -17.123001)(-14.984200 -14.434000 -17.242300)(-15.343000 -14.334000 -25.001001)(-15.295000 -14.298000 -17.123001)(-15.601800 -13.834100 -16.768301)(-15.343000 -14.334000 -25.001001)(-15.109000 -14.580000 -17.337999)(-15.295000 -14.298000 -17.123001)(-15.109000 -14.580000 -17.337999)(-15.295000 -14.298000 -17.123001)(-14.984200 -14.434000 -17.242300)(-13.877000 -18.224800 -18.092001)(-15.601800 -13.834100 -16.768301)(-14.984200 -14.434000 -17.242300)(-13.877000 -18.224800 -18.092001)(-16.258999 -23.600000 -16.264002)(-15.601800 -13.834100 -16.768301)(-11.495000 -23.600000 -19.920000)(-16.258999 -23.600000 -16.264002)(-13.877000 -20.912399 -18.092001)(-16.258999 -23.600000 -16.264002)(-13.877000 -18.224800 -18.092001)(-13.877000 -20.912399 -18.092001)(-13.877000 -18.224800 -18.092001)(-11.495000 -23.600000 -19.920000)(-13.877000 -20.912399 -18.092001)(-14.621901 -14.786700 -17.520300)(-15.109000 -14.580000 -17.337999)(-12.501499 -16.671299 -19.147598)(-14.984200 -14.434000 -17.242300)(-15.109000 -14.580000 -17.337999)(-14.621901 -14.786700 -17.520300)(23.004999 23.500000 -0.001006)(22.221001 -23.600000 5.952000)(23.004999 -23.600000 -0.001002)(-8.886140 23.446400 20.965601)(-11.495000 23.500000 19.918001)(-11.495000 -23.600000 19.918001)(-19.914000 -23.600000 -11.501000)(-20.791500 -0.000005 -9.382000)(-20.392200 -4.356970 -10.346100)(17.161001 12.110000 -25.001001)(17.077002 12.039001 -15.289001)(17.577000 11.497999 -14.840000)(16.659399 12.565599 -20.145000)(16.166599 13.029300 -16.341900)(16.268000 12.919600 -16.264002)(16.268000 12.919600 -16.264002)(16.166599 13.029300 -16.341900)(16.268000 23.500000 -16.264002)(16.659399 12.565599 -20.145000)(16.268000 12.919600 -16.264002)(16.881701 12.250601 -15.464200)(19.679199 7.064120 -11.818700)(17.577000 11.497999 -14.840000)(17.206701 11.732100 -15.040800)(17.206701 11.732100 -15.040800)(17.577000 11.497999 -14.840000)(17.177601 11.778400 -15.078700)(18.095501 15.026000 -13.882500)(17.206701 11.732100 -15.040800)(17.177601 11.778400 -15.078700)(17.077002 12.039001 -15.289001)(17.177601 11.778400 -15.078700)(17.577000 11.497999 -14.840000)(17.177601 11.778400 -15.078700)(17.077002 12.039001 -15.289001)(16.974600 12.102100 -15.343300)(16.268000 23.500000 -16.264002)(16.974600 12.102100 -15.343300)(16.881701 12.250601 -15.464200)(16.974600 12.102100 -15.343300)(17.077002 12.039001 -15.289001)(16.881701 12.250601 -15.464200)(16.659399 12.565599 -20.145000)(16.881701 12.250601 -15.464200)(17.077002 12.039001 -15.289001)(16.268000 23.500000 -16.264002)(17.177601 11.778400 -15.078700)(16.974600 12.102100 -15.343300)(16.659399 12.565599 -20.145000)(17.077002 12.039001 -15.289001)(17.161001 12.110000 -25.001001)(16.268000 23.500000 -16.264002)(18.095501 15.026000 -13.882500)(17.177601 11.778400 -15.078700)(19.235001 21.707001 -27.500999)(28.792999 -3.496000 -27.500999)(13.481999 25.677999 -27.500999)(20.027000 -6.334000 -11.320000)(20.458000 -4.250000 -10.478000)(20.308800 -4.372590 -10.569700)(0.005003 -21.000000 -25.001001)(2.760000 -20.818001 -22.834999)(0.077003 -21.000000 -23.000999)(2.760000 -20.818001 -22.834999)(4.630370 -20.329901 -22.391800)(2.353690 -20.664900 -22.696400)(-18.778400 8.865850 -12.980900)(-19.322001 8.213000 -12.469000)(-18.981899 8.514900 -12.715700)(-19.346199 14.920899 -12.240900)(-18.778400 8.865850 -12.980900)(-18.981899 8.514900 -12.715700)(6.945000 28.157000 -27.500999)(28.792999 -3.496000 -27.500999)(0.005003 29.000000 -27.500999)(20.798899 -0.022670 -9.386800)(20.800900 -0.000995 -9.382000)(21.005001 -0.001000 -9.382000)(0.005003 23.500000 -23.000999)(0.013399 20.991400 -22.999899)(0.042116 20.994400 -22.996099)(-20.222601 -5.347680 -17.674999)(-19.914000 -6.341040 -11.501000)(-20.011301 -6.032440 -11.266000)(-13.877000 18.801401 -18.092001)(-15.308500 14.102799 -16.993401)(-16.258999 23.500000 -16.264002)(4.642890 20.327000 -22.390200)(2.981510 21.737900 -22.608999)(5.958000 23.500000 -22.216999)(0.536158 -20.923000 -22.931000)(2.353690 -20.664900 -22.696400)(4.630370 -20.329901 -22.391800)(6.945000 28.157000 -25.001001)(0.005003 29.000000 -25.001001)(2.864000 20.803999 -25.001001)(19.904900 -6.591660 -11.524600)(19.923000 -23.600000 -11.501000)(19.683401 -7.056580 -11.813300)(2.760000 -20.818001 -22.834999)(0.005003 -21.000000 -25.001001)(4.630370 -20.329901 -22.391800)(5.958010 -23.600000 22.215000)(11.505000 23.500000 19.918001)(5.958010 23.500000 22.215000)(19.923000 23.500000 11.499000)(16.268000 23.500000 16.263000)(16.268000 -23.600000 16.263000)(-17.152000 12.110000 -25.001001)(-13.472000 25.677999 -25.001001)(-19.226000 21.707001 -25.001001)(20.566000 -4.273000 -25.001001)(23.871000 -16.473999 -25.001001)(20.955999 1.433000 -25.001001)(18.650002 -9.661000 -25.001001)(19.904900 -6.591660 -11.524600)(19.683401 -7.056580 -11.813300)(19.683401 -7.056580 -11.813300)(18.483999 -9.580000 -13.534000)(18.650002 -9.661000 -25.001001)(-15.091001 14.598000 -17.353001)(-16.041800 13.129100 -16.430700)(-15.589900 13.845301 -16.777500)(-18.086500 16.182899 -13.882500)(-16.258999 12.784699 -16.264002)(-16.744499 12.066000 -15.631400)(22.221001 -23.600000 5.952000)(-5.948000 -23.600000 -22.216999)(23.004999 -23.600000 -0.001002)(-22.211000 23.500000 5.952000)(-22.995001 23.500000 -0.001002)(-22.995001 -23.600000 -0.000998)(0.101084 20.985802 -22.988300)(0.042116 20.994400 -22.996099)(0.005003 23.500000 -23.000999)(5.958010 -23.600000 -22.216999)(4.630370 -20.329901 -22.391800)(5.348930 -20.115499 -22.297199)(0.005003 29.000000 -27.500999)(-6.935000 28.157000 -27.500999)(-6.935000 28.157000 -25.001001)(16.166599 13.029300 -16.341900)(16.659399 12.565599 -20.145000)(17.161001 12.110000 -25.001001)(-0.064241 -20.990499 -22.991899)(0.005003 -20.995001 -23.000999)(0.005003 -23.600000 -23.000999)(-15.091001 14.598000 -17.353001)(-15.589900 13.845301 -16.777500)(-15.308500 14.102799 -16.993401)(11.485800 17.393499 -19.928001)(9.852700 18.332100 -20.604200)(11.505000 23.500000 -19.920000)(9.852700 18.332100 -20.604200)(8.731501 20.441200 -21.068501)(11.505000 23.500000 -19.920000)(9.852700 18.332100 -20.604200)(7.152710 19.587099 -21.722300)(8.731501 20.441200 -21.068501)(-22.211000 -23.600000 5.952000)(-19.914000 23.500000 11.499000)(-22.211000 23.500000 5.952000)(-12.168800 -16.937901 -19.402901)(-11.496800 -17.476599 -19.918701)(-11.495000 -23.600000 -19.920000)(-13.248000 16.289999 -25.001001)(-16.041800 13.129100 -16.430700)(-15.091001 14.598000 -17.353001)(-20.875000 -2.242000 -9.646000)(-20.995001 -0.000001 -25.001001)(-20.556000 -4.273000 -25.001001)(-5.530630 20.197701 -22.271999)(-5.780590 20.161699 -22.239000)(-5.948000 23.500000 -22.216999)(-18.086500 16.182899 -13.882500)(-16.258999 23.500000 -16.264002)(-16.258999 12.784699 -16.264002)(16.268000 23.500000 -16.264002)(16.881701 12.250601 -15.464200)(16.268000 12.919600 -16.264002)(11.505000 -23.600000 -19.920000)(8.731501 -20.691599 -21.068501)(9.824030 -18.346199 -20.616098)(28.792999 -3.496000 -27.500999)(-13.472000 -25.677999 -27.500999)(-19.226000 -21.707001 -27.500999)(27.119999 10.283000 -27.500999)(23.871000 16.473999 -25.001001)(27.119999 10.283000 -25.001001)(23.871000 -16.473999 -25.001001)(19.235001 -21.707001 -25.001001)(23.871000 -16.473999 -27.500999)(27.119999 -10.284000 -27.500999)(23.871000 -16.473999 -25.001001)(23.871000 -16.473999 -27.500999)(23.871000 16.473999 -25.001001)(27.119999 -10.284000 -25.001001)(27.119999 10.283000 -25.001001)(23.871000 -16.473999 -25.001001)(27.119999 -10.284000 -25.001001)(23.871000 16.473999 -25.001001)(27.119999 -10.284000 -27.500999)(28.792999 -3.496000 -27.500999)(27.119999 -10.284000 -25.001001)(27.119999 -10.284000 -25.001001)(23.871000 -16.473999 -25.001001)(27.119999 -10.284000 -27.500999)(23.871000 -16.473999 -27.500999)(28.792999 -3.496000 -27.500999)(27.119999 -10.284000 -27.500999)(28.792999 -3.496000 -27.500999)(28.792999 -3.496000 -25.001001)(27.119999 -10.284000 -25.001001)(29.005001 -0.000002 -27.500999)(28.792999 -3.496000 -25.001001)(28.792999 -3.496000 -27.500999)(23.871000 -16.473999 -27.500999)(19.235001 -21.707001 -25.001001)(19.235001 -21.707001 -27.500999)(19.235001 -21.707001 -25.001001)(13.481999 -25.677999 -25.001001)(19.235001 -21.707001 -27.500999)(11.505000 17.382401 -19.920000)(12.108200 17.038500 -19.456999)(12.374500 16.846298 -22.039499)(19.235001 -21.707001 -25.001001)(23.871000 -16.473999 -25.001001)(20.566000 -4.273000 -25.001001)(0.005003 29.000000 -25.001001)(6.945000 28.157000 -27.500999)(0.005003 29.000000 -27.500999)(-18.086500 16.182899 -13.882500)(-16.871801 11.921200 -15.465500)(-18.000900 10.206800 -13.994100)(-19.888399 -6.422130 -11.534300)(-19.914000 -6.341040 -11.501000)(-20.222601 -5.347680 -17.674999)(10.916000 -17.943001 -25.001001)(14.274800 -15.061300 -17.793900)(12.791000 -16.659000 -19.118999)(-28.783998 3.496000 -25.001001)(-27.111000 10.284000 -27.500999)(-28.783998 3.496000 -27.500999)(11.162499 -20.498400 -20.061800)(11.426600 -17.441200 -19.952499)(11.505000 -17.396900 -19.920000)(22.221001 -23.600000 5.952000)(19.923000 -23.600000 11.499000)(-5.948000 -23.600000 -22.216999)(2.080820 20.805799 -22.823799)(1.298650 20.813599 -22.830601)(1.365690 20.803301 -22.821800)(13.258000 16.289999 -25.001001)(14.343000 14.998500 -17.741600)(16.041201 13.165200 -16.438101)(20.896999 -2.125000 -9.619000)(20.853100 -1.068300 -9.502220)(20.701200 -2.135600 -9.622450)(-11.496800 -17.476599 -19.918701)(-13.425500 -15.910400 -21.169500)(-15.343000 -14.334000 -25.001001)(11.505000 -17.396900 -19.920000)(11.426600 -17.441200 -19.952499)(10.916000 -17.943001 -25.001001)(-20.791100 0.009213 -9.383030)(-20.791500 -0.000005 -9.382000)(-22.211000 23.500000 -5.954000)(-15.601800 -13.834100 -16.768301)(-16.258999 -23.600000 -16.264002)(-16.115099 -13.060800 -16.374399)(-22.211000 23.500000 -5.954000)(-20.791500 -0.000005 -9.382000)(-19.914000 -23.600000 -11.501000)(-19.346199 14.920899 -12.240900)(-18.981899 8.514900 -12.715700)(-19.030800 8.435540 -12.652000)(20.955999 1.433000 -25.001001)(20.931999 1.432000 -9.542000)(21.005001 -0.001000 -9.382000)(2.864000 20.803999 -25.001001)(0.013399 20.991400 -22.999899)(0.128003 21.000000 -23.000999)(16.166599 13.029300 -16.341900)(16.041201 13.165200 -16.438101)(16.268000 23.500000 -16.264002)(16.268000 23.500000 -16.264002)(19.923000 23.500000 -11.501000)(18.095501 15.026000 -13.882500)(-28.783998 3.496000 -25.001001)(-28.783998 -3.496000 -27.500999)(-28.783998 -3.496000 -25.001001)(-19.072100 -8.365400 -12.598100)(-19.331001 -8.194000 -12.457000)(-18.441000 -9.539000 -13.485000)(19.792000 7.032000 -25.001001)(17.577000 11.497999 -14.840000)(19.679199 7.064120 -11.818700)(19.792000 7.032000 -25.001001)(19.711000 6.997010 -11.777200)(19.907700 6.583990 -11.520900)(19.907700 6.583990 -11.520900)(19.711000 6.997010 -11.777200)(18.095501 15.026000 -13.882500)(18.095501 15.026000 -13.882500)(19.711000 6.997010 -11.777200)(19.679199 7.064120 -11.818700)(19.792000 7.032000 -25.001001)(19.679199 7.064120 -11.818700)(19.711000 6.997010 -11.777200)(-22.211000 23.500000 -5.954000)(-20.011200 6.032800 -11.266300)(-20.390400 4.370190 -10.350500)(29.005001 -0.000002 -27.500999)(28.792999 -3.496000 -27.500999)(28.792999 3.495000 -27.500999)(20.696800 2.153320 -9.633190)(20.698502 2.145780 -9.629080)(20.896999 2.123000 -9.619000)(-11.495000 23.500000 -19.920000)(-5.948000 23.500000 -22.216999)(-8.721499 22.093801 -21.068501)(-5.948000 23.500000 -22.216999)(-8.721499 20.687698 -21.068501)(-8.721499 22.093801 -21.068501)(-8.721499 20.687698 -21.068501)(-11.495000 23.500000 -19.920000)(-8.721499 22.093801 -21.068501)(-11.495000 23.500000 -19.920000)(-8.721499 20.687698 -21.068501)(-10.108299 20.687698 -20.494301)(-8.721499 20.687698 -21.068501)(-10.832601 17.875399 -20.194300)(-10.108299 20.687698 -20.494301)(-10.832601 17.875399 -20.194300)(-11.495000 23.500000 -19.920000)(-10.108299 20.687698 -20.494301)(6.945000 -28.157000 -27.500999)(0.005003 -29.000000 -27.500999)(28.792999 -3.496000 -27.500999)(-2.803000 -20.811001 -22.829000)(-2.862620 -20.605700 -22.641901)(-5.661000 -20.221001 -22.292000)(-19.703999 7.007000 -11.803000)(-19.767801 6.804340 -11.691501)(-19.683100 7.004490 -11.801900)(19.792000 7.032000 -25.001001)(19.907700 6.583990 -11.520900)(19.923000 6.552000 -11.501000)(-8.427310 18.990601 -21.190300)(-8.899090 18.772001 -20.995001)(-8.721499 20.687698 -21.068501)(11.505000 17.382401 -19.920000)(11.485800 17.393499 -19.928001)(11.505000 23.500000 -19.920000)(19.909401 -6.579250 -11.518800)(20.566000 -4.273000 -25.001001)(20.240101 -5.427220 -18.160500)(19.904900 -6.591660 -11.524600)(19.923000 -6.550460 -11.501000)(19.909401 -6.579250 -11.518800)(-20.533998 4.378000 -10.353000)(-20.011200 6.032800 -11.266300)(-19.914000 6.341730 -11.501000)(-2.853000 20.798000 -22.816000)(-2.647870 20.712500 -22.749701)(-2.551230 20.607199 -22.664299)(13.886500 18.209801 -18.092001)(16.268000 23.500000 -16.264002)(15.077300 18.332600 -17.178001)(16.268000 23.500000 -16.264002)(16.041201 13.165200 -16.438101)(15.077300 18.332600 -17.178001)(16.041201 13.165200 -16.438101)(13.886500 18.209801 -18.092001)(15.077300 18.332600 -17.178001)(20.566000 -4.273000 -25.001001)(20.458000 -4.250000 -10.478000)(20.027000 -6.334000 -11.320000)(19.923000 23.500000 -11.501000)(20.701799 2.129080 -9.620950)(20.702999 2.115380 -9.618160)(-2.855000 20.803999 -25.001001)(-2.853000 20.798000 -22.816000)(2.864000 20.803999 -25.001001)(16.268000 -12.928500 -16.264002)(18.095501 -16.185400 -13.882500)(16.268000 -23.600000 -16.264002)(16.878500 -12.257900 -15.468499)(17.681200 -10.919000 -14.501200)(17.680901 -10.770101 -14.422800)(18.483999 -9.580000 -13.534000)(17.680901 -10.770101 -14.422800)(17.681200 -10.919000 -14.501200)(18.230499 -9.790180 -13.706600)(17.680901 -10.770101 -14.422800)(18.483999 -9.580000 -13.534000)(18.772200 -8.770841 -13.000600)(18.230499 -9.790180 -13.706600)(18.483999 -9.580000 -13.534000)(17.680901 -10.770101 -14.422800)(18.230499 -9.790180 -13.706600)(18.095501 -16.185400 -13.882500)(17.560999 -11.523000 -14.859000)(17.681200 -10.919000 -14.501200)(16.878500 -12.257900 -15.468499)(18.095501 -16.185400 -13.882500)(16.878500 -12.257900 -15.468499)(17.680901 -10.770101 -14.422800)(16.268000 -12.928500 -16.264002)(16.878500 -12.257900 -15.468499)(18.095501 -16.185400 -13.882500)(5.958010 -23.600000 -22.216999)(5.631490 -20.074600 -22.260000)(5.912950 -20.001900 -22.222900)(22.221001 23.500000 5.952000)(19.923000 -23.600000 11.499000)(22.221001 -23.600000 5.952000)(10.663300 17.852600 -21.196199)(9.852700 18.332100 -20.604200)(11.485800 17.393499 -19.928001)(10.663300 17.852600 -21.196199)(11.485800 17.393499 -19.928001)(10.803100 17.752901 -22.464500)(10.663300 17.852600 -21.196199)(10.803100 17.752901 -22.464500)(9.852700 18.332100 -20.604200)(21.005001 -0.001000 -9.382000)(20.931999 1.432000 -9.542000)(20.800900 -0.000995 -9.382000)(7.152710 19.587099 -21.722300)(9.852700 18.332100 -20.604200)(8.339000 19.200001 -21.374001)(-18.778400 8.865850 -12.980900)(-19.346199 14.920899 -12.240900)(-19.914000 23.500000 -11.501000)(-23.862001 16.473999 -25.001001)(-20.945999 1.433000 -25.001001)(-19.226000 21.707001 -25.001001)(-18.086500 16.182899 -13.882500)(-18.000900 10.206800 -13.994100)(-18.778400 8.865850 -12.980900)(0.005003 -23.600000 -23.000999)(-0.329676 -20.952000 -22.956900)(-0.064241 -20.990499 -22.991899)(18.650002 -9.661000 -25.001001)(18.483999 -9.580000 -13.534000)(17.560999 -11.523000 -14.859000)(12.163500 16.987900 -19.414499)(12.853001 16.611000 -19.077999)(12.108200 17.038500 -19.456999)(-5.405410 20.215799 -22.288500)(-3.238430 20.503500 -22.573801)(-2.853000 20.798000 -22.816000)(0.005004 -29.000000 -25.001001)(5.670000 -20.221001 -25.001001)(0.005003 -21.000000 -25.001001)(-6.935000 -28.157000 -25.001001)(-6.935000 -28.157000 -27.500999)(0.005004 -29.000000 -25.001001)(16.268000 -12.928500 -16.264002)(17.560999 -11.523000 -14.859000)(16.878500 -12.257900 -15.468499)(-13.472000 -25.677999 -25.001001)(-6.935000 -28.157000 -25.001001)(-10.907000 -17.943001 -25.001001)(-27.111000 10.284000 -27.500999)(-28.783998 3.496000 -25.001001)(-27.111000 10.284000 -25.001001)(16.268000 -23.600000 -16.264002)(16.118599 -13.088400 -16.378700)(16.268000 -12.928500 -16.264002)(-5.405410 20.215799 -22.288500)(-2.853000 20.798000 -22.816000)(-5.611000 20.235001 -22.305000)(13.481999 -25.677999 -25.001001)(13.481999 -25.677999 -27.500999)(19.235001 -21.707001 -27.500999)(-11.495000 -23.600000 -19.920000)(-10.421600 -18.070999 -20.364500)(-10.108299 -20.835501 -20.494301)(-10.421600 -18.070999 -20.364500)(-8.721499 -20.539001 -21.068501)(-10.108299 -20.835501 -20.494301)(-8.721499 -20.539001 -21.068501)(-11.495000 -23.600000 -19.920000)(-10.108299 -20.835501 -20.494301)(-18.641001 -9.661000 -25.001001)(-13.472000 -25.677999 -25.001001)(-15.343000 -14.334000 -25.001001)(18.230499 -9.790180 -13.706600)(18.772200 -8.770841 -13.000600)(18.095501 -16.185400 -13.882500)(-19.188101 -8.172450 -12.446900)(-19.072100 -8.365400 -12.598100)(-18.086500 -14.970500 -13.882500)(22.221001 -23.600000 5.952000)(23.004999 23.500000 -0.001006)(22.221001 23.500000 5.952000)(-12.530000 16.645901 -19.125700)(-13.877000 18.801401 -18.092001)(-11.495000 17.455200 -19.920000)(-28.783998 3.496000 -25.001001)(-28.783998 -3.496000 -25.001001)(-27.111000 -10.283000 -25.001001)(5.958010 -23.600000 22.215000)(-5.948000 -23.600000 -22.216999)(11.505000 -23.600000 19.918001)(27.119999 -10.284000 -25.001001)(28.792999 -3.496000 -25.001001)(27.119999 10.283000 -25.001001)(-17.388300 -11.295899 -19.243000)(-16.183199 -12.963200 -16.322199)(-16.258999 -12.849600 -16.264002)(20.698502 2.145780 -9.629080)(20.696800 2.153320 -9.633190)(19.998901 6.330440 -11.317901)(19.235001 -21.707001 -25.001001)(16.358500 -20.005999 -25.001001)(13.481999 -25.677999 -25.001001)(23.871000 -16.473999 -27.500999)(19.235001 -21.707001 -27.500999)(28.792999 -3.496000 -27.500999)(11.505000 -23.600000 -19.920000)(11.505000 -17.396900 -19.920000)(13.886500 -18.785299 -18.092001)(16.268000 -23.600000 -16.264002)(15.294200 -13.970500 -17.011501)(16.118599 -13.088400 -16.378700)(28.792999 3.495000 -25.001001)(29.005001 -0.000002 -27.500999)(28.792999 3.495000 -27.500999)(18.483999 -9.580000 -13.534000)(17.681200 -10.919000 -14.501200)(17.560999 -11.523000 -14.859000)(2.863000 20.798000 -22.817001)(3.735910 20.454399 -22.509600)(4.642890 20.327000 -22.390200)(-11.495000 -23.600000 -19.920000)(-13.877000 -18.224800 -18.092001)(-12.168800 -16.937901 -19.402901)(-13.877000 -18.224800 -18.092001)(-14.621901 -14.786700 -17.520300)(-12.501499 -16.671299 -19.147598)(-5.948000 -23.600000 -22.216999)(-5.975290 -20.084400 -22.205700)(-5.948000 -20.096199 -22.216999)(-15.343000 -14.334000 -25.001001)(-15.601800 -13.834100 -16.768301)(-16.115099 -13.060800 -16.374399)(5.958010 -23.600000 -22.216999)(5.348930 -20.115499 -22.297199)(5.514570 -20.091499 -22.275400)(0.005003 23.500000 -23.000999)(-2.971500 21.848900 -22.608999)(-2.971500 22.674400 -22.608999)(-2.971500 21.848900 -22.608999)(-5.948000 23.500000 -22.216999)(-2.971500 22.674400 -22.608999)(-5.948000 23.500000 -22.216999)(0.005003 23.500000 -23.000999)(-2.971500 22.674400 -22.608999)(12.390599 16.780600 -19.240299)(13.202001 16.233002 -18.765001)(12.853001 16.611000 -19.077999)(-23.862001 -16.473999 -25.001001)(-19.226000 -21.707001 -25.001001)(-23.862001 16.473999 -25.001001)(-11.495000 -23.600000 -19.920000)(-11.208400 -17.700600 -20.038700)(-10.421600 -18.070999 -20.364500)(-5.947990 -23.600000 22.215000)(0.005007 -23.600000 22.999001)(0.005007 23.500000 22.999001)(-19.914000 -23.600000 -11.501000)(-16.258999 -23.600000 -16.264002)(-19.914000 -23.600000 11.499000)(-8.899090 18.772001 -20.995001)(-8.282001 19.077999 -21.267000)(-10.915000 17.937000 -20.243000)(0.005007 -23.600000 22.999001)(5.958010 23.500000 22.215000)(0.005007 23.500000 22.999001)(29.005001 -0.000002 -27.500999)(28.898998 -0.000500 -26.250999)(28.792999 -3.496000 -25.001001)(20.028999 6.329000 -11.316999)(20.896999 2.123000 -9.619000)(20.955999 1.433000 -25.001001)(22.221001 -23.600000 -5.954000)(19.923000 23.500000 -11.501000)(22.221001 23.500000 -5.954000)(2.809000 20.811998 -22.829000)(2.863000 20.798000 -22.817001)(2.864000 20.803999 -25.001001)(18.095501 15.026000 -13.882500)(19.923000 23.500000 -11.501000)(19.907700 6.583990 -11.520900)(7.195240 19.616899 -23.309999)(7.857000 19.477001 -21.618999)(8.371000 19.261002 -25.001001)(20.955999 1.433000 -25.001001)(23.871000 -16.473999 -25.001001)(23.871000 16.473999 -25.001001)(-20.390400 4.370190 -10.350500)(-20.533998 4.378000 -10.353000)(-20.632700 3.312220 -9.999930)(-20.390400 4.370190 -10.350500)(-20.011200 6.032800 -11.266300)(-20.533998 4.378000 -10.353000)(22.221001 -23.600000 -5.954000)(19.955299 -6.484630 -11.423000)(19.988701 -6.362160 -11.342400)(23.871000 16.473999 -25.001001)(27.119999 10.283000 -27.500999)(23.871000 16.473999 -27.500999)(-5.948000 -23.600000 -22.216999)(-2.971500 -21.848099 -22.608999)(-2.971500 -22.724100 -22.608999)(-2.971500 -21.848099 -22.608999)(0.005003 -23.600000 -23.000999)(-2.971500 -22.724100 -22.608999)(0.005003 -23.600000 -23.000999)(-5.948000 -23.600000 -22.216999)(-2.971500 -22.724100 -22.608999)(19.923000 6.552000 -11.501000)(20.028999 6.329000 -11.316999)(19.792000 7.032000 -25.001001)(-19.226000 21.707001 -25.001001)(-13.472000 25.677999 -27.500999)(-19.226000 21.707001 -27.500999)(-5.948000 -20.096199 -22.216999)(-10.907000 -17.943001 -25.001001)(-5.661000 -20.221001 -22.292000)(16.268000 -23.600000 -16.264002)(-5.948000 -23.600000 -22.216999)(0.005003 -23.600000 -23.000999)(8.731501 -20.691599 -21.068501)(6.746790 -19.776501 -21.890400)(9.824030 -18.346199 -20.616098)(1.365690 20.803301 -22.821800)(3.227210 20.496899 -22.576601)(2.863000 20.798000 -22.817001)(-8.899090 18.772001 -20.995001)(-10.832601 17.875399 -20.194300)(-8.721499 20.687698 -21.068501)(-2.971500 21.848900 -22.608999)(-1.291020 20.812799 -22.830299)(-1.267620 20.816401 -22.833399)(2.863000 20.798000 -22.817001)(2.080820 20.805799 -22.823799)(1.365690 20.803301 -22.821800)(-13.472000 25.677999 -27.500999)(28.792999 -3.496000 -27.500999)(-19.226000 21.707001 -27.500999)(-11.404900 17.533300 -19.957300)(-10.915000 17.937000 -20.243000)(-8.362000 19.261002 -25.001001)(21.005001 -0.001000 -9.382000)(20.798899 -0.022670 -9.386800)(20.853100 -1.068300 -9.502220)(-10.832601 17.875399 -20.194300)(-8.899090 18.772001 -20.995001)(-10.915000 17.937000 -20.243000)(17.206701 11.732100 -15.040800)(18.095501 15.026000 -13.882500)(19.679199 7.064120 -11.818700)(6.774760 19.763102 -21.878799)(6.386180 19.864300 -22.039700)(5.958000 23.500000 -22.216999)(6.774760 19.763102 -21.878799)(8.731501 20.441200 -21.068501)(7.152710 19.587099 -21.722300)(15.351999 -14.334000 -25.001001)(15.294200 -13.970500 -17.011501)(15.139900 -14.135699 -17.129900)(-19.782999 7.033000 -25.001001)(-19.703999 7.007000 -11.803000)(-19.322001 8.213000 -12.469000)(-10.832601 17.875399 -20.194300)(-11.213300 17.698900 -20.036600)(-11.495000 23.500000 -19.920000)(0.005003 -21.000000 -25.001001)(-0.005297 -20.993599 -22.999599)(0.005003 -20.995001 -23.000999)(18.772200 -8.770841 -13.000600)(18.483999 -9.580000 -13.534000)(19.683401 -7.056580 -11.813300)(20.028999 6.329000 -11.316999)(20.696800 2.153320 -9.633190)(20.896999 2.123000 -9.619000)(-13.877000 -18.224800 -18.092001)(-14.984200 -14.434000 -17.242300)(-14.621901 -14.786700 -17.520300)(-2.441380 20.621801 -22.678801)(-2.971500 21.848900 -22.608999)(-1.291020 20.812799 -22.830299)(-44.557999 -28.600000 -5.665000)(-45.638199 23.500000 -4.585250)(-44.557999 23.500000 -5.665000)(-44.557999 -28.600000 -5.665000)(-44.557999 23.500000 -5.665000)(-44.200500 23.500000 -5.831780)(-50.695000 23.500000 -6.250000)(-44.200500 23.500000 -5.831780)(-44.557999 23.500000 -5.665000)(-45.638199 23.500000 -4.585250)(-50.695000 23.500000 -6.250000)(-44.557999 23.500000 -5.665000)(-53.137001 23.500000 -1.689000)(-50.695000 23.500000 -6.250000)(-45.638199 23.500000 -4.585250)(-50.695000 23.500000 -6.250000)(-41.095997 23.500000 -7.279100)(-44.200500 23.500000 -5.831780)(-37.368500 23.500000 14.143100)(-35.794998 23.500000 14.005401)(-37.828598 23.500000 16.081699)(-37.828598 23.500000 16.081699)(-35.794998 23.500000 14.005401)(-35.402000 23.500000 13.971000)(-35.402000 -28.600000 13.971000)(-35.402000 23.500000 13.971000)(-35.794998 23.500000 14.005401)(-39.208000 -28.600000 14.304000)(-35.402000 -28.600000 13.971000)(-35.794998 23.500000 14.005401)(-39.208000 -28.600000 14.304000)(-41.095997 -28.600000 -7.280000)(-35.402000 -28.600000 13.971000)(-42.897999 -28.600000 13.315000)(-41.095997 -28.600000 -7.280000)(-39.208000 -28.600000 14.304000)(-41.905602 43.000000 10.845201)(-41.931801 36.004200 18.174101)(-39.948898 43.000000 11.217500)(-46.546700 36.004200 16.175200)(-41.931801 36.004200 18.174101)(-41.905602 43.000000 10.845201)(-46.784000 23.500000 16.542000)(-41.931801 36.004200 18.174101)(-46.546700 36.004200 16.175200)(-46.784000 23.500000 16.542000)(-42.036999 23.500000 18.598000)(-41.931801 36.004200 18.174101)(-42.076199 23.500000 15.962900)(-46.784000 23.500000 16.542000)(-42.850201 23.500000 13.327800)(-46.784000 23.500000 16.542000)(-42.076199 23.500000 15.962900)(-42.036999 23.500000 18.598000)(-42.036999 23.500000 18.598000)(-39.342003 23.500000 19.022999)(-40.278698 36.004200 18.435101)(-42.036999 23.500000 18.598000)(-40.278698 36.004200 18.435101)(-41.931801 36.004200 18.174101)(-42.076199 23.500000 15.962900)(-42.850201 23.500000 13.327800)(-39.589100 23.500000 14.201900)(-42.076199 23.500000 15.962900)(-39.589100 23.500000 14.201900)(-39.208000 23.500000 14.304000)(-39.208000 -28.600000 14.304000)(-37.368500 23.500000 14.143100)(-39.208000 23.500000 14.304000)(-39.208000 -28.600000 14.304000)(-39.208000 23.500000 14.304000)(-39.589100 23.500000 14.201900)(-42.897999 -28.600000 13.315000)(-39.589100 23.500000 14.201900)(-42.850201 23.500000 13.327800)(-42.897999 -28.600000 13.315000)(-46.027000 -28.600000 11.124000)(-41.095997 -28.600000 -7.280000)(-46.027000 -28.600000 11.124000)(-42.897999 -28.600000 13.315000)(-43.221100 23.500000 13.088700)(-42.897999 -28.600000 13.315000)(-42.897999 23.500000 13.315000)(-43.221100 23.500000 13.088700)(-42.897999 -28.600000 13.315000)(-42.850201 23.500000 13.327800)(-42.897999 23.500000 13.315000)(-50.606998 23.500000 13.055000)(-46.606400 23.500000 10.296400)(-46.728600 23.500000 13.419200)(-50.606998 23.500000 13.055000)(-46.728600 23.500000 13.419200)(-46.784000 23.500000 16.542000)(-46.728600 23.500000 13.419200)(-46.027000 23.500000 11.124000)(-43.221100 23.500000 13.088700)(-46.784000 23.500000 16.542000)(-46.728600 23.500000 13.419200)(-43.221100 23.500000 13.088700)(-46.784000 23.500000 16.542000)(-43.221100 23.500000 13.088700)(-42.897999 23.500000 13.315000)(-46.027000 23.500000 11.124000)(-46.728600 23.500000 13.419200)(-46.253300 23.500000 10.800800)(-41.905602 43.000000 10.845201)(-39.948898 43.000000 11.217500)(-39.768902 42.954697 -8.889971)(-39.208000 -28.600000 14.304000)(-35.794998 23.500000 14.005401)(-37.368500 23.500000 14.143100)(-42.076199 23.500000 15.962900)(-39.208000 23.500000 14.304000)(-42.036999 23.500000 18.598000)(-46.027000 -28.600000 11.124000)(-48.218002 -28.600000 7.994000)(-41.095997 -28.600000 -7.280000)(-42.897999 -28.600000 13.315000)(-39.208000 -28.600000 14.304000)(-39.589100 23.500000 14.201900)(-46.253300 23.500000 10.800800)(-46.728600 23.500000 13.419200)(-46.606400 23.500000 10.296400)(-49.848198 23.500000 9.538490)(-48.227299 23.500000 9.145670)(-46.606400 23.500000 10.296400)(-46.606400 23.500000 10.296400)(-48.227299 23.500000 9.145670)(-48.218002 23.500000 7.994900)(-48.227299 23.500000 9.145670)(-49.848198 23.500000 9.538490)(-48.218002 23.500000 7.994900)(-46.606400 23.500000 10.296400)(-48.218002 23.500000 7.994900)(-48.218002 -28.600000 7.994000)(-48.218002 23.500000 7.994900)(-48.320099 23.500000 7.613830)(-48.218002 -28.600000 7.994000)(-46.253300 23.500000 10.800800)(-46.606400 23.500000 10.296400)(-48.218002 -28.600000 7.994000)(-48.218002 -28.600000 7.994000)(-49.206997 -28.600000 4.304000)(-41.095997 -28.600000 -7.280000)(-49.206997 23.500000 4.304900)(-49.172600 23.500000 3.911950)(-49.206997 -28.600000 4.304000)(-49.172600 23.500000 3.911950)(-48.873997 -28.600000 0.499005)(-49.206997 -28.600000 4.304000)(-48.920700 23.500000 1.032190)(-48.873997 23.500000 0.499000)(-48.873997 -28.600000 0.499005)(-49.172600 23.500000 3.911950)(-48.920700 23.500000 1.032190)(-48.873997 -28.600000 0.499005)(-49.172600 23.500000 3.911950)(-51.355900 23.500000 4.774600)(-48.920700 23.500000 1.032190)(-53.965000 23.500000 3.418000)(-48.920700 23.500000 1.032190)(-51.355900 23.500000 4.774600)(-41.095997 -28.600000 -7.280000)(-49.206997 -28.600000 4.304000)(-48.873997 -28.600000 0.499005)(-49.206997 23.500000 4.304900)(-51.355900 23.500000 4.774600)(-49.172600 23.500000 3.911950)(-51.355900 23.500000 4.774600)(-49.206997 23.500000 4.304900)(-48.746799 23.500000 6.021980)(-53.090000 23.500000 8.517000)(-51.355900 23.500000 4.774600)(-48.746799 23.500000 6.021980)(-53.090000 23.500000 8.517000)(-48.746799 23.500000 6.021980)(-49.848198 23.500000 9.538490)(-53.090000 23.500000 8.517000)(-49.848198 23.500000 9.538490)(-50.606998 23.500000 13.055000)(-48.218002 23.500000 7.994900)(-49.848198 23.500000 9.538490)(-48.320099 23.500000 7.613830)(-48.873997 -28.600000 0.499005)(-47.260002 -28.600000 -2.964000)(-41.095997 -28.600000 -7.280000)(-53.965000 23.500000 3.418000)(-53.137001 23.500000 -1.689000)(-49.801598 23.500000 -0.583624)(-49.801598 23.500000 -0.583624)(-53.137001 23.500000 -1.689000)(-47.260002 23.500000 -2.964000)(-48.707298 23.500000 0.141374)(-49.801598 23.500000 -0.583624)(-47.260002 23.500000 -2.964000)(-48.707298 23.500000 0.141374)(-47.260002 -28.600000 -2.964000)(-48.873997 -28.600000 0.499005)(-48.707298 23.500000 0.141374)(-47.260002 23.500000 -2.964000)(-47.260002 -28.600000 -2.964000)(-44.557999 -28.600000 -5.665000)(-47.260002 -28.600000 -2.964000)(-46.980999 23.500000 -3.242930)(-47.260002 -28.600000 -2.964000)(-47.260002 23.500000 -2.964000)(-46.980999 23.500000 -3.242930)(-48.873997 23.500000 0.499000)(-49.801598 23.500000 -0.583624)(-48.707298 23.500000 0.141374)(-53.965000 23.500000 3.418000)(-49.801598 23.500000 -0.583624)(-48.920700 23.500000 1.032190)(-53.965000 23.500000 3.418000)(-51.355900 23.500000 4.774600)(-53.090000 23.500000 8.517000)(-52.677700 36.004101 8.373360)(-53.965000 23.500000 3.418000)(-53.090000 23.500000 8.517000)(-52.677700 36.004101 8.373360)(-53.528301 36.004200 3.416080)(-53.965000 23.500000 3.418000)(-50.263302 36.004101 12.785700)(-52.677700 36.004101 8.373360)(-53.090000 23.500000 8.517000)(-47.622501 43.000000 5.394220)(-52.677700 36.004101 8.373360)(-50.263302 36.004101 12.785700)(-50.263302 36.004101 12.785700)(-45.258400 43.000000 8.842091)(-47.622501 43.000000 5.394220)(-50.263302 36.004101 12.785700)(-46.546700 36.004200 16.175200)(-45.258400 43.000000 8.842091)(-50.606998 23.500000 13.055000)(-46.546700 36.004200 16.175200)(-50.263302 36.004101 12.785700)(-52.677700 36.004101 8.373360)(-47.622501 43.000000 5.394220)(-48.501301 43.000000 0.921354)(-46.027000 23.500000 11.124000)(-46.253300 23.500000 10.800800)(-46.027000 -28.600000 11.124000)(-45.258400 43.000000 8.842091)(-41.905602 43.000000 10.845201)(-39.768902 42.954697 -8.889971)(-40.278698 36.004200 18.435101)(-39.948898 43.000000 11.217500)(-41.931801 36.004200 18.174101)(-39.342003 23.500000 19.022999)(-37.828598 23.500000 16.081699)(-35.402000 23.500000 13.971000)(-19.914000 23.500000 -11.501000)(-22.211000 23.500000 -5.954000)(-30.471001 23.500000 -4.432100)(-30.471001 23.500000 -4.432100)(-33.599998 23.500000 -6.624000)(-19.914000 23.500000 -11.501000)(-41.095997 -28.600000 -7.280000)(-44.200500 23.500000 -5.831780)(-41.095997 23.500000 -7.279100)(-41.095997 23.500000 -7.279100)(-37.290001 -28.600000 -7.612000)(-41.095997 -28.600000 -7.280000)(-37.290001 23.500000 -7.612000)(-33.599998 -28.600000 -6.624000)(-37.290001 -28.600000 -7.612000)(-37.290001 -28.600000 -7.612000)(-33.599998 -28.600000 -6.624000)(-41.095997 -28.600000 -7.280000)(-41.095997 -28.600000 -7.280000)(-33.599998 -28.600000 -6.624000)(-30.471001 -28.600000 -4.433000)(-33.599998 -28.600000 -6.624000)(-37.290001 23.500000 -7.612000)(-33.599998 23.500000 -6.624000)(-16.258999 23.500000 -16.264002)(-19.914000 23.500000 -11.501000)(-37.290001 23.500000 -7.612000)(-19.914000 23.500000 -11.501000)(-33.599998 23.500000 -6.624000)(-37.290001 23.500000 -7.612000)(-41.095997 23.500000 -7.279100)(-37.290001 23.500000 -7.612000)(-37.290001 -28.600000 -7.612000)(-22.995001 23.500000 -0.001002)(-27.291000 23.500000 2.387000)(-28.279999 23.500000 -1.303000)(-28.279999 23.500000 -1.303000)(-27.291000 23.500000 2.387000)(-27.291000 -28.600000 2.387000)(-22.211000 23.500000 -5.954000)(-22.995001 23.500000 -0.001002)(-28.279999 23.500000 -1.303000)(-11.495000 23.500000 19.918001)(-8.886140 23.446400 20.965601)(-39.342003 23.500000 19.022999)(-39.342003 23.500000 19.022999)(-16.258999 23.500000 16.263000)(-11.495000 23.500000 19.918001)(-32.297501 23.500000 12.523700)(-31.939999 23.500000 12.356899)(-39.342003 23.500000 19.022999)(-39.342003 23.500000 19.022999)(-31.939999 23.500000 12.356899)(-16.258999 23.500000 16.263000)(-19.914000 23.500000 11.499000)(-16.258999 23.500000 16.263000)(-31.939999 23.500000 12.356899)(-31.939999 -28.600000 12.356000)(-31.939999 23.500000 12.356899)(-32.297501 23.500000 12.523700)(-33.620300 23.500000 13.140400)(-32.297501 23.500000 12.523700)(-39.342003 23.500000 19.022999)(-29.238001 23.500000 9.655000)(-31.939999 23.500000 12.356899)(-31.939999 -28.600000 12.356000)(-22.995001 23.500000 -0.001002)(-22.211000 23.500000 5.952000)(-27.291000 23.500000 2.387000)(-39.342003 23.500000 19.022999)(-35.402000 23.500000 13.971000)(-33.620300 23.500000 13.140400)(-27.291000 -28.600000 2.387000)(-28.279999 -28.600000 -1.303000)(-28.279999 23.500000 -1.303000)(-35.402000 -28.600000 13.971000)(-31.939999 -28.600000 12.356000)(-32.297501 23.500000 12.523700)(-30.471001 23.500000 -4.432100)(-28.279999 23.500000 -1.303000)(-28.279999 -28.600000 -1.303000)(-30.471001 -28.600000 -4.433000)(-33.599998 23.500000 -6.624000)(-30.471001 23.500000 -4.432100)(-28.279999 -28.600000 -1.303000)(-30.471001 -28.600000 -4.433000)(-30.471001 23.500000 -4.432100)(-29.238001 23.500000 9.655000)(-31.939999 -28.600000 12.356000)(-29.238001 -28.600000 9.655000)(-35.402000 -28.600000 13.971000)(-32.297501 23.500000 12.523700)(-33.620300 23.500000 13.140400)(-16.258999 23.500000 -16.264002)(-37.290001 23.500000 -7.612000)(-42.176998 23.500000 -11.871000)(-50.349400 36.004101 -5.983250)(-52.723400 36.004200 -1.549210)(-47.474602 43.000000 -4.120130)(-46.664497 36.004101 -9.406780)(-50.349400 36.004101 -5.983250)(-47.474602 43.000000 -4.120130)(18.049999 36.004200 13.066100)(21.000999 36.004200 7.452800)(14.648800 43.000000 6.168960)(14.648800 43.000000 6.168960)(21.000999 36.004200 7.452800)(16.359299 43.000000 0.719893)(14.648800 43.000000 6.168960)(16.359299 43.000000 0.719893)(1.416290 43.000000 -20.555399)(19.923000 23.500000 11.499000)(21.000999 36.004200 7.452800)(18.049999 36.004200 13.066100)(16.268000 23.500000 16.263000)(19.923000 23.500000 11.499000)(18.049999 36.004200 13.066100)(16.359299 43.000000 0.719893)(16.178200 43.000000 -5.310480)(1.416290 43.000000 -20.555399)(11.370100 43.000000 10.582300)(18.049999 36.004200 13.066100)(14.648800 43.000000 6.168960)(16.178200 43.000000 -5.310480)(16.359299 43.000000 0.719893)(22.250000 36.004200 1.235620)(-16.258999 23.500000 -16.264002)(-42.176998 23.500000 -11.871000)(-11.495000 23.500000 -19.920000)(11.505000 23.500000 -19.920000)(10.370700 36.004200 -19.722300)(15.507100 36.004200 -16.003401)(16.268000 23.500000 -16.264002)(11.505000 23.500000 -19.920000)(15.507100 36.004200 -16.003401)(19.923000 23.500000 -11.501000)(15.507100 36.004200 -16.003401)(19.387400 36.004200 -10.987500)(15.507100 36.004200 -16.003401)(19.923000 23.500000 -11.501000)(16.268000 23.500000 -16.264002)(9.239130 43.000000 -17.051300)(19.387400 36.004200 -10.987500)(15.507100 36.004200 -16.003401)(15.507100 36.004200 -16.003401)(10.370700 36.004200 -19.722300)(9.239130 43.000000 -17.051300)(5.958000 23.500000 -22.216999)(1.225000 23.500000 -22.685001)(1.290000 36.000000 -21.999001)(1.225000 23.500000 -22.685001)(-11.495000 23.500000 -19.920000)(1.290000 36.000000 -21.999001)(5.958000 23.500000 -22.216999)(1.290000 36.000000 -21.999001)(4.347000 36.000000 -21.604000)(5.958000 23.500000 -22.216999)(4.347000 36.000000 -21.604000)(10.370700 36.004200 -19.722300)(10.370700 36.004200 -19.722300)(4.347000 36.000000 -21.604000)(9.239130 43.000000 -17.051300)(-42.176998 23.500000 -11.871000)(1.290000 36.000000 -21.999001)(-11.495000 23.500000 -19.920000)(11.505000 23.500000 -19.920000)(5.958000 23.500000 -22.216999)(10.370700 36.004200 -19.722300)(19.387400 36.004200 -10.987500)(22.221001 23.500000 -5.954000)(19.923000 23.500000 -11.501000)(4.347000 36.000000 -21.604000)(1.290000 36.000000 -21.999001)(9.239130 43.000000 -17.051300)(-39.768902 42.954697 -8.889971)(-47.474602 43.000000 -4.120130)(-48.501301 43.000000 0.921354)(-47.474602 43.000000 -4.120130)(-53.528301 36.004200 3.416080)(-48.501301 43.000000 0.921354)(-39.768902 42.954697 -8.889971)(-46.664497 36.004101 -9.406780)(-47.474602 43.000000 -4.120130)(5.110090 36.004303 21.686100)(-40.278698 36.004200 18.435101)(5.146010 23.500000 22.125999)(-8.886140 23.446400 20.965601)(5.146010 23.500000 22.125999)(-40.278698 36.004200 18.435101)(5.146010 23.500000 22.125999)(8.120980 36.004200 20.747799)(5.110090 36.004303 21.686100)(8.120980 36.004200 20.747799)(13.637600 36.004200 17.621000)(6.923990 43.000000 13.532200)(13.637600 36.004200 17.621000)(8.120980 36.004200 20.747799)(11.505000 23.500000 19.918001)(8.120980 36.004200 20.747799)(5.146010 23.500000 22.125999)(11.505000 23.500000 19.918001)(8.120980 36.004200 20.747799)(6.923990 43.000000 13.532200)(4.465490 43.000000 14.301001)(4.465490 43.000000 14.301001)(1.416290 43.000000 -20.555399)(-39.768902 42.954697 -8.889971)(1.416290 43.000000 -20.555399)(4.465490 43.000000 14.301001)(6.923990 43.000000 13.532200)(-39.768902 42.954697 -8.889971)(1.416290 43.000000 -20.555399)(1.290000 36.000000 -21.999001)(1.416290 43.000000 -20.555399)(9.239130 43.000000 -17.051300)(1.290000 36.000000 -21.999001)(6.923990 43.000000 13.532200)(11.370100 43.000000 10.582300)(1.416290 43.000000 -20.555399)(-42.068001 36.000000 -11.448400)(-39.768902 42.954697 -8.889971)(1.290000 36.000000 -21.999001)(-39.768902 42.954697 -8.889971)(-42.068001 36.000000 -11.448400)(-46.664497 36.004101 -9.406780)(1.416290 43.000000 -20.555399)(13.875600 43.000000 -11.408300)(9.239130 43.000000 -17.051300)(6.923990 43.000000 13.532200)(13.637600 36.004200 17.621000)(11.370100 43.000000 10.582300)(-42.068001 36.000000 -11.448400)(1.290000 36.000000 -21.999001)(-42.176998 23.500000 -11.871000)(22.221001 23.500000 -5.954000)(19.387400 36.004200 -10.987500)(21.697899 36.004200 -5.081610)(16.178200 43.000000 -5.310480)(22.250000 36.004200 1.235620)(21.697899 36.004200 -5.081610)(23.004999 23.500000 -0.001006)(21.697899 36.004200 -5.081610)(22.250000 36.004200 1.235620)(21.697899 36.004200 -5.081610)(23.004999 23.500000 -0.001006)(22.221001 23.500000 -5.954000)(11.505000 23.500000 19.918001)(16.268000 23.500000 16.263000)(13.637600 36.004200 17.621000)(-46.904999 23.500000 -9.771000)(-42.176998 23.500000 -11.871000)(-41.095997 23.500000 -7.279100)(-42.176998 23.500000 -11.871000)(-46.904999 23.500000 -9.771000)(-46.664497 36.004101 -9.406780)(-46.904999 23.500000 -9.771000)(-50.349400 36.004101 -5.983250)(-46.664497 36.004101 -9.406780)(16.268000 23.500000 16.263000)(18.049999 36.004200 13.066100)(13.637600 36.004200 17.621000)(19.923000 23.500000 11.499000)(22.221001 23.500000 5.952000)(21.000999 36.004200 7.452800)(22.250000 36.004200 1.235620)(21.000999 36.004200 7.452800)(22.221001 23.500000 5.952000)(-52.723400 36.004200 -1.549210)(-50.349400 36.004101 -5.983250)(-50.695000 23.500000 -6.250000)(-41.095997 -28.600000 -7.280000)(-28.279999 -28.600000 -1.303000)(-27.291000 -28.600000 2.387000)(-41.095997 -28.600000 -7.280000)(-27.291000 -28.600000 2.387000)(-27.624001 -28.600000 6.193000)(-41.095997 -28.600000 -7.280000)(-27.624001 -28.600000 6.193000)(-29.238001 -28.600000 9.655000)(-29.238001 -28.600000 9.655000)(-27.624001 -28.600000 6.193000)(-27.624001 23.500000 6.193000)(-27.624001 -28.600000 6.193000)(-27.291000 23.500000 2.387000)(-27.624001 23.500000 6.193000)(-46.904999 23.500000 -9.771000)(-50.695000 23.500000 -6.250000)(-50.349400 36.004101 -5.983250)(-29.238001 -28.600000 9.655000)(-27.624001 23.500000 6.193000)(-29.238001 23.500000 9.655000)(-19.914000 23.500000 11.499000)(-29.238001 23.500000 9.655000)(-27.624001 23.500000 6.193000)(-22.211000 23.500000 5.952000)(-19.914000 23.500000 11.499000)(-27.624001 23.500000 6.193000)(5.110090 36.004303 21.686100)(4.465490 43.000000 14.301001)(-40.278698 36.004200 18.435101)(-47.622501 43.000000 5.394220)(-45.258400 43.000000 8.842091)(-39.768902 42.954697 -8.889971)(-50.606998 23.500000 13.055000)(-46.784000 23.500000 16.542000)(-46.546700 36.004200 16.175200)(16.178200 43.000000 -5.310480)(21.697899 36.004200 -5.081610)(13.875600 43.000000 -11.408300)(-53.137001 23.500000 -1.689000)(-46.980999 23.500000 -3.242930)(-47.260002 23.500000 -2.964000)(4.465490 43.000000 14.301001)(-39.948898 43.000000 11.217500)(-40.278698 36.004200 18.435101)(-44.557999 -28.600000 -5.665000)(-46.980999 23.500000 -3.242930)(-45.638199 23.500000 -4.585250)(-48.501301 43.000000 0.921354)(-47.622501 43.000000 5.394220)(-39.768902 42.954697 -8.889971)(-41.095997 23.500000 -7.279100)(-50.695000 23.500000 -6.250000)(-46.904999 23.500000 -9.771000)(13.875600 43.000000 -11.408300)(1.416290 43.000000 -20.555399)(16.178200 43.000000 -5.310480)(-42.036999 23.500000 18.598000)(-37.828598 23.500000 16.081699)(-39.342003 23.500000 19.022999)(-50.606998 23.500000 13.055000)(-49.848198 23.500000 9.538490)(-46.606400 23.500000 10.296400)(-48.873997 23.500000 0.499000)(-48.707298 23.500000 0.141374)(-48.873997 -28.600000 0.499005)(-35.402000 -28.600000 13.971000)(-33.620300 23.500000 13.140400)(-35.402000 23.500000 13.971000)(-45.638199 23.500000 -4.585250)(-46.980999 23.500000 -3.242930)(-53.137001 23.500000 -1.689000)(-48.746799 23.500000 6.021980)(-49.206997 23.500000 4.304900)(-49.206997 -28.600000 4.304000)(-48.320099 23.500000 7.613830)(-48.746799 23.500000 6.021980)(-49.206997 -28.600000 4.304000)(-39.768902 42.954697 -8.889971)(-39.948898 43.000000 11.217500)(4.465490 43.000000 14.301001)(-30.471001 -28.600000 -4.433000)(-33.599998 -28.600000 -6.624000)(-33.599998 23.500000 -6.624000)(5.110090 36.004303 21.686100)(8.120980 36.004200 20.747799)(4.465490 43.000000 14.301001)(-37.290001 23.500000 -7.612000)(-41.095997 23.500000 -7.279100)(-42.176998 23.500000 -11.871000)(-37.828598 23.500000 16.081699)(-42.036999 23.500000 18.598000)(-37.368500 23.500000 14.143100)(22.221001 23.500000 5.952000)(23.004999 23.500000 -0.001006)(22.250000 36.004200 1.235620)(-41.095997 -28.600000 -7.280000)(-31.939999 -28.600000 12.356000)(-35.402000 -28.600000 13.971000)(13.637600 36.004200 17.621000)(18.049999 36.004200 13.066100)(11.370100 43.000000 10.582300)(-52.723400 36.004200 -1.549210)(-53.528301 36.004200 3.416080)(-47.474602 43.000000 -4.120130)(-53.528301 36.004200 3.416080)(-52.723400 36.004200 -1.549210)(-53.137001 23.500000 -1.689000)(-46.784000 23.500000 16.542000)(-42.897999 23.500000 13.315000)(-42.850201 23.500000 13.327800)(13.875600 43.000000 -11.408300)(19.387400 36.004200 -10.987500)(9.239130 43.000000 -17.051300)(-50.263302 36.004101 12.785700)(-53.090000 23.500000 8.517000)(-50.606998 23.500000 13.055000)(-31.939999 23.500000 12.356899)(-29.238001 23.500000 9.655000)(-19.914000 23.500000 11.499000)(-22.211000 23.500000 5.952000)(-27.624001 23.500000 6.193000)(-27.291000 23.500000 2.387000)(-52.677700 36.004101 8.373360)(-48.501301 43.000000 0.921354)(-53.528301 36.004200 3.416080)(-27.291000 23.500000 2.387000)(-27.624001 -28.600000 6.193000)(-27.291000 -28.600000 2.387000)(22.250000 36.004200 1.235620)(16.359299 43.000000 0.719893)(21.000999 36.004200 7.452800)(-46.253300 23.500000 10.800800)(-48.218002 -28.600000 7.994000)(-46.027000 -28.600000 11.124000)(-42.176998 23.500000 -11.871000)(-46.664497 36.004101 -9.406780)(-42.068001 36.000000 -11.448400)(-39.342003 23.500000 19.022999)(-8.886140 23.446400 20.965601)(-40.278698 36.004200 18.435101)(19.387400 36.004200 -10.987500)(13.875600 43.000000 -11.408300)(21.697899 36.004200 -5.081610)(-41.095997 -28.600000 -7.280000)(-30.471001 -28.600000 -4.433000)(-28.279999 -28.600000 -1.303000)(-52.723400 36.004200 -1.549210)(-50.695000 23.500000 -6.250000)(-53.137001 23.500000 -1.689000)(11.370100 43.000000 10.582300)(14.648800 43.000000 6.168960)(1.416290 43.000000 -20.555399)(-48.320099 23.500000 7.613830)(-49.206997 -28.600000 4.304000)(-48.218002 -28.600000 7.994000)(-42.036999 23.500000 18.598000)(-39.208000 23.500000 14.304000)(-37.368500 23.500000 14.143100)(-31.939999 -28.600000 12.356000)(-41.095997 -28.600000 -7.280000)(-29.238001 -28.600000 9.655000)(-48.320099 23.500000 7.613830)(-49.848198 23.500000 9.538490)(-48.746799 23.500000 6.021980)(-53.528301 36.004200 3.416080)(-53.137001 23.500000 -1.689000)(-53.965000 23.500000 3.418000)(-46.027000 -28.600000 11.124000)(-43.221100 23.500000 13.088700)(-46.027000 23.500000 11.124000)(-41.095997 -28.600000 -7.280000)(-44.557999 -28.600000 -5.665000)(-44.200500 23.500000 -5.831780)(-41.095997 -28.600000 -7.280000)(-47.260002 -28.600000 -2.964000)(-44.557999 -28.600000 -5.665000)(-45.258400 43.000000 8.842091)(-46.546700 36.004200 16.175200)(-41.905602 43.000000 10.845201)(-22.211000 23.500000 -5.954000)(-28.279999 23.500000 -1.303000)(-30.471001 23.500000 -4.432100)(-48.873997 23.500000 0.499000)(-48.920700 23.500000 1.032190)(-49.801598 23.500000 -0.583624)))
           )
           )))
    (send glvertices :calc-normals)
    (send self :assoc glvertices)
    glvertices)
  (:qhull-faceset ()
   ;; qhull 3036 -> 30 faces
   (instance faceset :init :faces (list
    (instance face :init :vertices (list (float-vector -41.931801 36.004201 18.174101) (float-vector 5.110090 36.004301 21.686099) (float-vector 0.005007 -23.600001 22.999000)))
    (instance face :init :vertices (list (float-vector 19.235000 -21.707000 -27.501000) (float-vector 0.005003 -28.999999 -27.501000) (float-vector 23.004999 -23.600001 -0.001002)))
    (instance face :init :vertices (list (float-vector 5.110090 36.004301 21.686099) (float-vector 16.268000 -23.600001 16.263001) (float-vector 0.005007 -23.600001 22.999000)))
    (instance face :init :vertices (list (float-vector -50.607000 23.499999 13.055000) (float-vector -41.931801 36.004201 18.174101) (float-vector 0.005007 -23.600001 22.999000) (float-vector -42.897999 -28.600000 13.315000)))
    (instance face :init :vertices (list (float-vector -53.964999 23.499999 3.418000) (float-vector -50.607000 23.499999 13.055000) (float-vector -42.897999 -28.600000 13.315000) (float-vector -49.206998 -28.600000 4.304000)))
    (instance face :init :vertices (list (float-vector 27.120000 -10.284000 -27.501000) (float-vector 19.235000 -21.707000 -27.501000) (float-vector 23.004999 -23.600001 -0.001002)))
    (instance face :init :vertices (list (float-vector 27.120000 -10.284000 -27.501000) (float-vector 23.004999 -23.600001 -0.001002) (float-vector 22.250000 36.004201 1.235620) (float-vector 29.005000 -0.000002 -27.501000)))
    (instance face :init :vertices (list (float-vector 0.005007 -23.600001 22.999000) (float-vector 16.268000 -23.600001 16.263001) (float-vector 23.004999 -23.600001 -0.001002) (float-vector 0.005003 -28.999999 -27.501000) (float-vector -44.558000 -28.600000 -5.665000) (float-vector -49.206998 -28.600000 4.304000) (float-vector -42.897999 -28.600000 13.315000)))
    (instance face :init :vertices (list (float-vector 23.871001 16.473999 -27.501000) (float-vector 29.005000 -0.000002 -27.501000) (float-vector 22.250000 36.004201 1.235620) (float-vector 16.359299 43.000001 0.719893) (float-vector 13.875600 43.000001 -11.408300)))
    (instance face :init :vertices (list (float-vector -50.694998 23.499999 -6.250000) (float-vector -52.723400 36.004201 -1.549210) (float-vector -53.964999 23.499999 3.418000) (float-vector -49.206998 -28.600000 4.304000) (float-vector -44.558000 -28.600000 -5.665000)))
    (instance face :init :vertices (list (float-vector -41.931801 36.004201 18.174101) (float-vector -41.905601 43.000001 10.845200) (float-vector 11.370100 43.000001 10.582300) (float-vector 5.110090 36.004301 21.686099)))
    (instance face :init :vertices (list (float-vector 18.050000 36.004201 13.066100) (float-vector 16.268000 -23.600001 16.263001) (float-vector 5.110090 36.004301 21.686099)))
    (instance face :init :vertices (list (float-vector 18.050000 36.004201 13.066100) (float-vector 5.110090 36.004301 21.686099) (float-vector 11.370100 43.000001 10.582300)))
    (instance face :init :vertices (list (float-vector 16.268000 -23.600001 16.263001) (float-vector 18.050000 36.004201 13.066100) (float-vector 22.250000 36.004201 1.235620) (float-vector 23.004999 -23.600001 -0.001002)))
    (instance face :init :vertices (list (float-vector 18.050000 36.004201 13.066100) (float-vector 11.370100 43.000001 10.582300) (float-vector 16.359299 43.000001 0.719893) (float-vector 22.250000 36.004201 1.235620)))
    (instance face :init :vertices (list (float-vector -13.472000 -25.677999 -27.501000) (float-vector -44.558000 -28.600000 -5.665000) (float-vector 0.005003 -28.999999 -27.501000)))
    (instance face :init :vertices (list (float-vector -44.558000 -28.600000 -5.665000) (float-vector -13.472000 -25.677999 -27.501000) (float-vector -23.862001 -16.473999 -27.501000)))
    (instance face :init :vertices (list (float-vector 27.120000 -10.284000 -27.501000) (float-vector 29.005000 -0.000002 -27.501000) (float-vector 23.871001 16.473999 -27.501000) (float-vector 6.945000 28.156999 -27.501000) (float-vector -13.472000 25.677999 -27.501000) (float-vector -23.862001 16.473999 -27.501000) (float-vector -28.783999 -3.496000 -27.501000) (float-vector -23.862001 -16.473999 -27.501000) (float-vector -13.472000 -25.677999 -27.501000) (float-vector 0.005003 -28.999999 -27.501000) (float-vector 19.235000 -21.707000 -27.501000)))
    (instance face :init :vertices (list (float-vector -23.862001 -16.473999 -27.501000) (float-vector -28.783999 -3.496000 -27.501000) (float-vector -50.694998 23.499999 -6.250000) (float-vector -44.558000 -28.600000 -5.665000)))
    (instance face :init :vertices (list (float-vector 1.416290 43.000001 -20.555399) (float-vector -13.472000 25.677999 -27.501000) (float-vector 6.945000 28.156999 -27.501000)))
    (instance face :init :vertices (list (float-vector 11.370100 43.000001 10.582300) (float-vector -41.905601 43.000001 10.845200) (float-vector -47.474600 43.000001 -4.120130) (float-vector 1.416290 43.000001 -20.555399) (float-vector 13.875600 43.000001 -11.408300) (float-vector 16.359299 43.000001 0.719893)))
    (instance face :init :vertices (list (float-vector 1.416290 43.000001 -20.555399) (float-vector 6.945000 28.156999 -27.501000) (float-vector 23.871001 16.473999 -27.501000) (float-vector 13.875600 43.000001 -11.408300)))
    (instance face :init :vertices (list (float-vector -50.607000 23.499999 13.055000) (float-vector -52.677698 36.004100 8.373360) (float-vector -41.931801 36.004201 18.174101)))
    (instance face :init :vertices (list (float-vector -52.723400 36.004201 -1.549210) (float-vector -52.677698 36.004100 8.373360) (float-vector -53.964999 23.499999 3.418000)))
    (instance face :init :vertices (list (float-vector -52.677698 36.004100 8.373360) (float-vector -50.607000 23.499999 13.055000) (float-vector -53.964999 23.499999 3.418000)))
    (instance face :init :vertices (list (float-vector -52.677698 36.004100 8.373360) (float-vector -41.905601 43.000001 10.845200) (float-vector -41.931801 36.004201 18.174101)))
    (instance face :init :vertices (list (float-vector -52.677698 36.004100 8.373360) (float-vector -52.723400 36.004201 -1.549210) (float-vector -47.474600 43.000001 -4.120130) (float-vector -41.905601 43.000001 10.845200)))
    (instance face :init :vertices (list (float-vector -46.664499 36.004100 -9.406780) (float-vector -23.862001 16.473999 -27.501000) (float-vector -13.472000 25.677999 -27.501000) (float-vector 1.416290 43.000001 -20.555399) (float-vector -47.474600 43.000001 -4.120130)))
    (instance face :init :vertices (list (float-vector -46.664499 36.004100 -9.406780) (float-vector -50.694998 23.499999 -6.250000) (float-vector -28.783999 -3.496000 -27.501000) (float-vector -23.862001 16.473999 -27.501000)))
    (instance face :init :vertices (list (float-vector -46.664499 36.004100 -9.406780) (float-vector -47.474600 43.000001 -4.120130) (float-vector -52.723400 36.004201 -1.549210) (float-vector -50.694998 23.499999 -6.250000)))
    ))
   )
  )

(defclass HiroNX_g1_3_geom0
  :super collada-body
  :slots ())
(defmethod HiroNX_g1_3_geom0
  (:init (&key (name))
         (replace-object self (send self :qhull-faceset))
         (if name (send self :name name))
         (send self :def-gl-vertices)
         self)
  (:def-gl-vertices ()
    (setq glvertices
       (instance gl::glvertices :init
          (list
          (list
           (list :type :triangles)
           (list :material (list
             (list :color (float-vector 0.1 0.1 0.1))
             (list :ambient (float-vector 0.200000 0.200000 0.200000 1.000000))
             (list :diffuse (float-vector 0.900000 0.900000 0.900000 1.000000))
           ))
           (list :indices #i( 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148 149 150 151 152 153 154 155 156 157 158 159 160 161 162 163 164 165 166 167 168 169 170 171 172 173 174 175 176 177 178 179 180 181 182 183 184 185 186 187 188 189 190 191 192 193 194 195 196 197 198 199 200 201 202 203 204 205 206 207 208 209 210 211 212 213 214 215 216 217 218 219 220 221 222 223 224 225 226 227 228 229 230 231 232 233 234 235 236 237 238 239 240 241 242 243 244 245 246 247 248 249 250 251 252 253 254 255 256 257 258 259 260 261 262 263 264 265 266 267 268 269 270 271 272 273 274 275 276 277 278 279 280 281 282 283 284 285 286 287 288 289 290 291 292 293 294 295 296 297 298 299 300 301 302 303 304 305 306 307 308 309 310 311 312 313 314 315 316 317 318 319 320 321 322 323 324 325 326 327 328 329 330 331 332 333 334 335 336 337 338 339 340 341 342 343 344 345 346 347 348 349 350 351 352 353 354 355 356 357 358 359 360 361 362 363 364 365 366 367 368 369 370 371 372 373 374 375 376 377 378 379 380 381 382 383 384 385 386 387 388 389 390 391 392 393 394 395 396 397 398 399 400 401 402 403 404 405 406 407 408 409 410 411 412 413 414 415 416 417 418 419 420 421 422 423 424 425 426 427 428 429 430 431 432 433 434 435 436 437 438 439 440 441 442 443 444 445 446 447 448 449 450 451 452 453 454 455 456 457 458 459 460 461 462 463 464 465 466 467 468 469 470 471 472 473 474 475 476 477 478 479 480 481 482 483 484 485 486 487 488 489 490 491 492 493 494 495 496 497 498 499 500 501 502 503 504 505 506 507 508 509 510 511 512 513 514 515 516 517 518 519 520 521 522 523 524 525 526 527 528 529 530 531 532 533 534 535 536 537 538 539 540 541 542 543 544 545 546 547 548 549 550 551 552 553 554 555 556 557 558 559 560 561 562 563 564 565 566 567 568 569 570 571 572 573 574 575 576 577 578 579 580 581 582 583 584 585 586 587 588 589 590 591 592 593 594 595 596 597 598 599 600 601 602 603 604 605 606 607 608 609 610 611 612 613 614 615 616 617 618 619 620 621 622 623 624 625 626 627 628 629 630 631 632 633 634 635 636 637 638 639 640 641 642 643 644 645 646 647 648 649 650 651 652 653 654 655 656 657 658 659 660 661 662 663 664 665 666 667 668 669 670 671 672 673 674 675 676 677 678 679 680 681 682 683 684 685 686 687 688 689 690 691 692 693 694 695 696 697 698 699 700 701 702 703 704 705 706 707 708 709 710 711 712 713 714 715 716 717 718 719 720 721 722 723 724 725 726 727 728 729 730 731 732 733 734 735 736 737 738 739 740 741 742 743 744 745 746 747 748 749 750 751 752 753 754 755 756 757 758 759 760 761 762 763 764 765 766 767 768 769 770 771 772 773 774 775 776 777 778 779 780 781 782 783 784 785 786 787 788 789 790 791 792 793 794 795 796 797 798 799 800 801 802 803 804 805 806 807 808 809 810 811 812 813 814 815 816 817 818 819 820 821 822 823 824 825 826 827 828 829 830 831 832 833 834 835 836 837 838 839 840 841 842 843 844 845 846 847 848 849 850 851 852 853 854 855 856 857 858 859 860 861 862 863 864 865 866 867 868 869 870 871 872 873 874 875 876 877 878 879 880 881 882 883 884 885 886 887 888 889 890 891 892 893 894 895 896 897 898 899 900 901 902 903 904 905 906 907 908 909 910 911 912 913 914 915 916 917 918 919 920 921 922 923 924 925 926 927 928 929 930 931 932 933 934 935 936 937 938 939 940 941 942 943 944 945 946 947 948 949 950 951 952 953 954 955 956 957 958 959 960 961 962 963 964 965 966 967 968 969 970 971 972 973 974 975 976 977 978 979 980 981 982 983 984 985 986 987 988 989 990 991 992 993 994 995 996 997 998 999 1000 1001 1002 1003 1004 1005 1006 1007 1008 1009 1010 1011 1012 1013 1014 1015 1016 1017 1018 1019 1020 1021 1022 1023 1024 1025 1026 1027 1028 1029 1030 1031 1032 1033 1034 1035 1036 1037 1038 1039 1040 1041 1042 1043 1044 1045 1046 1047 1048 1049 1050 1051 1052 1053 1054 1055 1056 1057 1058 1059 1060 1061 1062 1063 1064 1065 1066 1067 1068 1069 1070 1071 1072 1073 1074 1075 1076 1077 1078 1079 1080 1081 1082 1083 1084 1085 1086 1087 1088 1089 1090 1091 1092 1093 1094 1095 1096 1097 1098 1099 1100 1101 1102 1103 1104 1105 1106 1107 1108 1109 1110 1111 1112 1113 1114 1115 1116 1117 1118 1119 1120 1121 1122 1123 1124 1125 1126 1127 1128 1129 1130 1131 1132 1133 1134 1135 1136 1137 1138 1139 1140 1141 1142 1143 1144 1145 1146 1147 1148 1149 1150 1151 1152 1153 1154 1155 1156 1157 1158 1159 1160 1161 1162 1163 1164 1165 1166 1167 1168 1169 1170 1171 1172 1173 1174 1175 1176 1177 1178 1179 1180 1181 1182 1183 1184 1185 1186 1187 1188 1189 1190 1191 1192 1193 1194 1195 1196 1197 1198 1199 1200 1201 1202 1203 1204 1205 1206 1207 1208 1209 1210 1211 1212 1213 1214 1215 1216 1217 1218 1219 1220 1221 1222 1223 1224 1225 1226 1227 1228 1229 1230 1231 1232 1233 1234 1235 1236 1237 1238 1239 1240 1241 1242 1243 1244 1245 1246 1247 1248 1249 1250 1251 1252 1253 1254 1255 1256 1257 1258 1259 1260 1261 1262 1263 1264 1265 1266 1267 1268 1269 1270 1271 1272 1273 1274 1275 1276 1277 1278 1279 1280 1281 1282 1283 1284 1285 1286 1287 1288 1289 1290 1291 1292 1293 1294 1295 1296 1297 1298 1299 1300 1301 1302 1303 1304 1305 1306 1307 1308 1309 1310 1311 1312 1313 1314 1315 1316 1317 1318 1319 1320 1321 1322 1323 1324 1325 1326 1327 1328 1329 1330 1331 1332 1333 1334 1335 1336 1337 1338 1339 1340 1341 1342 1343 1344 1345 1346 1347 1348 1349 1350 1351 1352 1353 1354 1355 1356 1357 1358 1359 1360 1361 1362 1363 1364 1365 1366 1367 1368 1369 1370 1371 1372 1373 1374 1375 1376 1377 1378 1379 1380 1381 1382 1383 1384 1385 1386 1387 1388 1389 1390 1391 1392 1393 1394 1395 1396 1397 1398 1399 1400 1401 1402 1403 1404 1405 1406 1407 1408 1409 1410 1411 1412 1413 1414 1415 1416 1417 1418 1419 1420 1421 1422 1423 1424 1425 1426 1427 1428 1429 1430 1431 1432 1433 1434 1435 1436 1437 1438 1439 1440 1441 1442 1443 1444 1445 1446 1447 1448 1449 1450 1451 1452 1453 1454 1455 1456 1457 1458 1459 1460 1461 1462 1463 1464 1465 1466 1467 1468 1469 1470 1471 1472 1473 1474 1475 1476 1477 1478 1479 1480 1481 1482 1483 1484 1485 1486 1487 1488 1489 1490 1491 1492 1493 1494 1495 1496 1497 1498 1499 1500 1501 1502 1503 1504 1505 1506 1507 1508 1509 1510 1511 1512 1513 1514 1515 1516 1517 1518 1519 1520 1521 1522 1523 1524 1525 1526 1527 1528 1529 1530 1531 1532 1533 1534 1535 1536 1537 1538 1539 1540 1541 1542 1543 1544 1545 1546 1547 1548 1549 1550 1551 1552 1553 1554 1555 1556 1557 1558 1559 1560 1561 1562 1563 1564 1565 1566 1567 1568 1569 1570 1571 1572 1573 1574 1575 1576 1577 1578 1579 1580 1581 1582 1583 1584 1585 1586 1587 1588 1589 1590 1591 1592 1593 1594 1595 1596 1597 1598 1599 1600 1601 1602 1603 1604 1605 1606 1607 1608 1609 1610 1611 1612 1613 1614 1615 1616 1617 1618 1619 1620 1621 1622 1623 1624 1625 1626 1627 1628 1629 1630 1631 1632 1633 1634 1635 1636 1637 1638 1639 1640 1641 1642 1643 1644 1645 1646 1647 1648 1649 1650 1651 1652 1653 1654 1655 1656 1657 1658 1659 1660 1661 1662 1663 1664 1665 1666 1667 1668 1669 1670 1671 1672 1673 1674 1675 1676 1677 1678 1679 1680 1681 1682 1683 1684 1685 1686 1687 1688 1689 1690 1691 1692 1693 1694 1695 1696 1697 1698 1699 1700 1701 1702 1703 1704 1705 1706 1707 1708 1709 1710 1711 1712 1713 1714 1715 1716 1717 1718 1719 1720 1721 1722 1723 1724 1725 1726 1727 1728 1729 1730 1731 1732 1733 1734 1735 1736 1737 1738 1739 1740 1741 1742 1743 1744 1745 1746 1747 1748 1749 1750 1751 1752 1753 1754 1755 1756 1757 1758 1759 1760 1761 1762 1763 1764 1765 1766 1767 1768 1769 1770 1771 1772 1773 1774 1775 1776 1777 1778 1779 1780 1781 1782 1783 1784 1785 1786 1787 1788 1789 1790 1791 1792 1793 1794 1795 1796 1797 1798 1799 1800 1801 1802 1803 1804 1805 1806 1807 1808 1809 1810 1811 1812 1813 1814 1815 1816 1817 1818 1819 1820 1821 1822 1823 1824 1825 1826 1827 1828 1829 1830 1831 1832 1833 1834 1835 1836 1837 1838 1839 1840 1841 1842 1843 1844 1845 1846 1847 1848 1849 1850 1851 1852 1853 1854 1855 1856 1857 1858 1859 1860 1861 1862 1863 1864 1865 1866 1867 1868 1869 1870 1871 1872 1873 1874 1875 1876 1877 1878 1879 1880 1881 1882 1883 1884 1885 1886 1887 1888 1889 1890 1891 1892 1893 1894 1895 1896 1897 1898 1899 1900 1901 1902 1903 1904 1905 1906 1907 1908 1909 1910 1911 1912 1913 1914 1915 1916 1917 1918 1919 1920 1921 1922 1923 1924 1925 1926 1927 1928 1929 1930 1931 1932 1933 1934 1935 1936 1937 1938 1939 1940 1941 1942 1943 1944 1945 1946 1947 1948 1949 1950 1951 1952 1953 1954 1955 1956 1957 1958 1959 1960 1961 1962 1963 1964 1965 1966 1967 1968 1969 1970 1971 1972 1973 1974 1975 1976 1977 1978 1979 1980 1981 1982 1983 1984 1985 1986 1987 1988 1989 1990 1991 1992 1993 1994 1995 1996 1997 1998 1999 2000 2001 2002 2003 2004 2005 2006 2007 2008 2009 2010 2011 2012 2013 2014 2015 2016 2017 2018 2019 2020 2021 2022 2023 2024 2025 2026 2027 2028 2029 2030 2031 2032 2033 2034 2035 2036 2037 2038 2039 2040 2041 2042 2043 2044 2045 2046 2047 2048 2049 2050 2051 2052 2053 2054 2055 2056 2057 2058 2059 2060 2061 2062 2063 2064 2065 2066 2067 2068 2069 2070 2071 2072 2073 2074 2075 2076 2077 2078 2079 2080 2081 2082 2083 2084 2085 2086 2087 2088 2089 2090 2091 2092 2093 2094 2095 2096 2097 2098 2099 2100 2101 2102 2103 2104 2105 2106 2107 2108 2109 2110 2111 2112 2113 2114 2115 2116 2117 2118 2119 2120 2121 2122 2123 2124 2125 2126 2127 2128 2129 2130 2131 2132 2133 2134 2135 2136 2137 2138 2139 2140 2141 2142 2143 2144 2145 2146 2147 2148 2149 2150 2151 2152 2153 2154 2155 2156 2157 2158 2159 2160 2161 2162 2163 2164 2165 2166 2167 2168 2169 2170 2171 2172 2173 2174 2175 2176 2177 2178 2179 2180 2181 2182 2183 2184 2185 2186 2187 2188 2189 2190 2191 2192 2193 2194 2195 2196 2197 2198 2199 2200 2201 2202 2203 2204 2205 2206 2207 2208 2209 2210 2211 2212 2213 2214 2215 2216 2217 2218 2219 2220 2221 2222 2223 2224 2225 2226 2227 2228 2229 2230 2231 2232 2233 2234 2235 2236 2237 2238 2239 2240 2241 2242 2243 2244 2245 2246 2247 2248 2249 2250 2251 2252 2253 2254 2255 2256 2257 2258 2259 2260 2261 2262 2263 2264 2265 2266 2267 2268 2269 2270 2271 2272 2273 2274 2275 2276 2277 2278 2279 2280 2281 2282 2283 2284 2285 2286 2287 2288 2289 2290 2291 2292 2293 2294 2295 2296 2297 2298 2299 2300 2301 2302 2303 2304 2305 2306 2307 2308 2309 2310 2311 2312 2313 2314 2315 2316 2317 2318 2319 2320 2321 2322 2323 2324 2325 2326 2327 2328 2329 2330 2331 2332 2333 2334 2335 2336 2337 2338 2339 2340 2341 2342 2343 2344 2345 2346 2347 2348 2349 2350 2351 2352 2353 2354 2355 2356 2357 2358 2359 2360 2361 2362 2363 2364 2365 2366 2367 2368 2369 2370 2371 2372 2373 2374 2375 2376 2377 2378 2379 2380 2381 2382 2383 2384 2385 2386 2387 2388 2389 2390 2391 2392 2393 2394 2395 2396 2397 2398 2399 2400 2401 2402 2403 2404 2405 2406 2407 2408 2409 2410 2411 2412 2413 2414 2415 2416 2417 2418 2419 2420 2421 2422 2423 2424 2425 2426 2427 2428 2429 2430 2431 2432 2433 2434 2435 2436 2437 2438 2439 2440 2441 2442 2443 2444 2445 2446 2447 2448 2449 2450 2451 2452 2453 2454 2455 2456 2457 2458 2459 2460 2461 2462 2463 2464 2465 2466 2467 2468 2469 2470 2471 2472 2473 2474 2475 2476 2477 2478 2479 2480 2481 2482 2483 2484 2485 2486 2487 2488 2489 2490 2491 2492 2493 2494 2495 2496 2497 2498 2499 2500 2501 2502 2503 2504 2505 2506 2507 2508 2509 2510 2511 2512 2513 2514 2515 2516 2517 2518 2519 2520 2521 2522 2523 2524 2525 2526 2527 2528 2529 2530 2531 2532 2533 2534 2535 2536 2537 2538 2539 2540 2541 2542 2543 2544 2545 2546 2547 2548 2549 2550 2551 2552 2553 2554 2555 2556 2557 2558 2559 2560 2561 2562 2563 2564 2565 2566 2567 2568 2569 2570 2571 2572 2573 2574 2575 2576 2577 2578 2579 2580 2581 2582 2583 2584 2585 2586 2587 2588 2589 2590 2591 2592 2593 2594 2595 2596 2597 2598 2599 2600 2601 2602 2603 2604 2605 2606 2607 2608 2609 2610 2611 2612 2613 2614 2615 2616 2617 2618 2619 2620 2621 2622 2623 2624 2625 2626 2627 2628 2629 2630 2631 2632 2633 2634 2635 2636 2637 2638 2639 2640 2641 2642 2643 2644 2645 2646 2647 2648 2649 2650 2651 2652 2653 2654 2655 2656 2657 2658 2659 2660 2661 2662 2663 2664 2665 2666 2667 2668 2669 2670 2671 2672 2673 2674 2675 2676 2677 2678 2679 2680 2681 2682 2683 2684 2685 2686 2687 2688 2689 2690 2691 2692 2693 2694 2695 2696 2697 2698 2699 2700 2701 2702 2703 2704 2705 2706 2707 2708 2709 2710 2711 2712 2713 2714 2715 2716 2717 2718 2719 2720 2721 2722 2723 2724 2725 2726 2727 2728 2729 2730 2731 2732 2733 2734 2735 2736 2737 2738 2739 2740 2741 2742 2743 2744 2745 2746 2747 2748 2749 2750 2751 2752 2753 2754 2755 2756 2757 2758 2759 2760 2761 2762 2763 2764 2765 2766 2767 2768 2769 2770 2771 2772 2773 2774 2775 2776 2777 2778 2779 2780 2781 2782 2783 2784 2785 2786 2787 2788 2789 2790 2791 2792 2793 2794 2795 2796 2797 2798 2799 2800 2801 2802 2803 2804 2805 2806 2807 2808 2809 2810 2811 2812 2813 2814 2815 2816 2817 2818 2819 2820 2821 2822 2823 2824 2825 2826 2827 2828 2829 2830 2831 2832 2833 2834 2835 2836 2837 2838 2839 2840 2841 2842 2843 2844 2845 2846 2847 2848 2849 2850 2851 2852 2853 2854 2855 2856 2857 2858 2859 2860 2861 2862 2863 2864 2865 2866 2867 2868 2869 2870 2871 2872 2873 2874 2875 2876 2877 2878 2879 2880 2881 2882 2883 2884 2885 2886 2887 2888 2889 2890 2891 2892 2893 2894 2895 2896 2897 2898 2899 2900 2901 2902 2903 2904 2905 2906 2907 2908 2909 2910 2911 2912 2913 2914 2915 2916 2917 2918 2919 2920 2921 2922 2923 2924 2925 2926 2927 2928 2929 2930 2931 2932 2933 2934 2935 2936 2937 2938 2939 2940 2941 2942 2943 2944 2945 2946 2947 2948 2949 2950 2951 2952 2953 2954 2955 2956 2957 2958 2959 2960 2961 2962 2963 2964 2965 2966 2967 2968 2969 2970 2971 2972 2973 2974 2975 2976 2977 2978 2979 2980 2981 2982 2983 2984 2985 2986 2987 2988 2989 2990 2991 2992 2993 2994 2995 2996 2997 2998 2999 3000 3001 3002 3003 3004 3005 3006 3007 3008 3009 3010 3011 3012 3013 3014 3015 3016 3017 3018 3019 3020 3021 3022 3023 3024 3025 3026 3027 3028 3029 3030 3031 3032 3033 3034 3035 3036 3037 3038 3039 3040 3041 3042 3043 3044 3045 3046 3047 3048 3049 3050 3051 3052 3053 3054 3055 3056 3057 3058 3059 3060 3061 3062 3063 3064 3065 3066 3067 3068 3069 3070 3071 3072 3073 3074 3075 3076 3077 3078 3079 3080 3081 3082 3083 3084 3085 3086 3087 3088 3089 3090 3091 3092 3093 3094 3095 3096 3097 3098 3099 3100 3101 3102 3103 3104 3105 3106 3107 3108 3109 3110 3111 3112 3113 3114 3115 3116 3117 3118 3119 3120 3121 3122 3123 3124 3125 3126 3127 3128 3129 3130 3131 3132 3133 3134 3135 3136 3137 3138 3139 3140 3141 3142 3143 3144 3145 3146 3147 3148 3149 3150 3151 3152 3153 3154 3155 3156 3157 3158 3159 3160 3161 3162 3163 3164 3165 3166 3167 3168 3169 3170 3171 3172 3173 3174 3175 3176 3177 3178 3179 3180 3181 3182 3183 3184 3185 3186 3187 3188 3189 3190 3191 3192 3193 3194 3195 3196 3197 3198 3199 3200 3201 3202 3203 3204 3205 3206 3207 3208 3209 3210 3211 3212 3213 3214 3215 3216 3217 3218 3219 3220 3221 3222 3223 3224 3225 3226 3227 3228 3229 3230 3231 3232 3233 3234 3235 3236 3237 3238 3239 3240 3241 3242 3243 3244 3245 3246 3247 3248 3249 3250 3251 3252 3253 3254 3255 3256 3257 3258 3259 3260 3261 3262 3263 3264 3265 3266 3267 3268 3269 3270 3271 3272 3273 3274 3275 3276 3277 3278 3279 3280 3281 3282 3283 3284 3285 3286 3287 3288 3289 3290 3291 3292 3293 3294 3295 3296 3297 3298 3299 3300 3301 3302 3303 3304 3305 3306 3307 3308 3309 3310 3311 3312 3313 3314 3315 3316 3317 3318 3319 3320 3321 3322 3323 3324 3325 3326 3327 3328 3329 3330 3331 3332 3333 3334 3335 3336 3337 3338 3339 3340 3341 3342 3343 3344 3345 3346 3347 3348 3349 3350 3351 3352 3353 3354 3355 3356 3357 3358 3359 3360 3361 3362 3363 3364 3365 3366 3367 3368 3369 3370 3371 3372 3373 3374 3375 3376 3377 3378 3379 3380 3381 3382 3383 3384 3385 3386 3387 3388 3389 3390 3391 3392 3393 3394 3395 3396 3397 3398 3399 3400 3401 3402 3403 3404 3405 3406 3407 3408 3409 3410 3411 3412 3413 3414 3415 3416 3417 3418 3419 3420 3421 3422 3423 3424 3425 3426 3427 3428 3429 3430 3431 3432 3433 3434 3435 3436 3437 3438 3439 3440 3441 3442 3443 3444 3445 3446 3447 3448 3449 3450 3451 3452 3453 3454 3455 3456 3457 3458 3459 3460 3461 3462 3463 3464 3465 3466 3467 3468 3469 3470 3471 3472 3473 3474 3475 3476 3477 3478 3479 3480 3481 3482 3483 3484 3485 3486 3487 3488 3489 3490 3491 3492 3493 3494 3495 3496 3497 3498 3499 3500 3501 3502 3503 3504 3505 3506 3507 3508 3509 3510 3511 3512 3513 3514 3515 3516 3517 3518 3519 3520 3521 3522 3523 3524 3525 3526 3527 3528 3529 3530 3531 3532 3533 3534 3535 3536 3537 3538 3539 3540 3541 3542 3543 3544 3545 3546 3547 3548 3549 3550 3551 3552 3553 3554 3555 3556 3557 3558 3559 3560 3561 3562 3563 3564 3565 3566 3567 3568 3569 3570 3571 3572 3573 3574 3575 3576 3577 3578 3579 3580 3581 3582 3583 3584 3585 3586 3587 3588 3589 3590 3591 3592 3593 3594 3595 3596 3597 3598 3599 3600 3601 3602 3603 3604 3605 3606 3607 3608 3609 3610 3611 3612 3613 3614 3615 3616 3617 3618 3619 3620 3621 3622 3623 3624 3625 3626 3627 3628 3629 3630 3631 3632 3633 3634 3635 3636 3637 3638 3639 3640 3641 3642 3643 3644 3645 3646 3647 3648 3649 3650 3651 3652 3653 3654 3655 3656 3657 3658 3659 3660 3661 3662 3663 3664 3665 3666 3667 3668 3669 3670 3671 3672 3673 3674 3675 3676 3677 3678 3679 3680 3681 3682 3683 3684 3685 3686 3687 3688 3689 3690 3691 3692 3693 3694 3695 3696 3697 3698 3699 3700 3701 3702 3703 3704 3705 3706 3707 3708 3709 3710 3711 3712 3713 3714 3715 3716 3717 3718 3719 3720 3721 3722 3723 3724 3725 3726 3727 3728 3729 3730 3731 3732 3733 3734 3735 3736 3737 3738 3739 3740 3741 3742 3743 3744 3745 3746 3747 3748 3749 3750 3751 3752 3753 3754 3755 3756 3757 3758 3759 3760 3761 3762 3763 3764 3765 3766 3767 3768 3769 3770 3771 3772 3773 3774 3775 3776 3777 3778 3779 3780 3781 3782 3783 3784 3785 3786 3787 3788 3789 3790 3791 3792 3793 3794 3795 3796 3797 3798 3799 3800 3801 3802 3803 3804 3805 3806 3807 3808 3809 3810 3811 3812 3813 3814 3815 3816 3817 3818 3819 3820 3821 3822 3823 3824 3825 3826 3827 3828 3829 3830 3831 3832 3833 3834 3835 3836 3837 3838 3839 3840 3841 3842 3843 3844 3845 3846 3847 3848 3849 3850 3851 3852 3853 3854 3855 3856 3857 3858 3859 3860 3861 3862 3863 3864 3865 3866 3867 3868 3869 3870 3871 3872 3873 3874 3875 3876 3877 3878 3879 3880 3881 3882 3883 3884 3885 3886 3887 3888 3889 3890 3891 3892 3893 3894 3895 3896 3897 3898 3899 3900 3901 3902 3903 3904 3905 3906 3907 3908 3909 3910 3911 3912 3913 3914 3915 3916 3917 3918 3919 3920 3921 3922 3923 3924 3925 3926 3927 3928 3929 3930 3931 3932 3933 3934 3935 3936 3937 3938 3939 3940 3941 3942 3943 3944 3945 3946 3947 3948 3949 3950 3951 3952 3953 3954 3955 3956 3957 3958 3959 3960 3961 3962 3963 3964 3965 3966 3967 3968 3969 3970 3971 3972 3973 3974 3975 3976 3977 3978 3979 3980 3981 3982 3983 3984 3985 3986 3987 3988 3989 3990 3991 3992 3993 3994 3995 3996 3997 3998 3999 4000 4001 4002 4003 4004 4005 4006 4007 4008 4009 4010 4011 4012 4013 4014 4015 4016 4017 4018 4019 4020 4021 4022 4023 4024 4025 4026 4027 4028 4029 4030 4031 4032 4033 4034 4035 4036 4037 4038 4039 4040 4041 4042 4043 4044 4045 4046 4047 4048 4049 4050 4051 4052 4053 4054 4055 4056 4057 4058 4059 4060 4061 4062 4063 4064 4065 4066 4067 4068 4069 4070 4071 4072 4073 4074 4075 4076 4077 4078 4079 4080 4081 4082 4083 4084 4085 4086 4087 4088 4089 4090 4091 4092 4093 4094 4095 4096 4097 4098 4099 4100 4101 4102 4103 4104 4105 4106 4107 4108 4109 4110 4111 4112 4113 4114 4115 4116 4117 4118 4119 4120 4121 4122 4123 4124 4125 4126 4127 4128 4129 4130 4131 4132 4133 4134 4135 4136 4137 4138 4139 4140 4141 4142 4143 4144 4145 4146 4147 4148 4149 4150 4151 4152 4153 4154 4155 4156 4157 4158 4159 4160 4161 4162 4163 4164 4165 4166 4167 4168 4169 4170 4171 4172 4173 4174 4175 4176 4177 4178 4179 4180 4181 4182 4183 4184 4185 4186 4187 4188 4189 4190 4191 4192 4193 4194 4195 4196 4197 4198 4199 4200 4201 4202 4203 4204 4205 4206 4207 4208 4209 4210 4211 4212 4213 4214 4215 4216 4217 4218 4219 4220 4221 4222 4223 4224 4225 4226 4227 4228 4229 4230 4231 4232 4233 4234 4235 4236 4237 4238 4239 4240 4241 4242 4243 4244 4245 4246 4247 4248 4249 4250 4251 4252 4253 4254 4255 4256 4257 4258 4259 4260 4261 4262 4263 4264 4265 4266 4267 4268 4269 4270 4271 4272 4273 4274 4275 4276 4277 4278 4279 4280 4281 4282 4283 4284 4285 4286 4287 4288 4289 4290 4291 4292 4293 4294 4295 4296 4297 4298 4299 4300 4301 4302 4303 4304 4305 4306 4307 4308 4309 4310 4311 4312 4313 4314 4315 4316 4317 4318 4319 4320 4321 4322 4323 4324 4325 4326 4327 4328 4329 4330 4331 4332 4333 4334 4335 4336 4337 4338 4339 4340 4341 4342 4343 4344 4345 4346 4347 4348 4349 4350 4351 4352 4353 4354 4355 4356 4357 4358 4359 4360 4361 4362 4363 4364 4365 4366 4367 4368 4369 4370 4371 4372 4373 4374 4375 4376 4377 4378 4379 4380 4381 4382 4383 4384 4385 4386 4387 4388 4389 4390 4391 4392 4393 4394 4395 4396 4397 4398 4399 4400 4401 4402 4403 4404 4405 4406 4407 4408 4409 4410 4411 4412 4413 4414 4415 4416 4417 4418 4419 4420 4421 4422 4423 4424 4425 4426 4427 4428 4429 4430 4431 4432 4433 4434 4435 4436 4437 4438 4439 4440 4441 4442 4443 4444 4445 4446 4447 4448 4449 4450 4451 4452 4453 4454 4455 4456 4457 4458 4459 4460 4461 4462 4463 4464 4465 4466 4467 4468 4469 4470 4471 4472 4473 4474 4475 4476 4477 4478 4479 4480 4481 4482 4483 4484 4485 4486 4487 4488 4489 4490 4491 4492 4493 4494 4495 4496 4497 4498 4499 4500 4501 4502 4503 4504 4505 4506 4507 4508 4509 4510 4511 4512 4513 4514 4515 4516 4517 4518 4519 4520 4521 4522 4523 4524 4525 4526 4527 4528 4529 4530 4531 4532 4533 4534 4535 4536 4537 4538 4539 4540 4541 4542 4543 4544 4545 4546 4547 4548 4549 4550 4551 4552 4553 4554 4555 4556 4557 4558 4559 4560 4561 4562 4563 4564 4565 4566 4567 4568 4569 4570 4571 4572 4573 4574 4575 4576 4577 4578 4579 4580 4581 4582 4583 4584 4585 4586 4587 4588 4589 4590 4591 4592 4593 4594 4595 4596 4597 4598 4599 4600 4601 4602 4603 4604 4605 4606 4607 4608 4609 4610 4611 4612 4613 4614 4615 4616 4617 4618 4619 4620 4621 4622 4623 4624 4625 4626 4627 4628 4629 4630 4631 4632 4633 4634 4635 4636 4637 4638 4639 4640 4641 4642 4643 4644 4645 4646 4647 4648 4649 4650 4651 4652 4653 4654 4655 4656 4657 4658 4659 4660 4661 4662 4663 4664 4665 4666 4667 4668 4669 4670 4671 4672 4673 4674 4675 4676 4677 4678 4679 4680 4681 4682 4683 4684 4685 4686 4687 4688 4689 4690 4691 4692 4693 4694 4695 4696 4697 4698 4699 4700 4701 4702 4703 4704 4705 4706 4707 4708 4709 4710 4711 4712 4713 4714 4715 4716 4717 4718 4719 4720 4721 4722 4723 4724 4725 4726 4727 4728 4729 4730 4731 4732 4733 4734 4735 4736 4737 4738 4739 4740 4741 4742 4743 4744 4745 4746 4747 4748 4749 4750 4751 4752 4753 4754 4755 4756 4757 4758 4759 4760 4761 4762 4763 4764 4765 4766 4767 4768 4769 4770 4771 4772 4773 4774 4775))
           (list :vertices #2f((-20.000000 -28.500000 54.671001)(-20.000000 -28.500000 45.000000)(-15.507700 -28.500000 54.671001)(-15.507700 -28.500000 54.671001)(-20.000000 -28.500000 45.000000)(-12.609800 -28.500000 54.671001)(-12.609800 -28.500000 54.671001)(-20.000000 -28.500000 45.000000)(-7.975369 -28.500000 54.671001)(7.053750 -28.500000 54.671001)(6.229510 -28.500000 45.000000)(9.737000 -28.500000 54.671001)(9.737000 -28.500000 54.671001)(6.229510 -28.500000 45.000000)(13.656500 -28.500000 54.671001)(13.656500 -28.500000 54.671001)(6.229510 -28.500000 45.000000)(15.857599 -28.500000 54.671001)(15.857599 -28.500000 54.671001)(6.229510 -28.500000 45.000000)(18.912800 -28.500000 54.671001)(7.053750 -28.500000 54.671001)(2.295100 -28.500000 54.671001)(-0.543607 -28.500000 49.835499)(2.295100 -28.500000 54.671001)(-0.476526 -28.500000 54.671001)(-0.543607 -28.500000 49.835499)(-0.476526 -28.500000 54.671001)(-5.366700 -28.500000 54.671001)(-0.543607 -28.500000 49.835499)(-5.366700 -28.500000 54.671001)(-7.975369 -28.500000 54.671001)(-0.543607 -28.500000 49.835499)(-20.000000 -28.500000 45.000000)(6.229510 -28.500000 45.000000)(-0.543607 -28.500000 49.835499)(-7.975369 -28.500000 54.671001)(-20.000000 -28.500000 45.000000)(-0.543607 -28.500000 49.835499)(6.229510 -28.500000 45.000000)(7.053750 -28.500000 54.671001)(-0.543607 -28.500000 49.835499)(20.000000 27.923500 54.671001)(20.000000 -28.500000 54.671001)(20.000000 -23.000000 45.000000)(20.000000 -23.000000 45.000000)(20.000000 -28.500000 54.671001)(20.000000 -28.500000 45.000000)(20.000000 27.923500 54.671001)(20.000000 -23.000000 45.000000)(20.000000 -23.000000 27.892200)(20.000000 27.923500 54.671001)(19.999201 29.499899 31.500000)(20.000000 29.500000 54.671001)(20.000000 27.923500 54.671001)(19.999300 24.000000 31.500000)(19.999201 29.499899 31.500000)(20.000000 -23.000000 27.892200)(20.000000 -23.000000 25.000000)(19.999100 24.000000 25.000000)(20.000000 -23.000000 27.892200)(19.999100 24.000000 25.000000)(19.999300 24.000000 31.500000)(20.000000 -23.000000 27.892200)(19.999300 24.000000 31.500000)(20.000000 27.923500 54.671001)(11.911500 29.500000 54.671001)(15.857599 29.500000 54.671001)(11.474600 29.500000 31.500000)(15.857599 29.500000 54.671001)(18.111300 29.500000 54.671001)(19.999201 29.499899 31.500000)(18.111300 29.500000 54.671001)(20.000000 29.500000 54.671001)(19.999201 29.499899 31.500000)(11.474600 29.500000 31.500000)(15.857599 29.500000 54.671001)(19.999201 29.499899 31.500000)(9.737000 29.500000 54.671001)(11.911500 29.500000 54.671001)(0.543593 29.500000 43.085499)(11.474600 29.500000 31.500000)(-18.912800 29.500000 54.671001)(0.543593 29.500000 43.085499)(-18.912800 29.500000 54.671001)(-17.895401 29.500000 54.671001)(0.543593 29.500000 43.085499)(-17.895401 29.500000 54.671001)(-12.609800 29.500000 54.671001)(0.543593 29.500000 43.085499)(-12.609800 29.500000 54.671001)(-10.085299 29.500000 54.671001)(0.543593 29.500000 43.085499)(-10.085299 29.500000 54.671001)(-5.366700 29.500000 54.671001)(0.543593 29.500000 43.085499)(-5.366700 29.500000 54.671001)(-2.680180 29.500000 54.671001)(0.543593 29.500000 43.085499)(-2.680180 29.500000 54.671001)(2.295100 29.500000 54.671001)(0.543593 29.500000 43.085499)(2.295100 29.500000 54.671001)(4.929830 29.500000 54.671001)(0.543593 29.500000 43.085499)(4.929830 29.500000 54.671001)(9.737000 29.500000 54.671001)(0.543593 29.500000 43.085499)(11.911500 29.500000 54.671001)(11.474600 29.500000 31.500000)(0.543593 29.500000 43.085499)(6.229510 -28.500000 45.000000)(20.000000 -28.500000 45.000000)(18.912800 -28.500000 54.671001)(18.912800 -28.500000 54.671001)(20.000000 -28.500000 45.000000)(19.922800 -28.500000 54.671001)(19.922800 -28.500000 54.671001)(20.000000 -28.500000 45.000000)(20.000000 -28.500000 54.671001)(-20.000000 27.923500 54.671001)(-20.000000 -23.000000 27.892200)(-20.000000 -23.000000 45.000000)(-20.000000 -23.000000 45.000000)(-20.000000 -28.500000 45.000000)(-20.000000 -28.500000 54.671001)(-20.000000 27.923500 54.671001)(-20.000000 -23.000000 45.000000)(-20.000000 -28.500000 54.671001)(-20.000000 -28.500000 45.000000)(-19.980200 -28.500000 25.015100)(6.229510 -28.500000 45.000000)(20.000000 -23.000000 27.892200)(20.000000 -23.000000 45.000000)(20.000000 -25.234600 26.717201)(20.000000 -28.500000 45.000000)(20.000000 -28.500000 25.000000)(20.000000 -25.750000 35.000000)(20.000000 -28.500000 25.000000)(20.000000 -25.234600 26.717201)(20.000000 -25.750000 35.000000)(20.000000 -25.234600 26.717201)(20.000000 -23.000000 45.000000)(20.000000 -25.750000 35.000000)(20.000000 -23.000000 45.000000)(20.000000 -28.500000 45.000000)(20.000000 -25.750000 35.000000)(20.000000 -23.000000 25.000000)(-2.222220 -23.000000 25.000000)(16.205999 24.000000 25.000000)(-2.222220 -23.000000 25.000000)(-16.207001 -23.000000 25.000000)(16.205999 24.000000 25.000000)(20.000000 -23.000000 25.000000)(16.205999 24.000000 25.000000)(19.999100 24.000000 25.000000)(20.000000 -24.222200 26.446100)(20.000000 -23.000000 25.000000)(20.000000 -23.000000 27.892200)(20.000000 -24.222200 26.446100)(20.000000 -25.444399 25.000000)(20.000000 -23.000000 25.000000)(20.000000 -24.222200 26.446100)(20.000000 -25.234600 26.717201)(20.000000 -25.444399 25.000000)(20.000000 -24.222200 26.446100)(20.000000 -23.000000 27.892200)(20.000000 -25.234600 26.717201)(-19.319000 24.000000 -5.176000)(20.000000 24.000000 0.000000)(13.031600 24.000000 25.000000)(13.031600 24.000000 25.000000)(20.000000 24.000000 0.000000)(16.205999 24.000000 25.000000)(16.205999 24.000000 25.000000)(20.000000 24.000000 0.000000)(19.999100 24.000000 25.000000)(19.999300 24.000000 31.500000)(20.000000 24.000000 0.000000)(19.999100 24.000000 25.000000)(11.474600 29.500000 31.500000)(19.999201 29.499899 31.500000)(19.998999 29.500000 25.000000)(-20.000000 29.500000 54.671001)(-18.912800 29.500000 54.671001)(-20.000000 29.500000 31.500000)(-20.000000 29.500000 25.000000)(-20.000000 29.500000 31.500000)(-20.000999 29.500000 25.000000)(-20.000000 29.500000 31.500000)(-18.912800 29.500000 54.671001)(11.474600 29.500000 31.500000)(-20.000000 29.500000 54.671001)(-20.000999 29.500000 25.000000)(-20.000000 29.500000 31.500000)(-19.980200 -28.500000 25.015100)(-19.980200 -28.500000 25.000000)(2.765450 -28.500000 25.000000)(-19.980200 -28.500000 25.015100)(2.765450 -28.500000 25.000000)(6.229510 -28.500000 45.000000)(6.229510 -28.500000 45.000000)(2.765450 -28.500000 25.000000)(20.000000 -28.500000 45.000000)(-20.000000 29.500000 54.671001)(-20.000999 29.500000 25.000000)(-20.000000 27.923500 54.671001)(-20.000999 29.500000 25.000000)(-20.000000 -23.000000 25.000000)(-20.000000 -23.000000 27.892200)(-20.000000 27.923500 54.671001)(-20.000999 29.500000 25.000000)(-20.000000 -23.000000 27.892200)(-20.000000 -28.500000 45.000000)(-20.000000 -23.000000 45.000000)(-20.000000 -25.750000 35.603901)(-20.000000 -23.000000 45.000000)(-20.000000 -23.000000 27.892200)(-20.000000 -25.750000 35.603901)(-20.000000 -23.000000 27.892200)(-20.000000 -26.203199 26.207800)(-20.000000 -25.750000 35.603901)(-20.000000 -26.203199 26.207800)(-20.000000 -28.500000 45.000000)(-20.000000 -25.750000 35.603901)(-20.000000 -28.500000 25.000000)(-19.980200 -28.500000 25.015100)(-20.000000 -28.500000 45.000000)(2.765450 -28.500000 25.000000)(20.000000 -28.500000 25.000000)(20.000000 -28.500000 45.000000)(20.000000 -28.500000 25.000000)(20.000000 -25.444399 25.000000)(20.000000 -25.234600 26.717201)(-2.222220 -23.000000 25.000000)(20.000000 -23.000000 25.000000)(20.000000 -23.000000 0.000000)(-16.207001 -23.000000 25.000000)(-2.222220 -23.000000 25.000000)(-20.000000 -23.000000 0.000000)(-20.000000 -23.000000 25.000000)(-16.207001 -23.000000 25.000000)(-20.000000 -23.000000 0.000000)(-20.000000 -23.000000 0.000000)(-2.222220 -23.000000 25.000000)(20.000000 -23.000000 0.000000)(-20.000000 29.500000 25.000000)(-20.000999 29.500000 25.000000)(-20.000000 25.134901 25.000000)(-20.000000 24.000000 25.000000)(-20.000000 25.134901 25.000000)(-20.000999 29.500000 25.000000)(-20.000000 24.000000 25.000000)(-20.000999 29.500000 25.000000)(-20.000000 -23.000000 25.000000)(-20.000000 24.000000 25.000000)(-19.879301 24.000000 25.000000)(-1.897500 3.250000 25.000000)(-19.879301 24.000000 25.000000)(13.031600 24.000000 25.000000)(-1.897500 3.250000 25.000000)(13.031600 24.000000 25.000000)(16.205999 24.000000 25.000000)(-1.897500 3.250000 25.000000)(16.205999 24.000000 25.000000)(-16.207001 -23.000000 25.000000)(-1.897500 3.250000 25.000000)(-16.207001 -23.000000 25.000000)(-20.000000 -23.000000 25.000000)(-1.897500 3.250000 25.000000)(-20.000000 -23.000000 25.000000)(-20.000000 24.000000 25.000000)(-1.897500 3.250000 25.000000)(20.000000 -23.000000 25.000000)(20.000000 -25.444399 25.000000)(20.000000 -23.000000 0.000000)(20.000000 -23.000000 0.000000)(20.000000 -25.444399 25.000000)(20.000000 -28.500000 0.000000)(19.999201 29.499899 31.500000)(19.999300 24.000000 31.500000)(20.000000 24.000000 0.000000)(-19.879301 24.000000 25.000000)(-19.319000 24.000000 -5.176000)(13.031600 24.000000 25.000000)(-19.319000 24.000000 -5.176000)(19.317999 24.000000 -5.176000)(20.000000 24.000000 0.000000)(-11.745999 29.500000 25.000000)(19.998999 29.500000 25.000000)(20.000000 29.500000 0.000000)(20.000000 29.500000 0.000000)(19.999201 29.499899 31.500000)(19.998999 29.500000 25.000000)(11.474600 29.500000 31.500000)(19.998999 29.500000 25.000000)(-0.000500 29.500000 28.250000)(19.998999 29.500000 25.000000)(-11.745999 29.500000 25.000000)(-0.000500 29.500000 28.250000)(-11.745999 29.500000 25.000000)(-20.000000 29.500000 31.500000)(-0.000500 29.500000 28.250000)(-20.000000 29.500000 31.500000)(11.474600 29.500000 31.500000)(-0.000500 29.500000 28.250000)(-20.000000 29.500000 25.000000)(-20.000000 29.500000 31.500000)(-11.745999 29.500000 25.000000)(-19.980200 -28.500000 25.015100)(-19.980200 -28.500000 25.000000)(-20.000000 -28.500000 25.000000)(-19.980200 -28.500000 25.000000)(-19.954000 -28.500000 -1.365000)(2.765450 -28.500000 25.000000)(-20.000000 -23.000000 27.892200)(-20.000000 -23.000000 25.000000)(-20.000000 -26.203199 26.207800)(-20.000000 -23.000000 25.000000)(-20.000000 -26.055601 25.000000)(-20.000000 -26.203199 26.207800)(-20.000000 -26.203199 26.207800)(-20.000000 -28.500000 25.000000)(-20.000000 -28.500000 45.000000)(-19.954000 -28.500000 -1.365000)(20.000000 -28.500000 0.000000)(2.765450 -28.500000 25.000000)(2.765450 -28.500000 25.000000)(20.000000 -28.500000 0.000000)(20.000000 -28.500000 25.000000)(20.000000 -25.444399 25.000000)(20.000000 -28.500000 25.000000)(20.000000 -28.500000 0.000000)(-19.954000 -23.000000 -1.365000)(-20.000000 -23.000000 0.000000)(20.000000 -23.000000 0.000000)(-20.000000 -23.000000 25.000000)(-20.000000 -23.000000 0.000000)(-20.000000 -26.055601 25.000000)(-20.000000 29.500000 0.000000)(-20.000000 24.000000 0.000000)(-20.000000 25.134901 25.000000)(-20.000000 25.134901 25.000000)(-20.000000 24.000000 0.000000)(-20.000000 24.000000 25.000000)(-20.000000 24.000000 25.000000)(-20.000000 24.000000 0.000000)(-19.879301 24.000000 25.000000)(-19.879301 24.000000 25.000000)(-20.000000 24.000000 0.000000)(-19.319000 24.000000 -5.176000)(-20.000000 29.500000 25.000000)(-20.000000 29.500000 0.000000)(-20.000000 25.134901 25.000000)(19.952999 -23.000000 -1.365000)(20.000000 -23.000000 0.000000)(20.000000 -28.500000 0.000000)(20.000000 29.500000 0.000000)(19.999201 29.499899 31.500000)(20.000000 24.000000 0.000000)(-19.319000 24.000000 -5.176000)(17.320000 24.000000 -10.000000)(19.317999 24.000000 -5.176000)(19.317999 29.500000 -5.176000)(20.000000 24.000000 0.000000)(19.317999 24.000000 -5.176000)(-20.000000 29.500000 25.000000)(-11.745999 29.500000 25.000000)(-20.000000 29.500000 0.000000)(-20.000000 29.500000 0.000000)(-11.745999 29.500000 25.000000)(20.000000 29.500000 0.000000)(-20.000000 -28.500000 25.000000)(-20.000000 -28.500000 0.000000)(-19.980200 -28.500000 25.000000)(-20.000000 -28.500000 0.000000)(-19.954000 -28.500000 -1.365000)(-19.980200 -28.500000 25.000000)(-20.000000 -26.203199 26.207800)(-20.000000 -26.055601 25.000000)(-20.000000 -28.500000 25.000000)(-19.954000 -28.500000 -1.365000)(19.952999 -28.500000 -1.365000)(20.000000 -28.500000 0.000000)(-18.845999 -23.000000 -6.698000)(-19.954000 -23.000000 -1.365000)(20.000000 -23.000000 0.000000)(-20.000000 -23.000000 0.000000)(-19.954000 -23.000000 -1.365000)(-19.954000 -28.500000 -1.365000)(-20.000000 -23.000000 0.000000)(-20.000000 -28.500000 0.000000)(-20.000000 -26.055601 25.000000)(-20.000000 -26.055601 25.000000)(-20.000000 -28.500000 0.000000)(-20.000000 -28.500000 25.000000)(-20.000000 29.500000 0.000000)(-19.319000 24.000000 -5.176000)(-20.000000 24.000000 0.000000)(19.952999 -23.000000 -1.365000)(20.000000 -28.500000 0.000000)(19.952999 -28.500000 -1.365000)(19.952999 -23.000000 -1.365000)(18.844999 -23.000000 -6.698000)(20.000000 -23.000000 0.000000)(19.317999 29.500000 -5.176000)(20.000000 29.500000 0.000000)(20.000000 24.000000 0.000000)(-19.319000 24.000000 -5.176000)(14.142000 24.000000 -14.142000)(17.320000 24.000000 -10.000000)(17.320000 29.500000 -10.000000)(19.317999 24.000000 -5.176000)(17.320000 24.000000 -10.000000)(17.320000 29.500000 -10.000000)(19.317999 29.500000 -5.176000)(19.317999 24.000000 -5.176000)(-19.319000 29.500000 -5.176000)(-20.000000 29.500000 0.000000)(20.000000 29.500000 0.000000)(-20.000000 -23.000000 0.000000)(-19.954000 -28.500000 -1.365000)(-20.000000 -28.500000 0.000000)(-19.954000 -28.500000 -1.365000)(18.844999 -28.500000 -6.698000)(19.952999 -28.500000 -1.365000)(-16.340000 -23.000000 -11.533999)(-18.845999 -23.000000 -6.698000)(20.000000 -23.000000 0.000000)(-19.954000 -23.000000 -1.365000)(-18.845999 -23.000000 -6.698000)(-18.845999 -28.500000 -6.698000)(-19.954000 -23.000000 -1.365000)(-18.845999 -28.500000 -6.698000)(-19.954000 -28.500000 -1.365000)(-20.000000 29.500000 0.000000)(-19.319000 29.500000 -5.176000)(-19.319000 24.000000 -5.176000)(18.844999 -23.000000 -6.698000)(19.952999 -23.000000 -1.365000)(19.952999 -28.500000 -1.365000)(18.844999 -23.000000 -6.698000)(16.339001 -23.000000 -11.533999)(20.000000 -23.000000 0.000000)(19.317999 29.500000 -5.176000)(17.320000 29.500000 -10.000000)(20.000000 29.500000 0.000000)(-19.319000 24.000000 -5.176000)(9.999000 24.000000 -17.320999)(14.142000 24.000000 -14.142000)(14.142000 29.500000 -14.142000)(17.320000 24.000000 -10.000000)(14.142000 24.000000 -14.142000)(14.142000 29.500000 -14.142000)(17.320000 29.500000 -10.000000)(17.320000 24.000000 -10.000000)(-17.320999 29.500000 -10.000000)(-19.319000 29.500000 -5.176000)(20.000000 29.500000 0.000000)(-19.954000 -28.500000 -1.365000)(16.339001 -28.500000 -11.533999)(18.844999 -28.500000 -6.698000)(18.844999 -23.000000 -6.698000)(19.952999 -28.500000 -1.365000)(18.844999 -28.500000 -6.698000)(-12.622000 -23.000000 -15.514000)(-16.340000 -23.000000 -11.533999)(20.000000 -23.000000 0.000000)(-18.845999 -23.000000 -6.698000)(-16.340000 -23.000000 -11.533999)(-16.340000 -28.500000 -11.533999)(-18.845999 -23.000000 -6.698000)(-16.340000 -28.500000 -11.533999)(-18.845999 -28.500000 -6.698000)(-18.845999 -28.500000 -6.698000)(-16.340000 -28.500000 -11.533999)(-19.954000 -28.500000 -1.365000)(-19.319000 29.500000 -5.176000)(-17.320999 24.000000 -10.000000)(-19.319000 24.000000 -5.176000)(20.000000 -23.000000 0.000000)(16.339001 -23.000000 -11.533999)(12.621000 -23.000000 -15.514000)(16.339001 -23.000000 -11.533999)(18.844999 -23.000000 -6.698000)(18.844999 -28.500000 -6.698000)(20.000000 29.500000 0.000000)(17.320000 29.500000 -10.000000)(14.142000 29.500000 -14.142000)(-19.319000 24.000000 -5.176000)(5.176000 24.000000 -19.319000)(9.999000 24.000000 -17.320999)(14.142000 24.000000 -14.142000)(9.999000 24.000000 -17.320999)(9.999000 29.500000 -17.320999)(14.142000 24.000000 -14.142000)(9.999000 29.500000 -17.320999)(14.142000 29.500000 -14.142000)(-14.143001 29.500000 -14.142000)(-17.320999 29.500000 -10.000000)(20.000000 29.500000 0.000000)(-19.319000 29.500000 -5.176000)(-17.320999 29.500000 -10.000000)(-17.320999 24.000000 -10.000000)(-19.954000 -28.500000 -1.365000)(12.621000 -28.500000 -15.514000)(16.339001 -28.500000 -11.533999)(16.339001 -23.000000 -11.533999)(18.844999 -28.500000 -6.698000)(16.339001 -28.500000 -11.533999)(-7.969000 -23.000000 -18.344000)(-12.622000 -23.000000 -15.514000)(20.000000 -23.000000 0.000000)(-16.340000 -23.000000 -11.533999)(-12.622000 -23.000000 -15.514000)(-12.622000 -28.500000 -15.514000)(-16.340000 -23.000000 -11.533999)(-12.622000 -28.500000 -15.514000)(-16.340000 -28.500000 -11.533999)(-16.340000 -28.500000 -11.533999)(-12.622000 -28.500000 -15.514000)(-19.954000 -28.500000 -1.365000)(-17.320999 24.000000 -10.000000)(-14.143001 24.000000 -14.142000)(-19.319000 24.000000 -5.176000)(7.967000 -23.000000 -18.344000)(20.000000 -23.000000 0.000000)(12.621000 -23.000000 -15.514000)(12.621000 -23.000000 -15.514000)(16.339001 -23.000000 -11.533999)(16.339001 -28.500000 -11.533999)(9.999000 29.500000 -17.320999)(20.000000 29.500000 0.000000)(14.142000 29.500000 -14.142000)(-19.319000 24.000000 -5.176000)(-0.001000 24.000000 -20.000000)(5.176000 24.000000 -19.319000)(9.999000 24.000000 -17.320999)(5.176000 24.000000 -19.319000)(5.176000 29.500000 -19.319000)(9.999000 24.000000 -17.320999)(5.176000 29.500000 -19.319000)(9.999000 29.500000 -17.320999)(-10.001000 29.500000 -17.320999)(-14.143001 29.500000 -14.142000)(20.000000 29.500000 0.000000)(-17.320999 29.500000 -10.000000)(-14.143001 29.500000 -14.142000)(-14.143001 24.000000 -14.142000)(-17.320999 29.500000 -10.000000)(-14.143001 24.000000 -14.142000)(-17.320999 24.000000 -10.000000)(-19.954000 -28.500000 -1.365000)(7.967000 -28.500000 -18.344000)(12.621000 -28.500000 -15.514000)(12.621000 -23.000000 -15.514000)(16.339001 -28.500000 -11.533999)(12.621000 -28.500000 -15.514000)(-2.724000 -23.000000 -19.813999)(-7.969000 -23.000000 -18.344000)(20.000000 -23.000000 0.000000)(-7.969000 -28.500000 -18.344000)(-12.622000 -23.000000 -15.514000)(-7.969000 -23.000000 -18.344000)(-7.969000 -28.500000 -18.344000)(-12.622000 -28.500000 -15.514000)(-12.622000 -23.000000 -15.514000)(-12.622000 -28.500000 -15.514000)(-7.969000 -28.500000 -18.344000)(-19.954000 -28.500000 -1.365000)(-14.143001 24.000000 -14.142000)(-10.001000 24.000000 -17.320999)(-19.319000 24.000000 -5.176000)(2.723000 -23.000000 -19.813999)(20.000000 -23.000000 0.000000)(7.967000 -23.000000 -18.344000)(12.621000 -28.500000 -15.514000)(7.967000 -23.000000 -18.344000)(12.621000 -23.000000 -15.514000)(5.176000 29.500000 -19.319000)(20.000000 29.500000 0.000000)(9.999000 29.500000 -17.320999)(-19.319000 24.000000 -5.176000)(-5.177000 24.000000 -19.319000)(-0.001000 24.000000 -20.000000)(5.176000 24.000000 -19.319000)(-0.001000 24.000000 -20.000000)(-0.001000 29.500000 -20.000000)(5.176000 24.000000 -19.319000)(-0.001000 29.500000 -20.000000)(5.176000 29.500000 -19.319000)(-5.177000 29.500000 -19.319000)(-10.001000 29.500000 -17.320999)(20.000000 29.500000 0.000000)(-10.001000 24.000000 -17.320999)(-14.143001 29.500000 -14.142000)(-10.001000 29.500000 -17.320999)(-10.001000 24.000000 -17.320999)(-14.143001 24.000000 -14.142000)(-14.143001 29.500000 -14.142000)(-19.954000 -28.500000 -1.365000)(2.723000 -28.500000 -19.813999)(7.967000 -28.500000 -18.344000)(12.621000 -28.500000 -15.514000)(7.967000 -28.500000 -18.344000)(7.967000 -23.000000 -18.344000)(-2.724000 -23.000000 -19.813999)(20.000000 -23.000000 0.000000)(2.723000 -23.000000 -19.813999)(-2.724000 -28.500000 -19.813999)(-7.969000 -23.000000 -18.344000)(-2.724000 -23.000000 -19.813999)(-2.724000 -28.500000 -19.813999)(-7.969000 -28.500000 -18.344000)(-7.969000 -23.000000 -18.344000)(-7.969000 -28.500000 -18.344000)(-2.724000 -28.500000 -19.813999)(-19.954000 -28.500000 -1.365000)(-10.001000 24.000000 -17.320999)(-5.177000 24.000000 -19.319000)(-19.319000 24.000000 -5.176000)(7.967000 -28.500000 -18.344000)(2.723000 -23.000000 -19.813999)(7.967000 -23.000000 -18.344000)(-0.001000 29.500000 -20.000000)(20.000000 29.500000 0.000000)(5.176000 29.500000 -19.319000)(-0.001000 24.000000 -20.000000)(-5.177000 24.000000 -19.319000)(-5.177000 29.500000 -19.319000)(-0.001000 24.000000 -20.000000)(-5.177000 29.500000 -19.319000)(-0.001000 29.500000 -20.000000)(-0.001000 29.500000 -20.000000)(-5.177000 29.500000 -19.319000)(20.000000 29.500000 0.000000)(-5.177000 24.000000 -19.319000)(-10.001000 29.500000 -17.320999)(-5.177000 29.500000 -19.319000)(-5.177000 24.000000 -19.319000)(-10.001000 24.000000 -17.320999)(-10.001000 29.500000 -17.320999)(-19.954000 -28.500000 -1.365000)(-2.724000 -28.500000 -19.813999)(2.723000 -28.500000 -19.813999)(7.967000 -28.500000 -18.344000)(2.723000 -28.500000 -19.813999)(2.723000 -23.000000 -19.813999)(2.723000 -28.500000 -19.813999)(-2.724000 -23.000000 -19.813999)(2.723000 -23.000000 -19.813999)(2.723000 -28.500000 -19.813999)(-2.724000 -28.500000 -19.813999)(-2.724000 -23.000000 -19.813999)(64.883301 -76.285896 52.691002)(64.883301 76.285896 52.691002)(78.493996 -35.100800 52.691002)(78.493996 35.100800 52.691002)(78.493996 -35.100800 52.691002)(64.883301 76.285896 52.691002)(64.883301 76.285896 52.691002)(64.883301 -76.285896 52.691002)(53.206898 90.937698 53.990200)(64.883301 -76.285896 52.691002)(53.206898 -90.937698 53.990200)(53.206898 90.937698 53.990200)(53.206898 -90.937698 53.990200)(45.529900 95.866501 54.478199)(53.206898 90.937698 53.990200)(53.206898 -90.937698 53.990200)(45.529900 -95.866501 54.478199)(45.529900 95.866501 54.478199)(45.529900 -95.866501 54.478199)(33.112999 101.930000 56.679699)(45.529900 95.866501 54.478199)(45.529900 -95.866501 54.478199)(33.112999 -101.930000 56.679699)(33.112999 101.930000 56.679699)(18.596601 -104.157997 58.672501)(9.737000 -101.774002 54.671001)(33.112999 -101.930000 56.679699)(33.112999 -101.930000 56.679699)(22.207399 101.649002 54.671001)(33.112999 101.930000 56.679699)(6.444800 -103.478996 60.388199)(9.737000 -101.774002 54.671001)(18.596601 -104.157997 58.672501)(33.112999 -101.930000 56.679699)(9.737000 -101.774002 54.671001)(15.857599 -101.660995 54.671001)(33.112999 -101.930000 56.679699)(22.207399 -101.649002 54.671001)(22.207399 101.649002 54.671001)(33.112999 101.930000 56.679699)(22.207399 101.649002 54.671001)(15.857599 101.660995 54.671001)(2.295100 -101.448997 54.671001)(6.444800 -103.478996 60.388199)(2.382450 -102.349998 57.991299)(6.444800 -103.478996 60.388199)(-1.679900 -102.785995 61.436001)(2.382450 -102.349998 57.991299)(-1.679900 -102.785995 61.436001)(2.295100 -101.448997 54.671001)(2.382450 -102.349998 57.991299)(2.295100 -101.448997 54.671001)(9.737000 -101.774002 54.671001)(6.444800 -103.478996 60.388199)(13.656500 -28.500000 54.671001)(15.857599 -101.660995 54.671001)(12.797299 -65.137001 54.671001)(15.857599 -101.660995 54.671001)(9.737000 -101.774002 54.671001)(12.797299 -65.137001 54.671001)(9.737000 -101.774002 54.671001)(9.737000 -28.500000 54.671001)(12.797299 -65.137001 54.671001)(9.737000 -28.500000 54.671001)(13.656500 -28.500000 54.671001)(12.797299 -65.137001 54.671001)(33.112999 -101.930000 56.679699)(15.857599 -101.660995 54.671001)(22.207399 -101.649002 54.671001)(22.207399 -101.649002 54.671001)(19.922800 -28.500000 54.671001)(20.000000 -28.500000 54.671001)(20.000000 29.500000 54.671001)(18.111300 29.500000 54.671001)(22.207399 101.649002 54.671001)(18.111300 29.500000 54.671001)(15.857599 101.660995 54.671001)(22.207399 101.649002 54.671001)(22.207399 -101.649002 54.671001)(20.000000 -28.500000 54.671001)(20.000000 27.923500 54.671001)(20.000000 29.500000 54.671001)(22.207399 -101.649002 54.671001)(20.000000 27.923500 54.671001)(22.207399 101.649002 54.671001)(22.207399 -101.649002 54.671001)(20.000000 29.500000 54.671001)(33.112999 101.930000 56.679699)(15.857599 101.660995 54.671001)(9.737000 101.774002 54.671001)(9.737000 101.774002 54.671001)(18.596601 104.157997 58.672501)(33.112999 101.930000 56.679699)(2.295100 -101.448997 54.671001)(-1.679900 -102.785995 61.436001)(-8.941400 -101.944000 62.374802)(7.053750 -28.500000 54.671001)(9.737000 -101.774002 54.671001)(6.016050 -65.137001 54.671001)(9.737000 -101.774002 54.671001)(2.295100 -101.448997 54.671001)(6.016050 -65.137001 54.671001)(2.295100 -101.448997 54.671001)(2.295100 -28.500000 54.671001)(6.016050 -65.137001 54.671001)(2.295100 -28.500000 54.671001)(7.053750 -28.500000 54.671001)(6.016050 -65.137001 54.671001)(15.857599 -101.660995 54.671001)(13.656500 -28.500000 54.671001)(15.857599 -28.500000 54.671001)(9.737000 -101.774002 54.671001)(7.053750 -28.500000 54.671001)(9.737000 -28.500000 54.671001)(19.922800 -28.500000 54.671001)(22.207399 -101.649002 54.671001)(19.032501 -65.080498 54.671001)(22.207399 -101.649002 54.671001)(15.857599 -101.660995 54.671001)(19.032501 -65.080498 54.671001)(15.857599 -101.660995 54.671001)(15.857599 -28.500000 54.671001)(19.032501 -65.080498 54.671001)(15.857599 -28.500000 54.671001)(18.912800 -28.500000 54.671001)(19.032501 -65.080498 54.671001)(18.912800 -28.500000 54.671001)(19.922800 -28.500000 54.671001)(19.032501 -65.080498 54.671001)(18.111300 29.500000 54.671001)(15.857599 29.500000 54.671001)(15.857599 101.660995 54.671001)(15.857599 29.500000 54.671001)(11.911500 29.500000 54.671001)(12.797299 65.637001 54.671001)(11.911500 29.500000 54.671001)(9.737000 101.774002 54.671001)(12.797299 65.637001 54.671001)(9.737000 101.774002 54.671001)(15.857599 101.660995 54.671001)(12.797299 65.637001 54.671001)(15.857599 101.660995 54.671001)(15.857599 29.500000 54.671001)(12.797299 65.637001 54.671001)(9.737000 101.774002 54.671001)(6.444800 103.478996 60.388199)(18.596601 104.157997 58.672501)(-5.366700 -100.209000 54.671001)(-8.941400 -101.944000 62.374802)(-28.534399 -98.273598 64.660805)(2.295100 -101.448997 54.671001)(-8.941400 -101.944000 62.374802)(-5.366700 -100.209000 54.671001)(-58.231400 -88.926704 54.671001)(-28.534399 -98.273598 64.660805)(-46.521900 -94.228600 66.603401)(2.295100 -101.448997 54.671001)(-0.476526 -28.500000 54.671001)(2.295100 -28.500000 54.671001)(-0.476526 -28.500000 54.671001)(2.295100 -101.448997 54.671001)(-1.535800 -64.974503 54.671001)(2.295100 -101.448997 54.671001)(-5.366700 -100.209000 54.671001)(-1.535800 -64.974503 54.671001)(-5.366700 -100.209000 54.671001)(-5.366700 -28.500000 54.671001)(-1.535800 -64.974503 54.671001)(-5.366700 -28.500000 54.671001)(-0.476526 -28.500000 54.671001)(-1.535800 -64.974503 54.671001)(-5.366700 -100.209000 54.671001)(-7.975369 -28.500000 54.671001)(-5.366700 -28.500000 54.671001)(-7.975369 -28.500000 54.671001)(-5.366700 -100.209000 54.671001)(-8.988250 -64.354500 54.671001)(-5.366700 -100.209000 54.671001)(-8.522690 -99.636398 54.671001)(-8.988250 -64.354500 54.671001)(-8.522690 -99.636398 54.671001)(-12.609800 -98.894798 54.671001)(-8.988250 -64.354500 54.671001)(-12.609800 -98.894798 54.671001)(-12.609800 -28.500000 54.671001)(-8.988250 -64.354500 54.671001)(-12.609800 -28.500000 54.671001)(-7.975369 -28.500000 54.671001)(-8.988250 -64.354500 54.671001)(-12.609800 -98.894798 54.671001)(-15.507700 -28.500000 54.671001)(-12.609800 -28.500000 54.671001)(-12.609800 -98.894798 54.671001)(-20.691801 -97.428299 54.671001)(-15.507700 -28.500000 54.671001)(-20.691801 -97.428299 54.671001)(-20.000000 -28.500000 54.671001)(-15.507700 -28.500000 54.671001)(-17.895401 29.500000 54.671001)(-18.912800 29.500000 54.671001)(-20.691801 97.428299 54.671001)(-18.912800 29.500000 54.671001)(-20.000000 29.500000 54.671001)(-20.691801 97.428299 54.671001)(-20.000000 29.500000 54.671001)(-20.691801 -97.428299 54.671001)(-20.691801 97.428299 54.671001)(-20.000000 27.923500 54.671001)(-20.691801 -97.428299 54.671001)(-20.000000 29.500000 54.671001)(-20.000000 -28.500000 54.671001)(-20.691801 -97.428299 54.671001)(-20.000000 27.923500 54.671001)(11.911500 29.500000 54.671001)(9.737000 29.500000 54.671001)(9.737000 101.774002 54.671001)(-12.609800 29.500000 54.671001)(-17.895401 29.500000 54.671001)(-16.650799 64.197395 54.671001)(-17.895401 29.500000 54.671001)(-20.691801 97.428299 54.671001)(-16.650799 64.197395 54.671001)(-20.691801 97.428299 54.671001)(-12.609800 98.894798 54.671001)(-16.650799 64.197395 54.671001)(-12.609800 98.894798 54.671001)(-12.609800 29.500000 54.671001)(-16.650799 64.197395 54.671001)(-10.085299 29.500000 54.671001)(-12.609800 29.500000 54.671001)(-12.609800 98.894798 54.671001)(-5.366700 29.500000 54.671001)(-10.085299 29.500000 54.671001)(-8.988250 64.854500 54.671001)(-10.085299 29.500000 54.671001)(-12.609800 98.894798 54.671001)(-8.988250 64.854500 54.671001)(-12.609800 98.894798 54.671001)(-8.522690 99.636398 54.671001)(-8.988250 64.854500 54.671001)(-8.522690 99.636398 54.671001)(-5.366700 100.209000 54.671001)(-8.988250 64.854500 54.671001)(-5.366700 100.209000 54.671001)(-5.366700 29.500000 54.671001)(-8.988250 64.854500 54.671001)(-2.680180 29.500000 54.671001)(-5.366700 29.500000 54.671001)(-5.366700 100.209000 54.671001)(2.295100 29.500000 54.671001)(-2.680180 29.500000 54.671001)(-1.535800 65.474503 54.671001)(-2.680180 29.500000 54.671001)(-5.366700 100.209000 54.671001)(-1.535800 65.474503 54.671001)(-5.366700 100.209000 54.671001)(2.295100 101.448997 54.671001)(-1.535800 65.474503 54.671001)(2.295100 101.448997 54.671001)(2.295100 29.500000 54.671001)(-1.535800 65.474503 54.671001)(4.929830 29.500000 54.671001)(2.295100 29.500000 54.671001)(2.295100 101.448997 54.671001)(9.737000 29.500000 54.671001)(4.929830 29.500000 54.671001)(6.016050 65.637001 54.671001)(4.929830 29.500000 54.671001)(2.295100 101.448997 54.671001)(6.016050 65.637001 54.671001)(2.295100 101.448997 54.671001)(9.737000 101.774002 54.671001)(6.016050 65.637001 54.671001)(9.737000 101.774002 54.671001)(9.737000 29.500000 54.671001)(6.016050 65.637001 54.671001)(2.295100 101.448997 54.671001)(6.444800 103.478996 60.388199)(9.737000 101.774002 54.671001)(-20.691801 -97.428299 54.671001)(-28.534399 -98.273598 64.660805)(-27.782200 -96.141800 54.671001)(-16.950499 -99.141602 59.226799)(-5.366700 -100.209000 54.671001)(-28.534399 -98.273598 64.660805)(-16.950499 -99.141602 59.226799)(-20.691801 -97.428299 54.671001)(-12.609800 -98.894798 54.671001)(-16.950499 -99.141602 59.226799)(-12.609800 -98.894798 54.671001)(-8.522690 -99.636398 54.671001)(-16.950499 -99.141602 59.226799)(-8.522690 -99.636398 54.671001)(-5.366700 -100.209000 54.671001)(-16.950499 -99.141602 59.226799)(-28.534399 -98.273598 64.660805)(-20.691801 -97.428299 54.671001)(-58.231400 -88.926704 54.671001)(-40.360600 -93.163994 54.671001)(-28.534399 -98.273598 64.660805)(-28.534399 -98.273598 64.660805)(-40.360600 -93.163994 54.671001)(-31.903900 -95.165100 54.671001)(-28.534399 -98.273598 64.660805)(-31.903900 -95.165100 54.671001)(-27.782200 -96.141800 54.671001)(-58.231400 -88.926704 54.671001)(-46.521900 -94.228600 66.603401)(-58.903999 -90.460297 67.765900)(-20.691801 -97.428299 54.671001)(-27.782200 96.141800 54.671001)(-20.691801 97.428299 54.671001)(-27.782200 96.141800 54.671001)(-28.534399 98.273598 64.660805)(-20.691801 97.428299 54.671001)(-28.534399 98.273598 64.660805)(-5.366700 100.209000 54.671001)(-16.950499 99.141602 59.226799)(-5.366700 100.209000 54.671001)(-8.522690 99.636398 54.671001)(-16.950499 99.141602 59.226799)(-8.522690 99.636398 54.671001)(-12.609800 98.894798 54.671001)(-16.950499 99.141602 59.226799)(-12.609800 98.894798 54.671001)(-20.691801 97.428299 54.671001)(-16.950499 99.141602 59.226799)(-20.691801 97.428299 54.671001)(-28.534399 98.273598 64.660805)(-16.950499 99.141602 59.226799)(2.295100 101.448997 54.671001)(-5.366700 100.209000 54.671001)(-8.941400 101.944000 62.374802)(6.444800 103.478996 60.388199)(2.295100 101.448997 54.671001)(2.382450 102.349998 57.991299)(2.295100 101.448997 54.671001)(-1.679900 102.785995 61.436001)(2.382450 102.349998 57.991299)(-1.679900 102.785995 61.436001)(6.444800 103.478996 60.388199)(2.382450 102.349998 57.991299)(-20.691801 -97.428299 54.671001)(-27.782200 -96.141800 54.671001)(-27.782200 96.141800 54.671001)(-40.360600 -93.163994 54.671001)(-58.231400 -88.926704 54.671001)(-58.231400 88.926704 54.671001)(-27.782200 -96.141800 54.671001)(-31.903900 -95.165100 54.671001)(-44.141098 92.273506 54.671001)(-31.903900 -95.165100 54.671001)(-40.360600 -93.163994 54.671001)(-44.141098 92.273506 54.671001)(-58.903999 -90.460297 67.765900)(-67.992096 -85.443001 54.671001)(-58.231400 -88.926704 54.671001)(-28.534399 98.273598 64.660805)(-8.941400 101.944000 62.374802)(-5.366700 100.209000 54.671001)(-28.534399 98.273598 64.660805)(-27.782200 96.141800 54.671001)(-31.903900 95.165100 54.671001)(-28.534399 98.273598 64.660805)(-31.903900 95.165100 54.671001)(-44.141098 92.273506 54.671001)(-28.534399 98.273598 64.660805)(-44.141098 92.273506 54.671001)(-58.231400 88.926704 54.671001)(-1.679900 102.785995 61.436001)(2.295100 101.448997 54.671001)(-8.941400 101.944000 62.374802)(-27.782200 -96.141800 54.671001)(-44.141098 92.273506 54.671001)(-31.903900 95.165100 54.671001)(-27.782200 -96.141800 54.671001)(-31.903900 95.165100 54.671001)(-27.782200 96.141800 54.671001)(-58.903999 -90.460297 67.765900)(-64.909401 -88.640800 68.304802)(-67.992096 -85.443001 54.671001)(-40.360600 -93.163994 54.671001)(-58.231400 88.926704 54.671001)(-44.141098 92.273506 54.671001)(-58.231400 -88.926704 54.671001)(-67.992096 85.443001 54.671001)(-58.231400 88.926704 54.671001)(-58.231400 -88.926704 54.671001)(-67.992096 -85.443001 54.671001)(-67.992096 85.443001 54.671001)(-28.534399 98.273598 64.660805)(-58.231400 88.926704 54.671001)(-46.521900 94.228600 66.603401)(-74.716095 -82.671501 54.671001)(-76.484505 -84.369698 69.301498)(-87.256599 -79.376694 68.048599)(-64.909401 -88.640800 68.304802)(-76.484505 -84.369698 69.301498)(-67.992096 -85.443001 54.671001)(-58.231400 88.926704 54.671001)(-67.992096 85.443001 54.671001)(-58.903999 90.460297 67.765900)(-67.992096 -85.443001 54.671001)(-74.716095 82.671501 54.671001)(-67.992096 85.443001 54.671001)(-46.521900 94.228600 66.603401)(-58.231400 88.926704 54.671001)(-58.903999 90.460297 67.765900)(-87.256599 -79.376694 68.048599)(-100.321999 -72.741798 70.787102)(-83.245598 -79.942200 54.671001)(-74.716095 -82.671501 54.671001)(-67.992096 -85.443001 54.671001)(-76.484505 -84.369698 69.301498)(-87.256599 -79.376694 68.048599)(-83.245598 -79.942200 54.671001)(-74.716095 -82.671501 54.671001)(-64.909401 88.640800 68.304802)(-58.903999 90.460297 67.765900)(-67.992096 85.443001 54.671001)(-67.992096 -85.443001 54.671001)(-74.716095 -82.671501 54.671001)(-74.716095 82.671501 54.671001)(-76.484505 84.369698 69.301498)(-67.992096 85.443001 54.671001)(-74.716095 82.671501 54.671001)(-106.402000 -68.350502 71.422104)(-108.254997 -60.827999 63.974998)(-100.321999 -72.741798 70.787102)(-100.321999 -72.741798 70.787102)(-88.201500 -76.748100 54.671001)(-83.245598 -79.942200 54.671001)(-74.716095 -82.671501 54.671001)(-83.245598 -79.942200 54.671001)(-83.245598 79.942200 54.671001)(-76.484505 84.369698 69.301498)(-64.909401 88.640800 68.304802)(-67.992096 85.443001 54.671001)(-74.716095 -82.671501 54.671001)(-83.245598 79.942200 54.671001)(-74.716095 82.671501 54.671001)(-87.256599 79.376694 68.048599)(-76.484505 84.369698 69.301498)(-74.716095 82.671501 54.671001)(-93.148598 -73.929901 54.671001)(-100.321999 -72.741798 70.787102)(-108.254997 -60.827999 63.974998)(-108.254997 -60.827999 63.974998)(-106.402000 -68.350502 71.422104)(-111.276001 -59.601002 71.605507)(-93.148598 -73.929901 54.671001)(-88.201500 -76.748100 54.671001)(-100.321999 -72.741798 70.787102)(-83.245598 -79.942200 54.671001)(-88.201500 -76.748100 54.671001)(-88.201500 76.748100 54.671001)(-83.245598 -79.942200 54.671001)(-88.201500 76.748100 54.671001)(-83.245598 79.942200 54.671001)(-87.256599 79.376694 68.048599)(-74.716095 82.671501 54.671001)(-83.245598 79.942200 54.671001)(-108.254997 -60.827999 63.974998)(-99.638000 -68.173897 54.671001)(-93.148598 -73.929901 54.671001)(-108.254997 -60.827999 63.974998)(-111.276001 -59.601002 71.605507)(-115.411995 -52.719002 71.834000)(-88.201500 -76.748100 54.671001)(-93.148598 -73.929901 54.671001)(-93.148598 73.929901 54.671001)(-88.201500 -76.748100 54.671001)(-93.148598 73.929901 54.671001)(-88.201500 76.748100 54.671001)(-100.321999 72.741798 70.787102)(-83.245598 79.942200 54.671001)(-88.201500 76.748100 54.671001)(-87.256599 79.376694 68.048599)(-83.245598 79.942200 54.671001)(-100.321999 72.741798 70.787102)(-115.411995 -52.719002 71.834000)(-118.166000 -45.432003 71.979996)(-112.210999 -47.767200 54.671001)(-105.074005 -61.956699 54.671001)(-99.638000 -68.173897 54.671001)(-108.254997 -60.827999 63.974998)(-93.148598 -73.929901 54.671001)(-99.638000 -68.173897 54.671001)(-99.638000 68.173897 54.671001)(-112.210999 -47.767200 54.671001)(-108.254997 -60.827999 63.974998)(-111.273994 -54.868797 63.252502)(-108.254997 -60.827999 63.974998)(-115.411995 -52.719002 71.834000)(-111.273994 -54.868797 63.252502)(-115.411995 -52.719002 71.834000)(-112.210999 -47.767200 54.671001)(-111.273994 -54.868797 63.252502)(-93.148598 -73.929901 54.671001)(-99.638000 68.173897 54.671001)(-93.148598 73.929901 54.671001)(-88.201500 76.748100 54.671001)(-93.148598 73.929901 54.671001)(-100.321999 72.741798 70.787102)(-106.402000 68.350502 71.422104)(-100.321999 72.741798 70.787102)(-108.254997 60.827999 63.974998)(-114.707001 -41.379002 54.671001)(-118.166000 -45.432003 71.979996)(-119.664001 -38.846001 72.057999)(-114.707001 -41.379002 54.671001)(-112.210999 -47.767200 54.671001)(-118.166000 -45.432003 71.979996)(-109.083000 -55.538700 54.671001)(-105.074005 -61.956699 54.671001)(-108.254997 -60.827999 63.974998)(-105.074005 -61.956699 54.671001)(-105.074005 61.956699 54.671001)(-99.638000 -68.173897 54.671001)(-99.638000 -68.173897 54.671001)(-105.074005 61.956699 54.671001)(-99.638000 68.173897 54.671001)(-108.254997 -60.827999 63.974998)(-112.210999 -47.767200 54.671001)(-109.083000 -55.538700 54.671001)(-93.148598 73.929901 54.671001)(-99.638000 68.173897 54.671001)(-108.254997 60.827999 63.974998)(-93.148598 73.929901 54.671001)(-108.254997 60.827999 63.974998)(-100.321999 72.741798 70.787102)(-108.254997 60.827999 63.974998)(-111.276001 59.601002 71.605507)(-106.402000 68.350502 71.422104)(-114.707001 -41.379002 54.671001)(-119.664001 -38.846001 72.057999)(-119.664001 38.846001 72.057999)(-114.707001 -41.379002 54.671001)(-114.707001 41.379002 54.671001)(-112.210999 -47.767200 54.671001)(-109.083000 -55.538700 54.671001)(-109.083000 55.538700 54.671001)(-105.074005 -61.956699 54.671001)(-105.074005 61.956699 54.671001)(-105.074005 -61.956699 54.671001)(-109.083000 55.538700 54.671001)(-108.254997 60.827999 63.974998)(-99.638000 68.173897 54.671001)(-105.074005 61.956699 54.671001)(-112.210999 -47.767200 54.671001)(-112.210999 47.767200 54.671001)(-109.083000 -55.538700 54.671001)(-108.254997 60.827999 63.974998)(-115.411995 52.719002 71.834000)(-111.276001 59.601002 71.605507)(-118.166000 45.432003 71.979996)(-114.707001 41.379002 54.671001)(-119.664001 38.846001 72.057999)(-119.664001 38.846001 72.057999)(-114.707001 41.379002 54.671001)(-114.707001 -41.379002 54.671001)(-112.210999 47.767200 54.671001)(-112.210999 -47.767200 54.671001)(-114.707001 41.379002 54.671001)(-109.083000 55.538700 54.671001)(-109.083000 -55.538700 54.671001)(-112.210999 47.767200 54.671001)(-108.254997 60.827999 63.974998)(-105.074005 61.956699 54.671001)(-109.083000 55.538700 54.671001)(-108.254997 60.827999 63.974998)(-112.210999 47.767200 54.671001)(-111.273994 54.868797 63.252502)(-112.210999 47.767200 54.671001)(-115.411995 52.719002 71.834000)(-111.273994 54.868797 63.252502)(-115.411995 52.719002 71.834000)(-108.254997 60.827999 63.974998)(-111.273994 54.868797 63.252502)(-118.166000 45.432003 71.979996)(-115.411995 52.719002 71.834000)(-112.210999 47.767200 54.671001)(-118.166000 45.432003 71.979996)(-112.210999 47.767200 54.671001)(-114.707001 41.379002 54.671001)(-112.210999 47.767200 54.671001)(-108.254997 60.827999 63.974998)(-109.083000 55.538700 54.671001)(96.291901 -44.521000 98.903595)(99.590500 -22.541000 101.000000)(95.693703 -47.537403 111.111000)(99.926003 -9.500000 99.068497)(99.477798 -10.524000 111.111000)(99.590500 -22.541000 101.000000)(96.291901 -44.521000 98.903595)(95.693703 -47.537403 111.111000)(91.061005 -63.225002 111.111000)(99.590500 -22.541000 101.000000)(99.440094 -27.166300 111.111000)(95.693703 -47.537403 111.111000)(99.926003 9.500000 99.068497)(99.477798 -10.524000 111.111000)(99.926003 -9.500000 99.068497)(99.477798 -10.524000 111.111000)(99.440094 -27.166300 111.111000)(99.590500 -22.541000 101.000000)(91.115105 -62.855900 99.500000)(96.291901 -44.521000 98.903595)(91.061005 -63.225002 111.111000)(91.061005 -63.225002 111.111000)(95.693703 -47.537403 111.111000)(59.477001 -53.464199 124.998001)(99.440094 -27.166300 111.111000)(59.477001 -53.464199 124.998001)(95.693703 -47.537403 111.111000)(99.477798 -10.524000 111.111000)(99.926003 9.500000 99.068497)(99.477798 10.524000 111.111000)(99.477798 -10.524000 111.111000)(59.477001 -53.464199 124.998001)(99.440094 -27.166300 111.111000)(91.061005 -63.225002 111.111000)(86.764900 -72.545097 111.111000)(91.115105 -62.855900 99.500000)(91.061005 -63.225002 111.111000)(59.477001 -53.464199 124.998001)(55.732803 -62.135998 124.996994)(88.890999 -68.807495 99.500000)(91.115105 -62.855900 99.500000)(86.764900 -72.545097 111.111000)(99.477798 10.524000 111.111000)(99.926003 9.500000 99.068497)(99.590500 22.541000 101.000000)(99.477798 10.524000 111.111000)(67.001999 0.000000 124.999001)(99.477798 -10.524000 111.111000)(59.477001 -53.464199 124.998001)(99.477798 -10.524000 111.111000)(62.306999 -44.734501 124.998001)(86.764900 -72.545097 111.111000)(91.061005 -63.225002 111.111000)(55.732803 -62.135998 124.996994)(55.732803 -62.135998 124.996994)(59.477001 -53.464199 124.998001)(54.416000 -44.364002 125.416992)(86.764900 -72.545097 111.111000)(85.863098 -75.680000 100.202003)(88.890999 -68.807495 99.500000)(99.590500 22.541000 101.000000)(99.440094 27.166300 111.111000)(99.477798 10.524000 111.111000)(99.477798 10.524000 111.111000)(62.306999 44.734501 124.998001)(67.001999 0.000000 124.999001)(62.306999 -44.734501 124.998001)(99.477798 -10.524000 111.111000)(67.001999 0.000000 124.999001)(59.477001 -53.464199 124.998001)(62.306999 -44.734501 124.998001)(54.416000 -44.364002 125.416992)(70.200302 -79.271500 115.089996)(67.893997 -96.406898 111.114998)(86.764900 -72.545097 111.111000)(70.200302 -79.271500 115.089996)(86.764900 -72.545097 111.111000)(55.732803 -62.135998 124.996994)(70.200302 -79.271500 115.089996)(55.732803 -62.135998 124.996994)(67.893997 -96.406898 111.114998)(51.168301 -68.315796 124.996994)(55.732803 -62.135998 124.996994)(54.416000 -44.364002 125.416992)(86.764900 -72.545097 111.111000)(80.172005 -85.216499 100.992004)(85.863098 -75.680000 100.202003)(99.477798 10.524000 111.111000)(99.440094 27.166300 111.111000)(59.477001 53.464199 124.998001)(95.693703 47.537403 111.111000)(99.440094 27.166300 111.111000)(99.590500 22.541000 101.000000)(62.306999 44.734501 124.998001)(99.477798 10.524000 111.111000)(59.477001 53.464199 124.998001)(58.250999 0.000000 125.685005)(67.001999 0.000000 124.999001)(62.306999 44.734501 124.998001)(62.306999 -44.734501 124.998001)(67.001999 0.000000 124.999001)(58.250999 0.000000 125.685005)(54.416000 -44.364002 125.416992)(62.306999 -44.734501 124.998001)(58.250999 0.000000 125.685005)(86.764900 -72.545097 111.111000)(67.893997 -96.406898 111.114998)(80.067001 -84.423203 110.739998)(51.168301 -68.315796 124.996994)(67.893997 -96.406898 111.114998)(55.732803 -62.135998 124.996994)(47.278000 -64.799004 125.185997)(51.168301 -68.315796 124.996994)(54.416000 -44.364002 125.416992)(86.764900 -72.545097 111.111000)(80.067001 -84.423203 110.739998)(80.172005 -85.216499 100.992004)(78.493996 -35.100800 52.691002)(83.731804 -40.151802 57.093601)(74.827995 -66.945099 56.433102)(83.731804 -40.151802 57.093601)(78.493996 -35.100800 52.691002)(86.056000 -9.500000 54.688400)(95.693703 47.537403 111.111000)(59.477001 53.464199 124.998001)(99.440094 27.166300 111.111000)(95.693703 47.537403 111.111000)(99.590500 22.541000 101.000000)(96.291901 44.521000 98.903595)(54.416000 44.364002 125.416992)(62.306999 44.734501 124.998001)(59.477001 53.464199 124.998001)(58.250999 0.000000 125.685005)(62.306999 44.734501 124.998001)(54.416000 44.364002 125.416992)(58.250999 0.000000 125.685005)(46.944000 -42.410000 125.835999)(54.416000 -44.364002 125.416992)(74.418205 -90.857101 106.054001)(74.182999 -91.999001 100.992004)(80.067001 -84.423203 110.739998)(74.418205 -90.857101 106.054001)(80.067001 -84.423203 110.739998)(67.893997 -96.406898 111.114998)(74.418205 -90.857101 106.054001)(67.893997 -96.406898 111.114998)(74.182999 -91.999001 100.992004)(51.168301 -68.315796 124.996994)(51.113697 -105.412003 111.115997)(67.893997 -96.406898 111.114998)(42.185001 -62.366001 125.375000)(47.278000 -64.799004 125.185997)(54.416000 -44.364002 125.416992)(51.168301 -68.315796 124.996994)(47.278000 -64.799004 125.185997)(38.340401 -73.971596 125.049995)(74.182999 -91.999001 100.992004)(80.172005 -85.216499 100.992004)(80.067001 -84.423203 110.739998)(74.827995 -66.945099 56.433102)(64.883301 -76.285896 52.691002)(78.493996 -35.100800 52.691002)(78.493996 -35.100800 52.691002)(78.493996 35.100800 52.691002)(86.056000 -9.500000 54.688400)(95.693703 47.537403 111.111000)(91.061005 63.225002 111.111000)(59.477001 53.464199 124.998001)(91.061005 63.225002 111.111000)(95.693703 47.537403 111.111000)(96.291901 44.521000 98.903595)(54.416000 44.364002 125.416992)(59.477001 53.464199 124.998001)(55.732803 62.135998 124.996994)(58.250999 0.000000 125.685005)(54.416000 44.364002 125.416992)(46.944000 42.410000 125.835999)(42.185001 -62.366001 125.375000)(54.416000 -44.364002 125.416992)(46.944000 -42.410000 125.835999)(46.944000 -42.410000 125.835999)(58.250999 0.000000 125.685005)(49.501003 0.000000 126.370995)(67.893997 -96.406898 111.114998)(65.656502 -98.986702 100.992004)(74.182999 -91.999001 100.992004)(56.278999 -104.368004 100.992004)(67.893997 -96.406898 111.114998)(51.113697 -105.412003 111.115997)(51.168301 -68.315796 124.996994)(46.771999 -72.111000 124.996002)(51.113697 -105.412003 111.115997)(47.278000 -64.799004 125.185997)(42.185001 -62.366001 125.375000)(38.340401 -73.971596 125.049995)(46.771999 -72.111000 124.996002)(51.168301 -68.315796 124.996994)(38.340401 -73.971596 125.049995)(67.417397 -80.710899 57.015900)(64.883301 -76.285896 52.691002)(74.827995 -66.945099 56.433102)(86.056000 9.500000 54.688400)(86.056000 -9.500000 54.688400)(78.493996 35.100800 52.691002)(91.061005 63.225002 111.111000)(55.732803 62.135998 124.996994)(59.477001 53.464199 124.998001)(91.115105 62.855900 99.500000)(91.061005 63.225002 111.111000)(96.291901 44.521000 98.903595)(54.416000 44.364002 125.416992)(55.732803 62.135998 124.996994)(51.168301 68.315796 124.996994)(46.944000 42.410000 125.835999)(54.416000 44.364002 125.416992)(42.185001 62.366001 125.375000)(49.501003 0.000000 126.370995)(58.250999 0.000000 125.685005)(46.944000 42.410000 125.835999)(42.185001 -62.366001 125.375000)(46.944000 -42.410000 125.835999)(37.091999 -59.934002 125.563995)(39.472000 -40.454998 126.255005)(46.944000 -42.410000 125.835999)(49.501003 0.000000 126.370995)(56.278999 -104.368004 100.992004)(65.656502 -98.986702 100.992004)(67.893997 -96.406898 111.114998)(51.113697 -105.412003 111.115997)(47.983501 -107.210999 100.992004)(56.278999 -104.368004 100.992004)(38.340401 -73.971596 125.049995)(51.113697 -105.412003 111.115997)(46.771999 -72.111000 124.996002)(32.000500 -66.527802 125.379997)(38.340401 -73.971596 125.049995)(37.092800 -68.170197 125.256004)(38.340401 -73.971596 125.049995)(42.185001 -62.366001 125.375000)(37.092800 -68.170197 125.256004)(42.185001 -62.366001 125.375000)(32.000500 -66.527802 125.379997)(37.092800 -68.170197 125.256004)(67.417397 -80.710899 57.015900)(53.206898 -90.937698 53.990200)(64.883301 -76.285896 52.691002)(86.056000 9.500000 54.688400)(78.493996 35.100800 52.691002)(83.731804 40.151802 57.093601)(78.493996 35.100800 52.691002)(64.883301 76.285896 52.691002)(74.827995 66.945099 56.433102)(86.764900 72.545097 111.111000)(55.732803 62.135998 124.996994)(91.061005 63.225002 111.111000)(91.115105 62.855900 99.500000)(86.764900 72.545097 111.111000)(91.061005 63.225002 111.111000)(54.416000 44.364002 125.416992)(51.168301 68.315796 124.996994)(47.278000 64.799004 125.185997)(67.893997 96.406898 111.114998)(51.168301 68.315796 124.996994)(55.732803 62.135998 124.996994)(42.185001 62.366001 125.375000)(37.091999 59.934002 125.563995)(46.944000 42.410000 125.835999)(54.416000 44.364002 125.416992)(47.278000 64.799004 125.185997)(42.185001 62.366001 125.375000)(49.501003 0.000000 126.370995)(46.944000 42.410000 125.835999)(39.472000 40.454998 126.255005)(42.185001 -62.366001 125.375000)(37.091999 -59.934002 125.563995)(32.000500 -66.527802 125.379997)(37.091999 -59.934002 125.563995)(46.944000 -42.410000 125.835999)(39.472000 -40.454998 126.255005)(39.472000 -40.454998 126.255005)(49.501003 0.000000 126.370995)(40.750000 0.000000 127.056999)(47.983501 -107.210999 100.992004)(51.113697 -105.412003 111.115997)(31.986099 -109.000000 101.998001)(51.113697 -105.412003 111.115997)(38.340401 -73.971596 125.049995)(31.980398 -109.071999 110.612000)(38.340401 -73.971596 125.049995)(32.000500 -66.527802 125.379997)(31.995401 -74.604301 125.071007)(67.417397 -80.710899 57.015900)(58.651203 -92.101204 60.165901)(53.206898 -90.937698 53.990200)(53.206898 90.937698 53.990200)(67.417397 80.710899 57.015900)(64.883301 76.285896 52.691002)(83.731804 40.151802 57.093601)(78.493996 35.100800 52.691002)(74.827995 66.945099 56.433102)(74.827995 66.945099 56.433102)(64.883301 76.285896 52.691002)(67.417397 80.710899 57.015900)(70.200302 79.271500 115.089996)(86.764900 72.545097 111.111000)(67.893997 96.406898 111.114998)(70.200302 79.271500 115.089996)(67.893997 96.406898 111.114998)(55.732803 62.135998 124.996994)(70.200302 79.271500 115.089996)(55.732803 62.135998 124.996994)(86.764900 72.545097 111.111000)(86.764900 72.545097 111.111000)(91.115105 62.855900 99.500000)(88.890999 68.807495 99.500000)(51.168301 68.315796 124.996994)(38.340401 73.971596 125.049995)(47.278000 64.799004 125.185997)(51.113697 105.412003 111.115997)(51.168301 68.315796 124.996994)(67.893997 96.406898 111.114998)(42.185001 62.366001 125.375000)(32.000500 66.527802 125.379997)(37.091999 59.934002 125.563995)(39.472000 40.454998 126.255005)(46.944000 42.410000 125.835999)(37.091999 59.934002 125.563995)(47.278000 64.799004 125.185997)(38.340401 73.971596 125.049995)(42.185001 62.366001 125.375000)(40.750000 0.000000 127.056999)(49.501003 0.000000 126.370995)(39.472000 40.454998 126.255005)(37.091999 -59.934002 125.563995)(31.998999 -59.401001 125.670998)(32.000500 -66.527802 125.379997)(39.472000 -40.454998 126.255005)(31.998999 -46.101002 126.304001)(37.091999 -59.934002 125.563995)(32.000000 -23.299999 127.318993)(39.472000 -40.454998 126.255005)(40.750000 0.000000 127.056999)(31.980398 -109.071999 110.612000)(31.986099 -109.000000 101.998001)(51.113697 -105.412003 111.115997)(38.340401 -73.971596 125.049995)(31.995401 -74.604301 125.071007)(31.980398 -109.071999 110.612000)(32.000500 -66.527802 125.379997)(-37.563999 0.000000 128.802002)(31.995401 -74.604301 125.071007)(58.651203 -92.101204 60.165901)(43.988201 -101.818001 62.554905)(53.206898 -90.937698 53.990200)(53.206898 90.937698 53.990200)(58.651203 92.101204 60.165901)(67.417397 80.710899 57.015900)(80.067001 84.423203 110.739998)(67.893997 96.406898 111.114998)(86.764900 72.545097 111.111000)(86.764900 72.545097 111.111000)(88.890999 68.807495 99.500000)(85.863098 75.680000 100.202003)(51.168301 68.315796 124.996994)(46.771999 72.111000 124.996002)(38.340401 73.971596 125.049995)(51.113697 105.412003 111.115997)(67.893997 96.406898 111.114998)(56.278999 104.368004 100.992004)(51.168301 68.315796 124.996994)(51.113697 105.412003 111.115997)(46.771999 72.111000 124.996002)(37.091999 59.934002 125.563995)(32.000500 66.527802 125.379997)(31.998999 59.401001 125.670998)(38.340401 73.971596 125.049995)(32.000500 66.527802 125.379997)(37.092800 68.170197 125.256004)(32.000500 66.527802 125.379997)(42.185001 62.366001 125.375000)(37.092800 68.170197 125.256004)(42.185001 62.366001 125.375000)(38.340401 73.971596 125.049995)(37.092800 68.170197 125.256004)(39.472000 40.454998 126.255005)(37.091999 59.934002 125.563995)(31.998999 46.101002 126.304001)(32.000000 23.299999 127.318993)(40.750000 0.000000 127.056999)(39.472000 40.454998 126.255005)(32.000500 -66.527802 125.379997)(31.998999 -59.401001 125.670998)(-37.563999 0.000000 128.802002)(37.091999 -59.934002 125.563995)(31.998999 -46.101002 126.304001)(31.998999 -59.401001 125.670998)(39.472000 -40.454998 126.255005)(32.000000 -38.500000 126.643005)(31.998999 -46.101002 126.304001)(39.472000 -40.454998 126.255005)(32.000000 -23.299999 127.318993)(32.000000 -38.500000 126.643005)(32.000000 -23.299999 127.318993)(40.750000 0.000000 127.056999)(32.000000 0.000000 127.742004)(31.980398 -109.071999 110.612000)(-12.332700 -105.570999 110.740997)(31.986099 -109.000000 101.998001)(31.995401 -74.604301 125.071007)(19.698000 -76.204002 125.000000)(31.980398 -109.071999 110.612000)(31.995401 -74.604301 125.071007)(-37.563999 0.000000 128.802002)(19.698000 -76.204002 125.000000)(43.988201 -101.818001 62.554905)(32.140800 -105.104996 63.342102)(33.112999 -101.930000 56.679699)(53.206898 -90.937698 53.990200)(43.988201 -101.818001 62.554905)(45.529900 -95.866501 54.478199)(43.988201 101.818001 62.554905)(53.206898 90.937698 53.990200)(45.529900 95.866501 54.478199)(53.206898 90.937698 53.990200)(43.988201 101.818001 62.554905)(58.651203 92.101204 60.165901)(74.418205 90.857101 106.054001)(80.067001 84.423203 110.739998)(74.182999 91.999001 100.992004)(74.418205 90.857101 106.054001)(74.182999 91.999001 100.992004)(67.893997 96.406898 111.114998)(74.418205 90.857101 106.054001)(67.893997 96.406898 111.114998)(80.067001 84.423203 110.739998)(80.172005 85.216499 100.992004)(80.067001 84.423203 110.739998)(86.764900 72.545097 111.111000)(85.863098 75.680000 100.202003)(80.172005 85.216499 100.992004)(86.764900 72.545097 111.111000)(46.771999 72.111000 124.996002)(51.113697 105.412003 111.115997)(38.340401 73.971596 125.049995)(65.656502 98.986702 100.992004)(56.278999 104.368004 100.992004)(67.893997 96.406898 111.114998)(51.113697 105.412003 111.115997)(56.278999 104.368004 100.992004)(47.983501 107.210999 100.992004)(31.998999 59.401001 125.670998)(32.000500 66.527802 125.379997)(-37.563999 0.000000 128.802002)(37.091999 59.934002 125.563995)(31.998999 59.401001 125.670998)(31.998999 46.101002 126.304001)(38.340401 73.971596 125.049995)(31.995401 74.604301 125.071007)(32.000500 66.527802 125.379997)(39.472000 40.454998 126.255005)(31.998999 46.101002 126.304001)(32.000000 38.500000 126.643005)(39.472000 40.454998 126.255005)(32.000000 38.500000 126.643005)(32.000000 23.299999 127.318993)(32.000000 23.299999 127.318993)(32.000000 0.000000 127.742004)(40.750000 0.000000 127.056999)(-37.563999 0.000000 128.802002)(31.998999 -59.401001 125.670998)(31.998999 -46.101002 126.304001)(31.998999 -46.101002 126.304001)(32.000000 -38.500000 126.643005)(-37.563999 0.000000 128.802002)(32.000000 -38.500000 126.643005)(32.000000 -23.299999 127.318993)(-37.563999 0.000000 128.802002)(32.000000 -23.299999 127.318993)(32.000000 0.000000 127.742004)(-37.563999 0.000000 128.802002)(5.444000 -75.083504 125.000999)(-12.332700 -105.570999 110.740997)(31.980398 -109.071999 110.612000)(31.986099 -109.000000 101.998001)(-12.332700 -105.570999 110.740997)(-34.333000 -101.409004 110.740997)(19.698000 -76.204002 125.000000)(5.444000 -75.083504 125.000999)(31.980398 -109.071999 110.612000)(19.698000 -76.204002 125.000000)(-37.563999 0.000000 128.802002)(5.444000 -75.083504 125.000999)(11.049900 -105.576996 69.548698)(33.112999 -101.930000 56.679699)(32.140800 -105.104996 63.342102)(33.112999 -101.930000 56.679699)(45.529900 -95.866501 54.478199)(43.988201 -101.818001 62.554905)(33.112999 101.930000 56.679699)(43.988201 101.818001 62.554905)(45.529900 95.866501 54.478199)(80.067001 84.423203 110.739998)(80.172005 85.216499 100.992004)(74.182999 91.999001 100.992004)(74.182999 91.999001 100.992004)(65.656502 98.986702 100.992004)(67.893997 96.406898 111.114998)(31.980398 109.071999 110.612000)(38.340401 73.971596 125.049995)(51.113697 105.412003 111.115997)(51.113697 105.412003 111.115997)(47.983501 107.210999 100.992004)(31.986099 109.000000 101.998001)(32.000500 66.527802 125.379997)(31.995401 74.604301 125.071007)(-37.563999 0.000000 128.802002)(31.998999 46.101002 126.304001)(31.998999 59.401001 125.670998)(-37.563999 0.000000 128.802002)(38.340401 73.971596 125.049995)(31.980398 109.071999 110.612000)(31.995401 74.604301 125.071007)(32.000000 38.500000 126.643005)(31.998999 46.101002 126.304001)(-37.563999 0.000000 128.802002)(32.000000 23.299999 127.318993)(32.000000 38.500000 126.643005)(-37.563999 0.000000 128.802002)(-37.563999 0.000000 128.802002)(32.000000 0.000000 127.742004)(32.000000 23.299999 127.318993)(5.444000 -75.083504 125.000999)(-10.806000 -72.998001 125.000999)(-12.332700 -105.570999 110.740997)(-34.333000 -101.409004 110.740997)(-12.332700 -105.570999 110.740997)(-63.107998 -92.641006 111.518005)(-40.895302 -101.299004 103.098000)(31.986099 -109.000000 101.998001)(-34.333000 -101.409004 110.740997)(5.444000 -75.083504 125.000999)(-37.563999 0.000000 128.802002)(-10.806000 -72.998001 125.000999)(18.596601 -104.157997 58.672501)(33.112999 -101.930000 56.679699)(11.049900 -105.576996 69.548698)(33.112999 101.930000 56.679699)(32.140800 105.104996 63.342102)(43.988201 101.818001 62.554905)(31.980398 109.071999 110.612000)(51.113697 105.412003 111.115997)(31.986099 109.000000 101.998001)(31.995401 74.604301 125.071007)(19.698000 76.204002 125.000000)(-37.563999 0.000000 128.802002)(31.995401 74.604301 125.071007)(31.980398 109.071999 110.612000)(19.698000 76.204002 125.000000)(-10.806000 -72.998001 125.000999)(-28.867001 -69.401001 125.000000)(-12.332700 -105.570999 110.740997)(-52.912998 -62.385002 125.000999)(-63.107998 -92.641006 111.518005)(-12.332700 -105.570999 110.740997)(-63.107998 -92.641006 111.518005)(-77.095505 -88.217499 110.740997)(-34.333000 -101.409004 110.740997)(-99.391495 -78.768501 103.000999)(-40.895302 -101.299004 103.098000)(-34.333000 -101.409004 110.740997)(-10.806000 -72.998001 125.000999)(-37.563999 0.000000 128.802002)(-28.867001 -69.401001 125.000000)(-20.287800 -102.351997 75.336395)(6.444800 -103.478996 60.388199)(11.049900 -105.576996 69.548698)(6.444800 -103.478996 60.388199)(18.596601 -104.157997 58.672501)(11.049900 -105.576996 69.548698)(32.140800 105.104996 63.342102)(33.112999 101.930000 56.679699)(11.049900 105.576996 69.548698)(31.980398 109.071999 110.612000)(31.986099 109.000000 101.998001)(-12.332700 105.570999 110.740997)(5.444000 75.083504 125.000999)(-37.563999 0.000000 128.802002)(19.698000 76.204002 125.000000)(19.698000 76.204002 125.000000)(31.980398 109.071999 110.612000)(5.444000 75.083504 125.000999)(-28.867001 -69.401001 125.000000)(-37.564999 -67.033997 125.000999)(-12.332700 -105.570999 110.740997)(-12.332700 -105.570999 110.740997)(-46.639999 -64.565002 125.000999)(-52.912998 -62.385002 125.000999)(-52.912998 -62.385002 125.000999)(-64.014999 -58.525002 125.000999)(-63.107998 -92.641006 111.518005)(-63.107998 -92.641006 111.518005)(-99.245697 -78.467102 110.740997)(-77.095505 -88.217499 110.740997)(-77.095505 -88.217499 110.740997)(-99.391495 -78.768501 103.000999)(-34.333000 -101.409004 110.740997)(-99.391495 -78.768501 103.000999)(-77.799500 -87.444000 83.959999)(-40.895302 -101.299004 103.098000)(-28.867001 -69.401001 125.000000)(-37.563999 0.000000 128.802002)(-37.564999 -67.033997 125.000999)(6.444800 -103.478996 60.388199)(-20.287800 -102.351997 75.336395)(-1.679900 -102.785995 61.436001)(-40.895302 -101.299004 103.098000)(-63.125000 -92.692001 83.631996)(-34.643200 -99.471100 82.808998)(11.049900 105.576996 69.548698)(33.112999 101.930000 56.679699)(18.596601 104.157997 58.672501)(-12.332700 105.570999 110.740997)(31.986099 109.000000 101.998001)(-34.333000 101.409004 110.740997)(-12.332700 105.570999 110.740997)(5.444000 75.083504 125.000999)(31.980398 109.071999 110.612000)(5.444000 75.083504 125.000999)(-10.806000 72.998001 125.000999)(-37.563999 0.000000 128.802002)(-37.564999 -67.033997 125.000999)(-46.639999 -64.565002 125.000999)(-12.332700 -105.570999 110.740997)(-46.639999 -64.565002 125.000999)(-37.563999 0.000000 128.802002)(-52.912998 -62.385002 125.000999)(-52.912998 -62.385002 125.000999)(-37.563999 0.000000 128.802002)(-64.014999 -58.525002 125.000999)(-75.350998 -53.839001 125.000999)(-63.107998 -92.641006 111.518005)(-64.014999 -58.525002 125.000999)(-86.457001 -48.639000 125.000999)(-99.245697 -78.467102 110.740997)(-63.107998 -92.641006 111.518005)(-99.391495 -78.768501 103.000999)(-77.095505 -88.217499 110.740997)(-99.245697 -78.467102 110.740997)(-77.799500 -87.444000 83.959999)(-63.125000 -92.692001 83.631996)(-40.895302 -101.299004 103.098000)(-99.391495 -78.768501 103.000999)(-100.689003 -77.298996 84.421997)(-77.799500 -87.444000 83.959999)(-37.564999 -67.033997 125.000999)(-37.563999 0.000000 128.802002)(-46.639999 -64.565002 125.000999)(-1.679900 -102.785995 61.436001)(-20.287800 -102.351997 75.336395)(-8.941400 -101.944000 62.374802)(-28.534399 -98.273598 64.660805)(-20.287800 -102.351997 75.336395)(-33.092899 -100.183006 78.662399)(-34.643200 -99.471100 82.808998)(-63.125000 -92.692001 83.631996)(-33.092899 -100.183006 78.662399)(11.049900 105.576996 69.548698)(18.596601 104.157997 58.672501)(6.444800 103.478996 60.388199)(-34.333000 101.409004 110.740997)(31.986099 109.000000 101.998001)(-40.895302 101.299004 103.098000)(-34.333000 101.409004 110.740997)(-63.107998 92.641006 111.518005)(-12.332700 105.570999 110.740997)(-12.332700 105.570999 110.740997)(-10.806000 72.998001 125.000999)(5.444000 75.083504 125.000999)(-10.806000 72.998001 125.000999)(-28.867001 69.401001 125.000000)(-37.563999 0.000000 128.802002)(-64.014999 -58.525002 125.000999)(-37.563999 0.000000 128.802002)(-75.350998 -53.839001 125.000999)(-75.350998 -53.839001 125.000999)(-86.457001 -48.639000 125.000999)(-63.107998 -92.641006 111.518005)(-95.023499 -42.722500 125.000999)(-99.245697 -78.467102 110.740997)(-86.457001 -48.639000 125.000999)(-99.245697 -78.467102 110.740997)(-107.528999 -73.895203 111.111000)(-99.391495 -78.768501 103.000999)(-77.799500 -87.444000 83.959999)(-79.699005 -85.818001 78.146004)(-63.125000 -92.692001 83.631996)(-100.689003 -77.298996 84.421997)(-99.391495 -78.768501 103.000999)(-107.574997 -73.966507 103.000999)(-77.799500 -87.444000 83.959999)(-100.689003 -77.298996 84.421997)(-79.699005 -85.818001 78.146004)(-28.534399 -98.273598 64.660805)(-8.941400 -101.944000 62.374802)(-20.287800 -102.351997 75.336395)(-46.521900 -94.228600 66.603401)(-28.534399 -98.273598 64.660805)(-33.092899 -100.183006 78.662399)(-63.125000 -92.692001 83.631996)(-79.699005 -85.818001 78.146004)(-33.092899 -100.183006 78.662399)(-20.287800 102.351997 75.336395)(11.049900 105.576996 69.548698)(6.444800 103.478996 60.388199)(-40.895302 101.299004 103.098000)(-99.391495 78.768501 103.000999)(-34.333000 101.409004 110.740997)(-12.332700 105.570999 110.740997)(-63.107998 92.641006 111.518005)(-52.912998 62.385002 125.000999)(-77.095505 88.217499 110.740997)(-63.107998 92.641006 111.518005)(-34.333000 101.409004 110.740997)(-10.806000 72.998001 125.000999)(-12.332700 105.570999 110.740997)(-28.867001 69.401001 125.000000)(-37.564999 67.033997 125.000999)(-37.563999 0.000000 128.802002)(-28.867001 69.401001 125.000000)(-75.350998 -53.839001 125.000999)(-37.563999 0.000000 128.802002)(-86.457001 -48.639000 125.000999)(-86.457001 -48.639000 125.000999)(-37.563999 0.000000 128.802002)(-95.023499 -42.722500 125.000999)(-99.245697 -78.467102 110.740997)(-95.023499 -42.722500 125.000999)(-107.528999 -73.895203 111.111000)(-107.528999 -73.895203 111.111000)(-107.574997 -73.966507 103.000999)(-99.391495 -78.768501 103.000999)(-108.177994 -72.914505 84.890503)(-100.689003 -77.298996 84.421997)(-107.574997 -73.966507 103.000999)(-108.177994 -72.914505 84.890503)(-79.699005 -85.818001 78.146004)(-100.689003 -77.298996 84.421997)(-79.699005 -85.818001 78.146004)(-46.521900 -94.228600 66.603401)(-33.092899 -100.183006 78.662399)(6.444800 103.478996 60.388199)(-1.679900 102.785995 61.436001)(-20.287800 102.351997 75.336395)(-40.895302 101.299004 103.098000)(-77.799500 87.444000 83.959999)(-99.391495 78.768501 103.000999)(-77.095505 88.217499 110.740997)(-34.333000 101.409004 110.740997)(-99.391495 78.768501 103.000999)(-52.912998 62.385002 125.000999)(-46.639999 64.565002 125.000999)(-12.332700 105.570999 110.740997)(-52.912998 62.385002 125.000999)(-63.107998 92.641006 111.518005)(-64.014999 58.525002 125.000999)(-99.245697 78.467102 110.740997)(-63.107998 92.641006 111.518005)(-77.095505 88.217499 110.740997)(-12.332700 105.570999 110.740997)(-37.564999 67.033997 125.000999)(-28.867001 69.401001 125.000000)(-37.564999 67.033997 125.000999)(-46.639999 64.565002 125.000999)(-37.563999 0.000000 128.802002)(-95.023499 -42.722500 125.000999)(-37.563999 0.000000 128.802002)(-101.683998 -34.464001 125.000000)(-107.528999 -73.895203 111.111000)(-95.023499 -42.722500 125.000999)(-122.460999 -60.956703 111.111000)(-122.460999 -60.956703 111.111000)(-107.574997 -73.966507 103.000999)(-107.528999 -73.895203 111.111000)(-107.574997 -73.966507 103.000999)(-113.540001 -69.028000 85.162003)(-108.177994 -72.914505 84.890503)(-108.176003 -71.695999 78.146004)(-79.699005 -85.818001 78.146004)(-108.177994 -72.914505 84.890503)(-79.699005 -85.818001 78.146004)(-58.903999 -90.460297 67.765900)(-46.521900 -94.228600 66.603401)(-8.941400 101.944000 62.374802)(-20.287800 102.351997 75.336395)(-1.679900 102.785995 61.436001)(-34.643200 99.471100 82.808998)(-63.125000 92.692001 83.631996)(-40.895302 101.299004 103.098000)(-40.895302 101.299004 103.098000)(-63.125000 92.692001 83.631996)(-77.799500 87.444000 83.959999)(-99.391495 78.768501 103.000999)(-77.799500 87.444000 83.959999)(-100.689003 77.298996 84.421997)(-77.095505 88.217499 110.740997)(-99.391495 78.768501 103.000999)(-99.245697 78.467102 110.740997)(-37.564999 67.033997 125.000999)(-12.332700 105.570999 110.740997)(-46.639999 64.565002 125.000999)(-46.639999 64.565002 125.000999)(-52.912998 62.385002 125.000999)(-37.563999 0.000000 128.802002)(-64.014999 58.525002 125.000999)(-63.107998 92.641006 111.518005)(-75.350998 53.839001 125.000999)(-52.912998 62.385002 125.000999)(-64.014999 58.525002 125.000999)(-37.563999 0.000000 128.802002)(-63.107998 92.641006 111.518005)(-99.245697 78.467102 110.740997)(-86.457001 48.639000 125.000999)(-101.683998 -34.464001 125.000000)(-37.563999 0.000000 128.802002)(-105.720993 -24.664000 125.000999)(-101.683998 -34.464001 125.000000)(-122.460999 -60.956703 111.111000)(-95.023499 -42.722500 125.000999)(-122.525002 -61.012501 103.000999)(-107.574997 -73.966507 103.000999)(-122.460999 -60.956703 111.111000)(-107.574997 -73.966507 103.000999)(-121.297005 -61.535801 85.411499)(-113.540001 -69.028000 85.162003)(-108.177994 -72.914505 84.890503)(-113.540001 -69.028000 85.162003)(-108.176003 -71.695999 78.146004)(-108.176003 -71.695999 78.146004)(-76.484505 -84.369698 69.301498)(-79.699005 -85.818001 78.146004)(-79.699005 -85.818001 78.146004)(-64.909401 -88.640800 68.304802)(-58.903999 -90.460297 67.765900)(-20.287800 102.351997 75.336395)(-8.941400 101.944000 62.374802)(-28.534399 98.273598 64.660805)(-34.643200 99.471100 82.808998)(-33.092899 100.183006 78.662399)(-63.125000 92.692001 83.631996)(-77.799500 87.444000 83.959999)(-63.125000 92.692001 83.631996)(-79.699005 85.818001 78.146004)(-79.699005 85.818001 78.146004)(-100.689003 77.298996 84.421997)(-77.799500 87.444000 83.959999)(-100.689003 77.298996 84.421997)(-107.574997 73.966507 103.000999)(-99.391495 78.768501 103.000999)(-99.245697 78.467102 110.740997)(-99.391495 78.768501 103.000999)(-107.528999 73.895203 111.111000)(-63.107998 92.641006 111.518005)(-86.457001 48.639000 125.000999)(-75.350998 53.839001 125.000999)(-64.014999 58.525002 125.000999)(-75.350998 53.839001 125.000999)(-37.563999 0.000000 128.802002)(-99.245697 78.467102 110.740997)(-95.023499 42.722500 125.000999)(-86.457001 48.639000 125.000999)(-33.092899 100.183006 78.662399)(-20.287800 102.351997 75.336395)(-28.534399 98.273598 64.660805)(-105.720993 -24.664000 125.000999)(-37.563999 0.000000 128.802002)(-107.000999 -15.499001 125.000000)(-101.683998 -34.464001 125.000000)(-105.720993 -24.664000 125.000999)(-131.843002 -46.164597 111.111000)(-101.683998 -34.464001 125.000000)(-131.843002 -46.164597 111.111000)(-122.460999 -60.956703 111.111000)(-121.297005 -61.535801 85.411499)(-107.574997 -73.966507 103.000999)(-122.525002 -61.012501 103.000999)(-122.525002 -61.012501 103.000999)(-122.460999 -60.956703 111.111000)(-131.843002 -46.164597 111.111000)(-121.297005 -61.535801 85.411499)(-119.723000 -61.626999 78.146004)(-113.540001 -69.028000 85.162003)(-113.540001 -69.028000 85.162003)(-119.723000 -61.626999 78.146004)(-108.176003 -71.695999 78.146004)(-108.176003 -71.695999 78.146004)(-87.256599 -79.376694 68.048599)(-76.484505 -84.369698 69.301498)(-79.699005 -85.818001 78.146004)(-76.484505 -84.369698 69.301498)(-64.909401 -88.640800 68.304802)(-33.092899 100.183006 78.662399)(-79.699005 85.818001 78.146004)(-63.125000 92.692001 83.631996)(-100.689003 77.298996 84.421997)(-79.699005 85.818001 78.146004)(-108.177994 72.914505 84.890503)(-100.689003 77.298996 84.421997)(-108.177994 72.914505 84.890503)(-107.574997 73.966507 103.000999)(-107.528999 73.895203 111.111000)(-99.391495 78.768501 103.000999)(-107.574997 73.966507 103.000999)(-107.528999 73.895203 111.111000)(-95.023499 42.722500 125.000999)(-99.245697 78.467102 110.740997)(-37.563999 0.000000 128.802002)(-75.350998 53.839001 125.000999)(-86.457001 48.639000 125.000999)(-37.563999 0.000000 128.802002)(-86.457001 48.639000 125.000999)(-95.023499 42.722500 125.000999)(-33.092899 100.183006 78.662399)(-28.534399 98.273598 64.660805)(-46.521900 94.228600 66.603401)(-107.000999 -15.499001 125.000000)(-37.563999 0.000000 128.802002)(-107.000999 15.499001 125.000000)(-107.000999 -15.499001 125.000000)(-138.042999 -27.235201 111.111000)(-105.720993 -24.664000 125.000999)(-131.843002 -46.164597 111.111000)(-105.720993 -24.664000 125.000999)(-138.042999 -27.235201 111.111000)(-129.090988 -50.981998 85.466499)(-121.297005 -61.535801 85.411499)(-122.525002 -61.012501 103.000999)(-122.525002 -61.012501 103.000999)(-131.843002 -46.164597 111.111000)(-133.220001 -44.370499 103.000999)(-121.297005 -61.535801 85.411499)(-128.703995 -49.460003 78.146004)(-119.723000 -61.626999 78.146004)(-119.723000 -61.626999 78.146004)(-100.321999 -72.741798 70.787102)(-108.176003 -71.695999 78.146004)(-108.176003 -71.695999 78.146004)(-100.321999 -72.741798 70.787102)(-87.256599 -79.376694 68.048599)(-33.092899 100.183006 78.662399)(-46.521900 94.228600 66.603401)(-79.699005 85.818001 78.146004)(-108.177994 72.914505 84.890503)(-79.699005 85.818001 78.146004)(-108.176003 71.695999 78.146004)(-107.574997 73.966507 103.000999)(-108.177994 72.914505 84.890503)(-113.540001 69.028000 85.162003)(-107.528999 73.895203 111.111000)(-107.574997 73.966507 103.000999)(-122.460999 60.956703 111.111000)(-95.023499 42.722500 125.000999)(-107.528999 73.895203 111.111000)(-122.460999 60.956703 111.111000)(-101.683998 34.464001 125.000000)(-37.563999 0.000000 128.802002)(-95.023499 42.722500 125.000999)(-37.563999 0.000000 128.802002)(-105.720993 24.664000 125.000999)(-107.000999 15.499001 125.000000)(-107.000999 -15.499001 125.000000)(-107.000999 15.499001 125.000000)(-139.541992 -15.499001 111.111000)(-107.000999 -15.499001 125.000000)(-139.541992 -15.499001 111.111000)(-138.042999 -27.235201 111.111000)(-131.843002 -46.164597 111.111000)(-138.042999 -27.235201 111.111000)(-133.220001 -44.370499 103.000999)(-128.703995 -49.460003 78.146004)(-121.297005 -61.535801 85.411499)(-129.090988 -50.981998 85.466499)(-129.090988 -50.981998 85.466499)(-122.525002 -61.012501 103.000999)(-133.220001 -44.370499 103.000999)(-123.637001 -55.118099 75.242805)(-128.703995 -49.460003 78.146004)(-123.153000 -54.568001 72.339500)(-123.637001 -55.118099 75.242805)(-123.153000 -54.568001 72.339500)(-119.723000 -61.626999 78.146004)(-123.637001 -55.118099 75.242805)(-119.723000 -61.626999 78.146004)(-128.703995 -49.460003 78.146004)(-119.723000 -61.626999 78.146004)(-106.402000 -68.350502 71.422104)(-100.321999 -72.741798 70.787102)(-46.521900 94.228600 66.603401)(-58.903999 90.460297 67.765900)(-79.699005 85.818001 78.146004)(-76.484505 84.369698 69.301498)(-108.176003 71.695999 78.146004)(-79.699005 85.818001 78.146004)(-113.540001 69.028000 85.162003)(-108.177994 72.914505 84.890503)(-108.176003 71.695999 78.146004)(-107.574997 73.966507 103.000999)(-113.540001 69.028000 85.162003)(-121.297005 61.535801 85.411499)(-107.574997 73.966507 103.000999)(-122.525002 61.012501 103.000999)(-122.460999 60.956703 111.111000)(-95.023499 42.722500 125.000999)(-122.460999 60.956703 111.111000)(-101.683998 34.464001 125.000000)(-105.720993 24.664000 125.000999)(-37.563999 0.000000 128.802002)(-101.683998 34.464001 125.000000)(-107.000999 15.499001 125.000000)(-105.720993 24.664000 125.000999)(-138.042999 27.235201 111.111000)(-107.000999 15.499001 125.000000)(-139.541992 15.499001 111.111000)(-139.541992 -15.499001 111.111000)(-138.042999 -27.235201 111.111000)(-139.541992 -15.499001 111.111000)(-138.794006 -25.389999 103.000999)(-133.220001 -44.370499 103.000999)(-138.042999 -27.235201 111.111000)(-138.794006 -25.389999 103.000999)(-129.090988 -50.981998 85.466499)(-133.236008 -42.855000 85.320000)(-128.703995 -49.460003 78.146004)(-133.236008 -42.855000 85.320000)(-129.090988 -50.981998 85.466499)(-133.220001 -44.370499 103.000999)(-127.956001 -47.260700 72.575302)(-123.153000 -54.568001 72.339500)(-128.703995 -49.460003 78.146004)(-119.723000 -61.626999 78.146004)(-123.153000 -54.568001 72.339500)(-115.643997 -63.428799 71.991402)(-115.643997 -63.428799 71.991402)(-106.402000 -68.350502 71.422104)(-119.723000 -61.626999 78.146004)(-58.903999 90.460297 67.765900)(-64.909401 88.640800 68.304802)(-79.699005 85.818001 78.146004)(-76.484505 84.369698 69.301498)(-87.256599 79.376694 68.048599)(-108.176003 71.695999 78.146004)(-79.699005 85.818001 78.146004)(-64.909401 88.640800 68.304802)(-76.484505 84.369698 69.301498)(-113.540001 69.028000 85.162003)(-108.176003 71.695999 78.146004)(-119.723000 61.626999 78.146004)(-107.574997 73.966507 103.000999)(-121.297005 61.535801 85.411499)(-122.525002 61.012501 103.000999)(-113.540001 69.028000 85.162003)(-119.723000 61.626999 78.146004)(-121.297005 61.535801 85.411499)(-122.525002 61.012501 103.000999)(-131.843002 46.164597 111.111000)(-122.460999 60.956703 111.111000)(-122.460999 60.956703 111.111000)(-131.843002 46.164597 111.111000)(-101.683998 34.464001 125.000000)(-101.683998 34.464001 125.000000)(-131.843002 46.164597 111.111000)(-105.720993 24.664000 125.000999)(-105.720993 24.664000 125.000999)(-131.843002 46.164597 111.111000)(-138.042999 27.235201 111.111000)(-107.000999 15.499001 125.000000)(-138.042999 27.235201 111.111000)(-139.541992 15.499001 111.111000)(-139.541992 15.499001 111.111000)(-140.000000 -8.516000 101.000999)(-139.541992 -15.499001 111.111000)(-139.750000 -15.499001 102.000999)(-138.794006 -25.389999 103.000999)(-139.541992 -15.499001 111.111000)(-137.310989 -30.674000 84.880997)(-133.220001 -44.370499 103.000999)(-138.794006 -25.389999 103.000999)(-132.447006 -42.843300 81.733002)(-134.865005 -35.636002 78.146004)(-128.703995 -49.460003 78.146004)(-132.447006 -42.843300 81.733002)(-128.703995 -49.460003 78.146004)(-133.236008 -42.855000 85.320000)(-132.447006 -42.843300 81.733002)(-133.236008 -42.855000 85.320000)(-134.865005 -35.636002 78.146004)(-135.537003 -36.309002 85.096001)(-133.236008 -42.855000 85.320000)(-133.220001 -44.370499 103.000999)(-127.956001 -47.260700 72.575302)(-128.703995 -49.460003 78.146004)(-134.865005 -35.636002 78.146004)(-127.956001 -47.260700 72.575302)(-127.956001 47.260700 72.575302)(-123.153000 -54.568001 72.339500)(-115.643997 -63.428799 71.991402)(-123.153000 -54.568001 72.339500)(-115.411995 -52.719002 71.834000)(-106.402000 -68.350502 71.422104)(-115.643997 -63.428799 71.991402)(-111.276001 -59.601002 71.605507)(-87.256599 79.376694 68.048599)(-100.321999 72.741798 70.787102)(-108.176003 71.695999 78.146004)(-108.176003 71.695999 78.146004)(-100.321999 72.741798 70.787102)(-119.723000 61.626999 78.146004)(-121.297005 61.535801 85.411499)(-129.090988 50.981998 85.466499)(-122.525002 61.012501 103.000999)(-128.703995 49.460003 78.146004)(-121.297005 61.535801 85.411499)(-119.723000 61.626999 78.146004)(-131.843002 46.164597 111.111000)(-122.525002 61.012501 103.000999)(-133.220001 44.370499 103.000999)(-138.042999 27.235201 111.111000)(-131.843002 46.164597 111.111000)(-133.220001 44.370499 103.000999)(-138.794006 25.389999 103.000999)(-139.541992 15.499001 111.111000)(-138.042999 27.235201 111.111000)(-139.541992 15.499001 111.111000)(-140.000000 8.516000 101.000999)(-140.000000 -8.516000 101.000999)(-140.000000 -8.516000 101.000999)(-139.750000 -15.499001 102.000999)(-139.541992 -15.499001 111.111000)(-138.422989 -23.705999 84.464203)(-138.794006 -25.389999 103.000999)(-139.750000 -15.499001 102.000999)(-138.422989 -23.705999 84.464203)(-137.310989 -30.674000 84.880997)(-138.794006 -25.389999 103.000999)(-133.220001 -44.370499 103.000999)(-137.310989 -30.674000 84.880997)(-135.537003 -36.309002 85.096001)(-133.236008 -42.855000 85.320000)(-135.537003 -36.309002 85.096001)(-134.865005 -35.636002 78.146004)(-127.956001 -47.260700 72.575302)(-134.865005 -35.636002 78.146004)(-131.410004 -39.997902 72.722900)(-123.153000 54.568001 72.339500)(-123.153000 -54.568001 72.339500)(-127.956001 47.260700 72.575302)(-127.956001 47.260700 72.575302)(-127.956001 -47.260700 72.575302)(-131.410004 39.997902 72.722900)(-111.276001 -59.601002 71.605507)(-115.643997 -63.428799 71.991402)(-115.411995 -52.719002 71.834000)(-115.411995 -52.719002 71.834000)(-123.153000 -54.568001 72.339500)(-118.166000 -45.432003 71.979996)(-100.321999 72.741798 70.787102)(-106.402000 68.350502 71.422104)(-119.723000 61.626999 78.146004)(-128.703995 49.460003 78.146004)(-129.090988 50.981998 85.466499)(-121.297005 61.535801 85.411499)(-133.220001 44.370499 103.000999)(-122.525002 61.012501 103.000999)(-129.090988 50.981998 85.466499)(-123.637001 55.118099 75.242805)(-123.153000 54.568001 72.339500)(-128.703995 49.460003 78.146004)(-123.637001 55.118099 75.242805)(-128.703995 49.460003 78.146004)(-119.723000 61.626999 78.146004)(-123.637001 55.118099 75.242805)(-119.723000 61.626999 78.146004)(-123.153000 54.568001 72.339500)(-138.042999 27.235201 111.111000)(-133.220001 44.370499 103.000999)(-138.794006 25.389999 103.000999)(-139.750000 15.499001 102.000999)(-139.541992 15.499001 111.111000)(-138.794006 25.389999 103.000999)(-139.750000 15.499001 102.000999)(-140.000000 8.516000 101.000999)(-139.541992 15.499001 111.111000)(-140.000000 8.516000 101.000999)(-139.000000 -15.499001 83.858002)(-140.000000 -8.516000 101.000999)(-139.000000 -15.499001 83.858002)(-139.750000 -15.499001 102.000999)(-140.000000 -8.516000 101.000999)(-139.000000 -15.499001 83.858002)(-138.422989 -23.705999 84.464203)(-139.750000 -15.499001 102.000999)(-137.932999 -20.583000 78.146004)(-137.310989 -30.674000 84.880997)(-138.422989 -23.705999 84.464203)(-135.537003 -36.309002 85.096001)(-137.310989 -30.674000 84.880997)(-134.865005 -35.636002 78.146004)(-134.865005 -35.636002 78.146004)(-134.247009 -32.984200 72.878304)(-131.410004 -39.997902 72.722900)(-131.410004 -39.997902 72.722900)(-131.410004 39.997902 72.722900)(-127.956001 -47.260700 72.575302)(-127.956001 47.260700 72.575302)(-128.703995 49.460003 78.146004)(-123.153000 54.568001 72.339500)(-123.153000 -54.568001 72.339500)(-123.153000 54.568001 72.339500)(-119.664001 -38.846001 72.057999)(-127.956001 47.260700 72.575302)(-131.410004 39.997902 72.722900)(-134.865005 35.636002 78.146004)(-118.166000 -45.432003 71.979996)(-123.153000 -54.568001 72.339500)(-119.664001 -38.846001 72.057999)(-106.402000 68.350502 71.422104)(-115.643997 63.428799 71.991402)(-119.723000 61.626999 78.146004)(-133.236008 42.855000 85.320000)(-129.090988 50.981998 85.466499)(-128.703995 49.460003 78.146004)(-129.090988 50.981998 85.466499)(-133.236008 42.855000 85.320000)(-133.220001 44.370499 103.000999)(-115.643997 63.428799 71.991402)(-123.153000 54.568001 72.339500)(-119.723000 61.626999 78.146004)(-138.794006 25.389999 103.000999)(-133.220001 44.370499 103.000999)(-137.310989 30.674000 84.880997)(-138.422989 23.705999 84.464203)(-139.750000 15.499001 102.000999)(-138.794006 25.389999 103.000999)(-139.000000 15.499001 83.858002)(-140.000000 8.516000 101.000999)(-139.750000 15.499001 102.000999)(-140.000000 8.516000 101.000999)(-139.000000 15.499001 83.858002)(-139.000000 -15.499001 83.858002)(-137.932999 -20.583000 78.146004)(-138.422989 -23.705999 84.464203)(-139.000000 -15.499001 83.858002)(-137.932999 -20.583000 78.146004)(-134.865005 -35.636002 78.146004)(-137.310989 -30.674000 84.880997)(-137.932999 -20.583000 78.146004)(-134.247009 -32.984200 72.878304)(-134.865005 -35.636002 78.146004)(-134.247009 -32.984200 72.878304)(-134.247009 32.984200 72.878304)(-131.410004 -39.997902 72.722900)(-131.410004 39.997902 72.722900)(-131.410004 -39.997902 72.722900)(-134.247009 32.984200 72.878304)(-134.865005 35.636002 78.146004)(-128.703995 49.460003 78.146004)(-127.956001 47.260700 72.575302)(-119.664001 38.846001 72.057999)(-119.664001 -38.846001 72.057999)(-123.153000 54.568001 72.339500)(-134.865005 35.636002 78.146004)(-131.410004 39.997902 72.722900)(-134.247009 32.984200 72.878304)(-111.276001 59.601002 71.605507)(-115.643997 63.428799 71.991402)(-106.402000 68.350502 71.422104)(-128.703995 49.460003 78.146004)(-134.865005 35.636002 78.146004)(-132.447006 42.843300 81.733002)(-134.865005 35.636002 78.146004)(-133.236008 42.855000 85.320000)(-132.447006 42.843300 81.733002)(-133.236008 42.855000 85.320000)(-128.703995 49.460003 78.146004)(-132.447006 42.843300 81.733002)(-133.236008 42.855000 85.320000)(-135.537003 36.309002 85.096001)(-133.220001 44.370499 103.000999)(-115.411995 52.719002 71.834000)(-123.153000 54.568001 72.339500)(-115.643997 63.428799 71.991402)(-135.537003 36.309002 85.096001)(-137.310989 30.674000 84.880997)(-133.220001 44.370499 103.000999)(-137.310989 30.674000 84.880997)(-138.422989 23.705999 84.464203)(-138.794006 25.389999 103.000999)(-138.422989 23.705999 84.464203)(-139.000000 15.499001 83.858002)(-139.750000 15.499001 102.000999)(-139.000000 15.499001 83.858002)(-137.932999 -20.583000 78.146004)(-139.000000 -15.499001 83.858002)(-134.247009 -32.984200 72.878304)(-137.932999 -20.583000 78.146004)(-135.649002 -27.183199 72.905098)(-134.247009 32.984200 72.878304)(-134.247009 -32.984200 72.878304)(-135.649002 27.183199 72.905098)(-118.166000 45.432003 71.979996)(-119.664001 38.846001 72.057999)(-123.153000 54.568001 72.339500)(-137.932999 20.583000 78.146004)(-134.865005 35.636002 78.146004)(-134.247009 32.984200 72.878304)(-115.411995 52.719002 71.834000)(-115.643997 63.428799 71.991402)(-111.276001 59.601002 71.605507)(-134.865005 35.636002 78.146004)(-135.537003 36.309002 85.096001)(-133.236008 42.855000 85.320000)(-118.166000 45.432003 71.979996)(-123.153000 54.568001 72.339500)(-115.411995 52.719002 71.834000)(-134.865005 35.636002 78.146004)(-137.310989 30.674000 84.880997)(-135.537003 36.309002 85.096001)(-137.932999 20.583000 78.146004)(-138.422989 23.705999 84.464203)(-137.310989 30.674000 84.880997)(-137.932999 20.583000 78.146004)(-139.000000 15.499001 83.858002)(-138.422989 23.705999 84.464203)(-139.000000 15.499001 83.858002)(-137.932999 20.583000 78.146004)(-137.932999 -20.583000 78.146004)(-137.932999 -20.583000 78.146004)(-136.356995 -21.594400 72.934601)(-135.649002 -27.183199 72.905098)(-135.649002 -27.183199 72.905098)(-135.649002 27.183199 72.905098)(-134.247009 -32.984200 72.878304)(-135.649002 27.183199 72.905098)(-137.932999 20.583000 78.146004)(-134.247009 32.984200 72.878304)(-137.310989 30.674000 84.880997)(-134.865005 35.636002 78.146004)(-137.932999 20.583000 78.146004)(-137.932999 -20.583000 78.146004)(-137.932999 20.583000 78.146004)(-137.209991 -4.731200 73.068001)(-136.692993 -16.414299 72.948906)(-136.356995 -21.594400 72.934601)(-137.932999 -20.583000 78.146004)(-136.356995 -21.594400 72.934601)(-136.356995 21.594400 72.934601)(-135.649002 -27.183199 72.905098)(-135.649002 27.183199 72.905098)(-135.649002 -27.183199 72.905098)(-136.356995 21.594400 72.934601)(-136.356995 21.594400 72.934601)(-137.932999 20.583000 78.146004)(-135.649002 27.183199 72.905098)(-137.209991 4.731200 73.068001)(-137.209991 -4.731200 73.068001)(-137.932999 20.583000 78.146004)(-137.209991 -4.731200 73.068001)(-136.692993 -16.414299 72.948906)(-137.932999 -20.583000 78.146004)(-136.692993 -16.414299 72.948906)(-136.692993 16.414299 72.948906)(-136.356995 -21.594400 72.934601)(-136.356995 21.594400 72.934601)(-136.356995 -21.594400 72.934601)(-136.692993 16.414299 72.948906)(-136.356995 21.594400 72.934601)(-136.692993 16.414299 72.948906)(-137.932999 20.583000 78.146004)(-137.932999 20.583000 78.146004)(-136.692993 16.414299 72.948906)(-137.209991 4.731200 73.068001)(-137.209991 -4.731200 73.068001)(-137.209991 4.731200 73.068001)(-136.692993 -16.414299 72.948906)(-136.692993 16.414299 72.948906)(-136.692993 -16.414299 72.948906)(-137.209991 4.731200 73.068001)(80.653999 -60.045002 93.608002)(81.005997 -64.062996 95.737999)(80.365997 -56.749001 90.467995)(80.365997 -56.749001 90.467995)(80.057999 -53.227001 82.149994)(80.162003 -54.418003 86.552002)(80.365997 -56.749001 90.467995)(81.005997 -64.062996 95.737999)(80.057999 -53.227001 82.149994)(81.028000 -64.310997 64.172997)(80.061005 -53.263000 77.587997)(80.057999 -53.227001 82.149994)(81.005997 -64.062996 95.737999)(81.028000 -64.310997 64.172997)(80.057999 -53.227001 82.149994)(80.170998 -54.522999 73.206001)(80.061005 -53.263000 77.587997)(80.673004 -60.260002 66.239998)(80.061005 -53.263000 77.587997)(81.028000 -64.310997 64.172997)(80.673004 -60.260002 66.239998)(81.028000 -64.310997 64.172997)(81.005997 -64.062996 95.737999)(81.394005 -68.504997 96.701004)(81.028000 -64.310997 64.172997)(81.394005 -68.504997 96.701004)(81.791000 -73.041000 96.426003)(80.170998 -54.522999 73.206001)(80.673004 -60.260002 66.239998)(80.379997 -56.915001 69.326996)(81.791000 -73.041000 96.426003)(82.167000 -77.334999 94.931999)(81.028000 -64.310997 64.172997)(82.746994 -83.962997 88.816002)(82.167000 -77.334999 94.931999)(82.492996 -81.068001 92.331001)(81.417000 -68.768005 63.280003)(81.028000 -64.310997 64.172997)(81.813995 -73.298996 63.628002)(81.028000 -64.310997 64.172997)(82.167000 -77.334999 94.931999)(82.746994 -83.962997 88.816002)(82.186996 -77.569000 65.188995)(81.813995 -73.298996 63.628002)(82.510002 -81.260002 67.848999)(81.813995 -73.298996 63.628002)(81.028000 -64.310997 64.172997)(82.759003 -84.099998 71.410004)(82.746994 -83.962997 88.816002)(82.759003 -84.099998 71.410004)(81.028000 -64.310997 64.172997)(82.965004 -86.460999 80.132004)(82.759003 -84.099998 71.410004)(82.907997 -85.807007 84.646004)(82.759003 -84.099998 71.410004)(82.746994 -83.962997 88.816002)(82.907997 -85.807007 84.646004)(81.813995 -73.298996 63.628002)(82.759003 -84.099998 71.410004)(82.510002 -81.260002 67.848999)(82.914001 -85.877998 75.608002)(82.759003 -84.099998 71.410004)(82.965004 -86.460999 80.132004)(80.186005 55.697998 87.178001)(80.067001 54.327999 82.828003)(80.403999 58.187000 90.994995)(80.147995 55.258999 73.838005)(80.067001 54.327999 82.828003)(80.053001 54.178001 78.268997)(81.849998 74.708000 96.278000)(80.403999 58.187000 90.994995)(80.067001 54.327999 82.828003)(81.849998 74.708000 96.278000)(80.702995 61.608002 93.996002)(80.403999 58.187000 90.994995)(80.147995 55.258999 73.838005)(80.343002 57.489998 69.865005)(80.067001 54.327999 82.828003)(82.220001 78.937004 94.609001)(81.849998 74.708000 96.278000)(80.067001 54.327999 82.828003)(81.849998 74.708000 96.278000)(81.061996 65.709999 95.959999)(80.702995 61.608002 93.996002)(80.971001 64.669998 64.411003)(81.358002 69.086998 63.335999)(80.625000 60.707001 66.642998)(80.343002 57.489998 69.865005)(80.625000 60.707001 66.642998)(80.067001 54.327999 82.828003)(82.220001 78.937004 94.609001)(80.067001 54.327999 82.828003)(82.924004 86.983002 83.984001)(81.849998 74.708000 96.278000)(81.454002 70.187004 96.739998)(81.061996 65.709999 95.959999)(81.754997 73.627998 63.496998)(82.134003 77.958000 64.880997)(81.358002 69.086998 63.335999)(80.067001 54.327999 82.828003)(80.625000 60.707001 66.642998)(81.358002 69.086998 63.335999)(82.924004 86.983002 83.984001)(80.067001 54.327999 82.828003)(82.965004 87.452003 79.445999)(82.537003 82.561005 91.857002)(82.220001 78.937004 94.609001)(82.924004 86.983002 83.984001)(82.965004 87.452003 79.445999)(81.358002 69.086998 63.335999)(82.134003 77.958000 64.880997)(82.134003 77.958000 64.880997)(82.465996 81.754997 67.387001)(82.965004 87.452003 79.445999)(82.965004 87.452003 79.445999)(80.067001 54.327999 82.828003)(81.515900 70.889999 73.082001)(80.067001 54.327999 82.828003)(81.358002 69.086998 63.335999)(81.515900 70.889999 73.082001)(81.358002 69.086998 63.335999)(82.965004 87.452003 79.445999)(81.515900 70.889999 73.082001)(82.537003 82.561005 91.857002)(82.924004 86.983002 83.984001)(82.777000 85.311005 88.224998)(82.465996 81.754997 67.387001)(82.726997 84.737999 70.828995)(82.965004 87.452003 79.445999)(82.965004 87.452003 79.445999)(82.726997 84.737999 70.828995)(82.897003 86.685005 74.950005)(51.999001 -58.038998 92.727997)(51.999001 -53.734001 86.889000)(97.436501 -35.610798 91.327507)(51.999001 -58.038998 92.727997)(97.436501 -35.610798 91.327507)(96.996002 -40.187000 95.039001)(97.804596 -33.058899 87.280197)(97.436501 -35.610798 91.327507)(51.999001 -53.734001 86.889000)(97.436501 -35.610798 91.327507)(99.590500 -22.541000 101.000000)(96.996002 -40.187000 95.039001)(96.996002 -40.187000 95.039001)(51.999001 -64.483002 96.629997)(51.999001 -58.038998 92.727997)(99.590500 -22.541000 101.000000)(97.436501 -35.610798 91.327507)(97.804596 -33.058899 87.280197)(51.999001 -53.734001 86.889000)(51.999001 -52.222000 80.000000)(97.804596 -33.058899 87.280197)(96.996002 -40.187000 95.039001)(99.590500 -22.541000 101.000000)(96.291901 -44.521000 98.903595)(51.999001 -64.483002 96.629997)(96.996002 -40.187000 95.039001)(96.291901 -44.521000 98.903595)(99.926003 -9.500000 99.068497)(99.590500 -22.541000 101.000000)(97.804596 -33.058899 87.280197)(51.999001 -52.222000 80.000000)(96.209198 -31.883900 79.223495)(97.804596 -33.058899 87.280197)(51.999001 -73.791496 98.000000)(51.999001 -64.483002 96.629997)(96.291901 -44.521000 98.903595)(51.999001 -53.734001 73.112007)(96.209198 -31.883900 79.223495)(51.999001 -52.222000 80.000000)(99.323700 -9.500000 91.039001)(99.926003 -9.500000 99.068497)(97.804596 -33.058899 87.280197)(97.804596 -33.058899 87.280197)(96.209198 -31.883900 79.223495)(99.323700 -9.500000 91.039001)(91.115105 -62.855900 99.500000)(51.999001 -73.791496 98.000000)(96.291901 -44.521000 98.903595)(92.589203 -35.396198 72.139999)(51.999001 -53.734001 73.112007)(51.999001 -58.038998 67.272003)(51.999001 -53.734001 73.112007)(92.589203 -35.396198 72.139999)(96.209198 -31.883900 79.223495)(99.323700 9.500000 91.039001)(99.926003 -9.500000 99.068497)(99.323700 -9.500000 91.039001)(98.497002 -9.500000 84.927002)(99.323700 -9.500000 91.039001)(96.209198 -31.883900 79.223495)(88.890999 -68.807495 99.500000)(51.999001 -73.791496 98.000000)(91.115105 -62.855900 99.500000)(82.298004 -81.828499 96.765999)(51.999001 -82.388000 96.629997)(51.999001 -73.791496 98.000000)(88.838303 -42.063499 66.603195)(51.999001 -58.038998 67.272003)(51.999001 -64.483002 63.371002)(88.838303 -42.063499 66.603195)(92.589203 -35.396198 72.139999)(51.999001 -58.038998 67.272003)(96.209198 -31.883900 79.223495)(92.589203 -35.396198 72.139999)(91.955002 -26.450001 67.496002)(99.323700 9.500000 91.039001)(99.926003 9.500000 99.068497)(99.926003 -9.500000 99.068497)(98.497002 9.500000 84.927002)(99.323700 9.500000 91.039001)(99.323700 -9.500000 91.039001)(96.897499 -9.500000 78.332001)(98.497002 -9.500000 84.927002)(96.209198 -31.883900 79.223495)(98.497002 9.500000 84.927002)(99.323700 -9.500000 91.039001)(98.497002 -9.500000 84.927002)(88.890999 -68.807495 99.500000)(85.863098 -75.680000 100.202003)(51.999001 -73.791496 98.000000)(82.298004 -81.828499 96.765999)(51.999001 -88.228004 92.727997)(51.999001 -82.388000 96.629997)(85.863098 -75.680000 100.202003)(82.298004 -81.828499 96.765999)(51.999001 -73.791496 98.000000)(51.999001 -88.228004 92.727997)(51.999001 -92.129997 86.889000)(51.999001 -86.856094 90.354500)(51.999001 -92.129997 86.889000)(51.999001 -86.649704 88.819901)(51.999001 -86.856094 90.354500)(85.219505 -49.765503 63.199497)(51.999001 -64.483002 63.371002)(51.999001 -73.791496 62.000000)(51.999001 -64.483002 63.371002)(85.219505 -49.765503 63.199497)(88.838303 -42.063499 66.603195)(91.955002 -26.450001 67.496002)(92.589203 -35.396198 72.139999)(88.838303 -42.063499 66.603195)(96.897499 -9.500000 78.332001)(96.209198 -31.883900 79.223495)(91.955002 -26.450001 67.496002)(97.804596 33.058899 87.280197)(99.926003 9.500000 99.068497)(99.323700 9.500000 91.039001)(99.323700 9.500000 91.039001)(98.497002 9.500000 84.927002)(96.209198 31.883900 79.223495)(96.897499 9.500000 78.332001)(98.497002 -9.500000 84.927002)(96.897499 -9.500000 78.332001)(96.897499 9.500000 78.332001)(98.497002 9.500000 84.927002)(98.497002 -9.500000 84.927002)(82.298004 -81.828499 96.765999)(77.864807 -87.469299 93.317802)(51.999001 -88.228004 92.727997)(85.863098 -75.680000 100.202003)(80.172005 -85.216499 100.992004)(82.298004 -81.828499 96.765999)(51.999001 -92.129997 86.889000)(51.999001 -88.228004 92.727997)(73.108894 -91.675903 87.547798)(51.999001 -88.511101 84.646004)(51.999001 -86.772598 88.547501)(51.999001 -92.129997 86.889000)(51.999001 -86.772598 88.547501)(51.999001 -86.652901 88.816002)(51.999001 -92.129997 86.889000)(51.999001 -92.129997 86.889000)(51.999001 -86.649704 88.819901)(51.999001 -86.652901 88.816002)(51.999001 -92.129997 86.889000)(51.999001 -93.500000 80.000000)(51.999001 -90.074799 84.409996)(51.999001 -93.500000 80.000000)(51.999001 -88.795807 82.696106)(51.999001 -90.074799 84.409996)(51.999001 -88.511101 84.646004)(51.999001 -92.129997 86.889000)(51.999001 -90.074799 84.409996)(51.999001 -73.791496 62.000000)(51.999001 -82.388000 63.371002)(80.540901 -60.279999 61.111500)(51.999001 -73.791496 62.000000)(80.540901 -60.279999 61.111500)(85.219505 -49.765503 63.199497)(83.731804 -40.151802 57.093601)(88.838303 -42.063499 66.603195)(85.219505 -49.765503 63.199497)(91.955002 -26.450001 67.496002)(88.838303 -42.063499 66.603195)(83.731804 -40.151802 57.093601)(94.705002 -9.500000 71.813004)(96.897499 -9.500000 78.332001)(91.955002 -26.450001 67.496002)(99.323700 9.500000 91.039001)(96.209198 31.883900 79.223495)(97.804596 33.058899 87.280197)(97.804596 33.058899 87.280197)(99.590500 22.541000 101.000000)(99.926003 9.500000 99.068497)(96.209198 31.883900 79.223495)(98.497002 9.500000 84.927002)(96.897499 9.500000 78.332001)(94.705002 9.500000 71.813004)(96.897499 9.500000 78.332001)(96.897499 -9.500000 78.332001)(51.999001 -88.228004 92.727997)(77.864807 -87.469299 93.317802)(73.108894 -91.675903 87.547798)(80.172005 -85.216499 100.992004)(77.864807 -87.469299 93.317802)(80.198494 -84.734795 97.154900)(77.864807 -87.469299 93.317802)(82.298004 -81.828499 96.765999)(80.198494 -84.734795 97.154900)(82.298004 -81.828499 96.765999)(80.172005 -85.216499 100.992004)(80.198494 -84.734795 97.154900)(51.999001 -92.129997 86.889000)(73.108894 -91.675903 87.547798)(68.789001 -93.382004 79.306496)(51.999001 -93.500000 80.000000)(51.999001 -92.129997 86.889000)(68.789001 -93.382004 79.306496)(51.999001 -89.170097 80.132004)(51.999001 -88.795807 82.696106)(51.999001 -93.500000 80.000000)(51.999001 -93.500000 80.000000)(51.999001 -92.129997 73.112007)(51.999001 -91.071800 77.903999)(51.999001 -92.129997 73.112007)(51.999001 -88.643600 76.077698)(51.999001 -91.071800 77.903999)(51.999001 -88.643600 76.077698)(51.999001 -89.135902 79.869003)(51.999001 -91.071800 77.903999)(51.999001 -89.135902 79.869003)(51.999001 -89.170097 80.132004)(51.999001 -91.071800 77.903999)(51.999001 -89.170097 80.132004)(51.999001 -93.500000 80.000000)(51.999001 -91.071800 77.903999)(51.999001 -88.475304 75.356697)(51.999001 -88.582596 75.608002)(51.999001 -92.129997 73.112007)(51.999001 -88.582596 75.608002)(51.999001 -88.643600 76.077698)(51.999001 -92.129997 73.112007)(51.999001 -92.129997 73.112007)(51.999001 -88.228004 67.272003)(51.999001 -88.984604 71.674896)(51.999001 -88.475304 75.356697)(51.999001 -92.129997 73.112007)(51.999001 -88.984604 71.674896)(71.241501 -81.567696 63.201504)(51.999001 -82.388000 63.371002)(51.999001 -88.228004 67.272003)(73.228500 -75.373703 60.096500)(80.540901 -60.279999 61.111500)(51.999001 -82.388000 63.371002)(80.540901 -60.279999 61.111500)(74.827995 -66.945099 56.433102)(85.219505 -49.765503 63.199497)(83.731804 -40.151802 57.093601)(85.219505 -49.765503 63.199497)(74.827995 -66.945099 56.433102)(86.056000 -9.500000 54.688400)(91.955002 -26.450001 67.496002)(83.731804 -40.151802 57.093601)(92.545799 -9.500000 66.533501)(94.705002 -9.500000 71.813004)(91.955002 -26.450001 67.496002)(94.705002 9.500000 71.813004)(96.897499 -9.500000 78.332001)(94.705002 -9.500000 71.813004)(97.804596 33.058899 87.280197)(96.209198 31.883900 79.223495)(51.999001 52.222000 80.000000)(97.436501 35.610798 91.327507)(99.590500 22.541000 101.000000)(97.804596 33.058899 87.280197)(91.955002 26.450001 67.496002)(96.209198 31.883900 79.223495)(96.897499 9.500000 78.332001)(91.955002 26.450001 67.496002)(96.897499 9.500000 78.332001)(94.705002 9.500000 71.813004)(74.182999 -91.999001 100.992004)(73.108894 -91.675903 87.547798)(75.687996 -89.771400 94.269905)(73.108894 -91.675903 87.547798)(77.864807 -87.469299 93.317802)(75.687996 -89.771400 94.269905)(77.864807 -87.469299 93.317802)(74.182999 -91.999001 100.992004)(75.687996 -89.771400 94.269905)(77.864807 -87.469299 93.317802)(80.172005 -85.216499 100.992004)(74.182999 -91.999001 100.992004)(73.108894 -91.675903 87.547798)(59.370998 -99.918999 78.313004)(68.789001 -93.382004 79.306496)(51.999001 -93.500000 80.000000)(68.789001 -93.382004 79.306496)(67.411995 -91.832001 72.609795)(51.999001 -92.129997 73.112007)(51.999001 -93.500000 80.000000)(67.411995 -91.832001 72.609795)(51.999001 -88.228004 67.272003)(51.999001 -92.129997 73.112007)(68.345894 -87.843903 66.998398)(68.345894 -87.843903 66.998398)(71.241501 -81.567696 63.201504)(51.999001 -88.228004 67.272003)(71.241501 -81.567696 63.201504)(73.228500 -75.373703 60.096500)(51.999001 -82.388000 63.371002)(73.228500 -75.373703 60.096500)(74.827995 -66.945099 56.433102)(80.540901 -60.279999 61.111500)(86.056000 -9.500000 54.688400)(90.143005 -9.500000 61.424999)(91.955002 -26.450001 67.496002)(90.143005 -9.500000 61.424999)(92.545799 -9.500000 66.533501)(91.955002 -26.450001 67.496002)(92.545799 9.500000 66.533501)(94.705002 -9.500000 71.813004)(92.545799 -9.500000 66.533501)(92.545799 9.500000 66.533501)(94.705002 9.500000 71.813004)(94.705002 -9.500000 71.813004)(96.209198 31.883900 79.223495)(51.999001 53.734001 73.112007)(51.999001 52.222000 80.000000)(51.999001 53.734001 86.889000)(97.804596 33.058899 87.280197)(51.999001 52.222000 80.000000)(51.999001 53.734001 86.889000)(97.436501 35.610798 91.327507)(97.804596 33.058899 87.280197)(96.996002 40.187000 95.039001)(99.590500 22.541000 101.000000)(97.436501 35.610798 91.327507)(92.589203 35.396198 72.139999)(96.209198 31.883900 79.223495)(91.955002 26.450001 67.496002)(91.955002 26.450001 67.496002)(94.705002 9.500000 71.813004)(92.545799 9.500000 66.533501)(73.108894 -91.675903 87.547798)(74.182999 -91.999001 100.992004)(65.656502 -98.986702 100.992004)(59.370998 -99.918999 78.313004)(54.476997 -98.970001 67.497002)(68.789001 -93.382004 79.306496)(62.245998 -100.546005 89.704002)(59.370998 -99.918999 78.313004)(73.108894 -91.675903 87.547798)(68.789001 -93.382004 79.306496)(54.476997 -98.970001 67.497002)(67.411995 -91.832001 72.609795)(51.999001 -92.129997 73.112007)(67.411995 -91.832001 72.609795)(68.345894 -87.843903 66.998398)(71.241501 -81.567696 63.201504)(68.345894 -87.843903 66.998398)(68.362801 -85.385300 63.844898)(68.345894 -87.843903 66.998398)(64.030495 -87.942505 60.691498)(68.362801 -85.385300 63.844898)(64.030495 -87.942505 60.691498)(71.241501 -81.567696 63.201504)(68.362801 -85.385300 63.844898)(73.228500 -75.373703 60.096500)(71.241501 -81.567696 63.201504)(67.417397 -80.710899 57.015900)(73.228500 -75.373703 60.096500)(67.417397 -80.710899 57.015900)(74.827995 -66.945099 56.433102)(86.056000 9.500000 54.688400)(90.143005 -9.500000 61.424999)(86.056000 -9.500000 54.688400)(90.143005 9.500000 61.424999)(92.545799 -9.500000 66.533501)(90.143005 -9.500000 61.424999)(92.545799 -9.500000 66.533501)(90.143005 9.500000 61.424999)(92.545799 9.500000 66.533501)(96.209198 31.883900 79.223495)(92.589203 35.396198 72.139999)(51.999001 53.734001 73.112007)(51.999001 56.674702 79.545898)(51.999001 56.761398 82.161102)(51.999001 52.222000 80.000000)(51.999001 56.761398 82.161102)(51.999001 56.783501 82.828003)(51.999001 52.222000 80.000000)(51.999001 56.783501 82.828003)(51.999001 57.967300 86.554695)(51.999001 52.222000 80.000000)(51.999001 57.967300 86.554695)(51.999001 58.164803 87.177101)(51.999001 52.222000 80.000000)(51.999001 56.674702 79.545898)(51.999001 52.222000 80.000000)(51.999001 53.734001 73.112007)(51.999001 52.222000 80.000000)(51.999001 60.328800 90.471794)(51.999001 60.672001 90.994095)(51.999001 64.483002 96.629997)(51.999001 52.222000 80.000000)(51.999001 60.672001 90.994095)(51.999001 58.164803 87.177101)(51.999001 60.328800 90.471794)(51.999001 52.222000 80.000000)(51.999001 64.483002 96.629997)(51.999001 53.734001 86.889000)(51.999001 52.222000 80.000000)(51.999001 53.734001 86.889000)(51.999001 58.038998 92.727997)(97.436501 35.610798 91.327507)(96.996002 40.187000 95.039001)(96.291901 44.521000 98.903595)(99.590500 22.541000 101.000000)(51.999001 58.038998 92.727997)(96.996002 40.187000 95.039001)(97.436501 35.610798 91.327507)(88.838303 42.063499 66.603195)(92.589203 35.396198 72.139999)(91.955002 26.450001 67.496002)(91.955002 26.450001 67.496002)(92.545799 9.500000 66.533501)(90.143005 9.500000 61.424999)(62.245998 -100.546005 89.704002)(73.108894 -91.675903 87.547798)(65.656502 -98.986702 100.992004)(59.370998 -99.918999 78.313004)(44.272999 -106.232002 78.313004)(54.476997 -98.970001 67.497002)(47.508003 -106.936996 89.703003)(59.370998 -99.918999 78.313004)(62.245998 -100.546005 89.704002)(67.411995 -91.832001 72.609795)(54.476997 -98.970001 67.497002)(68.345894 -87.843903 66.998398)(68.345894 -87.843903 66.998398)(54.476997 -98.970001 67.497002)(64.030495 -87.942505 60.691498)(67.417397 -80.710899 57.015900)(71.241501 -81.567696 63.201504)(64.030495 -87.942505 60.691498)(86.056000 9.500000 54.688400)(90.143005 9.500000 61.424999)(90.143005 -9.500000 61.424999)(51.999001 58.038998 67.272003)(51.999001 53.734001 73.112007)(92.589203 35.396198 72.139999)(51.999001 56.791599 77.621201)(51.999001 56.632298 78.268997)(51.999001 53.734001 73.112007)(51.999001 56.632298 78.268997)(51.999001 56.674702 79.545898)(51.999001 53.734001 73.112007)(51.999001 53.734001 73.112007)(51.999001 58.038998 67.272003)(51.999001 56.361298 73.408997)(51.999001 56.791599 77.621201)(51.999001 53.734001 73.112007)(51.999001 56.361298 73.408997)(51.999001 58.038998 92.727997)(51.999001 53.734001 86.889000)(51.999001 64.483002 96.629997)(96.291901 44.521000 98.903595)(96.996002 40.187000 95.039001)(51.999001 64.483002 96.629997)(51.999001 58.038998 92.727997)(51.999001 64.483002 96.629997)(96.996002 40.187000 95.039001)(83.731804 40.151802 57.093601)(88.838303 42.063499 66.603195)(91.955002 26.450001 67.496002)(51.999001 58.038998 67.272003)(92.589203 35.396198 72.139999)(88.838303 42.063499 66.603195)(91.955002 26.450001 67.496002)(90.143005 9.500000 61.424999)(86.056000 9.500000 54.688400)(62.245998 -100.546005 89.704002)(65.656502 -98.986702 100.992004)(56.278999 -104.368004 100.992004)(44.272999 -106.232002 78.313004)(59.370998 -99.918999 78.313004)(47.508003 -106.936996 89.703003)(44.272999 -106.232002 78.313004)(37.724499 -104.748001 65.893501)(54.476997 -98.970001 67.497002)(56.278999 -104.368004 100.992004)(47.508003 -106.936996 89.703003)(62.245998 -100.546005 89.704002)(54.476997 -98.970001 67.497002)(58.651203 -92.101204 60.165901)(64.030495 -87.942505 60.691498)(64.030495 -87.942505 60.691498)(58.651203 -92.101204 60.165901)(67.417397 -80.710899 57.015900)(96.291901 44.521000 98.903595)(51.999001 64.483002 96.629997)(51.999001 73.791496 98.000000)(86.056000 9.500000 54.688400)(83.731804 40.151802 57.093601)(91.955002 26.450001 67.496002)(88.838303 42.063499 66.603195)(83.731804 40.151802 57.093601)(85.219505 49.765503 63.199497)(88.838303 42.063499 66.603195)(51.999001 64.483002 63.371002)(51.999001 58.038998 67.272003)(51.999001 73.791496 98.000000)(91.115105 62.855900 99.500000)(96.291901 44.521000 98.903595)(56.278999 -104.368004 100.992004)(47.983501 -107.210999 100.992004)(47.508003 -106.936996 89.703003)(47.508003 -106.936996 89.703003)(31.976500 -108.278999 79.363998)(44.272999 -106.232002 78.313004)(37.724499 -104.748001 65.893501)(43.988201 -101.818001 62.554905)(54.476997 -98.970001 67.497002)(37.724499 -104.748001 65.893501)(44.272999 -106.232002 78.313004)(31.998999 -106.898003 70.579002)(43.988201 -101.818001 62.554905)(58.651203 -92.101204 60.165901)(54.476997 -98.970001 67.497002)(74.827995 66.945099 56.433102)(85.219505 49.765503 63.199497)(83.731804 40.151802 57.093601)(51.999001 64.483002 63.371002)(88.838303 42.063499 66.603195)(85.219505 49.765503 63.199497)(91.115105 62.855900 99.500000)(51.999001 73.791496 98.000000)(88.890999 68.807495 99.500000)(31.986099 -109.000000 101.998001)(47.508003 -106.936996 89.703003)(47.983501 -107.210999 100.992004)(39.729500 -107.805000 90.681000)(47.508003 -106.936996 89.703003)(31.986099 -109.000000 101.998001)(39.729500 -107.805000 90.681000)(31.986099 -109.000000 101.998001)(31.976500 -108.278999 79.363998)(39.729500 -107.805000 90.681000)(31.976500 -108.278999 79.363998)(47.508003 -106.936996 89.703003)(31.976500 -108.278999 79.363998)(31.998999 -106.898003 70.579002)(44.272999 -106.232002 78.313004)(37.724499 -104.748001 65.893501)(32.140800 -105.104996 63.342102)(43.988201 -101.818001 62.554905)(31.998999 -106.898003 70.579002)(32.140800 -105.104996 63.342102)(37.724499 -104.748001 65.893501)(74.827995 66.945099 56.433102)(67.417397 80.710899 57.015900)(73.228500 75.373703 60.096500)(51.999001 73.791496 62.000000)(51.999001 64.483002 63.371002)(85.219505 49.765503 63.199497)(82.298004 81.828499 96.765999)(51.999001 73.791496 98.000000)(51.999001 82.388000 96.629997)(74.827995 66.945099 56.433102)(80.540901 60.279999 61.111500)(85.219505 49.765503 63.199497)(85.863098 75.680000 100.202003)(88.890999 68.807495 99.500000)(51.999001 73.791496 98.000000)(31.986099 -109.000000 101.998001)(11.049900 -105.576996 69.548698)(31.976500 -108.278999 79.363998)(11.049900 -105.576996 69.548698)(31.998999 -106.898003 70.579002)(31.976500 -108.278999 79.363998)(32.140800 -105.104996 63.342102)(31.998999 -106.898003 70.579002)(11.049900 -105.576996 69.548698)(67.417397 80.710899 57.015900)(58.651203 92.101204 60.165901)(64.030495 87.942505 60.691498)(67.417397 80.710899 57.015900)(71.241501 81.567696 63.201504)(73.228500 75.373703 60.096500)(80.540901 60.279999 61.111500)(74.827995 66.945099 56.433102)(73.228500 75.373703 60.096500)(85.219505 49.765503 63.199497)(80.540901 60.279999 61.111500)(51.999001 73.791496 62.000000)(80.540901 60.279999 61.111500)(51.999001 82.388000 63.371002)(51.999001 73.791496 62.000000)(51.999001 82.388000 63.371002)(51.999001 88.228004 67.272003)(51.999001 84.773697 66.483200)(51.999001 88.228004 67.272003)(51.999001 84.638794 67.636993)(51.999001 84.773697 66.483200)(51.999001 87.880699 88.386200)(51.999001 92.129997 86.889000)(51.999001 87.524895 90.244598)(51.999001 92.129997 86.889000)(51.999001 88.228004 92.727997)(51.999001 87.524895 90.244598)(82.298004 81.828499 96.765999)(51.999001 82.388000 96.629997)(51.999001 88.228004 92.727997)(82.298004 81.828499 96.765999)(85.863098 75.680000 100.202003)(51.999001 73.791496 98.000000)(2.260000 -106.917000 81.665504)(11.049900 -105.576996 69.548698)(31.986099 -109.000000 101.998001)(43.988201 101.818001 62.554905)(54.476997 98.970001 67.497002)(58.651203 92.101204 60.165901)(54.476997 98.970001 67.497002)(64.030495 87.942505 60.691498)(58.651203 92.101204 60.165901)(64.030495 87.942505 60.691498)(71.241501 81.567696 63.201504)(67.417397 80.710899 57.015900)(73.228500 75.373703 60.096500)(71.241501 81.567696 63.201504)(51.999001 82.388000 63.371002)(73.228500 75.373703 60.096500)(51.999001 82.388000 63.371002)(80.540901 60.279999 61.111500)(71.241501 81.567696 63.201504)(51.999001 88.228004 67.272003)(51.999001 82.388000 63.371002)(51.999001 92.129997 73.112007)(51.999001 89.462303 75.381302)(51.999001 89.434494 75.219696)(51.999001 92.129997 73.112007)(51.999001 89.434494 75.219696)(51.999001 89.388100 74.950005)(51.999001 89.388100 74.950005)(51.999001 87.553703 71.096596)(51.999001 89.239403 71.326706)(51.999001 88.228004 67.272003)(51.999001 92.129997 73.112007)(51.999001 89.239403 71.326706)(51.999001 92.129997 73.112007)(51.999001 89.388100 74.950005)(51.999001 89.239403 71.326706)(51.999001 92.129997 86.889000)(51.999001 87.880699 88.386200)(51.999001 88.003601 88.224998)(51.999001 92.129997 86.889000)(51.999001 88.003601 88.224998)(51.999001 89.588005 84.235695)(51.999001 89.887596 82.070297)(51.999001 93.500000 80.000000)(51.999001 90.690300 84.193100)(51.999001 93.500000 80.000000)(51.999001 92.129997 86.889000)(51.999001 90.690300 84.193100)(51.999001 92.129997 86.889000)(51.999001 89.588005 84.235695)(51.999001 90.690300 84.193100)(51.999001 88.228004 92.727997)(51.999001 92.129997 86.889000)(73.108894 91.675903 87.547798)(77.864807 87.469299 93.317802)(82.298004 81.828499 96.765999)(51.999001 88.228004 92.727997)(82.298004 81.828499 96.765999)(80.172005 85.216499 100.992004)(85.863098 75.680000 100.202003)(56.278999 104.368004 100.992004)(65.656502 98.986702 100.992004)(62.245998 100.546005 89.704002)(47.983501 107.210999 100.992004)(56.278999 104.368004 100.992004)(47.508003 106.936996 89.703003)(-20.287800 -102.351997 75.336395)(11.049900 -105.576996 69.548698)(2.260000 -106.917000 81.665504)(-40.895302 -101.299004 103.098000)(2.260000 -106.917000 81.665504)(31.986099 -109.000000 101.998001)(54.476997 98.970001 67.497002)(43.988201 101.818001 62.554905)(37.724499 104.748001 65.893501)(64.030495 87.942505 60.691498)(54.476997 98.970001 67.497002)(68.345894 87.843903 66.998398)(68.345894 87.843903 66.998398)(71.241501 81.567696 63.201504)(68.362801 85.385300 63.844898)(71.241501 81.567696 63.201504)(64.030495 87.942505 60.691498)(68.362801 85.385300 63.844898)(64.030495 87.942505 60.691498)(68.345894 87.843903 66.998398)(68.362801 85.385300 63.844898)(71.241501 81.567696 63.201504)(68.345894 87.843903 66.998398)(51.999001 88.228004 67.272003)(51.999001 92.129997 73.112007)(51.999001 88.228004 67.272003)(68.345894 87.843903 66.998398)(51.999001 93.500000 80.000000)(51.999001 89.887596 82.070297)(51.999001 90.133507 79.709801)(51.999001 93.500000 80.000000)(51.999001 90.133507 79.709801)(51.999001 90.161003 79.445999)(51.999001 90.161003 79.445999)(51.999001 89.462303 75.381302)(51.999001 91.481094 77.591103)(51.999001 89.462303 75.381302)(51.999001 92.129997 73.112007)(51.999001 91.481094 77.591103)(51.999001 92.129997 73.112007)(51.999001 93.500000 80.000000)(51.999001 91.481094 77.591103)(51.999001 93.500000 80.000000)(51.999001 90.161003 79.445999)(51.999001 91.481094 77.591103)(51.999001 92.129997 86.889000)(51.999001 93.500000 80.000000)(68.789001 93.382004 79.306496)(51.999001 88.228004 92.727997)(73.108894 91.675903 87.547798)(77.864807 87.469299 93.317802)(51.999001 92.129997 86.889000)(68.789001 93.382004 79.306496)(73.108894 91.675903 87.547798)(77.864807 87.469299 93.317802)(80.172005 85.216499 100.992004)(80.198494 84.734795 97.154900)(80.172005 85.216499 100.992004)(82.298004 81.828499 96.765999)(80.198494 84.734795 97.154900)(82.298004 81.828499 96.765999)(77.864807 87.469299 93.317802)(80.198494 84.734795 97.154900)(77.864807 87.469299 93.317802)(74.182999 91.999001 100.992004)(80.172005 85.216499 100.992004)(65.656502 98.986702 100.992004)(74.182999 91.999001 100.992004)(73.108894 91.675903 87.547798)(65.656502 98.986702 100.992004)(73.108894 91.675903 87.547798)(62.245998 100.546005 89.704002)(62.245998 100.546005 89.704002)(47.508003 106.936996 89.703003)(56.278999 104.368004 100.992004)(47.508003 106.936996 89.703003)(31.986099 109.000000 101.998001)(47.983501 107.210999 100.992004)(-34.643200 -99.471100 82.808998)(-20.287800 -102.351997 75.336395)(2.260000 -106.917000 81.665504)(-34.643200 -99.471100 82.808998)(2.260000 -106.917000 81.665504)(-40.895302 -101.299004 103.098000)(32.140800 105.104996 63.342102)(37.724499 104.748001 65.893501)(43.988201 101.818001 62.554905)(54.476997 98.970001 67.497002)(37.724499 104.748001 65.893501)(44.272999 106.232002 78.313004)(67.411995 91.832001 72.609795)(68.345894 87.843903 66.998398)(54.476997 98.970001 67.497002)(51.999001 92.129997 73.112007)(68.345894 87.843903 66.998398)(67.411995 91.832001 72.609795)(51.999001 93.500000 80.000000)(51.999001 92.129997 73.112007)(67.411995 91.832001 72.609795)(51.999001 93.500000 80.000000)(67.411995 91.832001 72.609795)(68.789001 93.382004 79.306496)(75.687996 89.771400 94.269905)(73.108894 91.675903 87.547798)(74.182999 91.999001 100.992004)(75.687996 89.771400 94.269905)(74.182999 91.999001 100.992004)(77.864807 87.469299 93.317802)(75.687996 89.771400 94.269905)(77.864807 87.469299 93.317802)(73.108894 91.675903 87.547798)(73.108894 91.675903 87.547798)(68.789001 93.382004 79.306496)(59.370998 99.918999 78.313004)(62.245998 100.546005 89.704002)(73.108894 91.675903 87.547798)(59.370998 99.918999 78.313004)(59.370998 99.918999 78.313004)(47.508003 106.936996 89.703003)(62.245998 100.546005 89.704002)(39.729500 107.805000 90.681000)(31.986099 109.000000 101.998001)(47.508003 106.936996 89.703003)(39.729500 107.805000 90.681000)(47.508003 106.936996 89.703003)(31.976500 108.278999 79.363998)(39.729500 107.805000 90.681000)(31.976500 108.278999 79.363998)(31.986099 109.000000 101.998001)(-34.643200 -99.471100 82.808998)(-33.092899 -100.183006 78.662399)(-20.287800 -102.351997 75.336395)(32.140800 105.104996 63.342102)(31.998999 106.898003 70.579002)(37.724499 104.748001 65.893501)(11.049900 105.576996 69.548698)(31.998999 106.898003 70.579002)(32.140800 105.104996 63.342102)(31.998999 106.898003 70.579002)(44.272999 106.232002 78.313004)(37.724499 104.748001 65.893501)(59.370998 99.918999 78.313004)(54.476997 98.970001 67.497002)(44.272999 106.232002 78.313004)(67.411995 91.832001 72.609795)(54.476997 98.970001 67.497002)(68.789001 93.382004 79.306496)(68.789001 93.382004 79.306496)(54.476997 98.970001 67.497002)(59.370998 99.918999 78.313004)(59.370998 99.918999 78.313004)(44.272999 106.232002 78.313004)(47.508003 106.936996 89.703003)(44.272999 106.232002 78.313004)(31.976500 108.278999 79.363998)(47.508003 106.936996 89.703003)(31.986099 109.000000 101.998001)(31.976500 108.278999 79.363998)(11.049900 105.576996 69.548698)(31.976500 108.278999 79.363998)(31.998999 106.898003 70.579002)(11.049900 105.576996 69.548698)(31.998999 106.898003 70.579002)(31.976500 108.278999 79.363998)(44.272999 106.232002 78.313004)(2.260000 106.917000 81.665504)(31.986099 109.000000 101.998001)(11.049900 105.576996 69.548698)(31.986099 109.000000 101.998001)(2.260000 106.917000 81.665504)(-40.895302 101.299004 103.098000)(-20.287800 102.351997 75.336395)(2.260000 106.917000 81.665504)(11.049900 105.576996 69.548698)(2.260000 106.917000 81.665504)(-34.643200 99.471100 82.808998)(-40.895302 101.299004 103.098000)(2.260000 106.917000 81.665504)(-20.287800 102.351997 75.336395)(-34.643200 99.471100 82.808998)(-34.643200 99.471100 82.808998)(-20.287800 102.351997 75.336395)(-33.092899 100.183006 78.662399)(51.999001 62.723396 92.779999)(51.999001 64.483002 96.629997)(51.999001 60.672001 90.994095)(51.999001 63.854000 93.764404)(51.999001 64.483002 96.629997)(51.999001 63.678802 93.611801)(51.999001 64.483002 96.629997)(51.999001 62.723396 92.779999)(51.999001 63.678802 93.611801)(51.999001 58.038998 67.272003)(51.999001 58.988602 71.598404)(51.999001 56.361298 73.408997)(51.999001 58.988602 71.598404)(51.999001 58.042797 73.270302)(51.999001 56.361298 73.408997)(51.999001 58.042797 73.270302)(51.999001 57.721600 73.838005)(51.999001 56.361298 73.408997)(51.999001 57.721600 73.838005)(51.999001 56.791599 77.621201)(51.999001 56.361298 73.408997)(51.999001 64.483002 94.168503)(51.999001 64.483002 96.629997)(51.999001 64.120102 93.996002)(51.999001 64.120102 93.996002)(51.999001 64.483002 96.629997)(51.999001 63.854000 93.764404)(51.999001 60.412601 69.423897)(51.999001 59.969700 69.864105)(51.999001 58.038998 67.272003)(51.999001 59.969700 69.864105)(51.999001 58.988602 71.598404)(51.999001 58.038998 67.272003)(51.999001 58.038998 67.272003)(51.999001 64.483002 63.371002)(51.999001 61.260998 67.484695)(51.999001 63.211300 66.642097)(51.999001 60.412601 69.423897)(51.999001 61.260998 67.484695)(51.999001 64.483002 63.371002)(51.999001 63.211300 66.642097)(51.999001 61.260998 67.484695)(51.999001 60.412601 69.423897)(51.999001 58.038998 67.272003)(51.999001 61.260998 67.484695)(51.999001 65.069695 94.447296)(51.999001 64.483002 96.629997)(51.999001 64.483002 94.168503)(51.999001 82.388000 96.629997)(51.999001 73.791496 98.000000)(51.999001 73.848503 96.629997)(51.999001 72.288994 96.657906)(51.999001 73.791496 98.000000)(51.999001 72.127701 96.629997)(51.999001 72.127701 96.629997)(51.999001 73.791496 98.000000)(51.999001 64.483002 96.629997)(51.999001 72.288994 96.657906)(51.999001 72.763901 96.739998)(51.999001 73.435501 97.314995)(51.999001 72.763901 96.739998)(51.999001 73.848503 96.629997)(51.999001 73.435501 97.314995)(51.999001 73.848503 96.629997)(51.999001 73.791496 98.000000)(51.999001 73.435501 97.314995)(51.999001 73.791496 98.000000)(51.999001 72.288994 96.657906)(51.999001 73.435501 97.314995)(51.999001 67.768097 95.729797)(51.999001 68.252602 95.959999)(51.999001 66.442696 96.106003)(51.999001 66.442696 96.106003)(51.999001 68.402496 95.985893)(51.999001 68.252602 95.959999)(51.999001 68.402496 95.985893)(51.999001 64.483002 96.629997)(51.999001 66.442696 96.106003)(51.999001 64.483002 96.629997)(51.999001 67.457306 95.582100)(51.999001 66.442696 96.106003)(51.999001 67.457306 95.582100)(51.999001 67.768097 95.729797)(51.999001 66.442696 96.106003)(51.999001 66.830902 95.284401)(51.999001 67.457306 95.582100)(51.999001 64.483002 96.629997)(51.999001 66.339500 95.050797)(51.999001 66.830902 95.284401)(51.999001 64.483002 96.629997)(51.999001 66.339500 95.050797)(51.999001 64.483002 96.629997)(51.999001 65.921097 94.851997)(51.999001 65.921097 94.851997)(51.999001 64.483002 96.629997)(51.999001 65.538200 94.669998)(51.999001 65.538200 94.669998)(51.999001 64.483002 96.629997)(51.999001 65.069695 94.447296)(51.999001 88.228004 92.727997)(51.999001 82.388000 96.629997)(51.999001 82.919907 93.600304)(51.999001 82.919907 93.600304)(51.999001 82.388000 96.629997)(51.999001 81.581696 94.609001)(51.999001 81.581696 94.609001)(51.999001 82.388000 96.629997)(51.999001 81.233803 94.745300)(51.999001 81.233803 94.745300)(51.999001 82.388000 96.629997)(51.999001 77.319504 96.278000)(51.999001 82.388000 96.629997)(51.999001 73.848503 96.629997)(51.999001 76.895294 96.320999)(51.999001 77.319504 96.278000)(51.999001 82.388000 96.629997)(51.999001 76.895294 96.320999)(51.999001 68.402496 95.985893)(51.999001 72.127701 96.629997)(51.999001 64.483002 96.629997)(51.999001 88.228004 67.272003)(51.999001 86.348900 69.595299)(51.999001 84.638794 67.636993)(51.999001 84.638794 67.636993)(51.999001 84.420395 67.387001)(51.999001 84.773697 66.483200)(51.999001 84.420395 67.387001)(51.999001 81.319397 65.355896)(51.999001 84.773697 66.483200)(51.999001 85.232597 91.857002)(51.999001 88.228004 92.727997)(51.999001 84.970398 92.054504)(51.999001 84.970398 92.054504)(51.999001 88.228004 92.727997)(51.999001 82.919907 93.600304)(51.999001 85.232597 91.857002)(51.999001 87.825699 88.458298)(51.999001 87.524895 90.244598)(51.999001 87.524895 90.244598)(51.999001 87.880699 88.386200)(51.999001 87.825699 88.458298)(51.999001 88.228004 92.727997)(51.999001 85.232597 91.857002)(51.999001 87.524895 90.244598)(51.999001 87.426300 70.828995)(51.999001 86.348900 69.595299)(51.999001 88.228004 67.272003)(51.999001 87.553703 71.096596)(51.999001 87.426300 70.828995)(51.999001 89.239403 71.326706)(51.999001 87.426300 70.828995)(51.999001 88.228004 67.272003)(51.999001 89.239403 71.326706)(51.999001 89.588005 84.235695)(51.999001 89.688400 83.983101)(51.999001 90.690300 84.193100)(51.999001 89.688400 83.983101)(51.999001 89.887596 82.070297)(51.999001 90.690300 84.193100)(51.999001 64.483002 65.931602)(51.999001 63.722000 66.356705)(51.999001 64.483002 63.371002)(51.999001 63.722000 66.356705)(51.999001 63.211300 66.642097)(51.999001 64.483002 63.371002)(51.999001 73.791496 62.000000)(51.999001 73.415695 63.397900)(51.999001 72.138901 63.353001)(51.999001 73.791496 62.000000)(51.999001 72.138901 63.353001)(51.999001 71.655403 63.335999)(51.999001 71.655403 63.335999)(51.999001 67.727699 64.284897)(51.999001 64.483002 63.371002)(51.999001 67.727699 64.284897)(51.999001 67.205505 64.411003)(51.999001 64.483002 63.371002)(51.999001 67.205505 64.411003)(51.999001 64.483002 65.931602)(51.999001 64.483002 63.371002)(51.999001 73.791496 62.000000)(51.999001 71.655403 63.335999)(51.999001 64.483002 63.371002)(51.999001 81.319397 65.355896)(51.999001 80.909996 65.087700)(51.999001 82.388000 63.371002)(51.999001 82.388000 63.371002)(51.999001 80.909996 65.087700)(51.999001 80.594398 64.880997)(51.999001 76.231194 63.496998)(51.999001 73.415695 63.397900)(51.999001 73.791496 62.000000)(51.999001 80.594398 64.880997)(51.999001 76.640297 63.626804)(51.999001 77.901901 63.677898)(51.999001 73.791496 62.000000)(51.999001 82.388000 63.371002)(51.999001 77.901901 63.677898)(51.999001 82.388000 63.371002)(51.999001 80.594398 64.880997)(51.999001 77.901901 63.677898)(51.999001 76.231194 63.496998)(51.999001 73.791496 62.000000)(51.999001 77.901901 63.677898)(51.999001 81.319397 65.355896)(51.999001 82.388000 63.371002)(51.999001 84.773697 66.483200)(51.999001 -58.038998 92.727997)(51.999001 -64.483002 96.629997)(51.999001 -53.734001 86.889000)(51.999001 -59.230598 90.467995)(51.999001 -53.734001 86.889000)(51.999001 -59.682102 90.894806)(51.999001 -53.734001 86.889000)(51.999001 -59.230598 90.467995)(51.999001 -57.217201 87.109703)(51.999001 -53.734001 86.889000)(51.999001 -57.217201 87.109703)(51.999001 -56.882702 86.552002)(51.999001 -53.734001 86.889000)(51.999001 -56.882702 86.552002)(51.999001 -56.782803 86.185997)(51.999001 -53.734001 86.889000)(51.999001 -56.782803 86.185997)(51.999001 -52.222000 80.000000)(51.999001 -64.483002 96.629997)(51.999001 -61.571697 92.681305)(51.999001 -59.682102 90.894806)(51.999001 -53.734001 86.889000)(51.999001 -64.483002 96.629997)(51.999001 -59.682102 90.894806)(51.999001 -52.222000 80.000000)(51.999001 -56.782803 86.185997)(51.999001 -55.856899 82.792801)(51.999001 -52.222000 80.000000)(51.999001 -55.856899 82.792801)(51.999001 -55.681702 82.149994)(51.999001 -52.222000 80.000000)(51.999001 -55.717899 77.587997)(51.999001 -55.741898 77.505203)(51.999001 -52.222000 80.000000)(51.999001 -55.741898 77.505203)(51.999001 -53.734001 73.112007)(51.999001 -55.681702 82.149994)(51.999001 -55.712601 78.256004)(51.999001 -54.502403 79.649002)(51.999001 -55.712601 78.256004)(51.999001 -55.717899 77.587997)(51.999001 -54.502403 79.649002)(51.999001 -52.222000 80.000000)(51.999001 -55.681702 82.149994)(51.999001 -54.502403 79.649002)(51.999001 -55.717899 77.587997)(51.999001 -52.222000 80.000000)(51.999001 -54.502403 79.649002)(51.999001 -62.551899 93.608002)(51.999001 -64.483002 96.629997)(51.999001 -63.065998 93.878502)(51.999001 -63.065998 93.878502)(51.999001 -64.483002 96.629997)(51.999001 -63.275799 93.988800)(51.999001 -64.483002 96.629997)(51.999001 -62.551899 93.608002)(51.999001 -61.571697 92.681305)(51.999001 -53.734001 73.112007)(51.999001 -55.741898 77.505203)(51.999001 -56.805397 73.834900)(51.999001 -58.727100 70.406700)(51.999001 -58.038998 67.272003)(51.999001 -56.230499 72.388596)(51.999001 -58.038998 67.272003)(51.999001 -53.734001 73.112007)(51.999001 -56.230499 72.388596)(51.999001 -56.805397 73.834900)(51.999001 -56.987598 73.206001)(51.999001 -56.230499 72.388596)(51.999001 -56.987598 73.206001)(51.999001 -58.727100 70.406700)(51.999001 -56.230499 72.388596)(51.999001 -53.734001 73.112007)(51.999001 -56.805397 73.834900)(51.999001 -56.230499 72.388596)(51.999001 -63.275799 93.988800)(51.999001 -64.483002 96.629997)(51.999001 -63.985199 94.361900)(51.999001 -71.554604 96.672203)(51.999001 -71.076599 96.701004)(51.999001 -73.791496 98.000000)(51.999001 -71.076599 96.701004)(51.999001 -70.746696 96.629997)(51.999001 -73.791496 98.000000)(51.999001 -73.791496 98.000000)(51.999001 -70.746696 96.629997)(51.999001 -64.483002 96.629997)(51.999001 -73.791496 98.000000)(51.999001 -82.388000 96.629997)(51.999001 -73.435501 97.314995)(51.999001 -82.388000 96.629997)(51.999001 -72.256805 96.629997)(51.999001 -73.435501 97.314995)(51.999001 -72.256805 96.629997)(51.999001 -71.554604 96.672203)(51.999001 -73.435501 97.314995)(51.999001 -71.554604 96.672203)(51.999001 -73.791496 98.000000)(51.999001 -73.435501 97.314995)(51.999001 -58.727100 70.406700)(51.999001 -59.066399 69.860504)(51.999001 -58.038998 67.272003)(51.999001 -59.066399 69.860504)(51.999001 -59.397900 69.326996)(51.999001 -58.038998 67.272003)(51.999001 -62.768600 66.239998)(51.999001 -64.483002 65.371796)(51.999001 -64.483002 63.371002)(51.999001 -64.483002 63.371002)(51.999001 -58.038998 67.272003)(51.999001 -61.260998 66.888802)(51.999001 -59.397900 69.326996)(51.999001 -62.334000 66.637901)(51.999001 -61.260998 66.888802)(51.999001 -62.334000 66.637901)(51.999001 -62.768600 66.239998)(51.999001 -61.260998 66.888802)(51.999001 -58.038998 67.272003)(51.999001 -59.397900 69.326996)(51.999001 -61.260998 66.888802)(51.999001 -62.768600 66.239998)(51.999001 -64.483002 63.371002)(51.999001 -61.260998 66.888802)(51.999001 -66.601501 95.737999)(51.999001 -66.308403 95.583794)(51.999001 -65.670494 96.106903)(51.999001 -66.308403 95.583794)(51.999001 -64.483002 96.629997)(51.999001 -65.670494 96.106903)(51.999001 -64.483002 96.629997)(51.999001 -66.858002 95.793205)(51.999001 -65.670494 96.106903)(51.999001 -66.858002 95.793205)(51.999001 -66.601501 95.737999)(51.999001 -65.670494 96.106903)(51.999001 -65.940399 95.390297)(51.999001 -64.483002 96.629997)(51.999001 -66.308403 95.583794)(51.999001 -65.621399 95.222504)(51.999001 -64.483002 96.629997)(51.999001 -65.940399 95.390297)(51.999001 -65.324699 95.066505)(51.999001 -64.483002 96.629997)(51.999001 -65.621399 95.222504)(51.999001 -64.955505 94.872307)(51.999001 -64.483002 96.629997)(51.999001 -65.324699 95.066505)(51.999001 -64.483002 94.623795)(51.999001 -64.483002 96.629997)(51.999001 -64.955505 94.872307)(51.999001 -63.985199 94.361900)(51.999001 -64.483002 96.629997)(51.999001 -64.483002 94.623795)(51.999001 -70.746696 96.629997)(51.999001 -68.034599 96.046402)(51.999001 -64.483002 96.629997)(51.999001 -80.280899 94.719902)(51.999001 -79.974197 94.931999)(51.999001 -82.388000 96.629997)(51.999001 -79.974197 94.931999)(51.999001 -76.048393 96.287498)(51.999001 -82.388000 96.629997)(51.999001 -76.048393 96.287498)(51.999001 -75.647400 96.426003)(51.999001 -82.388000 96.629997)(51.999001 -80.280899 94.719902)(51.999001 -82.388000 96.629997)(51.999001 -81.582207 93.820099)(51.999001 -81.582207 93.820099)(51.999001 -82.388000 96.629997)(51.999001 -88.228004 92.727997)(51.999001 -82.388000 96.629997)(51.999001 -75.647400 96.426003)(51.999001 -72.256805 96.629997)(51.999001 -68.034599 96.046402)(51.999001 -67.121994 95.849998)(51.999001 -66.258804 96.211594)(51.999001 -67.121994 95.849998)(51.999001 -66.858002 95.793205)(51.999001 -66.258804 96.211594)(51.999001 -66.858002 95.793205)(51.999001 -64.483002 96.629997)(51.999001 -66.258804 96.211594)(51.999001 -64.483002 96.629997)(51.999001 -68.034599 96.046402)(51.999001 -66.258804 96.211594)(51.999001 -83.945404 92.078499)(51.999001 -83.735802 92.331001)(51.999001 -88.228004 92.727997)(51.999001 -83.735802 92.331001)(51.999001 -81.582207 93.820099)(51.999001 -88.228004 92.727997)(51.999001 -86.649704 88.819901)(51.999001 -83.945404 92.078499)(51.999001 -86.856094 90.354500)(51.999001 -83.945404 92.078499)(51.999001 -88.228004 92.727997)(51.999001 -86.856094 90.354500)(51.999001 -80.209999 65.188995)(51.999001 -81.075897 65.808304)(51.999001 -82.388000 63.371002)(51.999001 -88.795807 82.696106)(51.999001 -88.550407 84.376602)(51.999001 -90.074799 84.409996)(51.999001 -88.550407 84.376602)(51.999001 -88.511101 84.646004)(51.999001 -90.074799 84.409996)(51.999001 -85.839104 70.225594)(51.999001 -88.228004 67.272003)(51.999001 -84.651901 66.798302)(51.999001 -88.228004 67.272003)(51.999001 -82.388000 63.371002)(51.999001 -84.651901 66.798302)(51.999001 -82.388000 63.371002)(51.999001 -81.075897 65.808304)(51.999001 -84.651901 66.798302)(51.999001 -81.075897 65.808304)(51.999001 -83.659302 67.655899)(51.999001 -84.651901 66.798302)(51.999001 -83.659302 67.655899)(51.999001 -83.929298 67.848999)(51.999001 -84.651901 66.798302)(51.999001 -83.929298 67.848999)(51.999001 -85.839104 70.225594)(51.999001 -84.651901 66.798302)(51.999001 -85.839104 70.225594)(51.999001 -86.605499 71.179207)(51.999001 -88.228004 67.272003)(51.999001 -86.605499 71.179207)(51.999001 -86.791000 71.410004)(51.999001 -88.984604 71.674896)(51.999001 -86.791000 71.410004)(51.999001 -88.475304 75.356697)(51.999001 -88.984604 71.674896)(51.999001 -88.228004 67.272003)(51.999001 -86.605499 71.179207)(51.999001 -88.984604 71.674896)(51.999001 -64.483002 63.371002)(51.999001 -64.483002 65.371796)(51.999001 -66.367798 64.417496)(51.999001 -64.483002 63.371002)(51.999001 -66.367798 64.417496)(51.999001 -66.850502 64.172997)(51.999001 -64.483002 63.371002)(51.999001 -66.850502 64.172997)(51.999001 -70.863899 63.375004)(51.999001 -70.863899 63.375004)(51.999001 -71.341599 63.280003)(51.999001 -73.791496 62.000000)(51.999001 -71.341599 63.280003)(51.999001 -73.405197 63.437298)(51.999001 -73.791496 62.000000)(51.999001 -70.863899 63.375004)(51.999001 -73.791496 62.000000)(51.999001 -64.483002 63.371002)(51.999001 -73.791496 62.000000)(51.999001 -73.405197 63.437298)(51.999001 -75.477104 63.595200)(51.999001 -73.791496 62.000000)(51.999001 -75.477104 63.595200)(51.999001 -75.907295 63.628002)(51.999001 -79.854401 65.059998)(51.999001 -80.209999 65.188995)(51.999001 -82.388000 63.371002)(51.999001 -82.388000 63.371002)(51.999001 -73.791496 62.000000)(51.999001 -77.896599 63.904099)(51.999001 -75.907295 63.628002)(51.999001 -79.854401 65.059998)(51.999001 -77.896599 63.904099)(51.999001 -79.854401 65.059998)(51.999001 -82.388000 63.371002)(51.999001 -77.896599 63.904099)(51.999001 -73.791496 62.000000)(51.999001 -75.907295 63.628002)(51.999001 -77.896599 63.904099)(66.326500 -60.525398 92.877205)(51.999001 -59.682102 90.894806)(51.999001 -61.571697 92.681305)(66.326500 -60.525398 92.877205)(80.653999 -60.045002 93.608002)(51.999001 -59.682102 90.894806)(66.326500 -60.525398 92.877205)(51.999001 -62.551899 93.608002)(80.653999 -60.045002 93.608002)(66.326500 -60.525398 92.877205)(51.999001 -61.571697 92.681305)(51.999001 -62.551899 93.608002)(66.326500 -58.982601 91.418602)(51.999001 -59.230598 90.467995)(51.999001 -59.682102 90.894806)(66.326500 -58.982601 91.418602)(80.365997 -56.749001 90.467995)(51.999001 -59.230598 90.467995)(66.326500 -58.982601 91.418602)(80.653999 -60.045002 93.608002)(80.365997 -56.749001 90.467995)(66.326500 -58.982601 91.418602)(51.999001 -59.682102 90.894806)(80.653999 -60.045002 93.608002)(80.365997 -56.749001 90.467995)(51.999001 -57.217201 87.109703)(51.999001 -59.230598 90.467995)(51.999001 -56.882702 86.552002)(51.999001 -57.217201 87.109703)(80.162003 -54.418003 86.552002)(51.999001 -57.217201 87.109703)(80.365997 -56.749001 90.467995)(80.162003 -54.418003 86.552002)(51.999001 -56.782803 86.185997)(51.999001 -56.882702 86.552002)(80.162003 -54.418003 86.552002)(51.999001 -55.856899 82.792801)(51.999001 -56.782803 86.185997)(80.162003 -54.418003 86.552002)(51.999001 -62.551899 93.608002)(51.999001 -63.065998 93.878502)(66.502495 -62.325703 94.156502)(51.999001 -63.065998 93.878502)(81.005997 -64.062996 95.737999)(66.502495 -62.325703 94.156502)(81.005997 -64.062996 95.737999)(80.653999 -60.045002 93.608002)(66.502495 -62.325703 94.156502)(80.653999 -60.045002 93.608002)(51.999001 -62.551899 93.608002)(66.502495 -62.325703 94.156502)(51.999001 -55.681702 82.149994)(51.999001 -55.856899 82.792801)(80.057999 -53.227001 82.149994)(51.999001 -55.856899 82.792801)(80.162003 -54.418003 86.552002)(80.057999 -53.227001 82.149994)(51.999001 -55.681702 82.149994)(80.057999 -53.227001 82.149994)(51.999001 -55.712601 78.256004)(80.057999 -53.227001 82.149994)(80.061005 -53.263000 77.587997)(51.999001 -55.712601 78.256004)(51.999001 -55.712601 78.256004)(80.061005 -53.263000 77.587997)(51.999001 -55.717899 77.587997)(51.999001 -55.741898 77.505203)(51.999001 -55.717899 77.587997)(80.061005 -53.263000 77.587997)(51.999001 -56.805397 73.834900)(51.999001 -55.741898 77.505203)(80.061005 -53.263000 77.587997)(66.502495 -64.558701 95.331200)(51.999001 -63.065998 93.878502)(51.999001 -63.275799 93.988800)(66.502495 -64.558701 95.331200)(81.005997 -64.062996 95.737999)(51.999001 -63.065998 93.878502)(66.502495 -64.558701 95.331200)(51.999001 -66.601501 95.737999)(81.005997 -64.062996 95.737999)(66.502495 -64.558701 95.331200)(51.999001 -66.308403 95.583794)(51.999001 -66.601501 95.737999)(66.502495 -64.558701 95.331200)(51.999001 -65.940399 95.390297)(51.999001 -66.308403 95.583794)(66.502495 -64.558701 95.331200)(51.999001 -65.621399 95.222504)(51.999001 -65.940399 95.390297)(66.502495 -64.558701 95.331200)(51.999001 -65.324699 95.066505)(51.999001 -65.621399 95.222504)(66.502495 -64.558701 95.331200)(51.999001 -64.955505 94.872307)(51.999001 -65.324699 95.066505)(66.502495 -64.558701 95.331200)(51.999001 -64.483002 94.623795)(51.999001 -64.955505 94.872307)(66.502495 -64.558701 95.331200)(51.999001 -63.985199 94.361900)(51.999001 -64.483002 94.623795)(66.502495 -64.558701 95.331200)(51.999001 -63.275799 93.988800)(51.999001 -63.985199 94.361900)(51.999001 -56.987598 73.206001)(51.999001 -56.805397 73.834900)(80.170998 -54.522999 73.206001)(51.999001 -56.805397 73.834900)(80.061005 -53.263000 77.587997)(80.170998 -54.522999 73.206001)(51.999001 -58.727100 70.406700)(51.999001 -56.987598 73.206001)(80.170998 -54.522999 73.206001)(51.999001 -59.066399 69.860504)(51.999001 -58.727100 70.406700)(80.170998 -54.522999 73.206001)(51.999001 -66.858002 95.793205)(51.999001 -67.121994 95.849998)(66.696503 -66.340096 95.958504)(51.999001 -67.121994 95.849998)(81.394005 -68.504997 96.701004)(66.696503 -66.340096 95.958504)(81.394005 -68.504997 96.701004)(81.005997 -64.062996 95.737999)(66.696503 -66.340096 95.958504)(81.005997 -64.062996 95.737999)(51.999001 -66.601501 95.737999)(66.696503 -66.340096 95.958504)(51.999001 -66.601501 95.737999)(51.999001 -66.858002 95.793205)(66.696503 -66.340096 95.958504)(51.999001 -71.076599 96.701004)(51.999001 -71.554604 96.672203)(66.895004 -70.777603 96.640602)(51.999001 -71.554604 96.672203)(81.791000 -73.041000 96.426003)(66.895004 -70.777603 96.640602)(81.791000 -73.041000 96.426003)(81.394005 -68.504997 96.701004)(66.895004 -70.777603 96.640602)(81.394005 -68.504997 96.701004)(51.999001 -71.076599 96.701004)(66.895004 -70.777603 96.640602)(51.999001 -70.746696 96.629997)(51.999001 -71.076599 96.701004)(66.696503 -69.042397 96.539993)(51.999001 -71.076599 96.701004)(81.394005 -68.504997 96.701004)(66.696503 -69.042397 96.539993)(81.394005 -68.504997 96.701004)(51.999001 -67.121994 95.849998)(66.696503 -69.042397 96.539993)(51.999001 -67.121994 95.849998)(51.999001 -68.034599 96.046402)(66.696503 -69.042397 96.539993)(51.999001 -68.034599 96.046402)(51.999001 -70.746696 96.629997)(66.696503 -69.042397 96.539993)(81.791000 -73.041000 96.426003)(51.999001 -71.554604 96.672203)(51.999001 -72.256805 96.629997)(81.791000 -73.041000 96.426003)(51.999001 -72.256805 96.629997)(51.999001 -75.647400 96.426003)(51.999001 -59.397900 69.326996)(51.999001 -59.066399 69.860504)(80.379997 -56.915001 69.326996)(51.999001 -59.066399 69.860504)(80.170998 -54.522999 73.206001)(80.379997 -56.915001 69.326996)(80.379997 -56.915001 69.326996)(51.999001 -62.334000 66.637901)(51.999001 -59.397900 69.326996)(80.379997 -56.915001 69.326996)(80.673004 -60.260002 66.239998)(51.999001 -62.334000 66.637901)(80.673004 -60.260002 66.239998)(51.999001 -62.768600 66.239998)(51.999001 -62.334000 66.637901)(80.673004 -60.260002 66.239998)(51.999001 -66.367798 64.417496)(51.999001 -64.483002 65.371796)(80.673004 -60.260002 66.239998)(51.999001 -64.483002 65.371796)(51.999001 -62.768600 66.239998)(67.245995 -79.628403 94.248802)(51.999001 -79.974197 94.931999)(51.999001 -80.280899 94.719902)(67.245995 -79.628403 94.248802)(82.167000 -77.334999 94.931999)(51.999001 -79.974197 94.931999)(67.245995 -79.628403 94.248802)(82.492996 -81.068001 92.331001)(82.167000 -77.334999 94.931999)(67.245995 -79.628403 94.248802)(51.999001 -80.280899 94.719902)(82.492996 -81.068001 92.331001)(82.167000 -77.334999 94.931999)(51.999001 -76.048393 96.287498)(51.999001 -79.974197 94.931999)(51.999001 -75.647400 96.426003)(51.999001 -76.048393 96.287498)(67.083000 -75.326797 96.081001)(51.999001 -76.048393 96.287498)(82.167000 -77.334999 94.931999)(67.083000 -75.326797 96.081001)(82.167000 -77.334999 94.931999)(81.791000 -73.041000 96.426003)(67.083000 -75.326797 96.081001)(81.791000 -73.041000 96.426003)(51.999001 -75.647400 96.426003)(67.083000 -75.326797 96.081001)(51.999001 -80.280899 94.719902)(51.999001 -81.582207 93.820099)(67.245995 -81.576897 92.901497)(51.999001 -81.582207 93.820099)(51.999001 -83.735802 92.331001)(67.245995 -81.576897 92.901497)(51.999001 -83.735802 92.331001)(82.492996 -81.068001 92.331001)(67.245995 -81.576897 92.901497)(82.492996 -81.068001 92.331001)(51.999001 -80.280899 94.719902)(67.245995 -81.576897 92.901497)(80.673004 -60.260002 66.239998)(81.028000 -64.310997 64.172997)(51.999001 -66.367798 64.417496)(81.028000 -64.310997 64.172997)(51.999001 -66.850502 64.172997)(51.999001 -66.367798 64.417496)(81.028000 -64.310997 64.172997)(51.999001 -70.863899 63.375004)(51.999001 -66.850502 64.172997)(81.028000 -64.310997 64.172997)(81.417000 -68.768005 63.280003)(51.999001 -70.863899 63.375004)(81.417000 -68.768005 63.280003)(51.999001 -71.341599 63.280003)(51.999001 -70.863899 63.375004)(81.417000 -68.768005 63.280003)(51.999001 -75.477104 63.595200)(51.999001 -73.405197 63.437298)(81.417000 -68.768005 63.280003)(51.999001 -73.405197 63.437298)(51.999001 -71.341599 63.280003)(51.999001 -83.945404 92.078499)(51.999001 -86.649704 88.819901)(82.746994 -83.962997 88.816002)(51.999001 -86.649704 88.819901)(51.999001 -86.652901 88.816002)(82.746994 -83.962997 88.816002)(51.999001 -83.735802 92.331001)(51.999001 -83.945404 92.078499)(82.492996 -81.068001 92.331001)(51.999001 -83.945404 92.078499)(82.746994 -83.962997 88.816002)(82.492996 -81.068001 92.331001)(81.417000 -68.768005 63.280003)(81.813995 -73.298996 63.628002)(51.999001 -75.477104 63.595200)(81.813995 -73.298996 63.628002)(51.999001 -75.907295 63.628002)(51.999001 -75.477104 63.595200)(81.813995 -73.298996 63.628002)(51.999001 -79.854401 65.059998)(51.999001 -75.907295 63.628002)(81.813995 -73.298996 63.628002)(82.186996 -77.569000 65.188995)(51.999001 -79.854401 65.059998)(82.186996 -77.569000 65.188995)(51.999001 -80.209999 65.188995)(51.999001 -79.854401 65.059998)(82.186996 -77.569000 65.188995)(51.999001 -83.659302 67.655899)(51.999001 -81.075897 65.808304)(82.186996 -77.569000 65.188995)(51.999001 -81.075897 65.808304)(51.999001 -80.209999 65.188995)(51.999001 -88.550407 84.376602)(51.999001 -88.795807 82.696106)(82.965004 -86.460999 80.132004)(51.999001 -88.795807 82.696106)(51.999001 -89.170097 80.132004)(82.965004 -86.460999 80.132004)(82.907997 -85.807007 84.646004)(51.999001 -88.511101 84.646004)(51.999001 -88.550407 84.376602)(82.965004 -86.460999 80.132004)(82.907997 -85.807007 84.646004)(51.999001 -88.550407 84.376602)(51.999001 -86.772598 88.547501)(51.999001 -88.511101 84.646004)(82.907997 -85.807007 84.646004)(51.999001 -86.652901 88.816002)(51.999001 -86.772598 88.547501)(82.746994 -83.962997 88.816002)(51.999001 -86.772598 88.547501)(82.907997 -85.807007 84.646004)(82.746994 -83.962997 88.816002)(82.186996 -77.569000 65.188995)(82.510002 -81.260002 67.848999)(51.999001 -83.659302 67.655899)(82.510002 -81.260002 67.848999)(51.999001 -83.929298 67.848999)(51.999001 -83.659302 67.655899)(51.999001 -85.839104 70.225594)(51.999001 -83.929298 67.848999)(82.510002 -81.260002 67.848999)(51.999001 -86.605499 71.179207)(51.999001 -85.839104 70.225594)(82.510002 -81.260002 67.848999)(51.999001 -88.643600 76.077698)(51.999001 -88.582596 75.608002)(82.914001 -85.877998 75.608002)(51.999001 -89.135902 79.869003)(51.999001 -88.643600 76.077698)(82.914001 -85.877998 75.608002)(51.999001 -89.170097 80.132004)(51.999001 -89.135902 79.869003)(82.965004 -86.460999 80.132004)(51.999001 -89.135902 79.869003)(82.914001 -85.877998 75.608002)(82.965004 -86.460999 80.132004)(51.999001 -86.791000 71.410004)(51.999001 -86.605499 71.179207)(82.759003 -84.099998 71.410004)(51.999001 -86.605499 71.179207)(82.510002 -81.260002 67.848999)(82.759003 -84.099998 71.410004)(51.999001 -88.475304 75.356697)(51.999001 -86.791000 71.410004)(82.759003 -84.099998 71.410004)(51.999001 -88.582596 75.608002)(51.999001 -88.475304 75.356697)(82.914001 -85.877998 75.608002)(51.999001 -88.475304 75.356697)(82.759003 -84.099998 71.410004)(82.914001 -85.877998 75.608002)(51.999001 60.672001 90.994095)(51.999001 60.328800 90.471794)(80.403999 58.187000 90.994995)(51.999001 60.328800 90.471794)(80.186005 55.697998 87.178001)(80.403999 58.187000 90.994995)(51.999001 62.723396 92.779999)(51.999001 60.672001 90.994095)(80.403999 58.187000 90.994995)(51.999001 63.678802 93.611801)(51.999001 62.723396 92.779999)(80.403999 58.187000 90.994995)(51.999001 56.761398 82.161102)(51.999001 56.674702 79.545898)(80.053001 54.178001 78.268997)(51.999001 56.674702 79.545898)(51.999001 56.632298 78.268997)(80.053001 54.178001 78.268997)(51.999001 56.783501 82.828003)(51.999001 56.761398 82.161102)(80.067001 54.327999 82.828003)(80.067001 54.327999 82.828003)(51.999001 56.761398 82.161102)(80.053001 54.178001 78.268997)(80.067001 54.327999 82.828003)(51.999001 57.967300 86.554695)(51.999001 56.783501 82.828003)(51.999001 58.164803 87.177101)(51.999001 57.967300 86.554695)(80.186005 55.697998 87.178001)(51.999001 57.967300 86.554695)(80.067001 54.327999 82.828003)(80.186005 55.697998 87.178001)(51.999001 60.328800 90.471794)(51.999001 58.164803 87.177101)(80.186005 55.697998 87.178001)(80.702995 61.608002 93.996002)(51.999001 64.120102 93.996002)(51.999001 63.854000 93.764404)(80.403999 58.187000 90.994995)(80.702995 61.608002 93.996002)(51.999001 63.678802 93.611801)(80.702995 61.608002 93.996002)(51.999001 63.854000 93.764404)(51.999001 63.678802 93.611801)(51.999001 58.042797 73.270302)(51.999001 58.988602 71.598404)(66.170998 58.067200 71.036003)(51.999001 58.988602 71.598404)(51.999001 59.969700 69.864105)(66.170998 58.067200 71.036003)(51.999001 59.969700 69.864105)(80.343002 57.489998 69.865005)(66.170998 58.067200 71.036003)(80.343002 57.489998 69.865005)(51.999001 58.042797 73.270302)(66.170998 58.067200 71.036003)(80.147995 55.258999 73.838005)(51.999001 57.721600 73.838005)(51.999001 58.042797 73.270302)(80.343002 57.489998 69.865005)(80.147995 55.258999 73.838005)(51.999001 58.042797 73.270302)(51.999001 56.791599 77.621201)(51.999001 57.721600 73.838005)(80.147995 55.258999 73.838005)(80.053001 54.178001 78.268997)(51.999001 56.632298 78.268997)(51.999001 56.791599 77.621201)(80.147995 55.258999 73.838005)(80.053001 54.178001 78.268997)(51.999001 56.791599 77.621201)(80.702995 61.608002 93.996002)(51.999001 67.768097 95.729797)(51.999001 67.457306 95.582100)(80.702995 61.608002 93.996002)(51.999001 67.457306 95.582100)(51.999001 66.830902 95.284401)(80.702995 61.608002 93.996002)(51.999001 66.830902 95.284401)(51.999001 66.339500 95.050797)(80.702995 61.608002 93.996002)(51.999001 66.339500 95.050797)(51.999001 65.921097 94.851997)(80.702995 61.608002 93.996002)(51.999001 65.921097 94.851997)(51.999001 65.538200 94.669998)(80.702995 61.608002 93.996002)(51.999001 65.538200 94.669998)(51.999001 65.069695 94.447296)(80.702995 61.608002 93.996002)(51.999001 65.069695 94.447296)(51.999001 64.483002 94.168503)(80.702995 61.608002 93.996002)(51.999001 64.483002 94.168503)(51.999001 64.120102 93.996002)(66.485001 65.162300 64.844101)(51.999001 63.722000 66.356705)(51.999001 64.483002 65.931602)(66.485001 65.162300 64.844101)(80.971001 64.669998 64.411003)(51.999001 63.722000 66.356705)(66.485001 65.162300 64.844101)(51.999001 67.205505 64.411003)(80.971001 64.669998 64.411003)(66.485001 65.162300 64.844101)(51.999001 64.483002 65.931602)(51.999001 67.205505 64.411003)(66.485001 62.986404 66.059906)(51.999001 63.211300 66.642097)(51.999001 63.722000 66.356705)(66.485001 62.986404 66.059906)(80.625000 60.707001 66.642998)(51.999001 63.211300 66.642097)(66.485001 62.986404 66.059906)(80.971001 64.669998 64.411003)(80.625000 60.707001 66.642998)(66.485001 62.986404 66.059906)(51.999001 63.722000 66.356705)(80.971001 64.669998 64.411003)(51.999001 60.412601 69.423897)(51.999001 63.211300 66.642097)(80.625000 60.707001 66.642998)(51.999001 59.969700 69.864105)(51.999001 60.412601 69.423897)(66.311996 59.714397 68.873703)(51.999001 60.412601 69.423897)(80.625000 60.707001 66.642998)(66.311996 59.714397 68.873703)(80.625000 60.707001 66.642998)(80.343002 57.489998 69.865005)(66.311996 59.714397 68.873703)(80.343002 57.489998 69.865005)(51.999001 59.969700 69.864105)(66.311996 59.714397 68.873703)(80.702995 61.608002 93.996002)(81.061996 65.709999 95.959999)(51.999001 67.768097 95.729797)(81.061996 65.709999 95.959999)(51.999001 68.252602 95.959999)(51.999001 67.768097 95.729797)(51.999001 76.231194 63.496998)(81.754997 73.627998 63.496998)(66.876999 74.183502 63.470699)(81.754997 73.627998 63.496998)(51.999001 72.138901 63.353001)(66.876999 74.183502 63.470699)(51.999001 72.138901 63.353001)(81.754997 73.627998 63.496998)(66.876999 71.359100 63.371399)(81.754997 73.627998 63.496998)(81.358002 69.086998 63.335999)(66.876999 71.359100 63.371399)(81.358002 69.086998 63.335999)(51.999001 71.655403 63.335999)(66.876999 71.359100 63.371399)(81.358002 69.086998 63.335999)(51.999001 67.727699 64.284897)(51.999001 71.655403 63.335999)(51.999001 67.205505 64.411003)(51.999001 67.727699 64.284897)(66.678505 66.948402 64.162796)(51.999001 67.727699 64.284897)(81.358002 69.086998 63.335999)(66.678505 66.948402 64.162796)(81.358002 69.086998 63.335999)(80.971001 64.669998 64.411003)(66.678505 66.948402 64.162796)(80.971001 64.669998 64.411003)(51.999001 67.205505 64.411003)(66.678505 66.948402 64.162796)(81.061996 65.709999 95.959999)(81.454002 70.187004 96.739998)(51.999001 72.288994 96.657906)(81.454002 70.187004 96.739998)(51.999001 72.763901 96.739998)(51.999001 72.288994 96.657906)(81.454002 70.187004 96.739998)(51.999001 76.895294 96.320999)(51.999001 73.848503 96.629997)(81.454002 70.187004 96.739998)(51.999001 73.848503 96.629997)(51.999001 72.763901 96.739998)(81.061996 65.709999 95.959999)(51.999001 72.288994 96.657906)(51.999001 72.127701 96.629997)(81.061996 65.709999 95.959999)(51.999001 72.127701 96.629997)(51.999001 68.402496 95.985893)(81.061996 65.709999 95.959999)(51.999001 68.402496 95.985893)(51.999001 68.252602 95.959999)(81.849998 74.708000 96.278000)(82.220001 78.937004 94.609001)(51.999001 81.233803 94.745300)(82.220001 78.937004 94.609001)(51.999001 81.581696 94.609001)(51.999001 81.233803 94.745300)(51.999001 76.640297 63.626804)(82.134003 77.958000 64.880997)(67.066498 75.912003 63.813904)(82.134003 77.958000 64.880997)(81.754997 73.627998 63.496998)(67.066498 75.912003 63.813904)(81.754997 73.627998 63.496998)(51.999001 76.231194 63.496998)(67.066498 75.912003 63.813904)(51.999001 80.909996 65.087700)(51.999001 81.319397 65.355896)(67.232498 82.265099 66.848206)(51.999001 81.319397 65.355896)(51.999001 84.420395 67.387001)(67.232498 82.265099 66.848206)(51.999001 84.420395 67.387001)(82.465996 81.754997 67.387001)(67.232498 82.265099 66.848206)(82.465996 81.754997 67.387001)(51.999001 80.909996 65.087700)(67.232498 82.265099 66.848206)(51.999001 80.594398 64.880997)(51.999001 80.909996 65.087700)(67.232498 80.252197 65.529800)(51.999001 80.909996 65.087700)(82.465996 81.754997 67.387001)(67.232498 80.252197 65.529800)(82.465996 81.754997 67.387001)(82.134003 77.958000 64.880997)(67.232498 80.252197 65.529800)(82.134003 77.958000 64.880997)(51.999001 80.594398 64.880997)(67.232498 80.252197 65.529800)(82.134003 77.958000 64.880997)(51.999001 76.640297 63.626804)(51.999001 80.594398 64.880997)(81.454002 70.187004 96.739998)(81.849998 74.708000 96.278000)(51.999001 76.895294 96.320999)(81.849998 74.708000 96.278000)(51.999001 77.319504 96.278000)(51.999001 76.895294 96.320999)(81.849998 74.708000 96.278000)(51.999001 81.233803 94.745300)(51.999001 77.319504 96.278000)(82.220001 78.937004 94.609001)(51.999001 84.970398 92.054504)(51.999001 82.919907 93.600304)(82.220001 78.937004 94.609001)(51.999001 82.919907 93.600304)(51.999001 81.581696 94.609001)(51.999001 84.420395 67.387001)(51.999001 84.638794 67.636993)(82.465996 81.754997 67.387001)(51.999001 84.638794 67.636993)(82.726997 84.737999 70.828995)(82.465996 81.754997 67.387001)(67.362999 85.269897 69.899002)(51.999001 84.638794 67.636993)(51.999001 86.348900 69.595299)(67.362999 85.269897 69.899002)(82.726997 84.737999 70.828995)(51.999001 84.638794 67.636993)(67.362999 85.269897 69.899002)(51.999001 87.426300 70.828995)(82.726997 84.737999 70.828995)(67.362999 85.269897 69.899002)(51.999001 86.348900 69.595299)(51.999001 87.426300 70.828995)(82.220001 78.937004 94.609001)(82.537003 82.561005 91.857002)(51.999001 84.970398 92.054504)(82.537003 82.561005 91.857002)(51.999001 85.232597 91.857002)(51.999001 84.970398 92.054504)(51.999001 87.825699 88.458298)(51.999001 85.232597 91.857002)(82.537003 82.561005 91.857002)(51.999001 88.003601 88.224998)(51.999001 87.880699 88.386200)(82.777000 85.311005 88.224998)(51.999001 87.880699 88.386200)(51.999001 87.825699 88.458298)(82.777000 85.311005 88.224998)(51.999001 87.825699 88.458298)(82.537003 82.561005 91.857002)(82.777000 85.311005 88.224998)(51.999001 90.161003 79.445999)(51.999001 90.133507 79.709801)(82.965004 87.452003 79.445999)(51.999001 90.133507 79.709801)(82.924004 86.983002 83.984001)(82.965004 87.452003 79.445999)(51.999001 87.426300 70.828995)(51.999001 87.553703 71.096596)(82.726997 84.737999 70.828995)(51.999001 87.553703 71.096596)(82.897003 86.685005 74.950005)(82.726997 84.737999 70.828995)(67.482002 88.482094 77.558998)(51.999001 89.434494 75.219696)(51.999001 89.462303 75.381302)(67.482002 88.482094 77.558998)(82.965004 87.452003 79.445999)(51.999001 89.434494 75.219696)(67.482002 88.482094 77.558998)(51.999001 90.161003 79.445999)(82.965004 87.452003 79.445999)(67.482002 88.482094 77.558998)(51.999001 89.462303 75.381302)(51.999001 90.161003 79.445999)(82.897003 86.685005 74.950005)(51.999001 89.388100 74.950005)(51.999001 89.434494 75.219696)(82.965004 87.452003 79.445999)(82.897003 86.685005 74.950005)(51.999001 89.434494 75.219696)(51.999001 87.553703 71.096596)(51.999001 89.388100 74.950005)(82.897003 86.685005 74.950005)(51.999001 89.588005 84.235695)(51.999001 88.003601 88.224998)(82.777000 85.311005 88.224998)(51.999001 89.688400 83.983101)(51.999001 89.588005 84.235695)(82.924004 86.983002 83.984001)(51.999001 89.588005 84.235695)(82.777000 85.311005 88.224998)(82.924004 86.983002 83.984001)(51.999001 90.133507 79.709801)(51.999001 89.887596 82.070297)(82.924004 86.983002 83.984001)(51.999001 89.887596 82.070297)(51.999001 89.688400 83.983101)(82.924004 86.983002 83.984001)(51.999001 72.138901 63.353001)(51.999001 73.415695 63.397900)(66.876999 74.183502 63.470699)(51.999001 73.415695 63.397900)(51.999001 76.231194 63.496998)(66.876999 74.183502 63.470699)(51.999001 71.655403 63.335999)(51.999001 72.138901 63.353001)(66.876999 71.359100 63.371399)(51.999001 76.640297 63.626804)(51.999001 76.231194 63.496998)(51.999001 77.901901 63.677898)(51.999001 76.231194 63.496998)(51.999001 76.640297 63.626804)(67.066498 75.912003 63.813904)))
           )
           )))
    (send glvertices :calc-normals)
    (send self :assoc glvertices)
    glvertices)
  (:qhull-faceset ()
   ;; qhull 4776 -> 79 faces
   (instance faceset :init :faces (list
    (instance face :init :vertices (list (float-vector 86.056001 9.500000 54.688402) (float-vector 96.209198 31.883899 79.223499) (float-vector 82.465999 81.754997 67.387000)))
    (instance face :init :vertices (list (float-vector 14.142000 29.500000 -14.142000) (float-vector 86.056001 9.500000 54.688402) (float-vector 82.465999 81.754997 67.387000)))
    (instance face :init :vertices (list (float-vector 80.067001 84.423199 110.739999) (float-vector 91.061004 63.225001 111.111000) (float-vector 62.307000 44.734500 124.998003) (float-vector 46.771999 72.111003 124.995999)))
    (instance face :init :vertices (list (float-vector -58.231398 88.926703 54.671001) (float-vector 5.176000 29.500000 -19.319000) (float-vector 9.737000 101.774000 54.671001)))
    (instance face :init :vertices (list (float-vector 46.771999 72.111003 124.995999) (float-vector 51.113699 105.411999 111.116000) (float-vector 80.067001 84.423199 110.739999)))
    (instance face :init :vertices (list (float-vector 56.279000 104.368001 100.992002) (float-vector 51.113699 105.411999 111.116000) (float-vector 31.980399 109.072000 110.611998) (float-vector 44.273000 106.232002 78.313001)))
    (instance face :init :vertices (list (float-vector 31.980399 109.072000 110.611998) (float-vector 51.113699 105.411999 111.116000) (float-vector 46.771999 72.111003 124.995999) (float-vector 19.698000 76.204002 125.000000)))
    (instance face :init :vertices (list (float-vector 82.897000 86.685002 74.950002) (float-vector 56.279000 104.368001 100.992002) (float-vector 44.273000 106.232002 78.313001)))
    (instance face :init :vertices (list (float-vector 82.897000 86.685002 74.950002) (float-vector 91.061004 63.225001 111.111000) (float-vector 80.067001 84.423199 110.739999)))
    (instance face :init :vertices (list (float-vector 80.067001 84.423199 110.739999) (float-vector 51.113699 105.411999 111.116000) (float-vector 56.279000 104.368001 100.992002) (float-vector 82.897000 86.685002 74.950002)))
    (instance face :init :vertices (list (float-vector -123.153001 -54.568000 72.339498) (float-vector -99.638000 -68.173900 54.671001) (float-vector -114.707001 -41.379001 54.671001) (float-vector -134.247005 -32.984201 72.878301)))
    (instance face :init :vertices (list (float-vector 14.142000 29.500000 -14.142000) (float-vector 82.465999 81.754997 67.387000) (float-vector 45.529898 95.866501 54.478198) (float-vector 5.176000 29.500000 -19.319000)))
    (instance face :init :vertices (list (float-vector 94.705001 -9.500000 71.813002) (float-vector 96.209198 31.883899 79.223499) (float-vector 86.056001 9.500000 54.688402)))
    (instance face :init :vertices (list (float-vector 97.804599 -33.058900 87.280199) (float-vector 94.705001 -9.500000 71.813002) (float-vector 86.056001 9.500000 54.688402) (float-vector 83.731800 -40.151801 57.093602) (float-vector 82.186997 -77.569000 65.188996)))
    (instance face :init :vertices (list (float-vector 80.067001 -84.423199 110.739999) (float-vector 95.693700 -47.537401 111.111000) (float-vector 82.965001 -86.461000 80.132000)))
    (instance face :init :vertices (list (float-vector 80.067001 -84.423199 110.739999) (float-vector 51.168300 -68.315797 124.996997) (float-vector 62.307000 -44.734500 124.998003) (float-vector 95.693700 -47.537401 111.111000)))
    (instance face :init :vertices (list (float-vector -137.209997 4.731200 73.068000) (float-vector -134.247005 32.984201 72.878301) (float-vector -138.999999 15.499000 83.857998)))
    (instance face :init :vertices (list (float-vector -114.707001 -41.379001 54.671001) (float-vector -137.209997 4.731200 73.068000) (float-vector -134.247005 -32.984201 72.878301)))
    (instance face :init :vertices (list (float-vector -137.209997 4.731200 73.068000) (float-vector -114.707001 41.379001 54.671001) (float-vector -134.247005 32.984201 72.878301)))
    (instance face :init :vertices (list (float-vector -138.043001 -27.235201 111.111000) (float-vector -134.247005 -32.984201 72.878301) (float-vector -137.209997 4.731200 73.068000) (float-vector -138.999999 15.499000 83.857998) (float-vector -139.541999 15.499000 111.111000)))
    (instance face :init :vertices (list (float-vector -122.460999 60.956702 111.111000) (float-vector -113.540001 69.027998 85.161999) (float-vector -99.245697 78.467101 110.740997)))
    (instance face :init :vertices (list (float-vector -122.460999 60.956702 111.111000) (float-vector -99.245697 78.467101 110.740997) (float-vector -63.107997 92.641003 111.518003) (float-vector -46.640001 64.565003 125.000998) (float-vector -101.683997 34.464002 125.000000)))
    (instance face :init :vertices (list (float-vector -12.332700 105.571002 110.740997) (float-vector -63.107997 92.641003 111.518003) (float-vector -40.895302 101.299003 103.097998)))
    (instance face :init :vertices (list (float-vector -12.332700 105.571002 110.740997) (float-vector -40.895302 101.299003 103.097998) (float-vector 2.260000 106.917001 81.665501) (float-vector 31.980399 109.072000 110.611998)))
    (instance face :init :vertices (list (float-vector -63.107997 92.641003 111.518003) (float-vector -12.332700 105.571002 110.740997) (float-vector 31.980399 109.072000 110.611998) (float-vector 19.698000 76.204002 125.000000) (float-vector -46.640001 64.565003 125.000998)))
    (instance face :init :vertices (list (float-vector -77.799499 87.444000 83.959997) (float-vector -40.895302 101.299003 103.097998) (float-vector -63.107997 92.641003 111.518003) (float-vector -99.245697 78.467101 110.740997)))
    (instance face :init :vertices (list (float-vector 2.260000 106.917001 81.665501) (float-vector -40.895302 101.299003 103.097998) (float-vector -77.799499 87.444000 83.959997) (float-vector -58.231398 88.926703 54.671001) (float-vector 9.737000 101.774000 54.671001)))
    (instance face :init :vertices (list (float-vector -58.231398 88.926703 54.671001) (float-vector -77.799499 87.444000 83.959997) (float-vector -99.245697 78.467101 110.740997) (float-vector -113.540001 69.027998 85.161999) (float-vector -93.148597 73.929898 54.671001)))
    (instance face :init :vertices (list (float-vector -108.177997 -72.914504 84.890500) (float-vector -121.297002 -61.535802 85.411496) (float-vector -122.460999 -60.956702 111.111000) (float-vector -99.245697 -78.467101 110.740997)))
    (instance face :init :vertices (list (float-vector -121.297002 -61.535802 85.411496) (float-vector -108.177997 -72.914504 84.890500) (float-vector -83.245598 -79.942197 54.671001) (float-vector -99.638000 -68.173900 54.671001) (float-vector -123.153001 -54.568000 72.339498)))
    (instance face :init :vertices (list (float-vector -40.895302 -101.299003 103.097998) (float-vector -58.231398 -88.926703 54.671001) (float-vector -83.245598 -79.942197 54.671001)))
    (instance face :init :vertices (list (float-vector -133.220002 -44.370499 103.000998) (float-vector -121.297002 -61.535802 85.411496) (float-vector -123.153001 -54.568000 72.339498) (float-vector -134.247005 -32.984201 72.878301)))
    (instance face :init :vertices (list (float-vector 32.140799 105.104998 63.342102) (float-vector 44.273000 106.232002 78.313001) (float-vector 31.980399 109.072000 110.611998) (float-vector 2.260000 106.917001 81.665501) (float-vector 9.737000 101.774000 54.671001)))
    (instance face :init :vertices (list (float-vector 82.897000 86.685002 74.950002) (float-vector 44.273000 106.232002 78.313001) (float-vector 32.140799 105.104998 63.342102) (float-vector 45.529898 95.866501 54.478198) (float-vector 82.465999 81.754997 67.387000)))
    (instance face :init :vertices (list (float-vector 45.529898 95.866501 54.478198) (float-vector 32.140799 105.104998 63.342102) (float-vector 9.737000 101.774000 54.671001) (float-vector 5.176000 29.500000 -19.319000)))
    (instance face :init :vertices (list (float-vector 12.621000 -23.000000 -15.514000) (float-vector 83.731800 -40.151801 57.093602) (float-vector 86.056001 9.500000 54.688402)))
    (instance face :init :vertices (list (float-vector 14.142000 29.500000 -14.142000) (float-vector 12.621000 -23.000000 -15.514000) (float-vector 86.056001 9.500000 54.688402)))
    (instance face :init :vertices (list (float-vector 83.731800 -40.151801 57.093602) (float-vector 12.621000 -23.000000 -15.514000) (float-vector 82.186997 -77.569000 65.188996)))
    (instance face :init :vertices (list (float-vector 12.621000 -23.000000 -15.514000) (float-vector 14.142000 29.500000 -14.142000) (float-vector 5.176000 29.500000 -19.319000) (float-vector 2.723000 -28.500000 -19.814000)))
    (instance face :init :vertices (list (float-vector 18.596601 -104.157999 58.672499) (float-vector 33.112999 -101.930000 56.679700) (float-vector 2.723000 -28.500000 -19.814000) (float-vector 2.295100 -101.448998 54.671001)))
    (instance face :init :vertices (list (float-vector 33.112999 -101.930000 56.679700) (float-vector 43.988202 -101.818003 62.554903) (float-vector 58.651201 -92.101201 60.165901) (float-vector 2.723000 -28.500000 -19.814000)))
    (instance face :init :vertices (list (float-vector 82.465999 81.754997 67.387000) (float-vector 96.209198 31.883899 79.223499) (float-vector 99.440098 27.166300 111.111000) (float-vector 91.061004 63.225001 111.111000) (float-vector 82.897000 86.685002 74.950002)))
    (instance face :init :vertices (list (float-vector 47.508001 -106.936999 89.703001) (float-vector 82.965001 -86.461000 80.132000) (float-vector 82.759000 -84.100001 71.410000) (float-vector 58.651201 -92.101201 60.165901) (float-vector 43.988202 -101.818003 62.554903)))
    (instance face :init :vertices (list (float-vector 82.759000 -84.100001 71.410000) (float-vector 82.186997 -77.569000 65.188996) (float-vector 12.621000 -23.000000 -15.514000) (float-vector 2.723000 -28.500000 -19.814000) (float-vector 58.651201 -92.101201 60.165901)))
    (instance face :init :vertices (list (float-vector 82.965001 -86.461000 80.132000) (float-vector 67.893997 -96.406899 111.115001) (float-vector 80.067001 -84.423199 110.739999)))
    (instance face :init :vertices (list (float-vector 51.113699 -105.411999 111.116000) (float-vector 67.893997 -96.406899 111.115001) (float-vector 82.965001 -86.461000 80.132000) (float-vector 47.508001 -106.936999 89.703001)))
    (instance face :init :vertices (list (float-vector 31.995401 -74.604303 125.071004) (float-vector 51.168300 -68.315797 124.996997) (float-vector 80.067001 -84.423199 110.739999) (float-vector 67.893997 -96.406899 111.115001) (float-vector 51.113699 -105.411999 111.116000)))
    (instance face :init :vertices (list (float-vector -134.247005 32.984201 72.878301) (float-vector -123.153001 54.568000 72.339498) (float-vector -129.090995 50.981998 85.466497)))
    (instance face :init :vertices (list (float-vector -83.245598 -79.942197 54.671001) (float-vector -7.969000 -28.500000 -18.344000) (float-vector -99.638000 -68.173900 54.671001)))
    (instance face :init :vertices (list (float-vector -7.969000 -28.500000 -18.344000) (float-vector -114.707001 -41.379001 54.671001) (float-vector -99.638000 -68.173900 54.671001)))
    (instance face :init :vertices (list (float-vector 2.723000 -28.500000 -19.814000) (float-vector -7.969000 -28.500000 -18.344000) (float-vector -83.245598 -79.942197 54.671001) (float-vector -58.231398 -88.926703 54.671001) (float-vector 2.295100 -101.448998 54.671001)))
    (instance face :init :vertices (list (float-vector -114.707001 41.379001 54.671001) (float-vector -137.209997 4.731200 73.068000) (float-vector -114.707001 -41.379001 54.671001) (float-vector -7.969000 -28.500000 -18.344000) (float-vector 2.723000 -28.500000 -19.814000) (float-vector 5.176000 29.500000 -19.319000)))
    (instance face :init :vertices (list (float-vector -131.843001 46.164598 111.111000) (float-vector -122.460999 60.956702 111.111000) (float-vector -101.683997 34.464002 125.000000)))
    (instance face :init :vertices (list (float-vector -138.043001 -27.235201 111.111000) (float-vector -139.541999 15.499000 111.111000) (float-vector -131.843001 46.164598 111.111000) (float-vector -101.683997 34.464002 125.000000) (float-vector -107.000999 -15.499000 125.000000)))
    (instance face :init :vertices (list (float-vector -122.460999 60.956702 111.111000) (float-vector -131.843001 46.164598 111.111000) (float-vector -129.090995 50.981998 85.466497) (float-vector -123.153001 54.568000 72.339498) (float-vector -113.540001 69.027998 85.161999)))
    (instance face :init :vertices (list (float-vector -134.247005 32.984201 72.878301) (float-vector -129.090995 50.981998 85.466497) (float-vector -131.843001 46.164598 111.111000) (float-vector -139.541999 15.499000 111.111000) (float-vector -138.999999 15.499000 83.857998)))
    (instance face :init :vertices (list (float-vector -37.563998 0.000000 128.802001) (float-vector 31.995401 -74.604303 125.071004) (float-vector -28.867001 -69.401003 125.000000) (float-vector -95.023498 -42.722501 125.000998)))
    (instance face :init :vertices (list (float-vector -37.563998 0.000000 128.802001) (float-vector -95.023498 -42.722501 125.000998) (float-vector -107.000999 -15.499000 125.000000) (float-vector -101.683997 34.464002 125.000000)))
    (instance face :init :vertices (list (float-vector 19.698000 76.204002 125.000000) (float-vector 46.771999 72.111003 124.995999) (float-vector -37.563998 0.000000 128.802001) (float-vector -101.683997 34.464002 125.000000) (float-vector -46.640001 64.565003 125.000998)))
    (instance face :init :vertices (list (float-vector 51.168300 -68.315797 124.996997) (float-vector 31.995401 -74.604303 125.071004) (float-vector -37.563998 0.000000 128.802001) (float-vector 46.771999 72.111003 124.995999) (float-vector 62.307000 44.734500 124.998003) (float-vector 62.307000 -44.734500 124.998003)))
    (instance face :init :vertices (list (float-vector 51.113699 -105.411999 111.116000) (float-vector -12.332700 -105.571002 110.740997) (float-vector -28.867001 -69.401003 125.000000) (float-vector 31.995401 -74.604303 125.071004)))
    (instance face :init :vertices (list (float-vector -131.843001 -46.164598 111.111000) (float-vector -138.043001 -27.235201 111.111000) (float-vector -107.000999 -15.499000 125.000000) (float-vector -95.023498 -42.722501 125.000998) (float-vector -122.460999 -60.956702 111.111000)))
    (instance face :init :vertices (list (float-vector -133.220002 -44.370499 103.000998) (float-vector -131.843001 -46.164598 111.111000) (float-vector -122.460999 -60.956702 111.111000) (float-vector -121.297002 -61.535802 85.411496)))
    (instance face :init :vertices (list (float-vector -131.843001 -46.164598 111.111000) (float-vector -133.220002 -44.370499 103.000998) (float-vector -134.247005 -32.984201 72.878301) (float-vector -138.043001 -27.235201 111.111000)))
    (instance face :init :vertices (list (float-vector 91.061004 63.225001 111.111000) (float-vector 99.440098 27.166300 111.111000) (float-vector 99.440098 -27.166300 111.111000) (float-vector 95.693700 -47.537401 111.111000) (float-vector 62.307000 -44.734500 124.998003) (float-vector 62.307000 44.734500 124.998003)))
    (instance face :init :vertices (list (float-vector 99.440098 -27.166300 111.111000) (float-vector 97.804599 -33.058900 87.280199) (float-vector 82.186997 -77.569000 65.188996) (float-vector 82.759000 -84.100001 71.410000) (float-vector 82.965001 -86.461000 80.132000) (float-vector 95.693700 -47.537401 111.111000)))
    (instance face :init :vertices (list (float-vector 99.440098 -27.166300 111.111000) (float-vector 99.440098 27.166300 111.111000) (float-vector 96.209198 31.883899 79.223499) (float-vector 94.705001 -9.500000 71.813002) (float-vector 97.804599 -33.058900 87.280199)))
    (instance face :init :vertices (list (float-vector -105.074003 61.956700 54.671001) (float-vector -114.707001 41.379001 54.671001) (float-vector 5.176000 29.500000 -19.319000)))
    (instance face :init :vertices (list (float-vector -123.153001 54.568000 72.339498) (float-vector -105.074003 61.956700 54.671001) (float-vector -93.148597 73.929898 54.671001) (float-vector -113.540001 69.027998 85.161999)))
    (instance face :init :vertices (list (float-vector -58.231398 88.926703 54.671001) (float-vector -93.148597 73.929898 54.671001) (float-vector -105.074003 61.956700 54.671001) (float-vector 5.176000 29.500000 -19.319000)))
    (instance face :init :vertices (list (float-vector -114.707001 41.379001 54.671001) (float-vector -105.074003 61.956700 54.671001) (float-vector -123.153001 54.568000 72.339498) (float-vector -134.247005 32.984201 72.878301)))
    (instance face :init :vertices (list (float-vector -63.107997 -92.641003 111.518003) (float-vector -12.332700 -105.571002 110.740997) (float-vector -40.895302 -101.299003 103.097998)))
    (instance face :init :vertices (list (float-vector -12.332700 -105.571002 110.740997) (float-vector -63.107997 -92.641003 111.518003) (float-vector -99.245697 -78.467101 110.740997) (float-vector -122.460999 -60.956702 111.111000) (float-vector -95.023498 -42.722501 125.000998) (float-vector -28.867001 -69.401003 125.000000)))
    (instance face :init :vertices (list (float-vector -99.245697 -78.467101 110.740997) (float-vector -63.107997 -92.641003 111.518003) (float-vector -40.895302 -101.299003 103.097998) (float-vector -83.245598 -79.942197 54.671001) (float-vector -108.177997 -72.914504 84.890500)))
    (instance face :init :vertices (list (float-vector -40.895302 -101.299003 103.097998) (float-vector -12.332700 -105.571002 110.740997) (float-vector 31.976499 -108.278997 79.364002) (float-vector 18.596601 -104.157999 58.672499) (float-vector 2.295100 -101.448998 54.671001) (float-vector -58.231398 -88.926703 54.671001)))
    (instance face :init :vertices (list (float-vector 31.976499 -108.278997 79.364002) (float-vector 47.508001 -106.936999 89.703001) (float-vector 43.988202 -101.818003 62.554903) (float-vector 33.112999 -101.930000 56.679700) (float-vector 18.596601 -104.157999 58.672499)))
    (instance face :init :vertices (list (float-vector 31.986099 -108.999997 101.998001) (float-vector -12.332700 -105.571002 110.740997) (float-vector 51.113699 -105.411999 111.116000)))
    (instance face :init :vertices (list (float-vector 31.986099 -108.999997 101.998001) (float-vector 31.976499 -108.278997 79.364002) (float-vector -12.332700 -105.571002 110.740997)))
    (instance face :init :vertices (list (float-vector 31.976499 -108.278997 79.364002) (float-vector 31.986099 -108.999997 101.998001) (float-vector 51.113699 -105.411999 111.116000) (float-vector 47.508001 -106.936999 89.703001)))
    ))
   )
  )

(defclass HiroNX_g1_4_geom0
  :super collada-body
  :slots ())
(defmethod HiroNX_g1_4_geom0
  (:init (&key (name))
         (replace-object self (send self :qhull-faceset))
         (if name (send self :name name))
         (send self :def-gl-vertices)
         self)
  (:def-gl-vertices ()
    (setq glvertices
       (instance gl::glvertices :init
          (list
          (list
           (list :type :triangles)
           (list :material (list
             (list :color (float-vector 0.1 0.1 0.1))
             (list :ambient (float-vector 0.200000 0.200000 0.200000 1.000000))
             (list :diffuse (float-vector 0.900000 0.900000 0.900000 1.000000))
           ))
           (list :indices #i( 1 0 2 4 3 5 7 6 8 10 9 11 13 12 14 16 15 17 19 18 20 22 21 23 25 24 26 28 27 29 31 30 32 34 33 35 37 36 38 40 39 41 43 42 44 46 45 47 49 48 50 52 51 53 55 54 56 58 57 59 61 60 62 64 63 65 67 66 68 70 69 71 73 72 74 76 75 77 79 78 80 82 81 83 85 84 86 88 87 89 91 90 92 94 93 95 97 96 98 100 99 101 103 102 104 106 105 107 109 108 110 112 111 113 115 114 116 118 117 119 121 120 122 124 123 125 127 126 128 130 129 131 133 132 134 136 135 137 139 138 140 142 141 143 145 144 146 148 147 149 151 150 152 154 153 155 157 156 158 160 159 161 163 162 164 166 165 167 169 168 170 172 171 173 175 174 176 178 177 179 181 180 182 184 183 185 187 186 188 190 189 191 193 192 194 196 195 197 199 198 200 202 201 203 205 204 206 208 207 209 211 210 212 214 213 215 217 216 218 220 219 221 223 222 224 226 225 227 229 228 230 232 231 233 235 234 236 238 237 239 241 240 242 244 243 245 247 246 248 250 249 251 253 252 254 256 255 257 259 258 260 262 261 263 265 264 266 268 267 269 271 270 272 274 273 275 277 276 278 280 279 281 283 282 284 286 285 287 289 288 290 292 291 293 295 294 296 298 297 299 301 300 302 304 303 305 307 306 308 310 309 311 313 312 314 316 315 317 319 318 320 322 321 323 325 324 326 328 327 329 331 330 332 334 333 335 337 336 338 340 339 341 343 342 344 346 345 347 349 348 350 352 351 353 355 354 356 358 357 359 361 360 362 364 363 365 367 366 368 370 369 371 373 372 374 376 375 377 379 378 380 382 381 383 385 384 386 388 387 389 391 390 392 394 393 395 397 396 398 400 399 401 403 402 404 406 405 407 409 408 410 412 411 413 415 414 416 418 417 419 421 420 422 424 423 425 427 426 428 430 429 431 433 432 434 436 435 437 439 438 440 442 441 443 445 444 446 448 447 449 451 450 452 454 453 455 457 456 458 460 459 461 463 462 464 466 465 467 469 468 470 472 471 473 475 474 476 478 477 479 481 480 482 484 483 485 487 486 488 490 489 491 493 492 494 496 495 497 499 498 500 502 501 503 505 504 506 508 507 509 511 510 512 514 513 515 517 516 518 520 519 521 523 522 524 526 525 527 529 528 530 532 531 533 535 534 536 538 537 539 541 540 542 544 543 545 547 546 548 550 549 551 553 552 554 556 555 557 559 558 560 562 561 563 565 564 566 568 567 569 571 570 572 574 573 575 577 576 578 580 579 581 583 582 584 586 585 587 589 588 590 592 591 593 595 594 596 598 597 599 601 600 602 604 603 605 607 606 608 610 609 611 613 612 614 616 615 617 619 618 620 622 621 623 625 624 626 628 627 629 631 630 632 634 633 635 637 636 638 640 639 641 643 642 644 646 645 647 649 648 650 652 651 653 655 654 656 658 657 659 661 660 662 664 663 665 667 666 668 670 669 671 673 672 674 676 675 677 679 678 680 682 681 683 685 684 686 688 687 689 691 690 692 694 693 695 697 696 698 700 699 701 703 702 704 706 705 707 709 708 710 712 711 713 715 714 716 718 717 719 721 720 722 724 723 725 727 726 728 730 729 731 733 732 734 736 735 737 739 738 740 742 741 743 745 744 746 748 747 749 751 750 752 754 753 755 757 756 758 760 759 761 763 762 764 766 765 767 769 768 770 772 771 773 775 774 776 778 777 779 781 780 782 784 783 785 787 786 788 790 789 791 793 792 794 796 795 797 799 798 800 802 801 803 805 804 806 808 807 809 811 810 812 814 813 815 817 816 818 820 819 821 823 822 824 826 825 827 829 828 830 832 831 833 835 834 836 838 837 839 841 840 842 844 843 845 847 846 848 850 849 851 853 852 854 856 855 857 859 858 860 862 861 863 865 864 866 868 867 869 871 870 872 874 873 875 877 876 878 880 879 881 883 882 884 886 885 887 889 888 890 892 891 893 895 894 896 898 897 899 901 900 902 904 903 905 907 906 908 910 909 911 913 912 914 916 915 917 919 918 920 922 921 923 925 924 926 928 927 929 931 930 932 934 933 935 937 936 938 940 939 941 943 942 944 946 945 947 949 948 950 952 951 953 955 954 956 958 957 959 961 960 962 964 963 965 967 966 968 970 969 971 973 972 974 976 975 977 979 978 980 982 981 983 985 984 986 988 987 989 991 990 992 994 993 995 997 996 998 1000 999 1001 1003 1002 1004 1006 1005 1007 1009 1008 1010 1012 1011 1013 1015 1014 1016 1018 1017 1019 1021 1020 1022 1024 1023 1025 1027 1026 1028 1030 1029 1031 1033 1032 1034 1036 1035 1037 1039 1038 1040 1042 1041 1043 1045 1044 1046 1048 1047 1049 1051 1050 1052 1054 1053 1055 1057 1056 1058 1060 1059 1061 1063 1062 1064 1066 1065 1067 1069 1068 1070 1072 1071 1073 1075 1074 1076 1078 1077 1079 1081 1080 1082 1084 1083 1085 1087 1086 1088 1090 1089 1091 1093 1092 1094 1096 1095 1097 1099 1098 1100 1102 1101 1103 1105 1104 1106 1108 1107 1109 1111 1110 1112 1114 1113 1115 1117 1116 1118 1120 1119 1121 1123 1122 1124 1126 1125 1127 1129 1128 1130 1132 1131 1133 1135 1134 1136 1138 1137 1139 1141 1140 1142 1144 1143 1145 1147 1146 1148 1150 1149 1151 1153 1152 1154 1156 1155 1157 1159 1158 1160 1162 1161 1163 1165 1164 1166 1168 1167 1169 1171 1170 1172 1174 1173 1175 1177 1176 1178 1180 1179 1181 1183 1182 1184 1186 1185 1187 1189 1188 1190 1192 1191 1193 1195 1194 1196 1198 1197 1199 1201 1200 1202 1204 1203 1205 1207 1206 1208 1210 1209 1211 1213 1212 1214 1216 1215 1217 1219 1218 1220 1222 1221 1223 1225 1224 1226 1228 1227 1229 1231 1230 1232 1234 1233 1235 1237 1236 1238 1240 1239 1241 1243 1242 1244 1246 1245 1247 1249 1248 1250 1252 1251 1253 1255 1254 1256 1258 1257 1259 1261 1260 1262 1264 1263 1265 1267 1266 1268 1270 1269 1271 1273 1272 1274 1276 1275 1277 1279 1278 1280 1282 1281 1283 1285 1284 1286 1288 1287 1289 1291 1290 1292 1294 1293 1295 1297 1296 1298 1300 1299 1301 1303 1302 1304 1306 1305 1307 1309 1308 1310 1312 1311 1313 1315 1314 1316 1318 1317 1319 1321 1320 1322 1324 1323 1325 1327 1326 1328 1330 1329 1331 1333 1332 1334 1336 1335 1337 1339 1338 1340 1342 1341 1343 1345 1344 1346 1348 1347 1349 1351 1350 1352 1354 1353 1355 1357 1356 1358 1360 1359 1361 1363 1362 1364 1366 1365 1367 1369 1368 1370 1372 1371 1373 1375 1374 1376 1378 1377 1379 1381 1380 1382 1384 1383 1385 1387 1386 1388 1390 1389 1391 1393 1392 1394 1396 1395 1397 1399 1398 1400 1402 1401 1403 1405 1404 1406 1408 1407 1409 1411 1410 1412 1414 1413 1415 1417 1416 1418 1420 1419 1421 1423 1422 1424 1426 1425 1427 1429 1428 1430 1432 1431 1433 1435 1434 1436 1438 1437 1439 1441 1440 1442 1444 1443 1445 1447 1446 1448 1450 1449 1451 1453 1452 1454 1456 1455 1457 1459 1458 1460 1462 1461 1463 1465 1464 1466 1468 1467 1469 1471 1470 1472 1474 1473 1475 1477 1476 1478 1480 1479 1481 1483 1482 1484 1486 1485 1487 1489 1488 1490 1492 1491 1493 1495 1494 1496 1498 1497 1499 1501 1500 1502 1504 1503 1505 1507 1506 1508 1510 1509 1511 1513 1512 1514 1516 1515 1517 1519 1518 1520 1522 1521 1523 1525 1524 1526 1528 1527 1529 1531 1530 1532 1534 1533 1535 1537 1536 1538 1540 1539 1541 1543 1542 1544 1546 1545 1547 1549 1548 1550 1552 1551 1553 1555 1554 1556 1558 1557 1559 1561 1560 1562 1564 1563 1565 1567 1566 1568 1570 1569 1571 1573 1572 1574 1576 1575 1577 1579 1578 1580 1582 1581 1583 1585 1584 1586 1588 1587 1589 1591 1590 1592 1594 1593 1595 1597 1596 1598 1600 1599 1601 1603 1602 1604 1606 1605 1607 1609 1608 1610 1612 1611 1613 1615 1614 1616 1618 1617 1619 1621 1620 1622 1624 1623 1625 1627 1626 1628 1630 1629 1631 1633 1632 1634 1636 1635 1637 1639 1638 1640 1642 1641 1643 1645 1644 1646 1648 1647 1649 1651 1650 1652 1654 1653 1655 1657 1656 1658 1660 1659 1661 1663 1662 1664 1666 1665 1667 1669 1668 1670 1672 1671 1673 1675 1674 1676 1678 1677 1679 1681 1680 1682 1684 1683 1685 1687 1686 1688 1690 1689 1691 1693 1692 1694 1696 1695 1697 1699 1698 1700 1702 1701 1703 1705 1704 1706 1708 1707 1709 1711 1710 1712 1714 1713 1715 1717 1716 1718 1720 1719 1721 1723 1722 1724 1726 1725 1727 1729 1728 1730 1732 1731 1733 1735 1734 1736 1738 1737 1739 1741 1740 1742 1744 1743 1745 1747 1746 1748 1750 1749 1751 1753 1752 1754 1756 1755 1757 1759 1758 1760 1762 1761 1763 1765 1764 1766 1768 1767 1769 1771 1770 1772 1774 1773 1775 1777 1776 1778 1780 1779 1781 1783 1782 1784 1786 1785 1787 1789 1788 1790 1792 1791 1793 1795 1794 1796 1798 1797 1799 1801 1800 1802 1804 1803 1805 1807 1806 1808 1810 1809 1811 1813 1812 1814 1816 1815 1817 1819 1818 1820 1822 1821 1823 1825 1824 1826 1828 1827 1829 1831 1830 1832 1834 1833 1835 1837 1836 1838 1840 1839 1841 1843 1842 1844 1846 1845 1847 1849 1848 1850 1852 1851 1853 1855 1854 1856 1858 1857 1859 1861 1860 1862 1864 1863 1865 1867 1866 1868 1870 1869 1871 1873 1872 1874 1876 1875 1877 1879 1878 1880 1882 1881 1883 1885 1884 1886 1888 1887 1889 1891 1890 1892 1894 1893 1895 1897 1896 1898 1900 1899 1901 1903 1902 1904 1906 1905 1907 1909 1908 1910 1912 1911 1913 1915 1914 1916 1918 1917 1919 1921 1920 1922 1924 1923 1925 1927 1926 1928 1930 1929 1931 1933 1932 1934 1936 1935 1937 1939 1938 1940 1942 1941 1943 1945 1944 1946 1948 1947 1949 1951 1950 1952 1954 1953 1955 1957 1956 1958 1960 1959 1961 1963 1962 1964 1966 1965 1967 1969 1968 1970 1972 1971 1973 1975 1974 1976 1978 1977 1979 1981 1980 1982 1984 1983 1985 1987 1986 1988 1990 1989 1991 1993 1992 1994 1996 1995 1997 1999 1998 2000 2002 2001 2003 2005 2004 2006 2008 2007 2009 2011 2010 2012 2014 2013 2015 2017 2016 2018 2020 2019 2021 2023 2022 2024 2026 2025 2027 2029 2028 2030 2032 2031 2033 2035 2034 2036 2038 2037 2039 2041 2040 2042 2044 2043 2045 2047 2046 2048 2050 2049 2051 2053 2052 2054 2056 2055 2057 2059 2058 2060 2062 2061 2063 2065 2064 2066 2068 2067 2069))
           (list :vertices #2f((-30.236000 24.999001 -16.620001)(-30.236000 32.499001 -16.620001)(-33.063999 24.999001 -9.476790)(-33.063999 24.999001 -9.476790)(-30.236000 32.499001 -16.620001)(-33.419003 24.999001 -8.579989)(-33.419003 24.999001 -8.579989)(-33.419003 32.499001 -8.579989)(-34.503002 24.999001 0.000008)(-33.829998 24.999001 6.782010)(-34.495800 24.999001 0.072432)(-34.503002 32.499001 0.000008)(-31.236099 24.999001 19.587900)(-28.495300 26.257000 33.119202)(-28.495300 24.999001 33.119202)(-33.829998 32.499001 6.782010)(-31.236099 24.999001 19.587900)(-31.760099 24.999001 17.001200)(-33.829998 32.499001 6.782010)(-31.760099 24.999001 17.001200)(-32.844700 24.999001 11.646200)(-33.829998 32.499001 6.782010)(-32.844700 24.999001 11.646200)(-33.829998 24.999001 6.782010)(-33.829998 32.499001 6.782010)(-28.495300 26.257000 33.119202)(-31.236099 24.999001 19.587900)(-21.981001 24.999001 65.279999)(-28.495300 26.257000 33.119202)(-33.829998 32.499001 6.782010)(-25.806400 24.999001 -22.716400)(-25.455801 25.455900 -23.198900)(-25.152000 32.499001 -23.616999)(-29.427900 24.999001 -17.732199)(-25.806400 24.999001 -22.716400)(-25.152000 32.499001 -23.616999)(-25.455801 25.455900 -23.198900)(-25.152000 25.689001 -23.616999)(-25.152000 32.499001 -23.616999)(-29.427900 24.999001 -17.732199)(-25.152000 32.499001 -23.616999)(-30.236000 24.999001 -16.620001)(-33.419003 24.999001 -8.579989)(-30.236000 32.499001 -16.620001)(-33.419003 32.499001 -8.579989)(-30.236000 24.999001 -16.620001)(-25.152000 32.499001 -23.616999)(-30.236000 32.499001 -16.620001)(-34.503002 24.999001 0.000008)(-33.419003 32.499001 -8.579989)(-34.503002 32.499001 0.000008)(-33.829998 24.999001 6.782010)(-34.503002 32.499001 0.000008)(-33.829998 32.499001 6.782010)(25.455801 25.455801 -22.889700)(27.907999 24.999001 -20.278000)(27.907999 32.500000 -20.278000)(25.455801 25.455801 -22.889700)(27.907999 32.500000 -20.278000)(23.520500 26.940800 -24.950800)(-28.495300 24.999001 33.119202)(-27.793299 24.999001 33.119202)(-29.514700 24.999001 26.353600)(-27.793299 24.999001 33.119202)(-30.743000 24.999001 20.250401)(-29.514700 24.999001 26.353600)(-30.743000 24.999001 20.250401)(-31.236099 24.999001 19.587900)(-29.514700 24.999001 26.353600)(-31.236099 24.999001 19.587900)(-28.495300 24.999001 33.119202)(-29.514700 24.999001 26.353600)(-22.320400 24.999001 63.604301)(-21.981001 24.999001 65.279999)(-20.805901 24.999001 63.604301)(-21.981001 24.999001 65.279999)(-19.006001 24.999001 71.457001)(-20.805901 24.999001 63.604301)(-33.829998 32.499001 6.782010)(-21.981001 32.499001 65.279999)(-21.981001 24.999001 65.279999)(-25.152000 32.499001 -23.616999)(-25.152000 25.689001 -23.616999)(-23.226200 27.166700 -25.210100)(-25.152000 32.499001 -23.616999)(-23.226200 27.166700 -25.210100)(-18.489000 32.499001 -29.129000)(-26.538099 39.499001 -7.008010)(-33.419003 32.499001 -8.579989)(-30.236000 32.499001 -16.620001)(-25.152000 32.499001 -23.616999)(-23.528500 39.499001 -14.169600)(-30.236000 32.499001 -16.620001)(-27.466700 39.499001 0.698417)(-34.503002 32.499001 0.000008)(-33.419003 32.499001 -8.579989)(-34.503002 32.499001 0.000008)(-27.466700 39.499001 0.698417)(-33.829998 32.499001 6.782010)(29.004000 24.999001 -18.284300)(32.074001 24.999001 -12.700000)(32.074001 32.500000 -12.700000)(29.004000 24.999001 -18.284300)(32.074001 32.500000 -12.700000)(27.907999 24.999001 -20.278000)(27.907999 24.999001 -20.278000)(32.074001 32.500000 -12.700000)(27.907999 32.500000 -20.278000)(23.520500 26.940800 -24.950800)(27.907999 32.500000 -20.278000)(21.988001 32.499001 -26.582998)(21.988001 28.116800 -26.582998)(23.520500 26.940800 -24.950800)(21.988001 32.499001 -26.582998)(21.988001 32.499001 -26.582998)(19.545900 29.990700 -28.132500)(21.282301 28.658199 -27.030701)(21.988001 32.499001 -26.582998)(21.282301 28.658199 -27.030701)(21.988001 28.116800 -26.582998)(-27.793299 24.999001 33.119202)(-27.320400 24.999001 33.119202)(-29.031700 24.999001 26.684801)(-27.320400 24.999001 33.119202)(-29.851601 24.999001 21.447699)(-29.031700 24.999001 26.684801)(-29.851601 24.999001 21.447699)(-30.743000 24.999001 20.250401)(-29.031700 24.999001 26.684801)(-30.743000 24.999001 20.250401)(-27.793299 24.999001 33.119202)(-29.031700 24.999001 26.684801)(-25.909800 24.999001 33.119202)(-26.915998 24.999001 25.390999)(-27.424500 24.999001 24.707901)(-25.909800 24.999001 33.119202)(-21.484301 24.999001 33.119297)(-21.701000 24.999001 29.766800)(-26.915998 24.999001 25.390999)(-25.909800 24.999001 33.119202)(-21.701000 24.999001 29.766800)(-27.320400 24.999001 33.119202)(-25.909800 24.999001 33.119202)(-27.880701 24.999001 27.283501)(-25.909800 24.999001 33.119202)(-27.424500 24.999001 24.707901)(-27.880701 24.999001 27.283501)(-27.424500 24.999001 24.707901)(-29.851601 24.999001 21.447699)(-27.880701 24.999001 27.283501)(-29.851601 24.999001 21.447699)(-27.320400 24.999001 33.119202)(-27.880701 24.999001 27.283501)(-18.801600 24.999001 31.683098)(-18.808899 24.999001 33.119297)(-15.941800 24.999001 33.119297)(-21.484301 24.999001 33.119297)(-18.808899 24.999001 33.119297)(-20.251301 24.999001 31.443001)(-18.808899 24.999001 33.119297)(-18.801600 24.999001 31.683098)(-20.251301 24.999001 31.443001)(-18.801600 24.999001 31.683098)(-20.334999 24.999001 30.913000)(-20.251301 24.999001 31.443001)(-20.334999 24.999001 30.913000)(-21.701000 24.999001 29.766800)(-20.251301 24.999001 31.443001)(-21.701000 24.999001 29.766800)(-21.484301 24.999001 33.119297)(-20.251301 24.999001 31.443001)(-16.429201 24.999001 63.604401)(-19.006001 24.999001 71.457001)(-12.779600 24.999001 63.604401)(-17.107601 24.999001 63.604401)(-19.006001 24.999001 71.457001)(-16.429201 24.999001 63.604401)(-17.757401 24.999001 63.604401)(-19.006001 24.999001 71.457001)(-17.107601 24.999001 63.604401)(-18.377701 24.999001 63.604401)(-19.006001 24.999001 71.457001)(-17.757401 24.999001 63.604401)(-18.965601 24.999001 63.604401)(-19.006001 24.999001 71.457001)(-18.377701 24.999001 63.604401)(-19.513599 24.999001 63.604401)(-19.006001 24.999001 71.457001)(-18.965601 24.999001 63.604401)(-20.420101 24.999001 63.604401)(-19.006001 24.999001 71.457001)(-19.513599 24.999001 63.604401)(-20.709000 24.999001 63.604301)(-19.006001 24.999001 71.457001)(-20.420101 24.999001 63.604401)(-20.805901 24.999001 63.604301)(-19.006001 24.999001 71.457001)(-20.709000 24.999001 63.604301)(-12.779600 24.999001 63.604401)(-19.006001 24.999001 71.457001)(5.015620 24.999001 63.604599)(5.015620 24.999001 63.604599)(-19.006001 24.999001 71.457001)(19.676899 24.999001 63.604801)(-19.006001 24.999001 71.457001)(-21.981001 24.999001 65.279999)(-21.981001 32.499001 65.279999)(-16.089701 39.499001 59.104401)(-21.981001 32.499001 65.279999)(-33.829998 32.499001 6.782010)(-18.489000 32.499001 -29.129000)(-22.301701 27.876099 -25.975000)(-18.489000 30.801701 -29.129000)(-18.489000 32.499001 -29.129000)(-23.226200 27.166700 -25.210100)(-22.301701 27.876099 -25.975000)(-25.152000 32.499001 -23.616999)(-18.489000 32.499001 -29.129000)(-18.856899 39.499001 -20.372200)(-26.538099 39.499001 -7.008010)(-30.236000 32.499001 -16.620001)(-23.528500 39.499001 -14.169600)(-33.419003 32.499001 -8.579989)(-26.538099 39.499001 -7.008010)(-27.466700 39.499001 0.698417)(-23.528500 39.499001 -14.169600)(-25.152000 32.499001 -23.616999)(-18.856899 39.499001 -20.372200)(-33.829998 32.499001 6.782010)(-27.466700 39.499001 0.698417)(-26.741701 39.499001 6.782010)(32.679699 24.999001 -10.341599)(34.224998 24.999001 -4.324000)(34.224998 32.500000 -4.324000)(32.679699 24.999001 -10.341599)(34.224998 32.500000 -4.324000)(32.074001 24.999001 -12.700000)(32.074001 24.999001 -12.700000)(34.224998 32.500000 -4.324000)(32.074001 32.500000 -12.700000)(27.907999 32.500000 -20.278000)(32.074001 32.500000 -12.700000)(28.078600 35.448200 -16.488998)(32.074001 32.500000 -12.700000)(25.783001 39.499001 -15.884999)(28.078600 35.448200 -16.488998)(25.783001 39.499001 -15.884999)(27.907999 32.500000 -20.278000)(28.078600 35.448200 -16.488998)(27.907999 32.500000 -20.278000)(25.783001 39.499001 -15.884999)(21.988001 32.499001 -26.582998)(18.000000 31.176901 -29.113300)(19.545900 29.990700 -28.132500)(18.398100 31.244799 -28.860699)(19.545900 29.990700 -28.132500)(21.988001 32.499001 -26.582998)(18.398100 31.244799 -28.860699)(21.988001 32.499001 -26.582998)(14.808200 32.499001 -31.138500)(18.398100 31.244799 -28.860699)(14.808200 32.499001 -31.138500)(18.000000 31.176901 -29.113300)(18.398100 31.244799 -28.860699)(22.542299 25.022400 63.038998)(22.352699 24.999001 63.604801)(20.719000 32.499001 68.479004)(22.352699 24.999001 63.604801)(20.719000 24.999001 68.479004)(20.719000 32.499001 68.479004)(22.548000 25.023102 63.022003)(22.542299 25.022400 63.038998)(22.548000 32.499001 63.022003)(22.542299 25.022400 63.038998)(20.719000 32.499001 68.479004)(22.548000 32.499001 63.022003)(22.600399 25.033800 62.760799)(22.548000 25.023102 63.022003)(22.548000 32.499001 63.022003)(22.600399 25.033800 62.760799)(22.548000 32.499001 63.022003)(33.824001 32.499001 6.782000)(33.824001 32.499001 6.782000)(34.224998 24.999001 4.324000)(33.459900 24.999001 8.169940)(32.073799 24.999001 15.137400)(33.824001 32.499001 6.782000)(33.459900 24.999001 8.169940)(31.235199 24.999001 19.353001)(33.824001 32.499001 6.782000)(32.073799 24.999001 15.137400)(31.173300 24.999001 19.664200)(33.824001 32.499001 6.782000)(31.235199 24.999001 19.353001)(28.511301 26.257000 33.119801)(31.173300 24.999001 19.664200)(28.496500 24.999001 33.119900)(28.511301 26.257000 33.119801)(33.824001 32.499001 6.782000)(31.173300 24.999001 19.664200)(28.511301 26.257000 33.119801)(22.600399 25.033800 62.760799)(33.824001 32.499001 6.782000)(-19.006001 24.999001 71.457001)(20.719000 24.999001 68.479004)(19.676899 24.999001 63.604801)(19.676899 24.999001 63.604801)(20.719000 24.999001 68.479004)(22.352699 24.999001 63.604801)(-19.006001 24.999001 71.457001)(-21.981001 32.499001 65.279999)(-16.754900 32.499001 73.882896)(-21.981001 32.499001 65.279999)(-16.089701 39.499001 59.104401)(-12.509500 38.742302 72.966003)(-16.089701 39.499001 59.104401)(-33.829998 32.499001 6.782010)(-26.741701 39.499001 6.782010)(-18.489000 32.499001 -29.129000)(-18.489000 30.801701 -29.129000)(-18.000000 31.176901 -29.359100)(-18.489000 32.499001 -29.129000)(-18.000000 31.176901 -29.359100)(-14.808200 32.499001 -30.861000)(-18.856899 39.499001 -20.372200)(-18.489000 32.499001 -29.129000)(-12.487400 39.499001 -25.009100)(-26.538099 39.499001 -7.008010)(-23.528500 39.499001 -14.169600)(24.784901 39.499001 6.782000)(-27.466700 39.499001 0.698417)(-26.538099 39.499001 -7.008010)(24.784901 39.499001 6.782000)(-23.528500 39.499001 -14.169600)(-18.856899 39.499001 -20.372200)(24.784901 39.499001 6.782000)(-26.741701 39.499001 6.782010)(-27.466700 39.499001 0.698417)(24.784901 39.499001 6.782000)(34.224998 24.999001 -4.324000)(34.224998 32.500000 4.324000)(34.224998 32.500000 -4.324000)(34.224998 24.999001 -1.301630)(34.224998 24.999001 4.324000)(34.224998 32.500000 4.324000)(34.224998 24.999001 -1.301630)(34.224998 32.500000 4.324000)(34.224998 24.999001 -4.324000)(34.224998 32.500000 -4.324000)(25.783001 39.499001 -15.884999)(32.074001 32.500000 -12.700000)(25.783001 39.499001 -15.884999)(19.118801 39.499001 -22.414801)(21.988001 32.499001 -26.582998)(14.808200 32.499001 -31.138500)(21.988001 32.499001 -26.582998)(18.349699 35.564503 -26.268801)(21.988001 32.499001 -26.582998)(19.118801 39.499001 -22.414801)(18.349699 35.564503 -26.268801)(19.118801 39.499001 -22.414801)(14.711400 32.539101 -31.165600)(18.349699 35.564503 -26.268801)(14.711400 32.539101 -31.165600)(14.808200 32.499001 -31.138500)(18.349699 35.564503 -26.268801)(19.118801 39.499001 -22.414801)(11.389199 39.499001 -26.565199)(14.711400 32.539101 -31.165600)(14.711400 32.539101 -31.165600)(11.389199 39.499001 -26.565199)(14.656401 32.561897 -31.174200)(9.317480 34.773300 -31.101700)(13.724000 32.948097 -31.161600)(11.412800 36.286800 -29.183401)(13.724000 32.948097 -31.161600)(14.656401 32.561897 -31.174200)(11.412800 36.286800 -29.183401)(14.656401 32.561897 -31.174200)(11.389199 39.499001 -26.565199)(11.412800 36.286800 -29.183401)(11.389199 39.499001 -26.565199)(8.169250 34.924500 -31.351301)(11.412800 36.286800 -29.183401)(8.169250 34.924500 -31.351301)(9.317480 34.773300 -31.101700)(11.412800 36.286800 -29.183401)(20.329000 24.999001 30.913000)(15.935600 24.999001 33.119701)(28.496500 24.999001 33.119900)(20.329000 24.999001 30.913000)(28.496500 24.999001 33.119900)(26.910000 24.999001 25.390999)(26.910000 24.999001 25.390999)(28.496500 24.999001 33.119900)(31.173300 24.999001 19.664200)(20.719000 24.999001 68.479004)(16.857000 32.499001 74.143997)(20.719000 32.499001 68.479004)(20.719000 32.499001 68.479004)(15.335400 39.499001 63.387794)(22.548000 32.499001 63.022003)(33.824001 32.499001 6.782000)(22.548000 32.499001 63.022003)(15.335400 39.499001 63.387794)(31.173300 24.999001 19.664200)(31.235199 24.999001 19.353001)(32.040001 24.999001 18.500000)(34.224998 24.999001 4.324000)(33.824001 32.499001 6.782000)(34.224998 32.500000 4.324000)(-19.006001 24.999001 71.457001)(-14.343000 24.999001 76.481995)(20.719000 24.999001 68.479004)(-14.343000 24.999001 76.481995)(-19.006001 24.999001 71.457001)(-16.754900 32.499001 73.882896)(-12.509500 38.742302 72.966003)(-16.754900 32.499001 73.882896)(-21.981001 32.499001 65.279999)(-9.767420 39.499001 75.019997)(-12.509500 38.742302 72.966003)(-16.089701 39.499001 59.104401)(-26.741701 39.499001 6.782010)(24.784901 39.499001 6.782000)(-16.089701 39.499001 59.104401)(-12.487400 39.499001 -25.009100)(-18.489000 32.499001 -29.129000)(-14.808200 32.499001 -30.861000)(-12.487400 39.499001 -25.009100)(-13.625999 32.988701 -30.931501)(-11.067600 34.048401 -31.084101)(-12.487400 39.499001 -25.009100)(-14.808200 32.499001 -30.861000)(-13.625999 32.988701 -30.931501)(-18.856899 39.499001 -20.372200)(-12.487400 39.499001 -25.009100)(24.784901 39.499001 6.782000)(34.224998 32.500000 4.324000)(24.784901 39.499001 6.782000)(34.224998 32.500000 -4.324000)(34.224998 32.500000 -4.324000)(24.784901 39.499001 6.782000)(29.601500 36.123001 -4.551500)(24.784901 39.499001 6.782000)(25.783001 39.499001 -15.884999)(29.601500 36.123001 -4.551500)(25.783001 39.499001 -15.884999)(34.224998 32.500000 -4.324000)(29.601500 36.123001 -4.551500)(19.118801 39.499001 -22.414801)(25.783001 39.499001 -15.884999)(24.784901 39.499001 6.782000)(11.389199 39.499001 -26.565199)(19.118801 39.499001 -22.414801)(24.784901 39.499001 6.782000)(8.169250 34.924500 -31.351301)(11.389199 39.499001 -26.565199)(7.277380 37.477600 -29.255100)(11.389199 39.499001 -26.565199)(3.165560 39.499001 -28.323601)(7.277380 37.477600 -29.255100)(3.165560 39.499001 -28.323601)(5.131460 35.324398 -31.642601)(7.277380 37.477600 -29.255100)(5.131460 35.324398 -31.642601)(8.169250 34.924500 -31.351301)(7.277380 37.477600 -29.255100)(20.719000 24.999001 68.479004)(16.857000 24.999001 74.143997)(16.857000 32.499001 74.143997)(13.517100 39.499001 67.939499)(20.719000 32.499001 68.479004)(16.857000 32.499001 74.143997)(13.517100 39.499001 67.939499)(15.335400 39.499001 63.387794)(20.719000 32.499001 68.479004)(15.335400 39.499001 63.387794)(24.784901 39.499001 6.782000)(33.824001 32.499001 6.782000)(33.824001 32.499001 6.782000)(24.784901 39.499001 6.782000)(34.224998 32.500000 4.324000)(-14.343000 24.999001 76.481995)(-8.406000 24.999001 79.910004)(20.719000 24.999001 68.479004)(-14.343000 24.999001 76.481995)(-16.754900 32.499001 73.882896)(-14.343000 32.499001 76.481995)(-14.343000 32.499001 76.481995)(-16.754900 32.499001 73.882896)(-12.509500 38.742302 72.966003)(-9.767420 39.499001 75.019997)(-8.406000 32.499001 79.910004)(-12.509500 38.742302 72.966003)(-9.767420 39.499001 75.019997)(-16.089701 39.499001 59.104401)(-2.639710 39.499001 76.446098)(-16.089701 39.499001 59.104401)(24.784901 39.499001 6.782000)(15.335400 39.499001 63.387794)(-9.317480 34.773300 -30.983900)(-8.756550 34.847198 -31.113400)(-8.732571 37.329300 -28.591700)(-8.756550 34.847198 -31.113400)(-4.977750 39.499001 -27.750401)(-8.732571 37.329300 -28.591700)(-4.977750 39.499001 -27.750401)(-12.487400 39.499001 -25.009100)(-8.732571 37.329300 -28.591700)(-12.487400 39.499001 -25.009100)(-11.067600 34.048401 -31.084101)(-8.732571 37.329300 -28.591700)(-11.067600 34.048401 -31.084101)(-9.317480 34.773300 -30.983900)(-8.732571 37.329300 -28.591700)(-3.394460 35.553101 -31.516802)(-4.977750 39.499001 -27.750401)(-4.547960 35.401199 -31.429998)(-4.547960 35.401199 -31.429998)(-4.977750 39.499001 -27.750401)(-8.756550 34.847198 -31.113400)(-12.487400 39.499001 -25.009100)(-4.977750 39.499001 -27.750401)(24.784901 39.499001 6.782000)(3.165560 39.499001 -28.323601)(11.389199 39.499001 -26.565199)(24.784901 39.499001 6.782000)(5.131460 35.324398 -31.642601)(3.165560 39.499001 -28.323601)(4.799490 35.368099 -31.627499)(4.799490 35.368099 -31.627499)(3.165560 39.499001 -28.323601)(0.453537 35.940300 -31.429001)(0.000001 36.000000 -31.341799)(0.453537 35.940300 -31.429001)(-0.906095 37.641102 -29.757900)(0.453537 35.940300 -31.429001)(3.165560 39.499001 -28.323601)(-0.906095 37.641102 -29.757900)(3.165560 39.499001 -28.323601)(-4.977750 39.499001 -27.750401)(-0.906095 37.641102 -29.757900)(-4.977750 39.499001 -27.750401)(-3.394460 35.553101 -31.516802)(-0.906095 37.641102 -29.757900)(-3.394460 35.553101 -31.516802)(0.000001 36.000000 -31.341799)(-0.906095 37.641102 -29.757900)(16.857000 24.999001 74.143997)(20.719000 24.999001 68.479004)(5.115000 24.999001 80.922997)(11.497001 32.499001 78.418999)(16.857000 32.499001 74.143997)(16.857000 24.999001 74.143997)(16.857000 32.499001 74.143997)(9.525780 39.499001 72.470802)(13.517100 39.499001 67.939499)(-16.089701 39.499001 59.104401)(15.335400 39.499001 63.387794)(13.517100 39.499001 67.939499)(-14.343000 32.499001 76.481995)(-8.406000 24.999001 79.910004)(-14.343000 24.999001 76.481995)(-8.406000 24.999001 79.910004)(-1.722000 24.999001 81.435997)(20.719000 24.999001 68.479004)(-14.343000 32.499001 76.481995)(-12.509500 38.742302 72.966003)(-8.406000 32.499001 79.910004)(-1.722000 32.499001 81.435997)(-8.406000 32.499001 79.910004)(-9.767420 39.499001 75.019997)(-2.639710 39.499001 76.446098)(-1.722000 32.499001 81.435997)(-9.767420 39.499001 75.019997)(-2.639710 39.499001 76.446098)(-16.089701 39.499001 59.104401)(3.973080 39.499001 75.466095)(-4.977750 39.499001 -27.750401)(3.165560 39.499001 -28.323601)(24.784901 39.499001 6.782000)(-1.722000 24.999001 81.435997)(5.115000 24.999001 80.922997)(20.719000 24.999001 68.479004)(11.497001 24.999001 78.418999)(16.857000 24.999001 74.143997)(5.115000 24.999001 80.922997)(16.857000 24.999001 74.143997)(11.497001 24.999001 78.418999)(11.497001 32.499001 78.418999)(11.497001 32.499001 78.418999)(9.525780 39.499001 72.470802)(16.857000 32.499001 74.143997)(-16.089701 39.499001 59.104401)(13.517100 39.499001 67.939499)(9.525780 39.499001 72.470802)(-14.343000 32.499001 76.481995)(-8.406000 32.499001 79.910004)(-8.406000 24.999001 79.910004)(-8.406000 32.499001 79.910004)(-1.722000 24.999001 81.435997)(-8.406000 24.999001 79.910004)(-8.406000 32.499001 79.910004)(-1.722000 32.499001 81.435997)(-1.722000 24.999001 81.435997)(5.115000 32.499001 80.922997)(-1.722000 32.499001 81.435997)(-2.639710 39.499001 76.446098)(3.973080 39.499001 75.466095)(5.115000 32.499001 80.922997)(-2.639710 39.499001 76.446098)(3.973080 39.499001 75.466095)(-16.089701 39.499001 59.104401)(9.525780 39.499001 72.470802)(-1.722000 32.499001 81.435997)(5.115000 24.999001 80.922997)(-1.722000 24.999001 81.435997)(5.115000 32.499001 80.922997)(11.497001 24.999001 78.418999)(5.115000 24.999001 80.922997)(5.115000 32.499001 80.922997)(11.497001 32.499001 78.418999)(11.497001 24.999001 78.418999)(3.973080 39.499001 75.466095)(9.525780 39.499001 72.470802)(11.497001 32.499001 78.418999)(-1.722000 32.499001 81.435997)(5.115000 32.499001 80.922997)(5.115000 24.999001 80.922997)(11.497001 32.499001 78.418999)(5.115000 32.499001 80.922997)(3.973080 39.499001 75.466095)(-26.192900 25.787899 44.486000)(-28.495300 26.257000 33.119202)(-21.981001 24.999001 65.279999)(-26.192900 25.787899 44.486000)(-21.981001 24.999001 65.279999)(-22.320400 24.999001 63.604301)(-28.495300 24.999001 33.119202)(-28.495300 26.257000 33.119202)(-44.748001 26.257000 33.118999)(-15.941800 24.999001 33.119297)(-18.808899 24.999001 33.119297)(-15.941401 -12.200800 33.119801)(-18.808899 24.999001 33.119297)(-21.484301 24.999001 33.119297)(-15.941401 -12.200800 33.119801)(-21.484301 24.999001 33.119297)(-25.909800 24.999001 33.119202)(-15.941401 -12.200800 33.119801)(-25.909800 24.999001 33.119202)(-27.320400 24.999001 33.119202)(-30.344500 -14.000999 33.119701)(-27.320400 24.999001 33.119202)(-27.793299 24.999001 33.119202)(-30.344500 -14.000999 33.119701)(-27.793299 24.999001 33.119202)(-28.495300 24.999001 33.119202)(-30.344500 -14.000999 33.119701)(-44.748001 26.257000 33.118999)(-44.748001 -54.258999 33.119999)(-30.344500 -14.000999 33.119701)(-44.748001 -54.258999 33.119999)(-15.941000 -27.511700 33.119999)(-30.344500 -14.000999 33.119701)(-15.941000 -27.511700 33.119999)(-15.941401 -12.200800 33.119801)(-30.344500 -14.000999 33.119701)(-28.495300 24.999001 33.119202)(-44.748001 26.257000 33.118999)(-30.344500 -14.000999 33.119701)(-15.941401 -12.200800 33.119801)(-25.909800 24.999001 33.119202)(-30.344500 -14.000999 33.119701)(-44.748001 26.257000 33.118999)(-28.495300 26.257000 33.119202)(-26.192900 25.787899 44.486000)(-20.805901 24.999001 63.604301)(-42.830601 24.110001 85.147202)(-22.320400 24.999001 63.604301)(-20.709000 24.999001 63.604301)(-42.830601 24.110001 85.147202)(-20.805901 24.999001 63.604301)(-20.420101 24.999001 63.604401)(-42.830601 24.110001 85.147202)(-20.709000 24.999001 63.604301)(-19.513599 24.999001 63.604401)(-42.830601 24.110001 85.147202)(-20.420101 24.999001 63.604401)(-18.965601 24.999001 63.604401)(-42.830601 24.110001 85.147202)(-19.513599 24.999001 63.604401)(-18.377701 24.999001 63.604401)(-42.830601 24.110001 85.147202)(-18.965601 24.999001 63.604401)(-17.757401 24.999001 63.604401)(-42.830601 24.110001 85.147202)(-18.377701 24.999001 63.604401)(-17.107601 24.999001 63.604401)(-42.830601 24.110001 85.147202)(-17.757401 24.999001 63.604401)(-16.429201 24.999001 63.604401)(-42.830601 24.110001 85.147202)(-17.107601 24.999001 63.604401)(-44.748001 26.257000 33.118999)(-22.320400 24.999001 63.604301)(-42.830601 24.110001 85.147202)(-12.779600 24.999001 63.604401)(-42.830601 24.110001 85.147202)(-16.429201 24.999001 63.604401)(-26.192900 25.787899 44.486000)(-22.320400 24.999001 63.604301)(-44.748001 26.257000 33.118999)(5.015620 24.999001 63.604599)(-42.830601 24.110001 85.147202)(-12.779600 24.999001 63.604401)(40.209202 24.110001 85.179199)(-42.830601 24.110001 85.147202)(5.015620 24.999001 63.604599)(41.967999 26.257000 33.119999)(15.935000 2.085330 33.119999)(15.935000 -2.797950 33.119999)(-15.941000 -27.511700 33.119999)(-44.748001 -54.258999 33.119999)(-15.941000 -40.000999 33.119999)(-15.941000 -40.000999 33.119999)(-44.748001 -54.258999 33.119999)(-12.562000 -40.000999 33.119999)(15.935000 -2.797950 33.119999)(15.935000 -40.000999 33.119999)(41.967999 -54.258999 33.119999)(15.935000 -40.000999 33.119999)(12.158299 -40.000999 33.119999)(41.967999 -54.258999 33.119999)(12.158299 -40.000999 33.119999)(3.651940 -40.000999 33.119999)(41.967999 -54.258999 33.119999)(41.967999 26.257000 33.119999)(15.935000 -2.797950 33.119999)(41.967999 -54.258999 33.119999)(-12.562000 -40.000999 33.119999)(-44.748001 -54.258999 33.119999)(41.967999 -54.258999 33.119999)(-4.509460 -40.000999 33.119999)(-12.562000 -40.000999 33.119999)(41.967999 -54.258999 33.119999)(3.651940 -40.000999 33.119999)(-4.509460 -40.000999 33.119999)(41.967999 -54.258999 33.119999)(-44.748001 26.257000 33.118999)(-42.830601 24.110001 85.147202)(-44.748001 -54.258999 33.119999)(30.029400 24.110001 94.619995)(-42.830601 24.110001 85.147202)(40.209202 24.110001 85.179199)(28.511301 26.257000 33.119801)(41.967999 26.257000 33.119999)(22.600399 25.033800 62.760799)(22.352699 24.999001 63.604801)(22.542299 25.022400 63.038998)(40.209202 24.110001 85.179199)(22.542299 25.022400 63.038998)(22.548000 25.023102 63.022003)(40.209202 24.110001 85.179199)(22.548000 25.023102 63.022003)(22.600399 25.033800 62.760799)(40.209202 24.110001 85.179199)(5.015620 24.999001 63.604599)(19.676899 24.999001 63.604801)(40.209202 24.110001 85.179199)(19.676899 24.999001 63.604801)(22.352699 24.999001 63.604801)(40.209202 24.110001 85.179199)(22.600399 25.033800 62.760799)(41.967999 26.257000 33.119999)(40.209202 24.110001 85.179199)(-44.748001 -54.258999 33.119999)(-42.647598 -52.111000 85.251007)(41.967999 -54.258999 33.119999)(41.967999 -54.258999 33.119999)(40.230000 -52.111000 85.203400)(41.967999 26.257000 33.119999)(41.967999 26.257000 33.119999)(28.511301 26.257000 33.119801)(28.496500 24.999001 33.119900)(28.496500 24.999001 33.119900)(15.935600 24.999001 33.119701)(15.935000 2.085330 33.119999)(41.967999 26.257000 33.119999)(28.496500 24.999001 33.119900)(15.935000 2.085330 33.119999)(-42.647598 -52.111000 85.251007)(-44.748001 -54.258999 33.119999)(-42.830601 24.110001 85.147202)(-33.757103 24.110001 94.618996)(-42.830601 24.110001 85.147202)(30.029400 24.110001 94.619995)(30.029400 24.110001 94.619995)(40.209202 24.110001 85.179199)(30.025501 -52.111000 94.619995)(40.230000 -52.111000 85.203400)(40.209202 24.110001 85.179199)(41.967999 26.257000 33.119999)(-42.647598 -52.111000 85.251007)(40.230000 -52.111000 85.203400)(41.967999 -54.258999 33.119999)(-42.647598 -52.111000 85.251007)(-42.830601 24.110001 85.147202)(-33.757103 24.110001 94.618996)(-33.757103 24.110001 94.618996)(30.029400 24.110001 94.619995)(30.025501 -52.111000 94.619995)(40.230000 -52.111000 85.203400)(30.025501 -52.111000 94.619995)(40.209202 24.110001 85.179199)(-42.647598 -52.111000 85.251007)(-33.713402 -52.111000 94.619995)(40.230000 -52.111000 85.203400)(-33.713402 -52.111000 94.619995)(-42.647598 -52.111000 85.251007)(-33.757103 24.110001 94.618996)(30.025501 -52.111000 94.619995)(-33.713402 -52.111000 94.619995)(-33.757103 24.110001 94.618996)(-33.713402 -52.111000 94.619995)(30.025501 -52.111000 94.619995)(40.230000 -52.111000 85.203400)(-16.608999 -40.000999 -33.063999)(-23.786001 -40.000999 -28.343000)(-8.536010 -40.000999 -36.001999)(-23.786001 -40.000999 -28.343000)(-29.681999 -40.000999 -22.095001)(-8.536010 -40.000999 -36.001999)(-8.536010 -34.876202 -36.002098)(-9.317499 -34.773300 -35.717701)(-8.536010 -40.000999 -36.001999)(-14.121100 -32.783600 -33.969498)(-15.634701 -32.156601 -33.418701)(-12.572500 -36.078800 -34.533100)(-15.634701 -32.156601 -33.418701)(-16.608999 -40.000999 -33.063999)(-12.572500 -36.078800 -34.533100)(-16.608999 -40.000999 -33.063999)(-8.536010 -40.000999 -36.001999)(-12.572500 -36.078800 -34.533100)(-9.317499 -34.773300 -35.717701)(-14.121100 -32.783600 -33.969498)(-12.572500 -36.078800 -34.533100)(-8.536010 -40.000999 -36.001999)(-9.317499 -34.773300 -35.717701)(-12.572500 -36.078800 -34.533100)(-22.435900 -27.773199 -29.231100)(-23.786001 -40.000999 -28.343000)(-20.197500 -33.887100 -30.703501)(-23.786001 -40.000999 -28.343000)(-16.608999 -40.000999 -33.063999)(-20.197500 -33.887100 -30.703501)(-16.608999 -40.000999 -33.063999)(-16.608999 -31.753101 -33.063999)(-20.197500 -33.887100 -30.703501)(-16.608999 -31.753101 -33.063999)(-18.000000 -31.176901 -32.148998)(-20.197500 -33.887100 -30.703501)(-18.000000 -31.176901 -32.148998)(-21.615099 -28.402901 -29.771000)(-20.197500 -33.887100 -30.703501)(-21.615099 -28.402901 -29.771000)(-22.435900 -27.773199 -29.231100)(-20.197500 -33.887100 -30.703501)(-29.681999 -40.000999 -22.095001)(-33.976997 -40.000999 -14.655000)(-8.536010 -40.000999 -36.001999)(-28.055300 -22.068100 -23.818800)(-29.681999 -40.000999 -22.095001)(-26.733999 -31.034599 -25.219002)(-29.681999 -40.000999 -22.095001)(-23.786001 -40.000999 -28.343000)(-26.733999 -31.034599 -25.219002)(-23.786001 -40.000999 -28.343000)(-23.786001 -26.737200 -28.343000)(-26.733999 -31.034599 -25.219002)(-23.786001 -26.737200 -28.343000)(-25.455900 -25.455801 -26.573399)(-26.733999 -31.034599 -25.219002)(-25.455900 -25.455801 -26.573399)(-27.709400 -22.518999 -24.185400)(-26.733999 -31.034599 -25.219002)(-27.709400 -22.518999 -24.185400)(-28.055300 -22.068100 -23.818800)(-26.733999 -31.034599 -25.219002)(-18.000000 -31.176901 -32.148998)(-16.608999 -31.753101 -33.063999)(-18.000000 -31.176901 -61.400002)(-16.608999 -31.753101 -33.063999)(-15.634701 -32.156601 -33.418701)(-18.000000 -31.176901 -61.400002)(-15.634701 -32.156601 -33.418701)(-14.121100 -32.783600 -33.969498)(-18.000000 -31.176901 -61.400002)(-15.634701 -32.156601 -33.418701)(-16.608999 -31.753101 -33.063999)(-16.608999 -40.000999 -33.063999)(-7.874671 -34.963299 -36.079300)(-8.536010 -34.876202 -36.002098)(-8.536010 -40.000999 -36.001999)(-9.317499 -34.773300 -35.717701)(-8.536010 -34.876202 -36.002098)(-9.317499 -34.773300 -61.400002)(-8.536010 -34.876202 -36.002098)(-7.874671 -34.963299 -36.079300)(-9.317499 -34.773300 -61.400002)(-7.874671 -34.963299 -36.079300)(-5.516920 -35.273701 -36.355099)(-9.317499 -34.773300 -61.400002)(-14.121100 -32.783600 -33.969498)(-9.317499 -34.773300 -35.717701)(-13.658700 -32.975101 -47.684799)(-9.317499 -34.773300 -35.717701)(-9.317499 -34.773300 -61.400002)(-13.658700 -32.975101 -47.684799)(-9.317499 -34.773300 -61.400002)(-18.000000 -31.176901 -61.400002)(-13.658700 -32.975101 -47.684799)(-18.000000 -31.176901 -61.400002)(-14.121100 -32.783600 -33.969498)(-13.658700 -32.975101 -47.684799)(-22.435900 -27.773199 -29.231100)(-23.786001 -26.737200 -28.343000)(-23.786001 -40.000999 -28.343000)(-21.727900 -28.316399 -45.585499)(-21.615099 -28.402901 -29.771000)(-18.000000 -31.176901 -32.148998)(-21.727900 -28.316399 -45.585499)(-25.455900 -25.455801 -61.400002)(-21.615099 -28.402901 -29.771000)(-21.727900 -28.316399 -45.585499)(-18.000000 -31.176901 -61.400002)(-25.455900 -25.455801 -61.400002)(-21.727900 -28.316399 -45.585499)(-18.000000 -31.176901 -32.148998)(-18.000000 -31.176901 -61.400002)(-23.786001 -26.737200 -28.343000)(-22.435900 -27.773199 -29.231100)(-25.455900 -25.455801 -61.400002)(-22.435900 -27.773199 -29.231100)(-21.615099 -28.402901 -29.771000)(-25.455900 -25.455801 -61.400002)(-25.455900 -25.455801 -26.573399)(-23.786001 -26.737200 -28.343000)(-25.455900 -25.455801 -61.400002)(-33.976997 -40.000999 -14.655000)(-36.440998 -40.000999 -6.424990)(-8.536010 -40.000999 -36.001999)(-29.681999 -19.948200 -22.095001)(-31.176901 -18.000000 -19.505501)(-31.829498 -27.598900 -18.375000)(-31.176901 -18.000000 -19.505501)(-32.214199 -15.495800 -17.708700)(-31.829498 -27.598900 -18.375000)(-32.214199 -15.495800 -17.708700)(-32.338001 -15.196800 -17.494099)(-31.829498 -27.598900 -18.375000)(-32.338001 -15.196800 -17.494099)(-33.976997 -40.000999 -14.655000)(-31.829498 -27.598900 -18.375000)(-33.976997 -40.000999 -14.655000)(-29.681999 -40.000999 -22.095001)(-31.829498 -27.598900 -18.375000)(-29.681999 -40.000999 -22.095001)(-29.681999 -19.948200 -22.095001)(-31.829498 -27.598900 -18.375000)(-29.681999 -40.000999 -22.095001)(-28.055300 -22.068100 -23.818800)(-29.681999 -19.948200 -22.095001)(-28.316399 -21.727900 -42.792702)(-27.709400 -22.518999 -24.185400)(-25.455900 -25.455801 -26.573399)(-28.316399 -21.727900 -42.792702)(-31.176901 -18.000000 -61.400002)(-27.709400 -22.518999 -24.185400)(-28.316399 -21.727900 -42.792702)(-25.455900 -25.455801 -61.400002)(-31.176901 -18.000000 -61.400002)(-28.316399 -21.727900 -42.792702)(-25.455900 -25.455801 -26.573399)(-25.455900 -25.455801 -61.400002)(-31.176901 -18.000000 -19.505501)(-29.681999 -19.948200 -22.095001)(-29.443100 -20.259499 -40.452702)(-29.681999 -19.948200 -22.095001)(-28.055300 -22.068100 -23.818800)(-29.443100 -20.259499 -40.452702)(-28.055300 -22.068100 -23.818800)(-27.709400 -22.518999 -24.185400)(-29.443100 -20.259499 -40.452702)(-27.709400 -22.518999 -24.185400)(-31.176901 -18.000000 -61.400002)(-29.443100 -20.259499 -40.452702)(-31.176901 -18.000000 -61.400002)(-31.176901 -18.000000 -19.505501)(-29.443100 -20.259499 -40.452702)(-5.516920 -35.273701 -36.355099)(-7.874671 -34.963299 -36.079300)(-4.269510 -37.482101 -36.501003)(-7.874671 -34.963299 -36.079300)(-8.536010 -40.000999 -36.001999)(-4.269510 -37.482101 -36.501003)(-8.536010 -40.000999 -36.001999)(-0.003005 -40.000999 -37.000000)(-4.269510 -37.482101 -36.501003)(-0.003005 -40.000999 -37.000000)(-0.003005 -35.999599 -37.000000)(-4.269510 -37.482101 -36.501003)(-0.003005 -35.999599 -37.000000)(-5.516920 -35.273701 -36.355099)(-4.269510 -37.482101 -36.501003)(-5.516920 -35.273701 -36.355099)(-0.003005 -35.999599 -37.000000)(-4.658760 -35.386700 -48.877602)(-4.658760 -35.386700 -48.877602)(-0.000018 -36.000000 -36.999699)(-0.003005 -35.999599 -37.000000)(-0.000018 -36.000000 -36.999699)(-0.000019 -36.000000 -61.400002)(-4.658760 -35.386700 -48.877602)(-0.000019 -36.000000 -61.400002)(-9.317499 -34.773300 -61.400002)(-4.658760 -35.386700 -48.877602)(-9.317499 -34.773300 -61.400002)(-5.516920 -35.273701 -36.355099)(-4.658760 -35.386700 -48.877602)(-18.000000 -31.176901 -61.400002)(-9.317499 -34.773300 -61.400002)(25.455801 -25.455900 -61.400002)(-25.455900 -25.455801 -61.400002)(-18.000000 -31.176901 -61.400002)(25.455801 -25.455900 -61.400002)(-36.440998 -40.000999 -6.424990)(-36.940998 -40.000999 2.152010)(-8.536010 -40.000999 -36.001999)(-35.165100 -6.341850 -10.686800)(-36.440998 -40.000999 -6.424990)(-35.209000 -23.171400 -10.540000)(-36.440998 -40.000999 -6.424990)(-33.976997 -40.000999 -14.655000)(-35.209000 -23.171400 -10.540000)(-33.976997 -40.000999 -14.655000)(-33.976997 -11.239901 -14.655000)(-35.209000 -23.171400 -10.540000)(-33.976997 -11.239901 -14.655000)(-34.773300 -9.317470 -11.995299)(-35.209000 -23.171400 -10.540000)(-34.773300 -9.317470 -11.995299)(-34.998001 -7.611050 -11.244900)(-35.209000 -23.171400 -10.540000)(-34.998001 -7.611050 -11.244900)(-35.165100 -6.341850 -10.686800)(-35.209000 -23.171400 -10.540000)(-32.214199 -15.495800 -17.708700)(-31.176901 -18.000000 -19.505501)(-32.975101 -13.658700 -39.554302)(-31.176901 -18.000000 -19.505501)(-31.176901 -18.000000 -61.400002)(-32.975101 -13.658700 -39.554302)(-31.176901 -18.000000 -61.400002)(-34.773300 -9.317470 -61.400002)(-32.975101 -13.658700 -39.554302)(-34.773300 -9.317470 -61.400002)(-32.214199 -15.495800 -17.708700)(-32.975101 -13.658700 -39.554302)(-33.493702 -12.406600 -36.697601)(-34.773300 -9.317470 -11.995299)(-33.976997 -11.239901 -14.655000)(-33.493702 -12.406600 -36.697601)(-34.773300 -9.317470 -61.400002)(-34.773300 -9.317470 -11.995299)(-33.493702 -12.406600 -36.697601)(-32.214199 -15.495800 -17.708700)(-34.773300 -9.317470 -61.400002)(-33.493702 -12.406600 -36.697601)(-32.338001 -15.196800 -17.494099)(-32.214199 -15.495800 -17.708700)(-33.493702 -12.406600 -36.697601)(-33.976997 -11.239901 -14.655000)(-32.338001 -15.196800 -17.494099)(-33.976997 -40.000999 -14.655000)(-32.338001 -15.196800 -17.494099)(-33.976997 -11.239901 -14.655000)(-31.176901 -18.000000 -61.400002)(-25.455900 -25.455801 -61.400002)(25.455801 -25.455900 -61.400002)(8.529990 -40.000999 -36.001999)(-0.003005 -40.000999 -37.000000)(-8.536010 -40.000999 -36.001999)(-0.003005 -40.000999 -37.000000)(-0.003005 -35.999599 -37.000000)(-0.000018 -36.000000 -36.999699)(0.531419 -35.930000 -36.937599)(-0.000018 -36.000000 -36.999699)(-0.003005 -40.000999 -37.000000)(0.531419 -35.930000 -36.937599)(3.769640 -35.503700 -36.558800)(-0.000019 -36.000000 -61.400002)(-0.000018 -36.000000 -36.999699)(0.531419 -35.930000 -36.937599)(-0.000019 -36.000000 -61.400002)(-9.317499 -34.773300 -61.400002)(-0.000019 -36.000000 -61.400002)(9.317470 -34.773300 -61.400002)(-9.317499 -34.773300 -61.400002)(18.000000 -31.176901 -61.400002)(25.455801 -25.455900 -61.400002)(-36.940998 -40.000999 2.152010)(-35.448997 -40.000999 10.612000)(-8.536010 -40.000999 -36.001999)(-36.940998 -40.000999 2.152010)(-36.440998 -40.000999 -6.424990)(-36.440998 24.999001 -6.424990)(-36.440998 -40.000999 -6.424990)(-35.165100 -6.341850 -10.686800)(-36.000000 0.000015 -7.897970)(-34.773300 9.317499 -11.995299)(-34.551098 9.853909 -12.737400)(-36.440998 24.999001 -6.424990)(-34.551098 9.853909 -12.737400)(-33.976997 24.999001 -14.655000)(-36.440998 24.999001 -6.424990)(-36.000000 0.000015 -7.897970)(-35.830898 1.284230 -8.462700)(-36.440998 24.999001 -6.424990)(-35.830898 1.284230 -8.462700)(-34.773300 9.317499 -11.995299)(-36.440998 24.999001 -6.424990)(-36.000000 0.000015 -7.897970)(-36.440998 24.999001 -6.424990)(-36.440998 -40.000999 -6.424990)(-35.386700 -4.658730 -36.322399)(-34.998001 -7.611050 -11.244900)(-34.773300 -9.317470 -11.995299)(-35.386700 -4.658730 -36.322399)(-36.000000 0.000015 -61.400002)(-34.998001 -7.611050 -11.244900)(-35.386700 -4.658730 -36.322399)(-34.773300 -9.317470 -61.400002)(-36.000000 0.000015 -61.400002)(-35.386700 -4.658730 -36.322399)(-34.773300 -9.317470 -11.995299)(-34.773300 -9.317470 -61.400002)(-36.000000 0.000015 -61.400002)(-36.000000 0.000015 -7.897970)(-35.165100 -6.341850 -10.686800)(-36.000000 0.000015 -61.400002)(-35.165100 -6.341850 -10.686800)(-34.998001 -7.611050 -11.244900)(-34.773300 -9.317470 -61.400002)(-31.176901 -18.000000 -61.400002)(25.455801 25.455801 -61.400002)(31.176901 -18.000000 -61.400002)(-31.176901 -18.000000 -61.400002)(25.455801 -25.455900 -61.400002)(16.601999 -40.000999 -33.063999)(8.529990 -40.000999 -36.001999)(-8.536010 -40.000999 -36.001999)(3.769640 -35.503700 -36.558800)(0.531419 -35.930000 -36.937599)(4.263500 -37.438999 -36.501003)(0.531419 -35.930000 -36.937599)(-0.003005 -40.000999 -37.000000)(4.263500 -37.438999 -36.501003)(-0.003005 -40.000999 -37.000000)(8.529990 -40.000999 -36.001999)(4.263500 -37.438999 -36.501003)(8.529990 -40.000999 -36.001999)(8.529990 -34.876999 -36.002098)(4.263500 -37.438999 -36.501003)(8.529990 -34.876999 -36.002098)(3.769640 -35.503700 -36.558800)(4.263500 -37.438999 -36.501003)(8.529990 -34.876999 -36.002098)(9.176970 -34.791801 -35.766502)(4.658730 -35.386700 -48.557697)(9.176970 -34.791801 -35.766502)(9.317470 -34.773300 -35.715401)(4.658730 -35.386700 -48.557697)(9.317470 -34.773300 -35.715401)(9.317470 -34.773300 -61.400002)(4.658730 -35.386700 -48.557697)(9.317470 -34.773300 -61.400002)(-0.000019 -36.000000 -61.400002)(4.658730 -35.386700 -48.557697)(-0.000019 -36.000000 -61.400002)(3.769640 -35.503700 -36.558800)(4.658730 -35.386700 -48.557697)(3.769640 -35.503700 -36.558800)(8.529990 -34.876999 -36.002098)(4.658730 -35.386700 -48.557697)(-9.317499 -34.773300 -61.400002)(9.317470 -34.773300 -61.400002)(18.000000 -31.176901 -61.400002)(25.455801 -25.455900 -61.400002)(21.860800 -28.214401 -29.605400)(23.779999 -26.741800 -28.343201)(25.455801 -25.455900 -61.400002)(18.000000 -31.176901 -61.400002)(21.860800 -28.214401 -29.605400)(25.455801 -25.455900 -61.400002)(25.072699 -25.749899 -26.973101)(25.455801 -25.455900 -26.567101)(25.455801 -25.455900 -61.400002)(23.779999 -26.741800 -28.343201)(25.072699 -25.749899 -26.973101)(-35.448997 -40.000999 10.612000)(-32.046001 -40.000999 18.500000)(-8.536010 -40.000999 -36.001999)(-35.448997 -40.000999 10.612000)(-36.940998 -40.000999 2.152010)(-36.940002 24.999001 2.152010)(-36.940998 -40.000999 2.152010)(-36.440998 24.999001 -6.424990)(-36.940002 24.999001 2.152010)(-33.907902 11.406799 -14.774700)(-34.773300 9.317499 -61.400002)(-31.176901 18.000000 -61.400002)(-33.907902 11.406799 -14.774700)(-33.976997 11.239901 -14.655000)(-34.773300 9.317499 -61.400002)(-34.551098 9.853909 -12.737400)(-34.773300 9.317499 -61.400002)(-33.976997 11.239901 -14.655000)(-34.773300 9.317499 -11.995299)(-34.773300 9.317499 -61.400002)(-34.551098 9.853909 -12.737400)(-34.551098 9.853909 -12.737400)(-33.976997 11.239901 -14.655000)(-33.976997 24.999001 -14.655000)(-34.495800 24.999001 0.072432)(-34.503002 24.999001 0.000008)(-36.440998 24.999001 -6.424990)(-33.976997 24.999001 -14.655000)(-33.063999 24.999001 -9.476790)(-34.752499 24.999001 -7.291280)(-33.063999 24.999001 -9.476790)(-33.419003 24.999001 -8.579989)(-34.752499 24.999001 -7.291280)(-33.419003 24.999001 -8.579989)(-34.503002 24.999001 0.000008)(-34.752499 24.999001 -7.291280)(-36.440998 24.999001 -6.424990)(-33.976997 24.999001 -14.655000)(-34.752499 24.999001 -7.291280)(-34.503002 24.999001 0.000008)(-36.440998 24.999001 -6.424990)(-34.752499 24.999001 -7.291280)(-36.000000 0.000015 -61.400002)(-34.773300 9.317499 -61.400002)(-35.830898 1.284230 -8.462700)(-36.000000 0.000015 -61.400002)(-35.830898 1.284230 -8.462700)(-36.000000 0.000015 -7.897970)(-34.773300 9.317499 -61.400002)(-34.773300 9.317499 -11.995299)(-35.830898 1.284230 -8.462700)(-36.000000 0.000015 -61.400002)(-34.773300 -9.317470 -61.400002)(25.455801 25.455801 -61.400002)(25.455801 25.455801 -61.400002)(-31.176901 -18.000000 -61.400002)(31.176901 18.000000 -61.400002)(31.176901 -18.000000 -61.400002)(25.455801 -25.455900 -61.400002)(29.057100 -20.762600 -22.750200)(31.176901 -18.000000 -61.400002)(29.057100 -20.762600 -22.750200)(29.675299 -19.956900 -22.095001)(31.176901 -18.000000 -61.400002)(29.675299 -19.956900 -22.095001)(31.124599 -18.068199 -19.584499)(31.176901 -18.000000 -61.400002)(31.124599 -18.068199 -19.584499)(31.176901 -18.000000 -19.493900)(34.773300 -9.317510 -61.400002)(-31.176901 -18.000000 -61.400002)(31.176901 -18.000000 -61.400002)(23.779999 -40.000999 -28.343000)(16.601999 -40.000999 -33.063999)(-8.536010 -40.000999 -36.001999)(9.317470 -34.773300 -35.715401)(9.176970 -34.791801 -35.766502)(8.529990 -40.000999 -36.001999)(13.146600 -33.187199 -34.321701)(9.317470 -34.773300 -35.715401)(12.566100 -35.878502 -34.533001)(8.529990 -40.000999 -36.001999)(16.601999 -40.000999 -33.063999)(12.566100 -35.878502 -34.533001)(16.601999 -40.000999 -33.063999)(16.602100 -31.755898 -33.063999)(12.566100 -35.878502 -34.533001)(16.602100 -31.755898 -33.063999)(13.146600 -33.187199 -34.321701)(12.566100 -35.878502 -34.533001)(9.317470 -34.773300 -35.715401)(8.529990 -40.000999 -36.001999)(12.566100 -35.878502 -34.533001)(9.176970 -34.791801 -35.766502)(8.529990 -34.876999 -36.002098)(8.529990 -40.000999 -36.001999)(9.317470 -34.773300 -61.400002)(9.317470 -34.773300 -35.715401)(13.146600 -33.187199 -34.321701)(13.146600 -33.187199 -34.321701)(16.602100 -31.755898 -33.063999)(13.658700 -32.975101 -46.772301)(16.602100 -31.755898 -33.063999)(17.556099 -31.360701 -32.436604)(13.658700 -32.975101 -46.772301)(17.556099 -31.360701 -32.436604)(18.000000 -31.176901 -32.144699)(13.658700 -32.975101 -46.772301)(18.000000 -31.176901 -32.144699)(18.000000 -31.176901 -61.400002)(13.658700 -32.975101 -46.772301)(18.000000 -31.176901 -61.400002)(9.317470 -34.773300 -61.400002)(13.658700 -32.975101 -46.772301)(9.317470 -34.773300 -61.400002)(13.146600 -33.187199 -34.321701)(13.658700 -32.975101 -46.772301)(18.000000 -31.176901 -32.144699)(17.556099 -31.360701 -32.436604)(20.191000 -33.371399 -30.703600)(17.556099 -31.360701 -32.436604)(16.601999 -40.000999 -33.063999)(20.191000 -33.371399 -30.703600)(16.601999 -40.000999 -33.063999)(23.779999 -40.000999 -28.343000)(20.191000 -33.371399 -30.703600)(23.779999 -40.000999 -28.343000)(23.779999 -26.741800 -28.343201)(20.191000 -33.371399 -30.703600)(23.779999 -26.741800 -28.343201)(21.860800 -28.214401 -29.605400)(20.191000 -33.371399 -30.703600)(21.860800 -28.214401 -29.605400)(18.000000 -31.176901 -32.144699)(20.191000 -33.371399 -30.703600)(18.000000 -31.176901 -32.144699)(21.860800 -28.214401 -29.605400)(18.000000 -31.176901 -61.400002)(25.455801 -25.455900 -26.567101)(29.057100 -20.762600 -22.750200)(25.455801 -25.455900 -61.400002)(25.072699 -25.749899 -26.973101)(23.779999 -40.000999 -28.343000)(26.727701 -29.979000 -25.219002)(23.779999 -40.000999 -28.343000)(29.674999 -40.000999 -22.095001)(26.727701 -29.979000 -25.219002)(29.674999 -40.000999 -22.095001)(29.675299 -19.956900 -22.095001)(26.727701 -29.979000 -25.219002)(29.675299 -19.956900 -22.095001)(29.057100 -20.762600 -22.750200)(26.727701 -29.979000 -25.219002)(29.057100 -20.762600 -22.750200)(25.455801 -25.455900 -26.567101)(26.727701 -29.979000 -25.219002)(25.455801 -25.455900 -26.567101)(25.072699 -25.749899 -26.973101)(26.727701 -29.979000 -25.219002)(23.779999 -40.000999 -28.343000)(25.072699 -25.749899 -26.973101)(23.779999 -26.741800 -28.343201)(-32.046001 -40.000999 18.500000)(-26.915998 -40.000999 25.390999)(-8.536010 -40.000999 -36.001999)(-35.448997 24.999001 10.612000)(-32.046001 -40.000999 18.500000)(-35.448997 -40.000999 10.612000)(-35.448997 -40.000999 10.612000)(-36.940002 24.999001 2.152010)(-35.448997 24.999001 10.612000)(-36.940002 24.999001 2.152010)(-36.440998 24.999001 -6.424990)(-34.495800 24.999001 0.072432)(-36.940002 24.999001 2.152010)(-34.495800 24.999001 0.072432)(-33.829998 24.999001 6.782010)(-36.940002 24.999001 2.152010)(-33.829998 24.999001 6.782010)(-32.844700 24.999001 11.646200)(-33.976997 11.239901 -14.655000)(-33.907902 11.406799 -14.774700)(-33.976997 24.999001 -14.655000)(-30.047201 19.472300 -21.462400)(-29.681999 24.999001 -22.095001)(-31.829498 18.119499 -18.375000)(-29.681999 24.999001 -22.095001)(-33.976997 24.999001 -14.655000)(-31.829498 18.119499 -18.375000)(-33.907902 11.406799 -14.774700)(-31.176901 18.000000 -19.505501)(-31.829498 18.119499 -18.375000)(-31.176901 18.000000 -19.505501)(-30.047201 19.472300 -21.462400)(-31.829498 18.119499 -18.375000)(-33.976997 24.999001 -14.655000)(-33.907902 11.406799 -14.774700)(-31.829498 18.119499 -18.375000)(-31.176901 18.000000 -61.400002)(-31.176901 18.000000 -19.505501)(-33.907902 11.406799 -14.774700)(-31.176901 18.000000 -61.400002)(-34.773300 9.317499 -61.400002)(25.455801 25.455801 -61.400002)(-29.681999 24.999001 -22.095001)(-29.427900 24.999001 -17.732199)(-31.702400 24.999001 -15.785901)(-29.427900 24.999001 -17.732199)(-30.236000 24.999001 -16.620001)(-31.702400 24.999001 -15.785901)(-30.236000 24.999001 -16.620001)(-33.063999 24.999001 -9.476790)(-31.702400 24.999001 -15.785901)(-33.063999 24.999001 -9.476790)(-33.976997 24.999001 -14.655000)(-31.702400 24.999001 -15.785901)(-33.976997 24.999001 -14.655000)(-29.681999 24.999001 -22.095001)(-31.702400 24.999001 -15.785901)(-34.495800 24.999001 0.072432)(-34.503002 24.999001 0.000008)(-34.503002 32.499001 0.000008)(-34.773300 9.317499 -61.400002)(-36.000000 0.000015 -61.400002)(25.455801 25.455801 -61.400002)(31.176901 18.000000 -61.400002)(-31.176901 -18.000000 -61.400002)(34.773300 9.317491 -61.400002)(25.806301 24.999001 -26.196400)(25.806301 24.999001 -22.516399)(25.455801 25.455801 -22.889700)(25.806301 24.999001 -26.196400)(25.455801 25.455801 -22.889700)(25.455801 25.455801 -61.400002)(27.708801 22.519600 -24.179899)(25.806301 24.999001 -26.196400)(28.316399 21.727900 -41.958202)(25.455801 25.455801 -61.400002)(31.176901 18.000000 -61.400002)(28.316399 21.727900 -41.958202)(31.176901 18.000000 -61.400002)(27.708801 22.519600 -24.179899)(28.316399 21.727900 -41.958202)(25.806301 24.999001 -26.196400)(25.455801 25.455801 -61.400002)(28.316399 21.727900 -41.958202)(29.674999 -40.000999 -22.095001)(31.124599 -18.068199 -19.584499)(29.675299 -19.956900 -22.095001)(33.971001 -11.254400 -14.655000)(33.908604 -11.405100 -14.763100)(31.823002 -25.627701 -18.375000)(33.908604 -11.405100 -14.763100)(31.176901 -18.000000 -19.493900)(31.823002 -25.627701 -18.375000)(31.176901 -18.000000 -19.493900)(31.124599 -18.068199 -19.584499)(31.823002 -25.627701 -18.375000)(31.124599 -18.068199 -19.584499)(29.674999 -40.000999 -22.095001)(31.823002 -25.627701 -18.375000)(29.674999 -40.000999 -22.095001)(33.971001 -40.000999 -14.655000)(31.823002 -25.627701 -18.375000)(33.971001 -40.000999 -14.655000)(33.971001 -11.254400 -14.655000)(31.823002 -25.627701 -18.375000)(31.176901 -18.000000 -61.400002)(31.176901 -18.000000 -19.493900)(33.908604 -11.405100 -14.763100)(34.773300 -9.317510 -61.400002)(31.176901 -18.000000 -61.400002)(33.908604 -11.405100 -14.763100)(34.773300 -9.317510 -61.400002)(33.908604 -11.405100 -14.763100)(33.971001 -11.254400 -14.655000)(34.773300 -9.317510 -61.400002)(33.971001 -11.254400 -14.655000)(34.773300 -9.317510 -11.975200)(36.000000 0.000000 -61.400002)(-31.176901 -18.000000 -61.400002)(34.773300 -9.317510 -61.400002)(-8.536010 -40.000999 -36.001999)(29.674999 -40.000999 -22.095001)(23.779999 -40.000999 -28.343000)(17.556099 -31.360701 -32.436604)(16.602100 -31.755898 -33.063999)(16.601999 -40.000999 -33.063999)(-26.915998 -40.000999 25.390999)(-20.334999 -40.000999 30.913000)(-8.536010 -40.000999 -36.001999)(-26.915998 -40.000999 25.390999)(-32.046001 -40.000999 18.500000)(-32.046001 24.999001 18.500000)(-32.046001 -40.000999 18.500000)(-35.448997 24.999001 10.612000)(-32.046001 24.999001 18.500000)(-35.448997 24.999001 10.612000)(-36.940002 24.999001 2.152010)(-32.844700 24.999001 11.646200)(-35.448997 24.999001 10.612000)(-32.844700 24.999001 11.646200)(-31.760099 24.999001 17.001200)(-30.047201 19.472300 -21.462400)(-29.681999 19.948200 -22.095001)(-29.681999 24.999001 -22.095001)(-31.176901 18.000000 -61.400002)(-25.455801 25.455900 -61.400002)(-29.056400 20.763500 -22.757999)(-31.176901 18.000000 -61.400002)(-29.056400 20.763500 -22.757999)(-29.681999 19.948200 -22.095001)(-31.176901 18.000000 -61.400002)(-29.681999 19.948200 -22.095001)(-30.047201 19.472300 -21.462400)(-31.176901 18.000000 -61.400002)(-30.047201 19.472300 -21.462400)(-31.176901 18.000000 -19.505501)(-25.455801 25.455900 -61.400002)(-31.176901 18.000000 -61.400002)(25.455801 25.455801 -61.400002)(-25.806400 24.999001 -26.202002)(-25.806400 24.999001 -22.716400)(-27.744200 24.999001 -21.967100)(-25.806400 24.999001 -22.716400)(-29.427900 24.999001 -17.732199)(-27.744200 24.999001 -21.967100)(-29.427900 24.999001 -17.732199)(-29.681999 24.999001 -22.095001)(-27.744200 24.999001 -21.967100)(-29.681999 24.999001 -22.095001)(-25.806400 24.999001 -26.202002)(-27.744200 24.999001 -21.967100)(34.773300 9.317491 -61.400002)(-31.176901 -18.000000 -61.400002)(36.000000 0.000000 -61.400002)(32.213600 15.497200 -17.698999)(31.176901 18.000000 -19.494900)(32.975101 13.658700 -39.549500)(31.176901 18.000000 -19.494900)(31.176901 18.000000 -61.400002)(32.975101 13.658700 -39.549500)(31.176901 18.000000 -61.400002)(34.773300 9.317491 -61.400002)(32.975101 13.658700 -39.549500)(34.773300 9.317491 -61.400002)(32.213600 15.497200 -17.698999)(32.975101 13.658700 -39.549500)(27.708801 22.519600 -24.179899)(29.266899 20.489100 -22.528500)(27.741100 22.744101 -24.145700)(29.266899 20.489100 -22.528500)(29.676001 24.999001 -22.095001)(27.741100 22.744101 -24.145700)(29.676001 24.999001 -22.095001)(25.806301 24.999001 -26.196400)(27.741100 22.744101 -24.145700)(25.806301 24.999001 -26.196400)(27.708801 22.519600 -24.179899)(27.741100 22.744101 -24.145700)(27.907999 24.999001 -20.278000)(29.676001 24.999001 -22.095001)(29.004000 24.999001 -18.284300)(25.806301 24.999001 -26.196400)(29.676001 24.999001 -22.095001)(27.741199 24.999001 -22.240299)(27.907999 24.999001 -20.278000)(25.806301 24.999001 -22.516399)(27.741199 24.999001 -22.240299)(25.806301 24.999001 -22.516399)(25.806301 24.999001 -26.196400)(27.741199 24.999001 -22.240299)(29.676001 24.999001 -22.095001)(27.907999 24.999001 -20.278000)(27.741199 24.999001 -22.240299)(25.806301 24.999001 -22.516399)(27.907999 24.999001 -20.278000)(25.455801 25.455801 -22.889700)(25.455801 25.455801 -22.889700)(23.520500 26.940800 -24.950800)(23.369101 27.056999 -42.144802)(23.520500 26.940800 -24.950800)(21.988001 28.116800 -26.582998)(23.369101 27.056999 -42.144802)(21.988001 28.116800 -26.582998)(21.282301 28.658199 -27.030701)(23.369101 27.056999 -42.144802)(21.282301 28.658199 -27.030701)(25.455801 25.455801 -61.400002)(23.369101 27.056999 -42.144802)(25.455801 25.455801 -61.400002)(25.455801 25.455801 -22.889700)(23.369101 27.056999 -42.144802)(29.266899 20.489100 -22.528500)(27.708801 22.519600 -24.179899)(31.176901 18.000000 -61.400002)(29.675900 19.956100 -22.095001)(29.266899 20.489100 -22.528500)(31.176901 18.000000 -61.400002)(31.176901 18.000000 -19.494900)(29.675900 19.956100 -22.095001)(31.176901 18.000000 -61.400002)(-8.536010 -40.000999 -36.001999)(33.971001 -40.000999 -14.655000)(29.674999 -40.000999 -22.095001)(33.971001 -40.000999 -14.655000)(34.773300 -9.317510 -11.975200)(33.971001 -11.254400 -14.655000)(34.773300 -9.317510 -11.975200)(33.971001 -40.000999 -14.655000)(35.279999 -5.468450 -10.282600)(34.773300 -9.317510 -61.400002)(34.773300 -9.317510 -11.975200)(35.279999 -5.468450 -10.282600)(34.773300 -9.317510 -61.400002)(35.279999 -5.468450 -10.282600)(35.831398 -1.280970 -8.441239)(36.000000 0.000000 -61.400002)(34.773300 -9.317510 -61.400002)(35.831398 -1.280970 -8.441239)(36.000000 0.000000 -61.400002)(35.831398 -1.280970 -8.441239)(36.000000 0.000000 -7.877950)(-20.334999 -40.000999 30.913000)(-15.941000 -40.000999 33.119999)(-12.562000 -40.000999 33.119999)(-20.334999 -40.000999 30.913000)(-12.562000 -40.000999 33.119999)(-8.536010 -40.000999 -36.001999)(-26.915998 24.999001 25.390999)(-20.334999 -40.000999 30.913000)(-26.915998 -40.000999 25.390999)(-26.915998 -40.000999 25.390999)(-32.046001 24.999001 18.500000)(-31.236099 24.999001 19.587900)(-26.915998 -40.000999 25.390999)(-31.236099 24.999001 19.587900)(-30.743000 24.999001 20.250401)(-26.915998 -40.000999 25.390999)(-30.743000 24.999001 20.250401)(-29.851601 24.999001 21.447699)(-26.915998 -40.000999 25.390999)(-29.851601 24.999001 21.447699)(-27.424500 24.999001 24.707901)(-26.915998 -40.000999 25.390999)(-27.424500 24.999001 24.707901)(-26.915998 24.999001 25.390999)(-35.448997 24.999001 10.612000)(-31.760099 24.999001 17.001200)(-32.046001 24.999001 18.500000)(-32.046001 24.999001 18.500000)(-31.760099 24.999001 17.001200)(-31.236099 24.999001 19.587900)(-29.056400 20.763500 -22.757999)(-25.806400 24.999001 -26.202002)(-29.681999 24.999001 -22.095001)(-29.681999 19.948200 -22.095001)(-29.056400 20.763500 -22.757999)(-29.681999 24.999001 -22.095001)(-25.806400 24.999001 -26.202002)(-29.056400 20.763500 -22.757999)(-25.455801 25.455900 -61.400002)(-25.455801 25.455900 -23.198900)(-25.806400 24.999001 -22.716400)(-25.806400 24.999001 -26.202002)(-25.455801 25.455900 -61.400002)(-25.455801 25.455900 -23.198900)(-25.806400 24.999001 -26.202002)(-18.000000 31.176901 -61.400002)(-25.455801 25.455900 -61.400002)(25.455801 25.455801 -61.400002)(-25.455801 25.455900 -61.400002)(-22.301701 27.876099 -25.975000)(-23.226200 27.166700 -25.210100)(-25.455801 25.455900 -61.400002)(-18.000000 31.176901 -61.400002)(-22.301701 27.876099 -25.975000)(-25.455801 25.455900 -61.400002)(-25.152000 25.689001 -23.616999)(-25.455801 25.455900 -23.198900)(-25.455801 25.455900 -61.400002)(-23.226200 27.166700 -25.210100)(-25.152000 25.689001 -23.616999)(34.997601 7.613920 -11.226100)(34.773300 9.317491 -11.975200)(35.386700 4.658750 -36.313103)(34.773300 9.317491 -11.975200)(34.773300 9.317491 -61.400002)(35.386700 4.658750 -36.313103)(34.773300 9.317491 -61.400002)(36.000000 0.000000 -61.400002)(35.386700 4.658750 -36.313103)(36.000000 0.000000 -61.400002)(34.997601 7.613920 -11.226100)(35.386700 4.658750 -36.313103)(32.213600 15.497200 -17.698999)(33.187603 13.145700 -16.011700)(33.971001 24.999001 -14.655000)(29.675900 19.956100 -22.095001)(31.176901 18.000000 -19.494900)(31.823400 19.072401 -18.375000)(31.176901 18.000000 -19.494900)(32.213600 15.497200 -17.698999)(31.823400 19.072401 -18.375000)(33.971001 24.999001 -14.655000)(29.676001 24.999001 -22.095001)(31.823400 19.072401 -18.375000)(29.676001 24.999001 -22.095001)(29.675900 19.956100 -22.095001)(31.823400 19.072401 -18.375000)(32.213600 15.497200 -17.698999)(33.971001 24.999001 -14.655000)(31.823400 19.072401 -18.375000)(33.971001 11.254400 -14.655000)(34.773300 9.317491 -61.400002)(34.773300 9.317491 -11.975200)(34.773300 9.317491 -61.400002)(33.971001 11.254400 -14.655000)(33.187603 13.145700 -16.011700)(34.773300 9.317491 -61.400002)(33.187603 13.145700 -16.011700)(32.213600 15.497200 -17.698999)(29.266899 20.489100 -22.528500)(29.675900 19.956100 -22.095001)(29.676001 24.999001 -22.095001)(32.074001 24.999001 -12.700000)(33.971001 24.999001 -14.655000)(32.679699 24.999001 -10.341599)(32.074001 24.999001 -12.700000)(29.004000 24.999001 -18.284300)(31.487499 24.999001 -16.218302)(29.004000 24.999001 -18.284300)(29.676001 24.999001 -22.095001)(31.487499 24.999001 -16.218302)(29.676001 24.999001 -22.095001)(33.971001 24.999001 -14.655000)(31.487499 24.999001 -16.218302)(33.971001 24.999001 -14.655000)(32.074001 24.999001 -12.700000)(31.487499 24.999001 -16.218302)(21.282301 28.658199 -27.030701)(19.545900 29.990700 -28.132500)(21.727900 28.316399 -44.215401)(19.545900 29.990700 -28.132500)(18.000000 31.176901 -29.113300)(21.727900 28.316399 -44.215401)(18.000000 31.176901 -29.113300)(18.000000 31.176901 -61.400002)(21.727900 28.316399 -44.215401)(18.000000 31.176901 -61.400002)(25.455801 25.455801 -61.400002)(21.727900 28.316399 -44.215401)(25.455801 25.455801 -61.400002)(21.282301 28.658199 -27.030701)(21.727900 28.316399 -44.215401)(-8.536010 -40.000999 -36.001999)(36.435001 -40.000999 -6.425000)(33.971001 -40.000999 -14.655000)(33.971001 -40.000999 -14.655000)(36.435001 -40.000999 -6.425000)(35.279999 -5.468450 -10.282600)(35.279999 -5.468450 -10.282600)(36.435001 -40.000999 -6.425000)(35.831398 -1.280970 -8.441239)(35.831398 -1.280970 -8.441239)(36.435001 -40.000999 -6.425000)(36.000000 0.000000 -7.877950)(35.602001 3.023370 -9.207450)(36.000000 0.000000 -7.877950)(36.435001 24.999001 -6.425000)(36.000000 0.000000 -7.877950)(36.435001 -40.000999 -6.425000)(36.435001 24.999001 -6.425000)(36.000000 0.000000 -61.400002)(36.000000 0.000000 -7.877950)(35.602001 3.023370 -9.207450)(36.000000 0.000000 -61.400002)(35.602001 3.023370 -9.207450)(34.997601 7.613920 -11.226100)(-12.562000 -40.000999 33.119999)(-4.509460 -40.000999 33.119999)(-8.536010 -40.000999 -36.001999)(-15.941000 -27.511700 33.119999)(-15.941000 -40.000999 33.119999)(-20.334999 -40.000999 30.913000)(-15.941401 -12.200800 33.119801)(-15.941000 -27.511700 33.119999)(-20.334999 -40.000999 30.913000)(-15.941401 -12.200800 33.119801)(-20.334999 -40.000999 30.913000)(-20.334999 24.999001 30.913000)(-26.915998 24.999001 25.390999)(-21.701000 24.999001 29.766800)(-20.334999 -40.000999 30.913000)(-21.701000 24.999001 29.766800)(-20.334999 24.999001 30.913000)(-20.334999 -40.000999 30.913000)(-20.334999 24.999001 30.913000)(-18.801600 24.999001 31.683098)(-15.941401 -12.200800 33.119801)(-18.801600 24.999001 31.683098)(-15.941800 24.999001 33.119297)(-15.941401 -12.200800 33.119801)(-9.317480 34.773300 -61.400002)(-18.000000 31.176901 -61.400002)(25.455801 25.455801 -61.400002)(-18.000000 31.176901 -29.359100)(-18.489000 30.801701 -29.129000)(-18.000000 31.176901 -61.400002)(-18.489000 30.801701 -29.129000)(-22.301701 27.876099 -25.975000)(-18.000000 31.176901 -61.400002)(34.773300 9.317491 -11.975200)(34.997601 7.613920 -11.226100)(35.202999 14.011200 -10.540000)(34.997601 7.613920 -11.226100)(35.602001 3.023370 -9.207450)(35.202999 14.011200 -10.540000)(35.602001 3.023370 -9.207450)(36.435001 24.999001 -6.425000)(35.202999 14.011200 -10.540000)(36.435001 24.999001 -6.425000)(33.971001 24.999001 -14.655000)(35.202999 14.011200 -10.540000)(33.971001 24.999001 -14.655000)(33.971001 11.254400 -14.655000)(35.202999 14.011200 -10.540000)(33.971001 11.254400 -14.655000)(34.773300 9.317491 -11.975200)(35.202999 14.011200 -10.540000)(33.187603 13.145700 -16.011700)(33.971001 11.254400 -14.655000)(33.971001 24.999001 -14.655000)(34.224998 24.999001 -4.324000)(36.435001 24.999001 -6.425000)(34.224998 24.999001 -1.301630)(34.224998 24.999001 -4.324000)(32.679699 24.999001 -10.341599)(34.557301 24.999001 -7.978310)(32.679699 24.999001 -10.341599)(33.971001 24.999001 -14.655000)(34.557301 24.999001 -7.978310)(33.971001 24.999001 -14.655000)(36.435001 24.999001 -6.425000)(34.557301 24.999001 -7.978310)(36.435001 24.999001 -6.425000)(34.224998 24.999001 -4.324000)(34.557301 24.999001 -7.978310)(18.000000 31.176901 -29.113300)(14.808200 32.499001 -31.138500)(18.000000 31.176901 -61.400002)(14.808200 32.499001 -31.138500)(14.711400 32.539101 -31.165600)(18.000000 31.176901 -61.400002)(14.711400 32.539101 -31.165600)(14.656401 32.561897 -31.174200)(18.000000 31.176901 -61.400002)(14.656401 32.561897 -31.174200)(13.724000 32.948097 -31.161600)(18.000000 31.176901 -61.400002)(18.000000 31.176901 -61.400002)(9.317480 34.773300 -61.400002)(25.455801 25.455801 -61.400002)(-8.536010 -40.000999 -36.001999)(36.933998 -40.000999 2.152000)(36.435001 -40.000999 -6.425000)(36.435001 -40.000999 -6.425000)(36.935001 24.999001 2.151000)(36.435001 24.999001 -6.425000)(-4.509460 -40.000999 33.119999)(3.651940 -40.000999 33.119999)(-8.536010 -40.000999 -36.001999)(15.935600 24.999001 33.119701)(20.329000 24.999001 30.913000)(15.935000 2.085330 33.119999)(20.329000 24.999001 30.913000)(20.329000 -40.000999 30.913000)(18.132000 -7.501000 32.016502)(20.329000 -40.000999 30.913000)(15.935000 -2.797950 33.119999)(18.132000 -7.501000 32.016502)(15.935000 -2.797950 33.119999)(15.935000 2.085330 33.119999)(18.132000 -7.501000 32.016502)(15.935000 2.085330 33.119999)(20.329000 24.999001 30.913000)(18.132000 -7.501000 32.016502)(15.935000 -2.797950 33.119999)(20.329000 -40.000999 30.913000)(15.935000 -40.000999 33.119999)(12.158299 -40.000999 33.119999)(15.935000 -40.000999 33.119999)(20.329000 -40.000999 30.913000)(12.158299 -40.000999 33.119999)(20.329000 -40.000999 30.913000)(-8.536010 -40.000999 -36.001999)(3.651940 -40.000999 33.119999)(12.158299 -40.000999 33.119999)(-8.536010 -40.000999 -36.001999)(0.000000 36.000000 -61.400002)(-9.317480 34.773300 -61.400002)(25.455801 25.455801 -61.400002)(-14.808200 32.499001 -30.861000)(-18.000000 31.176901 -29.359100)(-13.658700 32.975101 -45.379501)(-18.000000 31.176901 -29.359100)(-18.000000 31.176901 -61.400002)(-13.658700 32.975101 -45.379501)(-18.000000 31.176901 -61.400002)(-9.317480 34.773300 -61.400002)(-13.658700 32.975101 -45.379501)(-9.317480 34.773300 -61.400002)(-13.625999 32.988701 -30.931501)(-13.658700 32.975101 -45.379501)(-13.625999 32.988701 -30.931501)(-14.808200 32.499001 -30.861000)(-13.658700 32.975101 -45.379501)(34.224998 24.999001 -1.301630)(36.435001 24.999001 -6.425000)(36.935001 24.999001 2.151000)(34.224998 24.999001 4.324000)(36.935001 24.999001 2.151000)(33.459900 24.999001 8.169940)(34.224998 24.999001 4.324000)(34.224998 24.999001 -1.301630)(35.197498 24.999001 0.872471)(34.224998 24.999001 -1.301630)(36.935001 24.999001 2.151000)(35.197498 24.999001 0.872471)(36.935001 24.999001 2.151000)(34.224998 24.999001 4.324000)(35.197498 24.999001 0.872471)(13.724000 32.948097 -31.161600)(9.317480 34.773300 -31.101700)(13.658700 32.975101 -46.250900)(9.317480 34.773300 -31.101700)(9.317480 34.773300 -61.400002)(13.658700 32.975101 -46.250900)(9.317480 34.773300 -61.400002)(18.000000 31.176901 -61.400002)(13.658700 32.975101 -46.250900)(18.000000 31.176901 -61.400002)(13.724000 32.948097 -31.161600)(13.658700 32.975101 -46.250900)(9.317480 34.773300 -61.400002)(0.000000 36.000000 -61.400002)(25.455801 25.455801 -61.400002)(-8.536010 -40.000999 -36.001999)(35.443001 -40.000999 10.612000)(36.933998 -40.000999 2.152000)(36.435001 -40.000999 -6.425000)(36.933998 -40.000999 2.152000)(36.935001 24.999001 2.151000)(20.329000 24.999001 30.913000)(26.910000 -40.000999 25.390999)(20.329000 -40.000999 30.913000)(20.329000 -40.000999 30.913000)(26.910000 -40.000999 25.390999)(-8.536010 -40.000999 -36.001999)(32.073799 24.999001 15.137400)(32.040001 24.999001 18.500000)(31.235199 24.999001 19.353001)(32.040001 24.999001 18.500000)(32.073799 24.999001 15.137400)(35.443001 24.999001 10.612000)(33.459900 24.999001 8.169940)(35.443001 24.999001 10.612000)(32.073799 24.999001 15.137400)(33.459900 24.999001 8.169940)(36.935001 24.999001 2.151000)(34.504398 24.999001 8.644210)(36.935001 24.999001 2.151000)(35.443001 24.999001 10.612000)(34.504398 24.999001 8.644210)(35.443001 24.999001 10.612000)(33.459900 24.999001 8.169940)(34.504398 24.999001 8.644210)(-8.756550 34.847198 -31.113400)(-9.317480 34.773300 -30.983900)(-4.658740 35.386700 -46.192001)(-9.317480 34.773300 -30.983900)(-9.317480 34.773300 -61.400002)(-4.658740 35.386700 -46.192001)(-9.317480 34.773300 -61.400002)(0.000000 36.000000 -61.400002)(-4.658740 35.386700 -46.192001)(0.000000 36.000000 -61.400002)(-4.547960 35.401199 -31.429998)(-4.658740 35.386700 -46.192001)(-4.547960 35.401199 -31.429998)(-8.756550 34.847198 -31.113400)(-4.658740 35.386700 -46.192001)(-9.317480 34.773300 -30.983900)(-11.067600 34.048401 -31.084101)(-9.317480 34.773300 -61.400002)(-11.067600 34.048401 -31.084101)(-13.625999 32.988701 -30.931501)(-9.317480 34.773300 -61.400002)(5.131460 35.324398 -31.642601)(4.799490 35.368099 -31.627499)(9.317480 34.773300 -61.400002)(9.317480 34.773300 -31.101700)(8.169250 34.924500 -31.351301)(9.317480 34.773300 -61.400002)(8.169250 34.924500 -31.351301)(5.131460 35.324398 -31.642601)(9.317480 34.773300 -61.400002)(0.453537 35.940300 -31.429001)(0.000001 36.000000 -31.341799)(4.658740 35.386700 -46.370903)(0.000001 36.000000 -31.341799)(0.000000 36.000000 -61.400002)(4.658740 35.386700 -46.370903)(0.000000 36.000000 -61.400002)(9.317480 34.773300 -61.400002)(4.658740 35.386700 -46.370903)(9.317480 34.773300 -61.400002)(4.799490 35.368099 -31.627499)(4.658740 35.386700 -46.370903)(4.799490 35.368099 -31.627499)(0.453537 35.940300 -31.429001)(4.658740 35.386700 -46.370903)(32.040001 -40.000999 18.500000)(35.443001 -40.000999 10.612000)(-8.536010 -40.000999 -36.001999)(36.933998 -40.000999 2.152000)(35.443001 -40.000999 10.612000)(35.443001 24.999001 10.612000)(35.443001 24.999001 10.612000)(36.935001 24.999001 2.151000)(36.933998 -40.000999 2.152000)(32.040001 -40.000999 18.500000)(26.910000 24.999001 25.390999)(31.173300 24.999001 19.664200)(32.040001 -40.000999 18.500000)(31.173300 24.999001 19.664200)(32.040001 24.999001 18.500000)(20.329000 24.999001 30.913000)(26.910000 24.999001 25.390999)(26.910000 -40.000999 25.390999)(26.910000 -40.000999 25.390999)(32.040001 -40.000999 18.500000)(-8.536010 -40.000999 -36.001999)(35.443001 -40.000999 10.612000)(32.040001 24.999001 18.500000)(35.443001 24.999001 10.612000)(-3.394460 35.553101 -31.516802)(-4.547960 35.401199 -31.429998)(0.000000 36.000000 -61.400002)(0.000001 36.000000 -31.341799)(-3.394460 35.553101 -31.516802)(0.000000 36.000000 -61.400002)(35.443001 -40.000999 10.612000)(32.040001 -40.000999 18.500000)(32.040001 24.999001 18.500000)(32.040001 -40.000999 18.500000)(26.910000 -40.000999 25.390999)(26.910000 24.999001 25.390999)))
           )
           )))
    (send glvertices :calc-normals)
    (send self :assoc glvertices)
    glvertices)
  (:qhull-faceset ()
   ;; qhull 2070 -> 29 faces
   (instance faceset :init :faces (list
    (instance face :init :vertices (list (float-vector 41.967999 -54.258998 33.119999) (float-vector -0.000019 -35.999998 -61.400000) (float-vector -44.748001 -54.258998 33.119999)))
    (instance face :init :vertices (list (float-vector -0.000019 -35.999998 -61.400000) (float-vector -17.999999 -31.176900 -61.400000) (float-vector -44.748001 -54.258998 33.119999)))
    (instance face :init :vertices (list (float-vector -17.999999 -31.176900 -61.400000) (float-vector -31.176900 -17.999999 -61.400000) (float-vector -44.748001 -54.258998 33.119999)))
    (instance face :init :vertices (list (float-vector 35.999998 0.000000 -61.400000) (float-vector 41.967999 -54.258998 33.119999) (float-vector 41.967999 26.257001 33.119999)))
    (instance face :init :vertices (list (float-vector -33.757102 24.110001 94.618998) (float-vector -2.639710 39.499000 76.446101) (float-vector 30.029399 24.110001 94.619997)))
    (instance face :init :vertices (list (float-vector 41.967999 -54.258998 33.119999) (float-vector 40.229999 -52.111000 85.203402) (float-vector 40.209200 24.110001 85.179202) (float-vector 41.967999 26.257001 33.119999)))
    (instance face :init :vertices (list (float-vector 40.229999 -52.111000 85.203402) (float-vector 30.025501 -52.111000 94.619997) (float-vector 30.029399 24.110001 94.619997) (float-vector 40.209200 24.110001 85.179202)))
    (instance face :init :vertices (list (float-vector -33.713400 -52.111000 94.619997) (float-vector -33.757102 24.110001 94.618998) (float-vector 30.029399 24.110001 94.619997) (float-vector 30.025501 -52.111000 94.619997)))
    (instance face :init :vertices (list (float-vector -31.176900 -17.999999 -61.400000) (float-vector -35.999998 0.000015 -61.400000) (float-vector -44.748001 -54.258998 33.119999)))
    (instance face :init :vertices (list (float-vector -44.748001 26.257001 33.119000) (float-vector -44.748001 -54.258998 33.119999) (float-vector -35.999998 0.000015 -61.400000) (float-vector -34.773301 9.317500 -61.400000)))
    (instance face :init :vertices (list (float-vector -27.466699 39.499000 0.698417) (float-vector -17.999999 31.176900 -61.400000) (float-vector 0.000000 35.999998 -61.400000)))
    (instance face :init :vertices (list (float-vector 19.118801 39.499000 -22.414800) (float-vector -27.466699 39.499000 0.698417) (float-vector 0.000000 35.999998 -61.400000)))
    (instance face :init :vertices (list (float-vector -34.773301 9.317500 -61.400000) (float-vector -17.999999 31.176900 -61.400000) (float-vector -27.466699 39.499000 0.698417) (float-vector -44.748001 26.257001 33.119000)))
    (instance face :init :vertices (list (float-vector 41.967999 -54.258998 33.119999) (float-vector -44.748001 -54.258998 33.119999) (float-vector -42.647600 -52.111000 85.251004) (float-vector -33.713400 -52.111000 94.619997) (float-vector 30.025501 -52.111000 94.619997) (float-vector 40.229999 -52.111000 85.203402)))
    (instance face :init :vertices (list (float-vector -42.830601 24.110001 85.147202) (float-vector -42.647600 -52.111000 85.251004) (float-vector -44.748001 -54.258998 33.119999) (float-vector -44.748001 26.257001 33.119000)))
    (instance face :init :vertices (list (float-vector -42.647600 -52.111000 85.251004) (float-vector -42.830601 24.110001 85.147202) (float-vector -33.757102 24.110001 94.618998) (float-vector -33.713400 -52.111000 94.619997)))
    (instance face :init :vertices (list (float-vector 31.176900 17.999999 -61.400000) (float-vector 35.999998 0.000000 -61.400000) (float-vector 41.967999 26.257001 33.119999)))
    (instance face :init :vertices (list (float-vector 17.999999 -31.176900 -61.400000) (float-vector -0.000019 -35.999998 -61.400000) (float-vector 41.967999 -54.258998 33.119999)))
    (instance face :init :vertices (list (float-vector 35.999998 0.000000 -61.400000) (float-vector 31.176900 -17.999999 -61.400000) (float-vector 41.967999 -54.258998 33.119999)))
    (instance face :init :vertices (list (float-vector 41.967999 -54.258998 33.119999) (float-vector 31.176900 -17.999999 -61.400000) (float-vector 17.999999 -31.176900 -61.400000)))
    (instance face :init :vertices (list (float-vector 35.999998 0.000000 -61.400000) (float-vector 31.176900 17.999999 -61.400000) (float-vector 17.999999 31.176900 -61.400000) (float-vector 0.000000 35.999998 -61.400000) (float-vector -17.999999 31.176900 -61.400000) (float-vector -34.773301 9.317500 -61.400000) (float-vector -35.999998 0.000015 -61.400000) (float-vector -31.176900 -17.999999 -61.400000) (float-vector -17.999999 -31.176900 -61.400000) (float-vector -0.000019 -35.999998 -61.400000) (float-vector 17.999999 -31.176900 -61.400000) (float-vector 31.176900 -17.999999 -61.400000)))
    (instance face :init :vertices (list (float-vector 40.209200 24.110001 85.179202) (float-vector 30.029399 24.110001 94.619997) (float-vector -2.639710 39.499000 76.446101) (float-vector 15.335400 39.499000 63.387796)))
    (instance face :init :vertices (list (float-vector -33.757102 24.110001 94.618998) (float-vector -42.830601 24.110001 85.147202) (float-vector -16.089700 39.499000 59.104402) (float-vector -2.639710 39.499000 76.446101)))
    (instance face :init :vertices (list (float-vector -42.830601 24.110001 85.147202) (float-vector -44.748001 26.257001 33.119000) (float-vector -27.466699 39.499000 0.698417) (float-vector -16.089700 39.499000 59.104402)))
    (instance face :init :vertices (list (float-vector 25.783001 39.499000 -15.884999) (float-vector 17.999999 31.176900 -61.400000) (float-vector 31.176900 17.999999 -61.400000)))
    (instance face :init :vertices (list (float-vector 25.783001 39.499000 -15.884999) (float-vector 31.176900 17.999999 -61.400000) (float-vector 41.967999 26.257001 33.119999)))
    (instance face :init :vertices (list (float-vector 25.783001 39.499000 -15.884999) (float-vector 19.118801 39.499000 -22.414800) (float-vector 0.000000 35.999998 -61.400000) (float-vector 17.999999 31.176900 -61.400000)))
    (instance face :init :vertices (list (float-vector 19.118801 39.499000 -22.414800) (float-vector 25.783001 39.499000 -15.884999) (float-vector 15.335400 39.499000 63.387796) (float-vector -2.639710 39.499000 76.446101) (float-vector -16.089700 39.499000 59.104402) (float-vector -27.466699 39.499000 0.698417)))
    (instance face :init :vertices (list (float-vector 25.783001 39.499000 -15.884999) (float-vector 41.967999 26.257001 33.119999) (float-vector 40.209200 24.110001 85.179202) (float-vector 15.335400 39.499000 63.387796)))
    ))
   )
  )

(defclass HiroNX_g1_5_geom0
  :super collada-body
  :slots ())
(defmethod HiroNX_g1_5_geom0
  (:init (&key (name))
         (replace-object self (send self :qhull-faceset))
         (if name (send self :name name))
         (send self :def-gl-vertices)
         self)
  (:def-gl-vertices ()
    (setq glvertices
       (instance gl::glvertices :init
          (list
          (list
           (list :type :triangles)
           (list :material (list
             (list :color (float-vector 0.1 0.1 0.1))
             (list :ambient (float-vector 0.200000 0.200000 0.200000 1.000000))
             (list :diffuse (float-vector 0.900000 0.900000 0.900000 1.000000))
           ))
           (list :indices #i( 99 500 603 340 527 54 613 491 36 608 192 578 184 53 594 305 292 522 648 674 621 292 445 671 164 155 258 657 383 93 383 18 181 167 0 246 111 298 300 492 103 45 61 117 149 156 231 77 153 21 43 108 254 519 411 385 375 53 64 594 247 657 233 307 21 434 573 380 82 298 64 300 355 177 344 293 553 544 488 54 332 342 568 652 390 618 452 258 155 488 47 454 467 455 307 271 567 472 173 572 95 249 13 668 371 632 528 620 522 273 337 310 530 296 45 388 297 656 229 369 535 3 646 188 2 186 271 307 317 208 487 201 139 100 28 502 671 558 298 666 510 668 29 16 115 410 651 450 457 672 487 114 334 230 529 259 79 543 2 192 337 338 487 208 544 505 189 659 18 524 181 401 128 649 171 237 66 285 474 29 635 642 526 90 156 72 471 169 639 637 496 466 625 288 630 249 95 641 412 338 448 591 601 124 482 500 347 335 647 654 180 627 40 327 190 635 555 270 112 222 96 489 85 220 524 406 489 438 481 512 477 274 198 595 437 109 665 79 515 543 142 138 633 308 425 365 410 261 651 13 285 29 355 91 177 509 183 359 235 99 393 65 39 365 200 614 245 415 244 596 510 666 87 110 410 115 583 489 481 511 373 290 151 467 650 618 326 417 138 539 633 592 391 92 133 345 292 263 580 260 197 432 577 196 608 578 476 200 398 77 548 203 515 423 392 420 55 565 604 353 38 511 653 373 387 419 34 496 508 232 516 571 365 92 391 110 517 388 598 282 511 290 269 256 570 330 431 71 52 85 379 428 51 555 409 180 550 618 556 376 474 285 633 133 362 448 50 638 213 140 25 643 329 536 219 399 642 526 57 503 301 365 27 195 314 266 445 358 147 449 653 624 306 609 318 501 147 399 674 608 196 592 500 99 347 357 438 226 224 19 78 562 114 544 125 376 40 622 541 43 666 302 81 420 661 89 462 10 558 601 154 249 578 192 8 274 430 431 614 200 621 338 225 448 404 78 463 599 182 49 403 67 665 319 230 619 593 74 402 671 44 558 567 22 443 449 561 344 591 653 306 49 423 633 448 287 321 51 176 282 364 660 669 10 22 502 640 292 135 117 61 250 450 263 395 164 637 162 146 24 86 9 496 232 179 431 442 472 117 223 193 552 572 365 165 612 243 625 591 286 615 5 615 286 617 363 428 430 183 114 389 70 354 512 588 232 647 339 236 45 674 381 284 596 244 175 365 146 86 115 651 42 318 271 458 515 392 137 11 563 642 615 188 186 613 36 579 322 551 58 553 161 544 414 604 38 246 664 118 483 35 214 576 1 332 465 185 292 66 237 670 74 638 529 303 141 33 85 52 136 150 486 238 85 524 18 122 535 489 368 418 481 401 157 128 570 518 398 668 16 371 281 406 331 3 535 159 278 555 112 277 91 355 568 342 489 618 390 326 607 329 446 441 70 481 376 556 82 574 436 114 613 375 210 288 625 243 121 182 334 172 441 481 25 657 643 228 415 202 281 222 489 66 479 440 140 593 25 530 87 284 415 596 202 316 367 645 29 68 497 46 11 635 223 250 448 442 369 89 581 275 31 479 24 440 471 222 343 156 77 203 661 229 420 522 292 273 139 559 386 209 589 469 542 626 571 2 234 137 404 504 320 133 472 362 277 280 489 563 40 11 586 656 458 227 107 221 498 7 439 305 104 292 376 46 40 261 373 651 611 237 41 128 577 649 193 16 552 600 250 470 59 204 367 52 540 597 111 407 341 125 376 82 268 127 520 192 631 494 165 498 439 23 387 356 408 591 601 183 469 264 610 667 126 612 141 303 107 62 168 349 487 215 180 627 409 92 110 548 478 314 644 120 308 365 423 485 238 354 441 151 9 265 313 111 472 407 261 279 290 378 348 490 513 586 429 17 534 324 625 387 34 501 369 240 96 639 275 444 222 281 489 359 264 487 539 138 592 488 391 35 520 214 445 44 671 442 278 240 241 515 137 201 178 544 380 180 40 209 187 154 19 665 463 251 248 149 475 55 565 292 671 502 656 116 229 609 112 569 199 531 394 250 158 63 252 105 546 477 512 650 459 245 570 554 131 367 399 310 381 114 436 652 436 342 652 393 282 290 385 358 449 141 612 205 657 93 108 178 201 293 26 657 339 397 520 6 152 627 659 638 45 213 520 427 214 312 364 217 589 601 532 32 39 405 256 269 186 187 183 206 561 289 355 267 533 640 489 216 359 292 104 135 582 269 570 295 308 168 325 129 654 119 589 351 91 450 672 561 355 344 10 502 558 660 669 497 310 605 530 333 295 168 111 130 170 589 209 154 383 657 350 1 257 332 299 478 150 170 666 145 142 633 311 254 247 233 601 525 532 277 47 280 483 446 136 486 20 238 468 171 440 412 437 134 588 9 232 611 41 101 231 144 77 113 576 332 635 526 449 25 540 379 94 310 40 152 64 605 236 372 45 300 64 53 268 421 427 621 284 283 456 452 635 150 20 486 364 660 217 266 314 478 100 267 640 489 401 649 473 353 206 536 348 195 580 31 417 173 472 133 192 166 676 127 427 520 385 621 375 166 192 80 111 145 298 631 192 139 164 315 155 20 655 426 220 85 521 253 625 630 284 87 218 125 380 40 664 304 118 632 19 224 40 310 563 516 542 571 446 483 466 27 521 195 479 66 670 433 614 218 331 406 387 204 657 645 132 642 399 47 277 454 663 467 151 514 618 31 341 462 302 182 599 334 182 423 49 185 173 416 24 7 86 535 646 489 193 572 604 511 176 37 197 577 128 117 250 223 577 489 649 150 478 644 54 235 1 50 0 328 235 393 1 110 391 410 435 307 455 558 44 302 583 114 374 44 194 302 105 180 88 54 113 332 140 26 45 132 563 399 365 220 521 496 637 508 335 588 647 546 207 363 662 272 126 144 292 640 469 589 119 363 207 288 46 618 376 447 609 569 670 611 484 403 116 513 72 156 203 289 277 355 511 37 653 414 83 604 31 618 417 422 485 81 219 536 195 201 142 311 604 572 249 559 548 77 647 528 654 434 21 101 543 241 137 555 51 270 533 386 144 189 152 659 607 378 490 365 254 602 487 349 539 129 335 654 363 430 274 566 56 352 248 123 507 437 19 134 495 528 647 605 163 530 272 444 281 363 148 428 182 121 76 449 385 411 543 515 241 672 449 177 22 10 462 526 399 557 631 139 590 370 515 79 311 499 293 273 239 211 575 218 75 366 400 274 483 162 466 294 15 500 618 46 635 304 435 118 662 262 343 307 622 21 161 562 413 280 47 663 137 538 334 340 315 427 544 161 413 657 25 350 114 585 675 657 140 643 250 600 158 252 180 105 69 221 365 638 74 45 200 459 570 106 423 323 397 294 336 390 580 326 657 316 645 653 591 73 269 242 186 163 87 530 566 625 377 658 455 271 230 259 294 37 148 587 41 616 101 112 609 240 402 74 230 535 122 159 22 462 443 585 114 583 348 536 490 222 662 343 196 14 291 386 559 77 286 424 617 143 20 150 307 434 317 615 451 5 333 62 503 13 29 668 303 33 17 393 673 282 57 301 360 423 424 485 275 514 31 473 414 38 124 42 73 670 237 611 419 625 34 489 264 438 20 48 238 308 547 425 498 365 86 320 360 396 5 451 461 500 15 603 554 367 365 102 395 327 617 79 2 16 29 572 567 465 22 673 51 282 362 12 448 365 17 324 330 274 382 365 303 17 14 508 291 341 302 666 447 318 609 289 561 650 503 588 335 137 76 538 581 96 275 63 109 437 19 620 134 146 468 24 194 44 445 632 224 78 432 197 114 556 169 276 190 263 456 103 492 346 131 236 339 393 257 1 421 482 427 154 353 249 56 566 226 212 669 72 3 157 646 389 564 414 217 660 497 524 365 181 441 280 663 104 28 135 582 242 269 39 554 365 63 412 448 625 126 356 312 143 629 207 255 253 99 527 347 394 531 464 85 329 521 672 457 584 662 444 272 474 655 217 218 199 394 368 480 36 248 507 149 235 527 99 427 315 214 288 243 148 613 411 375 123 116 403 452 618 635 39 65 405 88 180 82 453 217 497 625 253 126 448 225 287 405 65 626 372 598 45 199 451 531 575 242 433 432 114 509 71 431 179 87 81 218 513 191 67 104 305 494 294 421 268 474 68 29 156 90 231 675 551 322 109 403 665 553 13 161 98 307 435 293 13 553 169 471 276 539 49 633 642 563 132 63 437 412 104 590 28 669 212 497 302 97 81 430 428 555 280 441 172 531 615 464 398 518 58 36 480 477 266 150 302 117 472 149 147 648 358 198 366 274 107 309 62 116 123 229 474 453 497 606 418 368 278 430 555 106 323 76 140 74 593 166 305 522 492 45 297 48 633 549 200 245 459 436 574 122 317 586 458 281 331 23 271 317 458 425 146 365 403 513 67 484 101 153 45 361 213 163 64 510 243 384 148 436 460 342 424 286 5 389 562 564 222 471 96 114 675 570 0 167 328 472 12 362 231 292 144 674 284 621 593 402 25 423 515 370 252 550 174 139 608 92 662 222 444 562 544 413 100 640 135 657 108 519 177 449 344 489 374 30 673 99 603 284 218 283 102 327 635 587 384 306 282 176 511 68 474 497 675 585 491 554 39 32 518 675 322 606 368 36 504 191 616 416 133 292 216 509 359 554 32 131 85 350 379 268 520 336 442 179 506 651 373 73 392 423 106 234 543 137 194 266 302 658 318 447 547 468 425 216 432 509 203 634 95 414 564 83 24 468 440 487 4 215 488 155 54 139 548 559 175 493 516 629 143 314 373 261 290 634 110 115 189 64 152 633 423 549 78 19 463 325 654 632 625 566 352 437 665 19 472 567 443 572 29 497 204 59 657 266 194 445 485 424 81 100 139 267 76 121 334 93 383 181 571 65 365 329 85 136 103 361 45 600 470 63 475 251 628 255 207 88 250 61 470 130 341 666 638 455 529 346 50 213 96 580 489 229 123 251 279 257 290 346 492 297 578 8 545 620 8 134 528 495 545 372 131 517 345 133 448 40 46 11 64 298 510 546 105 207 664 98 304 429 586 317 361 103 346 351 589 352 128 157 114 442 431 278 393 99 673 259 15 294 155 315 340 163 510 87 345 448 321 597 619 397 18 383 350 404 320 325 501 318 458 533 139 386 170 130 666 145 666 298 279 410 332 424 5 461 221 120 365 312 217 143 262 556 343 325 632 78 91 672 177 164 258 291 238 422 81 197 128 114 211 239 338 154 187 206 200 476 621 619 230 397 342 460 489 228 202 324 295 333 547 548 110 634 625 589 525 9 227 265 587 624 160 615 617 2 470 109 63 665 67 463 529 658 259 308 295 547 489 583 374 473 389 414 155 340 54 263 450 489 472 443 537 675 491 613 181 254 602 664 541 98 521 219 195 196 578 14 364 312 523 638 50 328 599 215 334 353 154 206 456 390 452 94 605 310 579 36 477 318 658 271 113 54 576 418 583 481 288 207 630 519 254 233 238 97 302 419 406 357 265 221 69 27 365 521 201 311 293 589 154 601 613 210 58 634 115 641 557 399 147 434 429 317 360 320 41 176 148 37 504 616 41 48 423 238 424 461 199 377 419 357 42 651 73 456 263 260 361 346 213 309 9 62 580 263 489 242 575 186 7 498 86 349 215 539 460 122 489 2 114 186 656 501 458 577 432 60 482 340 427 207 105 88 655 633 426 162 483 214 114 2 137 185 416 292 441 663 151 218 621 283 556 514 639 357 406 438 215 4 334 159 574 114 8 338 134 598 388 45 28 100 135 232 495 647 352 56 226 116 586 513 255 556 126 186 575 75 530 284 296 633 285 13 157 3 114 319 619 597 580 581 31 658 447 259 210 375 58 504 404 191 26 339 45 333 468 547 607 490 329 72 203 497 612 165 205 348 69 365 292 629 314 467 454 650 98 435 304 611 101 484 171 360 237 607 446 466 550 180 252 273 292 623 470 123 109 144 386 77 250 63 448 646 401 489 62 333 168 675 518 570 568 489 30 292 90 523 279 261 410 586 116 656 589 625 352 424 370 79 546 363 274 418 606 583 524 220 365 192 676 337 433 582 245 9 313 607 320 504 41 257 279 332 621 476 375 340 482 347 614 433 245 606 585 583 266 478 299 520 397 336 266 299 150 320 396 129 400 252 546 294 268 336 257 393 290 556 276 636 499 13 293 202 596 365 123 248 251 438 119 351 273 623 287 187 209 469 147 674 648 551 613 58 111 300 184 389 114 562 178 293 544 476 398 58 152 605 94 534 228 324 157 401 646 461 451 199 37 587 160 450 277 489 123 403 109 98 541 622 292 345 321 568 560 652 508 637 291 471 639 96 607 313 378 325 320 129 378 69 348 259 447 15 123 61 507 638 167 435 3 159 114 180 573 82 381 310 296 137 392 76 674 399 381 25 402 540 457 102 635 429 434 616 16 193 564 218 394 75 465 292 502 632 620 19 591 625 408 566 357 226 244 493 175 114 137 334 131 59 367 631 104 494 609 501 240 183 389 473 533 144 640 491 585 36 525 589 532 354 151 650 354 70 441 75 394 464 167 246 118 23 331 387 245 582 570 227 309 107 587 624 306 538 76 334 391 488 332 638 435 455 80 192 494 115 42 641 239 273 225 264 469 119 70 512 481 653 37 624 675 613 551 367 316 84 457 635 584 326 580 417 258 196 291 57 360 171 449 672 584 192 338 8 268 427 127 152 627 94 438 351 226 575 433 218 21 622 43 84 316 254 184 189 505 462 558 302 455 658 529 366 400 252 539 599 49 411 477 650 378 313 69 143 150 644 186 114 570 108 93 181 111 170 145 423 48 549 358 648 385 98 622 307 493 542 516 22 465 502 9 607 496 506 442 89 387 625 356 305 80 494 140 657 26 287 623 321 111 341 130 601 249 124 102 457 395 55 475 628 81 199 218 292 314 445 648 621 385 267 139 533 456 260 390 567 185 465 252 366 174 255 88 82 84 254 365 382 274 595 190 456 635 517 346 297 281 489 406 61 123 470 508 14 495 657 519 233 101 21 153 387 406 419 626 65 571 615 2 188 363 288 148 560 114 652 637 164 291 561 411 650 424 79 617 372 517 598 489 172 481 183 473 206 191 429 616 616 434 101 203 548 634 249 641 124 313 265 69 212 72 497 308 120 168 62 588 503 191 513 429 396 335 129 122 574 159 139 92 548 131 372 236 667 23 126 229 661 369 408 525 601 373 653 73 560 568 30 232 508 495 369 661 89 15 447 569 365 612 303 147 526 449 200 570 398 74 140 45 657 247 316 451 615 531 663 47 467 641 42 124 253 255 126 13 371 161 90 292 231 556 255 82 523 312 629 377 625 419 284 381 296 392 106 76 639 514 275 667 281 23 175 516 365 12 223 448 51 673 270 453 474 217 489 577 60 624 37 160 292 523 629 365 498 165 353 604 249 262 662 126 395 263 190 120 107 168 166 522 676 35 597 520 169 556 639 656 369 501 216 489 60 142 201 138 537 443 341 187 469 183 512 354 650 59 131 339 218 614 621 485 422 238 596 175 365 360 301 396 337 273 211 201 487 138 221 107 120 8 620 545 468 333 57 309 227 9 217 655 20 148 384 587 350 25 379 4 487 334 16 564 371 564 562 371 337 211 338 384 243 591 367 84 365 95 634 641 374 114 30 15 569 603 87 666 81 424 423 370 443 462 341 436 122 460 610 272 281 395 190 327 171 66 440 185 567 173 446 329 136 264 119 438 189 184 594 552 16 572 272 610 126 410 391 332 186 75 464 95 572 497 450 91 277 104 631 590 167 638 328 52 35 136 657 59 339 369 442 240 54 527 235 633 48 426 495 14 545 425 468 146 490 536 329 64 189 594 556 262 126 225 273 287 540 319 597 359 183 264 633 13 499 669 364 523 280 172 489 162 637 466 67 404 463 251 149 628 35 483 136 371 562 161 35 52 597 54 1 576 428 148 176 416 173 133 557 526 147 623 292 321 384 591 306 591 124 73 480 368 481 613 579 411 421 294 500 12 472 223 380 573 180 11 642 635 191 404 67 518 322 58 404 325 78 620 528 545 230 294 397 258 488 592 192 608 139 380 125 82 540 402 319 323 182 76 215 599 539 388 517 297 527 340 347 323 423 182 277 289 454 435 167 118 605 64 163 520 597 6 114 560 30 496 607 466 315 164 162 158 600 63 432 216 60 338 239 225 112 270 569 564 193 83 348 365 195 431 430 278 97 238 81 242 582 433 407 472 537 563 310 399 85 18 350 421 500 482 367 204 645 569 270 603 635 449 584 260 580 390 203 95 497 301 503 335 431 274 330 608 592 92 114 487 544 457 450 395 276 471 636 343 556 636 229 475 565 315 162 214 17 33 534 229 251 475 254 108 181 454 289 650 566 377 357 618 514 556 256 186 570 471 343 636 90 72 523 407 537 341 51 428 176 311 633 499 94 627 40 468 57 171 72 669 523 208 201 544 400 546 274 351 352 226 227 221 265 0 50 346 540 52 379 14 578 545 305 166 80 270 673 603 237 360 41 202 365 324 333 503 57 278 112 240 314 143 644 590 139 28 319 402 230 217 20 143 480 481 477 654 528 632 474 633 655 615 186 464 597 397 6 253 207 630 507 61 149 676 522 337 561 449 411 301 335 396 585 606 36 81 424 199 184 300 53 353 473 38 329 219 521 408 625 525 411 579 477 543 234 2 581 580 96 205 165 439 375 476 58 62 9 588 181 365 602 126 23 356 420 229 565 150 238 302 83 193 604 48 20 426 114 183 509 230 74 529 550 409 174 338 412 134 667 610 281 316 247 254 196 258 592 839 793 680 797 826 742 689 758 821 758 689 791 816 737 819 721 707 747 806 703 800 781 730 859 832 735 752 817 806 766 777 734 827 740 854 731 842 840 798 779 717 847 807 761 762 689 718 791 729 680 841 780 775 850 828 682 855 789 696 819 776 732 688 751 846 701 725 729 841 694 825 703 811 699 747 699 727 747 770 759 769 803 790 801 856 749 859 798 840 833 809 745 752 771 844 692 847 722 799 689 766 782 858 746 797 825 834 773 767 683 712 706 711 690 828 713 760 679 836 803 773 808 845 789 839 680 824 757 769 707 700 719 777 839 794 837 709 691 688 768 804 839 789 794 722 702 780 796 822 717 775 852 850 807 755 682 722 842 702 748 761 815 765 724 698 788 727 699 735 733 732 757 754 851 774 763 855 837 691 701 763 716 805 833 840 853 787 705 830 855 805 787 741 823 809 691 742 771 697 832 818 738 748 815 768 697 818 762 852 775 755 774 855 838 732 776 742 826 728 791 718 834 836 679 767 744 810 804 733 802 756 761 698 705 707 721 678 731 854 728 755 843 708 696 778 719 782 846 751 692 718 751 847 856 859 852 798 796 723 777 827 724 814 714 750 779 799 711 829 684 788 785 727 810 688 804 845 837 701 802 735 832 806 838 703 711 684 690 741 783 823 698 724 705 710 725 841 828 759 738 809 823 859 735 741 752 778 836 719 740 726 854 839 777 793 771 742 704 695 731 693 722 840 842 745 809 859 738 815 807 843 763 708 808 740 837 822 781 749 853 847 859 759 828 760 786 710 841 776 688 810 696 700 819 709 797 691 778 789 680 767 712 811 828 855 787 802 832 697 735 817 741 681 748 820 774 755 763 735 806 817 838 776 694 805 716 705 694 791 825 760 677 769 834 692 792 849 705 787 720 689 744 831 727 848 680 793 841 690 743 835 749 781 859 702 842 843 757 770 769 846 764 845 693 731 826 753 811 772 831 721 727 818 744 804 823 833 859 807 775 780 849 805 705 753 681 743 832 744 818 834 792 773 713 677 760 846 845 701 730 745 859 746 826 797 715 766 689 824 706 690 727 785 848 738 759 820 756 802 697 810 689 821 719 767 811 723 786 793 792 808 773 784 724 765 764 800 845 726 808 854 776 758 694 805 849 787 816 678 831 817 822 796 782 764 846 832 720 744 851 681 820 836 767 719 722 847 853 824 690 835 833 853 859 705 714 687 682 755 855 813 784 772 740 808 726 717 822 856 678 721 831 763 755 708 826 731 728 771 751 701 686 786 723 838 694 703 851 820 770 745 720 752 763 805 855 762 761 705 703 825 800 700 678 819 768 818 804 678 816 819 854 808 792 715 781 766 777 794 795 843 807 780 681 754 743 754 757 835 842 798 716 718 692 834 844 854 792 727 721 747 720 832 752 685 711 706 828 738 682 811 829 699 830 705 687 840 722 853 782 806 764 735 732 838 700 696 719 748 738 736 778 680 803 720 781 715 680 790 803 692 844 792 790 812 725 755 807 843 767 679 683 707 719 747 740 731 695 748 736 820 829 753 684 746 693 826 783 817 796 696 789 778 724 860 814 684 743 690 800 773 845 836 778 803 710 786 686 758 776 821 684 753 743 718 689 782 677 713 739 807 762 775 796 779 750 765 698 681 694 758 791 798 783 796 741 809 752 777 795 734 743 754 835 776 810 821 739 713 787 685 785 788 842 763 843 823 783 833 757 824 835 791 834 825 759 760 769 829 788 699 688 733 768 811 712 772 817 766 822 784 813 860 733 735 802 852 762 705 811 753 829 683 813 712 720 715 689 777 723 793 732 733 688 718 782 751 742 844 704 780 750 799 735 838 806 796 717 779 781 720 745 765 681 753 768 733 756 738 807 682 712 813 772 844 771 704 771 692 751 857 739 787 780 850 750 808 837 845 765 753 772 713 828 787 705 724 714 730 781 745 847 717 856 741 817 783 757 851 770 695 693 858 698 748 681 797 742 691 784 765 772 724 784 860 722 780 799 737 794 819 711 788 829 711 685 788 854 844 728 763 842 716 812 680 729 719 811 747 837 740 709 783 798 833 693 746 858 857 787 830 736 738 820 768 756 697 725 812 729 815 761 807 700 707 678 754 681 851 794 737 795 744 689 810 766 806 782 691 771 701 844 742 728 698 761 748 679 803 801 820 759 770 686 723 827 825 773 800 822 749 856 793 786 841 740 695 709 716 798 705 709 858 797 850 796 750 779 847 799 798 852 705 806 800 764 790 725 801 680 812 790 766 781 822 709 695 858 794 789 819 852 796 850 702 843 780 886 973 984 946 924 921 889 873 897 977 867 912 863 871 988 871 863 877 875 908 957 878 906 873 948 901 960 909 931 913 910 905 875 865 940 967 888 864 990 984 952 924 881 880 932 956 910 926 936 910 967 864 948 975 954 876 890 920 964 927 909 905 910 889 897 963 943 918 974 923 938 969 865 884 937 932 866 968 925 960 885 962 987 896 919 884 865 940 916 981 981 916 989 973 935 899 950 987 962 937 865 898 983 946 970 888 930 922 949 940 981 960 901 891 936 909 910 878 979 906 901 948 891 896 978 980 912 867 955 886 975 973 934 867 945 917 919 865 954 934 907 961 943 974 886 864 975 917 956 882 973 975 953 919 933 884 880 881 872 872 874 928 871 933 988 915 881 932 934 945 907 933 924 988 943 976 879 886 979 941 924 952 988 979 861 941 931 936 911 938 877 969 869 887 964 952 863 988 917 882 921 963 943 879 936 967 972 985 880 989 867 954 955 917 865 967 954 895 970 910 875 926 924 946 983 984 899 952 979 886 984 861 864 941 864 947 971 960 976 929 960 929 885 895 959 970 960 925 893 911 936 972 862 878 873 931 908 875 874 957 982 976 891 879 914 985 989 864 861 990 948 893 942 932 964 870 864 939 971 954 950 895 965 932 968 888 930 958 939 958 900 948 960 893 962 896 980 981 944 982 945 867 883 909 905 913 896 987 961 918 979 974 935 942 863 956 917 967 974 979 978 968 977 912 932 985 914 973 953 935 873 889 966 874 982 928 939 888 864 914 916 989 986 915 965 959 895 962 922 888 990 958 873 900 884 871 923 906 979 963 914 916 898 944 911 982 924 933 921 873 906 897 957 872 926 947 948 864 932 914 898 937 932 898 982 981 989 978 984 980 949 940 967 915 986 902 880 872 868 966 889 891 908 911 982 910 956 967 911 931 908 930 922 990 877 893 969 971 939 900 957 908 982 935 863 899 904 947 971 864 886 941 966 873 904 896 974 978 976 943 961 880 985 932 903 862 990 928 982 868 920 869 964 875 957 926 903 861 979 939 888 958 892 986 882 883 867 977 942 893 877 881 915 872 964 923 969 863 942 877 936 931 909 975 948 953 872 902 892 933 871 884 892 956 926 904 971 900 979 918 963 897 906 963 904 966 891 953 942 935 861 903 990 955 954 970 915 902 872 933 919 921 954 907 876 899 863 952 973 899 984 948 947 891 965 915 932 944 911 949 989 880 868 948 942 953 958 930 873 895 950 962 968 866 977 976 960 891 986 894 882 902 986 892 923 871 938 930 990 873 937 884 923 904 873 900 944 949 981 938 871 877 954 890 950 967 949 972 984 959 980 905 913 875 937 923 932 959 983 970 946 968 912 979 984 978 862 903 979 984 924 983 964 951 870 865 898 940 898 916 940 959 962 980 882 946 921 927 964 969 889 963 879 949 911 972 986 965 968 913 931 875 964 887 951 990 862 873 872 928 868 919 917 921 946 912 955 946 894 968 954 867 934 947 904 891 956 892 882 872 892 926 907 945 876 882 894 946 896 961 974 987 976 961 891 889 879 878 862 979 894 986 968 957 874 872 932 923 964 946 955 970 918 943 963 982 989 868 984 983 959))
           (list :vertices #2f((24.691000 -137.998001 -24.464001)(-4.483000 -95.431999 -177.054001)(-34.747002 -57.998001 -245.781998)(34.742001 -57.998001 -254.220001)(-26.009501 -60.498001 -226.960999)(-34.747002 -67.998001 -247.211990)(18.897699 -87.232002 -90.308899)(-26.582001 -137.998001 22.770000)(-43.425999 -62.724003 -146.548996)(-28.073999 -62.549004 -45.339001)(-56.496002 -69.824005 -217.583008)(-37.904003 -118.998001 -252.736008)(-63.614002 -76.180000 -181.589005)(-13.686001 -67.998001 -217.787003)(-26.848999 -60.718998 -132.272003)(-0.383994 -116.163002 -150.123993)(-10.009000 -71.889000 -216.485001)(6.675010 -39.997997 35.571999)(27.924999 -74.413002 -21.615000)(-60.132000 -82.101006 -125.615997)(-32.237000 -61.986000 -222.914001)(-13.414001 -131.889999 -32.243000)(-58.171997 -70.998001 -216.031998)(-23.212000 -102.998001 -223.802994)(-32.318001 -137.998001 13.442000)(29.084002 -80.150002 -39.743999)(34.348999 -95.468994 -22.390001)(20.278000 -39.997997 -28.527000)(-31.137001 -61.966000 -183.063004)(-12.418000 -71.588005 -214.274002)(-0.001999 -131.398010 -285.001007)(-34.747002 -102.998001 -245.781998)(36.176998 -137.998001 4.287980)(6.671020 -137.998001 35.572998)(-18.037500 -102.998001 -219.216995)(16.862999 -71.425995 -72.385994)(-25.451399 -87.376801 -273.670990)(-15.210000 -119.156006 -211.406006)(-4.762300 -79.113106 -215.472000)(34.981003 -39.997997 10.695001)(-42.263000 -117.494003 -250.093994)(-31.886999 -120.562004 -23.395000)(-12.342999 -95.400002 -207.617996)(-13.446000 -137.998001 -32.315998)(-51.438999 -66.625000 -221.282013)(31.539001 -110.115997 -19.935001)(-37.981998 -121.459999 -248.768997)(-26.009501 -115.038002 -273.041016)(-29.836000 -62.070000 -226.615997)(-27.137798 -67.998001 -226.881989)(25.406000 -118.765999 -24.321999)(-14.708000 -120.982002 -189.503998)(21.021999 -71.630997 -55.785000)(-59.938999 -107.882996 -232.469009)(-3.025000 -81.940002 -169.916000)(-61.919998 -118.998001 -181.429001)(-11.984700 -102.998001 -217.042999)(-39.489002 -94.998001 -11.609000)(-29.405201 -79.594101 -268.743011)(35.785999 -94.414001 -5.815010)(23.206999 -131.398010 -223.802994)(-69.103004 -94.998001 -182.110001)(-34.356003 -71.197998 -27.100000)(-64.813004 -81.788002 -161.050003)(-57.070999 -107.012001 -239.237991)(33.206001 -39.997997 14.952999)(-33.606998 -112.585999 -9.022010)(-62.008999 -108.246002 -138.660995)(-14.552600 -70.423096 -212.953995)(-2.802990 -39.997997 -34.889000)(-20.492300 -97.320099 -278.075989)(-54.797600 -123.013000 -204.317001)(-22.510000 -65.504997 -205.290009)(-11.532001 -107.587997 -210.270996)(29.417999 -110.682007 -35.372002)(-34.747002 -69.458801 -252.902008)(-30.767500 -62.997997 -233.854996)(-23.522999 -64.305000 -197.932007)(-59.351002 -94.998001 -107.759003)(-34.471901 -67.998001 -244.666000)(-38.327000 -61.911999 -178.263000)(-45.077000 -69.404999 -241.524002)(-35.080997 -127.396004 -235.406998)(-6.141410 -75.616096 -215.678009)(36.302002 -39.997997 -1.659000)(19.976000 -67.373001 -37.928997)(-32.318001 -39.997997 13.443000)(-52.092999 -81.129997 -246.067001)(-32.823002 -128.473999 -230.848999)(-58.412998 -119.945000 -185.261993)(-22.497000 -49.998001 -205.290009)(-30.767500 -117.197998 -266.146973)(-12.684000 -69.286003 -184.201004)(31.480000 -79.375999 -16.907001)(-47.487999 -117.420998 -243.610001)(-12.724000 -76.705002 -209.544998)(-32.728001 -131.398010 -237.589996)(-42.757999 -66.913597 -236.410004)(8.051020 -129.972000 -33.797001)(-1.488000 -108.845001 -164.171997)(-29.146999 -62.151001 -185.727997)(-23.427000 -127.180992 -25.713001)(-33.422703 -102.998001 -259.593018)(29.564001 -113.643997 -19.587999)(-35.603001 -49.998001 -179.335999)(-37.154999 -128.007996 -229.004990)(-30.403700 -67.997902 -233.160995)(-22.772999 -62.583000 -26.579000)(31.876001 -80.174995 -16.157999)(-67.456001 -94.998001 -160.677994)(-13.229000 -75.809006 -198.349991)(-68.758003 -70.998001 -233.304001)(-22.362999 -127.684998 -175.339996)(-5.160710 -85.313004 -177.316986)(-0.003000 -57.997902 -285.001007)(-13.220000 -82.739998 -204.899002)(-56.819000 -119.225006 -155.360992)(-68.483002 -88.411003 -182.050003)(18.146999 -124.709999 -29.694000)(-4.190500 -117.197998 -215.509995)(-22.774000 -39.997997 -26.580000)(-29.787199 -62.997997 -231.987000)(28.802000 -131.398010 -269.882996)(-65.790001 -107.965996 -170.225998)(-11.575999 -95.397003 -209.182999)(-37.625999 -123.667999 -244.666992)(-28.859001 -102.998001 -225.278000)(10.490000 -87.221504 -122.879997)(32.723000 -57.998001 -237.589996)(-49.463001 -94.998001 -56.063000)(-56.871002 -76.153000 -232.179001)(36.247002 -137.998001 0.979982)(-37.261002 -115.569000 -257.471008)(-60.238998 -70.998001 -194.582993)(-55.470001 -70.734001 -144.384995)(-31.012001 -49.998001 -182.965988)(15.328000 -65.529999 -54.574001)(-32.728001 -57.998001 -237.589996)(-22.266001 -67.998001 -223.149994)(-21.233000 -63.600002 -183.487000)(33.541000 -95.485001 -31.702999)(1.168020 -137.998001 36.003002)(-20.441599 -67.998001 -221.891006)(-33.142998 -62.024002 -221.268005)(-27.205000 -49.998001 -190.725006)(-61.707001 -88.403999 -232.637009)(-34.889999 -39.997997 2.798990)(-34.605999 -107.635994 -265.703003)(-24.551001 -126.403999 -214.159988)(-73.567001 -118.998001 -182.531998)(-41.227001 -62.847004 -226.878006)(-23.525101 -99.516304 -275.846008)(-51.972000 -117.360001 -236.619995)(-22.774000 -137.998001 -26.580000)(-4.855000 -95.383003 -215.339005)(-1.400000 -74.005997 -154.100006)(-22.563000 -65.247002 -201.418991)(34.742001 -57.998001 -245.781998)(-66.232101 -84.976700 -170.418991)(32.723000 -57.998001 -262.412018)(-10.689000 -115.532005 -213.534988)(-12.323500 -65.977097 -217.513992)(2.578000 -65.320999 -104.061996)(-54.341000 -94.998001 -247.534012)(-3.516000 -66.757004 -136.938004)(-20.283001 -39.997997 28.524000)(-41.250999 -62.174000 -177.899994)(20.278000 -123.345001 -28.527000)(-30.053001 -70.436996 -17.042999)(-31.985901 -102.998001 -236.175995)(-59.887001 -82.039993 -232.464005)(-35.803001 -108.542000 -8.591010)(-16.268000 -131.398010 -280.992004)(-62.368999 -70.998001 -202.089996)(-45.613201 -121.730003 -237.229004)(23.298000 -39.997997 28.255999)(-17.449001 -120.255997 -202.052994)(-29.189600 -102.998001 -269.154022)(-18.004000 -62.997997 -220.208008)(-57.021698 -121.278999 -192.606003)(-40.036999 -124.840996 -238.720001)(31.544001 -39.997997 -16.125000)(-28.806999 -67.998001 -230.119003)(8.373000 -57.998001 -216.018005)(-68.758003 -118.998001 -233.305008)(-62.368999 -49.998001 -202.089996)(-34.747002 -57.998001 -254.220001)(-2.121340 -98.103096 -215.257996)(-34.747002 -60.863201 -250.001007)(-54.278000 -117.225998 -231.932999)(-33.965801 -102.998001 -257.389984)(-49.667999 -120.374001 -109.996002)(-31.734999 -61.630001 -165.797989)(-8.120001 -74.264999 -215.957001)(-47.715000 -64.629005 -222.981003)(18.239000 -39.997997 -29.872000)(-14.243000 -63.066998 -151.789001)(28.802000 -57.998001 -230.119003)(-50.044102 -123.164993 -226.154999)(-36.480999 -67.998001 -249.142014)(-32.728001 -76.339699 -262.412018)(-19.740000 -62.997997 -221.405991)(17.841000 -39.997997 31.750999)(-17.073000 -70.427002 -205.293991)(35.751999 -93.403000 -5.996010)(-8.135980 -137.998001 34.439003)(-2.121570 -85.601906 -215.257996)(-31.908001 -128.858994 -223.878998)(-19.740099 -60.498001 -221.405991)(-3.658910 -99.190506 -215.317001)(-29.427599 -80.874298 -268.700989)(-47.357002 -63.100002 -178.521011)(-22.834000 -65.247002 -207.673996)(27.101000 -116.798996 -22.507999)(8.484000 -71.361000 -105.371994)(-26.009501 -62.997997 -226.960999)(16.263000 -131.398010 -219.009995)(-22.508999 -63.298000 -219.382996)(-37.131001 -69.195999 -250.607010)(10.684999 -62.075001 -33.096001)(22.973999 -69.154999 -26.467999)(-13.446000 -39.997997 -32.315998)(-28.806999 -131.398010 -230.119003)(-66.634995 -82.059006 -181.875000)(-58.243198 -88.352501 -108.554001)(-52.112999 -65.169998 -181.323013)(-11.431399 -102.998001 -217.176010)(-16.720001 -61.014999 -30.618000)(17.841000 -137.998001 31.750002)(-58.648003 -118.944000 -171.065994)(23.357000 -111.167000 -65.049004)(-23.403000 -49.998001 -197.539001)(-31.195999 -62.565998 -61.855000)(33.571999 -83.600998 -12.943000)(-33.737499 -60.498001 -241.686005)(-2.018000 -95.441002 -169.714996)(35.700001 -97.404999 -6.256000)(-30.235001 -120.279999 -17.473999)(-34.819000 -62.778004 -234.910004)(-50.569000 -64.368004 -180.087997)(-35.317997 -129.524002 -173.813004)(-33.232700 -62.997997 -239.638000)(-34.325001 -67.998001 -255.932007)(-19.773001 -124.948997 -217.628006)(23.298000 -137.998001 28.255999)(-33.141098 -73.015800 -260.735992)(18.239000 -137.998001 -29.872000)(35.015999 -88.124001 -9.014020)(-67.271004 -106.210999 -181.935989)(-9.162001 -83.195000 -212.779007)(-66.375999 -81.721001 -179.787003)(-66.541000 -107.900002 -181.867004)(-44.275002 -124.806000 -232.673996)(-25.378000 -127.937004 -221.716003)(35.402000 -39.997997 -7.473010)(-28.827000 -128.679001 -225.307007)(-33.737499 -61.752399 -258.316010)(-6.972000 -95.423996 -184.465012)(-6.163000 -67.844002 -153.244003)(5.686010 -117.233002 -121.784004)(-34.747002 -117.197998 -250.001007)(-11.416000 -95.416000 -197.054993)(-29.996101 -102.998001 -230.341995)(-34.747002 -131.398010 -254.220001)(-0.001995 -131.398010 -215.001007)(-13.388000 -60.518997 -32.170002)(-44.032001 -63.160999 -223.615005)(-28.339001 -62.313000 -188.136002)(12.103000 -95.510994 -123.116005)(-33.737499 -65.506897 -258.316010)(-10.933000 -121.114998 -176.686996)(-11.323000 -130.169006 -118.161995)(-25.376801 -102.998001 -226.246994)(-52.157001 -49.998001 -181.269012)(-46.622002 -126.471001 -220.648010)(-33.509197 -102.998001 -240.759995)(-31.745602 -102.998001 -235.718002)(-28.806999 -131.398010 -269.882996)(-37.903000 -129.410004 -188.399994)(-8.802999 -95.418999 -189.770004)(-23.212000 -131.398010 -276.199005)(-23.212000 -131.398010 -223.802994)(-10.797000 -115.038002 -189.686005)(-38.506500 -76.452599 -256.683990)(-43.563000 -80.983002 -256.572998)(-14.746000 -67.998001 -216.628006)(-34.747002 -67.998001 -246.740005)(-52.940998 -65.598999 -181.985001)(-21.122000 -125.929993 -218.412003)(-28.228800 -102.996994 -270.536011)(-9.605000 -108.348000 -189.740997)(-10.830000 -62.657997 -135.477005)(-57.231003 -49.998001 -190.235001)(-16.268000 -67.998001 -219.009995)(9.158010 -110.450996 -122.524002)(-33.230000 -75.663002 -10.959001)(-48.554001 -94.998001 -255.300995)(32.042000 -109.598000 -15.830001)(-62.309998 -94.998001 -232.694000)(-41.496002 -62.805698 -225.134003)(-61.712997 -101.572998 -232.638000)(-42.424999 -94.998001 -23.232000)(-51.395000 -69.560997 -231.296997)(1.168010 -39.997997 36.003002)(13.471800 -126.914993 -32.658001)(-41.232998 -49.998001 -177.737991)(-9.391000 -111.495003 -213.179001)(1.542020 -131.335007 -60.323997)(-29.873001 -39.997997 -18.243000)(-23.114000 -62.375000 -29.340000)(-46.948997 -107.107002 -253.978012)(-19.611099 -67.998001 -221.316986)(-29.514999 -62.234001 -218.869003)(-6.537990 -60.086002 -34.224998)(-36.281998 -49.998001 -222.720001)(1.730010 -72.866997 -137.987000)(35.410000 -90.420998 -7.473010)(-25.098999 -132.149002 -115.227997)(-16.895000 -128.882004 -147.054001)(26.924999 -95.530006 -64.763000)(-45.697998 -108.799004 -50.091999)(-55.698997 -67.250999 -185.688004)(-29.339199 -67.998001 -268.869019)(-30.131399 -67.998001 -232.641998)(12.176000 -39.997997 34.200001)(-54.764000 -94.998001 -83.718002)(-34.747002 -102.998001 -247.696991)(-33.558399 -102.998001 -259.042999)(22.954000 -121.125000 -26.485001)(10.922000 -62.035004 -36.125999)(-53.096500 -122.945000 -213.171005)(-19.740000 -117.197998 -221.405991)(-7.637000 -82.319000 -184.610001)(-36.206001 -81.192001 -10.436000)(-28.806999 -57.998001 -230.119003)(-44.547001 -82.570000 -41.831001)(16.360001 -95.521004 -106.936996)(-46.303001 -62.916004 -178.325989)(-44.694000 -62.771999 -163.934006)(35.787998 -95.440002 -5.803010)(1.094000 -81.086998 -154.548004)(-52.737000 -70.998001 -231.787003)(16.263000 -131.398010 -280.992004)(-30.324100 -102.998001 -233.009995)(-30.596399 -102.996994 -269.722015)(-57.231003 -68.226997 -190.235001)(31.544998 -137.998001 -16.125000)(2.275000 -95.455002 -156.935013)(8.115010 -39.997997 -34.047001)(-24.610800 -62.997997 -225.382004)(29.164000 -76.123001 -21.844000)(-8.379001 -102.998001 -216.018005)(-12.005700 -102.998001 -216.492004)(-5.627000 -83.378998 -215.459000)(-23.212000 -98.677299 -276.199005)(-28.806999 -102.996994 -269.882996)(-21.640800 -102.998001 -221.423996)(-12.323500 -117.197998 -217.513992)(-34.038998 -106.035004 -266.809998)(8.374010 -131.398010 -216.018005)(-39.448002 -108.685005 -21.917000)(28.642000 -115.010002 -20.859999)(-59.516998 -70.998001 -181.200989)(-35.564999 -128.968994 -217.398010)(-26.485001 -62.779003 -215.758987)(24.691000 -39.997997 -24.464001)(-49.703503 -123.370995 -227.009003)(36.247002 -39.997997 0.979986)(-19.965200 -92.158699 -278.440002)(-47.993000 -126.463997 -172.319992)(-34.141800 -67.998001 -239.829010)(-8.840170 -67.998001 -216.193008)(35.507999 -99.208000 -7.139010)(-13.113999 -108.057999 -201.813995)(-8.379001 -57.998001 -283.984009)(-29.842001 -80.358002 -268.227020)(-37.778000 -122.726997 -246.416000)(-14.422500 -102.998001 -218.309998)(-2.816990 -60.072998 -34.888000)(25.148001 -73.194000 -38.959999)(-37.125999 -124.812996 -242.160004)(-45.625000 -94.998001 -258.457977)(-51.386700 -122.740997 -222.060989)(29.473000 -76.419006 -19.718000)(-16.924999 -122.882004 -215.977005)(-33.653000 -94.998001 -269.585022)(-25.697001 -62.902004 -192.739990)(-18.954800 -102.998001 -220.864990)(33.408001 -106.873001 -13.306999)(-0.002996 -57.998001 -215.001007)(-34.747002 -102.998001 -249.046997)(-8.795000 -75.514999 -184.516998)(-32.193798 -67.998001 -236.571991)(-5.313000 -108.448997 -177.351990)(-34.747002 -69.217300 -252.548996)(-33.737499 -117.197998 -258.316010)(-46.465000 -94.998001 -41.529999)(20.761000 -95.531998 -90.212006)(-31.071600 -69.944595 -265.567993)(-40.674000 -107.180000 -260.583984)(-47.487000 -124.697998 -226.703995)(34.742001 -131.398010 -245.781998)(29.163000 -95.530006 -55.520000)(-64.110001 -108.080002 -154.199997)(-56.917999 -108.547005 -108.452995)(34.981003 -137.998001 10.695001)(-16.268000 -131.398010 -219.009995)(-54.430000 -70.998001 -227.972992)(-8.816000 -106.050003 -213.037994)(-43.979900 -120.915001 -241.307999)(-12.316000 -82.473999 -198.330994)(-28.931000 -94.998001 -272.989990)(-57.094002 -70.389999 -162.154999)(-12.323500 -61.987499 -217.513992)(-4.151470 -74.847198 -215.505005)(18.876999 -137.998001 31.087000)(-60.238998 -49.998001 -194.582993)(-34.747002 -102.998001 -247.211990)(-18.283199 -92.446899 -279.644989)(-16.268000 -102.998001 -219.009995)(-59.218998 -119.501999 -181.031998)(7.499000 -95.485001 -139.004013)(-35.583000 -63.091003 -236.660004)(-33.834000 -67.998001 -232.696991)(-37.880001 -67.998001 -246.960999)(-34.048000 -39.997997 -8.119010)(-27.767000 -62.132000 -224.056000)(5.089000 -80.155998 -138.658997)(-27.461000 -127.109009 -202.654999)(-38.543999 -128.685989 -112.364998)(-38.988998 -129.258011 -203.352005)(-50.376003 -126.442001 -204.039001)(23.206999 -57.998001 -223.802994)(-33.750298 -72.506500 -258.264008)(-12.814000 -133.369995 -57.215000)(20.104000 -123.113998 -33.553001)(23.206999 -57.998001 -276.199005)(-62.692001 -81.935005 -143.085999)(-8.379001 -131.398010 -216.018005)(-20.283001 -137.998001 28.524000)(-34.887001 -98.268997 2.797990)(-20.362900 -101.281998 -278.165985)(-49.958000 -126.383003 -187.823990)(-56.938999 -70.998001 -220.732010)(-26.009501 -117.197998 -226.960999)(-44.032997 -49.998001 -223.626007)(8.237010 -61.996002 -53.063000)(-5.014990 -122.031006 -149.263000)(-58.696999 -70.235001 -180.421997)(-32.963997 -102.998001 -268.908997)(-32.728001 -131.398010 -262.412018)(-34.747002 -67.998001 -249.231003)(-35.719200 -102.998001 -253.001984)(-19.043001 -65.293999 -217.115997)(-26.644501 -102.996994 -272.324005)(14.030000 -123.919998 -63.028999)(-34.747002 -102.998001 -254.220001)(-32.728001 -102.998001 -262.412018)(-30.429001 -130.789993 -144.536011)(-33.023201 -73.114296 -261.213989)(23.206999 -131.398010 -276.199005)(-36.313499 -67.998001 -248.096008)(-55.771000 -69.714005 -220.432999)(-62.362999 -94.998001 -125.247002)(-34.747002 -67.998001 -252.600998)(-61.464001 -49.998001 -209.841003)(4.284010 -62.021000 -69.631004)(-24.783001 -102.996994 -274.717010)(-34.827999 -94.998001 3.488990)(-2.403990 -102.998001 -215.292999)(-68.189003 -94.998001 -170.105988)(-30.767500 -117.197998 -233.854996)(-73.567001 -70.998001 -182.531998)(-2.828100 -78.269196 -215.343994)(-15.557000 -67.998001 -215.638000)(-65.008995 -111.447998 -181.721008)(-32.042400 -76.888206 -263.718018)(-25.962999 -94.998001 -275.100006)(-38.987000 -62.292000 -223.390991)(-34.889999 -137.998001 2.798980)(-21.492100 -92.591400 -277.554016)(-17.284000 -94.997002 -280.436005)(3.933000 -95.464996 -151.244995)(11.026999 -65.356003 -71.107002)(-29.873001 -137.998001 -18.243000)(-37.184998 -65.270996 -242.164993)(-36.717197 -62.616901 -228.912003)(-23.212000 -57.998001 -223.802994)(-4.680000 -75.051003 -169.678009)(-8.379001 -131.398010 -283.984009)(3.581010 -60.637001 -34.816998)(-26.009501 -72.687401 -273.041016)(31.319998 -111.039001 -17.164000)(27.792000 -137.998001 24.268000)(-35.656002 -61.842999 -179.450012)(-37.349998 -62.605999 -95.198997)(-13.700000 -60.007999 -65.688995)(-15.533999 -71.067001 -210.268997)(-26.582001 -39.997997 22.771000)(-18.932701 -67.998001 -219.552002)(2.111000 -109.419998 -150.588013)(-32.859001 -130.041000 -159.176010)(-57.661999 -49.998001 -216.656006)(-40.722000 -82.089996 -25.833000)(-38.299004 -121.013000 -51.695000)(-63.341000 -119.186996 -232.981003)(-58.002201 -120.438004 -187.438004)(-68.641998 -100.681999 -182.065002)(-20.842999 -60.113998 -98.861000)(16.263000 -57.998001 -219.009995)(-58.827999 -94.998001 -240.143005)(-14.048000 -114.524002 -201.854004)(-21.795000 -94.998001 -277.774994)(-54.701000 -119.632996 -140.020996)(-34.932899 -102.998001 -241.309006)(-32.728001 -67.998001 -237.589996)(27.792000 -39.997997 24.268000)(35.502998 -137.998001 -7.161010)(-30.624300 -67.998001 -266.420013)(33.206001 -82.862000 -13.636001)(12.978000 -78.931999 -106.367996)(20.278000 -66.840004 -28.527000)(-47.047001 -49.998001 -178.416992)(-24.627001 -49.998001 -212.796997)(25.455000 -71.585999 -24.275000)(-8.816000 -102.998001 -213.037994)(-36.116001 -111.791000 -261.822998)(-0.148996 -95.446999 -164.149994)(-48.222000 -71.567001 -92.785004)(19.315001 -118.086998 -64.172997)(-49.442001 -94.998001 -254.343994)(-34.747002 -67.998001 -250.642990)(-6.925000 -102.998001 -214.238998)(-27.636002 -62.453003 -190.236008)(12.177000 -137.998001 34.200001)(32.723000 -131.398010 -262.412018)(8.041010 -61.540001 -33.737000)(-55.896999 -70.998001 -224.066010)(-30.767401 -60.498001 -233.854996)(-23.212000 -67.998001 -223.802994)(25.389000 -79.096001 -56.713997)(-2.801980 -137.998001 -34.889000)(31.112000 -137.998001 19.976000)(-33.737499 -62.997997 -241.686005)(-16.268000 -57.998001 -219.009995)(-42.035999 -62.669003 -129.233994)(-44.452000 -126.286995 -226.533997)(-34.325996 -81.157997 -5.342010)(-16.665001 -69.749001 -198.437012)(-29.484701 -65.034004 -226.684998)(-43.042500 -123.603004 -236.990997)(-29.117300 -70.681404 -269.291992)(-9.064500 -74.696503 -215.134995)(-15.193200 -67.998001 -218.602005)(36.176998 -39.997997 4.287990)(-25.577999 -127.553001 -188.988007)(-35.087002 -102.998001 -235.404999)(-37.010101 -109.485001 -262.434998)(-53.931000 -68.025002 -219.959000)(-24.351002 -63.565998 -195.195999)(8.373000 -57.998001 -283.984009)(-30.964001 -102.996994 -270.424011)(-8.379001 -57.998001 -216.018005)(-37.625999 -117.516998 -254.781006)(-6.535840 -74.148003 -215.793991)(-61.918999 -116.224998 -181.427994)(-12.538000 -102.998001 -217.595001)(-61.464001 -70.998001 -209.841003)(8.374010 -131.398010 -283.984009)(-7.807990 -121.490005 -163.166992)(-32.728001 -57.998001 -262.412018)(31.112000 -39.997997 19.976000)(-9.834000 -77.056999 -213.119003)(-36.792000 -125.578003 -240.487991)(28.802000 -57.998001 -269.882996)(-34.747002 -70.390594 -254.220001)(-4.980400 -88.685997 -177.374008)(28.802000 -131.398010 -230.119003)(-29.338001 -61.197002 -149.078995)(-26.927500 -87.678001 -272.574005)(-34.747002 -131.398010 -245.781998)(-33.737499 -117.197998 -241.686005)(-33.397102 -67.998001 -259.696991)(-16.268000 -57.998001 -280.992004)(-33.077797 -102.998001 -263.984009)(-23.212000 -57.998001 -276.199005)(-43.659000 -127.535004 -142.076004)(-13.038000 -118.998001 -214.306992)(-39.228001 -72.167999 -42.965000)(-5.196000 -102.998001 -215.388992)(-31.983000 -61.887001 -181.930008)(-8.910000 -107.253998 -213.060013)(-8.943000 -68.842003 -169.065002)(31.961002 -95.500999 -40.298000)(-56.968998 -113.801003 -232.188004)(-51.194798 -122.622993 -223.052002)(18.875999 -39.997997 31.087999)(21.367001 -78.951004 -73.373001)(34.882999 -102.448997 -9.452009)(-28.044701 -67.998001 -229.259003)(-66.892899 -88.315498 -170.418991)(-8.724999 -95.389999 -212.539993)(33.808998 -39.997997 -12.393000)(-3.402000 -115.569000 -163.867996)(-6.693000 -77.352005 -215.647995)(-52.437000 -107.055000 -246.858994)(-21.729401 -67.997902 -277.222015)(-10.127000 -60.007999 -49.157001)(-17.612001 -63.435001 -167.830002)(-19.535999 -128.174011 -161.298004)(-24.905100 -102.998001 -225.714005)(-29.834000 -120.931000 -18.209000)(-9.214990 -39.997997 34.257999)(-28.806999 -83.364799 -269.882996)(-33.234001 -74.780304 -260.358978)(-34.747002 -63.728401 -250.001007)(-26.806000 -129.703003 -54.184002)(-34.747002 -67.998001 -245.781998)(-37.880001 -102.998001 -246.960999)(24.673000 -95.530998 -74.060997)(-53.559002 -71.121002 -126.929001)(-33.450001 -80.718002 -265.710999)(-2.791980 -132.617996 -34.791000)(-55.787998 -49.998001 -185.860001)(-10.007000 -113.411003 -213.347000)(-19.806999 -102.998001 -217.570007)(33.206001 -137.998001 14.952999)(-42.346100 -119.877007 -245.385010)(-72.016998 -119.053001 -182.330002)(-29.468000 -49.998001 -218.917999)(-22.862000 -126.750008 -219.763000)(-34.100998 -61.824001 -180.268997)(-54.037003 -82.290001 -91.491997)(-24.636000 -67.998001 -221.067993)(-13.985000 -76.268997 -204.968002)(-36.966000 -102.998001 -258.815002)(-31.474798 -102.998001 -235.201996)(-3.702990 -62.146999 -102.663002)(25.371000 -117.444000 -34.582001)(-32.728001 -102.998001 -237.589996)(-28.160000 -49.998001 -188.076996)(-12.033999 -82.993004 -209.343002)(-36.910999 -114.414001 -258.801025)(32.014500 -87.671303 -31.062000)(-36.327999 -62.118000 -222.572998)(35.595997 -91.500000 -6.749010)(34.742001 -131.398010 -254.220001)(-42.229000 -71.953995 -59.438000)(-35.454998 -94.998001 -268.032013)(32.723000 -131.398010 -237.589996)(-28.332001 -102.996994 -272.309998)(-12.348000 -95.409996 -201.830002)(16.263000 -57.998001 -280.992004)(-12.303000 -113.728004 -210.532990)(-47.727001 -82.469002 -58.233997)(-24.834999 -62.582001 -221.237000)(-45.891003 -126.901001 -157.100998)(32.223000 -82.122002 -22.379999)(0.710010 -123.014999 -120.723999)(-54.427097 -119.498001 -232.738007)(-25.205000 -63.491001 -213.649002)(-58.845299 -119.508995 -182.979004)(-28.806999 -102.998001 -230.119003)(-21.729401 -102.996994 -277.222015)(8.116010 -137.998001 -34.047001)(-65.190002 -94.998001 -142.662003)(-58.674999 -81.240997 -234.455002)(-24.375900 -102.998001 -225.117004)(-10.793000 -70.916000 -216.705994)(-24.362000 -63.959003 -212.259995)(-34.048000 -137.998001 -8.119020)(-51.541000 -49.998001 -221.496002)(-31.210899 -102.998001 -265.302979)(-6.759990 -115.158997 -177.180008)(-42.183998 -94.998001 -262.166992)(-28.806999 -57.998001 -269.882996)(-42.890999 -62.320000 -177.697006)(24.691000 -137.998001 -24.464001)(29.654600 -149.998001 22.112700)(-26.582001 -137.998001 22.770000)(-1.197130 -156.998001 31.157801)(-27.740900 -156.998001 -4.677500)(-16.963299 -156.998001 -80.802200)(-32.318001 -137.998001 13.442000)(29.152199 -156.998001 -2.663030)(36.176998 -137.998001 4.287980)(6.671020 -137.998001 35.572998)(-13.446000 -137.998001 -32.315998)(22.770000 -182.496994 -223.422012)(-35.806400 -189.498001 -229.341995)(36.158401 -149.998001 -3.320590)(-22.774000 -137.996994 -276.580017)(-26.961901 -189.498001 -258.687988)(-1.318000 -182.500000 -284.774994)(34.044003 -182.496994 -241.882996)(8.116000 -182.496994 -284.049988)(16.992100 -156.998001 25.463301)(1.314000 -182.497986 -215.228012)(-33.792000 -149.998001 -20.934000)(28.199701 -156.998001 8.544570)(20.818399 -156.998001 23.010799)(-29.873001 -137.998001 -268.242004)(-26.714800 -156.998001 -119.630997)(34.044003 -137.996994 -241.882996)(-24.383699 -184.358002 -272.410980)(-39.966000 -137.998001 -60.476002)(36.247002 -137.998001 0.979982)(23.780600 -156.998001 19.846800)(-19.054399 -154.030991 -101.490997)(18.239000 -137.996994 -279.870972)(1.168020 -137.998001 36.003002)(36.309498 -149.998001 1.535790)(-32.536102 -149.998001 11.096000)(19.088799 -137.991989 -32.389801)(-22.774000 -137.998001 -26.580000)(-38.906601 -189.498001 -221.182999)(-15.277000 -137.998001 -102.991997)(-57.883301 -182.497986 -162.330994)(-27.769600 -189.498001 -250.155991)(-11.719700 -156.998001 26.320400)(-21.649700 -189.500000 -207.320007)(31.982399 -149.998001 18.322001)(-27.399199 -156.998001 -123.236000)(11.879500 -149.998001 34.297897)(-33.792000 -137.998001 -20.934000)(-8.135980 -137.998001 34.439003)(18.202599 -184.285995 -277.552002)(34.206902 -149.998001 13.217199)(-13.268900 -189.496994 -276.946991)(-3.263980 -150.000000 35.670998)(-36.005501 -189.134003 -179.116989)(-3.457810 -189.496994 -281.248993)(22.770000 -137.996994 -223.422012)(13.442000 -137.998001 -217.686005)(17.841000 -137.998001 31.750002)(-11.002001 -137.998001 -216.774994)(-2.960950 -156.998001 -32.710999)(23.298000 -137.998001 28.255999)(-1.128870 -156.998001 -45.939098)(18.239000 -137.998001 -29.872000)(18.239000 -182.496994 -279.870972)(-16.334999 -137.998001 -201.244003)(-22.774000 -182.496994 -276.580017)(27.758499 -156.998001 -7.774090)(-14.404901 -189.500000 -218.376999)(-24.275299 -189.498001 -196.307999)(-2.802000 -137.996994 -284.889008)(25.550499 -156.998001 15.685400)(-26.775799 -156.998001 -21.015501)(-50.120800 -189.241013 -172.523010)(-56.702202 -153.255005 -130.854996)(-34.047001 -182.497986 -258.118988)(-15.610100 -182.497986 -203.354996)(-27.640900 -156.998001 2.703430)(26.745501 -156.998001 -11.643800)(-20.374899 -156.998001 -94.729103)(2.798010 -137.998001 -215.113998)(33.769802 -149.998001 -12.485200)(26.912899 -189.496994 -240.452011)(27.969999 -149.998001 -21.650999)(27.969999 -137.998001 -21.650999)(-39.966000 -149.998001 -60.476002)(-46.050499 -149.998001 -82.837898)(-15.277000 -149.998001 -102.991997)(-34.966000 -137.998001 -248.412003)(-34.751999 -149.998001 -4.183020)(-44.945999 -182.497986 -226.035004)(-31.163000 -149.998001 15.936000)(13.442000 -182.497986 -217.686005)(31.544998 -137.998001 -16.125000)(31.332701 -149.998001 -17.143900)(-29.872101 -182.496994 -268.242004)(-34.889999 -149.998001 2.798980)(32.313000 -182.496994 -263.444977)(-16.307100 -153.035004 -94.143005)(-55.576000 -149.998001 -118.355995)(29.868999 -182.496994 -231.759995)(17.150700 -150.000000 32.103699)(-9.844601 -156.998001 27.780701)(-58.044003 -175.225006 -157.039001)(-47.651600 -156.998001 -115.832001)(-47.735699 -189.498001 -184.156998)(-36.322502 -182.497986 -245.369995)(-22.927999 -137.998001 -160.794006)(-34.751999 -137.998001 -4.183020)(34.981003 -137.998001 10.695001)(7.470020 -150.000000 35.383999)(4.433010 -137.998001 -50.197002)(35.774498 -149.998001 6.953700)(12.055900 -156.998001 28.325001)(-11.581800 -149.998001 33.379101)(27.792099 -189.496994 -252.355011)(16.708599 -189.496994 -271.980988)(4.278130 -156.998001 31.509399)(20.308601 -149.998001 30.251301)(18.876999 -137.998001 31.087000)(-58.044003 -137.998001 -157.039001)(-13.446000 -137.996994 -282.316010)(-19.649000 -137.998001 -119.943001)(-49.345097 -156.998001 -124.140999)(34.885998 -137.996994 -252.800995)(-20.283001 -137.998001 28.524000)(-8.120001 -137.998001 -215.956009)(-20.283001 -149.998001 28.524000)(11.725801 -189.496994 -221.248001)(-11.306000 -137.998001 -85.293999)(-44.945999 -137.998001 -226.035004)(-36.338299 -156.998001 -73.647003)(26.577000 -182.496994 -272.773010)(-21.933399 -182.497986 -168.339005)(16.503300 -189.496994 -226.860001)(-22.523100 -156.998001 15.576400)(-7.896510 -149.998001 34.394699)(-34.889999 -137.998001 2.798980)(-29.873001 -137.998001 -18.243000)(-32.441399 -156.998001 -57.659500)(27.792000 -137.998001 24.268000)(-56.864998 -137.998001 -176.050003)(-0.783752 -189.498001 -217.155991)(24.949600 -149.998001 26.719601)(20.853899 -156.998001 -19.482899)(22.050301 -189.496994 -231.162003)(-57.025299 -182.497986 -173.466995)(-22.834999 -179.996002 -162.725998)(35.502998 -137.998001 -7.161010)(34.885998 -182.496994 -252.800995)(-13.055200 -182.500000 -284.049988)(12.177000 -137.998001 34.200001)(4.433010 -149.998001 -50.197002)(29.113100 -156.998001 3.545240)(-2.801980 -137.998001 -34.889000)(31.112000 -137.998001 19.976000)(-11.002001 -182.497986 -216.774994)(-22.927999 -178.374008 -160.794998)(24.481899 -189.496994 -262.816010)(34.653000 -149.998001 -9.078020)(-22.692001 -149.998001 26.648001)(26.577000 -137.996994 -272.773010)(29.868999 -137.996994 -231.759003)(9.658250 -156.998001 30.315300)(-20.187099 -149.998001 -122.778000)(1.761020 -150.000000 36.000999)(-19.649000 -149.998001 -119.943001)(-23.863100 -156.998001 -108.253006)(-22.040800 -189.496994 -268.871002)(32.313000 -137.996994 -263.444977)(-34.047001 -137.998001 -258.118988)(-50.627998 -177.737991 -148.858994)(33.206001 -137.998001 14.952999)(-17.766500 -137.998001 -67.745499)(-55.575901 -151.392990 -127.995003)(24.215700 -156.998001 -15.643100)(-55.576000 -137.998001 -118.355995)(-29.928200 -186.882004 -160.045990)(9.828230 -189.496994 -277.837982)(-11.306000 -149.998001 -85.293999)(-50.865501 -189.241013 -162.856003)(8.116010 -137.998001 -34.047001)(8.116000 -137.996994 -284.046997)(-29.877899 -188.467987 -161.934998)(-34.048000 -137.998001 -8.119020)(-38.497002 -166.150009 -267.291016)(-37.223000 -160.169006 -268.921997)(-50.820999 -173.792007 -239.322998)(-36.084999 -166.835999 -266.902008)(-63.566998 -172.355988 -174.441986)(-61.919998 -118.998001 -181.429001)(-81.010002 -126.736000 -183.500000)(-62.340000 -132.707993 -149.683990)(-54.797600 -123.013000 -204.317001)(-58.412998 -119.945000 -185.261993)(-58.473999 -173.792007 -213.889008)(-65.920998 -144.183990 -153.854004)(-34.699997 -146.938995 -269.044983)(-62.347000 -146.132004 -149.701996)(-61.654003 -159.057999 -152.160004)(-68.758003 -70.998001 -233.304001)(-46.383999 -173.947998 -237.547989)(-37.056000 -155.947998 -269.127991)(-43.499298 -119.771004 -265.170013)(-62.340000 -119.496002 -149.684998)(-66.598999 -119.332001 -154.643997)(-68.434998 -164.631989 -165.306000)(-73.567001 -118.998001 -182.531998)(-62.817001 -173.792007 -187.619003)(-45.613201 -121.730003 -237.229004)(-41.271000 -170.655991 -263.570984)(-57.021698 -121.278999 -192.606003)(-32.631001 -163.595001 -268.276978)(-37.067997 -119.981995 -269.121002)(-68.758003 -118.998001 -233.305008)(-34.967003 -120.071999 -263.858002)(-66.426003 -156.526993 -155.760010)(-50.044102 -123.164993 -226.154999)(-71.060997 -160.860001 -166.614990)(-63.341000 -127.186996 -232.981003)(-59.297001 -119.295998 -242.837997)(-37.069000 -137.964996 -269.121002)(-59.216999 -173.677994 -181.024002)(-53.042999 -173.647003 -244.598007)(-32.253998 -137.647003 -268.968994)(-38.837601 -146.028992 -254.471985)(-69.516006 -144.494995 -158.040009)(-37.294998 -161.979996 -268.833984)(-32.253998 -120.150002 -268.968994)(-60.181000 -162.713013 -154.552994)(-37.062000 -146.875000 -269.123993)(-76.249001 -71.259995 -233.750992)(-61.239002 -152.806992 -149.776001)(-60.208000 -164.248001 -156.287994)(-62.295002 -164.125992 -156.455994)(-60.010998 -152.342010 -149.419998)(-72.016998 -127.052994 -182.330002)(-60.107998 -159.155991 -151.942001)(-59.999001 -119.580002 -149.154999)(-69.516006 -119.218994 -158.041000)(-59.999001 -132.618988 -149.156998)(-66.963005 -171.975006 -174.878006)(-47.899002 -136.130005 -262.467010)(-66.611000 -173.546005 -188.223999)(-53.096500 -122.945000 -213.171005)(-69.000999 -169.826004 -189.843994)(-32.294003 -160.522003 -268.894989)(-53.742001 -173.947998 -213.554001)(-65.137001 -169.826004 -214.992996)(-49.703503 -123.370995 -227.009003)(-63.174004 -158.895996 -152.487000)(-51.386700 -122.740997 -222.060989)(-62.341999 -143.931000 -149.687012)(-43.979900 -120.915001 -241.307999)(-32.243999 -155.144012 -268.988007)(-60.054001 -156.128998 -150.442001)(-59.218998 -119.501999 -181.031998)(-65.378998 -173.647003 -199.020004)(-81.010002 -71.259995 -183.500000)(-45.118999 -173.789001 -251.339996)(-60.224998 -165.186996 -157.350006)(-58.525997 -173.947998 -187.392990)(-50.521999 -173.947998 -224.055008)(-33.310001 -166.542999 -267.015991)(-59.687000 -172.139008 -174.113998)(-39.049000 -167.503006 -266.575012)(-41.603001 -173.949997 -249.691986)(-47.899002 -119.626999 -262.467010)(-60.001999 -146.066986 -149.210007)(-73.567001 -70.998001 -182.531998)(-71.374001 -165.998001 -190.115997)(-34.295002 -169.166992 -265.152985)(-36.129002 -171.985992 -261.556000)(-60.212002 -168.388000 -162.796997)(-63.341000 -119.186996 -232.981003)(-58.002201 -120.438004 -187.438004)(-54.660000 -173.647003 -240.858002)(-41.948002 -173.561005 -257.174988)(-76.249001 -126.736000 -233.750992)(-71.705994 -127.047005 -187.151001)(-65.650002 -167.967010 -163.812988)(-62.477997 -152.776001 -150.128998)(-32.249001 -146.972000 -268.979004)(-65.387001 -165.998001 -225.009995)(-42.603401 -145.931000 -245.045013)(-49.552998 -119.577995 -259.981018)(-61.351002 -119.239006 -238.296997)(-42.475998 -144.626999 -265.798981)(-55.555801 -146.725006 -202.108994)(-70.099998 -119.190002 -160.869003)(-34.699001 -120.063995 -269.046021)(-62.932999 -167.688004 -162.039993)(-71.717003 -119.096001 -172.174011)(-51.194798 -122.622993 -223.052002)(-65.716995 -127.133995 -224.270004)(-33.647999 -167.443008 -266.377014)(-60.214001 -167.822998 -161.835999)(-48.333000 -173.647003 -252.846008)(-49.676003 -164.207001 -259.772003)(-38.748997 -171.387009 -262.629974)(-42.346100 -119.877007 -245.385010)(-72.016998 -119.053001 -182.330002)(-57.049198 -165.996994 -246.987000)(-45.735001 -167.981003 -261.308014)(-61.328003 -165.998001 -238.352997)(-59.999001 -144.543015 -149.158997)(-61.173000 -146.094986 -149.422012)(-67.502998 -165.998001 -215.310013)(-58.265999 -169.826004 -239.406006)(-61.170002 -119.538002 -149.419998)(-69.857002 -154.955994 -159.654999)(-54.427097 -119.498001 -232.738007)(-62.691002 -173.647003 -215.048004)(-61.173000 -132.658005 -149.419998)(-34.742001 -160.427002 -268.980011)))
           )
           )))
    (send glvertices :calc-normals)
    (send self :assoc glvertices)
    glvertices)
  (:qhull-faceset ()
   ;; qhull 991 -> 42 faces
   (instance faceset :init :faces (list
    (instance face :init :vertices (list (float-vector -32.318000 -39.997999 13.443000) (float-vector -31.163000 -149.997994 15.936000) (float-vector -81.009999 -126.736000 -183.500007) (float-vector -81.009999 -71.259998 -183.500007)))
    (instance face :init :vertices (list (float-vector -31.163000 -149.997994 15.936000) (float-vector -71.061000 -160.860002 -166.614994) (float-vector -81.009999 -126.736000 -183.500007)))
    (instance face :init :vertices (list (float-vector -62.369000 -49.998000 -202.089995) (float-vector -32.318000 -39.997999 13.443000) (float-vector -81.009999 -71.259998 -183.500007)))
    (instance face :init :vertices (list (float-vector -31.163000 -149.997994 15.936000) (float-vector -50.865501 -189.241007 -162.855998) (float-vector -71.061000 -160.860002 -166.614994)))
    (instance face :init :vertices (list (float-vector 24.949601 -149.997994 26.719600) (float-vector 7.470020 -150.000006 35.383999) (float-vector 6.675010 -39.997999 35.572000) (float-vector 27.791999 -39.997999 24.267999)))
    (instance face :init :vertices (list (float-vector -76.249003 -126.736000 -233.750999) (float-vector -76.249003 -71.259998 -233.750999) (float-vector -81.009999 -71.259998 -183.500007) (float-vector -81.009999 -126.736000 -183.500007)))
    (instance face :init :vertices (list (float-vector -57.661999 -49.998000 -216.655999) (float-vector -62.369000 -49.998000 -202.089995) (float-vector -81.009999 -71.259998 -183.500007) (float-vector -76.249003 -71.259998 -233.750999)))
    (instance face :init :vertices (list (float-vector 36.302000 -39.997999 -1.659000) (float-vector 34.981001 -39.997999 10.695000) (float-vector 27.791999 -39.997999 24.267999) (float-vector 6.675010 -39.997999 35.572000) (float-vector -20.283001 -39.997999 28.524000) (float-vector -32.318000 -39.997999 13.443000) (float-vector -2.802990 -39.997999 -34.889001)))
    (instance face :init :vertices (list (float-vector 31.982400 -149.997994 18.322000) (float-vector 34.981001 -39.997999 10.695000) (float-vector 36.309499 -149.997994 1.535790)))
    (instance face :init :vertices (list (float-vector 31.982400 -149.997994 18.322000) (float-vector 24.949601 -149.997994 26.719600) (float-vector 27.791999 -39.997999 24.267999) (float-vector 34.981001 -39.997999 10.695000)))
    (instance face :init :vertices (list (float-vector -22.523100 -156.997994 15.576400) (float-vector -50.865501 -189.241007 -162.855998) (float-vector -31.163000 -149.997994 15.936000)))
    (instance face :init :vertices (list (float-vector -50.865501 -189.241007 -162.855998) (float-vector -22.523100 -156.997994 15.576400) (float-vector -9.844600 -156.997994 27.780700) (float-vector 9.658250 -156.997994 30.315300)))
    (instance face :init :vertices (list (float-vector 9.658250 -156.997994 30.315300) (float-vector 7.470020 -150.000006 35.383999) (float-vector 24.949601 -149.997994 26.719600) (float-vector 31.982400 -149.997994 18.322000) (float-vector 23.780599 -156.997994 19.846801)))
    (instance face :init :vertices (list (float-vector -62.369000 -49.998000 -202.089995) (float-vector -57.661999 -49.998000 -216.655999) (float-vector -2.802990 -39.997999 -34.889001) (float-vector -32.318000 -39.997999 13.443000)))
    (instance face :init :vertices (list (float-vector -20.283001 -39.997999 28.524000) (float-vector -20.283001 -149.997994 28.524000) (float-vector -31.163000 -149.997994 15.936000) (float-vector -32.318000 -39.997999 13.443000)))
    (instance face :init :vertices (list (float-vector -31.163000 -149.997994 15.936000) (float-vector -20.283001 -149.997994 28.524000) (float-vector -9.844600 -156.997994 27.780700) (float-vector -22.523100 -156.997994 15.576400)))
    (instance face :init :vertices (list (float-vector 9.658250 -156.997994 30.315300) (float-vector 23.780599 -156.997994 19.846801) (float-vector 27.792100 -189.496994 -252.355009) (float-vector -50.865501 -189.241007 -162.855998)))
    (instance face :init :vertices (list (float-vector 36.309499 -149.997994 1.535790) (float-vector 34.885999 -182.496995 -252.801001) (float-vector 27.792100 -189.496994 -252.355009) (float-vector 23.780599 -156.997994 19.846801) (float-vector 31.982400 -149.997994 18.322000)))
    (instance face :init :vertices (list (float-vector -20.283001 -149.997994 28.524000) (float-vector -3.263980 -150.000006 35.670999) (float-vector -9.844600 -156.997994 27.780700)))
    (instance face :init :vertices (list (float-vector -3.263980 -150.000006 35.670999) (float-vector 7.470020 -150.000006 35.383999) (float-vector 9.658250 -156.997994 30.315300) (float-vector -9.844600 -156.997994 27.780700)))
    (instance face :init :vertices (list (float-vector 7.470020 -150.000006 35.383999) (float-vector -3.263980 -150.000006 35.670999) (float-vector -20.283001 -149.997994 28.524000) (float-vector -20.283001 -39.997999 28.524000) (float-vector 6.675010 -39.997999 35.572000)))
    (instance face :init :vertices (list (float-vector -66.610999 -173.546001 -188.224003) (float-vector -71.061000 -160.860002 -166.614994) (float-vector -50.865501 -189.241007 -162.855998)))
    (instance face :init :vertices (list (float-vector -3.457810 -189.496994 -281.248987) (float-vector -13.055200 -182.500005 -284.049988) (float-vector -13.268900 -189.496994 -276.946992)))
    (instance face :init :vertices (list (float-vector -58.265999 -169.826001 -239.406005) (float-vector -49.676001 -164.206997 -259.772003) (float-vector -76.249003 -126.736000 -233.750999)))
    (instance face :init :vertices (list (float-vector -49.676001 -164.206997 -259.772003) (float-vector -47.899000 -136.130005 -262.466997) (float-vector -76.249003 -71.259998 -233.750999) (float-vector -76.249003 -126.736000 -233.750999)))
    (instance face :init :vertices (list (float-vector -13.268900 -189.496994 -276.946992) (float-vector -13.055200 -182.500005 -284.049988) (float-vector -49.676001 -164.206997 -259.772003) (float-vector -58.265999 -169.826001 -239.406005) (float-vector -26.961900 -189.498007 -258.688003)))
    (instance face :init :vertices (list (float-vector -71.061000 -160.860002 -166.614994) (float-vector -66.610999 -173.546001 -188.224003) (float-vector -67.502998 -165.997997 -215.310007) (float-vector -76.249003 -126.736000 -233.750999) (float-vector -81.009999 -126.736000 -183.500007)))
    (instance face :init :vertices (list (float-vector -50.865501 -189.241007 -162.855998) (float-vector 27.792100 -189.496994 -252.355009) (float-vector 16.708599 -189.496994 -271.981001) (float-vector -3.457810 -189.496994 -281.248987) (float-vector -13.268900 -189.496994 -276.946992) (float-vector -26.961900 -189.498007 -258.688003)))
    (instance face :init :vertices (list (float-vector 34.885999 -182.496995 -252.801001) (float-vector 26.577000 -182.496995 -272.772998) (float-vector 16.708599 -189.496994 -271.981001) (float-vector 27.792100 -189.496994 -252.355009)))
    (instance face :init :vertices (list (float-vector -3.457810 -189.496994 -281.248987) (float-vector 16.708599 -189.496994 -271.981001) (float-vector 26.577000 -182.496995 -272.772998) (float-vector 8.116000 -182.496995 -284.049988)))
    (instance face :init :vertices (list (float-vector -62.691003 -173.647001 -215.048000) (float-vector -67.502998 -165.997997 -215.310007) (float-vector -66.610999 -173.546001 -188.224003)))
    (instance face :init :vertices (list (float-vector -62.691003 -173.647001 -215.048000) (float-vector -58.265999 -169.826001 -239.406005) (float-vector -76.249003 -126.736000 -233.750999) (float-vector -67.502998 -165.997997 -215.310007)))
    (instance face :init :vertices (list (float-vector -58.265999 -169.826001 -239.406005) (float-vector -62.691003 -173.647001 -215.048000) (float-vector -66.610999 -173.546001 -188.224003) (float-vector -50.865501 -189.241007 -162.855998) (float-vector -26.961900 -189.498007 -258.688003)))
    (instance face :init :vertices (list (float-vector 34.742001 -57.998002 -254.220009) (float-vector 34.885999 -182.496995 -252.801001) (float-vector 36.309499 -149.997994 1.535790) (float-vector 34.981001 -39.997999 10.695000) (float-vector 36.302000 -39.997999 -1.659000)))
    (instance face :init :vertices (list (float-vector -47.899000 -136.130005 -262.466997) (float-vector -23.212001 -57.998002 -276.199013) (float-vector -76.249003 -71.259998 -233.750999)))
    (instance face :init :vertices (list (float-vector -23.212001 -57.998002 -276.199013) (float-vector -47.899000 -136.130005 -262.466997) (float-vector -49.676001 -164.206997 -259.772003) (float-vector -13.055200 -182.500005 -284.049988) (float-vector -8.379000 -57.998002 -283.984005)))
    (instance face :init :vertices (list (float-vector -23.212001 -57.998002 -276.199013) (float-vector -8.379000 -57.998002 -283.984005) (float-vector -57.661999 -49.998000 -216.655999) (float-vector -76.249003 -71.259998 -233.750999)))
    (instance face :init :vertices (list (float-vector -3.457810 -189.496994 -281.248987) (float-vector 8.116000 -182.496995 -284.049988) (float-vector 8.373000 -57.998002 -283.984005) (float-vector -8.379000 -57.998002 -283.984005) (float-vector -13.055200 -182.500005 -284.049988)))
    (instance face :init :vertices (list (float-vector 8.116000 -182.496995 -284.049988) (float-vector 26.577000 -182.496995 -272.772998) (float-vector 23.207000 -57.998002 -276.199013) (float-vector 8.373000 -57.998002 -283.984005)))
    (instance face :init :vertices (list (float-vector 32.722998 -57.998002 -262.412012) (float-vector 23.207000 -57.998002 -276.199013) (float-vector 26.577000 -182.496995 -272.772998)))
    (instance face :init :vertices (list (float-vector -8.379000 -57.998002 -283.984005) (float-vector 8.373000 -57.998002 -283.984005) (float-vector 23.207000 -57.998002 -276.199013) (float-vector 32.722998 -57.998002 -262.412012) (float-vector 34.742001 -57.998002 -254.220009) (float-vector 36.302000 -39.997999 -1.659000) (float-vector -2.802990 -39.997999 -34.889001) (float-vector -57.661999 -49.998000 -216.655999)))
    (instance face :init :vertices (list (float-vector 34.742001 -57.998002 -254.220009) (float-vector 32.722998 -57.998002 -262.412012) (float-vector 26.577000 -182.496995 -272.772998) (float-vector 34.885999 -182.496995 -252.801001)))
    ))
   )
  )

(defclass HiroNX_g1_6_geom0
  :super collada-body
  :slots ())
(defmethod HiroNX_g1_6_geom0
  (:init (&key (name))
         (replace-object self (send self :qhull-faceset))
         (if name (send self :name name))
         (send self :def-gl-vertices)
         self)
  (:def-gl-vertices ()
    (setq glvertices
       (instance gl::glvertices :init
          (list
          (list
           (list :type :triangles)
           (list :material (list
             (list :color (float-vector 0.1 0.1 0.1))
             (list :ambient (float-vector 0.200000 0.200000 0.200000 1.000000))
             (list :diffuse (float-vector 0.900000 0.900000 0.900000 1.000000))
           ))
           (list :indices #i( 90 122 20 100 106 78 179 48 219 207 237 163 124 116 98 230 65 56 13 188 169 47 241 65 235 124 98 51 37 148 145 19 195 164 6 170 209 189 180 141 129 85 132 58 83 79 232 129 176 239 2 143 49 237 170 191 228 173 104 83 69 99 197 1 79 129 214 63 35 130 82 121 180 32 85 195 7 72 131 87 24 42 241 225 101 88 212 39 92 230 179 113 135 195 154 80 105 55 160 46 144 153 77 90 198 216 173 83 123 70 207 171 113 175 132 104 152 55 132 160 147 91 178 213 64 191 91 193 153 188 13 140 152 44 87 117 16 8 5 225 81 45 184 43 101 92 128 157 73 180 56 34 35 15 141 32 28 79 17 33 12 49 204 138 67 92 222 150 74 245 91 151 171 175 73 157 236 245 22 91 25 227 136 114 15 197 65 189 209 116 201 98 214 205 235 98 76 118 216 217 44 82 61 121 45 43 13 202 62 12 152 87 160 63 56 35 233 127 156 128 233 156 167 202 12 171 151 163 68 108 6 112 12 54 82 70 123 225 111 3 22 149 91 215 8 203 97 18 174 131 185 0 235 200 63 91 149 115 68 181 56 181 127 56 91 183 203 227 171 163 165 60 94 147 211 91 101 204 67 189 32 180 61 100 121 149 22 57 55 244 4 200 235 204 211 147 80 94 206 159 44 217 24 128 56 63 205 214 158 91 7 139 200 128 63 71 106 100 142 138 76 183 190 215 40 95 12 195 57 199 91 162 183 151 207 163 153 144 194 19 208 10 185 165 0 190 195 215 81 225 3 172 110 12 190 145 195 144 195 182 86 5 81 113 219 175 23 206 94 175 109 226 64 231 30 2 239 196 45 11 184 84 230 150 169 242 12 125 172 12 26 195 72 40 51 148 146 47 234 193 16 117 173 216 44 177 91 69 26 57 195 132 152 160 78 12 121 195 61 139 156 127 181 73 209 180 27 229 59 13 169 12 115 26 72 48 97 109 214 235 63 106 120 78 154 211 80 240 10 225 240 19 10 15 114 141 177 42 225 105 160 223 9 64 213 234 31 77 54 12 102 108 9 213 114 1 141 96 192 75 87 131 0 150 222 212 18 97 93 223 0 14 68 210 181 161 40 148 77 31 122 48 135 93 195 168 182 31 66 122 65 209 137 192 96 159 99 91 139 30 231 228 120 71 51 208 145 162 147 168 80 230 92 150 12 23 94 210 128 156 28 232 79 95 161 238 219 109 175 39 230 56 60 165 185 86 221 5 168 178 182 233 39 127 45 13 12 136 227 163 143 70 49 176 166 52 130 33 82 145 190 162 139 61 123 97 48 93 74 154 36 218 150 212 7 115 72 6 108 213 58 103 83 61 195 37 12 130 121 12 224 102 91 177 225 92 233 128 8 16 203 1 216 79 231 170 228 135 113 25 12 136 49 68 6 243 40 120 51 11 45 95 174 18 131 242 155 12 119 188 5 100 61 37 225 198 111 110 224 12 33 70 82 173 44 152 47 52 50 49 136 237 87 0 160 100 78 121 65 137 56 165 94 126 89 125 12 186 103 58 243 6 164 11 95 238 71 120 106 195 144 46 52 166 50 83 103 17 191 30 228 113 179 219 239 134 196 66 101 67 195 46 117 7 195 139 19 240 195 226 109 24 107 201 187 84 150 218 28 4 187 75 192 14 13 43 140 242 169 221 164 9 21 143 237 207 177 69 32 231 64 9 146 77 198 65 241 42 57 22 199 240 225 5 204 235 118 195 240 5 197 175 226 216 1 217 188 140 5 231 9 164 22 245 199 9 108 21 232 27 129 99 151 197 86 41 220 4 107 187 32 141 85 221 119 5 151 175 197 188 119 169 60 185 131 195 199 36 242 220 133 137 73 236 162 190 183 184 11 5 93 12 94 18 29 131 194 144 182 108 128 21 237 136 163 29 93 94 12 135 136 19 145 208 213 191 170 235 98 118 104 173 152 168 147 178 37 195 5 40 161 95 46 193 117 41 86 81 243 164 21 205 38 124 214 34 158 189 42 32 157 59 236 97 174 109 34 232 158 25 171 227 16 193 91 195 8 215 166 176 2 178 194 182 210 243 128 108 68 56 217 226 24 168 195 80 10 91 225 60 29 94 225 241 198 7 91 115 113 171 25 210 156 181 138 204 76 76 204 118 186 55 4 86 220 242 127 39 56 65 53 52 38 205 158 48 179 135 231 164 170 38 116 124 70 33 49 217 1 114 29 18 93 15 69 197 26 149 57 199 245 36 87 44 24 235 205 124 128 243 21 34 229 56 66 67 122 234 47 50 79 216 17 92 39 233 16 91 203 48 109 219 71 37 51 151 123 207 187 201 158 29 60 131 183 215 203 62 89 12 134 239 53 193 46 153 74 211 154 155 242 133 37 5 148 69 15 32 141 1 129 146 234 77 6 213 170 95 45 12 195 117 8 155 167 12 217 114 226 120 12 78 160 0 223 151 99 123 43 184 5 232 28 187 196 134 218 42 177 32 209 73 137 71 100 37 138 142 122 114 197 226 90 20 111 120 40 12 0 75 14 137 59 56 90 77 122 34 229 232 140 43 5 99 139 123 61 82 123 149 26 115 109 131 24 244 107 4 104 132 83 201 38 158 165 96 0 93 135 12 91 208 162 244 55 105 210 68 243 208 91 10 154 195 36 222 92 101 238 161 5 96 126 159 126 94 159 59 229 56 135 25 136 129 27 85 59 157 85 211 74 91 189 65 42 11 238 5 50 88 101 222 101 212 5 161 148 103 186 17 169 119 221 201 116 38 111 20 3 109 174 131 91 153 194 91 194 178 216 83 17 134 84 218 70 143 207 34 214 35 67 138 122 64 30 191 0 96 75 91 99 69 59 137 236 198 90 111 33 130 12 157 180 85 232 187 158 27 59 85 96 165 126 128 108 56 12 112 23 28 186 4 245 74 36 186 28 17 86 242 221 252 253 247 270 257 254 252 271 262 256 261 246 256 268 267 269 255 247 256 263 268 259 252 255 270 250 257 249 253 251 265 257 258 248 270 254 272 260 264 255 252 247 256 246 263 253 269 247 265 266 257 272 249 260 261 256 250 252 262 251 273 276 274 275 273 274 278 277 279 298 287 305 303 308 299 312 314 319 305 287 320 320 294 322 283 321 289 304 283 319 308 288 291 313 312 319 305 297 285 308 303 288 296 311 309 283 300 299 287 298 292 292 298 314 299 313 319 324 294 320 316 287 292 309 298 305 287 308 320 308 324 320 318 305 307 311 301 309 305 285 293 286 317 309 315 308 291 323 296 309 316 308 287 281 283 280 305 318 282 300 283 281 283 304 309 314 304 319 312 292 314 302 321 283 297 305 282 323 309 305 315 295 308 317 310 309 300 303 299 298 309 314 310 306 309 301 290 309 306 302 309 283 299 319 309 304 314 323 305 293 302 283 309 321 284 289 290 286 309 305 320 307 308 295 324 326 327 325 331 330 329 331 332 330 330 332 328 340 335 336 334 333 337 338 335 340 335 334 342 339 334 337 333 338 341 338 340 341 334 339 342 333 341 337 335 338 333 335 342 336 334 335 333))
           (list :vertices #2f((-63.056602 0.834875 -57.965000)(-51.194000 27.795000 -37.005001)(12.148001 -32.999001 -30.688002)(3.000000 -8.739480 -58.005001)(-61.326000 -14.710000 -24.707998)(3.000000 41.000999 -58.005001)(15.898001 -24.999001 28.913000)(-28.281000 37.000999 20.615000)(33.286999 41.000999 -10.821000)(-15.898001 -32.999001 28.913000)(3.000010 37.000999 -34.875999)(-8.386640 23.539902 -58.005001)(-37.959000 30.995001 -143.005005)(-2.982000 17.147001 -143.005005)(-61.465199 -5.499000 -58.005001)(-45.068001 32.778999 -2.410000)(33.286999 37.000999 -10.821000)(-57.316002 -13.033000 -37.005001)(-60.433998 9.889960 -58.005001)(8.704000 41.000999 -33.904999)(3.000000 -24.999001 -58.005001)(-18.664001 -32.999001 27.210001)(-12.884001 37.000999 32.536999)(-61.119198 -5.499000 -143.005005)(-61.875999 16.542000 -25.462999)(-52.135799 23.050200 -58.005001)(-26.968000 41.000999 22.305000)(-42.292000 -24.726000 1.398000)(-53.715000 -18.543999 -14.269000)(-60.501602 9.535840 -58.005001)(0.000009 -32.999001 32.994999)(0.344250 -32.999001 -39.414700)(-37.824001 35.925999 -37.005001)(-38.293201 30.863199 -58.005001)(-50.163998 -24.999001 -9.398999)(-47.199100 -26.082899 -5.332310)(-4.386990 41.000999 34.719002)(-30.000000 41.000999 -58.005001)(-51.233002 -28.144499 -35.167999)(32.935001 -24.999001 2.066990)(-22.043001 30.995001 -143.005005)(1.464170 -5.499000 -58.005001)(0.000007 -24.999001 -37.005001)(-3.211800 17.424799 -58.005001)(-58.394001 13.901000 -20.687000)(-8.095000 23.328001 -143.005005)(34.380001 41.000999 6.552990)(5.929000 -24.999001 -33.922001)(-57.172501 16.820799 -58.005001)(-45.417000 28.042000 -143.005005)(5.929000 -32.999001 -33.922001)(-22.399700 31.041199 -58.005001)(9.976009 -24.999001 -31.461000)(5.415880 -24.999001 -16.125500)(-49.816399 -5.499000 -143.005005)(-62.932999 -6.978000 -26.912001)(-28.282000 -24.999001 20.615000)(-20.573000 41.000999 28.310999)(-58.931999 -6.650000 -21.424999)(-39.000000 -24.999001 5.912990)(-61.028000 6.775970 -58.005001)(-38.541000 39.877003 -58.005001)(-14.798700 -5.498990 -143.005005)(-46.378502 -26.382999 -4.206770)(-8.206989 -32.999001 31.957998)(-21.194599 -24.999001 -8.272909)(-11.142799 -32.999001 -32.588001)(-28.005100 -32.999001 -22.566900)(22.590000 -24.999001 24.050999)(-37.824001 35.925999 7.525990)(-41.523098 29.584400 -58.005001)(-25.747000 31.463900 -58.005001)(-28.281000 41.000999 20.615000)(-36.226002 -24.999001 -7.533000)(4.387010 37.000999 34.719002)(-61.823498 0.203272 -57.965698)(-41.549999 -32.999001 -58.005001)(3.000000 -32.999001 -40.993000)(-30.357700 31.955801 -58.005001)(-53.715000 -18.543999 -37.005001)(12.884001 41.000999 32.536999)(3.000000 -5.499000 -58.005001)(-40.139702 34.730698 -58.005001)(-58.387997 -0.088998 -37.005001)(29.859001 -24.999001 -14.056000)(-42.292000 -24.726000 -37.005001)(1.936000 2.010000 -58.005001)(-63.000000 8.000999 -27.004999)(4.440890 -32.999001 -20.639400)(-20.786301 -5.498990 -143.005005)(3.000000 -25.988100 -55.901699)(-30.000000 37.000999 18.257000)(32.414997 -32.999001 -6.189010)(-60.433998 9.889000 -143.005005)(-61.938000 2.010000 -143.005005)(-14.584001 28.042000 -143.005005)(-61.914600 1.653060 -57.973499)(-58.512402 13.973499 -58.005001)(-50.163998 -32.999001 -58.005001)(-46.500000 36.580002 -4.374010)(-32.143997 36.232399 -58.005001)(-21.195101 -32.999001 -8.272280)(-44.920601 -5.499000 -143.005005)(-58.931999 -6.650000 -37.005001)(-58.933002 6.022000 -37.005001)(-62.932999 -6.978000 -58.005001)(-30.000000 32.000999 -58.005001)(-57.693001 -21.723000 -58.005001)(-18.664001 -24.999001 27.210001)(-61.875999 16.542000 -58.005001)(-35.662598 -5.499000 -143.005005)(3.000000 -24.999001 -55.605003)(-55.131699 -5.499000 -143.005005)(-54.266602 20.474300 -58.005001)(-51.194000 27.795000 -10.812000)(-26.968000 37.000999 22.305000)(-50.163998 -28.795000 -58.005001)(34.931000 41.000999 -2.203010)(-45.857002 -32.999001 -33.701500)(0.433002 9.889000 -58.005001)(-30.000999 32.000999 -143.005005)(-33.779400 31.523701 -58.005001)(3.000000 -32.999001 -58.005001)(-46.500000 36.580002 -58.005001)(-50.163998 -28.794401 -32.459000)(-26.101301 -5.498990 -143.005005)(-61.701099 -1.744470 -100.488998)(31.385000 -24.999001 10.193000)(-28.282000 -32.999001 20.615000)(-48.519001 -22.587999 -37.005001)(-37.958000 30.996000 -58.005001)(-63.000000 8.000999 -58.005001)(-59.603100 0.297668 -21.362200)(1.464230 -5.498990 -143.005005)(25.427000 -24.999001 -21.040001)(-57.018997 17.147001 -143.005005)(-51.906002 23.328001 -143.005005)(-35.351002 -24.999001 10.918000)(-34.309498 -32.999001 -23.893499)(-38.541000 39.877003 6.542990)(-2.982000 17.147001 -58.005001)(-45.068001 32.778999 -37.005001)(-41.274498 -32.999001 -58.005001)(-45.416000 28.042999 -58.005001)(31.668999 41.000999 14.897000)(16.861000 41.000999 -30.676001)(3.761010 -24.999001 -37.166000)(20.571999 37.000999 28.310001)(-22.042000 30.996000 -58.005001)(-20.573000 37.000999 28.310999)(29.859001 -32.999001 -14.056000)(-53.334999 31.335999 -58.005001)(-58.933002 6.022000 -21.426001)(34.380001 37.000999 6.552990)(4.387010 41.000999 34.719002)(0.903742 -5.498990 -143.005005)(31.385000 -32.999001 10.193000)(-39.000000 -24.999001 -8.965039)(-52.301998 -27.493999 -12.330999)(-61.465199 -5.499000 -137.490005)(-62.313900 0.841381 -26.905100)(-14.919200 28.175701 -58.005001)(16.861000 37.000999 -30.676001)(-48.493603 25.807100 -58.005001)(15.898001 -32.999001 28.913000)(-61.937000 2.010000 -57.975399)(9.976009 -32.999001 -31.461000)(-3.675160 -5.498990 -143.005005)(20.571999 41.000999 28.310001)(0.432999 9.889010 -143.005005)(8.207010 -24.999001 31.957998)(-53.536301 25.905100 -58.005001)(-30.997200 -5.499000 -143.005005)(-58.394001 13.901000 -37.005001)(-60.756199 11.659000 -58.005001)(-58.579002 24.500999 -58.005001)(12.148001 -24.999001 -30.688002)(-30.000000 37.000999 -37.005001)(26.968000 37.000999 22.305000)(-57.018997 17.147001 -58.005001)(-39.000000 -24.999001 -37.005001)(27.862999 -24.999001 17.677000)(26.968000 41.000999 22.305000)(23.959000 37.000999 -25.519001)(-8.095000 23.328001 -58.005001)(-62.042301 4.102130 -57.986599)(-57.316002 -13.033000 -19.207998)(-57.691998 -21.723000 -19.725000)(0.279519 10.215199 -58.005001)(-3.710710 -24.999001 -37.005001)(23.959000 41.000999 -25.519001)(-8.206989 -24.999001 31.957998)(-61.465199 -5.499000 -67.710098)(34.931000 37.000999 -2.203010)(31.668999 37.000999 14.897000)(-30.000000 41.000999 18.257000)(19.396999 -32.999001 -26.702999)(-53.334999 31.335999 -13.748000)(3.000000 -24.999001 -40.993000)(-12.884001 41.000999 32.536999)(-35.351002 -32.999001 10.918000)(-52.301998 -27.495001 -58.005001)(-7.767760 -5.498990 -143.005005)(29.550999 37.000999 -18.758999)(-41.549999 -32.999001 -17.273600)(-50.163998 -28.794300 -26.802101)(-61.465199 -5.499000 -143.005005)(-47.429100 31.193600 -58.005001)(8.704000 37.000999 -33.904999)(-30.856499 -24.999001 -8.648480)(27.862999 -32.999001 17.677000)(12.884001 37.000999 32.536999)(5.415640 -32.999001 -16.125200)(-15.898001 -24.999001 28.913000)(-50.163998 -28.794300 -9.398550)(29.550999 41.000999 -18.758999)(-55.749001 21.343000 -37.005001)(-55.749001 21.343000 -17.059000)(25.427000 -32.999001 -21.040001)(-58.071301 19.237200 -58.005001)(1.464170 -5.499000 -59.519501)(1.868450 2.364110 -58.005001)(5.609970 -32.999001 -10.122500)(-62.956600 -5.474810 -57.999901)(-40.255100 -5.499000 -143.005005)(3.000010 37.000999 -37.005001)(-58.579002 24.500999 -20.941000)(-51.906002 23.328001 -58.005001)(0.000009 -24.999001 32.994999)(-43.279301 -24.999001 0.043946)(32.414997 -24.999001 -6.189010)(8.207010 -32.999001 31.957998)(-48.519001 -22.587999 -7.143010)(32.935001 -32.999001 2.066990)(3.761010 -32.999001 -37.166000)(-50.163998 -32.999001 -9.398001)(-36.913998 -24.999001 2.520000)(-45.707699 27.831100 -58.005001)(-14.584001 28.042999 -58.005001)(19.396999 -24.999001 -26.702999)(3.000010 41.000999 -34.875999)(3.000010 -24.999001 -37.005001)(1.936000 2.010010 -143.005005)(22.590000 -32.999001 24.050999)(-61.326000 -14.710000 -58.005001)(-4.386990 37.000999 34.719002)(12.148001 -32.999001 -30.688002)(5.610210 -24.999001 -10.122500)(0.344250 -32.999001 -39.414700)(5.929000 -24.999001 -33.922001)(5.929000 -32.999001 -33.922001)(9.976009 -24.999001 -31.461000)(5.415880 -24.999001 -16.125500)(-21.194599 -24.999001 -8.272909)(-11.142799 -32.999001 -32.588001)(29.859001 -24.999001 -14.056000)(4.440890 -32.999001 -20.639400)(-21.195101 -32.999001 -8.272280)(-28.282000 -32.999001 20.615000)(25.427000 -24.999001 -21.040001)(3.761010 -24.999001 -37.166000)(9.976009 -32.999001 -31.461000)(12.148001 -24.999001 -30.688002)(19.396999 -32.999001 -26.702999)(3.000000 -24.999001 -40.993000)(-35.351002 -32.999001 10.918000)(-41.549999 -32.999001 -17.273600)(5.415640 -32.999001 -16.125200)(25.427000 -32.999001 -21.040001)(32.414997 -24.999001 -6.189010)(3.761010 -32.999001 -37.166000)(19.396999 -24.999001 -26.702999)(3.000010 -24.999001 -37.005001)(-62.932999 -6.978000 -26.912001)(-58.931999 -6.650000 -21.424999)(-59.603100 0.297668 -21.362200)(-57.316002 -13.033000 -19.207998)(-42.292000 -24.726000 1.398000)(-43.279301 -24.999001 0.043946)(-48.519001 -22.587999 -7.143010)(3.000000 -8.739480 -58.005001)(3.000000 -24.999001 -58.005001)(-61.119198 -5.499000 -143.005005)(8.914001 -5.499000 -58.005001)(1.464170 -5.499000 -58.005001)(-49.816399 -5.499000 -143.005005)(-14.798700 -5.498990 -143.005005)(-66.942001 -61.999001 -58.005001)(-41.549999 -32.999001 -58.005001)(3.000000 -5.499000 -58.005001)(-20.786301 -5.498990 -143.005005)(-50.163998 -32.999001 -58.005001)(-64.442001 -61.999001 -98.004997)(-44.920601 -5.499000 -143.005005)(-62.932999 -6.978000 -58.005001)(-57.693001 -21.723000 -58.005001)(-35.662598 -5.499000 -143.005005)(-55.131699 -5.499000 -143.005005)(-66.942001 -61.999001 -143.005005)(5.000000 -45.999001 -58.005001)(3.000000 -32.999001 -58.005001)(-26.101301 -5.498990 -143.005005)(1.464230 -5.498990 -143.005005)(-41.274498 -32.999001 -58.005001)(8.914001 -5.498990 -153.005005)(-68.915001 -5.499000 -153.005005)(0.903742 -5.498990 -143.005005)(-61.465199 -5.499000 -137.490005)(-65.000000 -45.999001 -58.005001)(4.000000 -5.498990 -153.005005)(-3.675160 -5.498990 -143.005005)(-30.997200 -5.499000 -143.005005)(4.441000 -61.999001 -98.004997)(4.441000 -61.999001 -58.005001)(6.941000 -61.999001 -143.005005)(-52.301998 -27.495001 -58.005001)(-64.442001 -61.999001 -58.005001)(-7.767760 -5.498990 -143.005005)(-61.465199 -5.499000 -143.005005)(6.941000 -61.999001 -58.005001)(-68.914001 -5.499000 -58.005001)(1.464170 -5.499000 -59.519501)(-62.956600 -5.474810 -57.999901)(-40.255100 -5.499000 -143.005005)(-61.326000 -14.710000 -58.005001)(3.000000 -8.739480 -58.005001)(8.914001 -5.499000 -58.005001)(3.000000 -5.499000 -58.005001)(-61.465199 -5.499000 -58.005001)(-61.465199 -5.499000 -137.490005)(-61.465199 -5.499000 -67.710098)(-68.914001 -5.499000 -58.005001)(-62.956600 -5.474810 -57.999901)(4.019010 -74.070000 -34.449997)(-64.019997 -74.070000 -34.449997)(-63.679001 -83.837006 -38.005001)(-64.442001 -61.999001 -98.004997)(5.000000 -45.999001 -58.005001)(3.678000 -83.837006 -38.005001)(-65.000000 -45.999001 -58.005001)(4.441000 -61.999001 -98.004997)(4.441000 -61.999001 -58.005001)(-64.442001 -61.999001 -58.005001)))
           )
           )))
    (send glvertices :calc-normals)
    (send self :assoc glvertices)
    glvertices)
  (:qhull-faceset ()
   ;; qhull 343 -> 27 faces
   (instance faceset :init :faces (list
    (instance face :init :vertices (list (float-vector -8.095000 23.328001 -143.004999) (float-vector 8.914000 -5.498990 -153.005004) (float-vector 34.931000 41.001000 -2.203010)))
    (instance face :init :vertices (list (float-vector -51.906001 23.328001 -143.004999) (float-vector -68.915002 -5.499000 -153.005004) (float-vector 8.914000 -5.498990 -153.005004) (float-vector -8.095000 23.328001 -143.004999) (float-vector -30.001000 32.001000 -143.004999)))
    (instance face :init :vertices (list (float-vector -66.941999 -61.999001 -143.004999) (float-vector 6.941000 -61.999001 -143.004999) (float-vector 8.914000 -5.498990 -153.005004) (float-vector -68.915002 -5.499000 -153.005004)))
    (instance face :init :vertices (list (float-vector -68.914004 -5.499000 -58.005001) (float-vector -63.679002 -83.837003 -38.005002) (float-vector -66.941999 -61.999001 -143.004999) (float-vector -68.915002 -5.499000 -153.005004)))
    (instance face :init :vertices (list (float-vector 32.414999 -32.999001 -6.189010) (float-vector 34.931000 41.001000 -2.203010) (float-vector 8.914000 -5.498990 -153.005004) (float-vector 6.941000 -61.999001 -143.004999)))
    (instance face :init :vertices (list (float-vector -68.914004 -5.499000 -58.005001) (float-vector -63.000001 8.001000 -27.005000) (float-vector -63.679002 -83.837003 -38.005002)))
    (instance face :init :vertices (list (float-vector 3.000000 41.001000 -58.005001) (float-vector -29.999999 41.001000 -58.005001) (float-vector -30.001000 32.001000 -143.004999)))
    (instance face :init :vertices (list (float-vector -30.001000 32.001000 -143.004999) (float-vector -8.095000 23.328001 -143.004999) (float-vector 34.931000 41.001000 -2.203010) (float-vector 3.000000 41.001000 -58.005001)))
    (instance face :init :vertices (list (float-vector -29.999999 41.001000 -58.005001) (float-vector -46.500001 36.580000 -58.005001) (float-vector -51.906001 23.328001 -143.004999) (float-vector -30.001000 32.001000 -143.004999)))
    (instance face :init :vertices (list (float-vector -63.679002 -83.837003 -38.005002) (float-vector 3.678000 -83.837003 -38.005002) (float-vector 6.941000 -61.999001 -143.004999) (float-vector -66.941999 -61.999001 -143.004999)))
    (instance face :init :vertices (list (float-vector -28.282000 -32.999001 20.615000) (float-vector -8.206990 -32.999001 31.957999) (float-vector -63.679002 -83.837003 -38.005002)))
    (instance face :init :vertices (list (float-vector -51.906001 23.328001 -143.004999) (float-vector -58.579002 24.501000 -58.005001) (float-vector -68.915002 -5.499000 -153.005004)))
    (instance face :init :vertices (list (float-vector -46.500001 36.580000 -58.005001) (float-vector -58.579002 24.501000 -58.005001) (float-vector -51.906001 23.328001 -143.004999)))
    (instance face :init :vertices (list (float-vector -26.968000 41.001000 22.305001) (float-vector -46.500001 36.580000 -4.374010) (float-vector -46.500001 36.580000 -58.005001) (float-vector -29.999999 41.001000 -58.005001)))
    (instance face :init :vertices (list (float-vector 8.207010 -32.999001 31.957999) (float-vector 22.590000 -32.999001 24.050999) (float-vector 3.678000 -83.837003 -38.005002)))
    (instance face :init :vertices (list (float-vector -8.206990 -32.999001 31.957999) (float-vector 8.207010 -32.999001 31.957999) (float-vector 3.678000 -83.837003 -38.005002) (float-vector -63.679002 -83.837003 -38.005002)))
    (instance face :init :vertices (list (float-vector -58.579002 24.501000 -58.005001) (float-vector -58.579002 24.501000 -20.941000) (float-vector -63.000001 8.001000 -27.005000) (float-vector -68.914004 -5.499000 -58.005001) (float-vector -68.915002 -5.499000 -153.005004)))
    (instance face :init :vertices (list (float-vector -58.579002 24.501000 -20.941000) (float-vector -58.579002 24.501000 -58.005001) (float-vector -46.500001 36.580000 -58.005001) (float-vector -46.500001 36.580000 -4.374010)))
    (instance face :init :vertices (list (float-vector -28.282000 -32.999001 20.615000) (float-vector -63.679002 -83.837003 -38.005002) (float-vector -63.000001 8.001000 -27.005000) (float-vector -58.579002 24.501000 -20.941000) (float-vector -46.500001 36.580000 -4.374010) (float-vector -26.968000 41.001000 22.305001)))
    (instance face :init :vertices (list (float-vector -28.282000 -32.999001 20.615000) (float-vector -26.968000 41.001000 22.305001) (float-vector -4.386990 41.001000 34.719002) (float-vector -8.206990 -32.999001 31.957999)))
    (instance face :init :vertices (list (float-vector 22.590000 -32.999001 24.050999) (float-vector 31.385001 -32.999001 10.193000) (float-vector 3.678000 -83.837003 -38.005002)))
    (instance face :init :vertices (list (float-vector 3.678000 -83.837003 -38.005002) (float-vector 31.385001 -32.999001 10.193000) (float-vector 32.414999 -32.999001 -6.189010) (float-vector 6.941000 -61.999001 -143.004999)))
    (instance face :init :vertices (list (float-vector 31.668998 41.001000 14.897000) (float-vector 31.385001 -32.999001 10.193000) (float-vector 22.590000 -32.999001 24.050999) (float-vector 26.968000 41.001000 22.305001)))
    (instance face :init :vertices (list (float-vector 31.385001 -32.999001 10.193000) (float-vector 31.668998 41.001000 14.897000) (float-vector 34.931000 41.001000 -2.203010) (float-vector 32.414999 -32.999001 -6.189010)))
    (instance face :init :vertices (list (float-vector 3.000000 41.001000 -58.005001) (float-vector 34.931000 41.001000 -2.203010) (float-vector 31.668998 41.001000 14.897000) (float-vector 26.968000 41.001000 22.305001) (float-vector 12.884000 41.001000 32.536998) (float-vector -4.386990 41.001000 34.719002) (float-vector -26.968000 41.001000 22.305001) (float-vector -29.999999 41.001000 -58.005001)))
    (instance face :init :vertices (list (float-vector 8.207010 -32.999001 31.957999) (float-vector 12.884000 41.001000 32.536998) (float-vector 26.968000 41.001000 22.305001) (float-vector 22.590000 -32.999001 24.050999)))
    (instance face :init :vertices (list (float-vector 8.207010 -32.999001 31.957999) (float-vector -8.206990 -32.999001 31.957999) (float-vector -4.386990 41.001000 34.719002) (float-vector 12.884000 41.001000 32.536998)))
    ))
   )
  )

(defclass HiroNX_g1_7_geom0
  :super collada-body
  :slots ())
(defmethod HiroNX_g1_7_geom0
  (:init (&key (name))
         (replace-object self (send self :qhull-faceset))
         (if name (send self :name name))
         (send self :def-gl-vertices)
         self)
  (:def-gl-vertices ()
    (setq glvertices
       (instance gl::glvertices :init
          (list
          (list
           (list :type :triangles)
           (list :material (list
             (list :color (float-vector 0.1 0.1 0.1))
             (list :ambient (float-vector 0.200000 0.200000 0.200000 1.000000))
             (list :diffuse (float-vector 0.900000 0.900000 0.900000 1.000000))
           ))
           (list :indices #i( 1 0 2 4 3 5 7 6 8 10 9 11 13 12 14 16 15 17 19 18 20 22 21 23 25 24 26 28 27 29 31 30 32 34 33 35 37 36 38 40 39 41 43 42 44 46 45 47 49 48 50 52 51 53 55 54 56 58 57 59 61 60 62 64 63 65 67 66 68 70 69 71 73 72 74 76 75 77 79 78 80 82 81 83 85 84 86 88 87 89 91 90 92 94 93 95 97 96 98 100 99 101 103 102 104 106 105 107 109 108 110 112 111 113 115 114 116 118 117 119 121 120 122 124 123 125 127 126 128 130 129 131 133 132 134 136 135 137 139 138 140 142 141 143 145 144 146 148 147 149 151 150 152 154 153 155 157 156 158 160 159 161 163 162 164 166 165 167 169 168 170 172 171 173 175 174 176 178 177 179 181 180 182 184 183 185 187 186 188 190 189 191 193 192 194 196 195 197 199 198 200 202 201 203 205 204 206 208 207 209 211 210 212 214 213 215 217 216 218 220 219 221 223 222 224 226 225 227 229 228 230 232 231 233 235 234 236 238 237 239 241 240 242 244 243 245 247 246 248 250 249 251 253 252 254 256 255 257 259 258 260 262 261 263 265 264 266 268 267 269 271 270 272 274 273 275 277 276 278 280 279 281 283 282 284 286 285 287 289 288 290 292 291 293 295 294 296 298 297 299 301 300 302 304 303 305 307 306 308 310 309 311 313 312 314 316 315 317 319 318 320 322 321 323 325 324 326 328 327 329 331 330 332 334 333 335 337 336 338 340 339 341 343 342 344 346 345 347 349 348 350 352 351 353 355 354 356 358 357 359 361 360 362 364 363 365 367 366 368 370 369 371 373 372 374 376 375 377 379 378 380 382 381 383 385 384 386 388 387 389 391 390 392 394 393 395 397 396 398 400 399 401 403 402 404 406 405 407 409 408 410 412 411 413 415 414 416 418 417 419 421 420 422 424 423 425 427 426 428 430 429 431 433 432 434 436 435 437 439 438 440 442 441 443 445 444 446 448 447 449 451 450 452 454 453 455 457 456 458 460 459 461 463 462 464 466 465 467 469 468 470 472 471 473 475 474 476 478 477 479 481 480 482 484 483 485 487 486 488 490 489 491 493 492 494 496 495 497 499 498 500 502 501 503 505 504 506 508 507 509 511 510 512 514 513 515 517 516 518 520 519 521 523 522 524 526 525 527 529 528 530 532 531 533 535 534 536 538 537 539 541 540 542 544 543 545 547 546 548 550 549 551 553 552 554 556 555 557 559 558 560 562 561 563 565 564 566 568 567 569 571 570 572 574 573 575 577 576 578 580 579 581 583 582 584 586 585 587 589 588 590 592 591 593 595 594 596 598 597 599 601 600 602 604 603 605 607 606 608 610 609 611 613 612 614 616 615 617 619 618 620 622 621 623 625 624 626 628 627 629 631 630 632 634 633 635 637 636 638 640 639 641 643 642 644 646 645 647 649 648 650 652 651 653 655 654 656 658 657 659 661 660 662 664 663 665 667 666 668 670 669 671 673 672 674 676 675 677 679 678 680 682 681 683 685 684 686 688 687 689 691 690 692 694 693 695 697 696 698 700 699 701 703 702 704 706 705 707 709 708 710 712 711 713 715 714 716 718 717 719 721 720 722 724 723 725 727 726 728 730 729 731 733 732 734 736 735 737 739 738 740 742 741 743 745 744 746 748 747 749 751 750 752 754 753 755 757 756 758 760 759 761 763 762 764 766 765 767 769 768 770 772 771 773 775 774 776 778 777 779 781 780 782 784 783 785 787 786 788 790 789 791 793 792 794 796 795 797 799 798 800 802 801 803 805 804 806 808 807 809 811 810 812 814 813 815 817 816 818 820 819 821 823 822 824 826 825 827 829 828 830 832 831 833 835 834 836 838 837 839 841 840 842 844 843 845 847 846 848 850 849 851 853 852 854 856 855 857 859 858 860 862 861 863 865 864 866 868 867 869 871 870 872 874 873 875 877 876 878 880 879 881 883 882 884 886 885 887 889 888 890 892 891 893 895 894 896 898 897 899 901 900 902 904 903 905 907 906 908 910 909 911 913 912 914 916 915 917 919 918 920 922 921 923 925 924 926 928 927 929 931 930 932 934 933 935 937 936 938 940 939 941 943 942 944 946 945 947 949 948 950 952 951 953 955 954 956 958 957 959 961 960 962 964 963 965 967 966 968 970 969 971 973 972 974 976 975 977 979 978 980 982 981 983 985 984 986 988 987 989 991 990 992 994 993 995 997 996 998 1000 999 1001 1003 1002 1004 1006 1005 1007 1009 1008 1010 1012 1011 1013 1015 1014 1016 1018 1017 1019 1021 1020 1022 1024 1023 1025 1027 1026 1028 1030 1029 1031 1033 1032 1034 1036 1035 1037 1039 1038 1040 1042 1041 1043 1045 1044 1046 1048 1047 1049 1051 1050 1052 1054 1053 1055 1057 1056 1058 1060 1059 1061 1063 1062 1064 1066 1065 1067 1069 1068 1070 1072 1071 1073 1075 1074 1076 1078 1077 1079 1081 1080 1082 1084 1083 1085 1087 1086 1088 1090 1089 1091 1093 1092 1094 1096 1095 1097 1099 1098 1100 1102 1101 1103 1105 1104 1106 1108 1107 1109 1111 1110 1112 1114 1113 1115 1117 1116 1118 1120 1119 1121 1123 1122 1124 1126 1125 1127 1129 1128 1130 1132 1131 1133 1135 1134 1136 1138 1137 1139 1141 1140 1142 1144 1143 1145 1147 1146 1148 1150 1149 1151 1153 1152 1154 1156 1155 1157 1159 1158 1160 1162 1161 1163 1165 1164 1166 1168 1167 1169 1171 1170 1172 1174 1173 1175 1177 1176 1178 1180 1179 1181 1183 1182 1184 1186 1185 1187 1189 1188 1190 1192 1191 1193 1195 1194 1196 1198 1197 1199 1201 1200 1202 1204 1203 1205 1207 1206 1208 1210 1209 1211 1213 1212 1214 1216 1215 1217 1219 1218 1220 1222 1221 1223 1225 1224 1226 1228 1227 1229 1231 1230 1232 1234 1233 1235 1237 1236 1238 1240 1239 1241 1243 1242 1244 1246 1245 1247 1249 1248 1250 1252 1251 1253 1255 1254 1256 1258 1257 1259 1261 1260 1262 1264 1263 1265 1267 1266 1268 1270 1269 1271 1273 1272 1274 1276 1275 1277 1279 1278 1280 1282 1281 1283 1285 1284 1286 1288 1287 1289 1291 1290 1292 1294 1293 1295 1297 1296 1298 1300 1299 1301 1303 1302 1304 1306 1305 1307 1309 1308 1310 1312 1311 1313 1315 1314 1316 1318 1317 1319 1321 1320 1322 1324 1323 1325 1327 1326 1328 1330 1329 1331 1333 1332 1334 1336 1335 1337 1339 1338 1340 1342 1341 1343 1345 1344 1346 1348 1347 1349 1351 1350 1352 1354 1353 1355 1357 1356 1358 1360 1359 1361 1363 1362 1364 1366 1365 1367 1369 1368 1370 1372 1371 1373 1375 1374 1376 1378 1377 1379 1381 1380 1382 1384 1383 1385 1387 1386 1388 1390 1389 1391 1393 1392 1394 1396 1395 1397 1399 1398 1400 1402 1401 1403 1405 1404 1406 1408 1407 1409 1411 1410 1412 1414 1413 1415 1417 1416 1418 1420 1419 1421 1423 1422 1424 1426 1425 1427 1429 1428 1430 1432 1431 1433 1435 1434 1436 1438 1437 1439 1441 1440 1442 1444 1443 1445 1447 1446 1448 1450 1449 1451 1453 1452 1454 1456 1455 1457 1459 1458 1460 1462 1461 1463 1465 1464 1466 1468 1467 1469 1471 1470 1472 1474 1473 1475 1477 1476 1478 1480 1479 1481 1483 1482 1484 1486 1485 1487 1489 1488 1490 1492 1491 1493 1495 1494 1496 1498 1497 1499 1501 1500 1502 1504 1503 1505 1507 1506 1508 1510 1509 1511 1513 1512 1514 1516 1515 1517 1519 1518 1520 1522 1521 1523 1525 1524 1526 1528 1527 1529 1531 1530 1532 1534 1533 1535 1537 1536 1538 1540 1539 1541 1543 1542 1544 1546 1545 1547 1549 1548 1550 1552 1551 1553 1555 1554 1556 1558 1557 1559 1561 1560 1562 1564 1563 1565 1567 1566 1568 1570 1569 1571 1573 1572 1574 1576 1575 1577 1579 1578 1580 1582 1581 1583 1585 1584 1586 1588 1587 1589 1591 1590 1592 1594 1593 1595 1597 1596 1598 1600 1599 1601 1603 1602 1604 1606 1605 1607 1609 1608 1610 1612 1611 1613 1615 1614 1616 1618 1617 1619 1621 1620 1622 1624 1623 1625 1627 1626 1628 1630 1629 1631 1633 1632 1634 1636 1635 1637 1639 1638 1640 1642 1641 1643 1645 1644 1646 1648 1647 1649 1651 1650 1652 1654 1653 1655 1657 1656 1658 1660 1659 1661 1663 1662 1664 1666 1665 1667 1669 1668 1670 1672 1671 1673 1675 1674 1676 1678 1677 1679 1681 1680 1682 1684 1683 1685 1687 1686 1688 1690 1689 1691 1693 1692 1694 1696 1695 1697 1699 1698 1700 1702 1701 1703 1705 1704 1706 1708 1707 1709 1711 1710 1712 1714 1713 1715 1717 1716 1718 1720 1719 1721 1723 1722 1724 1726 1725 1727 1729 1728 1730 1732 1731 1733 1735 1734 1736 1738 1737 1739 1741 1740 1742 1744 1743 1745 1747 1746 1748 1750 1749 1751 1753 1752 1754 1756 1755 1757 1759 1758 1760 1762 1761 1763 1765 1764 1766 1768 1767 1769 1771 1770 1772 1774 1773 1775 1777 1776 1778 1780 1779 1781 1783 1782 1784 1786 1785 1787 1789 1788 1790 1792 1791 1793 1795 1794 1796 1798 1797 1799 1801 1800 1802 1804 1803 1805 1807 1806 1808 1810 1809 1811 1813 1812 1814 1816 1815 1817 1819 1818 1820 1822 1821 1823 1825 1824 1826 1828 1827 1829 1831 1830 1832 1834 1833 1835 1837 1836 1838 1840 1839 1841 1843 1842 1844 1846 1845 1847 1849 1848 1850 1852 1851 1853 1855 1854 1856 1858 1857 1859 1861 1860 1862 1864 1863 1865 1867 1866 1868 1870 1869 1871 1873 1872 1874 1876 1875 1877 1879 1878 1880 1882 1881 1883 1885 1884 1886 1888 1887 1889 1891 1890 1892 1894 1893 1895 1897 1896 1898 1900 1899 1901 1903 1902 1904 1906 1905 1907 1909 1908 1910 1912 1911 1913 1915 1914 1916 1918 1917 1919 1921 1920 1922 1924 1923 1925 1927 1926 1928 1930 1929 1931 1933 1932 1934 1936 1935 1937 1939 1938 1940 1942 1941 1943 1945 1944 1946 1948 1947 1949 1951 1950 1952 1954 1953 1955 1957 1956 1958 1960 1959 1961 1963 1962 1964 1966 1965 1967 1969 1968 1970 1972 1971 1973 1975 1974 1976 1978 1977 1979 1981 1980 1982 1984 1983 1985 1987 1986 1988 1990 1989 1991 1993 1992 1994 1996 1995 1997 1999 1998 2000 2002 2001 2003 2005 2004 2006 2008 2007 2009 2011 2010 2012 2014 2013 2015 2017 2016 2018 2020 2019 2021 2023 2022 2024 2026 2025 2027 2029 2028 2030 2032 2031 2033 2035 2034 2036 2038 2037 2039 2041 2040 2042 2044 2043 2045 2047 2046 2048 2050 2049 2051 2053 2052 2054 2056 2055 2057 2059 2058 2060 2062 2061 2063 2065 2064 2066 2068 2067 2069 2071 2070 2072 2074 2073 2075 2077 2076 2078 2080 2079 2081 2083 2082 2084 2086 2085 2087 2089 2088 2090 2092 2091 2093 2095 2094 2096 2098 2097 2099 2101 2100 2102 2104 2103 2105 2107 2106 2108 2110 2109 2111 2113 2112 2114 2116 2115 2117 2119 2118 2120 2122 2121 2123 2125 2124 2126 2128 2127 2129 2131 2130 2132 2134 2133 2135 2137 2136 2138 2140 2139 2141 2143 2142 2144 2146 2145 2147 2149 2148 2150 2152 2151 2153 2155 2154 2156 2158 2157 2159 2161 2160 2162 2164 2163 2165 2167 2166 2168 2170 2169 2171 2173 2172 2174 2176 2175 2177 2179 2178 2180 2182 2181 2183 2185 2184 2186 2188 2187 2189 2191 2190 2192 2194 2193 2195 2197 2196 2198 2200 2199 2201 2203 2202 2204 2206 2205 2207 2209 2208 2210 2212 2211 2213 2215 2214 2216 2218 2217 2219 2221 2220 2222 2224 2223 2225 2227 2226 2228 2230 2229 2231 2233 2232 2234 2236 2235 2237 2239 2238 2240 2242 2241 2243 2245 2244 2246 2248 2247 2249 2251 2250 2252 2254 2253 2255 2257 2256 2258 2260 2259 2261 2263 2262 2264 2266 2265 2267 2269 2268 2270 2272 2271 2273 2275 2274 2276 2278 2277 2279 2281 2280 2282 2284 2283 2285 2287 2286 2288 2290 2289 2291 2293 2292 2294 2296 2295 2297 2299 2298 2300 2302 2301 2303 2305 2304 2306 2308 2307 2309 2311 2310 2312 2314 2313 2315 2317 2316 2318 2320 2319 2321 2323 2322 2324 2326 2325 2327 2329 2328 2330 2332 2331 2333 2335 2334 2336 2338 2337 2339 2341 2340 2342 2344 2343 2345 2347 2346 2348 2350 2349 2351 2353 2352 2354 2356 2355 2357 2359 2358 2360 2362 2361 2363 2365 2364 2366 2368 2367 2369 2371 2370 2372 2374 2373 2375 2377 2376 2378 2380 2379 2381 2383 2382 2384 2386 2385 2387 2389 2388 2390 2392 2391 2393 2395 2394 2396 2398 2397 2399 2401 2400 2402 2404 2403 2405 2407 2406 2408 2410 2409 2411 2413 2412 2414 2416 2415 2417 2419 2418 2420 2422 2421 2423 2425 2424 2426 2428 2427 2429 2431 2430 2432 2434 2433 2435 2437 2436 2438 2440 2439 2441 2443 2442 2444 2446 2445 2447 2449 2448 2450 2452 2451 2453 2455 2454 2456 2458 2457 2459 2461 2460 2462 2464 2463 2465 2467 2466 2468 2470 2469 2471 2473 2472 2474 2476 2475 2477 2479 2478 2480 2482 2481 2483 2485 2484 2486 2488 2487 2489 2491 2490 2492 2494 2493 2495 2497 2496 2498 2500 2499 2501 2503 2502 2504 2506 2505 2507 2509 2508 2510 2512 2511 2513 2515 2514 2516 2518 2517 2519 2521 2520 2522 2524 2523 2525 2527 2526 2528 2530 2529 2531 2533 2532 2534 2536 2535 2537 2539 2538 2540 2542 2541 2543 2545 2544 2546 2548 2547 2549 2551 2550 2552 2554 2553 2555 2557 2556 2558 2560 2559 2561 2563 2562 2564 2566 2565 2567 2569 2568 2570 2572 2571 2573 2575 2574 2576 2578 2577 2579 2581 2580 2582 2584 2583 2585 2587 2586 2588 2590 2589 2591 2593 2592 2594 2596 2595 2597 2599 2598 2600 2602 2601 2603 2605 2604 2606 2608 2607 2609 2611 2610 2612 2614 2613 2615 2617 2616 2618 2620 2619 2621 2623 2622 2624 2626 2625 2627 2629 2628 2630 2632 2631 2633 2635 2634 2636 2638 2637 2639 2641 2640 2642 2644 2643 2645 2647 2646 2648 2650 2649 2651 2653 2652 2654 2656 2655 2657 2659 2658 2660 2662 2661 2663 2665 2664 2666 2668 2667 2669 2671 2670 2672 2674 2673 2675 2677 2676 2678 2680 2679 2681 2683 2682 2684 2686 2685 2687 2689 2688 2690 2692 2691 2693 2695 2694 2696 2698 2697 2699 2701 2700 2702 2704 2703 2705 2707 2706 2708 2710 2709 2711 2713 2712 2714 2716 2715 2717 2719 2718 2720 2722 2721 2723 2725 2724 2726 2728 2727 2729 2731 2730 2732 2734 2733 2735 2737 2736 2738 2740 2739 2741 2743 2742 2744 2746 2745 2747 2749 2748 2750 2752 2751 2753 2755 2754 2756 2758 2757 2759 2761 2760 2762 2764 2763 2765 2767 2766 2768 2770 2769 2771 2773 2772 2774 2776 2775 2777 2779 2778 2780 2782 2781 2783 2785 2784 2786 2788 2787 2789 2791 2790 2792 2794 2793 2795 2797 2796 2798 2800 2799 2801 2803 2802 2804 2806 2805 2807 2809 2808 2810 2812 2811 2813 2815 2814 2816 2818 2817 2819 2821 2820 2822 2824 2823 2825 2827 2826 2828 2830 2829 2831 2833 2832 2834 2836 2835 2837 2839 2838 2840 2842 2841 2843 2845 2844 2846 2848 2847 2849 2851 2850 2852 2854 2853 2855 2857 2856 2858 2860 2859 2861 2863 2862 2864 2866 2865 2867 2869 2868 2870 2872 2871 2873 2875 2874 2876 2878 2877 2879 2881 2880 2882 2884 2883 2885 2887 2886 2888 2890 2889 2891 2893 2892 2894 2896 2895 2897 2899 2898 2900 2902 2901 2903 2905 2904 2906 2908 2907 2909 2911 2910 2912 2914 2913 2915 2917 2916 2918 2920 2919 2921 2923 2922 2924 2926 2925 2927 2929 2928 2930 2932 2931 2933 2935 2934 2936 2938 2937 2939 2941 2940 2942 2944 2943 2945 2947 2946 2948 2950 2949 2951 2953 2952 2954 2956 2955 2957 2959 2958 2960 2962 2961 2963 2965 2964 2966 2968 2967 2969 2971 2970 2972 2974 2973 2975 2977 2976 2978 2980 2979 2981 2983 2982 2984 2986 2985 2987 2989 2988 2990 2992 2991 2993 2995 2994 2996 2998 2997 2999 3001 3000 3002 3004 3003 3005 3007 3006 3008 3010 3009 3011 3013 3012 3014 3016 3015 3017 3019 3018 3020 3022 3021 3023 3025 3024 3026 3028 3027 3029 3031 3030 3032 3034 3033 3035 3037 3036 3038 3040 3039 3041 3043 3042 3044 3046 3045 3047 3049 3048 3050 3052 3051 3053 3055 3054 3056 3058 3057 3059 3061 3060 3062 3064 3063 3065 3067 3066 3068 3070 3069 3071 3073 3072 3074 3076 3075 3077 3079 3078 3080 3082 3081 3083 3085 3084 3086 3088 3087 3089 3091 3090 3092 3094 3093 3095 3097 3096 3098 3100 3099 3101 3103 3102 3104 3106 3105 3107 3109 3108 3110 3112 3111 3113 3115 3114 3116 3118 3117 3119 3121 3120 3122 3124 3123 3125 3127 3126 3128 3130 3129 3131 3133 3132 3134 3136 3135 3137 3139 3138 3140 3142 3141 3143 3145 3144 3146 3148 3147 3149 3151 3150 3152 3154 3153 3155 3157 3156 3158 3160 3159 3161 3163 3162 3164 3166 3165 3167 3169 3168 3170 3172 3171 3173 3175 3174 3176 3178 3177 3179 3181 3180 3182 3184 3183 3185 3187 3186 3188 3190 3189 3191 3193 3192 3194 3196 3195 3197 3199 3198 3200 3202 3201 3203 3205 3204 3206 3208 3207 3209 3211 3210 3212 3214 3213 3215 3217 3216 3218 3220 3219 3221 3223 3222 3224 3226 3225 3227 3229 3228 3230 3232 3231 3233 3235 3234 3236 3238 3237 3239 3241 3240 3242 3244 3243 3245 3247 3246 3248 3250 3249 3251 3253 3252 3254 3256 3255 3257 3259 3258 3260 3262 3261 3263 3265 3264 3266 3268 3267 3269 3271 3270 3272 3274 3273 3275 3277 3276 3278 3280 3279 3281 3283 3282 3284 3286 3285 3287 3289 3288 3290 3292 3291 3293 3295 3294 3296 3298 3297 3299 3301 3300 3302 3304 3303 3305 3307 3306 3308 3310 3309 3311 3313 3312 3314 3316 3315 3317 3319 3318 3320 3322 3321 3323 3325 3324 3326 3328 3327 3329 3331 3330 3332 3334 3333 3335 3337 3336 3338 3340 3339 3341 3343 3342 3344 3346 3345 3347 3349 3348 3350 3352 3351 3353 3355 3354 3356 3358 3357 3359 3361 3360 3362 3364 3363 3365 3367 3366 3368 3370 3369 3371 3373 3372 3374 3376 3375 3377 3379 3378 3380 3382 3381 3383 3385 3384 3386 3388 3387 3389 3391 3390 3392 3394 3393 3395 3397 3396 3398 3400 3399 3401 3403 3402 3404 3406 3405 3407 3409 3408 3410 3412 3411 3413 3415 3414 3416 3418 3417 3419 3421 3420 3422 3424 3423 3425 3427 3426 3428 3430 3429 3431 3433 3432 3434 3436 3435 3437 3439 3438 3440 3442 3441 3443 3445 3444 3446 3448 3447 3449 3451 3450 3452 3454 3453 3455 3457 3456 3458 3460 3459 3461 3463 3462 3464))
           (list :vertices #2f((-6.485000 -23.000000 -254.967010)(16.497000 -23.000000 -221.994995)(0.003998 -23.000000 -255.995010)(-12.339000 -23.000000 -251.983994)(16.497000 -23.000000 -221.994995)(-6.485000 -23.000000 -254.967010)(0.003998 -23.000000 -255.995010)(16.497000 -23.000000 -221.994995)(6.493000 -23.000000 -254.967010)(-0.701329 18.000000 -255.883011)(-6.485000 -23.000000 -254.967010)(0.003998 -23.000000 -255.995010)(0.003997 18.000000 -255.995010)(-0.701329 18.000000 -255.883011)(0.003998 -23.000000 -255.995010)(-16.984999 -23.000000 -247.337997)(16.497000 -23.000000 -221.994995)(-12.339000 -23.000000 -251.983994)(-7.121300 18.000000 -254.642990)(-12.339000 -23.000000 -251.983994)(-6.485000 -23.000000 -254.967010)(-6.485000 18.000000 -254.967010)(-7.121300 18.000000 -254.642990)(-6.485000 -23.000000 -254.967010)(6.493000 -23.000000 -254.967010)(16.497000 -23.000000 -221.994995)(12.348000 -23.000000 -251.983994)(0.709323 18.000000 -255.883011)(0.003997 18.000000 -255.995010)(0.003998 -23.000000 -255.995010)(0.709323 18.000000 -255.883011)(0.003998 -23.000000 -255.995010)(6.493000 -23.000000 -254.967010)(-2.529370 18.000000 -255.593979)(-6.485000 18.000000 -254.967010)(-6.485000 -23.000000 -254.967010)(-0.701329 18.000000 -255.883011)(-2.529370 18.000000 -255.593979)(-6.485000 -23.000000 -254.967010)(-16.984999 -23.000000 -247.337997)(-19.967999 -23.000000 -241.484009)(16.497000 -23.000000 -221.994995)(-16.984999 -23.000000 -247.337997)(-12.339000 -23.000000 -251.983994)(-12.844000 18.000000 -251.479004)(-12.339000 -23.000000 -251.983994)(-12.339000 18.000000 -251.983994)(-12.844000 18.000000 -251.479004)(-8.449170 18.000000 -253.966003)(-12.339000 18.000000 -251.983994)(-12.339000 -23.000000 -251.983994)(-7.121300 18.000000 -254.642990)(-8.449170 18.000000 -253.966003)(-12.339000 -23.000000 -251.983994)(16.497000 -23.000000 -221.994995)(16.993999 -23.000000 -247.337997)(12.348000 -23.000000 -251.983994)(7.130300 18.000000 -254.642990)(6.493890 18.000000 -254.967010)(6.493000 -23.000000 -254.967010)(7.130300 18.000000 -254.642990)(6.493000 -23.000000 -254.967010)(12.348000 -23.000000 -251.983994)(3.735800 18.000000 -255.403992)(0.709323 18.000000 -255.883011)(6.493000 -23.000000 -254.967010)(6.493890 18.000000 -254.967010)(3.735800 18.000000 -255.403992)(6.493000 -23.000000 -254.967010)(-19.967999 -23.000000 -241.484009)(-20.996000 -23.000000 -234.994995)(16.497000 -23.000000 -221.994995)(-19.967999 -23.000000 -241.484009)(-16.984999 -23.000000 -247.337997)(-17.309200 18.000000 -246.701996)(-16.984999 -23.000000 -247.337997)(-16.984999 18.000000 -247.337997)(-17.309200 18.000000 -246.701996)(-16.984999 -23.000000 -247.337997)(-12.844000 18.000000 -251.479004)(-13.588400 18.000000 -250.735016)(-16.984999 -23.000000 -247.337997)(-13.588400 18.000000 -250.735016)(-16.984999 18.000000 -247.337997)(16.497000 -23.000000 -221.994995)(19.976000 -23.000000 -241.484009)(16.993999 -23.000000 -247.337997)(12.348000 -23.000000 -251.983994)(16.993999 -23.000000 -247.337997)(12.853001 18.000000 -251.479004)(12.348000 -23.000000 -251.983994)(12.853001 18.000000 -251.479004)(12.348000 18.000000 -251.983994)(9.885770 18.000000 -253.238998)(7.130300 18.000000 -254.642990)(12.348000 -23.000000 -251.983994)(12.348000 18.000000 -251.983994)(9.885770 18.000000 -253.238998)(12.348000 -23.000000 -251.983994)(-20.996000 -23.000000 -234.994995)(-19.967999 -23.000000 -228.505005)(16.497000 -23.000000 -221.994995)(-20.996000 -23.000000 -234.994995)(-19.967999 -23.000000 -241.484009)(-20.079700 18.000000 -240.778992)(-19.967999 -23.000000 -241.484009)(-19.967999 18.000000 -241.484009)(-20.079700 18.000000 -240.778992)(-19.967999 -23.000000 -241.484009)(-17.309200 18.000000 -246.701996)(-17.565300 18.000000 -246.198990)(-19.967999 -23.000000 -241.484009)(-17.565300 18.000000 -246.198990)(-19.967999 18.000000 -241.484009)(16.497000 -23.000000 -221.994995)(21.004002 -23.000000 -234.994995)(19.976000 -23.000000 -241.484009)(16.993999 -23.000000 -247.337997)(19.976000 -23.000000 -241.484009)(17.318100 18.000000 -246.701996)(16.993999 -23.000000 -247.337997)(17.318100 18.000000 -246.701996)(16.993999 18.000000 -247.337997)(16.993999 -23.000000 -247.337997)(16.993999 18.000000 -247.337997)(15.493700 18.000000 -248.838013)(16.993999 -23.000000 -247.337997)(15.493700 18.000000 -248.838013)(12.853001 18.000000 -251.479004)(-19.967999 -23.000000 -228.505005)(-16.984999 -23.000000 -222.651001)(16.497000 -23.000000 -221.994995)(-19.967999 -23.000000 -228.505005)(-20.996000 -23.000000 -234.994995)(-19.967999 -6.489990 -228.505997)(-20.996000 6.489010 -234.994995)(-20.996000 0.000007 -234.994995)(-20.079700 18.000000 -240.778992)(-20.079700 18.000000 -240.778992)(-20.086000 18.000000 -240.738998)(-20.996000 12.342999 -234.994995)(-20.996000 6.489010 -234.994995)(-20.079700 18.000000 -240.778992)(-20.996000 12.342999 -234.994995)(-20.996000 12.342999 -234.994995)(-20.086000 18.000000 -240.738998)(-20.996000 16.989000 -234.994995)(-20.996000 16.989000 -234.994995)(-20.086000 18.000000 -240.738998)(-20.996000 18.000000 -234.994995)(-20.079700 18.000000 -240.778992)(-20.996000 0.000007 -234.994995)(-20.996000 -6.489990 -234.994995)(-20.996000 -12.344000 -234.994995)(-20.079700 18.000000 -240.778992)(-20.996000 -6.489990 -234.994995)(-20.996000 -16.990000 -234.994995)(-20.079700 18.000000 -240.778992)(-20.996000 -12.344000 -234.994995)(-20.996000 -19.973000 -234.994995)(-20.079700 18.000000 -240.778992)(-20.996000 -16.990000 -234.994995)(-20.996000 -23.000000 -234.994995)(-20.079700 18.000000 -240.778992)(-20.996000 -19.973000 -234.994995)(16.497000 -23.000000 -221.994995)(19.976000 -23.000000 -228.505997)(21.004002 -23.000000 -234.994995)(20.088600 18.000000 -240.778992)(19.976000 -23.000000 -241.484009)(21.004002 -23.000000 -234.994995)(20.088600 18.000000 -240.778992)(19.976900 18.000000 -241.484009)(19.976000 -23.000000 -241.484009)(19.976000 -23.000000 -241.484009)(19.976900 18.000000 -241.484009)(17.318100 18.000000 -246.701996)(21.004002 16.989000 -234.994995)(21.004002 18.000000 -234.994995)(20.900000 18.000000 -235.651993)(21.004002 0.000009 -234.994995)(21.004002 6.489010 -234.994995)(20.088600 18.000000 -240.778992)(21.004002 6.489010 -234.994995)(21.004002 12.342999 -234.994995)(20.088600 18.000000 -240.778992)(21.004002 12.342999 -234.994995)(21.004002 16.989000 -234.994995)(20.088600 18.000000 -240.778992)(21.004002 16.989000 -234.994995)(20.900000 18.000000 -235.651993)(20.088600 18.000000 -240.778992)(21.004002 -19.973000 -234.994995)(20.088600 18.000000 -240.778992)(21.004002 -23.000000 -234.994995)(21.004002 -16.990000 -234.994995)(20.088600 18.000000 -240.778992)(21.004002 -19.973000 -234.994995)(21.004002 -12.344000 -234.994995)(20.088600 18.000000 -240.778992)(21.004002 -16.990000 -234.994995)(21.004002 -6.489990 -234.994995)(20.088600 18.000000 -240.778992)(21.004002 -12.344000 -234.994995)(21.004002 0.000009 -234.994995)(20.088600 18.000000 -240.778992)(21.004002 -6.489990 -234.994995)(-16.984999 -23.000000 -222.651001)(-12.339000 -23.000000 -218.005997)(16.497000 -23.000000 -221.994995)(-16.984999 -23.000000 -222.651001)(-19.967999 -23.000000 -228.505005)(-19.967999 -6.489990 -228.505997)(-20.996000 -6.489990 -234.994995)(-20.996000 0.000007 -234.994995)(-19.967999 -6.489990 -228.505997)(-19.967999 -6.489990 -228.505997)(-20.996000 -23.000000 -234.994995)(-20.482000 -11.500000 -231.750000)(-20.996000 -23.000000 -234.994995)(-20.996000 -19.973000 -234.994995)(-20.482000 -11.500000 -231.750000)(-20.996000 -19.973000 -234.994995)(-20.996000 -16.990000 -234.994995)(-20.482000 -11.500000 -231.750000)(-20.996000 -16.990000 -234.994995)(-20.996000 -12.344000 -234.994995)(-20.482000 -11.500000 -231.750000)(-20.996000 -12.344000 -234.994995)(-20.996000 -6.489990 -234.994995)(-20.482000 -11.500000 -231.750000)(-20.996000 -6.489990 -234.994995)(-19.967999 -6.489990 -228.505997)(-20.482000 -11.500000 -231.750000)(-20.996000 0.000007 -234.994995)(-20.996000 6.489010 -234.994995)(-19.967999 6.489010 -228.505997)(-20.996000 16.989000 -234.994995)(-20.996000 18.000000 -234.994995)(-20.964300 18.000000 -234.794998)(-20.996000 12.342999 -234.994995)(-20.996000 16.989000 -234.994995)(-20.684700 18.000000 -233.029999)(-20.996000 16.989000 -234.994995)(-20.964300 18.000000 -234.794998)(-20.684700 18.000000 -233.029999)(-20.684700 18.000000 -233.029999)(-19.967999 6.489010 -228.505997)(-20.482000 9.000000 -231.750000)(-20.996000 6.489010 -234.994995)(-20.996000 12.342999 -234.994995)(-20.482000 9.000000 -231.750000)(-19.967999 6.489010 -228.505997)(-20.996000 6.489010 -234.994995)(-20.482000 9.000000 -231.750000)(-20.996000 12.342999 -234.994995)(-20.684700 18.000000 -233.029999)(-20.482000 9.000000 -231.750000)(16.993999 -23.000000 -222.651001)(19.976000 -23.000000 -228.505997)(16.497000 -23.000000 -221.994995)(21.004002 -23.000000 -234.994995)(19.976000 -23.000000 -228.505997)(19.976000 -6.489990 -228.505997)(21.004002 -6.489990 -234.994995)(19.976000 -6.489990 -228.505997)(21.004002 0.000009 -234.994995)(21.004002 -6.489990 -234.994995)(21.004002 -12.344000 -234.994995)(20.490000 -11.500000 -231.750000)(21.004002 -12.344000 -234.994995)(21.004002 -16.990000 -234.994995)(20.490000 -11.500000 -231.750000)(21.004002 -16.990000 -234.994995)(21.004002 -19.973000 -234.994995)(20.490000 -11.500000 -231.750000)(21.004002 -19.973000 -234.994995)(21.004002 -23.000000 -234.994995)(20.490000 -11.500000 -231.750000)(21.004002 -23.000000 -234.994995)(19.976000 -6.489990 -228.505997)(20.490000 -11.500000 -231.750000)(19.976000 -6.489990 -228.505997)(21.004002 -6.489990 -234.994995)(20.490000 -11.500000 -231.750000)(21.004002 12.342999 -234.994995)(21.004002 6.489010 -234.994995)(20.200298 18.000000 -229.917007)(21.004002 12.342999 -234.994995)(20.200298 18.000000 -229.917007)(20.353699 18.000000 -230.886002)(21.004002 12.342999 -234.994995)(20.353699 18.000000 -230.886002)(20.388500 18.000000 -231.106003)(21.004002 12.342999 -234.994995)(20.388500 18.000000 -231.106003)(20.441299 18.000000 -231.439987)(21.004002 12.342999 -234.994995)(20.441299 18.000000 -231.439987)(20.495100 18.000000 -231.779999)(21.004002 12.342999 -234.994995)(20.495100 18.000000 -231.779999)(20.552101 18.000000 -232.139999)(21.004002 12.342999 -234.994995)(20.552101 18.000000 -232.139999)(20.615000 18.000000 -232.537003)(20.615000 18.000000 -232.537003)(20.687399 18.000000 -232.995010)(21.004002 16.989000 -234.994995)(20.687399 18.000000 -232.995010)(20.775501 18.000000 -233.550995)(21.004002 16.989000 -234.994995)(21.004002 12.342999 -234.994995)(20.615000 18.000000 -232.537003)(21.004002 16.989000 -234.994995)(21.004002 16.989000 -234.994995)(20.775501 18.000000 -233.550995)(20.889601 18.000000 -234.272003)(21.004002 16.989000 -234.994995)(20.889601 18.000000 -234.272003)(21.004002 18.000000 -234.994995)(20.200298 18.000000 -229.917007)(21.004002 6.489010 -234.994995)(21.004002 0.000009 -234.994995)(-12.339000 -23.000000 -218.005997)(-6.485000 -23.000000 -215.022995)(16.497000 -23.000000 -221.994995)(-16.984999 -12.344000 -222.651001)(-12.339000 -23.000000 -218.005997)(-16.984999 -23.000000 -222.651001)(-16.984999 -23.000000 -222.651001)(-19.967999 -6.489990 -228.505997)(-16.984999 -12.344000 -222.651001)(-20.995001 0.000008 -144.494995)(-19.967999 -6.489990 -228.505997)(-20.996000 0.000007 -234.994995)(-19.967999 6.489010 -228.505997)(-20.684700 18.000000 -233.029999)(-20.345001 18.000000 -230.886002)(-19.967999 6.489010 -228.505997)(-20.345001 18.000000 -230.886002)(-19.967999 18.000000 -228.505997)(-20.996000 0.000007 -234.994995)(-19.967999 6.489010 -228.505997)(-19.967999 6.489010 -144.494995)(16.993999 -23.000000 -222.651001)(16.497000 -23.000000 -221.994995)(16.993999 -12.344000 -222.652008)(19.976000 -23.000000 -228.505997)(16.993999 -23.000000 -222.651001)(16.993999 -12.344000 -222.652008)(19.976000 -23.000000 -228.505997)(16.993999 -12.344000 -222.652008)(19.976000 -6.489990 -228.505997)(19.976999 -6.489990 -144.494995)(21.004002 0.000009 -234.994995)(19.976000 -6.489990 -228.505997)(21.004002 0.000009 -234.994995)(19.976999 6.489010 -228.505997)(20.200298 18.000000 -229.917007)(19.976999 6.489010 -228.505997)(19.976999 18.000000 -228.505997)(20.200298 18.000000 -229.917007)(-6.485000 -23.000000 -215.022995)(0.004000 -23.000000 -213.994995)(16.497000 -23.000000 -221.994995)(-12.339000 -16.990000 -218.005997)(-6.485000 -23.000000 -215.022995)(-12.339000 -23.000000 -218.005997)(-16.984999 -12.344000 -222.651001)(-12.339000 -16.990000 -218.005997)(-12.339000 -23.000000 -218.005997)(-18.688900 -8.999990 -213.269989)(-16.984999 -12.344000 -222.651001)(-19.967999 -6.489990 -228.505997)(-18.688900 -8.999990 -213.269989)(-17.346600 -11.634300 -213.177994)(-16.984999 -12.344000 -222.651001)(-19.967999 -6.488990 -144.494995)(-18.688700 -8.999990 -178.013000)(-18.688900 -8.999990 -213.269989)(-19.967999 -6.488990 -144.494995)(-18.688900 -8.999990 -213.269989)(-19.967999 -6.489990 -228.505997)(-20.996000 0.000007 -234.994995)(-19.967999 6.489010 -144.494995)(-20.995001 0.000008 -144.494995)(-19.967999 -6.489990 -228.505997)(-20.995001 0.000008 -144.494995)(-19.967999 -6.488990 -144.494995)(-18.476500 12.244500 -225.578995)(-19.967999 6.489010 -228.505997)(-19.967999 18.000000 -228.505997)(-18.476500 12.244500 -225.578995)(-16.984999 12.342999 -222.652008)(-19.967999 6.489010 -228.505997)(-18.476500 12.244500 -225.578995)(-18.568399 18.000000 -225.759003)(-16.984999 12.342999 -222.652008)(-18.476500 12.244500 -225.578995)(-19.967999 18.000000 -228.505997)(-18.568399 18.000000 -225.759003)(-19.967999 6.489010 -228.505997)(-16.984999 12.342999 -144.494995)(-19.967999 6.489010 -144.494995)(16.993999 -12.344000 -222.652008)(16.497000 -23.000000 -221.994995)(14.694700 -17.672001 -220.304993)(16.497000 -23.000000 -221.994995)(12.348000 -16.990000 -218.005997)(14.694700 -17.672001 -220.304993)(12.348000 -16.990000 -218.005997)(16.993999 -12.344000 -222.652008)(14.694700 -17.672001 -220.304993)(19.976000 -6.489990 -228.505997)(16.993999 -12.344000 -222.652008)(18.697399 -8.999990 -213.269989)(16.993999 -12.344000 -222.652008)(16.993999 -12.344000 -213.153000)(18.697399 -8.999990 -213.269989)(19.976000 -6.489990 -228.505997)(18.697399 -8.999990 -206.371994)(18.697399 -8.999990 -192.485001)(18.697399 -8.999990 -213.269989)(18.697399 -8.999990 -206.371994)(19.976000 -6.489990 -228.505997)(18.697901 -8.999990 -148.720001)(17.147699 -12.042200 -148.826004)(16.993999 -12.344000 -144.494995)(18.697399 -8.999990 -192.485001)(18.697901 -8.999990 -148.720001)(19.976999 -6.489990 -144.494995)(18.697901 -8.999990 -148.720001)(16.993999 -12.344000 -144.494995)(19.976999 -6.489990 -144.494995)(18.697399 -8.999990 -192.485001)(19.976999 -6.489990 -144.494995)(19.976000 -6.489990 -228.505997)(19.976999 -6.489990 -144.494995)(21.004002 0.000010 -144.494995)(21.004002 0.000009 -234.994995)(19.976999 6.489010 -228.505997)(21.004002 0.000009 -234.994995)(21.004002 0.000010 -144.494995)(19.976999 6.489010 -228.505997)(17.897301 18.000000 -224.425003)(18.835001 18.000000 -226.264999)(19.976999 6.489010 -228.505997)(18.835001 18.000000 -226.264999)(19.189798 18.000000 -226.960999)(19.976999 6.489010 -228.505997)(19.189798 18.000000 -226.960999)(19.976999 18.000000 -228.505997)(0.004000 -23.000000 -213.994995)(6.494000 -23.000000 -215.022995)(16.497000 -23.000000 -221.994995)(-6.485000 -19.973000 -215.022995)(0.004000 -23.000000 -213.994995)(-6.485000 -23.000000 -215.022995)(-6.485000 -19.973000 -215.022995)(-6.485000 -23.000000 -215.022995)(-12.339000 -16.990000 -218.005997)(-16.984999 -12.344000 -213.153000)(-12.655300 -16.673700 -213.001999)(-14.662001 -14.667000 -217.825989)(-12.655300 -16.673700 -213.001999)(-12.339000 -16.990000 -218.005997)(-14.662001 -14.667000 -217.825989)(-12.339000 -16.990000 -218.005997)(-16.984999 -12.344000 -222.651001)(-14.662001 -14.667000 -217.825989)(-16.984999 -12.344000 -222.651001)(-16.984999 -12.344000 -213.153000)(-14.662001 -14.667000 -217.825989)(-18.688700 -8.999990 -148.720001)(-18.688700 -8.999990 -155.617996)(-19.967999 -6.488990 -144.494995)(-16.984999 -12.344000 -148.837006)(-18.688700 -8.999990 -148.720001)(-16.984999 -12.344000 -144.494995)(-18.688700 -8.999990 -148.720001)(-19.967999 -6.488990 -144.494995)(-16.984999 -12.344000 -144.494995)(-18.688700 -8.999990 -155.617996)(-18.688700 -8.999990 -178.013000)(-19.967999 -6.488990 -144.494995)(-16.984999 -12.344000 -222.651001)(-17.346600 -11.634300 -213.177994)(-16.984999 -12.344000 -213.153000)(-20.995001 0.000008 -144.494995)(-19.967999 6.489010 -144.494995)(-21.156000 29.125000 -144.494995)(-17.339001 -31.546999 -144.494995)(-19.967999 -6.488990 -144.494995)(-20.995001 0.000008 -144.494995)(-12.339000 18.000000 -218.005997)(-10.355000 18.000000 -216.994995)(-12.339000 16.989000 -218.005997)(-12.339000 16.989000 -218.005997)(-13.120399 18.000000 -218.787003)(-12.339000 18.000000 -218.005997)(-13.120399 18.000000 -218.787003)(-12.339000 16.989000 -218.005997)(-14.662001 15.171500 -220.328995)(-12.339000 16.989000 -218.005997)(-16.984999 12.342999 -222.652008)(-14.662001 15.171500 -220.328995)(-16.984999 12.342999 -222.652008)(-16.984999 18.000000 -222.652008)(-14.662001 15.171500 -220.328995)(-16.984999 18.000000 -222.652008)(-13.120399 18.000000 -218.787003)(-14.662001 15.171500 -220.328995)(-16.984999 12.342999 -222.652008)(-18.568399 18.000000 -225.759003)(-16.984999 18.000000 -222.652008)(-10.355000 18.000000 -195.314011)(-12.339000 16.989000 -218.005997)(-10.355000 18.000000 -216.994995)(-12.339000 16.989000 -218.005997)(-10.355000 18.000000 -195.314011)(-10.355000 18.000000 -193.092010)(-19.967999 6.489010 -228.505997)(-16.984999 12.342999 -222.652008)(-16.984999 12.342999 -144.494995)(-19.967999 6.489010 -144.494995)(-16.984999 12.342999 -144.494995)(-13.248000 33.472000 -144.494995)(12.348000 -16.990000 -218.005997)(16.497000 -23.000000 -221.994995)(12.348000 -23.000000 -218.005997)(12.348000 -16.990000 -212.990997)(16.428200 -12.909800 -213.133011)(14.671000 -14.667000 -217.820999)(16.428200 -12.909800 -213.133011)(16.993999 -12.344000 -222.652008)(14.671000 -14.667000 -217.820999)(16.993999 -12.344000 -222.652008)(12.348000 -16.990000 -218.005997)(14.671000 -14.667000 -217.820999)(12.348000 -16.990000 -218.005997)(12.348000 -16.990000 -212.990997)(14.671000 -14.667000 -217.820999)(16.993999 -12.344000 -222.652008)(16.428200 -12.909800 -213.133011)(16.993999 -12.344000 -213.153000)(17.147699 -12.042200 -148.826004)(16.993999 -12.344000 -148.837006)(16.993999 -12.344000 -144.494995)(16.993999 -12.344000 -144.494995)(17.347000 -31.546999 -144.494995)(19.976999 -6.489990 -144.494995)(24.647999 -26.243000 -144.494995)(21.004002 0.000010 -144.494995)(19.976999 -6.489990 -144.494995)(19.976999 6.489010 -228.505997)(21.004002 0.000010 -144.494995)(19.976999 6.489010 -144.494995)(16.993999 12.342999 -222.652008)(16.993999 18.000000 -222.652008)(17.439800 18.000000 -223.526993)(19.976999 6.489010 -228.505997)(16.993999 12.342999 -222.652008)(17.897301 18.000000 -224.425003)(16.993999 12.342999 -222.652008)(17.439800 18.000000 -223.526993)(17.897301 18.000000 -224.425003)(6.494000 -23.000000 -215.022995)(12.348000 -23.000000 -218.005997)(16.497000 -23.000000 -221.994995)(0.004000 -21.000000 -213.994995)(6.494000 -23.000000 -215.022995)(0.004000 -23.000000 -213.994995)(0.004000 -21.000000 -213.994995)(0.004000 -23.000000 -213.994995)(-6.485000 -19.973000 -215.022995)(-6.662060 -19.882799 -212.889999)(-6.485000 -19.973000 -215.022995)(-12.339000 -16.990000 -212.990997)(-12.339000 -16.990000 -212.990997)(-6.485000 -19.973000 -215.022995)(-12.339000 -16.990000 -218.005997)(-12.339000 -16.990000 -218.005997)(-12.655300 -16.673700 -213.001999)(-12.339000 -16.990000 -212.990997)(-19.967999 -6.488990 -144.494995)(-17.339001 -31.546999 -144.494995)(-16.984999 -12.344000 -144.494995)(-16.710001 -12.618999 -148.845993)(-16.984999 -12.344000 -148.837006)(-16.984999 -12.344000 -144.494995)(-6.485000 -19.973000 -215.022995)(-6.662060 -19.882799 -212.889999)(-6.485000 -19.973000 -212.887009)(11.948100 -17.193699 -212.983994)(12.348000 -16.990000 -212.990997)(12.348000 -16.990000 -218.005997)(-3.240580 -20.486500 -213.936996)(-6.485000 -19.973000 -212.887009)(-0.102773 -20.983101 -212.850998)(-3.240580 -20.486500 -213.936996)(-6.485000 -19.973000 -215.022995)(-6.485000 -19.973000 -212.887009)(-3.240580 -20.486500 -213.936996)(0.004000 -21.000000 -213.994995)(-6.485000 -19.973000 -215.022995)(-3.240580 -20.486500 -213.936996)(-0.102773 -20.983101 -212.850998)(0.004000 -21.000000 -213.994995)(11.948100 -17.193699 -212.983994)(6.494000 -19.973000 -215.022995)(6.494000 -19.973000 -212.887009)(12.348000 -16.990000 -218.005997)(6.494000 -19.973000 -215.022995)(11.948100 -17.193699 -212.983994)(0.004000 -21.000000 -213.994995)(-0.102773 -20.983101 -212.850998)(0.004000 -21.000000 -212.850998)(6.494000 -19.973000 -215.022995)(6.297320 -20.004099 -212.886002)(6.494000 -19.973000 -212.887009)(3.249000 -20.486500 -213.936996)(0.004000 -21.000000 -212.850998)(6.297320 -20.004099 -212.886002)(3.249000 -20.486500 -213.936996)(0.004000 -21.000000 -213.994995)(0.004000 -21.000000 -212.850998)(3.249000 -20.486500 -213.936996)(6.494000 -19.973000 -215.022995)(0.004000 -21.000000 -213.994995)(3.249000 -20.486500 -213.936996)(6.297320 -20.004099 -212.886002)(6.494000 -19.973000 -215.022995)(-13.248000 33.472000 -144.494995)(-21.156000 29.125000 -144.494995)(-19.967999 6.489010 -144.494995)(-24.639000 -26.243000 -144.494995)(-20.995001 0.000008 -144.494995)(-21.156000 29.125000 -144.494995)(-20.995001 0.000008 -144.494995)(-24.639000 -26.243000 -144.494995)(-17.339001 -31.546999 -144.494995)(-16.984999 12.342999 -222.652008)(-12.339000 16.989000 -218.005997)(-12.339000 16.989000 -144.494995)(-6.485000 19.972000 -144.494995)(-12.339000 16.989000 -144.494995)(-9.325880 18.524401 -180.169006)(-12.339000 16.989000 -144.494995)(-10.355000 18.000000 -181.091995)(-9.325880 18.524401 -180.169006)(-12.339000 16.989000 -144.494995)(-10.355000 18.000000 -192.701996)(-10.355000 18.000000 -185.748001)(-10.355000 18.000000 -181.091995)(-12.339000 16.989000 -144.494995)(-10.355000 18.000000 -185.748001)(-10.355000 18.000000 -193.092010)(-10.355000 18.000000 -192.701996)(-12.339000 16.989000 -144.494995)(-12.339000 16.989000 -218.005997)(-10.355000 18.000000 -193.092010)(-12.339000 16.989000 -144.494995)(-16.984999 12.342999 -222.652008)(-12.339000 16.989000 -144.494995)(-16.984999 12.342999 -144.494995)(-12.339000 16.989000 -144.494995)(-13.248000 33.472000 -144.494995)(-16.984999 12.342999 -144.494995)(12.348000 -16.990000 -218.005997)(12.348000 -23.000000 -218.005997)(6.494000 -19.973000 -215.022995)(-16.710001 -12.618999 -148.845993)(-16.984999 -12.344000 -144.494995)(-14.662001 -14.667000 -146.746994)(-16.984999 -12.344000 -144.494995)(-12.339000 -16.990000 -144.494995)(-14.662001 -14.667000 -146.746994)(-12.339000 -16.990000 -144.494995)(-12.339000 -16.990000 -148.999008)(-14.662001 -14.667000 -146.746994)(-12.339000 -16.990000 -148.999008)(-16.710001 -12.618999 -148.845993)(-14.662001 -14.667000 -146.746994)(-12.339000 -16.990000 -144.494995)(-11.964600 -17.180801 -149.005997)(-12.339000 -16.990000 -148.999008)(-9.412000 -18.480999 -146.798996)(-6.485000 -19.972000 -144.494995)(-6.485000 -19.972101 -149.102997)(-9.412000 -18.480999 -146.798996)(-12.339000 -16.990000 -144.494995)(-6.485000 -19.972000 -144.494995)(-9.412000 -18.480999 -146.798996)(-11.964600 -17.180801 -149.005997)(-12.339000 -16.990000 -144.494995)(-9.412000 -18.480999 -146.798996)(-6.485000 -19.972101 -149.102997)(-11.964600 -17.180801 -149.005997)(-6.054520 -20.040199 -149.106003)(-6.485000 -19.972101 -149.102997)(-6.485000 -19.972000 -144.494995)(-3.240500 -20.486000 -146.817001)(0.004003 -21.000000 -144.494995)(0.004003 -21.000000 -149.139008)(-3.240500 -20.486000 -146.817001)(-6.485000 -19.972000 -144.494995)(0.004003 -21.000000 -144.494995)(-3.240500 -20.486000 -146.817001)(-6.054520 -20.040199 -149.106003)(-6.485000 -19.972000 -144.494995)(-3.240500 -20.486000 -146.817001)(0.004003 -21.000000 -149.139008)(-6.054520 -20.040199 -149.106003)(0.431144 -20.932400 -149.137009)(0.004003 -21.000000 -149.139008)(0.004003 -21.000000 -144.494995)(3.249010 -20.486000 -146.815994)(6.494000 -19.972000 -144.494995)(6.494000 -19.972101 -149.102997)(3.249010 -20.486000 -146.815994)(0.004003 -21.000000 -144.494995)(6.494000 -19.972000 -144.494995)(3.249010 -20.486000 -146.815994)(0.431144 -20.932400 -149.137009)(0.004003 -21.000000 -144.494995)(3.249010 -20.486000 -146.815994)(6.494000 -19.972101 -149.102997)(0.431144 -20.932400 -149.137009)(6.860460 -19.785299 -149.097000)(6.494000 -19.972101 -149.102997)(6.494000 -19.972000 -144.494995)(6.860460 -19.785299 -149.097000)(6.494000 -19.972000 -144.494995)(9.421000 -18.480999 -146.796005)(6.494000 -19.972000 -144.494995)(12.348000 -16.990000 -144.494995)(9.421000 -18.480999 -146.796005)(12.348000 -16.990000 -144.494995)(12.348000 -16.990000 -148.999008)(9.421000 -18.480999 -146.796005)(12.348000 -16.990000 -148.999008)(6.860460 -19.785299 -149.097000)(9.421000 -18.480999 -146.796005)(12.615200 -16.722799 -148.990005)(12.348000 -16.990000 -148.999008)(12.348000 -16.990000 -144.494995)(12.615200 -16.722799 -148.990005)(12.348000 -16.990000 -144.494995)(14.671000 -14.667000 -146.742004)(12.348000 -16.990000 -144.494995)(16.993999 -12.344000 -144.494995)(14.671000 -14.667000 -146.742004)(16.993999 -12.344000 -144.494995)(16.993999 -12.344000 -148.837006)(14.671000 -14.667000 -146.742004)(16.993999 -12.344000 -148.837006)(12.615200 -16.722799 -148.990005)(14.671000 -14.667000 -146.742004)(19.976999 -6.489990 -144.494995)(17.347000 -31.546999 -144.494995)(24.647999 -26.243000 -144.494995)(16.993999 -12.344000 -144.494995)(12.348000 -16.990000 -144.494995)(17.347000 -31.546999 -144.494995)(21.165001 29.123999 -144.494995)(21.004002 0.000010 -144.494995)(24.647999 -26.243000 -144.494995)(21.165001 29.123999 -144.494995)(19.976999 6.489010 -144.494995)(21.004002 0.000010 -144.494995)(16.993999 12.342999 -222.652008)(19.976999 6.489010 -228.505997)(19.976999 6.489010 -144.494995)(16.993999 12.342999 -222.652008)(16.039001 18.000000 -221.507004)(16.993999 18.000000 -222.652008)(6.494000 -19.973000 -215.022995)(12.348000 -23.000000 -218.005997)(6.494000 -23.000000 -215.022995)(6.494000 -19.973000 -215.022995)(6.494000 -23.000000 -215.022995)(0.004000 -21.000000 -213.994995)(-16.984999 -12.344000 -144.494995)(-17.339001 -31.546999 -144.494995)(-8.948000 -34.868999 -144.494995)(-13.248000 33.472000 -139.994995)(-21.156000 29.125000 -144.494995)(-13.248000 33.472000 -144.494995)(-21.156000 29.125000 -144.494995)(-27.734001 22.947001 -144.494995)(-24.639000 -26.243000 -144.494995)(-24.639000 -26.243000 -139.994995)(-17.339001 -31.546999 -144.494995)(-24.639000 -26.243000 -144.494995)(-6.485000 19.972000 -144.494995)(-9.325880 18.524401 -180.169006)(-8.737850 18.823999 -179.642014)(-6.485000 19.972000 -144.494995)(-8.737850 18.823999 -179.642014)(-8.573680 18.907700 -179.495010)(-6.485000 19.972000 -144.494995)(-8.573680 18.907700 -179.495010)(-6.485000 19.972000 -178.617996)(-4.507000 35.716000 -144.494995)(-12.339000 16.989000 -144.494995)(-6.485000 19.972000 -144.494995)(-4.507000 35.716000 -144.494995)(-13.248000 33.472000 -144.494995)(-12.339000 16.989000 -144.494995)(-12.339000 -16.990000 -144.494995)(-16.984999 -12.344000 -144.494995)(-8.948000 -34.868999 -144.494995)(-6.485000 -19.972000 -144.494995)(-12.339000 -16.990000 -144.494995)(-8.948000 -34.868999 -144.494995)(0.004003 -21.000000 -144.494995)(-6.485000 -19.972000 -144.494995)(0.004004 -36.000000 -144.494995)(6.494000 -19.972000 -144.494995)(0.004003 -21.000000 -144.494995)(0.004004 -36.000000 -144.494995)(12.348000 -16.990000 -144.494995)(6.494000 -19.972000 -144.494995)(8.957001 -34.868999 -144.494995)(17.347000 -31.546999 -139.994995)(24.647999 -26.243000 -144.494995)(17.347000 -31.546999 -144.494995)(12.348000 -16.990000 -144.494995)(8.957001 -34.868999 -144.494995)(17.347000 -31.546999 -144.494995)(27.743000 22.947001 -144.494995)(21.165001 29.123999 -144.494995)(24.647999 -26.243000 -144.494995)(21.165001 29.123999 -144.494995)(16.993999 12.342999 -144.494995)(19.976999 6.489010 -144.494995)(16.993999 12.342999 -222.652008)(19.976999 6.489010 -144.494995)(16.993999 12.342999 -144.494995)(15.748899 18.000000 -221.229004)(16.039001 18.000000 -221.507004)(16.993999 12.342999 -222.652008)(12.826800 18.000000 -218.425003)(15.748899 18.000000 -221.229004)(12.348000 16.989000 -218.005997)(15.748899 18.000000 -221.229004)(16.993999 12.342999 -222.652008)(12.348000 16.989000 -218.005997)(9.379889 18.501499 -180.253998)(10.363999 18.000000 -180.876999)(12.348000 16.989000 -144.494995)(12.348000 16.989000 -218.005997)(10.363999 18.000000 -210.462997)(10.363999 18.000000 -213.908997)(12.348000 16.989000 -218.005997)(10.363999 18.000000 -205.869003)(10.363999 18.000000 -210.462997)(12.348000 16.989000 -218.005997)(10.363999 18.000000 -199.636002)(10.363999 18.000000 -205.869003)(10.363999 18.000000 -216.525009)(12.348000 16.989000 -218.005997)(10.363999 18.000000 -213.908997)(10.363999 18.000000 -216.994995)(12.348000 16.989000 -218.005997)(10.363999 18.000000 -216.525009)(10.363999 18.000000 -191.116013)(10.363999 18.000000 -199.636002)(12.348000 16.989000 -218.005997)(10.863900 17.745201 -181.250000)(12.348000 16.989000 -218.005997)(12.348000 16.989000 -144.494995)(10.863900 17.745201 -181.250000)(10.363999 18.000000 -191.116013)(12.348000 16.989000 -218.005997)(10.863900 17.745201 -181.250000)(12.348000 16.989000 -144.494995)(10.363999 18.000000 -180.876999)(-17.339001 -31.546999 -139.994995)(-8.948000 -34.868999 -144.494995)(-17.339001 -31.546999 -144.494995)(-13.248000 33.472000 -139.994995)(-13.248000 33.472000 -144.494995)(-4.507000 35.716000 -139.994995)(-21.156000 29.125000 -139.994995)(-21.156000 29.125000 -144.494995)(-13.248000 33.472000 -139.994995)(-21.156000 29.125000 -139.994995)(-27.734001 22.947001 -144.494995)(-21.156000 29.125000 -144.494995)(-27.734001 22.947001 -144.494995)(-30.391001 -19.290001 -144.494995)(-24.639000 -26.243000 -144.494995)(-24.639000 -26.243000 -144.494995)(-30.391001 -19.290001 -139.994995)(-24.639000 -26.243000 -139.994995)(-17.339001 -31.546999 -139.994995)(-17.339001 -31.546999 -144.494995)(-24.639000 -26.243000 -139.994995)(-3.023690 20.520300 -177.407990)(0.005001 21.000000 -144.494995)(-3.240000 20.486000 -161.557007)(0.005001 21.000000 -144.494995)(-6.485000 19.972000 -144.494995)(-3.240000 20.486000 -161.557007)(-6.485000 19.972000 -144.494995)(-6.485000 19.972000 -178.617996)(-3.240000 20.486000 -161.557007)(-6.485000 19.972000 -178.617996)(-4.399590 20.302299 -177.716003)(-3.240000 20.486000 -161.557007)(-4.399590 20.302299 -177.716003)(-3.833440 20.392000 -177.470993)(-3.240000 20.486000 -161.557007)(-3.833440 20.392000 -177.470993)(-3.023690 20.520300 -177.407990)(-3.240000 20.486000 -161.557007)(-4.507000 35.716000 -144.494995)(-6.485000 19.972000 -144.494995)(0.005001 21.000000 -144.494995)(-4.507000 35.716000 -139.994995)(-13.248000 33.472000 -144.494995)(-4.507000 35.716000 -144.494995)(-6.485000 -19.972000 -144.494995)(-8.948000 -34.868999 -144.494995)(0.004004 -36.000000 -144.494995)(6.494000 -19.972000 -144.494995)(0.004004 -36.000000 -144.494995)(8.957001 -34.868999 -144.494995)(17.347000 -31.546999 -144.494995)(8.957001 -34.868999 -139.994995)(17.347000 -31.546999 -139.994995)(24.647999 -26.243000 -139.994995)(24.647999 -26.243000 -144.494995)(17.347000 -31.546999 -139.994995)(8.957001 -34.868999 -139.994995)(17.347000 -31.546999 -144.494995)(8.957001 -34.868999 -144.494995)(30.400000 -19.290001 -144.494995)(27.743000 22.947001 -144.494995)(24.647999 -26.243000 -144.494995)(27.743000 22.947001 -139.994995)(21.165001 29.123999 -144.494995)(27.743000 22.947001 -144.494995)(21.165001 29.123999 -144.494995)(13.257000 33.472000 -144.494995)(16.993999 12.342999 -144.494995)(12.348000 16.989000 -218.005997)(16.993999 12.342999 -222.652008)(16.993999 12.342999 -144.494995)(12.348000 18.000000 -218.005997)(12.826800 18.000000 -218.425003)(12.348000 16.989000 -218.005997)(12.348000 18.000000 -218.005997)(12.348000 16.989000 -218.005997)(11.363400 18.000000 -217.503998)(11.363400 18.000000 -217.503998)(12.348000 16.989000 -218.005997)(11.098400 18.000000 -217.369003)(11.098400 18.000000 -217.369003)(12.348000 16.989000 -218.005997)(10.363999 18.000000 -216.994995)(9.379889 18.501499 -180.253998)(12.348000 16.989000 -144.494995)(9.421000 18.480499 -162.375000)(12.348000 16.989000 -144.494995)(6.494000 19.972000 -144.494995)(9.421000 18.480499 -162.375000)(6.494000 19.972000 -144.494995)(6.494000 19.972000 -178.428986)(9.421000 18.480499 -162.375000)(6.494000 19.972000 -178.428986)(9.379889 18.501499 -180.253998)(9.421000 18.480499 -162.375000)(12.348000 16.989000 -218.005997)(16.993999 12.342999 -144.494995)(12.348000 16.989000 -144.494995)(-8.948000 -34.868999 -139.994995)(-8.948000 -34.868999 -144.494995)(-17.339001 -31.546999 -139.994995)(-13.248000 33.472000 -139.994995)(-4.507000 35.716000 -139.994995)(-35.358002 6.746010 -139.994995)(-21.156000 29.125000 -139.994995)(-13.248000 33.472000 -139.994995)(-35.358002 6.746010 -139.994995)(-27.734001 22.947001 -139.994995)(-27.734001 22.947001 -144.494995)(-21.156000 29.125000 -139.994995)(-30.391001 -19.290001 -144.494995)(-27.734001 22.947001 -144.494995)(-32.569000 15.328000 -144.494995)(-30.391001 -19.290001 -139.994995)(-24.639000 -26.243000 -144.494995)(-30.391001 -19.290001 -144.494995)(-24.639000 -26.243000 -139.994995)(-30.391001 -19.290001 -139.994995)(-35.358002 6.746010 -139.994995)(-35.358002 6.746010 -139.994995)(-17.339001 -31.546999 -139.994995)(-24.639000 -26.243000 -139.994995)(-3.023690 20.520300 -177.407990)(0.004530 21.000000 -177.173996)(0.005001 21.000000 -144.494995)(4.517000 35.716000 -144.494995)(-4.507000 35.716000 -144.494995)(0.005001 21.000000 -144.494995)(-4.507000 35.716000 -139.994995)(-4.507000 35.716000 -144.494995)(4.517000 35.716000 -139.994995)(-8.948000 -34.868999 -139.994995)(0.004004 -36.000000 -144.494995)(-8.948000 -34.868999 -144.494995)(8.957001 -34.868999 -144.494995)(0.004004 -36.000000 -144.494995)(0.004004 -36.000000 -139.994995)(17.347000 -31.546999 -139.994995)(8.957001 -34.868999 -139.994995)(-35.358002 6.746010 -139.994995)(24.647999 -26.243000 -139.994995)(17.347000 -31.546999 -139.994995)(-35.358002 6.746010 -139.994995)(24.647999 -26.243000 -144.494995)(24.647999 -26.243000 -139.994995)(30.400000 -19.290001 -144.494995)(8.957001 -34.868999 -139.994995)(8.957001 -34.868999 -144.494995)(0.004004 -36.000000 -139.994995)(32.577999 15.328000 -144.494995)(27.743000 22.947001 -144.494995)(30.400000 -19.290001 -144.494995)(27.743000 22.947001 -144.494995)(32.577999 15.328000 -139.994995)(27.743000 22.947001 -139.994995)(21.165001 29.123999 -139.994995)(21.165001 29.123999 -144.494995)(27.743000 22.947001 -139.994995)(13.257000 33.472000 -144.494995)(21.165001 29.123999 -144.494995)(21.165001 29.123999 -139.994995)(13.257000 33.472000 -144.494995)(12.348000 16.989000 -144.494995)(16.993999 12.342999 -144.494995)(6.494000 19.972000 -144.494995)(3.404220 20.461399 -177.582993)(5.745170 20.090601 -178.161987)(6.494000 19.972000 -144.494995)(5.745170 20.090601 -178.161987)(6.289830 20.004301 -178.296997)(6.494000 19.972000 -144.494995)(6.289830 20.004301 -178.296997)(6.494000 19.972000 -178.428986)(13.257000 33.472000 -144.494995)(6.494000 19.972000 -144.494995)(12.348000 16.989000 -144.494995)(-35.358002 6.746010 -139.994995)(-8.948000 -34.868999 -139.994995)(-17.339001 -31.546999 -139.994995)(-4.507000 35.716000 -139.994995)(4.517000 35.716000 -139.994995)(-35.358002 6.746010 -139.994995)(-27.734001 22.947001 -139.994995)(-21.156000 29.125000 -139.994995)(-35.358002 6.746010 -139.994995)(-27.734001 22.947001 -144.494995)(-27.734001 22.947001 -139.994995)(-32.569000 15.328000 -144.494995)(-34.233002 -11.125000 -144.494995)(-30.391001 -19.290001 -144.494995)(-32.569000 15.328000 -144.494995)(-30.391001 -19.290001 -144.494995)(-34.233002 -11.125000 -139.994995)(-30.391001 -19.290001 -139.994995)(-30.391001 -19.290001 -139.994995)(-34.233002 -11.125000 -139.994995)(-35.358002 6.746010 -139.994995)(3.249260 20.486000 -161.039001)(0.513453 20.919399 -177.128998)(1.293990 20.795700 -177.059998)(3.249260 20.486000 -161.039001)(0.004530 21.000000 -177.173996)(0.513453 20.919399 -177.128998)(3.249260 20.486000 -161.039001)(0.005001 21.000000 -144.494995)(0.004530 21.000000 -177.173996)(3.249260 20.486000 -161.039001)(6.494000 19.972000 -144.494995)(0.005001 21.000000 -144.494995)(3.249260 20.486000 -161.039001)(3.404220 20.461399 -177.582993)(6.494000 19.972000 -144.494995)(3.249260 20.486000 -161.039001)(1.293990 20.795700 -177.059998)(3.404220 20.461399 -177.582993)(-4.507000 35.716000 -144.494995)(4.517000 35.716000 -144.494995)(4.517000 35.716000 -139.994995)(4.517000 35.716000 -144.494995)(0.005001 21.000000 -144.494995)(6.494000 19.972000 -144.494995)(0.004004 -36.000000 -139.994995)(0.004004 -36.000000 -144.494995)(-8.948000 -34.868999 -139.994995)(-35.358002 6.746010 -139.994995)(8.957001 -34.868999 -139.994995)(0.004004 -36.000000 -139.994995)(30.400000 -19.290001 -139.994995)(24.647999 -26.243000 -139.994995)(-35.358002 6.746010 -139.994995)(24.647999 -26.243000 -139.994995)(30.400000 -19.290001 -139.994995)(30.400000 -19.290001 -144.494995)(32.577999 15.328000 -144.494995)(30.400000 -19.290001 -144.494995)(34.242001 -11.125000 -144.494995)(32.577999 15.328000 -144.494995)(32.577999 15.328000 -139.994995)(27.743000 22.947001 -144.494995)(27.743000 22.947001 -139.994995)(32.577999 15.328000 -139.994995)(-35.358002 6.746010 -139.994995)(21.165001 29.123999 -139.994995)(27.743000 22.947001 -139.994995)(-35.358002 6.746010 -139.994995)(13.257000 33.472000 -139.994995)(13.257000 33.472000 -144.494995)(21.165001 29.123999 -139.994995)(13.257000 33.472000 -144.494995)(4.517000 35.716000 -144.494995)(6.494000 19.972000 -144.494995)(-35.358002 6.746010 -139.994995)(0.004004 -36.000000 -139.994995)(-8.948000 -34.868999 -139.994995)(4.517000 35.716000 -139.994995)(13.257000 33.472000 -139.994995)(-35.358002 6.746010 -139.994995)(-32.569000 15.328000 -139.994995)(-27.734001 22.947001 -139.994995)(-35.358002 6.746010 -139.994995)(-32.569000 15.328000 -144.494995)(-27.734001 22.947001 -139.994995)(-32.569000 15.328000 -139.994995)(-34.233002 -11.125000 -144.494995)(-32.569000 15.328000 -144.494995)(-35.358002 6.746010 -144.494995)(-34.233002 -11.125000 -144.494995)(-34.233002 -11.125000 -139.994995)(-30.391001 -19.290001 -144.494995)(-34.233002 -11.125000 -139.994995)(-35.924000 -2.260000 -139.994995)(-35.358002 6.746010 -139.994995)(4.517000 35.716000 -139.994995)(4.517000 35.716000 -144.494995)(13.257000 33.472000 -139.994995)(34.242001 -11.125000 -139.994995)(30.400000 -19.290001 -139.994995)(-35.358002 6.746010 -139.994995)(30.400000 -19.290001 -139.994995)(34.242001 -11.125000 -144.494995)(30.400000 -19.290001 -144.494995)(35.367001 6.746010 -144.494995)(32.577999 15.328000 -144.494995)(34.242001 -11.125000 -144.494995)(32.577999 15.328000 -144.494995)(35.367001 6.746010 -139.994995)(32.577999 15.328000 -139.994995)(32.577999 15.328000 -139.994995)(35.367001 6.746010 -139.994995)(-35.358002 6.746010 -139.994995)(13.257000 33.472000 -139.994995)(21.165001 29.123999 -139.994995)(-35.358002 6.746010 -139.994995)(13.257000 33.472000 -139.994995)(4.517000 35.716000 -144.494995)(13.257000 33.472000 -144.494995)(-35.358002 6.746010 -144.494995)(-32.569000 15.328000 -139.994995)(-35.358002 6.746010 -139.994995)(-32.569000 15.328000 -144.494995)(-32.569000 15.328000 -139.994995)(-35.358002 6.746010 -144.494995)(-35.924000 -2.260000 -144.494995)(-34.233002 -11.125000 -144.494995)(-35.358002 6.746010 -144.494995)(-35.924000 -2.260000 -139.994995)(-34.233002 -11.125000 -139.994995)(-34.233002 -11.125000 -144.494995)(-35.924000 -2.260000 -139.994995)(-35.994999 0.000007 -139.994995)(-35.358002 6.746010 -139.994995)(35.932999 -2.260990 -139.994995)(34.242001 -11.125000 -139.994995)(-35.358002 6.746010 -139.994995)(30.400000 -19.290001 -139.994995)(34.242001 -11.125000 -139.994995)(34.242001 -11.125000 -144.494995)(35.367001 6.746010 -144.494995)(34.242001 -11.125000 -144.494995)(35.932999 -2.260990 -144.494995)(35.367001 6.746010 -139.994995)(32.577999 15.328000 -144.494995)(35.367001 6.746010 -144.494995)(35.367001 6.746010 -139.994995)(35.932999 -2.260990 -139.994995)(-35.358002 6.746010 -139.994995)(-35.358002 6.746010 -144.494995)(-35.358002 6.746010 -139.994995)(-35.994999 0.000008 -144.494995)(-35.924000 -2.260000 -144.494995)(-35.358002 6.746010 -144.494995)(-35.994999 0.000008 -144.494995)(-35.924000 -2.260000 -144.494995)(-35.924000 -2.260000 -139.994995)(-34.233002 -11.125000 -144.494995)(-35.994999 0.000008 -144.494995)(-35.358002 6.746010 -139.994995)(-35.994999 0.000007 -139.994995)(-35.924000 -2.260000 -144.494995)(-35.994999 0.000007 -139.994995)(-35.924000 -2.260000 -139.994995)(35.932999 -2.260990 -144.494995)(34.242001 -11.125000 -139.994995)(35.932999 -2.260990 -139.994995)(34.242001 -11.125000 -144.494995)(34.242001 -11.125000 -139.994995)(35.932999 -2.260990 -144.494995)(35.932999 -2.260990 -144.494995)(35.932999 -2.260990 -139.994995)(35.367001 6.746010 -144.494995)(35.367001 6.746010 -144.494995)(35.932999 -2.260990 -139.994995)(35.367001 6.746010 -139.994995)(-35.924000 -2.260000 -144.494995)(-35.994999 0.000008 -144.494995)(-35.994999 0.000007 -139.994995)(-12.339000 -16.990000 -212.990997)(-23.770000 -8.999990 -213.269989)(0.004499 -27.250000 -212.632996)(22.505001 -45.500000 -211.995010)(6.494000 -19.973000 -212.887009)(0.004499 -27.250000 -212.632996)(23.778999 -8.999990 -213.269989)(18.697399 -8.999990 -213.269989)(16.993999 -12.344000 -213.153000)(23.778999 -8.999990 -213.269989)(16.993999 -12.344000 -213.153000)(16.428200 -12.909800 -213.133011)(16.428200 -12.909800 -213.133011)(12.348000 -16.990000 -212.990997)(22.505001 -45.500000 -211.995010)(12.348000 -16.990000 -212.990997)(11.948100 -17.193699 -212.983994)(22.505001 -45.500000 -211.995010)(11.948100 -17.193699 -212.983994)(6.494000 -19.973000 -212.887009)(22.505001 -45.500000 -211.995010)(23.778999 -8.999990 -213.269989)(16.428200 -12.909800 -213.133011)(22.505001 -45.500000 -211.995010)(-17.346600 -11.634300 -213.177994)(-18.688900 -8.999990 -213.269989)(-23.770000 -8.999990 -213.269989)(-16.984999 -12.344000 -213.153000)(-17.346600 -11.634300 -213.177994)(-23.770000 -8.999990 -213.269989)(-12.655300 -16.673700 -213.001999)(-16.984999 -12.344000 -213.153000)(-23.770000 -8.999990 -213.269989)(-12.655300 -16.673700 -213.001999)(-23.770000 -8.999990 -213.269989)(-12.339000 -16.990000 -212.990997)(-23.770000 -8.999990 -213.269989)(22.505001 -45.500000 -211.995010)(0.004499 -27.250000 -212.632996)(-6.662060 -19.882799 -212.889999)(-12.339000 -16.990000 -212.990997)(0.004499 -27.250000 -212.632996)(-6.485000 -19.973000 -212.887009)(-6.662060 -19.882799 -212.889999)(0.004499 -27.250000 -212.632996)(-0.102773 -20.983101 -212.850998)(-6.485000 -19.973000 -212.887009)(0.004499 -27.250000 -212.632996)(0.004000 -21.000000 -212.850998)(-0.102773 -20.983101 -212.850998)(0.004499 -27.250000 -212.632996)(6.494000 -19.973000 -212.887009)(6.297320 -20.004099 -212.886002)(0.004499 -27.250000 -212.632996)(6.297320 -20.004099 -212.886002)(0.004000 -21.000000 -212.850998)(0.004499 -27.250000 -212.632996)(-18.688700 -8.999990 -178.013000)(-18.688700 -8.999990 -155.617996)(-21.229399 -8.999990 -180.994995)(-18.688700 -8.999990 -155.617996)(-23.770000 -8.999990 -148.720001)(-21.229399 -8.999990 -180.994995)(-23.770000 -8.999990 -148.720001)(-23.770000 -8.999990 -213.269989)(-21.229399 -8.999990 -180.994995)(-23.770000 -8.999990 -213.269989)(-18.688900 -8.999990 -213.269989)(-21.229399 -8.999990 -180.994995)(-18.688900 -8.999990 -213.269989)(-18.688700 -8.999990 -178.013000)(-21.229399 -8.999990 -180.994995)(18.697399 -8.999990 -206.371994)(23.778999 -8.999990 -213.269989)(18.697399 -8.999990 -192.485001)(23.778999 -8.999990 -213.269989)(23.778999 -8.999990 -148.720001)(21.238201 -8.999990 -180.994995)(23.778999 -8.999990 -148.720001)(18.697901 -8.999990 -148.720001)(21.238201 -8.999990 -180.994995)(18.697901 -8.999990 -148.720001)(18.697399 -8.999990 -192.485001)(21.238201 -8.999990 -180.994995)(18.697399 -8.999990 -192.485001)(23.778999 -8.999990 -213.269989)(21.238201 -8.999990 -180.994995)(18.697399 -8.999990 -213.269989)(23.778999 -8.999990 -213.269989)(18.697399 -8.999990 -206.371994)(0.004003 -21.000000 -149.139008)(0.431144 -20.932400 -149.137009)(0.004499 -27.250000 -149.357010)(0.431144 -20.932400 -149.137009)(6.494000 -19.972101 -149.102997)(0.004499 -27.250000 -149.357010)(6.494000 -19.972101 -149.102997)(6.860460 -19.785299 -149.097000)(0.004499 -27.250000 -149.357010)(6.860460 -19.785299 -149.097000)(12.348000 -16.990000 -148.999008)(0.004499 -27.250000 -149.357010)(12.348000 -16.990000 -148.999008)(23.778999 -8.999990 -148.720001)(0.004499 -27.250000 -149.357010)(-22.496000 -45.500000 -149.994995)(-6.485000 -19.972101 -149.102997)(0.004499 -27.250000 -149.357010)(23.778999 -8.999990 -148.720001)(12.348000 -16.990000 -148.999008)(12.615200 -16.722799 -148.990005)(23.778999 -8.999990 -148.720001)(12.615200 -16.722799 -148.990005)(16.993999 -12.344000 -148.837006)(23.778999 -8.999990 -148.720001)(16.993999 -12.344000 -148.837006)(17.147699 -12.042200 -148.826004)(23.778999 -8.999990 -148.720001)(17.147699 -12.042200 -148.826004)(18.697901 -8.999990 -148.720001)(-6.485000 -19.972101 -149.102997)(-22.496000 -45.500000 -149.994995)(-11.964600 -17.180801 -149.005997)(-11.964600 -17.180801 -149.005997)(-22.496000 -45.500000 -149.994995)(-12.339000 -16.990000 -148.999008)(-12.339000 -16.990000 -148.999008)(-22.496000 -45.500000 -149.994995)(-16.710001 -12.618999 -148.845993)(-18.688700 -8.999990 -148.720001)(-16.984999 -12.344000 -148.837006)(-23.770000 -8.999990 -148.720001)(-16.984999 -12.344000 -148.837006)(-16.710001 -12.618999 -148.845993)(-23.770000 -8.999990 -148.720001)(-16.710001 -12.618999 -148.845993)(-22.496000 -45.500000 -149.994995)(-23.770000 -8.999990 -148.720001)(23.778999 -8.999990 -148.720001)(-22.496000 -45.500000 -149.994995)(0.004499 -27.250000 -149.357010)(-6.485000 -19.972101 -149.102997)(-6.054520 -20.040199 -149.106003)(0.004499 -27.250000 -149.357010)(-6.054520 -20.040199 -149.106003)(0.004003 -21.000000 -149.139008)(0.004499 -27.250000 -149.357010)(-23.770000 -8.999990 -148.720001)(-18.688700 -8.999990 -155.617996)(-18.688700 -8.999990 -148.720001)(22.505001 -45.500000 -211.995010)(-23.770000 -8.999990 -213.269989)(6.878000 -45.500000 -211.995010)(6.878000 -45.500000 -211.995010)(-23.770000 -8.999990 -213.269989)(-6.869000 -45.500000 -211.995010)(-6.869000 -45.500000 -211.995010)(-23.770000 -8.999990 -213.269989)(-22.494999 -45.500000 -211.995010)(23.778999 -8.999990 -148.720001)(23.778999 -8.999990 -213.269989)(22.505001 -45.500000 -211.995010)(-23.770000 -8.999990 -213.269989)(-23.770000 -8.999990 -148.720001)(-22.496000 -45.500000 -149.994995)(23.778999 -8.999990 -148.720001)(22.505001 -45.500000 -149.994995)(-22.496000 -45.500000 -149.994995)(-22.494999 -45.500000 -211.995010)(-23.770000 -8.999990 -213.269989)(-22.496000 -45.500000 -149.994995)(6.878000 -45.500000 -211.995010)(8.138000 -45.500000 -198.317001)(22.505001 -45.500000 -211.995010)(8.138000 -45.500000 -198.317001)(8.139999 -45.500000 -198.289001)(22.505001 -45.500000 -211.995010)(8.139999 -45.500000 -198.289001)(8.336000 -45.500000 -192.393005)(22.505001 -45.500000 -211.995010)(8.336000 -45.500000 -192.393005)(8.246000 -45.500000 -186.492996)(14.691500 -45.500000 -180.994995)(8.246000 -45.500000 -186.492996)(8.132999 -45.500000 -184.585007)(14.691500 -45.500000 -180.994995)(8.132999 -45.500000 -184.585007)(7.895999 -45.500000 -180.602997)(14.691500 -45.500000 -180.994995)(7.895999 -45.500000 -180.602997)(7.550000 -45.500000 -176.684006)(14.691500 -45.500000 -180.994995)(7.550000 -45.500000 -176.684006)(7.137000 -45.500000 -172.772003)(14.691500 -45.500000 -180.994995)(7.137000 -45.500000 -172.772003)(6.934380 -45.500000 -171.448013)(14.691500 -45.500000 -180.994995)(6.934380 -45.500000 -171.448013)(22.505001 -45.500000 -149.994995)(14.691500 -45.500000 -180.994995)(22.505001 -45.500000 -149.994995)(22.505001 -45.500000 -211.995010)(14.691500 -45.500000 -180.994995)(22.505001 -45.500000 -211.995010)(8.336000 -45.500000 -192.393005)(14.691500 -45.500000 -180.994995)(-22.494999 -45.500000 -211.995010)(-8.324350 -45.500000 -192.470993)(-8.132001 -45.500000 -198.287994)(-22.494999 -45.500000 -211.995010)(-8.132001 -45.500000 -198.287994)(-7.698000 -45.500000 -204.171997)(-22.494999 -45.500000 -211.995010)(-7.698000 -45.500000 -204.171997)(-7.311000 -45.500000 -208.086990)(-22.494999 -45.500000 -211.995010)(-7.311000 -45.500000 -208.086990)(-7.256970 -45.500000 -208.565002)(-22.494999 -45.500000 -211.995010)(-7.256970 -45.500000 -208.565002)(-7.246470 -45.500000 -208.657990)(-22.494999 -45.500000 -211.995010)(-7.246470 -45.500000 -208.657990)(-7.234350 -45.500000 -208.764999)(-22.494999 -45.500000 -211.995010)(-7.234350 -45.500000 -208.764999)(-7.206160 -45.500000 -209.013992)(-22.494999 -45.500000 -211.995010)(-7.206160 -45.500000 -209.013992)(-7.139980 -45.500000 -209.598999)(-22.494999 -45.500000 -211.995010)(-7.139980 -45.500000 -209.598999)(-7.062990 -45.500000 -210.279999)(-22.494999 -45.500000 -211.995010)(-7.062990 -45.500000 -210.279999)(-7.052350 -45.500000 -210.373993)(-22.494999 -45.500000 -211.995010)(-7.052350 -45.500000 -210.373993)(-7.007710 -45.500000 -210.768997)(-22.494999 -45.500000 -211.995010)(-7.007710 -45.500000 -210.768997)(-6.869000 -45.500000 -211.995010)(6.878000 -45.500000 -211.995010)(-6.869000 -45.500000 -211.995010)(-6.822000 -45.919003 -211.979996)(22.505001 -45.500000 -211.995010)(22.505001 -45.500000 -149.994995)(23.778999 -8.999990 -148.720001)(5.860000 -45.500000 -166.495987)(4.866000 -45.500000 -164.357010)(22.505001 -45.500000 -149.994995)(4.866000 -45.500000 -164.357010)(4.003000 -45.500000 -162.498001)(22.505001 -45.500000 -149.994995)(4.003000 -45.500000 -162.498001)(2.890000 -45.500000 -161.151001)(22.505001 -45.500000 -149.994995)(2.890000 -45.500000 -161.151001)(1.765720 -45.500000 -160.304001)(22.505001 -45.500000 -149.994995)(1.765720 -45.500000 -160.304001)(0.607004 -45.500000 -159.878006)(22.505001 -45.500000 -149.994995)(0.607004 -45.500000 -159.878006)(0.000004 -45.500000 -159.822006)(22.505001 -45.500000 -149.994995)(0.000004 -45.500000 -159.822006)(-22.496000 -45.500000 -149.994995)(22.505001 -45.500000 -149.994995)(-22.496000 -45.500000 -149.994995)(-2.905250 -45.500000 -161.177002)(-4.013000 -45.500000 -162.526001)(-22.496000 -45.500000 -149.994995)(-7.540000 -45.500000 -176.682999)(-7.887000 -45.500000 -180.602005)(-2.905250 -45.500000 -161.177002)(-22.496000 -45.500000 -149.994995)(-1.762000 -45.500000 -160.306000)(5.860000 -45.500000 -166.495987)(22.505001 -45.500000 -149.994995)(6.652000 -45.500000 -169.600998)(-1.762000 -45.500000 -160.306000)(-22.496000 -45.500000 -149.994995)(-0.602996 -45.500000 -159.878998)(-22.496000 -45.500000 -149.994995)(-4.013000 -45.500000 -162.526001)(-4.759000 -45.500000 -164.141006)(6.652000 -45.500000 -169.600998)(22.505001 -45.500000 -149.994995)(6.851000 -45.500000 -170.903000)(-0.602996 -45.500000 -159.878998)(-22.496000 -45.500000 -149.994995)(0.000004 -45.500000 -159.822006)(6.851000 -45.500000 -170.903000)(22.505001 -45.500000 -149.994995)(6.934380 -45.500000 -171.448013)(-22.496000 -45.500000 -149.994995)(-4.759000 -45.500000 -164.141006)(-5.859000 -45.500000 -166.522995)(-7.887000 -45.500000 -180.602005)(-8.238000 -45.500000 -186.490997)(-22.494999 -45.500000 -211.995010)(-8.238000 -45.500000 -186.490997)(-8.327000 -45.500000 -192.390991)(-22.494999 -45.500000 -211.995010)(-8.327000 -45.500000 -192.390991)(-8.324350 -45.500000 -192.470993)(-22.494999 -45.500000 -211.995010)(-22.496000 -45.500000 -149.994995)(-7.887000 -45.500000 -180.602005)(-22.494999 -45.500000 -211.995010)(-22.496000 -45.500000 -149.994995)(-5.859000 -45.500000 -166.522995)(-6.647000 -45.500000 -169.617004)(-22.496000 -45.500000 -149.994995)(-6.647000 -45.500000 -169.617004)(-7.127000 -45.500000 -172.772003)(-22.496000 -45.500000 -149.994995)(-7.127000 -45.500000 -172.772003)(-7.540000 -45.500000 -176.682999)(6.878000 -45.500000 -211.995010)(6.831000 -45.919003 -211.979996)(8.138000 -45.500000 -198.317001)(8.138000 -45.500000 -198.317001)(8.139999 -45.500000 -198.289001)(8.113000 -45.960999 -198.393005)(8.139999 -45.500000 -198.289001)(8.113000 -45.960999 -198.393005)(8.336000 -45.500000 -192.393005)(8.246000 -45.500000 -186.492996)(8.336000 -45.500000 -192.393005)(8.197001 -46.021000 -184.802994)(8.246000 -45.500000 -186.492996)(8.197001 -46.021000 -184.802994)(8.132999 -45.500000 -184.585007)(8.132999 -45.500000 -184.585007)(8.197001 -46.021000 -184.802994)(7.895999 -45.500000 -180.602997)(7.550000 -45.500000 -176.684006)(7.895999 -45.500000 -180.602997)(8.197001 -46.021000 -184.802994)(7.007000 -46.084999 -171.280991)(7.137000 -45.500000 -172.772003)(7.550000 -45.500000 -176.684006)(7.137000 -45.500000 -172.772003)(7.007000 -46.084999 -171.280991)(6.934380 -45.500000 -171.448013)(6.934380 -45.500000 -171.448013)(7.007000 -46.084999 -171.280991)(6.851000 -45.500000 -170.903000)(-7.160000 -45.965000 -208.647995)(-7.256970 -45.500000 -208.565002)(-7.311000 -45.500000 -208.086990)(-7.160000 -45.965000 -208.647995)(-7.256970 -45.500000 -208.565002)(-7.246470 -45.500000 -208.657990)(-7.160000 -45.965000 -208.647995)(-7.246470 -45.500000 -208.657990)(-7.234350 -45.500000 -208.764999)(-7.206160 -45.500000 -209.013992)(-7.234350 -45.500000 -208.764999)(-7.160000 -45.965000 -208.647995)(-7.139980 -45.500000 -209.598999)(-7.206160 -45.500000 -209.013992)(-7.160000 -45.965000 -208.647995)(-7.139980 -45.500000 -209.598999)(-7.160000 -45.965000 -208.647995)(-7.062990 -45.500000 -210.279999)(-6.995000 -45.943001 -210.316010)(-7.062990 -45.500000 -210.279999)(-7.052350 -45.500000 -210.373993)(-7.007710 -45.500000 -210.768997)(-7.052350 -45.500000 -210.373993)(-6.995000 -45.943001 -210.316010)(-6.869000 -45.500000 -211.995010)(-7.007710 -45.500000 -210.768997)(-6.995000 -45.943001 -210.316010)(-6.822000 -45.919003 -211.979996)(-6.869000 -45.500000 -211.995010)(-6.995000 -45.943001 -210.316010)(6.831000 -45.919003 -211.979996)(6.878000 -45.500000 -211.995010)(-6.822000 -45.919003 -211.979996)(6.851000 -45.500000 -170.903000)(7.007000 -46.084999 -171.280991)(6.652000 -45.500000 -169.600998)(5.860000 -45.500000 -166.495987)(6.652000 -45.500000 -169.600998)(7.007000 -46.084999 -171.280991)(5.175000 -46.114002 -164.753006)(4.866000 -45.500000 -164.357010)(5.860000 -45.500000 -166.495987)(5.175000 -46.114002 -164.753006)(4.003000 -45.500000 -162.498001)(4.866000 -45.500000 -164.357010)(1.765720 -45.500000 -160.304001)(1.976000 -46.132000 -160.813995)(0.607004 -45.500000 -159.878006)(0.000004 -45.500000 -159.822006)(0.355004 -46.138000 -160.347000)(-0.602996 -45.500000 -159.878998)(-1.762000 -45.500000 -160.306000)(-0.602996 -45.500000 -159.878998)(0.355004 -46.138000 -160.347000)(-2.905250 -45.500000 -161.177002)(-1.762000 -45.500000 -160.306000)(-2.695000 -46.146999 -161.742996)(-2.905250 -45.500000 -161.177002)(-2.695000 -46.146999 -161.742996)(-4.013000 -45.500000 -162.526001)(-4.628000 -46.154999 -164.617996)(-4.759000 -45.500000 -164.141006)(-4.013000 -45.500000 -162.526001)(-5.859000 -45.500000 -166.522995)(-4.759000 -45.500000 -164.141006)(-4.628000 -46.154999 -164.617996)(-6.647000 -45.500000 -169.617004)(-5.859000 -45.500000 -166.522995)(-6.553000 -46.163998 -171.253998)(-7.540000 -45.500000 -176.682999)(-7.127000 -45.500000 -172.772003)(-7.325000 -46.160999 -178.095993)(8.113000 -45.960999 -198.393005)(8.138000 -45.500000 -198.317001)(6.831000 -45.919003 -211.979996)(8.336000 -45.500000 -192.393005)(8.113000 -45.960999 -198.393005)(8.197001 -46.021000 -184.802994)(7.550000 -45.500000 -176.684006)(8.197001 -46.021000 -184.802994)(7.007000 -46.084999 -171.280991)(-7.160000 -45.965000 -208.647995)(-7.311000 -45.500000 -208.086990)(-7.463000 -46.006001 -205.300003)(-6.995000 -45.943001 -210.316010)(-7.062990 -45.500000 -210.279999)(-7.160000 -45.965000 -208.647995)(-6.822000 -45.919003 -211.979996)(-6.995000 -45.943001 -210.316010)(-6.920000 -46.389000 -210.359009)(6.784000 -46.339001 -211.965988)(6.831000 -45.919003 -211.979996)(-6.822000 -45.919003 -211.979996)(5.860000 -45.500000 -166.495987)(7.007000 -46.084999 -171.280991)(5.175000 -46.114002 -164.753006)(3.320000 -46.125999 -161.880997)(4.003000 -45.500000 -162.498001)(5.175000 -46.114002 -164.753006)(1.976000 -46.132000 -160.813995)(0.355004 -46.138000 -160.347000)(0.607004 -45.500000 -159.878006)(0.133004 -45.500000 -159.834991)(0.355004 -46.138000 -160.347000)(0.000004 -45.500000 -159.822006)(-2.695000 -46.146999 -161.742996)(-1.762000 -45.500000 -160.306000)(0.355004 -46.138000 -160.347000)(-4.013000 -45.500000 -162.526001)(-2.695000 -46.146999 -161.742996)(-4.628000 -46.154999 -164.617996)(-5.859000 -45.500000 -166.522995)(-4.628000 -46.154999 -164.617996)(-6.553000 -46.163998 -171.253998)(-6.553000 -46.163998 -171.253998)(-6.813000 -45.500000 -170.709000)(-6.647000 -45.500000 -169.617004)(-7.127000 -45.500000 -172.772003)(-6.553000 -46.163998 -171.253998)(-7.325000 -46.160999 -178.095993)(-7.325000 -46.160999 -178.095993)(-7.618000 -45.500000 -177.564987)(-7.540000 -45.500000 -176.682999)(6.831000 -45.919003 -211.979996)(6.784000 -46.339001 -211.965988)(8.113000 -45.960999 -198.393005)(8.113000 -45.960999 -198.393005)(8.054999 -46.461998 -198.561005)(8.197001 -46.021000 -184.802994)(7.007000 -46.084999 -171.280991)(8.197001 -46.021000 -184.802994)(8.180000 -46.603001 -185.194000)(-7.160000 -45.965000 -208.647995)(-7.463000 -46.006001 -205.300003)(-7.313000 -46.521999 -205.498993)(-7.311000 -45.500000 -208.086990)(-7.603000 -45.500000 -205.130997)(-7.463000 -46.006001 -205.300003)(-6.995000 -45.943001 -210.316010)(-7.160000 -45.965000 -208.647995)(-7.058000 -46.436001 -208.744995)(-6.920000 -46.389000 -210.359009)(-6.995000 -45.943001 -210.316010)(-7.058000 -46.436001 -208.744995)(-6.774000 -46.339001 -211.965988)(-6.822000 -45.919003 -211.979996)(-6.920000 -46.389000 -210.359009)(6.784000 -46.339001 -211.965988)(-6.822000 -45.919003 -211.979996)(-6.774000 -46.339001 -211.965988)(7.067000 -46.737999 -171.903992)(5.175000 -46.114002 -164.753006)(7.007000 -46.084999 -171.280991)(5.285000 -46.794003 -165.483994)(3.320000 -46.125999 -161.880997)(5.175000 -46.114002 -164.753006)(3.320000 -46.125999 -161.880997)(3.103000 -45.500000 -161.409012)(4.003000 -45.500000 -162.498001)(1.765720 -45.500000 -160.304001)(2.890000 -45.500000 -161.151001)(1.976000 -46.132000 -160.813995)(0.355004 -46.138000 -160.347000)(1.976000 -46.132000 -160.813995)(2.139000 -46.829998 -161.613007)(0.607004 -45.500000 -159.878006)(0.355004 -46.138000 -160.347000)(0.133004 -45.500000 -159.834991)(-2.695000 -46.146999 -161.742996)(0.355004 -46.138000 -160.347000)(0.539004 -46.840000 -161.160004)(-2.695000 -46.146999 -161.742996)(-2.470000 -46.856998 -162.563004)(-4.628000 -46.154999 -164.617996)(-4.375000 -46.869999 -165.427994)(-6.553000 -46.163998 -171.253998)(-4.628000 -46.154999 -164.617996)(-7.127000 -45.500000 -172.772003)(-6.813000 -45.500000 -170.709000)(-6.553000 -46.163998 -171.253998)(-6.265000 -46.882000 -172.024994)(-7.325000 -46.160999 -178.095993)(-6.553000 -46.163998 -171.253998)(-7.887000 -45.500000 -180.602005)(-7.618000 -45.500000 -177.564987)(-7.325000 -46.160999 -178.095993)(8.054999 -46.461998 -198.561005)(8.113000 -45.960999 -198.393005)(6.784000 -46.339001 -211.965988)(8.054999 -46.461998 -198.561005)(8.180000 -46.603001 -185.194000)(8.197001 -46.021000 -184.802994)(7.007000 -46.084999 -171.280991)(8.180000 -46.603001 -185.194000)(7.067000 -46.737999 -171.903992)(-7.313000 -46.521999 -205.498993)(-7.463000 -46.006001 -205.300003)(-7.527000 -46.597000 -202.227997)(-7.058000 -46.436001 -208.744995)(-7.160000 -45.965000 -208.647995)(-7.313000 -46.521999 -205.498993)(-7.463000 -46.006001 -205.300003)(-7.603000 -45.500000 -205.130997)(-7.698000 -45.500000 -204.171997)(-6.920000 -46.389000 -210.359009)(-7.058000 -46.436001 -208.744995)(-6.851000 -47.387997 -208.973999)(-6.774000 -46.339001 -211.965988)(-6.920000 -46.389000 -210.359009)(-6.768000 -47.285999 -210.460999)(6.689000 -47.178001 -211.936005)(6.784000 -46.339001 -211.965988)(-6.774000 -46.339001 -211.965988)(5.175000 -46.114002 -164.753006)(7.067000 -46.737999 -171.903992)(5.285000 -46.794003 -165.483994)(3.320000 -46.125999 -161.880997)(5.285000 -46.794003 -165.483994)(3.463000 -46.819000 -162.660004)(3.320000 -46.125999 -161.880997)(2.890000 -45.500000 -161.151001)(3.103000 -45.500000 -161.409012)(3.320000 -46.125999 -161.880997)(1.976000 -46.132000 -160.813995)(2.742410 -45.816002 -161.229004)(2.890000 -45.500000 -161.151001)(3.320000 -46.125999 -161.880997)(2.742410 -45.816002 -161.229004)(1.976000 -46.132000 -160.813995)(2.890000 -45.500000 -161.151001)(2.742410 -45.816002 -161.229004)(3.463000 -46.819000 -162.660004)(2.139000 -46.829998 -161.613007)(1.976000 -46.132000 -160.813995)(0.539004 -46.840000 -161.160004)(0.355004 -46.138000 -160.347000)(2.139000 -46.829998 -161.613007)(-2.470000 -46.856998 -162.563004)(-2.695000 -46.146999 -161.742996)(0.539004 -46.840000 -161.160004)(-4.628000 -46.154999 -164.617996)(-2.470000 -46.856998 -162.563004)(-4.375000 -46.869999 -165.427994)(-6.265000 -46.882000 -172.024994)(-6.553000 -46.163998 -171.253998)(-4.375000 -46.869999 -165.427994)(-7.022000 -46.870998 -178.806000)(-7.325000 -46.160999 -178.095993)(-6.265000 -46.882000 -172.024994)(-7.887000 -45.500000 -180.602005)(-7.325000 -46.160999 -178.095993)(-7.849000 -46.146999 -184.936005)(6.784000 -46.339001 -211.965988)(6.689000 -47.178001 -211.936005)(8.054999 -46.461998 -198.561005)(8.054999 -46.461998 -198.561005)(7.854000 -47.555000 -199.136002)(8.180000 -46.603001 -185.194000)(8.180000 -46.603001 -185.194000)(8.007000 -47.906998 -186.419998)(7.067000 -46.737999 -171.903992)(-7.313000 -46.521999 -205.498993)(-7.527000 -46.597000 -202.227997)(-7.137000 -47.743000 -202.923004)(-7.463000 -46.006001 -205.300003)(-7.719000 -46.041000 -201.937012)(-7.527000 -46.597000 -202.227997)(-7.058000 -46.436001 -208.744995)(-7.313000 -46.521999 -205.498993)(-7.006000 -47.576000 -205.969009)(-7.463000 -46.006001 -205.300003)(-7.698000 -45.500000 -204.171997)(-7.719000 -46.041000 -201.937012)(-6.851000 -47.387997 -208.973999)(-7.058000 -46.436001 -208.744995)(-7.006000 -47.576000 -205.969009)(-6.768000 -47.285999 -210.460999)(-6.920000 -46.389000 -210.359009)(-6.851000 -47.387997 -208.973999)(-6.680000 -47.178001 -211.936005)(-6.774000 -46.339001 -211.965988)(-6.768000 -47.285999 -210.460999)(6.689000 -47.178001 -211.936005)(-6.774000 -46.339001 -211.965988)(-6.680000 -47.178001 -211.936005)(7.067000 -46.737999 -171.903992)(7.018000 -48.197002 -173.778000)(5.285000 -46.794003 -165.483994)(3.463000 -46.819000 -162.660004)(5.285000 -46.794003 -165.483994)(3.464000 -51.718998 -171.860001)(3.320000 -46.125999 -161.880997)(3.463000 -46.819000 -162.660004)(1.976000 -46.132000 -160.813995)(2.139000 -46.829998 -161.613007)(3.463000 -46.819000 -162.660004)(2.361000 -51.748997 -171.009003)(0.539004 -46.840000 -161.160004)(2.139000 -46.829998 -161.613007)(1.021000 -51.773998 -170.660004)(-2.470000 -46.856998 -162.563004)(0.539004 -46.840000 -161.160004)(-1.497000 -51.807999 -171.921997)(-4.375000 -46.869999 -165.427994)(-2.470000 -46.856998 -162.563004)(-3.079000 -51.820999 -174.412003)(-5.697000 -48.441002 -174.139999)(-6.265000 -46.882000 -172.024994)(-4.375000 -46.869999 -165.427994)(-5.697000 -48.441002 -174.139999)(-7.022000 -46.870998 -178.806000)(-6.265000 -46.882000 -172.024994)(-7.849000 -46.146999 -184.936005)(-7.325000 -46.160999 -178.095993)(-7.022000 -46.870998 -178.806000)(-7.849000 -46.146999 -184.936005)(-8.116000 -45.500000 -184.449005)(-7.887000 -45.500000 -180.602005)(6.689000 -47.178001 -211.936005)(7.854000 -47.555000 -199.136002)(8.054999 -46.461998 -198.561005)(7.854000 -47.555000 -199.136002)(8.007000 -47.906998 -186.419998)(8.180000 -46.603001 -185.194000)(8.007000 -47.906998 -186.419998)(7.018000 -48.197002 -173.778000)(7.067000 -46.737999 -171.903992)(-7.527000 -46.597000 -202.227997)(-5.907000 -51.631001 -203.296997)(-7.137000 -47.743000 -202.923004)(-7.006000 -47.576000 -205.969009)(-7.313000 -46.521999 -205.498993)(-7.137000 -47.743000 -202.923004)(-7.527000 -46.597000 -202.227997)(-7.719000 -46.041000 -201.937012)(-7.688000 -46.663002 -198.932999)(-7.698000 -45.500000 -204.171997)(-7.881000 -45.500000 -201.690002)(-7.719000 -46.041000 -201.937012)(-6.851000 -47.387997 -208.973999)(-7.006000 -47.576000 -205.969009)(-6.700000 -48.643002 -206.511002)(-6.768000 -47.285999 -210.460999)(-6.851000 -47.387997 -208.973999)(-6.643000 -48.346001 -209.237000)(-6.680000 -47.178001 -211.936005)(-6.768000 -47.285999 -210.460999)(-6.614000 -48.184998 -210.578995)(6.594000 -48.016998 -211.906998)(6.689000 -47.178001 -211.936005)(-6.680000 -47.178001 -211.936005)(7.018000 -48.197002 -173.778000)(3.464000 -51.718998 -171.860001)(5.285000 -46.794003 -165.483994)(2.361000 -51.748997 -171.009003)(3.463000 -46.819000 -162.660004)(3.464000 -51.718998 -171.860001)(1.021000 -51.773998 -170.660004)(2.139000 -46.829998 -161.613007)(2.361000 -51.748997 -171.009003)(-1.497000 -51.807999 -171.921997)(0.539004 -46.840000 -161.160004)(1.021000 -51.773998 -170.660004)(-3.079000 -51.820999 -174.412003)(-2.470000 -46.856998 -162.563004)(-1.497000 -51.807999 -171.921997)(-3.079000 -51.820999 -174.412003)(-5.148000 -50.096001 -176.875992)(-4.375000 -46.869999 -165.427994)(-5.148000 -50.096001 -176.875992)(-5.697000 -48.441002 -174.139999)(-4.375000 -46.869999 -165.427994)(-6.417000 -48.396999 -180.687988)(-7.022000 -46.870998 -178.806000)(-5.697000 -48.441002 -174.139999)(-7.549000 -46.834000 -185.563004)(-7.849000 -46.146999 -184.936005)(-7.022000 -46.870998 -178.806000)(-8.238000 -45.500000 -186.490997)(-8.116000 -45.500000 -184.449005)(-7.849000 -46.146999 -184.936005)(6.689000 -47.178001 -211.936005)(6.594000 -48.016998 -211.906998)(7.854000 -47.555000 -199.136002)(7.854000 -47.555000 -199.136002)(7.566000 -48.734001 -199.968002)(8.007000 -47.906998 -186.419998)(8.007000 -47.906998 -186.419998)(7.680000 -49.338001 -188.128998)(7.018000 -48.197002 -173.778000)(-6.747000 -48.911003 -203.733002)(-7.137000 -47.743000 -202.923004)(-5.907000 -51.631001 -203.296997)(-7.527000 -46.597000 -202.227997)(-7.688000 -46.663002 -198.932999)(-5.907000 -51.631001 -203.296997)(-7.006000 -47.576000 -205.969009)(-7.137000 -47.743000 -202.923004)(-6.747000 -48.911003 -203.733002)(-7.719000 -46.041000 -201.937012)(-7.914000 -46.070999 -198.559006)(-7.688000 -46.663002 -198.932999)(-7.719000 -46.041000 -201.937012)(-7.881000 -45.500000 -201.690002)(-8.132001 -45.500000 -198.287994)(-6.700000 -48.643002 -206.511002)(-7.006000 -47.576000 -205.969009)(-6.747000 -48.911003 -203.733002)(-6.643000 -48.346001 -209.237000)(-6.851000 -47.387997 -208.973999)(-6.700000 -48.643002 -206.511002)(-6.614000 -48.184998 -210.578995)(-6.768000 -47.285999 -210.460999)(-6.643000 -48.346001 -209.237000)(-6.585000 -48.016998 -211.906998)(-6.680000 -47.178001 -211.936005)(-6.614000 -48.184998 -210.578995)(6.594000 -48.016998 -211.906998)(-6.680000 -47.178001 -211.936005)(-6.585000 -48.016998 -211.906998)(4.966000 -51.645000 -174.173004)(3.464000 -51.718998 -171.860001)(7.018000 -48.197002 -173.778000)(2.361000 -51.748997 -171.009003)(3.464000 -51.718998 -171.860001)(1.021000 -51.773998 -170.660004)(1.021000 -51.773998 -170.660004)(-0.809997 -60.017998 -198.243011)(-1.497000 -51.807999 -171.921997)(-3.079000 -51.820999 -174.412003)(-1.497000 -51.807999 -171.921997)(-1.526000 -59.973999 -199.195999)(-4.628000 -51.775002 -180.070999)(-5.148000 -50.096001 -176.875992)(-3.079000 -51.820999 -174.412003)(-5.148000 -50.096001 -176.875992)(-6.417000 -48.396999 -180.687988)(-5.697000 -48.441002 -174.139999)(-6.417000 -48.396999 -180.687988)(-7.549000 -46.834000 -185.563004)(-7.022000 -46.870998 -178.806000)(-8.064000 -46.117001 -191.763000)(-7.849000 -46.146999 -184.936005)(-7.549000 -46.834000 -185.563004)(-8.238000 -45.500000 -186.490997)(-7.849000 -46.146999 -184.936005)(-8.064000 -46.117001 -191.763000)(6.594000 -48.016998 -211.906998)(7.566000 -48.734001 -199.968002)(7.854000 -47.555000 -199.136002)(7.566000 -48.734001 -199.968002)(7.680000 -49.338001 -188.128998)(8.007000 -47.906998 -186.419998)(7.018000 -48.197002 -173.778000)(7.680000 -49.338001 -188.128998)(6.779000 -49.792000 -176.341003)(-6.747000 -48.911003 -203.733002)(-5.907000 -51.631001 -203.296997)(-6.370000 -50.074997 -204.615997)(-5.907000 -51.631001 -203.296997)(-7.688000 -46.663002 -198.932999)(-7.230000 -48.129002 -193.561005)(-7.688000 -46.663002 -198.932999)(-7.914000 -46.070999 -198.559006)(-7.789000 -46.764999 -192.278992)(-7.719000 -46.041000 -201.937012)(-8.132001 -45.500000 -198.287994)(-7.914000 -46.070999 -198.559006)(-6.700000 -48.643002 -206.511002)(-6.747000 -48.911003 -203.733002)(-6.370000 -50.074997 -204.615997)(-6.643000 -48.346001 -209.237000)(-6.700000 -48.643002 -206.511002)(-6.403000 -49.708000 -207.098999)(-6.614000 -48.184998 -210.578995)(-6.643000 -48.346001 -209.237000)(-6.439000 -49.300999 -209.520004)(-6.585000 -48.016998 -211.906998)(-6.614000 -48.184998 -210.578995)(-6.462000 -49.082996 -210.707001)(6.500000 -48.856003 -211.878006)(6.594000 -48.016998 -211.906998)(-6.585000 -48.016998 -211.906998)(6.779000 -49.792000 -176.341003)(4.966000 -51.645000 -174.173004)(7.018000 -48.197002 -173.778000)(3.464000 -51.718998 -171.860001)(4.966000 -51.645000 -174.173004)(0.826003 -60.006001 -197.848999)(3.464000 -51.718998 -171.860001)(0.260003 -60.020000 -197.738007)(1.021000 -51.773998 -170.660004)(-1.497000 -51.807999 -171.921997)(-0.809997 -60.017998 -198.243011)(-1.526000 -59.973999 -199.195999)(-0.809997 -60.017998 -198.243011)(1.021000 -51.773998 -170.660004)(0.260003 -60.020000 -197.738007)(-2.348000 -59.750999 -201.315002)(-3.079000 -51.820999 -174.412003)(-1.526000 -59.973999 -199.195999)(-2.348000 -59.750999 -201.315002)(-4.628000 -51.775002 -180.070999)(-3.079000 -51.820999 -174.412003)(-4.628000 -51.775002 -180.070999)(-5.826000 -50.002003 -183.061996)(-5.148000 -50.096001 -176.875992)(-5.826000 -50.002003 -183.061996)(-6.417000 -48.396999 -180.687988)(-5.148000 -50.096001 -176.875992)(-6.945000 -48.294998 -187.167999)(-7.549000 -46.834000 -185.563004)(-6.417000 -48.396999 -180.687988)(-7.789000 -46.764999 -192.278992)(-8.064000 -46.117001 -191.763000)(-7.549000 -46.834000 -185.563004)(-8.064000 -46.117001 -191.763000)(-8.311000 -45.500000 -191.347000)(-8.238000 -45.500000 -186.490997)(6.594000 -48.016998 -211.906998)(6.500000 -48.856003 -211.878006)(7.566000 -48.734001 -199.968002)(7.566000 -48.734001 -199.968002)(7.216000 -49.958000 -200.990005)(7.680000 -49.338001 -188.128998)(6.779000 -49.792000 -176.341003)(7.680000 -49.338001 -188.128998)(7.240000 -50.829998 -190.195999)(-6.015000 -51.216000 -205.533997)(-6.370000 -50.074997 -204.615997)(-5.907000 -51.631001 -203.296997)(-7.789000 -46.764999 -192.278992)(-7.230000 -48.129002 -193.561005)(-7.688000 -46.663002 -198.932999)(-7.230000 -48.129002 -193.561005)(-5.177000 -53.637001 -200.503998)(-5.907000 -51.631001 -203.296997)(-7.914000 -46.070999 -198.559006)(-8.064000 -46.117001 -191.763000)(-7.789000 -46.764999 -192.278992)(-7.914000 -46.070999 -198.559006)(-8.132999 -45.500000 -198.246994)(-8.132001 -45.500000 -198.287994)(-6.403000 -49.708000 -207.098999)(-6.700000 -48.643002 -206.511002)(-6.370000 -50.074997 -204.615997)(-6.439000 -49.300999 -209.520004)(-6.643000 -48.346001 -209.237000)(-6.403000 -49.708000 -207.098999)(-6.462000 -49.082996 -210.707001)(-6.614000 -48.184998 -210.578995)(-6.439000 -49.300999 -209.520004)(-6.490000 -48.856003 -211.878006)(-6.585000 -48.016998 -211.906998)(-6.462000 -49.082996 -210.707001)(6.500000 -48.856003 -211.878006)(-6.585000 -48.016998 -211.906998)(-6.490000 -48.856003 -211.878006)(6.391000 -51.443001 -179.420990)(4.966000 -51.645000 -174.173004)(6.779000 -49.792000 -176.341003)(0.826003 -60.006001 -197.848999)(4.966000 -51.645000 -174.173004)(1.305000 -59.980999 -198.143997)(0.260003 -60.020000 -197.738007)(3.464000 -51.718998 -171.860001)(0.826003 -60.006001 -197.848999)(-1.526000 -59.973999 -199.195999)(-0.809997 -60.017998 -198.243011)(-0.722997 -61.427998 -205.100998)(-0.809997 -60.017998 -198.243011)(0.260003 -60.020000 -197.738007)(-0.035998 -61.441998 -204.841995)(-2.348000 -59.750999 -201.315002)(-1.526000 -59.973999 -199.195999)(-1.232000 -61.372997 -205.580994)(-2.348000 -59.750999 -201.315002)(-2.846000 -59.333000 -203.396011)(-4.628000 -51.775002 -180.070999)(-4.628000 -51.775002 -180.070999)(-5.260000 -51.624001 -185.792999)(-5.331860 -50.942200 -182.932007)(-5.260000 -51.624001 -185.792999)(-5.826000 -50.002003 -183.061996)(-5.331860 -50.942200 -182.932007)(-5.826000 -50.002003 -183.061996)(-4.628000 -51.775002 -180.070999)(-5.331860 -50.942200 -182.932007)(-5.826000 -50.002003 -183.061996)(-6.945000 -48.294998 -187.167999)(-6.417000 -48.396999 -180.687988)(-6.945000 -48.294998 -187.167999)(-7.789000 -46.764999 -192.278992)(-7.549000 -46.834000 -185.563004)(-8.327000 -45.500000 -192.390991)(-8.311000 -45.500000 -191.347000)(-8.064000 -46.117001 -191.763000)(6.500000 -48.856003 -211.878006)(6.398000 -49.694000 -211.848999)(7.566000 -48.734001 -199.968002)(6.398000 -49.694000 -211.848999)(7.216000 -49.958000 -200.990005)(7.566000 -48.734001 -199.968002)(7.216000 -49.958000 -200.990005)(7.240000 -50.829998 -190.195999)(7.680000 -49.338001 -188.128998)(6.779000 -49.792000 -176.341003)(7.240000 -50.829998 -190.195999)(6.391000 -51.443001 -179.420990)(-5.776450 -52.014198 -204.416000)(-5.907000 -51.631001 -203.296997)(-5.527000 -52.808998 -204.532990)(-5.776450 -52.014198 -204.416000)(-5.527000 -52.808998 -204.532990)(-6.015000 -51.216000 -205.533997)(-5.776450 -52.014198 -204.416000)(-6.015000 -51.216000 -205.533997)(-5.907000 -51.631001 -203.296997)(-6.403000 -49.708000 -207.098999)(-6.370000 -50.074997 -204.615997)(-6.015000 -51.216000 -205.533997)(-7.230000 -48.129002 -193.561005)(-7.789000 -46.764999 -192.278992)(-6.945000 -48.294998 -187.167999)(-5.527000 -52.808998 -204.532990)(-5.907000 -51.631001 -203.296997)(-5.177000 -53.637001 -200.503998)(-5.177000 -53.637001 -200.503998)(-7.230000 -48.129002 -193.561005)(-6.349000 -49.820000 -189.145996)(-7.914000 -46.070999 -198.559006)(-8.327000 -45.500000 -192.390991)(-8.064000 -46.117001 -191.763000)(-7.914000 -46.070999 -198.559006)(-8.132999 -45.500000 -198.246994)(-8.324350 -45.500000 -192.470993)(-7.914000 -46.070999 -198.559006)(-8.327000 -45.500000 -192.390991)(-8.324350 -45.500000 -192.470993)(-6.439000 -49.300999 -209.520004)(-6.403000 -49.708000 -207.098999)(-6.123000 -50.755001 -207.706009)(-6.462000 -49.082996 -210.707001)(-6.439000 -49.300999 -209.520004)(-6.244000 -50.248001 -209.811996)(-6.490000 -48.856003 -211.878006)(-6.462000 -49.082996 -210.707001)(-6.313000 -49.977001 -210.839005)(6.398000 -49.694000 -211.848999)(6.500000 -48.856003 -211.878006)(-6.490000 -48.856003 -211.878006)(1.305000 -59.980999 -198.143997)(4.966000 -51.645000 -174.173004)(6.391000 -51.443001 -179.420990)(0.826003 -60.006001 -197.848999)(1.305000 -59.980999 -198.143997)(0.643003 -61.415001 -205.032013)(0.260003 -60.020000 -197.738007)(0.826003 -60.006001 -197.848999)(0.325003 -61.432999 -204.891998)(-0.722997 -61.427998 -205.100998)(-0.809997 -60.017998 -198.243011)(-0.035998 -61.441998 -204.841995)(-1.526000 -59.973999 -199.195999)(-0.722997 -61.427998 -205.100998)(-1.232000 -61.372997 -205.580994)(-0.035998 -61.441998 -204.841995)(0.260003 -60.020000 -197.738007)(0.325003 -61.432999 -204.891998)(-2.348000 -59.750999 -201.315002)(-1.232000 -61.372997 -205.580994)(-1.940000 -61.132999 -206.639999)(-1.940000 -61.132999 -206.639999)(-2.846000 -59.333000 -203.396011)(-2.348000 -59.750999 -201.315002)(-2.846000 -59.333000 -203.396011)(-5.260000 -51.624001 -185.792999)(-4.628000 -51.775002 -180.070999)(-5.260000 -51.624001 -185.792999)(-6.349000 -49.820000 -189.145996)(-5.826000 -50.002003 -183.061996)(-6.349000 -49.820000 -189.145996)(-6.945000 -48.294998 -187.167999)(-5.826000 -50.002003 -183.061996)(6.398000 -49.694000 -211.848999)(6.296000 -50.531998 -211.819000)(7.216000 -49.958000 -200.990005)(7.240000 -50.829998 -190.195999)(7.216000 -49.958000 -200.990005)(6.828000 -51.190998 -202.139999)(7.240000 -50.829998 -190.195999)(6.720000 -52.327000 -192.509003)(6.391000 -51.443001 -179.420990)(-5.527000 -52.808998 -204.532990)(-5.691000 -52.317001 -206.455002)(-5.774480 -52.013500 -205.494003)(-5.691000 -52.317001 -206.455002)(-6.015000 -51.216000 -205.533997)(-5.774480 -52.013500 -205.494003)(-6.015000 -51.216000 -205.533997)(-5.527000 -52.808998 -204.532990)(-5.774480 -52.013500 -205.494003)(-6.123000 -50.755001 -207.706009)(-6.403000 -49.708000 -207.098999)(-6.015000 -51.216000 -205.533997)(-6.349000 -49.820000 -189.145996)(-7.230000 -48.129002 -193.561005)(-6.945000 -48.294998 -187.167999)(-5.177000 -53.637001 -200.503998)(-4.422000 -55.972000 -204.091003)(-5.527000 -52.808998 -204.532990)(-5.775000 -51.353001 -191.386002)(-5.177000 -53.637001 -200.503998)(-6.349000 -49.820000 -189.145996)(-6.244000 -50.248001 -209.811996)(-6.439000 -49.300999 -209.520004)(-6.123000 -50.755001 -207.706009)(-6.313000 -49.977001 -210.839005)(-6.462000 -49.082996 -210.707001)(-6.244000 -50.248001 -209.811996)(-6.389000 -49.694000 -211.848999)(-6.490000 -48.856003 -211.878006)(-6.313000 -49.977001 -210.839005)(6.398000 -49.694000 -211.848999)(-6.490000 -48.856003 -211.878006)(-6.389000 -49.694000 -211.848999)(1.305000 -59.980999 -198.143997)(6.391000 -51.443001 -179.420990)(2.006000 -59.901001 -198.957993)(1.305000 -59.980999 -198.143997)(1.154000 -61.348000 -205.423004)(0.643003 -61.415001 -205.032013)(0.325003 -61.432999 -204.891998)(0.826003 -60.006001 -197.848999)(0.643003 -61.415001 -205.032013)(-0.722997 -61.427998 -205.100998)(-0.035998 -61.441998 -204.841995)(0.380002 -62.936001 -211.386002)(-1.232000 -61.372997 -205.580994)(-0.722997 -61.427998 -205.100998)(0.192002 -62.968002 -211.384995)(-0.035998 -61.441998 -204.841995)(0.325003 -61.432999 -204.891998)(0.755002 -62.872002 -211.388000)(-1.940000 -61.132999 -206.639999)(-1.232000 -61.372997 -205.580994)(0.005002 -63.000000 -211.384003)(-1.940000 -61.132999 -206.639999)(-2.480000 -60.709000 -207.674988)(-2.846000 -59.333000 -203.396011)(-5.260000 -51.624001 -185.792999)(-2.846000 -59.333000 -203.396011)(-3.930000 -56.761002 -201.100998)(-5.775000 -51.353001 -191.386002)(-6.349000 -49.820000 -189.145996)(-5.260000 -51.624001 -185.792999)(6.296000 -50.531998 -211.819000)(6.398000 -49.694000 -211.848999)(-6.389000 -49.694000 -211.848999)(6.296000 -50.531998 -211.819000)(6.828000 -51.190998 -202.139999)(7.216000 -49.958000 -200.990005)(6.828000 -51.190998 -202.139999)(6.720000 -52.327000 -192.509003)(7.240000 -50.829998 -190.195999)(6.391000 -51.443001 -179.420990)(6.720000 -52.327000 -192.509003)(2.006000 -59.901001 -198.957993)(-5.527000 -52.808998 -204.532990)(-4.902000 -54.949997 -206.882996)(-5.691000 -52.317001 -206.455002)(-6.015000 -51.216000 -205.533997)(-5.691000 -52.317001 -206.455002)(-6.123000 -50.755001 -207.706009)(-4.422000 -55.972000 -204.091003)(-5.177000 -53.637001 -200.503998)(-3.930000 -56.761002 -201.100998)(-4.902000 -54.949997 -206.882996)(-5.527000 -52.808998 -204.532990)(-4.422000 -55.972000 -204.091003)(-5.236000 -52.848000 -193.788010)(-5.177000 -53.637001 -200.503998)(-5.775000 -51.353001 -191.386002)(-6.244000 -50.248001 -209.811996)(-6.123000 -50.755001 -207.706009)(-5.864000 -51.773998 -208.312012)(-6.313000 -49.977001 -210.839005)(-6.244000 -50.248001 -209.811996)(-6.060000 -51.179001 -210.100998)(-6.389000 -49.694000 -211.848999)(-6.313000 -49.977001 -210.839005)(-6.170000 -50.862000 -210.968994)(1.305000 -59.980999 -198.143997)(2.006000 -59.901001 -198.957993)(1.154000 -61.348000 -205.423004)(0.643003 -61.415001 -205.032013)(1.154000 -61.348000 -205.423004)(1.498000 -62.682003 -211.394989)(0.325003 -61.432999 -204.891998)(0.643003 -61.415001 -205.032013)(1.305000 -62.779003 -211.391998)(0.380002 -62.936001 -211.386002)(-0.035998 -61.441998 -204.841995)(0.755002 -62.872002 -211.388000)(0.192002 -62.968002 -211.384995)(-0.722997 -61.427998 -205.100998)(0.380002 -62.936001 -211.386002)(0.005002 -63.000000 -211.384003)(-1.232000 -61.372997 -205.580994)(0.192002 -62.968002 -211.384995)(0.755002 -62.872002 -211.388000)(0.325003 -61.432999 -204.891998)(1.305000 -62.779003 -211.391998)(-0.370998 -62.936001 -211.386002)(-1.940000 -61.132999 -206.639999)(0.005002 -63.000000 -211.384003)(-2.480000 -60.709000 -207.674988)(-1.940000 -61.132999 -206.639999)(-0.370998 -62.936001 -211.386002)(-2.480000 -60.709000 -207.674988)(-3.364000 -58.702000 -205.360992)(-2.846000 -59.333000 -203.396011)(-3.364000 -58.702000 -205.360992)(-3.930000 -56.761002 -201.100998)(-2.846000 -59.333000 -203.396011)(-3.930000 -56.761002 -201.100998)(-4.744000 -54.265999 -196.261002)(-5.260000 -51.624001 -185.792999)(-5.236000 -52.848000 -193.788010)(-5.775000 -51.353001 -191.386002)(-5.260000 -51.624001 -185.792999)(6.296000 -50.531998 -211.819000)(-6.389000 -49.694000 -211.848999)(-6.287000 -50.531998 -211.819000)(6.296000 -50.531998 -211.819000)(6.092000 -52.208000 -211.761002)(6.828000 -51.190998 -202.139999)(6.828000 -51.190998 -202.139999)(6.423000 -52.404003 -203.362000)(6.720000 -52.327000 -192.509003)(2.854000 -59.618999 -200.786987)(2.006000 -59.901001 -198.957993)(6.720000 -52.327000 -192.509003)(-5.155000 -54.352001 -208.195007)(-5.691000 -52.317001 -206.455002)(-4.902000 -54.949997 -206.882996)(-5.864000 -51.773998 -208.312012)(-6.123000 -50.755001 -207.706009)(-5.691000 -52.317001 -206.455002)(-3.364000 -58.702000 -205.360992)(-4.422000 -55.972000 -204.091003)(-3.930000 -56.761002 -201.100998)(-4.744000 -54.265999 -196.261002)(-3.930000 -56.761002 -201.100998)(-5.177000 -53.637001 -200.503998)(-3.909000 -57.845997 -207.193008)(-4.902000 -54.949997 -206.882996)(-4.422000 -55.972000 -204.091003)(-5.236000 -52.848000 -193.788010)(-4.744000 -54.265999 -196.261002)(-5.177000 -53.637001 -200.503998)(-6.060000 -51.179001 -210.100998)(-6.244000 -50.248001 -209.811996)(-5.864000 -51.773998 -208.312012)(-6.170000 -50.862000 -210.968994)(-6.313000 -49.977001 -210.839005)(-6.060000 -51.179001 -210.100998)(-6.287000 -50.531998 -211.819000)(-6.389000 -49.694000 -211.848999)(-6.170000 -50.862000 -210.968994)(1.154000 -61.348000 -205.423004)(2.006000 -59.901001 -198.957993)(1.922000 -61.092999 -206.302994)(1.154000 -61.348000 -205.423004)(2.432000 -62.215000 -211.410995)(1.498000 -62.682003 -211.394989)(0.643003 -61.415001 -205.032013)(1.498000 -62.682003 -211.394989)(1.305000 -62.779003 -211.391998)(0.755002 -62.872002 -211.388000)(0.380002 -62.936001 -211.386002)(-0.370998 -62.936001 -211.386002)(0.380002 -62.936001 -211.386002)(0.192002 -62.968002 -211.384995)(0.005002 -63.000000 -211.384003)(-0.745998 -62.872002 -211.388000)(0.755002 -62.872002 -211.388000)(1.305000 -62.779003 -211.391998)(0.380002 -62.936001 -211.386002)(0.005002 -63.000000 -211.384003)(-0.370998 -62.936001 -211.386002)(-0.745998 -62.872002 -211.388000)(-2.480000 -60.709000 -207.674988)(-0.370998 -62.936001 -211.386002)(-2.480000 -60.709000 -207.674988)(-3.043000 -60.086998 -208.643005)(-3.364000 -58.702000 -205.360992)(-5.260000 -51.624001 -185.792999)(-4.744000 -54.265999 -196.261002)(-5.236000 -52.848000 -193.788010)(6.092000 -52.208000 -211.761002)(6.296000 -50.531998 -211.819000)(-6.287000 -50.531998 -211.819000)(6.092000 -52.208000 -211.761002)(6.423000 -52.404003 -203.362000)(6.828000 -51.190998 -202.139999)(6.720000 -52.327000 -192.509003)(6.423000 -52.404003 -203.362000)(6.155000 -53.779999 -194.962997)(2.006000 -59.901001 -198.957993)(2.854000 -59.618999 -200.786987)(1.922000 -61.092999 -206.302994)(2.854000 -59.618999 -200.786987)(6.720000 -52.327000 -192.509003)(6.155000 -53.779999 -194.962997)(-4.478000 -56.754002 -208.874008)(-5.155000 -54.352001 -208.195007)(-4.902000 -54.949997 -206.882996)(-5.864000 -51.773998 -208.312012)(-5.691000 -52.317001 -206.455002)(-5.155000 -54.352001 -208.195007)(-3.909000 -57.845997 -207.193008)(-4.422000 -55.972000 -204.091003)(-3.364000 -58.702000 -205.360992)(-4.478000 -56.754002 -208.874008)(-4.902000 -54.949997 -206.882996)(-3.909000 -57.845997 -207.193008)(-6.060000 -51.179001 -210.100998)(-5.864000 -51.773998 -208.312012)(-5.429000 -53.695000 -209.445999)(-6.170000 -50.862000 -210.968994)(-6.060000 -51.179001 -210.100998)(-5.735000 -52.980000 -210.636002)(-6.287000 -50.531998 -211.819000)(-6.170000 -50.862000 -210.968994)(-5.903000 -52.600998 -211.207001)(1.154000 -61.348000 -205.423004)(1.922000 -61.092999 -206.302994)(2.432000 -62.215000 -211.410995)(2.432000 -62.215000 -211.410995)(-2.423000 -62.215000 -211.410995)(1.498000 -62.682003 -211.394989)(-2.423000 -62.215000 -211.410995)(1.305000 -62.779003 -211.391998)(1.498000 -62.682003 -211.394989)(0.755002 -62.872002 -211.388000)(-0.370998 -62.936001 -211.386002)(-0.745998 -62.872002 -211.388000)(-1.295000 -62.779003 -211.391998)(-0.745998 -62.872002 -211.388000)(1.305000 -62.779003 -211.391998)(-2.480000 -60.709000 -207.674988)(-0.745998 -62.872002 -211.388000)(-3.043000 -60.086998 -208.643005)(-3.043000 -60.086998 -208.643005)(-3.909000 -57.845997 -207.193008)(-3.364000 -58.702000 -205.360992)(6.092000 -52.208000 -211.761002)(-6.287000 -50.531998 -211.819000)(-6.083000 -52.208000 -211.761002)(6.092000 -52.208000 -211.761002)(5.878000 -53.882999 -211.702011)(6.423000 -52.404003 -203.362000)(6.423000 -52.404003 -203.362000)(5.633000 -54.673000 -205.832001)(6.155000 -53.779999 -194.962997)(1.922000 -61.092999 -206.302994)(2.854000 -59.618999 -200.786987)(3.232000 -60.051003 -208.074997)(5.002000 -56.411003 -199.929001)(2.854000 -59.618999 -200.786987)(6.155000 -53.779999 -194.962997)(-4.784000 -56.120998 -209.651001)(-5.155000 -54.352001 -208.195007)(-4.478000 -56.754002 -208.874008)(-5.429000 -53.695000 -209.445999)(-5.864000 -51.773998 -208.312012)(-5.155000 -54.352001 -208.195007)(-3.633000 -59.259003 -209.535995)(-4.478000 -56.754002 -208.874008)(-3.909000 -57.845997 -207.193008)(-5.735000 -52.980000 -210.636002)(-6.060000 -51.179001 -210.100998)(-5.429000 -53.695000 -209.445999)(-5.903000 -52.600998 -211.207001)(-6.170000 -50.862000 -210.968994)(-5.735000 -52.980000 -210.636002)(-5.903000 -52.600998 -211.207001)(-6.083000 -52.208000 -211.761002)(-6.287000 -50.531998 -211.819000)(1.922000 -61.092999 -206.302994)(2.888000 -61.794998 -211.426010)(2.432000 -62.215000 -211.410995)(-2.423000 -62.215000 -211.410995)(2.432000 -62.215000 -211.410995)(-2.879000 -61.794998 -211.426010)(-1.295000 -62.779003 -211.391998)(1.305000 -62.779003 -211.391998)(-2.423000 -62.215000 -211.410995)(-1.295000 -62.779003 -211.391998)(-3.043000 -60.086998 -208.643005)(-0.745998 -62.872002 -211.388000)(-3.633000 -59.259003 -209.535995)(-3.909000 -57.845997 -207.193008)(-3.043000 -60.086998 -208.643005)(5.878000 -53.882999 -211.702011)(6.092000 -52.208000 -211.761002)(-6.083000 -52.208000 -211.761002)(6.423000 -52.404003 -203.362000)(5.878000 -53.882999 -211.702011)(5.633000 -54.673000 -205.832001)(6.155000 -53.779999 -194.962997)(5.633000 -54.673000 -205.832001)(5.002000 -56.411003 -199.929001)(3.232000 -60.051003 -208.074997)(2.888000 -61.794998 -211.426010)(1.922000 -61.092999 -206.302994)(3.978000 -58.521000 -204.459991)(3.232000 -60.051003 -208.074997)(2.854000 -59.618999 -200.786987)(3.978000 -58.521000 -204.459991)(2.854000 -59.618999 -200.786987)(5.002000 -56.411003 -199.929001)(-4.248000 -58.222000 -210.342010)(-4.784000 -56.120998 -209.651001)(-4.478000 -56.754002 -208.874008)(-5.429000 -53.695000 -209.445999)(-5.155000 -54.352001 -208.195007)(-4.784000 -56.120998 -209.651001)(-4.248000 -58.222000 -210.342010)(-4.478000 -56.754002 -208.874008)(-3.633000 -59.259003 -209.535995)(-5.735000 -52.980000 -210.636002)(-5.429000 -53.695000 -209.445999)(-5.114000 -55.430000 -210.382996)(-5.903000 -52.600998 -211.207001)(-5.735000 -52.980000 -210.636002)(-5.473000 -54.683998 -211.067001)(-5.667000 -54.290001 -211.391006)(-6.083000 -52.208000 -211.761002)(-5.903000 -52.600998 -211.207001)(2.432000 -62.215000 -211.410995)(2.888000 -61.794998 -211.426010)(-2.879000 -61.794998 -211.426010)(-2.879000 -61.794998 -211.426010)(-4.573000 -57.626999 -210.708008)(-2.423000 -62.215000 -211.410995)(-1.295000 -62.779003 -211.391998)(-2.423000 -62.215000 -211.410995)(-3.633000 -59.259003 -209.535995)(-3.633000 -59.259003 -209.535995)(-3.043000 -60.086998 -208.643005)(-1.295000 -62.779003 -211.391998)(5.878000 -53.882999 -211.702011)(-6.083000 -52.208000 -211.761002)(-5.868000 -53.882999 -211.702011)(5.633000 -54.673000 -205.832001)(5.878000 -53.882999 -211.702011)(5.663000 -55.557003 -211.643997)(5.633000 -54.673000 -205.832001)(4.962000 -56.628998 -208.069000)(5.002000 -56.411003 -199.929001)(3.232000 -60.051003 -208.074997)(3.962000 -60.806000 -211.460999)(2.888000 -61.794998 -211.426010)(4.481000 -58.223003 -209.835999)(3.232000 -60.051003 -208.074997)(3.978000 -58.521000 -204.459991)(4.962000 -56.628998 -208.069000)(3.978000 -58.521000 -204.459991)(5.002000 -56.411003 -199.929001)(-4.573000 -57.626999 -210.708008)(-4.784000 -56.120998 -209.651001)(-4.248000 -58.222000 -210.342010)(-5.114000 -55.430000 -210.382996)(-5.429000 -53.695000 -209.445999)(-4.784000 -56.120998 -209.651001)(-4.248000 -58.222000 -210.342010)(-3.633000 -59.259003 -209.535995)(-2.423000 -62.215000 -211.410995)(-5.114000 -55.430000 -210.382996)(-5.473000 -54.683998 -211.067001)(-5.735000 -52.980000 -210.636002)(-5.473000 -54.683998 -211.067001)(-5.667000 -54.290001 -211.391006)(-5.903000 -52.600998 -211.207001)(-5.667000 -54.290001 -211.391006)(-5.868000 -53.882999 -211.702011)(-6.083000 -52.208000 -211.761002)(-2.879000 -61.794998 -211.426010)(2.888000 -61.794998 -211.426010)(-3.530000 -61.195000 -211.447006)(-4.573000 -57.626999 -210.708008)(-4.248000 -58.222000 -210.342010)(-2.423000 -62.215000 -211.410995)(-4.913000 -56.983002 -211.048004)(-4.573000 -57.626999 -210.708008)(-2.879000 -61.794998 -211.426010)(5.663000 -55.557003 -211.643997)(5.878000 -53.882999 -211.702011)(-5.868000 -53.882999 -211.702011)(5.663000 -55.557003 -211.643997)(4.962000 -56.628998 -208.069000)(5.633000 -54.673000 -205.832001)(3.962000 -60.806000 -211.460999)(3.232000 -60.051003 -208.074997)(3.990250 -59.424004 -209.767990)(3.232000 -60.051003 -208.074997)(4.481000 -58.223003 -209.835999)(3.990250 -59.424004 -209.767990)(4.481000 -58.223003 -209.835999)(3.962000 -60.806000 -211.460999)(3.990250 -59.424004 -209.767990)(2.888000 -61.794998 -211.426010)(3.962000 -60.806000 -211.460999)(-3.530000 -61.195000 -211.447006)(4.962000 -56.628998 -208.069000)(4.481000 -58.223003 -209.835999)(3.978000 -58.521000 -204.459991)(-5.114000 -55.430000 -210.382996)(-4.784000 -56.120998 -209.651001)(-4.573000 -57.626999 -210.708008)(-5.114000 -55.430000 -210.382996)(-4.913000 -56.983002 -211.048004)(-5.473000 -54.683998 -211.067001)(-5.473000 -54.683998 -211.067001)(-5.271000 -56.292999 -211.359985)(-5.667000 -54.290001 -211.391006)(-5.667000 -54.290001 -211.391006)(-5.459000 -55.930000 -211.505997)(-5.868000 -53.882999 -211.702011)(-3.530000 -61.195000 -211.447006)(-4.913000 -56.983002 -211.048004)(-2.879000 -61.794998 -211.426010)(-4.573000 -57.626999 -210.708008)(-4.913000 -56.983002 -211.048004)(-5.114000 -55.430000 -210.382996)(5.663000 -55.557003 -211.643997)(-5.868000 -53.882999 -211.702011)(-5.654000 -55.557003 -211.643997)(5.551000 -56.394001 -211.614990)(4.962000 -56.628998 -208.069000)(5.663000 -55.557003 -211.643997)(4.149000 -60.521999 -211.471008)(3.962000 -60.806000 -211.460999)(4.481000 -58.223003 -209.835999)(-3.530000 -61.195000 -211.447006)(3.962000 -60.806000 -211.460999)(-3.952000 -60.806000 -211.460999)(4.962000 -56.628998 -208.069000)(5.551000 -56.394001 -211.614990)(4.916200 -57.263298 -209.841995)(5.551000 -56.394001 -211.614990)(4.481000 -58.223003 -209.835999)(4.916200 -57.263298 -209.841995)(4.481000 -58.223003 -209.835999)(4.962000 -56.628998 -208.069000)(4.916200 -57.263298 -209.841995)(-4.913000 -56.983002 -211.048004)(-5.271000 -56.292999 -211.359985)(-5.473000 -54.683998 -211.067001)(-5.667000 -54.290001 -211.391006)(-5.271000 -56.292999 -211.359985)(-5.459000 -55.930000 -211.505997)(-5.868000 -53.882999 -211.702011)(-5.459000 -55.930000 -211.505997)(-5.654000 -55.557003 -211.643997)(-5.271000 -56.292999 -211.359985)(-4.913000 -56.983002 -211.048004)(-3.530000 -61.195000 -211.447006)(5.551000 -56.394001 -211.614990)(5.663000 -55.557003 -211.643997)(-5.654000 -55.557003 -211.643997)(4.682000 -59.712997 -211.499008)(4.149000 -60.521999 -211.471008)(4.481000 -58.223003 -209.835999)(3.962000 -60.806000 -211.460999)(4.149000 -60.521999 -211.471008)(-4.139000 -60.521999 -211.471008)(3.962000 -60.806000 -211.460999)(-4.139000 -60.521999 -211.471008)(-3.952000 -60.806000 -211.460999)(-3.530000 -61.195000 -211.447006)(-3.952000 -60.806000 -211.460999)(-5.271000 -56.292999 -211.359985)(5.439000 -57.231003 -211.585007)(4.481000 -58.223003 -209.835999)(5.551000 -56.394001 -211.614990)(-5.459000 -55.930000 -211.505997)(-5.271000 -56.292999 -211.359985)(-3.952000 -60.806000 -211.460999)(-5.654000 -55.557003 -211.643997)(-5.459000 -55.930000 -211.505997)(-4.139000 -60.521999 -211.471008)(5.551000 -56.394001 -211.614990)(-5.654000 -55.557003 -211.643997)(-5.542000 -56.394001 -211.614990)(4.682000 -59.712997 -211.499008)(4.481000 -58.223003 -209.835999)(5.327000 -58.068001 -211.556000)(4.149000 -60.521999 -211.471008)(4.682000 -59.712997 -211.499008)(-4.673000 -59.712997 -211.499008)(4.149000 -60.521999 -211.471008)(-4.406000 -60.118000 -211.485001)(-4.139000 -60.521999 -211.471008)(-4.139000 -60.521999 -211.471008)(-5.459000 -55.930000 -211.505997)(-3.952000 -60.806000 -211.460999)(5.327000 -58.068001 -211.556000)(4.481000 -58.223003 -209.835999)(5.439000 -57.231003 -211.585007)(5.439000 -57.231003 -211.585007)(5.551000 -56.394001 -211.614990)(-5.542000 -56.394001 -211.614990)(-5.542000 -56.394001 -211.614990)(-5.654000 -55.557003 -211.643997)(-4.139000 -60.521999 -211.471008)(4.682000 -59.712997 -211.499008)(5.327000 -58.068001 -211.556000)(-5.206000 -58.903999 -211.527008)(4.149000 -60.521999 -211.471008)(-4.673000 -59.712997 -211.499008)(-4.406000 -60.118000 -211.485001)(4.682000 -59.712997 -211.499008)(-4.939000 -59.308998 -211.513000)(-4.673000 -59.712997 -211.499008)(-4.406000 -60.118000 -211.485001)(-5.542000 -56.394001 -211.614990)(-4.139000 -60.521999 -211.471008)(5.327000 -58.068001 -211.556000)(5.439000 -57.231003 -211.585007)(-5.430000 -57.231003 -211.585999)(5.439000 -57.231003 -211.585007)(-5.542000 -56.394001 -211.614990)(-5.430000 -57.231003 -211.585999)(4.682000 -59.712997 -211.499008)(-5.206000 -58.903999 -211.527008)(-5.073000 -59.106998 -211.520004)(5.327000 -58.068001 -211.556000)(-5.318000 -58.068001 -211.556000)(-5.206000 -58.903999 -211.527008)(-4.406000 -60.118000 -211.485001)(-4.673000 -59.712997 -211.499008)(-5.430000 -57.231003 -211.585999)(4.682000 -59.712997 -211.499008)(-5.073000 -59.106998 -211.520004)(-4.939000 -59.308998 -211.513000)(-4.673000 -59.712997 -211.499008)(-4.939000 -59.308998 -211.513000)(-5.073000 -59.106998 -211.520004)(-5.542000 -56.394001 -211.614990)(-4.406000 -60.118000 -211.485001)(-5.430000 -57.231003 -211.585999)(5.327000 -58.068001 -211.556000)(-5.430000 -57.231003 -211.585999)(-5.318000 -58.068001 -211.556000)(-5.206000 -58.903999 -211.527008)(-5.073000 -59.106998 -211.520004)(-4.673000 -59.712997 -211.499008)(-4.673000 -59.712997 -211.499008)(-5.206000 -58.903999 -211.527008)(-5.318000 -58.068001 -211.556000)(-5.318000 -58.068001 -211.556000)(-5.430000 -57.231003 -211.585999)(-4.673000 -59.712997 -211.499008)(0.709323 18.000000 -255.883011)(3.735800 18.000000 -255.403992)(1.589000 18.000000 -258.157013)(-0.701329 18.000000 -255.883011)(0.003997 18.000000 -255.995010)(-0.491600 18.000000 -256.779999)(0.003997 18.000000 -255.995010)(0.709323 18.000000 -255.883011)(-0.491600 18.000000 -256.779999)(1.589000 18.000000 -258.157013)(-4.719000 18.000000 -257.725006)(-0.491600 18.000000 -256.779999)(-4.719000 18.000000 -257.725006)(-2.529370 18.000000 -255.593979)(-0.491600 18.000000 -256.779999)(-2.529370 18.000000 -255.593979)(-0.701329 18.000000 -255.883011)(-0.491600 18.000000 -256.779999)(0.709323 18.000000 -255.883011)(1.589000 18.000000 -258.157013)(-0.491600 18.000000 -256.779999)(-10.676001 18.000000 -255.607986)(-8.449170 18.000000 -253.966003)(-7.121300 18.000000 -254.642990)(-6.485000 18.000000 -254.967010)(-2.529370 18.000000 -255.593979)(-6.602690 18.000000 -255.845993)(-2.529370 18.000000 -255.593979)(-4.719000 18.000000 -257.725006)(-6.602690 18.000000 -255.845993)(-4.719000 18.000000 -257.725006)(-10.676001 18.000000 -255.607986)(-6.602690 18.000000 -255.845993)(-7.121300 18.000000 -254.642990)(-6.485000 18.000000 -254.967010)(-6.602690 18.000000 -255.845993)(-10.676001 18.000000 -255.607986)(-7.121300 18.000000 -254.642990)(-6.602690 18.000000 -255.845993)(6.493890 18.000000 -254.967010)(7.130300 18.000000 -254.642990)(7.779000 18.000000 -256.869995)(7.130300 18.000000 -254.642990)(9.885770 18.000000 -253.238998)(7.779000 18.000000 -256.869995)(3.735800 18.000000 -255.403992)(6.493890 18.000000 -254.967010)(5.737380 18.000000 -255.697998)(7.779000 18.000000 -256.869995)(1.589000 18.000000 -258.157013)(5.737380 18.000000 -255.697998)(1.589000 18.000000 -258.157013)(3.735800 18.000000 -255.403992)(5.737380 18.000000 -255.697998)(6.493890 18.000000 -254.967010)(7.779000 18.000000 -256.869995)(5.737380 18.000000 -255.697998)(1.545000 36.500000 -257.511993)(-4.719000 18.000000 -257.725006)(1.589000 18.000000 -258.157013)(-15.842000 18.000000 -251.962006)(-13.588400 18.000000 -250.735016)(-12.844000 18.000000 -251.479004)(-12.339000 18.000000 -251.983994)(-8.449170 18.000000 -253.966003)(-12.145600 18.000000 -253.170990)(-8.449170 18.000000 -253.966003)(-10.676001 18.000000 -255.607986)(-12.145600 18.000000 -253.170990)(-10.676001 18.000000 -255.607986)(-15.842000 18.000000 -251.962006)(-12.145600 18.000000 -253.170990)(-12.844000 18.000000 -251.479004)(-12.339000 18.000000 -251.983994)(-12.145600 18.000000 -253.170990)(-15.842000 18.000000 -251.962006)(-12.844000 18.000000 -251.479004)(-12.145600 18.000000 -253.170990)(-4.587000 36.500000 -257.093018)(-10.676001 18.000000 -255.607986)(-4.719000 18.000000 -257.725006)(9.885770 18.000000 -253.238998)(12.348000 18.000000 -251.983994)(13.393000 18.000000 -253.962006)(12.348000 18.000000 -251.983994)(12.853001 18.000000 -251.479004)(13.393000 18.000000 -253.962006)(12.853001 18.000000 -251.479004)(15.493700 18.000000 -248.838013)(13.393000 18.000000 -253.962006)(7.779000 18.000000 -256.869995)(9.885770 18.000000 -253.238998)(13.393000 18.000000 -253.962006)(7.563000 36.500000 -256.261993)(1.589000 18.000000 -258.157013)(7.779000 18.000000 -256.869995)(7.563000 36.500000 -256.261993)(1.545000 36.500000 -257.511993)(1.589000 18.000000 -258.157013)(1.545000 36.500000 -257.511993)(-4.587000 36.500000 -257.093018)(-4.719000 18.000000 -257.725006)(-19.832001 18.000000 -247.057999)(-17.565300 18.000000 -246.198990)(-17.309200 18.000000 -246.701996)(-19.832001 18.000000 -247.057999)(-17.309200 18.000000 -246.701996)(-16.984999 18.000000 -247.337997)(-16.984999 18.000000 -247.337997)(-13.588400 18.000000 -250.735016)(-16.710199 18.000000 -249.080994)(-13.588400 18.000000 -250.735016)(-15.842000 18.000000 -251.962006)(-16.710199 18.000000 -249.080994)(-15.842000 18.000000 -251.962006)(-19.832001 18.000000 -247.057999)(-16.710199 18.000000 -249.080994)(-19.832001 18.000000 -247.057999)(-16.984999 18.000000 -247.337997)(-16.710199 18.000000 -249.080994)(-10.379000 36.500000 -255.033997)(-15.842000 18.000000 -251.962006)(-10.676001 18.000000 -255.607986)(-4.587000 36.500000 -257.093018)(-10.379000 36.500000 -255.033997)(-10.676001 18.000000 -255.607986)(17.318100 18.000000 -246.701996)(19.976900 18.000000 -241.484009)(18.013000 18.000000 -249.645996)(13.393000 18.000000 -253.962006)(15.493700 18.000000 -248.838013)(18.013000 18.000000 -249.645996)(15.493700 18.000000 -248.838013)(16.993999 18.000000 -247.337997)(18.013000 18.000000 -249.645996)(16.993999 18.000000 -247.337997)(17.318100 18.000000 -246.701996)(18.013000 18.000000 -249.645996)(22.854000 18.000000 -230.886002)(19.976900 18.000000 -241.484009)(20.088600 18.000000 -240.778992)(20.900000 18.000000 -235.651993)(22.854000 18.000000 -230.886002)(20.088600 18.000000 -240.778992)(18.013000 18.000000 -249.645996)(19.976900 18.000000 -241.484009)(22.854000 18.000000 -230.886002)(13.020000 36.500000 -253.434006)(7.779000 18.000000 -256.869995)(13.393000 18.000000 -253.962006)(13.020000 36.500000 -253.434006)(7.563000 36.500000 -256.261993)(7.779000 18.000000 -256.869995)(1.545000 36.500000 -257.511993)(7.563000 36.500000 -256.261993)(22.218000 36.500000 -231.000000)(-4.587000 36.500000 -257.093018)(1.545000 36.500000 -257.511993)(22.218000 36.500000 -231.000000)(-20.079700 18.000000 -240.778992)(-20.086000 18.000000 -240.738998)(-22.350000 18.000000 -241.258987)(-22.350000 18.000000 -241.258987)(-20.079700 18.000000 -240.778992)(-19.967999 18.000000 -241.484009)(-19.967999 18.000000 -241.484009)(-17.565300 18.000000 -246.198990)(-19.957600 18.000000 -243.899002)(-17.565300 18.000000 -246.198990)(-19.832001 18.000000 -247.057999)(-19.957600 18.000000 -243.899002)(-19.832001 18.000000 -247.057999)(-22.350000 18.000000 -241.258987)(-19.957600 18.000000 -243.899002)(-22.350000 18.000000 -241.258987)(-19.967999 18.000000 -241.484009)(-19.957600 18.000000 -243.899002)(-19.832001 18.000000 -247.057999)(-15.842000 18.000000 -251.962006)(-15.401000 36.500000 -251.489990)(-10.379000 36.500000 -255.033997)(-15.401000 36.500000 -251.489990)(-15.842000 18.000000 -251.962006)(-10.379000 36.500000 -255.033997)(-4.587000 36.500000 -257.093018)(22.218000 36.500000 -231.000000)(21.004002 18.000000 -234.994995)(20.889601 18.000000 -234.272003)(22.854000 18.000000 -230.886002)(20.900000 18.000000 -235.651993)(21.004002 18.000000 -234.994995)(22.854000 18.000000 -230.886002)(22.854000 18.000000 -230.886002)(21.298000 18.000000 -244.243988)(18.013000 18.000000 -249.645996)(17.511999 36.500000 -249.238998)(13.393000 18.000000 -253.962006)(18.013000 18.000000 -249.645996)(17.511999 36.500000 -249.238998)(13.020000 36.500000 -253.434006)(13.393000 18.000000 -253.962006)(7.563000 36.500000 -256.261993)(13.020000 36.500000 -253.434006)(22.218000 36.500000 -231.000000)(-23.211000 18.000000 -234.994995)(-20.964300 18.000000 -234.794998)(-20.996000 18.000000 -234.994995)(-20.996000 18.000000 -234.994995)(-20.086000 18.000000 -240.738998)(-21.648500 18.000000 -238.027008)(-20.086000 18.000000 -240.738998)(-22.350000 18.000000 -241.258987)(-21.648500 18.000000 -238.027008)(-22.350000 18.000000 -241.258987)(-23.211000 18.000000 -234.994995)(-21.648500 18.000000 -238.027008)(-23.211000 18.000000 -234.994995)(-20.996000 18.000000 -234.994995)(-21.648500 18.000000 -238.027008)(-22.350000 18.000000 -241.258987)(-19.832001 18.000000 -247.057999)(-19.279999 36.500000 -246.722000)(-19.832001 18.000000 -247.057999)(-15.401000 36.500000 -251.489990)(-19.279999 36.500000 -246.722000)(-15.401000 36.500000 -251.489990)(-10.379000 36.500000 -255.033997)(22.218000 36.500000 -231.000000)(20.775501 18.000000 -233.550995)(22.854000 18.000000 -230.886002)(20.889601 18.000000 -234.272003)(18.013000 18.000000 -249.645996)(21.298000 18.000000 -244.243988)(20.705999 36.500000 -243.987000)(22.854000 18.000000 -230.886002)(23.004000 18.000000 -238.156006)(21.298000 18.000000 -244.243988)(18.013000 18.000000 -249.645996)(20.705999 36.500000 -243.987000)(17.511999 36.500000 -249.238998)(13.020000 36.500000 -253.434006)(17.511999 36.500000 -249.238998)(22.218000 36.500000 -231.000000)(-23.211000 18.000000 -234.994995)(-22.350000 18.000000 -241.258987)(-21.727999 36.500000 -241.084000)(-20.684700 18.000000 -233.029999)(-20.964300 18.000000 -234.794998)(-21.778000 18.000000 -232.940002)(-20.964300 18.000000 -234.794998)(-23.211000 18.000000 -234.994995)(-21.778000 18.000000 -232.940002)(-23.211000 18.000000 -234.994995)(-22.844999 18.000000 -230.886002)(-21.778000 18.000000 -232.940002)(-22.844999 18.000000 -230.886002)(-20.345001 18.000000 -230.886002)(-21.778000 18.000000 -232.940002)(-20.345001 18.000000 -230.886002)(-20.684700 18.000000 -233.029999)(-21.778000 18.000000 -232.940002)(-22.350000 18.000000 -241.258987)(-19.279999 36.500000 -246.722000)(-21.727999 36.500000 -241.084000)(-19.279999 36.500000 -246.722000)(-15.401000 36.500000 -251.489990)(22.218000 36.500000 -231.000000)(20.353699 18.000000 -230.886002)(20.200298 18.000000 -229.917007)(22.854000 18.000000 -230.886002)(20.200298 18.000000 -229.917007)(19.976999 18.000000 -228.505997)(22.854000 18.000000 -230.886002)(19.976999 18.000000 -228.505997)(19.189798 18.000000 -226.960999)(22.854000 18.000000 -230.886002)(20.388500 18.000000 -231.106003)(20.353699 18.000000 -230.886002)(22.854000 18.000000 -230.886002)(20.441299 18.000000 -231.439987)(20.388500 18.000000 -231.106003)(22.854000 18.000000 -230.886002)(20.495100 18.000000 -231.779999)(20.441299 18.000000 -231.439987)(22.854000 18.000000 -230.886002)(20.552101 18.000000 -232.139999)(20.495100 18.000000 -231.779999)(22.854000 18.000000 -230.886002)(20.615000 18.000000 -232.537003)(20.552101 18.000000 -232.139999)(22.854000 18.000000 -230.886002)(20.687399 18.000000 -232.995010)(20.615000 18.000000 -232.537003)(22.854000 18.000000 -230.886002)(20.687399 18.000000 -232.995010)(22.854000 18.000000 -230.886002)(20.775501 18.000000 -233.550995)(21.298000 18.000000 -244.243988)(22.364000 36.500000 -238.067993)(20.705999 36.500000 -243.987000)(22.854000 18.000000 -230.886002)(23.004000 18.000000 -231.834000)(23.004000 18.000000 -238.156006)(21.298000 18.000000 -244.243988)(23.004000 18.000000 -238.156006)(22.364000 36.500000 -238.067993)(17.511999 36.500000 -249.238998)(20.705999 36.500000 -243.987000)(22.218000 36.500000 -231.000000)(-23.211000 18.000000 -234.994995)(-21.727999 36.500000 -241.084000)(-22.565001 36.500000 -234.994995)(-22.844999 18.000000 -230.886002)(-23.211000 18.000000 -234.994995)(-22.565001 36.500000 -234.994995)(-22.844999 18.000000 -230.886002)(-18.568399 18.000000 -225.759003)(-19.967999 18.000000 -228.505997)(-22.844999 18.000000 -230.886002)(-19.967999 18.000000 -228.505997)(-20.345001 18.000000 -230.886002)(-10.355000 18.000000 -216.994995)(-12.339000 18.000000 -218.005997)(-16.600000 18.000000 -210.363998)(-12.339000 18.000000 -218.005997)(-13.120399 18.000000 -218.787003)(-16.600000 18.000000 -210.363998)(-13.120399 18.000000 -218.787003)(-16.984999 18.000000 -222.652008)(-16.600000 18.000000 -210.363998)(-16.984999 18.000000 -222.652008)(-18.568399 18.000000 -225.759003)(-16.600000 18.000000 -210.363998)(-22.844999 18.000000 -230.886002)(-15.463000 18.000000 -189.843002)(-16.600000 18.000000 -210.363998)(-15.463000 18.000000 -189.843002)(-10.355000 18.000000 -195.314011)(-16.600000 18.000000 -210.363998)(-10.355000 18.000000 -195.314011)(-10.355000 18.000000 -216.994995)(-16.600000 18.000000 -210.363998)(-18.568399 18.000000 -225.759003)(-22.844999 18.000000 -230.886002)(-16.600000 18.000000 -210.363998)(-21.727999 36.500000 -241.084000)(-19.279999 36.500000 -246.722000)(22.218000 36.500000 -231.000000)(22.854000 18.000000 -230.886002)(19.189798 18.000000 -226.960999)(18.835001 18.000000 -226.264999)(20.705999 36.500000 -243.987000)(22.364000 36.500000 -238.067993)(22.218000 36.500000 -231.000000)(23.004000 18.000000 -231.834000)(22.854000 18.000000 -230.886002)(22.218000 36.500000 -231.000000)(23.004000 18.000000 -238.156006)(23.004000 18.000000 -231.834000)(22.364000 36.500000 -231.921997)(22.364000 36.500000 -238.067993)(23.004000 18.000000 -238.156006)(22.364000 36.500000 -231.921997)(-22.565001 36.500000 -234.994995)(-21.727999 36.500000 -241.084000)(22.218000 36.500000 -231.000000)(-22.844999 18.000000 -230.886002)(-22.565001 36.500000 -234.994995)(-22.209000 36.500000 -231.000000)(-22.209000 36.500000 -231.000000)(-15.463000 18.000000 -189.843002)(-22.844999 18.000000 -230.886002)(-10.355000 18.000000 -193.092010)(-10.355000 18.000000 -195.314011)(-12.908999 18.000000 -191.418015)(-10.355000 18.000000 -195.314011)(-15.463000 18.000000 -189.843002)(-12.908999 18.000000 -191.418015)(-15.463000 18.000000 -189.843002)(-14.860001 18.000000 -187.521988)(-12.908999 18.000000 -191.418015)(-14.860001 18.000000 -187.521988)(-10.355000 18.000000 -192.701996)(-12.908999 18.000000 -191.418015)(-10.355000 18.000000 -192.701996)(-10.355000 18.000000 -193.092010)(-12.908999 18.000000 -191.418015)(17.897301 18.000000 -224.425003)(17.439800 18.000000 -223.526993)(22.854000 18.000000 -230.886002)(18.835001 18.000000 -226.264999)(17.897301 18.000000 -224.425003)(22.854000 18.000000 -230.886002)(22.364000 36.500000 -238.067993)(22.364000 36.500000 -231.921997)(22.218000 36.500000 -231.000000)(22.854000 18.000000 -230.886002)(14.836000 36.500000 -189.956985)(22.218000 36.500000 -231.000000)(23.004000 18.000000 -231.834000)(22.218000 36.500000 -231.000000)(22.364000 36.500000 -231.921997)(-22.209000 36.500000 -231.000000)(-22.565001 36.500000 -234.994995)(22.218000 36.500000 -231.000000)(-22.209000 36.500000 -231.000000)(-14.827000 36.500000 -189.956985)(-15.463000 18.000000 -189.843002)(-14.860001 18.000000 -187.521988)(-15.463000 18.000000 -189.843002)(-14.827000 36.500000 -189.956985)(-10.355000 18.000000 -185.748001)(-10.355000 18.000000 -192.701996)(-12.607500 18.000000 -187.837006)(-10.355000 18.000000 -192.701996)(-14.860001 18.000000 -187.521988)(-12.607500 18.000000 -187.837006)(-14.860001 18.000000 -187.521988)(-12.396999 18.000000 -182.972000)(-12.607500 18.000000 -187.837006)(-12.396999 18.000000 -182.972000)(-10.355000 18.000000 -185.748001)(-12.607500 18.000000 -187.837006)(10.363999 18.000000 -213.908997)(10.363999 18.000000 -210.462997)(15.748899 18.000000 -221.229004)(15.748899 18.000000 -221.229004)(10.363999 18.000000 -210.462997)(16.039001 18.000000 -221.507004)(10.363999 18.000000 -210.462997)(16.993999 18.000000 -222.652008)(16.039001 18.000000 -221.507004)(22.854000 18.000000 -230.886002)(16.993999 18.000000 -222.652008)(10.363999 18.000000 -210.462997)(17.439800 18.000000 -223.526993)(16.993999 18.000000 -222.652008)(22.854000 18.000000 -230.886002)(15.472000 18.000000 -189.843002)(14.836000 36.500000 -189.956985)(22.854000 18.000000 -230.886002)(14.836000 36.500000 -189.956985)(13.258000 36.500000 -185.453003)(22.218000 36.500000 -231.000000)(-22.209000 36.500000 -231.000000)(22.218000 36.500000 -231.000000)(-14.827000 36.500000 -189.956985)(-14.860001 18.000000 -187.521988)(-14.827000 36.500000 -189.956985)(-14.249000 36.500000 -187.731995)(-12.396999 18.000000 -182.972000)(-14.860001 18.000000 -187.521988)(-14.249000 36.500000 -187.731995)(-12.396999 18.000000 -182.972000)(-10.355000 18.000000 -181.091995)(-10.355000 18.000000 -185.748001)(-11.888000 36.500000 -183.369003)(-8.737850 18.823999 -179.642014)(-9.325880 18.524401 -180.169006)(-9.325880 18.524401 -180.169006)(-10.355000 18.000000 -181.091995)(-12.396999 18.000000 -182.972000)(-11.888000 36.500000 -183.369003)(-9.325880 18.524401 -180.169006)(-12.396999 18.000000 -182.972000)(11.098400 18.000000 -217.369003)(10.363999 18.000000 -216.525009)(11.363400 18.000000 -217.503998)(10.363999 18.000000 -216.525009)(10.363999 18.000000 -213.908997)(11.363400 18.000000 -217.503998)(11.363400 18.000000 -217.503998)(10.363999 18.000000 -213.908997)(12.348000 18.000000 -218.005997)(12.348000 18.000000 -218.005997)(10.363999 18.000000 -213.908997)(12.826800 18.000000 -218.425003)(12.826800 18.000000 -218.425003)(10.363999 18.000000 -213.908997)(15.748899 18.000000 -221.229004)(10.863900 17.745201 -181.250000)(10.363999 18.000000 -180.876999)(10.363999 18.000000 -191.116013)(10.363999 18.000000 -210.462997)(10.363999 18.000000 -205.869003)(22.854000 18.000000 -230.886002)(15.472000 18.000000 -189.843002)(13.258000 36.500000 -185.453003)(14.836000 36.500000 -189.956985)(13.825999 18.000000 -185.145004)(15.472000 18.000000 -189.843002)(22.854000 18.000000 -230.886002)(22.218000 36.500000 -231.000000)(13.258000 36.500000 -185.453003)(10.211000 36.500000 -181.537994)(-14.827000 36.500000 -189.956985)(22.218000 36.500000 -231.000000)(-14.249000 36.500000 -187.731995)(-12.396999 18.000000 -182.972000)(-14.249000 36.500000 -187.731995)(-11.888000 36.500000 -183.369003)(-8.573680 18.907700 -179.495010)(-8.737850 18.823999 -179.642014)(-10.231800 27.661999 -181.431000)(-8.737850 18.823999 -179.642014)(-11.888000 36.500000 -183.369003)(-10.231800 27.661999 -181.431000)(-11.888000 36.500000 -183.369003)(-8.238000 36.500000 -180.008987)(-10.231800 27.661999 -181.431000)(-8.238000 36.500000 -180.008987)(-8.573680 18.907700 -179.495010)(-10.231800 27.661999 -181.431000)(-8.238000 36.500000 -180.008987)(-4.399590 20.302299 -177.716003)(-6.485000 19.972000 -178.617996)(-8.238000 36.500000 -180.008987)(-6.485000 19.972000 -178.617996)(-8.573680 18.907700 -179.495010)(10.363999 18.000000 -216.994995)(10.363999 18.000000 -216.525009)(11.098400 18.000000 -217.369003)(10.363999 18.000000 -205.869003)(10.363999 18.000000 -199.636002)(22.854000 18.000000 -230.886002)(10.363999 18.000000 -199.636002)(10.363999 18.000000 -191.116013)(22.854000 18.000000 -230.886002)(10.363999 18.000000 -180.876999)(10.649000 18.000000 -181.063004)(10.363999 18.000000 -191.116013)(10.363999 18.000000 -191.116013)(10.649000 18.000000 -181.063004)(22.854000 18.000000 -230.886002)(6.058000 36.500000 -178.823990)(10.649000 18.000000 -181.063004)(9.379889 18.501499 -180.253998)(10.649000 18.000000 -181.063004)(10.363999 18.000000 -180.876999)(9.379889 18.501499 -180.253998)(6.058000 36.500000 -178.823990)(9.379889 18.501499 -180.253998)(6.494000 19.972000 -178.428986)(6.058000 36.500000 -178.823990)(6.494000 19.972000 -178.428986)(6.289830 20.004301 -178.296997)(15.472000 18.000000 -189.843002)(13.825999 18.000000 -185.145004)(13.258000 36.500000 -185.453003)(10.649000 18.000000 -181.063004)(13.825999 18.000000 -185.145004)(22.854000 18.000000 -230.886002)(6.058000 36.500000 -178.823990)(22.218000 36.500000 -231.000000)(10.211000 36.500000 -181.537994)(13.825999 18.000000 -185.145004)(10.211000 36.500000 -181.537994)(13.258000 36.500000 -185.453003)(-14.249000 36.500000 -187.731995)(22.218000 36.500000 -231.000000)(-11.888000 36.500000 -183.369003)(-11.888000 36.500000 -183.369003)(22.218000 36.500000 -231.000000)(-8.238000 36.500000 -180.008987)(-8.238000 36.500000 -180.008987)(-3.695000 36.500000 -178.016006)(-4.399590 20.302299 -177.716003)(-3.695000 36.500000 -178.016006)(-3.833440 20.392000 -177.470993)(-4.399590 20.302299 -177.716003)(-3.695000 36.500000 -178.016006)(0.513453 20.919399 -177.128998)(0.004530 21.000000 -177.173996)(-3.695000 36.500000 -178.016006)(0.004530 21.000000 -177.173996)(-3.023690 20.520300 -177.407990)(-3.695000 36.500000 -178.016006)(-3.023690 20.520300 -177.407990)(-3.833440 20.392000 -177.470993)(1.249000 36.500000 -177.606995)(6.058000 36.500000 -178.823990)(5.745170 20.090601 -178.161987)(6.058000 36.500000 -178.823990)(6.289830 20.004301 -178.296997)(5.745170 20.090601 -178.161987)(6.058000 36.500000 -178.823990)(10.211000 36.500000 -181.537994)(10.649000 18.000000 -181.063004)(13.825999 18.000000 -185.145004)(10.649000 18.000000 -181.063004)(10.211000 36.500000 -181.537994)(1.249000 36.500000 -177.606995)(22.218000 36.500000 -231.000000)(6.058000 36.500000 -178.823990)(-8.238000 36.500000 -180.008987)(22.218000 36.500000 -231.000000)(-3.695000 36.500000 -178.016006)(-3.695000 36.500000 -178.016006)(1.249000 36.500000 -177.606995)(0.513453 20.919399 -177.128998)(1.249000 36.500000 -177.606995)(1.293990 20.795700 -177.059998)(0.513453 20.919399 -177.128998)(1.249000 36.500000 -177.606995)(5.745170 20.090601 -178.161987)(3.404220 20.461399 -177.582993)(1.249000 36.500000 -177.606995)(3.404220 20.461399 -177.582993)(1.293990 20.795700 -177.059998)(-3.695000 36.500000 -178.016006)(22.218000 36.500000 -231.000000)(1.249000 36.500000 -177.606995)))
           )
           )))
    (send glvertices :calc-normals)
    (send self :assoc glvertices)
    glvertices)
  (:qhull-faceset ()
   ;; qhull 3465 -> 28 faces
   (instance faceset :init :faces (list
    (instance face :init :vertices (list (float-vector -22.495000 -45.499999 -211.995006) (float-vector -22.496000 -45.499999 -149.994999) (float-vector 0.005002 -63.000001 -211.383998)))
    (instance face :init :vertices (list (float-vector -30.391000 -19.290000 -139.994994) (float-vector -8.948000 -34.869000 -139.994994) (float-vector -22.496000 -45.499999 -149.994999)))
    (instance face :init :vertices (list (float-vector -22.496000 -45.499999 -149.994999) (float-vector -22.495000 -45.499999 -211.995006) (float-vector -35.994999 0.000007 -139.994994) (float-vector -30.391000 -19.290000 -139.994994)))
    (instance face :init :vertices (list (float-vector -22.496000 -45.499999 -149.994999) (float-vector 22.505000 -45.499999 -149.994999) (float-vector 0.005002 -63.000001 -211.383998)))
    (instance face :init :vertices (list (float-vector 22.505000 -45.499999 -211.995006) (float-vector 22.505000 -45.499999 -149.994999) (float-vector 35.932999 -2.260990 -139.994994)))
    (instance face :init :vertices (list (float-vector 22.505000 -45.499999 -149.994999) (float-vector 22.505000 -45.499999 -211.995006) (float-vector 0.005002 -63.000001 -211.383998)))
    (instance face :init :vertices (list (float-vector -22.565000 36.499999 -234.994993) (float-vector -32.568999 15.328000 -139.994994) (float-vector -35.994999 0.000007 -139.994994)))
    (instance face :init :vertices (list (float-vector -21.156000 29.124999 -139.994994) (float-vector -32.568999 15.328000 -139.994994) (float-vector -22.565000 36.499999 -234.994993)))
    (instance face :init :vertices (list (float-vector -13.248000 33.472002 -139.994994) (float-vector -21.156000 29.124999 -139.994994) (float-vector -22.565000 36.499999 -234.994993)))
    (instance face :init :vertices (list (float-vector 27.743001 22.947000 -139.994994) (float-vector 13.257000 33.472002 -139.994994) (float-vector 22.364000 36.499999 -238.067999)))
    (instance face :init :vertices (list (float-vector 22.505000 -45.499999 -149.994999) (float-vector 24.648000 -26.242999 -139.994994) (float-vector 35.932999 -2.260990 -139.994994)))
    (instance face :init :vertices (list (float-vector 13.393000 17.999999 -253.962010) (float-vector 17.511999 36.499999 -249.238998) (float-vector 1.545000 36.499999 -257.512003)))
    (instance face :init :vertices (list (float-vector -15.401000 36.499999 -251.489997) (float-vector 1.545000 36.499999 -257.512003) (float-vector 17.511999 36.499999 -249.238998) (float-vector 22.364000 36.499999 -238.067999) (float-vector 13.257000 33.472002 -139.994994) (float-vector -13.248000 33.472002 -139.994994) (float-vector -22.565000 36.499999 -234.994993)))
    (instance face :init :vertices (list (float-vector 17.511999 36.499999 -249.238998) (float-vector 13.393000 17.999999 -253.962010) (float-vector 12.348000 -23.000000 -251.984000) (float-vector 19.975999 -23.000000 -241.484001) (float-vector 22.364000 36.499999 -238.067999)))
    (instance face :init :vertices (list (float-vector 6.493000 -23.000000 -254.967004) (float-vector 0.005002 -63.000001 -211.383998) (float-vector 22.505000 -45.499999 -211.995006) (float-vector 19.975999 -23.000000 -241.484001) (float-vector 12.348000 -23.000000 -251.984000)))
    (instance face :init :vertices (list (float-vector 22.505000 -45.499999 -211.995006) (float-vector 35.932999 -2.260990 -139.994994) (float-vector 35.367001 6.746010 -139.994994) (float-vector 22.364000 36.499999 -238.067999) (float-vector 19.975999 -23.000000 -241.484001)))
    (instance face :init :vertices (list (float-vector 27.743001 22.947000 -139.994994) (float-vector 22.364000 36.499999 -238.067999) (float-vector 35.367001 6.746010 -139.994994)))
    (instance face :init :vertices (list (float-vector 8.957000 -34.869000 -139.994994) (float-vector 24.648000 -26.242999 -139.994994) (float-vector 22.505000 -45.499999 -149.994999)))
    (instance face :init :vertices (list (float-vector -13.248000 33.472002 -139.994994) (float-vector 13.257000 33.472002 -139.994994) (float-vector 27.743001 22.947000 -139.994994) (float-vector 35.367001 6.746010 -139.994994) (float-vector 35.932999 -2.260990 -139.994994) (float-vector 24.648000 -26.242999 -139.994994) (float-vector 8.957000 -34.869000 -139.994994) (float-vector -8.948000 -34.869000 -139.994994) (float-vector -30.391000 -19.290000 -139.994994) (float-vector -35.994999 0.000007 -139.994994) (float-vector -32.568999 15.328000 -139.994994) (float-vector -21.156000 29.124999 -139.994994)))
    (instance face :init :vertices (list (float-vector 22.505000 -45.499999 -149.994999) (float-vector -22.496000 -45.499999 -149.994999) (float-vector -8.948000 -34.869000 -139.994994) (float-vector 8.957000 -34.869000 -139.994994)))
    (instance face :init :vertices (list (float-vector 0.005002 -63.000001 -211.383998) (float-vector -12.339000 -23.000000 -251.984000) (float-vector -16.984999 -23.000000 -247.337997) (float-vector -22.495000 -45.499999 -211.995006)))
    (instance face :init :vertices (list (float-vector -15.401000 36.499999 -251.489997) (float-vector -4.719000 17.999999 -257.725000) (float-vector 1.545000 36.499999 -257.512003)))
    (instance face :init :vertices (list (float-vector -19.832000 17.999999 -247.058004) (float-vector -15.401000 36.499999 -251.489997) (float-vector -22.565000 36.499999 -234.994993)))
    (instance face :init :vertices (list (float-vector -16.984999 -23.000000 -247.337997) (float-vector -19.832000 17.999999 -247.058004) (float-vector -22.565000 36.499999 -234.994993) (float-vector -35.994999 0.000007 -139.994994) (float-vector -22.495000 -45.499999 -211.995006)))
    (instance face :init :vertices (list (float-vector -15.401000 36.499999 -251.489997) (float-vector -19.832000 17.999999 -247.058004) (float-vector -16.984999 -23.000000 -247.337997) (float-vector -12.339000 -23.000000 -251.984000) (float-vector -4.719000 17.999999 -257.725000)))
    (instance face :init :vertices (list (float-vector 0.003998 -23.000000 -255.995005) (float-vector -4.719000 17.999999 -257.725000) (float-vector -12.339000 -23.000000 -251.984000)))
    (instance face :init :vertices (list (float-vector 1.545000 36.499999 -257.512003) (float-vector -4.719000 17.999999 -257.725000) (float-vector 0.003998 -23.000000 -255.995005) (float-vector 6.493000 -23.000000 -254.967004) (float-vector 12.348000 -23.000000 -251.984000) (float-vector 13.393000 17.999999 -253.962010)))
    (instance face :init :vertices (list (float-vector 6.493000 -23.000000 -254.967004) (float-vector 0.003998 -23.000000 -255.995005) (float-vector -12.339000 -23.000000 -251.984000) (float-vector 0.005002 -63.000001 -211.383998)))
    ))
   )
  )

(defclass HiroNX_g1_8_geom0
  :super collada-body
  :slots ())
(defmethod HiroNX_g1_8_geom0
  (:init (&key (name))
         (replace-object self (send self :qhull-faceset))
         (if name (send self :name name))
         (send self :def-gl-vertices)
         self)
  (:def-gl-vertices ()
    (setq glvertices
       (instance gl::glvertices :init
          (list
          (list
           (list :type :triangles)
           (list :material (list
             (list :color (float-vector 0.1 0.1 0.1))
             (list :ambient (float-vector 0.200000 0.200000 0.200000 1.000000))
             (list :diffuse (float-vector 0.900000 0.900000 0.900000 1.000000))
           ))
           (list :indices #i( 1 0 2 4 3 5 7 6 8 10 9 11 13 12 14 16 15 17 19 18 20 22 21 23 25 24 26 28 27 29 31 30 32 34 33 35 37 36 38 40 39 41 43 42 44 46 45 47 49 48 50 52 51 53 55 54 56 58 57 59 61 60 62 64 63 65 67 66 68 70 69 71 73 72 74 76 75 77 79 78 80 82 81 83 85 84 86 88 87 89 91 90 92 94 93 95 97 96 98 100 99 101 103 102 104 106 105 107 109 108 110 112 111 113 115 114 116 118 117 119 121 120 122 124 123 125 127 126 128 130 129 131 133 132 134 136 135 137 139 138 140 142 141 143 145 144 146 148 147 149 151 150 152 154 153 155 157 156 158 160 159 161 163 162 164 166 165 167 169 168 170 172 171 173 175 174 176 178 177 179 181 180 182 184 183 185 187 186 188 190 189 191 193 192 194 196 195 197 199 198 200 202 201 203 205 204 206 208 207 209 211 210 212 214 213 215 217 216 218 220 219 221 223 222 224 226 225 227 229 228 230 232 231 233 235 234 236 238 237 239 241 240 242 244 243 245 247 246 248 250 249 251 253 252 254 256 255 257 259 258 260 262 261 263 265 264 266 268 267 269 271 270 272 274 273 275 277 276 278 280 279 281 283 282 284 286 285 287 289 288 290 292 291 293 295 294 296 298 297 299 301 300 302 304 303 305 307 306 308 310 309 311 313 312 314 316 315 317 319 318 320 322 321 323 325 324 326 328 327 329 331 330 332 334 333 335 337 336 338 340 339 341 343 342 344 346 345 347 349 348 350 352 351 353 355 354 356 358 357 359 361 360 362 364 363 365 367 366 368 370 369 371 373 372 374 376 375 377 379 378 380 382 381 383 385 384 386 388 387 389 391 390 392 394 393 395 397 396 398 400 399 401 403 402 404 406 405 407 409 408 410 412 411 413 415 414 416 418 417 419 421 420 422 424 423 425 427 426 428 430 429 431 433 432 434 436 435 437 439 438 440 442 441 443 445 444 446 448 447 449 451 450 452 454 453 455 457 456 458 460 459 461 463 462 464 466 465 467 469 468 470 472 471 473 475 474 476 478 477 479 481 480 482 484 483 485 487 486 488 490 489 491 493 492 494 496 495 497 499 498 500 502 501 503 505 504 506 508 507 509 511 510 512 514 513 515 517 516 518 520 519 521 523 522 524 526 525 527 529 528 530 532 531 533 535 534 536 538 537 539 541 540 542 544 543 545 547 546 548 550 549 551 553 552 554 556 555 557 559 558 560 562 561 563 565 564 566 568 567 569 571 570 572 574 573 575 577 576 578 580 579 581 583 582 584 586 585 587 589 588 590 592 591 593 595 594 596 598 597 599 601 600 602 604 603 605 607 606 608 610 609 611 613 612 614 616 615 617 619 618 620 622 621 623 625 624 626 628 627 629 631 630 632 634 633 635 637 636 638 640 639 641 643 642 644 646 645 647 649 648 650 652 651 653 655 654 656 658 657 659 661 660 662 664 663 665 667 666 668 670 669 671 673 672 674 676 675 677 679 678 680 682 681 683 685 684 686 688 687 689 691 690 692 694 693 695 697 696 698 700 699 701 703 702 704 706 705 707 709 708 710 712 711 713 715 714 716 718 717 719 721 720 722 724 723 725 727 726 728 730 729 731 733 732 734 736 735 737 739 738 740 742 741 743 745 744 746 748 747 749 751 750 752 754 753 755 757 756 758 760 759 761 763 762 764 766 765 767 769 768 770 772 771 773 775 774 776 778 777 779 781 780 782 784 783 785 787 786 788 790 789 791 793 792 794 796 795 797 799 798 800 802 801 803 805 804 806 808 807 809 811 810 812 814 813 815 817 816 818 820 819 821 823 822 824 826 825 827 829 828 830 832 831 833 835 834 836 838 837 839 841 840 842 844 843 845 847 846 848 850 849 851 853 852 854 856 855 857 859 858 860 862 861 863 865 864 866 868 867 869 871 870 872 874 873 875 877 876 878 880 879 881 883 882 884 886 885 887 889 888 890 892 891 893 895 894 896 898 897 899 901 900 902 904 903 905 907 906 908 910 909 911 913 912 914 916 915 917 919 918 920 922 921 923 925 924 926 928 927 929 931 930 932 934 933 935 937 936 938 940 939 941 943 942 944 946 945 947 949 948 950 952 951 953 955 954 956 958 957 959 961 960 962 964 963 965 967 966 968 970 969 971 973 972 974 976 975 977 979 978 980 982 981 983 985 984 986 988 987 989 991 990 992 994 993 995 997 996 998 1000 999 1001 1003 1002 1004 1006 1005 1007 1009 1008 1010 1012 1011 1013 1015 1014 1016 1018 1017 1019 1021 1020 1022 1024 1023 1025 1027 1026 1028 1030 1029 1031 1033 1032 1034 1036 1035 1037 1039 1038 1040 1042 1041 1043 1045 1044 1046 1048 1047 1049 1051 1050 1052 1054 1053 1055 1057 1056 1058 1060 1059 1061 1063 1062 1064 1066 1065 1067 1069 1068 1070 1072 1071 1073 1075 1074 1076 1078 1077 1079 1081 1080 1082 1084 1083 1085 1087 1086 1088 1090 1089 1091 1093 1092 1094 1096 1095 1097 1099 1098 1100 1102 1101 1103 1105 1104 1106 1108 1107 1109 1111 1110 1112 1114 1113 1115 1117 1116 1118 1120 1119 1121 1123 1122 1124 1126 1125 1127 1129 1128 1130 1132 1131 1133 1135 1134 1136 1138 1137 1139 1141 1140 1142 1144 1143 1145 1147 1146 1148 1150 1149 1151 1153 1152 1154 1156 1155 1157 1159 1158 1160 1162 1161 1163 1165 1164 1166 1168 1167 1169 1171 1170 1172 1174 1173 1175 1177 1176 1178 1180 1179 1181 1183 1182 1184 1186 1185 1187 1189 1188 1190 1192 1191 1193 1195 1194 1196 1198 1197 1199 1201 1200 1202 1204 1203 1205 1207 1206 1208 1210 1209 1211 1213 1212 1214 1216 1215 1217 1219 1218 1220 1222 1221 1223 1225 1224 1226 1228 1227 1229 1231 1230 1232 1234 1233 1235 1237 1236 1238 1240 1239 1241 1243 1242 1244 1246 1245 1247 1249 1248 1250 1252 1251 1253 1255 1254 1256 1258 1257 1259 1261 1260 1262 1264 1263 1265 1267 1266 1268 1270 1269 1271 1273 1272 1274 1276 1275 1277 1279 1278 1280 1282 1281 1283 1285 1284 1286 1288 1287 1289 1291 1290 1292 1294 1293 1295 1297 1296 1298 1300 1299 1301 1303 1302 1304 1306 1305 1307 1309 1308 1310 1312 1311 1313 1315 1314 1316 1318 1317 1319 1321 1320 1322 1324 1323 1325 1327 1326 1328 1330 1329 1331 1333 1332 1334 1336 1335 1337 1339 1338 1340 1342 1341 1343 1345 1344 1346 1348 1347 1349 1351 1350 1352 1354 1353 1355 1357 1356 1358 1360 1359 1361 1363 1362 1364 1366 1365 1367 1369 1368 1370 1372 1371 1373 1375 1374 1376 1378 1377 1379 1381 1380 1382 1384 1383 1385 1387 1386 1388 1390 1389 1391 1393 1392 1394 1396 1395 1397 1399 1398 1400 1402 1401 1403 1405 1404 1406 1408 1407 1409 1411 1410 1412 1414 1413 1415 1417 1416 1418 1420 1419 1421 1423 1422 1424 1426 1425 1427 1429 1428 1430 1432 1431 1433 1435 1434 1436 1438 1437 1439 1441 1440 1442 1444 1443 1445 1447 1446 1448 1450 1449 1451 1453 1452 1454 1456 1455 1457 1459 1458 1460 1462 1461 1463 1465 1464 1466 1468 1467 1469 1471 1470 1472 1474 1473 1475 1477 1476 1478 1480 1479 1481 1483 1482 1484 1486 1485 1487 1489 1488 1490 1492 1491 1493 1495 1494 1496 1498 1497 1499 1501 1500 1502 1504 1503 1505 1507 1506 1508 1510 1509 1511 1513 1512 1514 1516 1515 1517 1519 1518 1520 1522 1521 1523 1525 1524 1526 1528 1527 1529 1531 1530 1532 1534 1533 1535 1537 1536 1538 1540 1539 1541 1543 1542 1544 1546 1545 1547 1549 1548 1550 1552 1551 1553 1555 1554 1556 1558 1557 1559 1561 1560 1562 1564 1563 1565 1567 1566 1568 1570 1569 1571 1573 1572 1574 1576 1575 1577 1579 1578 1580 1582 1581 1583 1585 1584 1586 1588 1587 1589 1591 1590 1592 1594 1593 1595 1597 1596 1598 1600 1599 1601 1603 1602 1604 1606 1605 1607 1609 1608 1610 1612 1611 1613 1615 1614 1616 1618 1617 1619 1621 1620 1622 1624 1623 1625 1627 1626 1628 1630 1629 1631 1633 1632 1634 1636 1635 1637 1639 1638 1640 1642 1641 1643 1645 1644 1646 1648 1647 1649 1651 1650 1652 1654 1653 1655 1657 1656 1658 1660 1659 1661 1663 1662 1664 1666 1665 1667 1669 1668 1670 1672 1671 1673 1675 1674 1676 1678 1677 1679 1681 1680 1682 1684 1683 1685 1687 1686 1688 1690 1689 1691 1693 1692 1694 1696 1695 1697 1699 1698 1700 1702 1701 1703 1705 1704 1706 1708 1707 1709 1711 1710 1712 1714 1713 1715 1717 1716 1718 1720 1719 1721 1723 1722 1724 1726 1725 1727 1729 1728 1730 1732 1731 1733 1735 1734 1736 1738 1737 1739 1741 1740 1742 1744 1743 1745 1747 1746 1748 1750 1749 1751 1753 1752 1754 1756 1755 1757 1759 1758 1760 1762 1761 1763 1765 1764 1766 1768 1767 1769 1771 1770 1772 1774 1773 1775 1777 1776 1778 1780 1779 1781 1783 1782 1784 1786 1785 1787 1789 1788 1790 1792 1791 1793 1795 1794 1796 1798 1797 1799 1801 1800 1802 1804 1803 1805 1807 1806 1808 1810 1809 1811 1813 1812 1814 1816 1815 1817 1819 1818 1820 1822 1821 1823 1825 1824 1826 1828 1827 1829 1831 1830 1832 1834 1833 1835 1837 1836 1838 1840 1839 1841 1843 1842 1844 1846 1845 1847 1849 1848 1850 1852 1851 1853 1855 1854 1856 1858 1857 1859 1861 1860 1862 1864 1863 1865 1867 1866 1868 1870 1869 1871 1873 1872 1874 1876 1875 1877 1879 1878 1880 1882 1881 1883 1885 1884 1886 1888 1887 1889 1891 1890 1892 1894 1893 1895 1897 1896 1898 1900 1899 1901 1903 1902 1904 1906 1905 1907 1909 1908 1910 1912 1911 1913 1915 1914 1916 1918 1917 1919 1921 1920 1922 1924 1923 1925 1927 1926 1928 1930 1929 1931 1933 1932 1934 1936 1935 1937 1939 1938 1940 1942 1941 1943 1945 1944 1946 1948 1947 1949 1951 1950 1952 1954 1953 1955 1957 1956 1958 1960 1959 1961 1963 1962 1964 1966 1965 1967 1969 1968 1970 1972 1971 1973 1975 1974 1976 1978 1977 1979 1981 1980 1982 1984 1983 1985 1987 1986 1988 1990 1989 1991 1993 1992 1994 1996 1995 1997 1999 1998 2000 2002 2001 2003 2005 2004 2006 2008 2007 2009 2011 2010 2012 2014 2013 2015 2017 2016 2018 2020 2019 2021 2023 2022 2024 2026 2025 2027 2029 2028 2030 2032 2031 2033 2035 2034 2036 2038 2037 2039 2041 2040 2042 2044 2043 2045 2047 2046 2048 2050 2049 2051 2053 2052 2054 2056 2055 2057 2059 2058 2060 2062 2061 2063 2065 2064 2066 2068 2067 2069 2071 2070 2072 2074 2073 2075 2077 2076 2078 2080 2079 2081 2083 2082 2084 2086 2085 2087 2089 2088 2090 2092 2091 2093 2095 2094 2096 2098 2097 2099 2101 2100 2102 2104 2103 2105 2107 2106 2108 2110 2109 2111 2113 2112 2114 2116 2115 2117 2119 2118 2120 2122 2121 2123 2125 2124 2126 2128 2127 2129 2131 2130 2132 2134 2133 2135 2137 2136 2138 2140 2139 2141 2143 2142 2144 2146 2145 2147 2149 2148 2150 2152 2151 2153 2155 2154 2156 2158 2157 2159 2161 2160 2162 2164 2163 2165 2167 2166 2168 2170 2169 2171 2173 2172 2174 2176 2175 2177 2179 2178 2180 2182 2181 2183 2185 2184 2186 2188 2187 2189 2191 2190 2192 2194 2193 2195 2197 2196 2198 2200 2199 2201 2203 2202 2204 2206 2205 2207 2209 2208 2210 2212 2211 2213 2215 2214 2216 2218 2217 2219 2221 2220 2222 2224 2223 2225 2227 2226 2228 2230 2229 2231 2233 2232 2234 2236 2235 2237 2239 2238 2240 2242 2241 2243 2245 2244 2246 2248 2247 2249 2251 2250 2252 2254 2253 2255 2257 2256 2258 2260 2259 2261 2263 2262 2264 2266 2265 2267 2269 2268 2270 2272 2271 2273 2275 2274 2276 2278 2277 2279 2281 2280 2282 2284 2283 2285 2287 2286 2288 2290 2289 2291 2293 2292 2294 2296 2295 2297 2299 2298 2300 2302 2301 2303 2305 2304 2306 2308 2307 2309 2311 2310 2312 2314 2313 2315 2317 2316 2318 2320 2319 2321 2323 2322 2324 2326 2325 2327 2329 2328 2330 2332 2331 2333 2335 2334 2336 2338 2337 2339 2341 2340 2342 2344 2343 2345 2347 2346 2348 2350 2349 2351 2353 2352 2354 2356 2355 2357 2359 2358 2360 2362 2361 2363 2365 2364 2366 2368 2367 2369 2371 2370 2372 2374 2373 2375 2377 2376 2378 2380 2379 2381 2383 2382 2384 2386 2385 2387 2389 2388 2390 2392 2391 2393 2395 2394 2396 2398 2397 2399 2401 2400 2402 2404 2403 2405 2407 2406 2408 2410 2409 2411 2413 2412 2414 2416 2415 2417 2419 2418 2420 2422 2421 2423 2425 2424 2426 2428 2427 2429 2431 2430 2432 2434 2433 2435 2437 2436 2438 2440 2439 2441 2443 2442 2444 2446 2445 2447 2449 2448 2450 2452 2451 2453 2455 2454 2456 2458 2457 2459 2461 2460 2462 2464 2463 2465 2467 2466 2468 2470 2469 2471 2473 2472 2474 2476 2475 2477 2479 2478 2480 2482 2481 2483 2485 2484 2486 2488 2487 2489 2491 2490 2492 2494 2493 2495 2497 2496 2498 2500 2499 2501 2503 2502 2504 2506 2505 2507 2509 2508 2510 2512 2511 2513 2515 2514 2516 2518 2517 2519 2521 2520 2522 2524 2523 2525 2527 2526 2528 2530 2529 2531 2533 2532 2534 2536 2535 2537 2539 2538 2540 2542 2541 2543 2545 2544 2546 2548 2547 2549 2551 2550 2552 2554 2553 2555 2557 2556 2558 2560 2559 2561 2563 2562 2564 2566 2565 2567 2569 2568 2570 2572 2571 2573 2575 2574 2576 2578 2577 2579 2581 2580 2582 2584 2583 2585 2587 2586 2588 2590 2589 2591 2593 2592 2594 2596 2595 2597 2599 2598 2600 2602 2601 2603 2605 2604 2606 2608 2607 2609 2611 2610 2612 2614 2613 2615 2617 2616 2618 2620 2619 2621 2623 2622 2624 2626 2625 2627 2629 2628 2630 2632 2631 2633 2635 2634 2636 2638 2637 2639 2641 2640 2642 2644 2643 2645 2647 2646 2648 2650 2649 2651 2653 2652 2654 2656 2655 2657 2659 2658 2660 2662 2661 2663 2665 2664 2666 2668 2667 2669 2671 2670 2672 2674 2673 2675 2677 2676 2678 2680 2679 2681 2683 2682 2684 2686 2685 2687 2689 2688 2690 2692 2691 2693 2695 2694 2696 2698 2697 2699 2701 2700 2702 2704 2703 2705 2707 2706 2708 2710 2709 2711 2713 2712 2714 2716 2715 2717 2719 2718 2720 2722 2721 2723 2725 2724 2726 2728 2727 2729 2731 2730 2732 2734 2733 2735 2737 2736 2738 2740 2739 2741 2743 2742 2744 2746 2745 2747 2749 2748 2750 2752 2751 2753 2755 2754 2756 2758 2757 2759 2761 2760 2762 2764 2763 2765 2767 2766 2768 2770 2769 2771 2773 2772 2774 2776 2775 2777 2779 2778 2780 2782 2781 2783 2785 2784 2786 2788 2787 2789 2791 2790 2792 2794 2793 2795 2797 2796 2798 2800 2799 2801 2803 2802 2804 2806 2805 2807 2809 2808 2810 2812 2811 2813 2815 2814 2816 2818 2817 2819 2821 2820 2822 2824 2823 2825 2827 2826 2828 2830 2829 2831 2833 2832 2834 2836 2835 2837 2839 2838 2840 2842 2841 2843 2845 2844 2846 2848 2847 2849 2851 2850 2852 2854 2853 2855 2857 2856 2858 2860 2859 2861 2863 2862 2864 2866 2865 2867 2869 2868 2870 2872 2871 2873 2875 2874 2876 2878 2877 2879 2881 2880 2882 2884 2883 2885 2887 2886 2888 2890 2889 2891 2893 2892 2894 2896 2895 2897 2899 2898 2900 2902 2901 2903 2905 2904 2906 2908 2907 2909 2911 2910 2912 2914 2913 2915 2917 2916 2918 2920 2919 2921 2923 2922 2924 2926 2925 2927 2929 2928 2930 2932 2931 2933 2935 2934 2936 2938 2937 2939 2941 2940 2942 2944 2943 2945 2947 2946 2948 2950 2949 2951 2953 2952 2954 2956 2955 2957 2959 2958 2960 2962 2961 2963 2965 2964 2966 2968 2967 2969 2971 2970 2972 2974 2973 2975 2977 2976 2978 2980 2979 2981 2983 2982 2984 2986 2985 2987 2989 2988 2990 2992 2991 2993 2995 2994 2996 2998 2997 2999 3001 3000 3002 3004 3003 3005 3007 3006 3008 3010 3009 3011 3013 3012 3014 3016 3015 3017 3019 3018 3020 3022 3021 3023 3025 3024 3026 3028 3027 3029 3031 3030 3032 3034 3033 3035 3037 3036 3038 3040 3039 3041 3043 3042 3044 3046 3045 3047 3049 3048 3050 3052 3051 3053 3055 3054 3056 3058 3057 3059 3061 3060 3062 3064 3063 3065 3067 3066 3068 3070 3069 3071 3073 3072 3074 3076 3075 3077 3079 3078 3080 3082 3081 3083 3085 3084 3086 3088 3087 3089 3091 3090 3092 3094 3093 3095 3097 3096 3098 3100 3099 3101))
           (list :vertices #2f((14.999001 -22.287600 -96.738998)(14.999001 -21.875999 -97.882004)(14.999001 -24.129000 -100.962997)(14.999001 -22.294001 -104.332001)(14.999001 -24.129000 -100.962997)(14.999001 -22.429800 -100.534996)(14.999001 -21.875999 -97.882004)(14.999001 -21.532000 -98.779999)(14.999001 -22.429800 -100.534996)(14.999001 -21.532000 -98.779999)(14.999001 -20.730600 -100.167999)(14.999001 -22.429800 -100.534996)(14.999001 -20.730600 -100.167999)(14.999001 -22.294001 -104.332001)(14.999001 -22.429800 -100.534996)(14.999001 -24.129000 -100.962997)(14.999001 -21.875999 -97.882004)(14.999001 -22.429800 -100.534996)(14.999001 -45.000000 -55.004997)(14.999001 -36.880199 -54.009201)(14.999001 -36.005001 -58.648003)(14.999001 -36.005001 -58.648003)(14.999001 -22.287600 -96.738998)(14.999001 -33.643803 -77.486099)(14.999001 -22.287600 -96.738998)(14.999001 -24.129000 -100.962997)(14.999001 -33.643803 -77.486099)(14.999001 -24.129000 -100.962997)(14.999001 -45.000000 -55.004997)(14.999001 -33.643803 -77.486099)(14.999001 -45.000000 -55.004997)(14.999001 -36.005001 -58.648003)(14.999001 -33.643803 -77.486099)(14.999001 -36.880199 -54.009201)(14.999001 -45.000000 -55.004997)(14.999001 -40.684902 -52.355000)(14.999001 -45.000000 -55.004997)(14.999001 -45.000000 -49.704998)(14.999001 -40.684902 -52.355000)(14.999001 -45.000000 -49.704998)(14.999001 -36.369801 -49.704998)(14.999001 -40.684902 -52.355000)(14.999001 -36.369801 -49.704998)(14.999001 -36.930000 -53.745003)(14.999001 -40.684902 -52.355000)(14.999001 -36.930000 -53.745003)(14.999001 -36.880199 -54.009201)(14.999001 -40.684902 -52.355000)(14.999001 -45.000000 -49.704998)(15.590500 -33.860298 -43.995201)(15.115200 -36.200001 -48.583298)(14.999001 -45.000000 -49.704998)(15.115200 -36.200001 -48.583298)(15.112301 -36.214199 -48.611202)(14.999001 -45.000000 -49.704998)(15.112301 -36.214199 -48.611202)(14.999001 -36.369801 -49.704998)(14.999001 -45.000000 -49.704998)(15.597900 -33.786697 -43.924000)(15.590500 -33.860298 -43.995201)(-15.000999 -22.294001 -104.332001)(14.999001 -24.129000 -100.962997)(14.999001 -22.294001 -104.332001)(14.999001 -22.294001 -104.332001)(14.999001 -20.730600 -100.167999)(14.999001 -18.365999 -104.264000)(14.999001 -17.354000 -110.031998)(14.999001 -22.294001 -104.332001)(14.999001 -19.331499 -105.099998)(14.999001 -18.365999 -104.264000)(14.999001 -16.368999 -106.215996)(14.999001 -19.331499 -105.099998)(14.999001 -16.368999 -106.215996)(14.999001 -17.354000 -110.031998)(14.999001 -19.331499 -105.099998)(14.999001 -22.294001 -104.332001)(14.999001 -18.365999 -104.264000)(14.999001 -19.331499 -105.099998)(14.999001 -45.000000 -55.004997)(14.999001 -24.129000 -100.962997)(-15.000999 -45.000000 -55.004997)(-15.000999 -45.000000 -55.004997)(14.999001 -45.000000 -49.704998)(14.999001 -45.000000 -55.004997)(15.602201 -33.743797 -43.882500)(15.597900 -33.786697 -43.924000)(14.999001 -45.000000 -49.704998)(15.963400 -30.140800 -40.395699)(15.602201 -33.743797 -43.882500)(14.999001 -45.000000 -49.704998)(17.307001 -23.000000 -27.425001)(15.974899 -29.903400 -40.284000)(15.963400 -30.140800 -40.395699)(17.307001 -23.000000 -27.425001)(16.191299 -25.459700 -38.195000)(15.974899 -29.903400 -40.284000)(17.307001 -23.000000 -27.425001)(16.195000 -25.140099 -38.159798)(16.191299 -25.459700 -38.195000)(17.307001 -23.000000 -27.425001)(16.215200 -23.370899 -37.964401)(16.195000 -25.140099 -38.159798)(17.307001 -23.000000 -27.425001)(15.963400 -30.140800 -40.395699)(14.999001 -45.000000 -49.704998)(-15.000999 -17.354000 -110.031998)(-15.000999 -22.294001 -104.332001)(14.999001 -22.294001 -104.332001)(-15.000999 -22.294001 -104.332001)(-15.000999 -24.129000 -100.962997)(14.999001 -24.129000 -100.962997)(-15.000999 -17.354000 -110.031998)(14.999001 -22.294001 -104.332001)(14.999001 -17.354000 -110.031998)(14.999001 -17.354000 -110.031998)(14.999001 -16.368999 -106.215996)(14.999001 -13.837000 -108.690002)(14.999001 -11.009000 -114.110001)(14.999001 -17.354000 -110.031998)(14.999001 -13.924400 -110.163002)(14.999001 -13.837000 -108.690002)(14.999001 -10.494699 -110.518997)(14.999001 -13.924400 -110.163002)(14.999001 -10.494699 -110.518997)(14.999001 -11.009000 -114.110001)(14.999001 -13.924400 -110.163002)(14.999001 -17.354000 -110.031998)(14.999001 -13.837000 -108.690002)(14.999001 -13.924400 -110.163002)(-15.000999 -24.129000 -100.962997)(-15.000999 -45.000000 -55.004997)(14.999001 -24.129000 -100.962997)(-15.000999 -45.000000 -55.004997)(-15.000999 -45.000000 -49.704998)(14.999001 -45.000000 -49.704998)(14.999001 -1.784000 -49.704998)(15.172700 -5.037000 -48.027901)(15.574500 -8.332170 -44.149799)(17.307001 -23.000000 -27.425001)(16.250099 -20.320400 -37.627602)(16.215200 -23.370899 -37.964401)(17.307001 -23.000000 -27.425001)(16.242599 -19.994200 -37.700500)(16.250099 -20.320400 -37.627602)(17.307001 -23.000000 -27.425001)(16.133299 -15.272901 -38.754700)(16.242599 -19.994200 -37.700500)(17.307001 -23.000000 -27.425001)(16.117100 -15.016700 -38.911598)(16.133299 -15.272901 -38.754700)(17.307001 -23.000000 -27.425001)(15.853601 -10.860600 -41.455502)(16.117100 -15.016700 -38.911598)(17.307001 -23.000000 -27.425001)(14.999001 -1.784000 -49.704998)(15.676901 -9.172100 -43.161301)(17.307001 -23.000000 -27.425001)(15.676901 -9.172100 -43.161301)(15.845799 -10.786400 -41.530502)(17.307001 -23.000000 -27.425001)(15.845799 -10.786400 -41.530502)(15.853601 -10.860600 -41.455502)(15.676901 -9.172100 -43.161301)(14.999001 -1.784000 -49.704998)(15.574500 -8.332170 -44.149799)(18.998999 -45.000000 -11.095000)(17.307001 -23.000000 -27.425001)(14.999001 -45.000000 -49.704998)(-15.000999 -22.294001 -104.332001)(-15.000999 -18.177999 -100.248001)(-15.000999 -19.626999 -97.228699)(-15.000999 -15.711300 -103.667000)(-15.000999 -17.584999 -101.484001)(-15.000999 -19.002701 -103.629997)(-15.000999 -17.584999 -101.484001)(-15.000999 -18.177999 -100.248001)(-15.000999 -19.002701 -103.629997)(-15.000999 -22.294001 -104.332001)(-15.000999 -17.354000 -110.031998)(-15.000999 -19.002701 -103.629997)(-15.000999 -17.354000 -110.031998)(-15.000999 -15.711300 -103.667000)(-15.000999 -19.002701 -103.629997)(-15.000999 -18.177999 -100.248001)(-15.000999 -22.294001 -104.332001)(-15.000999 -19.002701 -103.629997)(-15.000999 -19.626999 -97.228699)(-15.000999 -19.957001 -96.541000)(-15.000999 -21.878000 -98.637497)(-15.000999 -19.957001 -96.541000)(-15.000999 -20.209999 -95.194000)(-15.000999 -21.878000 -98.637497)(-15.000999 -20.209999 -95.194000)(-15.000999 -20.632799 -92.942902)(-15.000999 -21.878000 -98.637497)(-15.000999 -20.632799 -92.942902)(-15.000999 -24.129000 -100.962997)(-15.000999 -21.878000 -98.637497)(-15.000999 -24.129000 -100.962997)(-15.000999 -22.294001 -104.332001)(-15.000999 -21.878000 -98.637497)(-15.000999 -22.294001 -104.332001)(-15.000999 -19.626999 -97.228699)(-15.000999 -21.878000 -98.637497)(14.999001 -17.354000 -110.031998)(-15.000999 -11.009000 -114.110001)(-15.000999 -17.354000 -110.031998)(14.999001 -17.354000 -110.031998)(14.999001 -11.009000 -114.110001)(-15.000999 -11.009000 -114.110001)(14.999001 -11.009000 -114.110001)(14.999001 -10.494699 -110.518997)(14.999001 -8.283000 -111.730003)(14.999001 -3.771990 -116.235001)(14.999001 -11.009000 -114.110001)(14.999001 -7.339160 -113.376999)(14.999001 -8.283000 -111.730003)(14.999001 -3.669320 -112.799004)(14.999001 -7.339160 -113.376999)(14.999001 -3.669320 -112.799004)(14.999001 -3.771990 -116.235001)(14.999001 -7.339160 -113.376999)(14.999001 -11.009000 -114.110001)(14.999001 -8.283000 -111.730003)(14.999001 -7.339160 -113.376999)(-15.000999 -45.000000 -55.004997)(-15.000999 -36.765999 -54.980999)(-15.000999 -36.831100 -54.003201)(-15.000999 -24.129000 -100.962997)(-15.000999 -28.996000 -86.021996)(-15.000999 -30.282000 -84.555000)(-15.000999 -15.639000 -75.989998)(-15.000999 -14.599000 -75.097504)(-15.000999 -14.743999 -73.421005)(-15.000999 -28.996000 -86.021996)(-15.000999 -24.129000 -100.962997)(-15.000999 -27.246000 -86.884995)(-15.000999 -18.629000 -77.981003)(-15.000999 -15.639000 -75.989998)(-15.000999 -14.743999 -73.421005)(-15.000999 -14.743999 -73.421005)(-15.000999 -14.599000 -75.097504)(-15.000999 -11.810000 -72.704102)(-15.000999 -27.246000 -86.884995)(-15.000999 -24.129000 -100.962997)(-15.000999 -20.632799 -92.942902)(-15.000999 -14.743999 -73.421005)(-15.000999 -11.810000 -72.704102)(-15.000999 -11.035600 -70.927597)(-15.000999 -25.299000 -87.013000)(-15.000999 -27.246000 -86.884995)(-15.000999 -20.969000 -91.153000)(-15.000999 -24.129000 -100.962997)(-15.000999 -30.282000 -84.555000)(-15.000999 -30.844000 -83.085999)(-15.000999 -45.000000 -55.004997)(-15.000999 -24.129000 -100.962997)(-15.000999 -30.844000 -83.085999)(-15.000999 -27.246000 -86.884995)(-15.000999 -20.632799 -92.942902)(-15.000999 -20.969000 -91.153000)(-15.000999 -25.299000 -87.013000)(-15.000999 -20.969000 -91.153000)(-15.000999 -20.864700 -89.786499)(-15.000999 -25.299000 -87.013000)(-15.000999 -20.864700 -89.786499)(-15.000999 -23.452002 -86.386002)(-15.000999 -21.985001 -85.098999)(-15.000999 -23.452002 -86.386002)(-15.000999 -20.552000 -85.686996)(-15.000999 -23.452002 -86.386002)(-15.000999 -20.864700 -89.786499)(-15.000999 -20.552000 -85.686996)(-15.000999 -21.141001 -83.420998)(-15.000999 -21.164000 -83.495995)(-15.000999 -20.097500 -84.393997)(-15.000999 -21.164000 -83.495995)(-15.000999 -21.985001 -85.098999)(-15.000999 -20.097500 -84.393997)(-15.000999 -21.985001 -85.098999)(-15.000999 -20.552000 -85.686996)(-15.000999 -20.097500 -84.393997)(-15.000999 -21.141001 -83.420998)(-15.000999 -20.097500 -84.393997)(-15.000999 -18.734001 -80.514999)(-15.000999 -18.734001 -80.514999)(-15.000999 -17.960300 -79.383698)(-15.000999 -18.629000 -77.981003)(-15.000999 -21.141001 -83.420998)(-15.000999 -18.734001 -80.514999)(-15.000999 -18.629000 -77.981003)(-15.000999 -45.000000 -55.004997)(-15.000999 -30.844000 -83.085999)(-15.000999 -36.765999 -54.980999)(-15.000999 -18.629000 -77.981003)(-15.000999 -17.960300 -79.383698)(-15.000999 -15.639000 -75.989998)(-15.000999 -45.000000 -49.704998)(-15.000999 -45.000000 -55.004997)(-15.000999 -40.905201 -52.355000)(-15.000999 -45.000000 -55.004997)(-15.000999 -36.831100 -54.003201)(-15.000999 -40.905201 -52.355000)(-15.000999 -36.831100 -54.003201)(-15.000999 -37.048000 -50.746002)(-15.000999 -40.905201 -52.355000)(-15.000999 -37.048000 -50.746002)(-15.000999 -36.810402 -49.704998)(-15.000999 -40.905201 -52.355000)(-15.000999 -36.810402 -49.704998)(-15.000999 -45.000000 -49.704998)(-15.000999 -40.905201 -52.355000)(-15.000999 -45.000000 -49.704998)(-19.000999 -45.000000 -11.095000)(14.999001 -45.000000 -49.704998)(15.172700 -5.037000 -48.027901)(14.999001 -3.440370 -49.908100)(14.999001 -3.612010 -49.704998)(14.999001 -3.440370 -49.908100)(14.999001 -2.406140 -51.132198)(15.172700 -5.037000 -48.027901)(14.999001 -2.406140 -51.132198)(15.574500 -8.332170 -44.149799)(15.172700 -5.037000 -48.027901)(14.999001 -2.406140 -51.132198)(15.574500 -8.332170 -44.149799)(14.999001 -2.346390 -51.202900)(14.999001 -2.211730 -51.362297)(15.574500 -8.332170 -44.149799)(14.999001 -2.346390 -51.202900)(14.999001 -2.048970 -51.554901)(15.574500 -8.332170 -44.149799)(14.999001 -2.211730 -51.362297)(14.999001 -1.846440 -51.794601)(15.574500 -8.332170 -44.149799)(14.999001 -2.048970 -51.554901)(14.999001 -1.583550 -52.105698)(15.574500 -8.332170 -44.149799)(14.999001 -1.846440 -51.794601)(14.999001 -1.222250 -52.533298)(15.574500 -8.332170 -44.149799)(14.999001 -1.583550 -52.105698)(14.999001 -0.685157 -53.169003)(15.574500 -8.332170 -44.149799)(14.999001 -1.222250 -52.533298)(14.999001 0.209368 -54.227600)(15.574500 -8.332170 -44.149799)(14.999001 -0.685157 -53.169003)(14.999001 -3.612010 -49.704998)(15.172700 -5.037000 -48.027901)(14.999001 -1.784000 -49.704998)(-15.000999 -1.784000 -49.704998)(14.999001 -1.784000 -49.704998)(17.307001 -23.000000 -27.425001)(-19.000999 -45.000000 -11.095000)(18.998999 -45.000000 -11.095000)(14.999001 -45.000000 -49.704998)(18.998999 -45.000000 -11.095000)(18.998999 -23.000000 -11.095000)(17.307001 -23.000000 -27.425001)(-15.000999 -17.584999 -101.484001)(-15.000999 -15.711300 -103.667000)(-20.000999 -15.799999 -103.564003)(-15.000999 -15.711300 -103.667000)(-15.000999 -14.907499 -104.603996)(-20.000999 -15.799999 -103.564003)(-15.000999 -14.907499 -104.603996)(-25.001001 -14.015000 -105.644005)(-20.000999 -15.799999 -103.564003)(-25.001001 -14.015000 -105.644005)(-25.001001 -17.584999 -101.484001)(-20.000999 -15.799999 -103.564003)(-25.001001 -17.584999 -101.484001)(-15.000999 -17.584999 -101.484001)(-20.000999 -15.799999 -103.564003)(-25.001001 -17.584999 -101.484001)(-15.000999 -18.177999 -100.248001)(-15.000999 -17.584999 -101.484001)(-15.000999 -19.957001 -96.541000)(-15.000999 -19.626999 -97.228699)(-20.000999 -18.771000 -99.012505)(-15.000999 -19.626999 -97.228699)(-15.000999 -18.177999 -100.248001)(-20.000999 -18.771000 -99.012505)(-15.000999 -18.177999 -100.248001)(-25.001001 -17.584999 -101.484001)(-20.000999 -18.771000 -99.012505)(-25.001001 -17.584999 -101.484001)(-25.001001 -19.957001 -96.541000)(-20.000999 -18.771000 -99.012505)(-25.001001 -19.957001 -96.541000)(-15.000999 -19.957001 -96.541000)(-20.000999 -18.771000 -99.012505)(-15.000999 -17.354000 -110.031998)(-15.000999 -14.015000 -105.644005)(-15.000999 -14.907499 -104.603996)(-15.000999 -17.354000 -110.031998)(-15.000999 -14.907499 -104.603996)(-15.000999 -15.711300 -103.667000)(-15.000999 -10.172700 -108.271004)(-15.000999 -10.621300 -107.964996)(-15.000999 -13.763300 -108.889000)(-15.000999 -10.621300 -107.964996)(-15.000999 -14.015000 -105.644005)(-15.000999 -13.763300 -108.889000)(-15.000999 -17.354000 -110.031998)(-15.000999 -11.009000 -114.110001)(-15.000999 -13.763300 -108.889000)(-15.000999 -11.009000 -114.110001)(-15.000999 -10.172700 -108.271004)(-15.000999 -13.763300 -108.889000)(-15.000999 -14.015000 -105.644005)(-15.000999 -17.354000 -110.031998)(-15.000999 -13.763300 -108.889000)(-25.001001 -19.957001 -96.541000)(-15.000999 -20.209999 -95.194000)(-15.000999 -19.957001 -96.541000)(-15.000999 -20.969000 -91.153000)(-15.000999 -20.632799 -92.942902)(-20.000999 -20.462999 -93.847000)(-15.000999 -20.632799 -92.942902)(-15.000999 -20.209999 -95.194000)(-20.000999 -20.462999 -93.847000)(-15.000999 -20.209999 -95.194000)(-25.001001 -19.957001 -96.541000)(-20.000999 -20.462999 -93.847000)(-25.001001 -19.957001 -96.541000)(-25.001001 -20.969000 -91.153000)(-20.000999 -20.462999 -93.847000)(-25.001001 -20.969000 -91.153000)(-15.000999 -20.969000 -91.153000)(-20.000999 -20.462999 -93.847000)(14.999001 -11.009000 -114.110001)(-15.000999 -3.772000 -116.235001)(-15.000999 -11.009000 -114.110001)(14.999001 -11.009000 -114.110001)(14.999001 -3.771990 -116.235001)(-15.000999 -3.772000 -116.235001)(14.999001 -3.669320 -112.799004)(14.999001 -2.115000 -113.159004)(14.999001 -3.771990 -116.235001)(14.999001 3.771010 -116.235001)(14.999001 -3.771990 -116.235001)(14.999001 -0.000490 -114.517006)(14.999001 -2.115000 -113.159004)(14.999001 3.492860 -112.903999)(14.999001 -0.000490 -114.517006)(14.999001 3.492860 -112.903999)(14.999001 3.771010 -116.235001)(14.999001 -0.000490 -114.517006)(14.999001 -3.771990 -116.235001)(14.999001 -2.115000 -113.159004)(14.999001 -0.000490 -114.517006)(-15.000999 -11.810000 -72.704102)(-15.000999 -11.479000 -72.419998)(-15.000999 -11.035600 -70.927597)(-15.000999 -9.772000 -70.078003)(-15.000999 -10.056000 -71.737000)(-15.000999 -9.385249 -69.950401)(-15.000999 -9.772000 -70.078003)(-15.000999 -11.035600 -70.927597)(-15.000999 -10.597600 -71.327301)(-15.000999 -11.479000 -72.419998)(-15.000999 -10.243500 -71.827003)(-15.000999 -10.597600 -71.327301)(-15.000999 -10.243500 -71.827003)(-15.000999 -10.056000 -71.737000)(-15.000999 -10.597600 -71.327301)(-15.000999 -11.035600 -70.927597)(-15.000999 -11.479000 -72.419998)(-15.000999 -10.597600 -71.327301)(-15.000999 -10.056000 -71.737000)(-15.000999 -9.772000 -70.078003)(-15.000999 -10.597600 -71.327301)(-25.001001 -20.969000 -91.153000)(-15.000999 -20.864700 -89.786499)(-15.000999 -20.969000 -91.153000)(-15.000999 -20.552000 -85.686996)(-15.000999 -20.864700 -89.786499)(-20.000999 -20.760500 -88.420006)(-15.000999 -20.864700 -89.786499)(-25.001001 -20.969000 -91.153000)(-20.000999 -20.760500 -88.420006)(-25.001001 -20.969000 -91.153000)(-25.001001 -20.552000 -85.686996)(-20.000999 -20.760500 -88.420006)(-25.001001 -20.552000 -85.686996)(-15.000999 -20.552000 -85.686996)(-20.000999 -20.760500 -88.420006)(-25.001001 -20.552000 -85.686996)(-15.000999 -20.097500 -84.393997)(-15.000999 -20.552000 -85.686996)(-15.000999 -18.734001 -80.514999)(-15.000999 -20.097500 -84.393997)(-20.000999 -19.643000 -83.100998)(-25.001001 -18.734001 -80.514999)(-15.000999 -18.734001 -80.514999)(-20.000999 -19.643000 -83.100998)(-15.000999 -20.097500 -84.393997)(-25.001001 -20.552000 -85.686996)(-20.000999 -19.643000 -83.100998)(-25.001001 -20.552000 -85.686996)(-25.001001 -18.734001 -80.514999)(-20.000999 -19.643000 -83.100998)(-25.001001 -18.734001 -80.514999)(-15.000999 -17.960300 -79.383698)(-15.000999 -18.734001 -80.514999)(-15.000999 -15.639000 -75.989998)(-15.000999 -17.960300 -79.383698)(-20.000999 -17.186501 -78.252502)(-25.001001 -15.639000 -75.989998)(-15.000999 -15.639000 -75.989998)(-20.000999 -17.186501 -78.252502)(-15.000999 -17.960300 -79.383698)(-25.001001 -18.734001 -80.514999)(-20.000999 -17.186501 -78.252502)(-25.001001 -18.734001 -80.514999)(-25.001001 -15.639000 -75.989998)(-20.000999 -17.186501 -78.252502)(-15.000999 -14.599000 -75.097504)(-15.000999 -15.639000 -75.989998)(-25.001001 -15.639000 -75.989998)(-15.000999 -11.810000 -72.704102)(-15.000999 -14.599000 -75.097504)(-20.000999 -13.559000 -74.205002)(-15.000999 -11.479000 -72.419998)(-15.000999 -11.810000 -72.704102)(-20.000999 -13.559000 -74.205002)(-15.000999 -14.599000 -75.097504)(-25.001001 -15.639000 -75.989998)(-20.000999 -13.559000 -74.205002)(-25.001001 -11.479000 -72.419998)(-15.000999 -11.479000 -72.419998)(-20.000999 -13.559000 -74.205002)(-25.001001 -15.639000 -75.989998)(-25.001001 -11.479000 -72.419998)(-20.000999 -13.559000 -74.205002)(-15.347000 -36.048000 -46.365002)(-15.535100 -35.000099 -44.549500)(-15.000999 -45.000000 -49.704998)(-15.341101 -36.061100 -46.422298)(-15.347000 -36.048000 -46.365002)(-15.000999 -45.000000 -49.704998)(-15.000999 -36.810402 -49.704998)(-15.341101 -36.061100 -46.422298)(-15.000999 -45.000000 -49.704998)(-15.000999 -45.000000 -49.704998)(-17.309000 -23.000000 -27.425001)(-19.000999 -45.000000 -11.095000)(14.999001 -3.440370 -49.908100)(14.999001 -3.612010 -49.704998)(14.999001 -1.784000 -49.704998)(14.999001 -3.440370 -49.908100)(14.999001 -1.784000 -49.704998)(14.999001 -2.406140 -51.132198)(14.999001 -2.406140 -51.132198)(14.999001 -1.784000 -49.704998)(14.999001 -2.346390 -51.202900)(14.999001 -2.346390 -51.202900)(14.999001 -1.784000 -49.704998)(14.999001 -2.211730 -51.362297)(14.999001 -2.211730 -51.362297)(14.999001 -1.784000 -49.704998)(14.999001 -2.048970 -51.554901)(14.999001 -1.784000 -49.704998)(14.999001 -1.846440 -51.794601)(14.999001 -2.048970 -51.554901)(14.999001 -1.784000 -49.704998)(14.999001 -1.583550 -52.105698)(14.999001 -1.846440 -51.794601)(14.999001 -1.784000 -49.704998)(14.999001 -1.222250 -52.533298)(14.999001 -1.583550 -52.105698)(14.999001 -1.784000 -49.704998)(14.999001 -0.685157 -53.169003)(14.999001 -1.222250 -52.533298)(14.999001 0.209368 -54.227600)(14.999001 -0.685157 -53.169003)(14.999001 -1.784000 -49.704998)(14.999001 1.998640 -56.345299)(14.999001 0.209368 -54.227600)(14.999001 -1.784000 -49.704998)(14.999001 7.181030 -62.478699)(14.999001 1.998640 -56.345299)(14.999001 -1.784000 -49.704998)(14.999001 22.538399 -84.360397)(14.999001 22.525000 -84.242996)(14.999001 25.426001 -82.539001)(14.999001 22.525000 -84.242996)(14.999001 20.135000 -78.378998)(14.999001 25.426001 -82.539001)(14.999001 20.135000 -78.378998)(14.999001 17.759998 -74.999001)(14.999001 25.426001 -82.539001)(14.999001 22.538399 -84.360397)(14.999001 25.426001 -82.539001)(14.999001 26.500000 -90.005005)(14.999001 25.426001 -82.539001)(14.999001 17.759998 -74.999001)(14.999001 7.181030 -62.478699)(14.999001 -1.784000 -49.704998)(14.999001 25.426001 -82.539001)(14.999001 7.181030 -62.478699)(-17.309000 -23.000000 -27.425001)(-15.000999 -1.784000 -49.704998)(17.307001 -23.000000 -27.425001)(-15.000999 -1.784000 -49.704998)(14.999001 19.190001 -71.730003)(14.999001 -1.784000 -49.704998)(-19.000999 -45.000000 -11.095000)(20.921999 -45.000000 -6.803000)(18.998999 -45.000000 -11.095000)(18.998999 -45.000000 -11.095000)(20.921999 -23.000000 -6.803000)(18.998999 -23.000000 -11.095000)(-17.309000 -23.000000 -27.425001)(17.307001 -23.000000 -27.425001)(18.998999 -23.000000 -11.095000)(-25.001001 -14.015000 -105.644005)(-15.000999 -14.907499 -104.603996)(-15.000999 -14.015000 -105.644005)(-25.001001 -17.584999 -101.484001)(-25.001001 -14.015000 -105.644005)(-25.001001 11.478001 -107.589996)(-25.001001 -19.957001 -96.541000)(-25.001001 -17.584999 -101.484001)(-25.001001 11.478001 -107.589996)(-15.000999 -10.621300 -107.964996)(-15.000999 -10.172700 -108.271004)(-25.001001 -9.490000 -108.737999)(-15.000999 -10.172700 -108.271004)(-15.000999 -9.490000 -108.737999)(-25.001001 -9.490000 -108.737999)(-15.000999 -14.015000 -105.644005)(-15.000999 -10.621300 -107.964996)(-20.000999 -11.752501 -107.190994)(-15.000999 -10.621300 -107.964996)(-25.001001 -9.490000 -108.737999)(-20.000999 -11.752501 -107.190994)(-25.001001 -9.490000 -108.737999)(-25.001001 -14.015000 -105.644005)(-20.000999 -11.752501 -107.190994)(-25.001001 -14.015000 -105.644005)(-15.000999 -14.015000 -105.644005)(-20.000999 -11.752501 -107.190994)(-15.000999 -10.172700 -108.271004)(-15.000999 -11.009000 -114.110001)(-15.000999 -9.490000 -108.737999)(-15.000999 -4.318000 -110.556000)(-15.000999 -3.772000 -116.235001)(-15.000999 -3.603940 -110.611000)(-15.000999 -4.318000 -110.556000)(-15.000999 -5.611000 -110.100998)(-15.000999 -7.306470 -112.253006)(-15.000999 -5.611000 -110.100998)(-15.000999 -9.490000 -108.737999)(-15.000999 -7.306470 -112.253006)(-15.000999 -11.009000 -114.110001)(-15.000999 -3.772000 -116.235001)(-15.000999 -7.306470 -112.253006)(-15.000999 -9.490000 -108.737999)(-15.000999 -11.009000 -114.110001)(-15.000999 -7.306470 -112.253006)(-15.000999 -3.772000 -116.235001)(-15.000999 -4.318000 -110.556000)(-15.000999 -7.306470 -112.253006)(-25.001001 -20.969000 -91.153000)(-25.001001 -19.957001 -96.541000)(-25.001001 11.478001 -107.589996)(-15.000999 3.771000 -116.235001)(-15.000999 -3.772000 -116.235001)(14.999001 -3.771990 -116.235001)(14.999001 3.771010 -116.235001)(-15.000999 3.771000 -116.235001)(14.999001 -3.771990 -116.235001)(14.999001 3.492860 -112.903999)(14.999001 4.211010 -112.871002)(14.999001 3.771010 -116.235001)(14.999001 10.224000 -110.887001)(14.999001 10.350900 -110.802002)(14.999001 11.008000 -114.110001)(14.999001 11.008000 -114.110001)(14.999001 3.771010 -116.235001)(14.999001 7.250430 -113.517998)(14.999001 4.211010 -112.871002)(14.999001 10.224000 -110.887001)(14.999001 7.250430 -113.517998)(14.999001 10.224000 -110.887001)(14.999001 11.008000 -114.110001)(14.999001 7.250430 -113.517998)(14.999001 3.771010 -116.235001)(14.999001 4.211010 -112.871002)(14.999001 7.250430 -113.517998)(-15.000999 -7.104720 -70.320503)(-15.000999 -6.788090 -69.093697)(-15.000999 -8.422071 -70.415306)(-15.000999 -6.788090 -69.093697)(-15.000999 -9.385249 -69.950401)(-15.000999 -8.422071 -70.415306)(-15.000999 -9.385249 -69.950401)(-15.000999 -10.056000 -71.737000)(-15.000999 -8.422071 -70.415306)(-15.000999 -10.056000 -71.737000)(-15.000999 -7.104720 -70.320503)(-15.000999 -8.422071 -70.415306)(-15.000999 -10.243500 -71.827003)(-15.000999 -11.479000 -72.419998)(-25.001001 -11.479000 -72.419998)(-15.000999 -10.056000 -71.737000)(-15.000999 -10.243500 -71.827003)(-20.000999 -9.007999 -71.234001)(-15.000999 -7.104720 -70.320503)(-15.000999 -10.056000 -71.737000)(-20.000999 -9.007999 -71.234001)(-15.000999 -10.243500 -71.827003)(-25.001001 -11.479000 -72.419998)(-20.000999 -9.007999 -71.234001)(-15.000999 -6.537000 -70.047997)(-15.000999 -7.104720 -70.320503)(-20.000999 -9.007999 -71.234001)(-25.001001 -11.479000 -72.419998)(-25.001001 -6.537000 -70.047997)(-20.000999 -9.007999 -71.234001)(-25.001001 -6.537000 -70.047997)(-15.000999 -6.537000 -70.047997)(-20.000999 -9.007999 -71.234001)(-25.001001 -20.552000 -85.686996)(-25.001001 -20.969000 -91.153000)(-25.001001 11.478001 -107.589996)(-25.001001 -18.734001 -80.514999)(-25.001001 -20.552000 -85.686996)(-25.001001 11.478001 -107.589996)(-25.001001 -18.734001 -80.514999)(-25.001001 11.478001 -107.589996)(-25.001001 -15.639000 -75.989998)(-25.001001 -15.639000 -75.989998)(-25.001001 11.478001 -107.589996)(-25.001001 -11.479000 -72.419998)(-15.000999 -45.000000 -49.704998)(-15.535100 -35.000099 -44.549500)(-15.738601 -33.865700 -42.584400)(-15.000999 -45.000000 -49.704998)(-15.738601 -33.865700 -42.584400)(-15.750101 -33.801998 -42.474003)(-16.053799 -30.641399 -39.541698)(-16.066599 -30.508001 -39.417999)(-17.309000 -23.000000 -27.425001)(-16.066599 -30.508001 -39.417999)(-16.258900 -26.654900 -37.562298)(-17.309000 -23.000000 -27.425001)(-16.258900 -26.654900 -37.562298)(-16.268600 -26.459000 -37.468002)(-17.309000 -23.000000 -27.425001)(-16.268600 -26.459000 -37.468002)(-16.317400 -23.336800 -36.997200)(-17.309000 -23.000000 -27.425001)(-15.000999 -45.000000 -49.704998)(-15.750101 -33.801998 -42.474003)(-16.053799 -30.641399 -39.541698)(-17.309000 -23.000000 -27.425001)(-15.000999 -45.000000 -49.704998)(-16.053799 -30.641399 -39.541698)(-17.309000 -23.000000 -27.425001)(-19.000999 -23.000000 -11.095000)(-19.000999 -45.000000 -11.095000)(14.999001 23.243999 -90.534004)(14.999001 22.538399 -84.360397)(14.999001 26.500000 -90.005005)(14.999001 25.426001 -97.471001)(14.999001 22.854799 -92.957397)(14.999001 24.519199 -90.915703)(14.999001 22.854799 -92.957397)(14.999001 23.243999 -90.534004)(14.999001 24.519199 -90.915703)(14.999001 26.500000 -90.005005)(14.999001 25.426001 -97.471001)(14.999001 24.519199 -90.915703)(14.999001 23.243999 -90.534004)(14.999001 26.500000 -90.005005)(14.999001 24.519199 -90.915703)(14.999001 25.426001 -82.539001)(14.999001 -1.784000 -49.704998)(14.999001 22.292999 -75.678001)(-15.000999 25.426001 -82.539001)(14.999001 26.500000 -90.005005)(14.999001 25.426001 -82.539001)(-16.334499 -22.243900 -36.832401)(-16.337999 -22.016001 -36.798000)(-17.309000 -23.000000 -27.425001)(-16.337999 -22.016001 -36.798000)(-16.271999 -17.790199 -37.435200)(-17.309000 -23.000000 -27.425001)(-16.271999 -17.790199 -37.435200)(-16.268600 -17.573000 -37.468002)(-17.309000 -23.000000 -27.425001)(-16.317400 -23.336800 -36.997200)(-16.334499 -22.243900 -36.832401)(-17.309000 -23.000000 -27.425001)(-16.268600 -17.573000 -37.468002)(-16.075001 -13.691299 -39.337502)(-16.155001 -12.560400 -38.564999)(-16.075001 -13.691299 -39.337502)(-16.066599 -13.523999 -39.417999)(-16.155001 -12.560400 -38.564999)(-16.066599 -13.523999 -39.417999)(-15.943400 -12.006101 -40.607300)(-16.155001 -12.560400 -38.564999)(-16.155001 -12.560400 -38.564999)(-15.938800 -11.949000 -40.652000)(-15.943400 -12.006101 -40.607300)(-15.938800 -11.949000 -40.652000)(-15.010400 -1.960590 -49.614002)(-16.155001 -12.560400 -38.564999)(-15.010400 -1.960590 -49.614002)(-15.000999 -1.784000 -49.704998)(-16.155001 -12.560400 -38.564999)(-15.000999 -1.784000 -49.704998)(-17.309000 -23.000000 -27.425001)(-16.155001 -12.560400 -38.564999)(-17.309000 -23.000000 -27.425001)(-16.268600 -17.573000 -37.468002)(-16.155001 -12.560400 -38.564999)(-15.000999 11.031099 -63.162296)(-15.000999 19.190001 -71.730003)(14.999001 19.190001 -71.730003)(-15.000999 10.990100 -63.119202)(-15.000999 11.031099 -63.162296)(14.999001 19.190001 -71.730003)(-15.000999 10.906300 -63.031197)(-15.000999 10.990100 -63.119202)(14.999001 19.190001 -71.730003)(-15.000999 -1.343110 -50.167999)(-15.000999 8.390010 -60.388802)(14.999001 19.190001 -71.730003)(-15.000999 10.874801 -62.998199)(-15.000999 10.906300 -63.031197)(14.999001 19.190001 -71.730003)(-15.000999 8.390010 -60.388802)(-15.000999 8.443419 -60.444901)(14.999001 19.190001 -71.730003)(-15.000999 9.631229 -61.692200)(-15.000999 10.874801 -62.998199)(14.999001 19.190001 -71.730003)(-15.000999 8.443419 -60.444901)(-15.000999 9.470420 -61.523399)(14.999001 19.190001 -71.730003)(-15.000999 9.470420 -61.523399)(-15.000999 9.631229 -61.692200)(14.999001 19.190001 -71.730003)(-15.000999 -1.343110 -50.167999)(14.999001 19.190001 -71.730003)(-15.000999 -1.784000 -49.704998)(14.999001 22.292999 -75.678001)(14.999001 -1.784000 -49.704998)(14.999001 19.190001 -71.730003)(-19.000999 -45.000000 -11.095000)(-20.924000 -45.000000 -6.803000)(20.921999 -45.000000 -6.803000)(18.998999 -45.000000 -11.095000)(20.921999 -45.000000 -6.803000)(20.921999 -23.000000 -6.803000)(4.400000 -23.000000 -10.629000)(18.998999 -23.000000 -11.095000)(20.921999 -23.000000 -6.803000)(-0.000998 -23.000000 -11.505000)(-17.309000 -23.000000 -27.425001)(18.998999 -23.000000 -11.095000)(-25.001001 -14.015000 -105.644005)(-25.001001 -9.490000 -108.737999)(-25.001001 11.478001 -107.589996)(-15.000999 -9.490000 -108.737999)(-15.000999 -5.611000 -110.100998)(-20.000999 -6.904000 -109.646996)(-15.000999 -5.611000 -110.100998)(-25.001001 -4.318000 -110.556000)(-20.000999 -6.904000 -109.646996)(-25.001001 -4.318000 -110.556000)(-25.001001 -9.490000 -108.737999)(-20.000999 -6.904000 -109.646996)(-25.001001 -9.490000 -108.737999)(-15.000999 -9.490000 -108.737999)(-20.000999 -6.904000 -109.646996)(-15.000999 -4.318000 -110.556000)(-15.000999 -3.603940 -110.611000)(-20.000999 -1.585000 -110.764999)(-15.000999 -3.603940 -110.611000)(-15.000999 -0.218500 -110.868996)(-20.000999 -1.585000 -110.764999)(-15.000999 -0.218500 -110.868996)(-25.001001 1.148000 -110.973999)(-20.000999 -1.585000 -110.764999)(-25.001001 1.148000 -110.973999)(-25.001001 -4.318000 -110.556000)(-20.000999 -1.585000 -110.764999)(-25.001001 -4.318000 -110.556000)(-15.000999 -4.318000 -110.556000)(-20.000999 -1.585000 -110.764999)(-15.000999 -5.611000 -110.100998)(-15.000999 -4.318000 -110.556000)(-25.001001 -4.318000 -110.556000)(-15.000999 3.298010 -110.570000)(-15.000999 1.148000 -110.973999)(-15.000999 -0.000500 -113.403000)(-15.000999 1.148000 -110.973999)(-15.000999 -0.218500 -110.868996)(-15.000999 -0.000500 -113.403000)(-15.000999 -0.218500 -110.868996)(-15.000999 -3.603940 -110.611000)(-15.000999 -0.000500 -113.403000)(-15.000999 -3.603940 -110.611000)(-15.000999 -3.772000 -116.235001)(-15.000999 -0.000500 -113.403000)(-15.000999 -3.772000 -116.235001)(-15.000999 3.771000 -116.235001)(-15.000999 -0.000500 -113.403000)(-15.000999 3.771000 -116.235001)(-15.000999 3.298010 -110.570000)(-15.000999 -0.000500 -113.403000)(14.999001 3.771010 -116.235001)(-15.000999 11.008000 -114.110001)(-15.000999 3.771000 -116.235001)(14.999001 3.771010 -116.235001)(14.999001 11.008000 -114.110001)(-15.000999 11.008000 -114.110001)(14.999001 15.479000 -107.354004)(14.999001 16.225500 -106.477997)(14.999001 17.353001 -110.031998)(14.999001 17.353001 -110.031998)(14.999001 11.008000 -114.110001)(14.999001 13.852000 -110.293999)(14.999001 11.008000 -114.110001)(14.999001 10.350900 -110.802002)(14.999001 13.852000 -110.293999)(14.999001 10.350900 -110.802002)(14.999001 15.479000 -107.354004)(14.999001 13.852000 -110.293999)(14.999001 15.479000 -107.354004)(14.999001 17.353001 -110.031998)(14.999001 13.852000 -110.293999)(-15.000999 -7.104720 -70.320503)(-15.000999 -6.537000 -70.047997)(-15.000999 -6.788090 -69.093697)(-15.000999 -4.646970 -69.693001)(-15.000999 -4.450680 -68.322601)(-15.000999 -5.777700 -69.321602)(-15.000999 -4.450680 -68.322601)(-15.000999 -6.788090 -69.093697)(-15.000999 -5.777700 -69.321602)(-15.000999 -6.537000 -70.047997)(-15.000999 -5.190000 -69.794998)(-15.000999 -5.777700 -69.321602)(-15.000999 -5.190000 -69.794998)(-15.000999 -4.646970 -69.693001)(-15.000999 -5.777700 -69.321602)(-15.000999 -6.788090 -69.093697)(-15.000999 -6.537000 -70.047997)(-15.000999 -5.777700 -69.321602)(-15.000999 -2.368480 -69.264999)(-15.000999 -2.334300 -68.121300)(-15.000999 -3.490630 -68.907097)(-15.000999 -2.334300 -68.121300)(-15.000999 -4.082000 -68.200996)(-15.000999 -3.490630 -68.907097)(-15.000999 -4.082000 -68.200996)(-15.000999 -4.450680 -68.322601)(-15.000999 -3.490630 -68.907097)(-15.000999 -4.450680 -68.322601)(-15.000999 -4.646970 -69.693001)(-15.000999 -3.490630 -68.907097)(-15.000999 -4.646970 -69.693001)(-15.000999 -2.368480 -69.264999)(-15.000999 -3.490630 -68.907097)(-25.001001 -11.479000 -72.419998)(-25.001001 11.478001 -107.589996)(-25.001001 -6.537000 -70.047997)(-15.000999 -5.190000 -69.794998)(-15.000999 -6.537000 -70.047997)(-25.001001 -6.537000 -70.047997)(-19.000999 -23.000000 -11.095000)(-17.309000 -23.000000 -27.425001)(-0.000998 -23.000000 -11.505000)(-20.924000 -45.000000 -6.803000)(-19.000999 -45.000000 -11.095000)(-19.000999 -23.000000 -11.095000)(14.999001 22.240000 -96.786003)(14.999001 22.854799 -92.957397)(14.999001 25.426001 -97.471001)(14.999001 22.292999 -104.332001)(14.999001 20.565300 -100.412003)(14.999001 22.995699 -98.644707)(14.999001 20.565300 -100.412003)(14.999001 22.240000 -96.786003)(14.999001 22.995699 -98.644707)(14.999001 25.426001 -97.471001)(14.999001 22.292999 -104.332001)(14.999001 22.995699 -98.644707)(14.999001 22.240000 -96.786003)(14.999001 25.426001 -97.471001)(14.999001 22.995699 -98.644707)(-15.000999 26.500000 -90.005005)(14.999001 25.426001 -97.471001)(14.999001 26.500000 -90.005005)(-15.000999 22.292999 -75.678001)(14.999001 25.426001 -82.539001)(14.999001 22.292999 -75.678001)(-15.000999 22.292999 -75.678001)(-15.000999 25.426001 -82.539001)(14.999001 25.426001 -82.539001)(-15.000999 25.426001 -82.539001)(-15.000999 26.500000 -90.005005)(14.999001 26.500000 -90.005005)(-15.000999 -1.850090 -49.713100)(-15.010400 -1.960590 -49.614002)(-15.000999 -1.859120 -49.704998)(-15.000999 -1.805120 -49.753403)(-15.010400 -1.960590 -49.614002)(-15.000999 -1.850090 -49.713100)(-15.000999 -1.802930 -49.755398)(-15.010400 -1.960590 -49.614002)(-15.000999 -1.805120 -49.753403)(-15.000999 -1.798120 -49.759701)(-15.010400 -1.960590 -49.614002)(-15.000999 -1.802930 -49.755398)(-15.000999 -1.792550 -49.764702)(-15.010400 -1.960590 -49.614002)(-15.000999 -1.798120 -49.759701)(-15.000999 -1.785960 -49.770599)(-15.010400 -1.960590 -49.614002)(-15.000999 -1.792550 -49.764702)(-15.000999 -1.777920 -49.777901)(-15.010400 -1.960590 -49.614002)(-15.000999 -1.785960 -49.770599)(-15.000999 -1.767710 -49.786999)(-15.010400 -1.960590 -49.614002)(-15.000999 -1.777920 -49.777901)(-15.000999 -1.754110 -49.799202)(-15.010400 -1.960590 -49.614002)(-15.000999 -1.767710 -49.786999)(-15.000999 -1.734860 -49.816502)(-15.010400 -1.960590 -49.614002)(-15.000999 -1.754110 -49.799202)(-15.000999 -1.705460 -49.842903)(-15.010400 -1.960590 -49.614002)(-15.000999 -1.734860 -49.816502)(-15.000999 -1.656250 -49.887001)(-15.010400 -1.960590 -49.614002)(-15.000999 -1.705460 -49.842903)(-15.000999 -1.566190 -49.967800)(-15.010400 -1.960590 -49.614002)(-15.000999 -1.656250 -49.887001)(-15.000999 -1.784000 -49.704998)(-15.010400 -1.960590 -49.614002)(-15.000999 -1.859120 -49.704998)(-15.000999 19.190001 -71.730003)(14.999001 22.292999 -75.678001)(14.999001 19.190001 -71.730003)(-15.000999 11.008700 -63.505096)(-15.000999 19.190001 -71.730003)(-15.000999 11.031099 -63.162296)(-15.000999 19.190001 -71.730003)(-15.000999 11.008700 -63.505096)(-15.000999 22.292999 -75.678001)(-15.000999 -1.412670 -50.105602)(-15.000999 -1.784000 -49.704998)(-15.000999 -1.343110 -50.167999)(-20.924000 -45.000000 -6.803000)(21.999001 -45.000000 -0.005002)(20.921999 -45.000000 -6.803000)(20.921999 -45.000000 -6.803000)(21.999001 -23.000000 -0.005001)(20.921999 -23.000000 -6.803000)(8.131001 -23.000000 -8.136000)(4.400000 -23.000000 -10.629000)(20.921999 -23.000000 -6.803000)(4.400000 -23.000000 -10.629000)(-0.000998 -23.000000 -11.505000)(18.998999 -23.000000 -11.095000)(-25.001001 -9.490000 -108.737999)(-25.001001 -4.318000 -110.556000)(-25.001001 11.478001 -107.589996)(-15.000999 -0.218500 -110.868996)(-15.000999 1.148000 -110.973999)(-25.001001 1.148000 -110.973999)(-25.001001 -4.318000 -110.556000)(-25.001001 1.148000 -110.973999)(-25.001001 11.478001 -107.589996)(-15.000999 1.148000 -110.973999)(-15.000999 3.298010 -110.570000)(-20.000999 3.842000 -110.468002)(-15.000999 3.298010 -110.570000)(-15.000999 5.189000 -110.215004)(-20.000999 3.842000 -110.468002)(-15.000999 5.189000 -110.215004)(-25.001001 6.536000 -109.961998)(-20.000999 3.842000 -110.468002)(-25.001001 6.536000 -109.961998)(-25.001001 1.148000 -110.973999)(-20.000999 3.842000 -110.468002)(-25.001001 1.148000 -110.973999)(-15.000999 1.148000 -110.973999)(-20.000999 3.842000 -110.468002)(-15.000999 6.536000 -109.961998)(-15.000999 5.189000 -110.215004)(-15.000999 7.153000 -112.299004)(-15.000999 5.189000 -110.215004)(-15.000999 3.298010 -110.570000)(-15.000999 7.153000 -112.299004)(-15.000999 3.298010 -110.570000)(-15.000999 3.771000 -116.235001)(-15.000999 7.153000 -112.299004)(-15.000999 3.771000 -116.235001)(-15.000999 11.008000 -114.110001)(-15.000999 7.153000 -112.299004)(-15.000999 11.008000 -114.110001)(-15.000999 9.866620 -108.362999)(-15.000999 7.153000 -112.299004)(-15.000999 9.866620 -108.362999)(-15.000999 6.536000 -109.961998)(-15.000999 7.153000 -112.299004)(14.999001 11.008000 -114.110001)(-15.000999 17.353001 -110.031998)(-15.000999 11.008000 -114.110001)(14.999001 11.008000 -114.110001)(14.999001 17.353001 -110.031998)(-15.000999 17.353001 -110.031998)(14.999001 19.585001 -102.535004)(14.999001 20.565300 -100.412003)(14.999001 22.292999 -104.332001)(14.999001 17.353001 -110.031998)(14.999001 16.225500 -106.477997)(14.999001 19.259300 -105.222000)(14.999001 16.225500 -106.477997)(14.999001 19.585001 -102.535004)(14.999001 19.259300 -105.222000)(14.999001 22.292999 -104.332001)(14.999001 17.353001 -110.031998)(14.999001 19.259300 -105.222000)(14.999001 19.585001 -102.535004)(14.999001 22.292999 -104.332001)(14.999001 19.259300 -105.222000)(-15.000999 -4.646970 -69.693001)(-15.000999 -5.190000 -69.794998)(-20.000999 -3.843000 -69.542000)(-15.000999 -2.368480 -69.264999)(-15.000999 -4.646970 -69.693001)(-20.000999 -3.843000 -69.542000)(-15.000999 -5.190000 -69.794998)(-25.001001 -6.537000 -70.047997)(-20.000999 -3.843000 -69.542000)(-15.000999 -1.149000 -69.036003)(-15.000999 -2.368480 -69.264999)(-20.000999 -3.843000 -69.542000)(-25.001001 -6.537000 -70.047997)(-25.001001 -1.149000 -69.036003)(-20.000999 -3.843000 -69.542000)(-25.001001 -1.149000 -69.036003)(-15.000999 -1.149000 -69.036003)(-20.000999 -3.843000 -69.542000)(-15.000999 -0.163659 -69.111198)(-15.000999 -0.254233 -68.026398)(-15.000999 -1.266070 -68.645699)(-15.000999 -0.254233 -68.026398)(-15.000999 -2.334300 -68.121300)(-15.000999 -1.266070 -68.645699)(-15.000999 -2.334300 -68.121300)(-15.000999 -2.368480 -69.264999)(-15.000999 -1.266070 -68.645699)(-15.000999 -2.368480 -69.264999)(-15.000999 -1.149000 -69.036003)(-15.000999 -1.266070 -68.645699)(-15.000999 -1.149000 -69.036003)(-15.000999 -0.163659 -69.111198)(-15.000999 -1.266070 -68.645699)(-25.001001 -6.537000 -70.047997)(-25.001001 11.478001 -107.589996)(-25.001001 -1.149000 -69.036003)(-19.000999 -23.000000 -11.095000)(-0.000998 -23.000000 -11.505000)(-4.402000 -23.000000 -10.629000)(-20.924000 -45.000000 -6.803000)(-19.000999 -23.000000 -11.095000)(-20.924000 -23.000000 -6.803000)(-15.000999 25.426001 -97.471001)(14.999001 22.292999 -104.332001)(14.999001 25.426001 -97.471001)(-15.000999 26.500000 -90.005005)(-15.000999 25.426001 -97.471001)(14.999001 25.426001 -97.471001)(-15.000999 19.190001 -71.730003)(-15.000999 22.292999 -75.678001)(14.999001 22.292999 -75.678001)(-15.000999 10.921000 -64.850006)(-15.000999 10.863500 -64.966599)(-15.000999 22.292999 -75.678001)(-15.000999 10.921000 -64.850006)(-15.000999 22.292999 -75.678001)(-15.000999 11.008700 -63.505096)(-15.000999 22.292999 -75.678001)(-15.000999 10.863500 -64.966599)(-15.000999 25.426001 -82.539001)(-15.000999 26.500000 -90.005005)(-15.000999 25.426001 -82.539001)(-15.000999 10.064100 -66.586601)(-15.000999 10.064100 -66.586601)(-15.000999 25.426001 -82.539001)(-15.000999 10.863500 -64.966599)(-15.000999 -1.566190 -49.967800)(-15.000999 -1.784000 -49.704998)(-15.000999 -1.412670 -50.105602)(-15.000999 -1.656250 -49.887001)(-15.000999 -1.784000 -49.704998)(-15.000999 -1.566190 -49.967800)(-15.000999 -1.784000 -49.704998)(-15.000999 -1.656250 -49.887001)(-15.000999 -1.705460 -49.842903)(-15.000999 -1.705460 -49.842903)(-15.000999 -1.734860 -49.816502)(-15.000999 -1.784000 -49.704998)(-15.000999 -1.734860 -49.816502)(-15.000999 -1.754110 -49.799202)(-15.000999 -1.784000 -49.704998)(-15.000999 -1.767710 -49.786999)(-15.000999 -1.784000 -49.704998)(-15.000999 -1.754110 -49.799202)(-15.000999 -1.784000 -49.704998)(-15.000999 -1.767710 -49.786999)(-15.000999 -1.777920 -49.777901)(-15.000999 -1.784000 -49.704998)(-15.000999 -1.777920 -49.777901)(-15.000999 -1.785960 -49.770599)(-15.000999 -1.784000 -49.704998)(-15.000999 -1.785960 -49.770599)(-15.000999 -1.792550 -49.764702)(-15.000999 -1.784000 -49.704998)(-15.000999 -1.792550 -49.764702)(-15.000999 -1.798120 -49.759701)(-15.000999 -1.784000 -49.704998)(-15.000999 -1.798120 -49.759701)(-15.000999 -1.802930 -49.755398)(-15.000999 -1.784000 -49.704998)(-15.000999 -1.802930 -49.755398)(-15.000999 -1.805120 -49.753403)(-15.000999 -1.784000 -49.704998)(-15.000999 -1.805120 -49.753403)(-15.000999 -1.850090 -49.713100)(-15.000999 -1.784000 -49.704998)(-15.000999 -1.850090 -49.713100)(-15.000999 -1.859120 -49.704998)(-20.924000 -45.000000 -6.803000)(-22.000999 -45.000000 -0.005002)(21.999001 -45.000000 -0.005002)(21.999001 -23.000000 -0.005001)(20.921999 -45.000000 -6.803000)(21.999001 -45.000000 -0.005002)(10.624000 -23.000000 -4.406000)(20.921999 -23.000000 -6.803000)(21.999001 -23.000000 -0.005001)(10.624000 -23.000000 -4.406000)(8.131001 -23.000000 -8.136000)(20.921999 -23.000000 -6.803000)(8.131001 -7.000000 -8.136000)(4.400000 -23.000000 -10.629000)(8.131001 -23.000000 -8.136000)(4.400000 -7.000000 -10.629000)(-0.000998 -23.000000 -11.505000)(4.400000 -23.000000 -10.629000)(-25.001001 1.148000 -110.973999)(-25.001001 6.536000 -109.961998)(-25.001001 11.478001 -107.589996)(-15.000999 5.189000 -110.215004)(-15.000999 6.536000 -109.961998)(-25.001001 6.536000 -109.961998)(-15.000999 14.599000 -104.911995)(-15.000999 17.353001 -110.031998)(-15.000999 15.487200 -104.149994)(-15.000999 11.478200 -107.589996)(-15.000999 10.242500 -108.182999)(-15.000999 13.609799 -109.130005)(-15.000999 10.242500 -108.182999)(-15.000999 9.866620 -108.362999)(-15.000999 13.609799 -109.130005)(-15.000999 9.866620 -108.362999)(-15.000999 11.008000 -114.110001)(-15.000999 13.609799 -109.130005)(-15.000999 11.008000 -114.110001)(-15.000999 17.353001 -110.031998)(-15.000999 13.609799 -109.130005)(-15.000999 14.599000 -104.911995)(-15.000999 11.478200 -107.589996)(-15.000999 13.609799 -109.130005)(-15.000999 17.353001 -110.031998)(-15.000999 14.599000 -104.911995)(-15.000999 13.609799 -109.130005)(-15.000999 6.536000 -109.961998)(-15.000999 9.866620 -108.362999)(-20.000999 9.007000 -108.776001)(-15.000999 9.866620 -108.362999)(-15.000999 10.242500 -108.182999)(-20.000999 9.007000 -108.776001)(-15.000999 10.242500 -108.182999)(-25.001001 11.478001 -107.589996)(-20.000999 9.007000 -108.776001)(-25.001001 11.478001 -107.589996)(-25.001001 6.536000 -109.961998)(-20.000999 9.007000 -108.776001)(-25.001001 6.536000 -109.961998)(-15.000999 6.536000 -109.961998)(-20.000999 9.007000 -108.776001)(-15.000999 22.292999 -104.332001)(-15.000999 17.353001 -110.031998)(14.999001 17.353001 -110.031998)(-15.000999 22.292999 -104.332001)(14.999001 17.353001 -110.031998)(14.999001 22.292999 -104.332001)(-15.000999 -0.163659 -69.111198)(-15.000999 -1.149000 -69.036003)(-25.001001 -1.149000 -69.036003)(-15.000999 0.217500 -69.140205)(-15.000999 -0.163659 -69.111198)(-25.001001 -1.149000 -69.036003)(-15.000999 1.903000 -67.928001)(-15.000999 2.104790 -69.284203)(-15.000999 1.836030 -67.931099)(-15.000999 4.317000 -69.453003)(-15.000999 4.501000 -69.517700)(-15.000999 4.110440 -68.286499)(-15.000999 2.104790 -69.284203)(-15.000999 4.317000 -69.453003)(-15.000999 3.168510 -68.722801)(-15.000999 4.110440 -68.286499)(-15.000999 1.903000 -67.928001)(-15.000999 3.168510 -68.722801)(-15.000999 4.317000 -69.453003)(-15.000999 4.110440 -68.286499)(-15.000999 3.168510 -68.722801)(-15.000999 1.903000 -67.928001)(-15.000999 2.104790 -69.284203)(-15.000999 3.168510 -68.722801)(-15.000999 -0.163659 -69.111198)(-15.000999 0.217500 -69.140205)(-15.000999 -0.254233 -68.026398)(-15.000999 2.104790 -69.284203)(-15.000999 1.836030 -67.931099)(-15.000999 0.925279 -68.607597)(-15.000999 1.836030 -67.931099)(-15.000999 -0.254233 -68.026398)(-15.000999 0.925279 -68.607597)(-15.000999 0.217500 -69.140205)(-15.000999 2.104790 -69.284203)(-15.000999 0.925279 -68.607597)(-15.000999 -0.254233 -68.026398)(-15.000999 0.217500 -69.140205)(-15.000999 0.925279 -68.607597)(-25.001001 -1.149000 -69.036003)(-25.001001 11.478001 -107.589996)(-25.001001 4.317000 -69.453003)(-0.000998 -7.000000 -11.505000)(-4.402000 -23.000000 -10.629000)(-0.000998 -23.000000 -11.505000)(-20.924000 -23.000000 -6.803000)(-19.000999 -23.000000 -11.095000)(-4.402000 -23.000000 -10.629000)(-22.000999 -45.000000 -0.005002)(-20.924000 -45.000000 -6.803000)(-20.924000 -23.000000 -6.803000)(-15.000999 25.426001 -97.471001)(-15.000999 22.292999 -104.332001)(14.999001 22.292999 -104.332001)(-15.000999 20.914900 -89.552002)(-15.000999 25.426001 -97.471001)(-15.000999 26.500000 -90.005005)(-15.000999 19.957001 -83.467995)(-15.000999 20.209801 -84.815002)(-15.000999 26.500000 -90.005005)(-15.000999 20.209801 -84.815002)(-15.000999 20.968000 -88.855995)(-15.000999 26.500000 -90.005005)(-15.000999 20.968000 -88.855995)(-15.000999 20.914900 -89.552002)(-15.000999 26.500000 -90.005005)(-15.000999 19.957001 -83.467995)(-15.000999 26.500000 -90.005005)(-15.000999 18.177999 -79.761497)(-15.000999 8.591000 -67.886002)(-15.000999 11.147000 -72.404800)(-15.000999 8.575789 -67.891205)(-15.000999 8.591000 -67.886002)(-15.000999 11.147000 -72.404800)(-15.000999 10.058000 -66.598999)(-15.000999 11.147000 -72.404800)(-15.000999 14.015000 -74.366005)(-15.000999 10.064100 -66.586601)(-15.000999 14.015000 -74.366005)(-15.000999 14.907499 -75.405998)(-15.000999 10.064100 -66.586601)(-15.000999 10.064100 -66.586601)(-15.000999 11.147000 -72.404800)(-15.000999 10.058000 -66.598999)(-15.000999 17.584999 -78.526001)(-15.000999 26.500000 -90.005005)(-15.000999 10.064100 -66.586601)(-15.000999 14.907499 -75.405998)(-15.000999 17.584999 -78.526001)(-15.000999 10.064100 -66.586601)(-15.000999 18.177999 -79.761497)(-15.000999 26.500000 -90.005005)(-15.000999 17.584999 -78.526001)(-22.000999 -45.000000 -0.005002)(20.921999 -45.000000 6.794000)(21.999001 -45.000000 -0.005002)(21.999001 -45.000000 -0.005002)(20.921999 -23.000000 6.794000)(21.999001 -23.000000 -0.005001)(11.499000 -23.000000 -0.005001)(10.624000 -23.000000 -4.406000)(21.999001 -23.000000 -0.005001)(8.131001 -23.000000 -8.136000)(10.624000 -23.000000 -4.406000)(10.624000 -7.000000 -4.406000)(8.131001 -23.000000 -8.136000)(10.624000 -7.000000 -4.406000)(8.131001 -7.000000 -8.136000)(8.131001 -7.000000 -8.136000)(4.400000 -7.000000 -10.629000)(4.400000 -23.000000 -10.629000)(4.400000 -7.000000 -10.629000)(-0.000998 -7.000000 -11.505000)(-0.000998 -23.000000 -11.505000)(-15.000999 10.242500 -108.182999)(-15.000999 11.478200 -107.589996)(-25.001001 11.478001 -107.589996)(-15.000999 18.733000 -99.494003)(-15.000999 22.292999 -104.332001)(-15.000999 19.366501 -97.692200)(-15.000999 15.639000 -104.019997)(-15.000999 15.487200 -104.149994)(-15.000999 18.890100 -103.862000)(-15.000999 15.487200 -104.149994)(-15.000999 17.353001 -110.031998)(-15.000999 18.890100 -103.862000)(-15.000999 17.353001 -110.031998)(-15.000999 22.292999 -104.332001)(-15.000999 18.890100 -103.862000)(-15.000999 18.733000 -99.494003)(-15.000999 17.959499 -100.625999)(-15.000999 18.890100 -103.862000)(-15.000999 17.959499 -100.625999)(-15.000999 15.639000 -104.019997)(-15.000999 18.890100 -103.862000)(-15.000999 22.292999 -104.332001)(-15.000999 18.733000 -99.494003)(-15.000999 18.890100 -103.862000)(-15.000999 15.487200 -104.149994)(-15.000999 15.639000 -104.019997)(-25.001001 15.639000 -104.019997)(-15.000999 14.599000 -104.911995)(-15.000999 15.487200 -104.149994)(-25.001001 15.639000 -104.019997)(-15.000999 11.478200 -107.589996)(-15.000999 14.599000 -104.911995)(-20.000999 13.558600 -105.805000)(-15.000999 14.599000 -104.911995)(-25.001001 15.639000 -104.019997)(-20.000999 13.558600 -105.805000)(-25.001001 15.639000 -104.019997)(-25.001001 11.478001 -107.589996)(-20.000999 13.558600 -105.805000)(-25.001001 11.478001 -107.589996)(-15.000999 11.478200 -107.589996)(-20.000999 13.558600 -105.805000)(-15.000999 2.104790 -69.284203)(-15.000999 0.217500 -69.140205)(-20.000999 1.584000 -69.244499)(-15.000999 4.317000 -69.453003)(-15.000999 2.104790 -69.284203)(-20.000999 1.584000 -69.244499)(-15.000999 0.217500 -69.140205)(-25.001001 -1.149000 -69.036003)(-20.000999 1.584000 -69.244499)(-25.001001 4.317000 -69.453003)(-15.000999 4.317000 -69.453003)(-20.000999 1.584000 -69.244499)(-25.001001 -1.149000 -69.036003)(-25.001001 4.317000 -69.453003)(-20.000999 1.584000 -69.244499)(-15.000999 5.610000 -69.907501)(-15.000999 4.501000 -69.517700)(-25.001001 4.317000 -69.453003)(-15.000999 4.501000 -69.517700)(-15.000999 4.317000 -69.453003)(-25.001001 4.317000 -69.453003)(-15.000999 4.110440 -68.286499)(-15.000999 4.501000 -69.517700)(-15.000999 4.945000 -68.421997)(-15.000999 5.610000 -69.907501)(-15.000999 7.397200 -70.535698)(-15.000999 5.753820 -69.411102)(-15.000999 7.397200 -70.535698)(-15.000999 6.500240 -68.500694)(-15.000999 5.753820 -69.411102)(-15.000999 6.500240 -68.500694)(-15.000999 4.945000 -68.421997)(-15.000999 5.753820 -69.411102)(-15.000999 4.501000 -69.517700)(-15.000999 5.610000 -69.907501)(-15.000999 5.753820 -69.411102)(-15.000999 4.945000 -68.421997)(-15.000999 4.501000 -69.517700)(-15.000999 5.753820 -69.411102)(-25.001001 4.317000 -69.453003)(-25.001001 11.478001 -107.589996)(-25.001001 9.489000 -71.271004)(-0.000998 -7.000000 -11.505000)(-4.402000 -7.000000 -10.629000)(-4.402000 -23.000000 -10.629000)(-8.132999 -23.000000 -8.136000)(-20.924000 -23.000000 -6.803000)(-4.402000 -23.000000 -10.629000)(-22.000999 -45.000000 -0.005002)(-20.924000 -23.000000 -6.803000)(-22.000999 -23.000000 -0.005001)(-15.000999 20.551001 -94.322998)(-15.000999 25.426001 -97.471001)(-15.000999 20.863701 -90.222702)(-15.000999 20.863701 -90.222702)(-15.000999 25.426001 -97.471001)(-15.000999 20.914900 -89.552002)(-15.000999 19.366501 -97.692200)(-15.000999 22.292999 -104.332001)(-15.000999 22.396200 -96.942001)(-15.000999 22.292999 -104.332001)(-15.000999 25.426001 -97.471001)(-15.000999 22.396200 -96.942001)(-15.000999 20.551001 -94.322998)(-15.000999 20.096500 -95.615799)(-15.000999 22.396200 -96.942001)(-15.000999 20.096500 -95.615799)(-15.000999 19.366501 -97.692200)(-15.000999 22.396200 -96.942001)(-15.000999 25.426001 -97.471001)(-15.000999 20.551001 -94.322998)(-15.000999 22.396200 -96.942001)(-15.000999 6.500240 -68.500694)(-15.000999 7.397200 -70.535698)(-15.000999 6.744000 -68.513000)(-15.000999 8.575789 -67.891205)(-15.000999 10.620500 -72.044800)(-15.000999 11.147000 -72.404800)(-15.000999 9.489000 -71.271004)(-15.000999 10.620500 -72.044800)(-15.000999 8.823610 -70.147995)(-15.000999 8.575789 -67.891205)(-15.000999 6.744000 -68.513000)(-15.000999 8.823610 -70.147995)(-15.000999 7.397200 -70.535698)(-15.000999 9.489000 -71.271004)(-15.000999 8.823610 -70.147995)(-15.000999 6.744000 -68.513000)(-15.000999 7.397200 -70.535698)(-15.000999 8.823610 -70.147995)(-15.000999 10.620500 -72.044800)(-15.000999 8.575789 -67.891205)(-15.000999 8.823610 -70.147995)(-15.000999 14.015000 -74.366005)(-15.000999 11.147000 -72.404800)(-20.000999 11.752000 -72.818504)(-15.000999 11.147000 -72.404800)(-15.000999 10.620500 -72.044800)(-20.000999 11.752000 -72.818504)(-15.000999 10.620500 -72.044800)(-25.001001 9.489000 -71.271004)(-20.000999 11.752000 -72.818504)(-25.001001 9.489000 -71.271004)(-25.001001 14.015000 -74.366005)(-20.000999 11.752000 -72.818504)(-25.001001 14.015000 -74.366005)(-15.000999 14.015000 -74.366005)(-20.000999 11.752000 -72.818504)(-25.001001 14.015000 -74.366005)(-15.000999 14.907499 -75.405998)(-15.000999 14.015000 -74.366005)(-15.000999 17.584999 -78.526001)(-15.000999 14.907499 -75.405998)(-20.000999 15.799999 -76.445999)(-15.000999 14.907499 -75.405998)(-25.001001 14.015000 -74.366005)(-20.000999 15.799999 -76.445999)(-25.001001 14.015000 -74.366005)(-25.001001 17.584999 -78.526001)(-20.000999 15.799999 -76.445999)(-25.001001 17.584999 -78.526001)(-15.000999 17.584999 -78.526001)(-20.000999 15.799999 -76.445999)(-25.001001 17.584999 -78.526001)(-15.000999 18.177999 -79.761497)(-15.000999 17.584999 -78.526001)(-15.000999 19.957001 -83.467995)(-15.000999 18.177999 -79.761497)(-20.000999 18.771000 -80.996994)(-15.000999 18.177999 -79.761497)(-25.001001 17.584999 -78.526001)(-20.000999 18.771000 -80.996994)(-25.001001 17.584999 -78.526001)(-25.001001 19.957001 -83.467995)(-20.000999 18.771000 -80.996994)(-25.001001 19.957001 -83.467995)(-15.000999 19.957001 -83.467995)(-20.000999 18.771000 -80.996994)(-25.001001 19.957001 -83.467995)(-15.000999 20.209801 -84.815002)(-15.000999 19.957001 -83.467995)(-15.000999 20.968000 -88.855995)(-15.000999 20.209801 -84.815002)(-20.000999 20.462500 -86.162003)(-15.000999 20.209801 -84.815002)(-25.001001 19.957001 -83.467995)(-20.000999 20.462500 -86.162003)(-25.001001 19.957001 -83.467995)(-25.001001 20.968000 -88.855995)(-20.000999 20.462500 -86.162003)(-25.001001 20.968000 -88.855995)(-15.000999 20.968000 -88.855995)(-20.000999 20.462500 -86.162003)(-25.001001 20.968000 -88.855995)(-15.000999 20.863701 -90.222702)(-15.000999 20.914900 -89.552002)(-25.001001 20.968000 -88.855995)(-15.000999 20.914900 -89.552002)(-15.000999 20.968000 -88.855995)(-22.000999 -45.000000 -0.005002)(-20.924000 -45.000000 6.794000)(20.921999 -45.000000 6.794000)(21.999001 -45.000000 -0.005002)(20.921999 -45.000000 6.794000)(20.921999 -23.000000 6.794000)(11.499000 -23.000000 -0.005001)(21.999001 -23.000000 -0.005001)(20.921999 -23.000000 6.794000)(10.624000 -23.000000 -4.406000)(11.499000 -23.000000 -0.005001)(11.499000 -7.000000 -0.005001)(10.624000 -23.000000 -4.406000)(11.499000 -7.000000 -0.005001)(10.624000 -7.000000 -4.406000)(-10.626000 -7.000000 -4.406000)(8.131001 -7.000000 -8.136000)(10.624000 -7.000000 -4.406000)(-10.626000 -7.000000 -4.406000)(4.400000 -7.000000 -10.629000)(8.131001 -7.000000 -8.136000)(-10.626000 -7.000000 -4.406000)(-0.000998 -7.000000 -11.505000)(4.400000 -7.000000 -10.629000)(-15.000999 19.366501 -97.692200)(-15.000999 20.096500 -95.615799)(-20.000999 19.641998 -96.908501)(-15.000999 20.096500 -95.615799)(-25.001001 20.551001 -94.322998)(-20.000999 19.641998 -96.908501)(-25.001001 20.551001 -94.322998)(-25.001001 18.733000 -99.494003)(-20.000999 19.641998 -96.908501)(-25.001001 18.733000 -99.494003)(-15.000999 18.733000 -99.494003)(-20.000999 19.641998 -96.908501)(-15.000999 18.733000 -99.494003)(-15.000999 19.366501 -97.692200)(-20.000999 19.641998 -96.908501)(-25.001001 18.733000 -99.494003)(-15.000999 17.959499 -100.625999)(-15.000999 18.733000 -99.494003)(-15.000999 15.639000 -104.019997)(-15.000999 17.959499 -100.625999)(-20.000999 17.185999 -101.756996)(-15.000999 17.959499 -100.625999)(-25.001001 18.733000 -99.494003)(-20.000999 17.185999 -101.756996)(-25.001001 18.733000 -99.494003)(-25.001001 15.639000 -104.019997)(-20.000999 17.185999 -101.756996)(-25.001001 15.639000 -104.019997)(-15.000999 15.639000 -104.019997)(-20.000999 17.185999 -101.756996)(-25.001001 15.639000 -104.019997)(-25.001001 18.733000 -99.494003)(-25.001001 11.478001 -107.589996)(-15.000999 9.489000 -71.271004)(-15.000999 7.397200 -70.535698)(-20.000999 6.903000 -70.362000)(-25.001001 9.489000 -71.271004)(-15.000999 9.489000 -71.271004)(-20.000999 6.903000 -70.362000)(-15.000999 7.397200 -70.535698)(-15.000999 5.610000 -69.907501)(-20.000999 6.903000 -70.362000)(-25.001001 4.317000 -69.453003)(-25.001001 9.489000 -71.271004)(-20.000999 6.903000 -70.362000)(-15.000999 5.610000 -69.907501)(-25.001001 4.317000 -69.453003)(-20.000999 6.903000 -70.362000)(-25.001001 9.489000 -71.271004)(-25.001001 11.478001 -107.589996)(-25.001001 14.015000 -74.366005)(-10.626000 -7.000000 -4.406000)(-4.402000 -7.000000 -10.629000)(-0.000998 -7.000000 -11.505000)(-4.402000 -7.000000 -10.629000)(-8.132999 -23.000000 -8.136000)(-4.402000 -23.000000 -10.629000)(-20.924000 -23.000000 -6.803000)(-8.132999 -23.000000 -8.136000)(-10.626000 -23.000000 -4.406000)(-20.924000 -45.000000 6.794000)(-22.000999 -45.000000 -0.005002)(-22.000999 -23.000000 -0.005001)(-22.000999 -23.000000 -0.005001)(-20.924000 -23.000000 -6.803000)(-10.626000 -23.000000 -4.406000)(-15.000999 20.551001 -94.322998)(-15.000999 20.863701 -90.222702)(-20.000999 20.759501 -91.589500)(-15.000999 20.863701 -90.222702)(-25.001001 20.968000 -88.855995)(-20.000999 20.759501 -91.589500)(-25.001001 20.968000 -88.855995)(-25.001001 20.551001 -94.322998)(-20.000999 20.759501 -91.589500)(-25.001001 20.551001 -94.322998)(-15.000999 20.551001 -94.322998)(-20.000999 20.759501 -91.589500)(-25.001001 20.551001 -94.322998)(-15.000999 20.096500 -95.615799)(-15.000999 20.551001 -94.322998)(-15.000999 10.620500 -72.044800)(-15.000999 9.489000 -71.271004)(-25.001001 9.489000 -71.271004)(-25.001001 11.478001 -107.589996)(-25.001001 17.584999 -78.526001)(-25.001001 14.015000 -74.366005)(-25.001001 11.478001 -107.589996)(-25.001001 19.957001 -83.467995)(-25.001001 17.584999 -78.526001)(-25.001001 11.478001 -107.589996)(-25.001001 20.968000 -88.855995)(-25.001001 19.957001 -83.467995)(-20.924000 -45.000000 6.794000)(17.797001 -45.000000 12.927000)(20.921999 -45.000000 6.794000)(20.921999 -45.000000 6.794000)(17.797001 -23.000000 12.927000)(20.921999 -23.000000 6.794000)(10.624000 -23.000000 4.396000)(11.499000 -23.000000 -0.005001)(20.921999 -23.000000 6.794000)(11.499000 -23.000000 -0.005001)(10.624000 -7.000000 4.396000)(11.499000 -7.000000 -0.005001)(-10.626000 -7.000000 -4.406000)(10.624000 -7.000000 -4.406000)(11.499000 -7.000000 -0.005001)(-25.001001 18.733000 -99.494003)(-25.001001 20.551001 -94.322998)(-25.001001 11.478001 -107.589996)(-4.402000 -7.000000 -10.629000)(-10.626000 -7.000000 -4.406000)(-8.132999 -7.000000 -8.136000)(-4.402000 -7.000000 -10.629000)(-8.132999 -7.000000 -8.136000)(-8.132999 -23.000000 -8.136000)(-10.626000 -23.000000 -4.406000)(-8.132999 -23.000000 -8.136000)(-8.132999 -7.000000 -8.136000)(-20.924000 -45.000000 6.794000)(-22.000999 -23.000000 -0.005001)(-20.924000 -23.000000 6.794000)(-22.000999 -23.000000 -0.005001)(-10.626000 -23.000000 -4.406000)(-11.501000 -23.000000 -0.005001)(-25.001001 11.478001 -107.589996)(-25.001001 20.551001 -94.322998)(-25.001001 20.968000 -88.855995)(-20.924000 -45.000000 6.794000)(-17.799000 -45.000000 12.927000)(17.797001 -45.000000 12.927000)(20.921999 -45.000000 6.794000)(17.797001 -45.000000 12.927000)(17.797001 -23.000000 12.927000)(8.131001 -23.000000 8.127000)(20.921999 -23.000000 6.794000)(17.797001 -23.000000 12.927000)(8.131001 -23.000000 8.127000)(10.624000 -23.000000 4.396000)(20.921999 -23.000000 6.794000)(11.499000 -23.000000 -0.005001)(10.624000 -23.000000 4.396000)(10.624000 -7.000000 4.396000)(-10.626000 -7.000000 -4.406000)(11.499000 -7.000000 -0.005001)(10.624000 -7.000000 4.396000)(-10.626000 -23.000000 -4.406000)(-8.132999 -7.000000 -8.136000)(-10.626000 -7.000000 -4.406000)(-17.799000 -45.000000 12.927000)(-20.924000 -45.000000 6.794000)(-20.924000 -23.000000 6.794000)(-20.924000 -23.000000 6.794000)(-22.000999 -23.000000 -0.005001)(-10.626000 -23.000000 4.396000)(-22.000999 -23.000000 -0.005001)(-11.501000 -23.000000 -0.005001)(-10.626000 -23.000000 4.396000)(-11.501000 -23.000000 -0.005001)(-10.626000 -23.000000 -4.406000)(-10.626000 -7.000000 -4.406000)(-17.799000 -45.000000 12.927000)(12.930000 -45.000000 17.794001)(17.797001 -45.000000 12.927000)(12.930000 -23.000000 17.794001)(17.797001 -23.000000 12.927000)(17.797001 -45.000000 12.927000)(4.400000 -23.000000 10.620000)(8.131001 -23.000000 8.127000)(17.797001 -23.000000 12.927000)(10.624000 -23.000000 4.396000)(8.131001 -23.000000 8.127000)(8.131001 -7.000000 8.127000)(10.624000 -23.000000 4.396000)(8.131001 -7.000000 8.127000)(10.624000 -7.000000 4.396000)(-10.626000 -7.000000 -4.406000)(10.624000 -7.000000 4.396000)(8.131001 -7.000000 8.127000)(-17.799000 -45.000000 12.927000)(-20.924000 -23.000000 6.794000)(-17.799000 -23.000000 12.927000)(-20.924000 -23.000000 6.794000)(-10.626000 -23.000000 4.396000)(-8.132999 -23.000000 8.127000)(-10.626000 -23.000000 4.396000)(-11.501000 -23.000000 -0.005001)(-11.501000 -7.000000 -0.005001)(-11.501000 -23.000000 -0.005001)(-10.626000 -7.000000 -4.406000)(-11.501000 -7.000000 -0.005001)(-17.799000 -45.000000 12.927000)(-12.932000 -45.000000 17.794001)(12.930000 -45.000000 17.794001)(12.930000 -23.000000 17.794001)(17.797001 -45.000000 12.927000)(12.930000 -45.000000 17.794001)(12.930000 -23.000000 17.794001)(-17.799000 -23.000000 12.927000)(17.797001 -23.000000 12.927000)(4.400000 -23.000000 10.620000)(17.797001 -23.000000 12.927000)(-0.000997 -23.000000 11.495000)(4.400000 -7.000000 10.620000)(8.131001 -23.000000 8.127000)(4.400000 -23.000000 10.620000)(4.400000 -7.000000 10.620000)(8.131001 -7.000000 8.127000)(8.131001 -23.000000 8.127000)(4.400000 -7.000000 10.620000)(-10.626000 -7.000000 -4.406000)(8.131001 -7.000000 8.127000)(-17.799000 -23.000000 12.927000)(-12.932000 -45.000000 17.794001)(-17.799000 -45.000000 12.927000)(-17.799000 -23.000000 12.927000)(-20.924000 -23.000000 6.794000)(-8.132999 -23.000000 8.127000)(-8.132999 -23.000000 8.127000)(-10.626000 -23.000000 4.396000)(-10.626000 -7.000000 4.396000)(-10.626000 -23.000000 4.396000)(-11.501000 -7.000000 -0.005001)(-10.626000 -7.000000 4.396000)(-11.501000 -7.000000 -0.005001)(-10.626000 -7.000000 -4.406000)(-10.626000 -7.000000 4.396000)(6.797000 -45.000000 20.918001)(12.930000 -45.000000 17.794001)(-12.932000 -45.000000 17.794001)(6.797000 -23.000000 20.918001)(12.930000 -23.000000 17.794001)(12.930000 -45.000000 17.794001)(-12.932000 -23.000000 17.794001)(-17.799000 -23.000000 12.927000)(12.930000 -23.000000 17.794001)(-0.000997 -23.000000 11.495000)(17.797001 -23.000000 12.927000)(-17.799000 -23.000000 12.927000)(-0.000997 -7.000000 11.495000)(4.400000 -23.000000 10.620000)(-0.000997 -23.000000 11.495000)(-0.000997 -7.000000 11.495000)(4.400000 -7.000000 10.620000)(4.400000 -23.000000 10.620000)(-0.000997 -7.000000 11.495000)(-10.626000 -7.000000 -4.406000)(4.400000 -7.000000 10.620000)(-17.799000 -23.000000 12.927000)(-12.932000 -23.000000 17.794001)(-12.932000 -45.000000 17.794001)(-17.799000 -23.000000 12.927000)(-8.132999 -23.000000 8.127000)(-4.402000 -23.000000 10.620000)(-8.132999 -23.000000 8.127000)(-10.626000 -7.000000 4.396000)(-8.132999 -7.000000 8.127000)(-10.626000 -7.000000 4.396000)(-10.626000 -7.000000 -4.406000)(-8.132999 -7.000000 8.127000)(-6.799000 -45.000000 20.918001)(6.797000 -45.000000 20.918001)(-12.932000 -45.000000 17.794001)(6.797000 -23.000000 20.918001)(12.930000 -45.000000 17.794001)(6.797000 -45.000000 20.918001)(12.930000 -23.000000 17.794001)(6.797000 -23.000000 20.918001)(-12.932000 -23.000000 17.794001)(-0.000997 -23.000000 11.495000)(-17.799000 -23.000000 12.927000)(-4.402000 -23.000000 10.620000)(-4.402000 -7.000000 10.620000)(-0.000997 -7.000000 11.495000)(-0.000997 -23.000000 11.495000)(-4.402000 -7.000000 10.620000)(-10.626000 -7.000000 -4.406000)(-0.000997 -7.000000 11.495000)(-12.932000 -23.000000 17.794001)(-6.799000 -45.000000 20.918001)(-12.932000 -45.000000 17.794001)(-8.132999 -7.000000 8.127000)(-4.402000 -23.000000 10.620000)(-8.132999 -23.000000 8.127000)(-8.132999 -7.000000 8.127000)(-10.626000 -7.000000 -4.406000)(-4.402000 -7.000000 10.620000)(-0.000997 -45.000000 21.995001)(6.797000 -45.000000 20.918001)(-6.799000 -45.000000 20.918001)(-0.000997 -23.000000 21.995001)(6.797000 -23.000000 20.918001)(6.797000 -45.000000 20.918001)(-12.932000 -23.000000 17.794001)(6.797000 -23.000000 20.918001)(-6.799000 -23.000000 20.918001)(-4.402000 -7.000000 10.620000)(-0.000997 -23.000000 11.495000)(-4.402000 -23.000000 10.620000)(-12.932000 -23.000000 17.794001)(-6.799000 -23.000000 20.918001)(-6.799000 -45.000000 20.918001)(-8.132999 -7.000000 8.127000)(-4.402000 -7.000000 10.620000)(-4.402000 -23.000000 10.620000)(-6.799000 -23.000000 20.918001)(-0.000997 -45.000000 21.995001)(-6.799000 -45.000000 20.918001)(-0.000997 -23.000000 21.995001)(6.797000 -45.000000 20.918001)(-0.000997 -45.000000 21.995001)(6.797000 -23.000000 20.918001)(-0.000997 -23.000000 21.995001)(-6.799000 -23.000000 20.918001)(-6.799000 -23.000000 20.918001)(-0.000997 -23.000000 21.995001)(-0.000997 -45.000000 21.995001)(33.499001 -35.396999 -58.429001)(33.499001 -36.284000 -53.727001)(33.499001 -21.268002 -97.663002)(33.499001 -36.284000 -53.727001)(33.499001 -35.601002 -48.801998)(33.499001 -21.268002 -97.663002)(14.999001 -21.875999 -97.882004)(33.499001 -35.396999 -58.429001)(33.499001 -21.268002 -97.663002)(14.999001 -36.005001 -58.648003)(33.499001 -36.284000 -53.727001)(33.499001 -35.396999 -58.429001)(33.499001 -35.601002 -48.801998)(33.499001 -33.355999 -44.365997)(33.499001 -21.268002 -97.663002)(14.999001 -36.930000 -53.745003)(33.499001 -35.601002 -48.801998)(33.499001 -36.284000 -53.727001)(14.999001 -21.532000 -98.779999)(14.999001 -21.875999 -97.882004)(33.499001 -21.268002 -97.663002)(14.999001 -36.005001 -58.648003)(33.499001 -35.396999 -58.429001)(14.999001 -22.287600 -96.738998)(14.999001 -22.287600 -96.738998)(33.499001 -35.396999 -58.429001)(14.999001 -21.875999 -97.882004)(14.999001 -36.880199 -54.009201)(14.999001 -36.930000 -53.745003)(33.499001 -36.284000 -53.727001)(14.999001 -36.005001 -58.648003)(14.999001 -36.880199 -54.009201)(33.499001 -36.284000 -53.727001)(33.499001 -33.355999 -44.365997)(33.499001 -29.792000 -40.899002)(33.499001 -21.268002 -97.663002)(15.115200 -36.200001 -48.583298)(33.499001 -33.355999 -44.365997)(33.499001 -35.601002 -48.801998)(15.112301 -36.214199 -48.611202)(15.115200 -36.200001 -48.583298)(33.499001 -35.601002 -48.801998)(14.999001 -36.930000 -53.745003)(14.999001 -36.369801 -49.704998)(33.499001 -35.601002 -48.801998)(14.999001 -36.369801 -49.704998)(15.112301 -36.214199 -48.611202)(33.499001 -35.601002 -48.801998)(14.999001 -21.532000 -98.779999)(33.499001 -21.268002 -97.663002)(33.499001 -20.933001 -98.536003)(33.499001 -29.792000 -40.899002)(33.499001 -25.296001 -38.776001)(33.499001 -21.268002 -97.663002)(33.499001 -33.355999 -44.365997)(15.590500 -33.860298 -43.995201)(15.597900 -33.786697 -43.924000)(33.499001 -29.792000 -40.899002)(33.499001 -33.355999 -44.365997)(15.602201 -33.743797 -43.882500)(33.499001 -33.355999 -44.365997)(15.597900 -33.786697 -43.924000)(15.602201 -33.743797 -43.882500)(15.115200 -36.200001 -48.583298)(15.590500 -33.860298 -43.995201)(33.499001 -33.355999 -44.365997)(14.999001 -20.730600 -100.167999)(14.999001 -21.532000 -98.779999)(33.499001 -20.933001 -98.536003)(14.999001 -18.365999 -104.264000)(14.999001 -20.730600 -100.167999)(33.499001 -20.933001 -98.536003)(33.499001 -17.855000 -103.868004)(33.499001 -20.933001 -98.536003)(33.499001 -21.268002 -97.663002)(33.499001 -25.296001 -38.776001)(33.499001 -20.353001 -38.229000)(33.499001 -21.268002 -97.663002)(33.499001 -25.296001 -38.776001)(33.499001 -29.792000 -40.899002)(15.974899 -29.903400 -40.284000)(33.499001 -29.792000 -40.899002)(15.963400 -30.140800 -40.395699)(15.974899 -29.903400 -40.284000)(33.499001 -29.792000 -40.899002)(15.602201 -33.743797 -43.882500)(15.963400 -30.140800 -40.395699)(14.999001 -18.365999 -104.264000)(33.499001 -20.933001 -98.536003)(33.499001 -17.855000 -103.868004)(33.499001 -17.855000 -103.868004)(14.999001 -13.837000 -108.690002)(14.999001 -16.368999 -106.215996)(33.499001 -17.855000 -103.868004)(14.999001 -16.368999 -106.215996)(14.999001 -18.365999 -104.264000)(33.499001 -13.453000 -108.170998)(33.499001 -17.855000 -103.868004)(33.499001 -21.268002 -97.663002)(33.499001 -20.353001 -38.229000)(33.499001 -15.501000 -39.317001)(33.499001 -21.268002 -97.663002)(33.499001 -20.353001 -38.229000)(33.499001 -25.296001 -38.776001)(16.195000 -25.140099 -38.159798)(33.499001 -25.296001 -38.776001)(16.191299 -25.459700 -38.195000)(16.195000 -25.140099 -38.159798)(33.499001 -25.296001 -38.776001)(15.974899 -29.903400 -40.284000)(16.191299 -25.459700 -38.195000)(33.499001 -20.353001 -38.229000)(16.195000 -25.140099 -38.159798)(16.215200 -23.370899 -37.964401)(33.499001 -20.353001 -38.229000)(16.215200 -23.370899 -37.964401)(16.250099 -20.320400 -37.627602)(33.499001 -17.855000 -103.868004)(33.499001 -13.453000 -108.170998)(14.999001 -13.837000 -108.690002)(33.499001 -13.453000 -108.170998)(14.999001 -8.283000 -111.730003)(14.999001 -10.494699 -110.518997)(33.499001 -13.453000 -108.170998)(14.999001 -10.494699 -110.518997)(14.999001 -13.837000 -108.690002)(33.499001 -8.053000 -111.126999)(33.499001 -13.453000 -108.170998)(33.499001 -21.268002 -97.663002)(33.499001 -15.501000 -39.317001)(33.499001 -11.265000 -41.921001)(33.499001 -21.268002 -97.663002)(33.499001 -15.501000 -39.317001)(33.499001 -20.353001 -38.229000)(16.242599 -19.994200 -37.700500)(33.499001 -20.353001 -38.229000)(16.250099 -20.320400 -37.627602)(16.242599 -19.994200 -37.700500)(14.999001 7.181030 -62.478699)(14.999001 17.759998 -74.999001)(33.499001 17.265999 -75.416000)(14.999001 7.181030 -62.478699)(33.499001 17.265999 -75.416000)(14.999001 1.998640 -56.345299)(14.999001 1.998640 -56.345299)(33.499001 17.265999 -75.416000)(14.999001 0.209368 -54.227600)(33.499001 17.265999 -75.416000)(15.574500 -8.332170 -44.149799)(14.999001 0.209368 -54.227600)(33.499001 -15.501000 -39.317001)(16.242599 -19.994200 -37.700500)(16.133299 -15.272901 -38.754700)(33.499001 -11.265000 -41.921001)(33.499001 -15.501000 -39.317001)(16.117100 -15.016700 -38.911598)(33.499001 -15.501000 -39.317001)(16.133299 -15.272901 -38.754700)(16.117100 -15.016700 -38.911598)(33.499001 -11.265000 -41.921001)(16.117100 -15.016700 -38.911598)(15.853601 -10.860600 -41.455502)(33.499001 -11.265000 -41.921001)(15.853601 -10.860600 -41.455502)(15.845799 -10.786400 -41.530502)(33.499001 -9.648000 -43.563000)(33.499001 -11.265000 -41.921001)(15.845799 -10.786400 -41.530502)(15.845799 -10.786400 -41.530502)(15.676901 -9.172100 -43.161301)(33.499001 -9.648000 -43.563000)(15.676901 -9.172100 -43.161301)(15.574500 -8.332170 -44.149799)(33.499001 -9.648000 -43.563000)(15.574500 -8.332170 -44.149799)(33.499001 17.265999 -75.416000)(33.499001 -9.648000 -43.563000)(33.499001 -13.453000 -108.170998)(33.499001 -8.053000 -111.126999)(14.999001 -8.283000 -111.730003)(33.499001 -8.053000 -111.126999)(14.999001 -2.115000 -113.159004)(14.999001 -3.669320 -112.799004)(33.499001 -8.053000 -111.126999)(14.999001 -3.669320 -112.799004)(14.999001 -8.283000 -111.730003)(33.499001 -8.053000 -111.126999)(33.499001 -21.268002 -97.663002)(33.499001 -2.055990 -112.515999)(-15.000999 -11.035600 -70.927597)(-15.000999 -9.772000 -70.078003)(-41.000999 -9.772000 -70.078003)(-15.000999 -14.743999 -73.421005)(-15.000999 -11.035600 -70.927597)(-41.000999 -9.772000 -70.078003)(-41.000999 -14.743999 -73.421005)(-15.000999 -18.629000 -77.981003)(-15.000999 -14.743999 -73.421005)(-41.000999 -18.629000 -77.981003)(-15.000999 -21.141001 -83.420998)(-15.000999 -18.629000 -77.981003)(-41.000999 -21.141001 -83.419998)(-15.000999 -21.164000 -83.495995)(-15.000999 -21.141001 -83.420998)(-41.000999 -21.164000 -83.495995)(-15.000999 -21.985001 -85.098999)(-15.000999 -21.164000 -83.495995)(-15.000999 -23.452002 -86.386002)(-15.000999 -21.985001 -85.098999)(-41.000999 -21.985001 -85.098999)(-15.000999 -25.299000 -87.013000)(-15.000999 -23.452002 -86.386002)(-41.000999 -23.452002 -86.386002)(-15.000999 -27.246000 -86.884995)(-15.000999 -25.299000 -87.013000)(-41.000999 -25.299000 -87.013000)(-15.000999 -28.996000 -86.021996)(-15.000999 -27.246000 -86.884995)(-41.000999 -27.246000 -86.884995)(-41.000999 -28.996000 -86.021996)(-15.000999 -30.282000 -84.555000)(-15.000999 -28.996000 -86.021996)(-41.000999 -30.282000 -84.555000)(-15.000999 -30.844000 -83.085999)(-15.000999 -30.282000 -84.555000)(-41.000999 -36.765999 -54.980999)(-15.000999 -36.765999 -54.980999)(-15.000999 -30.844000 -83.085999)(-41.000999 -36.765999 -54.980999)(-15.000999 -37.048000 -50.746002)(-15.000999 -36.831100 -54.003201)(-41.000999 -36.765999 -54.980999)(-15.000999 -36.831100 -54.003201)(-15.000999 -36.765999 -54.980999)(-41.000999 -37.048000 -50.746002)(-15.341101 -36.061100 -46.422298)(-15.000999 -36.810402 -49.704998)(-41.000999 -37.048000 -50.746002)(-15.000999 -36.810402 -49.704998)(-15.000999 -37.048000 -50.746002)(33.499001 -11.265000 -41.921001)(33.499001 -9.648000 -43.563000)(33.499001 -21.268002 -97.663002)(14.999001 17.759998 -74.999001)(33.499001 19.576000 -78.702003)(33.499001 17.265999 -75.416000)(33.499001 17.265999 -75.416000)(33.499001 -21.268002 -97.663002)(33.499001 -2.001000 -70.612999)(33.499001 -21.268002 -97.663002)(33.499001 -9.648000 -43.563000)(33.499001 -2.001000 -70.612999)(33.499001 -9.648000 -43.563000)(33.499001 17.265999 -75.416000)(33.499001 -2.001000 -70.612999)(33.499001 -8.053000 -111.126999)(33.499001 -2.055990 -112.515999)(14.999001 -2.115000 -113.159004)(33.499001 -2.055990 -112.515999)(14.999001 4.211010 -112.871002)(14.999001 3.492860 -112.903999)(33.499001 -2.055990 -112.515999)(14.999001 3.492860 -112.903999)(14.999001 -2.115000 -113.159004)(33.499001 -2.055990 -112.515999)(33.499001 -21.268002 -97.663002)(33.499001 4.094000 -112.236000)(-15.000999 -4.450680 -68.322601)(-15.000999 -4.082000 -68.200996)(-41.000999 -4.082000 -68.199997)(-15.000999 -6.788090 -69.093697)(-15.000999 -4.450680 -68.322601)(-41.000999 -4.082000 -68.199997)(-15.000999 -9.772000 -70.078003)(-15.000999 -9.385249 -69.950401)(-41.000999 -4.082000 -68.199997)(-15.000999 -9.385249 -69.950401)(-15.000999 -6.788090 -69.093697)(-41.000999 -4.082000 -68.199997)(-15.000999 -9.772000 -70.078003)(-41.000999 -4.082000 -68.199997)(-41.000999 -9.772000 -70.078003)(-15.000999 -14.743999 -73.421005)(-41.000999 -9.772000 -70.078003)(-41.000999 -14.743999 -73.421005)(-41.000999 -14.743999 -73.421005)(-41.000999 -18.629000 -77.981003)(-15.000999 -18.629000 -77.981003)(-41.000999 -18.629000 -77.981003)(-41.000999 -21.141001 -83.419998)(-15.000999 -21.141001 -83.420998)(-41.000999 -21.141001 -83.419998)(-41.000999 -21.164000 -83.495995)(-15.000999 -21.164000 -83.495995)(-41.000999 -21.164000 -83.495995)(-41.000999 -21.985001 -85.098999)(-15.000999 -21.985001 -85.098999)(-15.000999 -23.452002 -86.386002)(-41.000999 -21.985001 -85.098999)(-41.000999 -23.452002 -86.386002)(-15.000999 -25.299000 -87.013000)(-41.000999 -23.452002 -86.386002)(-41.000999 -25.299000 -87.013000)(-15.000999 -27.246000 -86.884995)(-41.000999 -25.299000 -87.013000)(-41.000999 -27.246000 -86.884995)(-15.000999 -28.996000 -86.021996)(-41.000999 -27.246000 -86.884995)(-41.000999 -28.996000 -86.021996)(-41.000999 -28.996000 -86.021996)(-41.000999 -30.282000 -84.555000)(-15.000999 -30.282000 -84.555000)(-41.000999 -30.282000 -84.555000)(-41.000999 -30.844000 -83.085999)(-15.000999 -30.844000 -83.085999)(-41.000999 -30.844000 -83.085999)(-41.000999 -36.765999 -54.980999)(-15.000999 -30.844000 -83.085999)(-41.000999 -36.765999 -54.980999)(-41.000999 -37.048000 -50.746002)(-15.000999 -37.048000 -50.746002)(-41.000999 -37.048000 -50.746002)(-41.000999 -36.048000 -46.365002)(-15.341101 -36.061100 -46.422298)(-41.000999 -36.048000 -46.365002)(-15.347000 -36.048000 -46.365002)(-15.341101 -36.061100 -46.422298)(-41.000999 -36.048000 -46.365002)(-15.738601 -33.865700 -42.584400)(-15.535100 -35.000099 -44.549500)(-41.000999 -36.048000 -46.365002)(-15.535100 -35.000099 -44.549500)(-15.347000 -36.048000 -46.365002)(14.999001 23.243999 -90.534004)(33.499001 22.599001 -90.519005)(24.249001 22.566999 -87.424797)(14.999001 22.538399 -84.360397)(14.999001 23.243999 -90.534004)(24.249001 22.566999 -87.424797)(33.499001 22.599001 -90.519005)(14.999001 22.525000 -84.242996)(24.249001 22.566999 -87.424797)(14.999001 22.525000 -84.242996)(14.999001 22.538399 -84.360397)(24.249001 22.566999 -87.424797)(33.499001 21.899000 -84.403000)(14.999001 20.135000 -78.378998)(14.999001 22.525000 -84.242996)(14.999001 17.759998 -74.999001)(14.999001 20.135000 -78.378998)(33.499001 19.576000 -78.702003)(33.499001 -21.268002 -97.663002)(33.499001 17.265999 -75.416000)(33.499001 19.576000 -78.702003)(33.499001 -2.055990 -112.515999)(33.499001 4.094000 -112.236000)(14.999001 4.211010 -112.871002)(33.499001 4.094000 -112.236000)(14.999001 10.224000 -110.887001)(14.999001 4.211010 -112.871002)(33.499001 9.940009 -110.306999)(14.999001 15.479000 -107.354004)(14.999001 10.350900 -110.802002)(33.499001 9.940009 -110.306999)(14.999001 10.350900 -110.802002)(14.999001 10.224000 -110.887001)(33.499001 4.094000 -112.236000)(33.499001 -21.268002 -97.663002)(33.499001 9.940009 -110.306999)(-15.000999 -4.082000 -68.200996)(-41.000999 1.903000 -67.928001)(-41.000999 -4.082000 -68.199997)(-41.000999 -9.772000 -70.078003)(-41.000999 -4.082000 -68.199997)(-41.000999 -11.949000 -40.652000)(-41.000999 -14.743999 -73.421005)(-41.000999 -9.772000 -70.078003)(-41.000999 -11.949000 -40.652000)(-41.000999 -18.629000 -77.981003)(-41.000999 -14.743999 -73.421005)(-41.000999 -11.949000 -40.652000)(-41.000999 -21.141001 -83.419998)(-41.000999 -18.629000 -77.981003)(-41.000999 -11.949000 -40.652000)(-41.000999 -21.164000 -83.495995)(-41.000999 -21.141001 -83.419998)(-41.000999 -11.949000 -40.652000)(-41.000999 -21.985001 -85.098999)(-41.000999 -21.164000 -83.495995)(-41.000999 -11.949000 -40.652000)(-41.000999 -23.452002 -86.386002)(-41.000999 -21.985001 -85.098999)(-41.000999 -11.949000 -40.652000)(-41.000999 -25.299000 -87.013000)(-41.000999 -23.452002 -86.386002)(-41.000999 -11.949000 -40.652000)(-41.000999 -27.246000 -86.884995)(-41.000999 -25.299000 -87.013000)(-41.000999 -11.949000 -40.652000)(-41.000999 -28.996000 -86.021996)(-41.000999 -27.246000 -86.884995)(-41.000999 -11.949000 -40.652000)(-41.000999 -30.282000 -84.555000)(-41.000999 -28.996000 -86.021996)(-41.000999 -11.949000 -40.652000)(-41.000999 -30.844000 -83.085999)(-41.000999 -30.282000 -84.555000)(-41.000999 -11.949000 -40.652000)(-41.000999 -36.765999 -54.980999)(-41.000999 -30.844000 -83.085999)(-41.000999 -11.949000 -40.652000)(-41.000999 -37.048000 -50.746002)(-41.000999 -36.765999 -54.980999)(-41.000999 -11.949000 -40.652000)(-41.000999 -36.048000 -46.365002)(-41.000999 -37.048000 -50.746002)(-41.000999 -11.949000 -40.652000)(-41.000999 -36.048000 -46.365002)(-41.000999 -33.801998 -42.474003)(-15.738601 -33.865700 -42.584400)(-41.000999 -33.801998 -42.474003)(-15.750101 -33.801998 -42.474003)(-15.738601 -33.865700 -42.584400)(-16.053799 -30.641399 -39.541698)(-15.750101 -33.801998 -42.474003)(-41.000999 -33.801998 -42.474003)(-16.066599 -30.508001 -39.417999)(-16.053799 -30.641399 -39.541698)(-41.000999 -30.508001 -39.417999)(-16.053799 -30.641399 -39.541698)(-41.000999 -33.801998 -42.474003)(-41.000999 -30.508001 -39.417999)(-16.258900 -26.654900 -37.562298)(-16.066599 -30.508001 -39.417999)(-41.000999 -30.508001 -39.417999)(-16.268600 -26.459000 -37.468002)(-16.258900 -26.654900 -37.562298)(-41.000999 -26.459000 -37.468002)(-16.258900 -26.654900 -37.562298)(-41.000999 -30.508001 -39.417999)(-41.000999 -26.459000 -37.468002)(-16.317400 -23.336800 -36.997200)(-16.268600 -26.459000 -37.468002)(-41.000999 -26.459000 -37.468002)(-16.334499 -22.243900 -36.832401)(-16.317400 -23.336800 -36.997200)(-41.000999 -26.459000 -37.468002)(14.999001 22.854799 -92.957397)(14.999001 22.240000 -96.786003)(33.499001 21.622000 -96.597000)(14.999001 23.243999 -90.534004)(14.999001 22.854799 -92.957397)(33.499001 21.622000 -96.597000)(14.999001 23.243999 -90.534004)(33.499001 21.622000 -96.597000)(33.499001 22.599001 -90.519005)(14.999001 22.525000 -84.242996)(33.499001 22.599001 -90.519005)(33.499001 21.899000 -84.403000)(33.499001 21.899000 -84.403000)(33.499001 19.576000 -78.702003)(14.999001 20.135000 -78.378998)(33.499001 -21.268002 -97.663002)(33.499001 19.576000 -78.702003)(33.499001 21.899000 -84.403000)(-16.337999 -22.016001 -36.798000)(-16.334499 -22.243900 -36.832401)(-41.000999 -22.016001 -36.798000)(-16.334499 -22.243900 -36.832401)(-41.000999 -26.459000 -37.468002)(-41.000999 -22.016001 -36.798000)(-16.271999 -17.790199 -37.435200)(-16.337999 -22.016001 -36.798000)(-41.000999 -22.016001 -36.798000)(-16.268600 -17.573000 -37.468002)(-16.271999 -17.790199 -37.435200)(-41.000999 -17.573000 -37.468002)(-16.271999 -17.790199 -37.435200)(-41.000999 -22.016001 -36.798000)(-41.000999 -17.573000 -37.468002)(-16.075001 -13.691299 -39.337502)(-16.268600 -17.573000 -37.468002)(-41.000999 -17.573000 -37.468002)(-16.066599 -13.523999 -39.417999)(-16.075001 -13.691299 -39.337502)(-41.000999 -13.523999 -39.417999)(-16.075001 -13.691299 -39.337502)(-41.000999 -17.573000 -37.468002)(-41.000999 -13.523999 -39.417999)(-15.943400 -12.006101 -40.607300)(-16.066599 -13.523999 -39.417999)(-41.000999 -13.523999 -39.417999)(-15.938800 -11.949000 -40.652000)(-15.943400 -12.006101 -40.607300)(-41.000999 -11.949000 -40.652000)(-15.943400 -12.006101 -40.607300)(-41.000999 -13.523999 -39.417999)(-41.000999 -11.949000 -40.652000)(-15.010400 -1.960590 -49.614002)(-15.938800 -11.949000 -40.652000)(-41.000999 -11.949000 -40.652000)(-15.000999 -1.343110 -50.167999)(-15.000999 -1.412670 -50.105602)(-41.000999 -11.949000 -40.652000)(-15.000999 -1.412670 -50.105602)(-15.000999 -1.566190 -49.967800)(-41.000999 -11.949000 -40.652000)(-15.000999 -1.566190 -49.967800)(-15.010400 -1.960590 -49.614002)(-41.000999 -11.949000 -40.652000)(-15.000999 -1.343110 -50.167999)(-41.000999 -11.949000 -40.652000)(-15.000999 9.429999 -59.834000)(-15.000999 11.031099 -63.162296)(-15.000999 11.048000 -62.903004)(-15.000999 10.990100 -63.119202)(-15.000999 10.990100 -63.119202)(-15.000999 11.048000 -62.903004)(-15.000999 10.906300 -63.031197)(-15.000999 8.390010 -60.388802)(-15.000999 -1.343110 -50.167999)(-15.000999 9.429999 -59.834000)(-15.000999 11.048000 -62.903004)(-15.000999 10.874801 -62.998199)(-15.000999 10.906300 -63.031197)(-15.000999 9.429999 -59.834000)(-15.000999 8.390010 -60.388802)(-15.000999 8.443419 -60.444901)(-15.000999 11.048000 -62.903004)(-15.000999 10.874801 -62.998199)(-15.000999 10.339600 -62.026600)(-15.000999 10.874801 -62.998199)(-15.000999 9.631229 -61.692200)(-15.000999 10.339600 -62.026600)(-15.000999 9.631229 -61.692200)(-15.000999 10.421000 -61.055000)(-15.000999 10.339600 -62.026600)(-15.000999 10.421000 -61.055000)(-15.000999 11.048000 -62.903004)(-15.000999 10.339600 -62.026600)(-15.000999 10.421000 -61.055000)(-15.000999 9.470420 -61.523399)(-15.000999 9.432210 -60.678703)(-15.000999 9.470420 -61.523399)(-15.000999 8.443419 -60.444901)(-15.000999 9.432210 -60.678703)(-15.000999 8.443419 -60.444901)(-15.000999 9.429999 -59.834000)(-15.000999 9.432210 -60.678703)(-15.000999 9.429999 -59.834000)(-15.000999 10.421000 -61.055000)(-15.000999 9.432210 -60.678703)(-15.000999 9.631229 -61.692200)(-15.000999 9.470420 -61.523399)(-15.000999 10.421000 -61.055000)(14.999001 10.224000 -110.887001)(33.499001 4.094000 -112.236000)(33.499001 9.940009 -110.306999)(33.499001 9.940009 -110.306999)(33.499001 15.049001 -106.872002)(14.999001 15.479000 -107.354004)(14.999001 16.225500 -106.477997)(14.999001 15.479000 -107.354004)(33.499001 15.049001 -106.872002)(14.999001 19.585001 -102.535004)(14.999001 16.225500 -106.477997)(33.499001 15.049001 -106.872002)(33.499001 9.940009 -110.306999)(33.499001 -21.268002 -97.663002)(33.499001 15.049001 -106.872002)(-41.000999 -4.082000 -68.199997)(-41.000999 1.903000 -67.928001)(-41.000999 -11.949000 -40.652000)(-15.000999 1.836030 -67.931099)(-15.000999 1.903000 -67.928001)(-41.000999 1.903000 -67.928001)(-15.000999 -0.254233 -68.026398)(-15.000999 1.836030 -67.931099)(-41.000999 1.903000 -67.928001)(-15.000999 -4.082000 -68.200996)(-15.000999 -2.334300 -68.121300)(-41.000999 1.903000 -67.928001)(-15.000999 -2.334300 -68.121300)(-15.000999 -0.254233 -68.026398)(-41.000999 1.903000 -67.928001)(-41.000999 -33.801998 -42.474003)(-41.000999 -36.048000 -46.365002)(-41.000999 -11.949000 -40.652000)(-41.000999 -30.508001 -39.417999)(-41.000999 -33.801998 -42.474003)(-41.000999 -11.949000 -40.652000)(-41.000999 -26.459000 -37.468002)(-41.000999 -30.508001 -39.417999)(-41.000999 -11.949000 -40.652000)(14.999001 20.565300 -100.412003)(14.999001 19.585001 -102.535004)(33.499001 19.041000 -102.186996)(14.999001 22.240000 -96.786003)(14.999001 20.565300 -100.412003)(33.499001 19.041000 -102.186996)(14.999001 22.240000 -96.786003)(33.499001 19.041000 -102.186996)(33.499001 21.622000 -96.597000)(33.499001 -21.268002 -97.663002)(33.499001 22.599001 -90.519005)(33.499001 21.622000 -96.597000)(33.499001 -21.268002 -97.663002)(33.499001 21.899000 -84.403000)(33.499001 22.599001 -90.519005)(-41.000999 -22.016001 -36.798000)(-41.000999 -26.459000 -37.468002)(-41.000999 -11.949000 -40.652000)(-41.000999 -17.573000 -37.468002)(-41.000999 -22.016001 -36.798000)(-41.000999 -11.949000 -40.652000)(-41.000999 -13.523999 -39.417999)(-41.000999 -17.573000 -37.468002)(-41.000999 -11.949000 -40.652000)(-15.000999 9.429999 -59.834000)(-41.000999 -11.949000 -40.652000)(-41.000999 9.429999 -59.834000)(-41.000999 11.048000 -62.903004)(-15.000999 10.921000 -64.850006)(-15.000999 11.008700 -63.505096)(-41.000999 11.048000 -62.903004)(-15.000999 11.008700 -63.505096)(-15.000999 11.031099 -63.162296)(-41.000999 11.048000 -62.903004)(-15.000999 11.031099 -63.162296)(-15.000999 11.048000 -62.903004)(-41.000999 10.421000 -61.055000)(-15.000999 11.048000 -62.903004)(-15.000999 10.421000 -61.055000)(-41.000999 9.429999 -59.834000)(-15.000999 10.421000 -61.055000)(-15.000999 9.429999 -59.834000)(14.999001 19.585001 -102.535004)(33.499001 15.049001 -106.872002)(33.499001 19.041000 -102.186996)(33.499001 -21.268002 -97.663002)(33.499001 19.041000 -102.186996)(33.499001 15.049001 -106.872002)(-41.000999 1.903000 -67.928001)(-41.000999 4.945000 -68.421997)(-41.000999 -11.949000 -40.652000)(-15.000999 1.903000 -67.928001)(-41.000999 4.945000 -68.421997)(-41.000999 1.903000 -67.928001)(33.499001 -21.268002 -97.663002)(33.499001 21.622000 -96.597000)(33.499001 19.041000 -102.186996)(-41.000999 10.921000 -64.848999)(-15.000999 10.058000 -66.598999)(-15.000999 10.064100 -66.586601)(-41.000999 10.921000 -64.848999)(-15.000999 10.064100 -66.586601)(-15.000999 10.863500 -64.966599)(-41.000999 10.921000 -64.848999)(-15.000999 10.863500 -64.966599)(-15.000999 10.921000 -64.850006)(-41.000999 10.421000 -61.055000)(-41.000999 9.429999 -59.834000)(-41.000999 -11.949000 -40.652000)(-41.000999 11.048000 -62.903004)(-41.000999 10.921000 -64.848999)(-15.000999 10.921000 -64.850006)(-41.000999 10.421000 -61.055000)(-41.000999 11.048000 -62.903004)(-15.000999 11.048000 -62.903004)(-41.000999 9.429999 -59.834000)(-41.000999 10.421000 -61.055000)(-15.000999 10.421000 -61.055000)(-41.000999 4.945000 -68.421997)(-41.000999 6.744000 -68.513000)(-41.000999 -11.949000 -40.652000)(-15.000999 4.110440 -68.286499)(-15.000999 4.945000 -68.421997)(-41.000999 4.945000 -68.421997)(-15.000999 1.903000 -67.928001)(-15.000999 4.110440 -68.286499)(-41.000999 4.945000 -68.421997)(-15.000999 8.591000 -67.886002)(-15.000999 10.058000 -66.598999)(-41.000999 10.058000 -66.598999)(-15.000999 8.575789 -67.891205)(-15.000999 8.591000 -67.886002)(-41.000999 8.591000 -67.886002)(-15.000999 6.744000 -68.513000)(-15.000999 8.575789 -67.891205)(-41.000999 8.591000 -67.886002)(-41.000999 10.921000 -64.848999)(-41.000999 10.058000 -66.598999)(-15.000999 10.058000 -66.598999)(-41.000999 -11.949000 -40.652000)(-41.000999 11.048000 -62.903004)(-41.000999 10.421000 -61.055000)(-41.000999 -11.949000 -40.652000)(-41.000999 10.921000 -64.848999)(-41.000999 11.048000 -62.903004)(-41.000999 6.744000 -68.513000)(-41.000999 8.591000 -67.886002)(-41.000999 -11.949000 -40.652000)(-15.000999 4.945000 -68.421997)(-41.000999 6.744000 -68.513000)(-41.000999 4.945000 -68.421997)(-15.000999 6.500240 -68.500694)(-15.000999 6.744000 -68.513000)(-41.000999 6.744000 -68.513000)(-15.000999 4.945000 -68.421997)(-15.000999 6.500240 -68.500694)(-41.000999 6.744000 -68.513000)(-15.000999 8.591000 -67.886002)(-41.000999 10.058000 -66.598999)(-41.000999 8.591000 -67.886002)(-15.000999 6.744000 -68.513000)(-41.000999 8.591000 -67.886002)(-41.000999 6.744000 -68.513000)(-41.000999 10.058000 -66.598999)(-41.000999 10.921000 -64.848999)(-41.000999 -11.949000 -40.652000)(-41.000999 8.591000 -67.886002)(-41.000999 10.058000 -66.598999)(-41.000999 -11.949000 -40.652000)(-16.247000 -71.259995 -29.610001)(16.850000 -71.259995 -25.375000)(16.245001 -71.259995 -29.610001)(-16.062000 -70.129997 -32.083000)(-16.247000 -71.259995 -29.610001)(16.245001 -71.259995 -29.610001)(-16.247000 -71.259995 -29.610001)(-19.377001 -71.259995 -16.500999)(16.850000 -71.259995 -25.375000)(16.245001 -71.259995 -29.610001)(16.850000 -71.259995 -25.375000)(16.059999 -70.129997 -32.083000)(-16.062000 -70.129997 -32.083000)(16.245001 -71.259995 -29.610001)(16.059999 -70.129997 -32.083000)(-19.377001 -71.259995 -16.500999)(-16.247000 -71.259995 -29.610001)(-16.062000 -70.129997 -32.083000)(-19.377001 -71.259995 -16.500999)(21.703999 -71.259995 -11.369000)(16.850000 -71.259995 -25.375000)(16.059999 -70.129997 -32.083000)(16.850000 -71.259995 -25.375000)(15.999001 -68.998001 -34.563000)(-16.062000 -70.129997 -32.083000)(16.059999 -70.129997 -32.083000)(15.999001 -68.998001 -34.563000)(-19.377001 -71.259995 -16.500999)(-16.062000 -70.129997 -32.083000)(-16.000999 -68.998001 -34.563000)(-19.377001 -71.259995 -16.500999)(-21.705999 -71.259995 -11.369000)(21.703999 -71.259995 -11.369000)(21.703999 -58.260002 -11.369000)(16.850000 -71.259995 -25.375000)(21.703999 -71.259995 -11.369000)(15.999001 -68.998001 -34.563000)(16.850000 -71.259995 -25.375000)(16.850000 -58.260002 -25.375000)(-16.000999 -68.998001 -34.563000)(-16.062000 -70.129997 -32.083000)(15.999001 -68.998001 -34.563000)(-16.000999 -68.998001 -34.563000)(-16.000999 -54.708000 -34.563000)(-19.377001 -71.259995 -16.500999)(-21.705999 -71.259995 -11.369000)(-19.377001 -71.259995 -16.500999)(-19.377001 -58.260002 -16.500999)(-21.705999 -71.259995 -11.369000)(23.410000 -71.259995 -7.226000)(21.703999 -71.259995 -11.369000)(21.703999 -71.259995 -11.369000)(23.410000 -58.260002 -7.226000)(21.703999 -58.260002 -11.369000)(16.850000 -71.259995 -25.375000)(21.703999 -58.260002 -11.369000)(16.850000 -58.260002 -25.375000)(15.999001 -68.998001 -34.563000)(16.850000 -58.260002 -25.375000)(16.608000 -58.260002 -26.783001)(15.999001 -68.998001 -34.563000)(15.999001 -41.926998 -93.854004)(-16.000999 -68.998001 -34.563000)(-16.000999 -68.998001 -34.563000)(-16.000999 -30.101999 -88.455002)(-16.000999 -54.708000 -34.563000)(-16.000999 -54.708000 -34.563000)(-16.153000 -56.488998 -30.660999)(-19.377001 -71.259995 -16.500999)(-21.705999 -71.259995 -11.369000)(-19.377001 -58.260002 -16.500999)(-21.705999 -58.260002 -11.369000)(-19.377001 -71.259995 -16.500999)(-16.610001 -58.260002 -26.783001)(-19.377001 -58.260002 -16.500999)(-21.705999 -71.259995 -11.369000)(-22.074999 -71.259995 -10.634999)(23.410000 -71.259995 -7.226000)(21.703999 -71.259995 -11.369000)(23.410000 -71.259995 -7.226000)(23.410000 -58.260002 -7.226000)(-22.074999 -58.260002 -10.634999)(21.703999 -58.260002 -11.369000)(23.410000 -58.260002 -7.226000)(-19.377001 -58.260002 -16.500999)(16.850000 -58.260002 -25.375000)(21.703999 -58.260002 -11.369000)(15.999001 -68.998001 -34.563000)(16.608000 -58.260002 -26.783001)(16.150999 -56.488998 -30.660999)(-19.377001 -58.260002 -16.500999)(16.608000 -58.260002 -26.783001)(16.850000 -58.260002 -25.375000)(-16.000999 -41.926998 -93.854004)(-16.000999 -68.998001 -34.563000)(15.999001 -41.926998 -93.854004)(15.999001 -68.998001 -34.563000)(15.999001 -54.708000 -34.563000)(15.999001 -41.926998 -93.854004)(-16.000999 -41.926998 -93.854004)(-16.000999 -30.101999 -88.455002)(-16.000999 -68.998001 -34.563000)(-16.000999 -30.101999 -88.455002)(15.999001 -30.101999 -88.455002)(-16.000999 -54.708000 -34.563000)(-16.153000 -56.488998 -30.660999)(-16.000999 -54.708000 -34.563000)(16.150999 -56.488998 -30.660999)(-16.610001 -58.260002 -26.783001)(-19.377001 -71.259995 -16.500999)(-16.153000 -56.488998 -30.660999)(-22.074999 -71.259995 -10.634999)(-21.705999 -71.259995 -11.369000)(-21.705999 -58.260002 -11.369000)(-21.705999 -58.260002 -11.369000)(-19.377001 -58.260002 -16.500999)(21.703999 -58.260002 -11.369000)(-19.377001 -58.260002 -16.500999)(-16.610001 -58.260002 -26.783001)(16.608000 -58.260002 -26.783001)(-22.074999 -71.259995 -10.634999)(-24.227001 -71.259995 -3.656000)(23.410000 -71.259995 -7.226000)(23.410000 -71.259995 -7.226000)(24.498999 -58.260002 -0.005003)(23.410000 -58.260002 -7.226000)(-24.227001 -58.260002 -3.656000)(-22.074999 -58.260002 -10.634999)(23.410000 -58.260002 -7.226000)(-22.074999 -58.260002 -10.634999)(-21.705999 -58.260002 -11.369000)(21.703999 -58.260002 -11.369000)(15.999001 -68.998001 -34.563000)(16.150999 -56.488998 -30.660999)(15.999001 -54.708000 -34.563000)(-16.610001 -58.260002 -26.783001)(16.150999 -56.488998 -30.660999)(16.608000 -58.260002 -26.783001)(-16.000999 -41.926998 -93.854004)(15.999001 -41.926998 -93.854004)(15.756000 -40.772999 -96.381004)(15.999001 -41.926998 -93.854004)(15.999001 -54.708000 -34.563000)(15.999001 -30.101999 -88.455002)(-16.000999 -41.926998 -93.854004)(-15.758000 -28.948000 -90.981995)(-16.000999 -30.101999 -88.455002)(-16.000999 -54.708000 -34.563000)(15.999001 -30.101999 -88.455002)(15.999001 -54.708000 -34.563000)(-16.610001 -58.260002 -26.783001)(-16.153000 -56.488998 -30.660999)(16.150999 -56.488998 -30.660999)(-16.000999 -54.708000 -34.563000)(15.999001 -54.708000 -34.563000)(16.150999 -56.488998 -30.660999)(-22.074999 -71.259995 -10.634999)(-21.705999 -58.260002 -11.369000)(-22.074999 -58.260002 -10.634999)(-24.227001 -71.259995 -3.656000)(-22.074999 -71.259995 -10.634999)(-22.074999 -58.260002 -10.634999)(-24.227001 -71.259995 -3.656000)(24.498999 -71.259995 -0.005003)(23.410000 -71.259995 -7.226000)(23.410000 -71.259995 -7.226000)(24.498999 -71.259995 -0.005003)(24.498999 -58.260002 -0.005003)(-24.227001 -58.260002 -3.656000)(23.410000 -58.260002 -7.226000)(24.498999 -58.260002 -0.005003)(-24.227001 -71.259995 -3.656000)(-22.074999 -58.260002 -10.634999)(-24.227001 -58.260002 -3.656000)(-15.758000 -40.772999 -96.381004)(-16.000999 -41.926998 -93.854004)(15.756000 -40.772999 -96.381004)(15.999001 -30.101999 -88.455002)(15.756000 -40.772999 -96.381004)(15.999001 -41.926998 -93.854004)(-16.000999 -41.926998 -93.854004)(-15.758000 -40.772999 -96.381004)(-15.758000 -28.948000 -90.981995)(-24.227001 -71.259995 -3.656000)(-24.227001 -71.259995 3.647000)(24.498999 -71.259995 -0.005003)(24.498999 -71.259995 -0.005003)(23.410000 -58.260002 7.217000)(24.498999 -58.260002 -0.005003)(-24.227001 -58.260002 3.647000)(-24.227001 -58.260002 -3.656000)(24.498999 -58.260002 -0.005003)(-24.227001 -71.259995 3.647000)(-24.227001 -71.259995 -3.656000)(-24.227001 -58.260002 -3.656000)(-15.758000 -40.772999 -96.381004)(15.756000 -40.772999 -96.381004)(13.855000 -38.605000 -101.131996)(15.756000 -40.772999 -96.381004)(15.999001 -30.101999 -88.455002)(15.756000 -28.948000 -90.981995)(-15.758000 -40.772999 -96.381004)(-13.856999 -26.778999 -95.732002)(-15.758000 -28.948000 -90.981995)(-24.227001 -71.259995 3.647000)(23.410000 -71.259995 7.217000)(24.498999 -71.259995 -0.005003)(24.498999 -71.259995 -0.005003)(23.410000 -71.259995 7.217000)(23.410000 -58.260002 7.217000)(-24.227001 -58.260002 3.647000)(24.498999 -58.260002 -0.005003)(23.410000 -58.260002 7.217000)(-24.227001 -71.259995 3.647000)(-24.227001 -58.260002 -3.656000)(-24.227001 -58.260002 3.647000)(-13.856999 -38.605000 -101.131996)(-15.758000 -40.772999 -96.381004)(13.855000 -38.605000 -101.131996)(15.756000 -28.948000 -90.981995)(13.855000 -38.605000 -101.131996)(15.756000 -40.772999 -96.381004)(-13.856999 -26.778999 -95.732002)(-15.758000 -40.772999 -96.381004)(-13.856999 -38.605000 -101.131996)(13.855000 -38.605000 -101.131996)(15.756000 -28.948000 -90.981995)(13.855000 -26.778999 -95.732002)(-24.227001 -71.259995 3.647000)(-22.074999 -71.259995 10.625000)(23.410000 -71.259995 7.217000)(23.410000 -71.259995 7.217000)(20.242001 -58.260002 13.797000)(23.410000 -58.260002 7.217000)(-22.074999 -58.260002 10.625000)(-24.227001 -58.260002 3.647000)(23.410000 -58.260002 7.217000)(-22.074999 -71.259995 10.625000)(-24.227001 -71.259995 3.647000)(-24.227001 -58.260002 3.647000)(-13.856999 -38.605000 -101.131996)(13.855000 -38.605000 -101.131996)(10.284000 -36.837002 -105.003998)(-10.285999 -25.011000 -99.604004)(-13.856999 -26.778999 -95.732002)(-13.856999 -38.605000 -101.131996)(10.284000 -36.837002 -105.003998)(13.855000 -26.778999 -95.732002)(10.284000 -25.011000 -99.604004)(10.284000 -36.837002 -105.003998)(13.855000 -38.605000 -101.131996)(13.855000 -26.778999 -95.732002)(-22.074999 -71.259995 10.625000)(20.242001 -71.259995 13.797000)(23.410000 -71.259995 7.217000)(23.410000 -71.259995 7.217000)(20.242001 -71.259995 13.797000)(20.242001 -58.260002 13.797000)(-22.074999 -58.260002 10.625000)(23.410000 -58.260002 7.217000)(20.242001 -58.260002 13.797000)(-22.074999 -71.259995 10.625000)(-24.227001 -58.260002 3.647000)(-22.074999 -58.260002 10.625000)(-10.285999 -36.837002 -105.003998)(-13.856999 -38.605000 -101.131996)(10.284000 -36.837002 -105.003998)(-13.856999 -38.605000 -101.131996)(-10.285999 -36.837002 -105.003998)(-10.285999 -25.011000 -99.604004)(10.284000 -25.011000 -99.604004)(5.471000 -35.682999 -107.531006)(10.284000 -36.837002 -105.003998)(-22.074999 -71.259995 10.625000)(-17.960999 -71.259995 16.659000)(20.242001 -71.259995 13.797000)(20.242001 -71.259995 13.797000)(15.274000 -58.260002 19.150000)(20.242001 -58.260002 13.797000)(-17.960999 -58.260002 16.659000)(-22.074999 -58.260002 10.625000)(20.242001 -58.260002 13.797000)(-22.074999 -58.260002 10.625000)(-17.960999 -71.259995 16.659000)(-22.074999 -71.259995 10.625000)(5.471000 -35.682999 -107.531006)(-10.285999 -36.837002 -105.003998)(10.284000 -36.837002 -105.003998)(-5.473000 -23.856998 -102.132004)(-10.285999 -25.011000 -99.604004)(-10.285999 -36.837002 -105.003998)(10.284000 -25.011000 -99.604004)(5.471000 -23.856998 -102.132004)(5.471000 -35.682999 -107.531006)(-17.960999 -71.259995 16.659000)(15.274000 -71.259995 19.150000)(20.242001 -71.259995 13.797000)(20.242001 -71.259995 13.797000)(15.274000 -71.259995 19.150000)(15.274000 -58.260002 19.150000)(-17.960999 -58.260002 16.659000)(20.242001 -58.260002 13.797000)(15.274000 -58.260002 19.150000)(-17.960999 -71.259995 16.659000)(-22.074999 -58.260002 10.625000)(-17.960999 -58.260002 16.659000)(-10.285999 -36.837002 -105.003998)(5.471000 -35.682999 -107.531006)(-5.473000 -35.682999 -107.531006)(-5.473000 -23.856998 -102.132004)(-10.285999 -36.837002 -105.003998)(-5.473000 -35.682999 -107.531006)(-0.001002 -23.455999 -103.010002)(-5.473000 -23.856998 -102.132004)(-5.473000 -35.682999 -107.531006)(5.471000 -23.856998 -102.132004)(-0.001002 -23.455999 -103.010002)(-0.001002 -35.282001 -108.409004)(5.471000 -35.682999 -107.531006)(5.471000 -23.856998 -102.132004)(-0.001002 -35.282001 -108.409004)(-17.960999 -71.259995 16.659000)(-12.250999 -71.259995 21.213001)(15.274000 -71.259995 19.150000)(8.950000 -58.260002 22.802000)(15.274000 -58.260002 19.150000)(15.274000 -71.259995 19.150000)(-12.250999 -58.260002 21.213001)(-17.960999 -58.260002 16.659000)(15.274000 -58.260002 19.150000)(-17.960999 -58.260002 16.659000)(-12.250999 -71.259995 21.213001)(-17.960999 -71.259995 16.659000)(5.471000 -35.682999 -107.531006)(-0.001002 -35.282001 -108.409004)(-5.473000 -35.682999 -107.531006)(-0.001002 -35.282001 -108.409004)(-0.001002 -23.455999 -103.010002)(-5.473000 -35.682999 -107.531006)(8.950000 -71.259995 22.802000)(15.274000 -71.259995 19.150000)(-12.250999 -71.259995 21.213001)(8.950000 -58.260002 22.802000)(15.274000 -71.259995 19.150000)(8.950000 -71.259995 22.802000)(15.274000 -58.260002 19.150000)(8.950000 -58.260002 22.802000)(-12.250999 -58.260002 21.213001)(-12.250999 -71.259995 21.213001)(-17.960999 -58.260002 16.659000)(-12.250999 -58.260002 21.213001)(-5.453000 -71.259995 23.880999)(8.950000 -71.259995 22.802000)(-12.250999 -71.259995 21.213001)(1.830000 -58.260002 24.427000)(8.950000 -58.260002 22.802000)(8.950000 -71.259995 22.802000)(-12.250999 -58.260002 21.213001)(8.950000 -58.260002 22.802000)(-5.453000 -58.260002 23.880999)(-12.250999 -58.260002 21.213001)(-5.453000 -71.259995 23.880999)(-12.250999 -71.259995 21.213001)(1.830000 -71.259995 24.427000)(8.950000 -71.259995 22.802000)(-5.453000 -71.259995 23.880999)(1.830000 -58.260002 24.427000)(8.950000 -71.259995 22.802000)(1.830000 -71.259995 24.427000)(8.950000 -58.260002 22.802000)(1.830000 -58.260002 24.427000)(-5.453000 -58.260002 23.880999)(-12.250999 -58.260002 21.213001)(-5.453000 -58.260002 23.880999)(-5.453000 -71.259995 23.880999)(-5.453000 -58.260002 23.880999)(1.830000 -71.259995 24.427000)(-5.453000 -71.259995 23.880999)(-5.453000 -58.260002 23.880999)(1.830000 -58.260002 24.427000)(1.830000 -71.259995 24.427000)(-16.000999 -30.101999 -88.455002)(-15.758000 -28.948000 -90.981995)(15.999001 -30.101999 -88.455002)(-15.758000 -28.948000 -90.981995)(15.756000 -28.948000 -90.981995)(15.999001 -30.101999 -88.455002)(-15.758000 -28.948000 -90.981995)(13.855000 -26.778999 -95.732002)(15.756000 -28.948000 -90.981995)(-15.758000 -28.948000 -90.981995)(-13.856999 -26.778999 -95.732002)(10.284000 -25.011000 -99.604004)(-15.758000 -28.948000 -90.981995)(10.284000 -25.011000 -99.604004)(13.855000 -26.778999 -95.732002)(-13.856999 -26.778999 -95.732002)(-10.285999 -25.011000 -99.604004)(10.284000 -25.011000 -99.604004)(-10.285999 -25.011000 -99.604004)(-0.001002 -23.455999 -103.010002)(10.284000 -25.011000 -99.604004)(-0.001002 -23.455999 -103.010002)(-10.285999 -25.011000 -99.604004)(-5.473000 -23.856998 -102.132004)(10.284000 -25.011000 -99.604004)(-0.001002 -23.455999 -103.010002)(5.471000 -23.856998 -102.132004)))
           )
           )))
    (send glvertices :calc-normals)
    (send self :assoc glvertices)
    glvertices)
  (:qhull-faceset ()
   ;; qhull 3102 -> 41 faces
   (instance faceset :init :faces (list
    (instance face :init :vertices (list (float-vector -17.798999 -23.000000 12.927000) (float-vector -41.001000 11.048000 -62.903002) (float-vector -4.402000 -7.000000 10.620000)))
    (instance face :init :vertices (list (float-vector 33.498999 9.940010 -110.307001) (float-vector 33.498999 19.041000 -102.187000) (float-vector 14.999000 17.353000 -110.032000)))
    (instance face :init :vertices (list (float-vector 33.498999 -2.055990 -112.516001) (float-vector 14.999000 -3.771990 -116.235003) (float-vector -0.001002 -35.282001 -108.409002) (float-vector 15.756000 -40.773001 -96.381001) (float-vector 33.498999 -17.855000 -103.868000)))
    (instance face :init :vertices (list (float-vector -17.798999 -23.000000 12.927000) (float-vector -41.001000 -13.524000 -39.418001) (float-vector -41.001000 11.048000 -62.903002)))
    (instance face :init :vertices (list (float-vector -41.001000 -30.282000 -84.555000) (float-vector -41.001000 11.048000 -62.903002) (float-vector -41.001000 -13.524000 -39.418001) (float-vector -41.001000 -26.458999 -37.468001) (float-vector -41.001000 -37.048001 -50.746001)))
    (instance face :init :vertices (list (float-vector -25.001001 18.733000 -99.494003) (float-vector -41.001000 11.048000 -62.903002) (float-vector -41.001000 -30.282000 -84.555000) (float-vector -25.001001 6.536000 -109.962001)))
    (instance face :init :vertices (list (float-vector -15.001000 26.500000 -90.005003) (float-vector -15.001000 25.426000 -97.470999) (float-vector 14.999000 26.500000 -90.005003)))
    (instance face :init :vertices (list (float-vector -15.001000 26.500000 -90.005003) (float-vector -41.001000 11.048000 -62.903002) (float-vector -25.001001 18.733000 -99.494003) (float-vector -15.001000 25.426000 -97.470999)))
    (instance face :init :vertices (list (float-vector -41.001000 11.048000 -62.903002) (float-vector -15.001000 26.500000 -90.005003) (float-vector -4.402000 -7.000000 10.620000)))
    (instance face :init :vertices (list (float-vector 14.999000 3.771010 -116.235003) (float-vector 33.498999 9.940010 -110.307001) (float-vector 14.999000 17.353000 -110.032000)))
    (instance face :init :vertices (list (float-vector 14.999000 3.771010 -116.235003) (float-vector 14.999000 -3.771990 -116.235003) (float-vector 33.498999 -2.055990 -112.516001) (float-vector 33.498999 9.940010 -110.307001)))
    (instance face :init :vertices (list (float-vector 14.999000 3.771010 -116.235003) (float-vector -15.001000 -3.772000 -116.235003) (float-vector -5.473000 -35.682999 -107.531004) (float-vector -0.001002 -35.282001 -108.409002) (float-vector 14.999000 -3.771990 -116.235003)))
    (instance face :init :vertices (list (float-vector -15.001000 25.426000 -97.470999) (float-vector -15.001000 17.353000 -110.032000) (float-vector 14.999000 17.353000 -110.032000)))
    (instance face :init :vertices (list (float-vector -25.001001 18.733000 -99.494003) (float-vector -15.001000 17.353000 -110.032000) (float-vector -15.001000 25.426000 -97.470999)))
    (instance face :init :vertices (list (float-vector -6.799000 -23.000000 20.918000) (float-vector 6.797000 -23.000000 20.918000) (float-vector 1.830000 -58.260001 24.427000)))
    (instance face :init :vertices (list (float-vector -6.799000 -23.000000 20.918000) (float-vector -17.798999 -23.000000 12.927000) (float-vector -4.402000 -7.000000 10.620000)))
    (instance face :init :vertices (list (float-vector -6.799000 -23.000000 20.918000) (float-vector 1.830000 -58.260001 24.427000) (float-vector -5.453000 -71.259998 23.881000) (float-vector -12.251000 -71.259998 21.213001)))
    (instance face :init :vertices (list (float-vector -6.799000 -23.000000 20.918000) (float-vector -12.251000 -71.259998 21.213001) (float-vector -17.960999 -71.259998 16.659001) (float-vector -17.798999 -23.000000 12.927000)))
    (instance face :init :vertices (list (float-vector 8.950000 -71.259998 22.802001) (float-vector -5.453000 -71.259998 23.881000) (float-vector 1.830000 -58.260001 24.427000)))
    (instance face :init :vertices (list (float-vector 20.922000 -23.000000 6.794000) (float-vector 20.242000 -71.259998 13.797000) (float-vector 8.950000 -71.259998 22.802001) (float-vector 1.830000 -58.260001 24.427000) (float-vector 6.797000 -23.000000 20.918000)))
    (instance face :init :vertices (list (float-vector 33.498999 -35.397001 -58.428999) (float-vector 23.410000 -71.259998 -7.226000) (float-vector 20.242000 -71.259998 13.797000) (float-vector 20.922000 -23.000000 6.794000) (float-vector 33.498999 -9.648000 -43.563001)))
    (instance face :init :vertices (list (float-vector 33.498999 22.599000 -90.519004) (float-vector 33.498999 19.576000 -78.702003) (float-vector 14.999000 26.500000 -90.005003)))
    (instance face :init :vertices (list (float-vector 33.498999 -9.648000 -43.563001) (float-vector 33.498999 19.576000 -78.702003) (float-vector 33.498999 22.599000 -90.519004) (float-vector 33.498999 19.041000 -102.187000) (float-vector 33.498999 9.940010 -110.307001) (float-vector 33.498999 -2.055990 -112.516001) (float-vector 33.498999 -17.855000 -103.868000) (float-vector 33.498999 -35.397001 -58.428999)))
    (instance face :init :vertices (list (float-vector 33.498999 19.041000 -102.187000) (float-vector 33.498999 22.599000 -90.519004) (float-vector 14.999000 26.500000 -90.005003) (float-vector -15.001000 25.426000 -97.470999) (float-vector 14.999000 17.353000 -110.032000)))
    (instance face :init :vertices (list (float-vector 14.999000 3.771010 -116.235003) (float-vector -15.001000 11.008000 -114.110000) (float-vector -15.001000 -3.772000 -116.235003)))
    (instance face :init :vertices (list (float-vector -15.001000 -3.772000 -116.235003) (float-vector -15.001000 11.008000 -114.110000) (float-vector -25.001001 6.536000 -109.962001)))
    (instance face :init :vertices (list (float-vector -15.001000 11.008000 -114.110000) (float-vector -15.001000 17.353000 -110.032000) (float-vector -25.001001 18.733000 -99.494003) (float-vector -25.001001 6.536000 -109.962001)))
    (instance face :init :vertices (list (float-vector 14.999000 3.771010 -116.235003) (float-vector 14.999000 17.353000 -110.032000) (float-vector -15.001000 17.353000 -110.032000) (float-vector -15.001000 11.008000 -114.110000)))
    (instance face :init :vertices (list (float-vector -24.227001 -71.259998 3.647000) (float-vector -41.001000 -37.048001 -50.746001) (float-vector -41.001000 -26.458999 -37.468001)))
    (instance face :init :vertices (list (float-vector -24.227001 -71.259998 3.647000) (float-vector -41.001000 -26.458999 -37.468001) (float-vector -41.001000 -13.524000 -39.418001) (float-vector -17.798999 -23.000000 12.927000) (float-vector -17.960999 -71.259998 16.659001)))
    (instance face :init :vertices (list (float-vector 8.131000 -7.000000 8.127000) (float-vector 20.922000 -23.000000 6.794000) (float-vector 6.797000 -23.000000 20.918000)))
    (instance face :init :vertices (list (float-vector 33.498999 19.576000 -78.702003) (float-vector 8.131000 -7.000000 8.127000) (float-vector -4.402000 -7.000000 10.620000) (float-vector -15.001000 26.500000 -90.005003) (float-vector 14.999000 26.500000 -90.005003)))
    (instance face :init :vertices (list (float-vector 6.797000 -23.000000 20.918000) (float-vector -6.799000 -23.000000 20.918000) (float-vector -4.402000 -7.000000 10.620000) (float-vector 8.131000 -7.000000 8.127000)))
    (instance face :init :vertices (list (float-vector 33.498999 -9.648000 -43.563001) (float-vector 20.922000 -23.000000 6.794000) (float-vector 8.131000 -7.000000 8.127000) (float-vector 33.498999 19.576000 -78.702003)))
    (instance face :init :vertices (list (float-vector -16.000999 -41.926999 -93.854003) (float-vector -5.473000 -35.682999 -107.531004) (float-vector -15.001000 -3.772000 -116.235003) (float-vector -25.001001 6.536000 -109.962001) (float-vector -41.001000 -30.282000 -84.555000)))
    (instance face :init :vertices (list (float-vector -16.247001 -71.259998 -29.610001) (float-vector -16.000999 -41.926999 -93.854003) (float-vector -41.001000 -30.282000 -84.555000)))
    (instance face :init :vertices (list (float-vector -41.001000 -30.282000 -84.555000) (float-vector -41.001000 -37.048001 -50.746001) (float-vector -24.227001 -71.259998 3.647000) (float-vector -16.247001 -71.259998 -29.610001)))
    (instance face :init :vertices (list (float-vector 16.245000 -71.259998 -29.610001) (float-vector 33.498999 -17.855000 -103.868000) (float-vector 15.756000 -40.773001 -96.381001)))
    (instance face :init :vertices (list (float-vector 8.950000 -71.259998 22.802001) (float-vector 20.242000 -71.259998 13.797000) (float-vector 23.410000 -71.259998 -7.226000) (float-vector 16.245000 -71.259998 -29.610001) (float-vector -16.247001 -71.259998 -29.610001) (float-vector -24.227001 -71.259998 3.647000) (float-vector -17.960999 -71.259998 16.659001) (float-vector -12.251000 -71.259998 21.213001) (float-vector -5.453000 -71.259998 23.881000)))
    (instance face :init :vertices (list (float-vector -5.473000 -35.682999 -107.531004) (float-vector -16.000999 -41.926999 -93.854003) (float-vector -16.247001 -71.259998 -29.610001) (float-vector 16.245000 -71.259998 -29.610001) (float-vector 15.756000 -40.773001 -96.381001) (float-vector -0.001002 -35.282001 -108.409002)))
    (instance face :init :vertices (list (float-vector 16.245000 -71.259998 -29.610001) (float-vector 23.410000 -71.259998 -7.226000) (float-vector 33.498999 -35.397001 -58.428999) (float-vector 33.498999 -17.855000 -103.868000)))
    ))
   )
  )

(defclass HiroNX_g1_9_geom0
  :super collada-body
  :slots ())
(defmethod HiroNX_g1_9_geom0
  (:init (&key (name))
         (replace-object self (send self :qhull-faceset))
         (if name (send self :name name))
         (send self :def-gl-vertices)
         self)
  (:def-gl-vertices ()
    (setq glvertices
       (instance gl::glvertices :init
          (list
          (list
           (list :type :triangles)
           (list :material (list
             (list :color (float-vector 0.1 0.1 0.1))
             (list :ambient (float-vector 0.200000 0.200000 0.200000 1.000000))
             (list :diffuse (float-vector 0.900000 0.900000 0.900000 1.000000))
           ))
           (list :indices #i( 1 0 2 4 3 5 7 6 8 10 9 11 13 12 14 16 15 17 19 18 20 22 21 23 25 24 26 28 27 29 31 30 32 34 33 35 37 36 38 40 39 41 43 42 44 46 45 47 49 48 50 52 51 53 55 54 56 58 57 59 61 60 62 64 63 65 67 66 68 70 69 71 73 72 74 76 75 77 79 78 80 82 81 83 85 84 86 88 87 89 91 90 92 94 93 95 97 96 98 100 99 101 103 102 104 106 105 107 109 108 110 112 111 113 115 114 116 118 117 119 121 120 122 124 123 125 127 126 128 130 129 131 133 132 134 136 135 137 139 138 140 142 141 143 145 144 146 148 147 149 151 150 152 154 153 155 157 156 158 160 159 161 163 162 164 166 165 167 169 168 170 172 171 173 175 174 176 178 177 179 181 180 182 184 183 185 187 186 188 190 189 191 193 192 194 196 195 197 199 198 200 202 201 203 205 204 206 208 207 209 211 210 212 214 213 215 217 216 218 220 219 221 223 222 224 226 225 227 229 228 230 232 231 233 235 234 236 238 237 239 241 240 242 244 243 245 247 246 248 250 249 251 253 252 254 256 255 257 259 258 260 262 261 263 265 264 266 268 267 269 271 270 272 274 273 275 277 276 278 280 279 281 283 282 284 286 285 287 289 288 290 292 291 293 295 294 296 298 297 299 301 300 302 304 303 305 307 306 308 310 309 311 313 312 314 316 315 317 319 318 320 322 321 323 325 324 326 328 327 329 331 330 332 334 333 335 337 336 338 340 339 341 343 342 344 346 345 347 349 348 350 352 351 353 355 354 356 358 357 359 361 360 362 364 363 365 367 366 368 370 369 371 373 372 374 376 375 377 379 378 380 382 381 383 385 384 386 388 387 389 391 390 392 394 393 395 397 396 398 400 399 401 403 402 404 406 405 407 409 408 410 412 411 413 415 414 416 418 417 419 421 420 422 424 423 425 427 426 428 430 429 431 433 432 434 436 435 437 439 438 440 442 441 443 445 444 446 448 447 449 451 450 452 454 453 455 457 456 458 460 459 461 463 462 464 466 465 467 469 468 470 472 471 473 475 474 476 478 477 479 481 480 482 484 483 485 487 486 488 490 489 491 493 492 494 496 495 497 499 498 500 502 501 503 505 504 506 508 507 509 511 510 512 514 513 515 517 516 518 520 519 521 523 522 524 526 525 527 529 528 530 532 531 533 535 534 536 538 537 539 541 540 542 544 543 545 547 546 548 550 549 551 553 552 554 556 555 557 559 558 560 562 561 563 565 564 566 568 567 569 571 570 572 574 573 575 577 576 578 580 579 581 583 582 584 586 585 587 589 588 590 592 591 593 595 594 596 598 597 599 601 600 602 604 603 605 607 606 608 610 609 611 613 612 614 616 615 617 619 618 620 622 621 623 625 624 626 628 627 629 631 630 632 634 633 635 637 636 638 640 639 641 643 642 644 646 645 647 649 648 650 652 651 653 655 654 656 658 657 659 661 660 662 664 663 665 667 666 668 670 669 671 673 672 674 676 675 677 679 678 680 682 681 683 685 684 686 688 687 689 691 690 692 694 693 695 697 696 698 700 699 701 703 702 704 706 705 707 709 708 710 712 711 713 715 714 716 718 717 719 721 720 722 724 723 725 727 726 728 730 729 731 733 732 734 736 735 737 739 738 740 742 741 743 745 744 746 748 747 749 751 750 752 754 753 755 757 756 758 760 759 761 763 762 764 766 765 767 769 768 770 772 771 773 775 774 776 778 777 779 781 780 782 784 783 785 787 786 788 790 789 791 793 792 794 796 795 797 799 798 800 802 801 803 805 804 806 808 807 809 811 810 812 814 813 815 817 816 818 820 819 821 823 822 824 826 825 827 829 828 830 832 831 833 835 834 836 838 837 839 841 840 842 844 843 845 847 846 848 850 849 851 853 852 854 856 855 857 859 858 860 862 861 863 865 864 866 868 867 869 871 870 872 874 873 875 877 876 878 880 879 881 883 882 884 886 885 887 889 888 890 892 891 893 895 894 896 898 897 899 901 900 902 904 903 905 907 906 908 910 909 911 913 912 914 916 915 917 919 918 920 922 921 923 925 924 926 928 927 929 931 930 932 934 933 935 937 936 938 940 939 941 943 942 944 946 945 947 949 948 950 952 951 953 955 954 956 958 957 959 961 960 962 964 963 965 967 966 968 970 969 971 973 972 974 976 975 977 979 978 980 982 981 983 985 984 986 988 987 989 991 990 992 994 993 995 997 996 998 1000 999 1001 1003 1002 1004 1006 1005 1007 1009 1008 1010 1012 1011 1013 1015 1014 1016 1018 1017 1019 1021 1020 1022 1024 1023 1025 1027 1026 1028 1030 1029 1031 1033 1032 1034 1036 1035 1037 1039 1038 1040 1042 1041 1043 1045 1044 1046 1048 1047 1049 1051 1050 1052 1054 1053 1055 1057 1056 1058 1060 1059 1061 1063 1062 1064 1066 1065 1067 1069 1068 1070 1072 1071 1073 1075 1074 1076 1078 1077 1079 1081 1080 1082 1084 1083 1085 1087 1086 1088 1090 1089 1091 1093 1092 1094 1096 1095 1097 1099 1098 1100 1102 1101 1103 1105 1104 1106 1108 1107 1109 1111 1110 1112 1114 1113 1115 1117 1116 1118 1120 1119 1121 1123 1122 1124 1126 1125 1127 1129 1128 1130 1132 1131 1133 1135 1134 1136 1138 1137 1139 1141 1140 1142 1144 1143 1145 1147 1146 1148 1150 1149 1151 1153 1152 1154 1156 1155 1157 1159 1158 1160 1162 1161 1163 1165 1164 1166 1168 1167 1169 1171 1170 1172 1174 1173 1175 1177 1176 1178 1180 1179 1181 1183 1182 1184 1186 1185 1187 1189 1188 1190 1192 1191 1193 1195 1194 1196 1198 1197 1199 1201 1200 1202 1204 1203 1205 1207 1206 1208 1210 1209 1211 1213 1212 1214 1216 1215 1217 1219 1218 1220 1222 1221 1223 1225 1224 1226 1228 1227 1229 1231 1230 1232 1234 1233 1235 1237 1236 1238 1240 1239 1241 1243 1242 1244 1246 1245 1247 1249 1248 1250 1252 1251 1253 1255 1254 1256 1258 1257 1259 1261 1260 1262 1264 1263 1265 1267 1266 1268 1270 1269 1271 1273 1272 1274 1276 1275 1277 1279 1278 1280 1282 1281 1283 1285 1284 1286 1288 1287 1289 1291 1290 1292 1294 1293 1295 1297 1296 1298 1300 1299 1301 1303 1302 1304 1306 1305 1307 1309 1308 1310 1312 1311 1313 1315 1314 1316 1318 1317 1319 1321 1320 1322 1324 1323 1325 1327 1326 1328 1330 1329 1331 1333 1332 1334 1336 1335 1337 1339 1338 1340 1342 1341 1343 1345 1344 1346 1348 1347 1349 1351 1350 1352 1354 1353 1355 1357 1356 1358 1360 1359 1361 1363 1362 1364 1366 1365 1367 1369 1368 1370 1372 1371 1373 1375 1374 1376 1378 1377 1379 1381 1380 1382 1384 1383 1385 1387 1386 1388 1390 1389 1391 1393 1392 1394 1396 1395 1397 1399 1398 1400 1402 1401 1403 1405 1404 1406 1408 1407 1409 1411 1410 1412 1414 1413 1415 1417 1416 1418 1420 1419 1421 1423 1422 1424 1426 1425 1427 1429 1428 1430 1432 1431 1433 1435 1434 1436 1438 1437 1439 1441 1440 1442 1444 1443 1445 1447 1446 1448 1450 1449 1451 1453 1452 1454 1456 1455 1457 1459 1458 1460 1462 1461 1463 1465 1464 1466 1468 1467 1469 1471 1470 1472 1474 1473 1475 1477 1476 1478 1480 1479 1481 1483 1482 1484 1486 1485 1487 1489 1488 1490 1492 1491 1493 1495 1494 1496 1498 1497 1499 1501 1500 1502 1504 1503 1505 1507 1506 1508 1510 1509 1511 1513 1512 1514 1516 1515 1517 1519 1518 1520 1522 1521 1523 1525 1524 1526 1528 1527 1529 1531 1530 1532 1534 1533 1535 1537 1536 1538 1540 1539 1541 1543 1542 1544 1546 1545 1547 1549 1548 1550 1552 1551 1553 1555 1554 1556 1558 1557 1559 1561 1560 1562 1564 1563 1565 1567 1566 1568 1570 1569 1571 1573 1572 1574 1576 1575 1577 1579 1578 1580 1582 1581 1583 1585 1584 1586 1588 1587 1589 1591 1590 1592 1594 1593 1595 1597 1596 1598 1600 1599 1601 1603 1602 1604 1606 1605 1607 1609 1608 1610 1612 1611 1613 1615 1614 1616 1618 1617 1619 1621 1620 1622 1624 1623 1625 1627 1626 1628 1630 1629 1631 1633 1632 1634 1636 1635 1637 1639 1638 1640 1642 1641 1643 1645 1644 1646 1648 1647 1649 1651 1650 1652 1654 1653 1655 1657 1656 1658 1660 1659 1661 1663 1662 1664 1666 1665 1667 1669 1668 1670 1672 1671 1673 1675 1674 1676 1678 1677 1679 1681 1680 1682 1684 1683 1685 1687 1686 1688 1690 1689 1691 1693 1692 1694 1696 1695 1697 1699 1698 1700 1702 1701 1703 1705 1704 1706 1708 1707 1709 1711 1710 1712 1714 1713 1715 1717 1716 1718 1720 1719 1721 1723 1722 1724 1726 1725 1727 1729 1728 1730 1732 1731 1733 1735 1734 1736 1738 1737 1739 1741 1740 1742 1744 1743 1745 1747 1746 1748 1750 1749 1751 1753 1752 1754 1756 1755 1757 1759 1758 1760 1762 1761 1763 1765 1764 1766 1768 1767 1769 1771 1770 1772 1774 1773 1775 1777 1776 1778 1780 1779 1781 1783 1782 1784 1786 1785 1787 1789 1788 1790 1792 1791 1793 1795 1794 1796 1798 1797 1799 1801 1800 1802 1804 1803 1805 1807 1806 1808 1810 1809 1811 1813 1812 1814 1816 1815 1817 1819 1818 1820 1822 1821 1823 1825 1824 1826 1828 1827 1829 1831 1830 1832 1834 1833 1835 1837 1836 1838 1840 1839 1841 1843 1842 1844 1846 1845 1847 1849 1848 1850 1852 1851 1853 1855 1854 1856 1858 1857 1859 1861 1860 1862 1864 1863 1865 1867 1866 1868 1870 1869 1871 1873 1872 1874 1876 1875 1877 1879 1878 1880 1882 1881 1883 1885 1884 1886 1888 1887 1889 1891 1890 1892 1894 1893 1895 1897 1896 1898 1900 1899 1901 1903 1902 1904 1906 1905 1907 1909 1908 1910 1912 1911 1913 1915 1914 1916 1918 1917 1919 1921 1920 1922 1924 1923 1925 1927 1926 1928 1930 1929 1931 1933 1932 1934 1936 1935 1937 1939 1938 1940 1942 1941 1943 1945 1944 1946 1948 1947 1949 1951 1950 1952 1954 1953 1955 1957 1956 1958 1960 1959 1961 1963 1962 1964 1966 1965 1967 1969 1968 1970 1972 1971 1973 1975 1974 1976 1978 1977 1979 1981 1980 1982 1984 1983 1985 1987 1986 1988 1990 1989 1991 1993 1992 1994 1996 1995 1997 1999 1998 2000 2002 2001 2003 2005 2004 2006 2008 2007 2009 2011 2010 2012 2014 2013 2015 2017 2016 2018 2020 2019 2021 2023 2022 2024 2026 2025 2027 2029 2028 2030 2032 2031 2033 2035 2034 2036 2038 2037 2039 2041 2040 2042 2044 2043 2045 2047 2046 2048 2050 2049 2051 2053 2052 2054 2056 2055 2057 2059 2058 2060 2062 2061 2063 2065 2064 2066 2068 2067 2069 2071 2070 2072 2074 2073 2075 2077 2076 2078 2080 2079 2081 2083 2082 2084 2086 2085 2087 2089 2088 2090 2092 2091 2093 2095 2094 2096 2098 2097 2099 2101 2100 2102 2104 2103 2105 2107 2106 2108 2110 2109 2111 2113 2112 2114 2116 2115 2117 2119 2118 2120 2122 2121 2123 2125 2124 2126 2128 2127 2129 2131 2130 2132 2134 2133 2135 2137 2136 2138 2140 2139 2141 2143 2142 2144 2146 2145 2147 2149 2148 2150 2152 2151 2153 2155 2154 2156 2158 2157 2159 2161 2160 2162 2164 2163 2165 2167 2166 2168 2170 2169 2171 2173 2172 2174 2176 2175 2177 2179 2178 2180 2182 2181 2183 2185 2184 2186 2188 2187 2189 2191 2190 2192 2194 2193 2195 2197 2196 2198 2200 2199 2201 2203 2202 2204 2206 2205 2207 2209 2208 2210 2212 2211 2213 2215 2214 2216 2218 2217 2219 2221 2220 2222 2224 2223 2225 2227 2226 2228 2230 2229 2231 2233 2232 2234 2236 2235 2237 2239 2238 2240 2242 2241 2243 2245 2244 2246 2248 2247 2249 2251 2250 2252 2254 2253 2255 2257 2256 2258 2260 2259 2261 2263 2262 2264 2266 2265 2267 2269 2268 2270 2272 2271 2273 2275 2274 2276 2278 2277 2279 2281 2280 2282 2284 2283 2285 2287 2286 2288 2290 2289 2291 2293 2292 2294 2296 2295 2297 2299 2298 2300 2302 2301 2303 2305 2304 2306 2308 2307 2309 2311 2310 2312 2314 2313 2315 2317 2316 2318 2320 2319 2321 2323 2322 2324 2326 2325 2327 2329 2328 2330 2332 2331 2333 2335 2334 2336 2338 2337 2339 2341 2340 2342 2344 2343 2345 2347 2346 2348 2350 2349 2351 2353 2352 2354 2356 2355 2357 2359 2358 2360 2362 2361 2363 2365 2364 2366 2368 2367 2369 2371 2370 2372 2374 2373 2375 2377 2376 2378 2380 2379 2381 2383 2382 2384 2386 2385 2387 2389 2388 2390 2392 2391 2393 2395 2394 2396 2398 2397 2399 2401 2400 2402 2404 2403 2405 2407 2406 2408 2410 2409 2411 2413 2412 2414 2416 2415 2417 2419 2418 2420 2422 2421 2423 2425 2424 2426 2428 2427 2429 2431 2430 2432 2434 2433 2435 2437 2436 2438 2440 2439 2441 2443 2442 2444 2446 2445 2447 2449 2448 2450 2452 2451 2453 2455 2454 2456 2458 2457 2459 2461 2460 2462 2464 2463 2465 2467 2466 2468 2470 2469 2471 2473 2472 2474 2476 2475 2477 2479 2478 2480 2482 2481 2483 2485 2484 2486 2488 2487 2489 2491 2490 2492 2494 2493 2495 2497 2496 2498 2500 2499 2501 2503 2502 2504 2506 2505 2507 2509 2508 2510 2512 2511 2513 2515 2514 2516 2518 2517 2519 2521 2520 2522 2524 2523 2525 2527 2526 2528 2530 2529 2531 2533 2532 2534 2536 2535 2537 2539 2538 2540 2542 2541 2543 2545 2544 2546 2548 2547 2549 2551 2550 2552 2554 2553 2555 2557 2556 2558 2560 2559 2561 2563 2562 2564 2566 2565 2567 2569 2568 2570 2572 2571 2573 2575 2574 2576 2578 2577 2579 2581 2580 2582 2584 2583 2585 2587 2586 2588 2590 2589 2591 2593 2592 2594 2596 2595 2597 2599 2598 2600 2602 2601 2603 2605 2604 2606 2608 2607 2609 2611 2610 2612 2614 2613 2615 2617 2616 2618 2620 2619 2621 2623 2622 2624 2626 2625 2627 2629 2628 2630 2632 2631 2633 2635 2634 2636 2638 2637 2639 2641 2640 2642 2644 2643 2645 2647 2646 2648 2650 2649 2651 2653 2652 2654 2656 2655 2657 2659 2658 2660 2662 2661 2663 2665 2664 2666 2668 2667 2669 2671 2670 2672 2674 2673 2675 2677 2676 2678 2680 2679 2681 2683 2682 2684 2686 2685 2687 2689 2688 2690 2692 2691 2693 2695 2694 2696 2698 2697 2699 2701 2700 2702 2704 2703 2705 2707 2706 2708 2710 2709 2711 2713 2712 2714 2716 2715 2717 2719 2718 2720 2722 2721 2723 2725 2724 2726 2728 2727 2729 2731 2730 2732 2734 2733 2735 2737 2736 2738 2740 2739 2741 2743 2742 2744 2746 2745 2747 2749 2748 2750 2752 2751 2753 2755 2754 2756 2758 2757 2759 2761 2760 2762 2764 2763 2765 2767 2766 2768 2770 2769 2771 2773 2772 2774 2776 2775 2777 2779 2778 2780 2782 2781 2783 2785 2784 2786 2788 2787 2789 2791 2790 2792 2794 2793 2795 2797 2796 2798 2800 2799 2801 2803 2802 2804 2806 2805 2807 2809 2808 2810 2812 2811 2813 2815 2814 2816 2818 2817 2819 2821 2820 2822 2824 2823 2825 2827 2826 2828 2830 2829 2831 2833 2832 2834 2836 2835 2837 2839 2838 2840 2842 2841 2843 2845 2844 2846 2848 2847 2849 2851 2850 2852 2854 2853 2855 2857 2856 2858 2860 2859 2861 2863 2862 2864 2866 2865 2867 2869 2868 2870 2872 2871 2873 2875 2874 2876 2878 2877 2879 2881 2880 2882 2884 2883 2885 2887 2886 2888 2890 2889 2891 2893 2892 2894 2896 2895 2897 2899 2898 2900 2902 2901 2903 2905 2904 2906 2908 2907 2909 2911 2910 2912 2914 2913 2915 2917 2916 2918 2920 2919 2921 2923 2922 2924 2926 2925 2927 2929 2928 2930 2932 2931 2933 2935 2934 2936 2938 2937 2939 2941 2940 2942 2944 2943 2945 2947 2946 2948 2950 2949 2951 2953 2952 2954 2956 2955 2957 2959 2958 2960 2962 2961 2963 2965 2964 2966 2968 2967 2969 2971 2970 2972 2974 2973 2975 2977 2976 2978 2980 2979 2981 2983 2982 2984 2986 2985 2987 2989 2988 2990 2992 2991 2993 2995 2994 2996 2998 2997 2999 3001 3000 3002 3004 3003 3005 3007 3006 3008 3010 3009 3011 3013 3012 3014 3016 3015 3017 3019 3018 3020 3022 3021 3023 3025 3024 3026 3028 3027 3029 3031 3030 3032 3034 3033 3035 3037 3036 3038 3040 3039 3041 3043 3042 3044 3046 3045 3047 3049 3048 3050 3052 3051 3053 3055 3054 3056 3058 3057 3059 3061 3060 3062 3064 3063 3065 3067 3066 3068 3070 3069 3071 3073 3072 3074 3076 3075 3077 3079 3078 3080 3082 3081 3083 3085 3084 3086 3088 3087 3089 3091 3090 3092 3094 3093 3095 3097 3096 3098 3100 3099 3101 3103 3102 3104 3106 3105 3107 3109 3108 3110 3112 3111 3113 3115 3114 3116 3118 3117 3119 3121 3120 3122 3124 3123 3125 3127 3126 3128 3130 3129 3131 3133 3132 3134 3136 3135 3137 3139 3138 3140 3142 3141 3143 3145 3144 3146 3148 3147 3149 3151 3150 3152 3154 3153 3155 3157 3156 3158 3160 3159 3161 3163 3162 3164 3166 3165 3167 3169 3168 3170 3172 3171 3173 3175 3174 3176 3178 3177 3179 3181 3180 3182 3184 3183 3185 3187 3186 3188 3190 3189 3191 3193 3192 3194 3196 3195 3197 3199 3198 3200 3202 3201 3203 3205 3204 3206 3208 3207 3209 3211 3210 3212 3214 3213 3215 3217 3216 3218 3220 3219 3221 3223 3222 3224 3226 3225 3227 3229 3228 3230 3232 3231 3233 3235 3234 3236 3238 3237 3239 3241 3240 3242 3244 3243 3245 3247 3246 3248 3250 3249 3251 3253 3252 3254 3256 3255 3257 3259 3258 3260 3262 3261 3263 3265 3264 3266 3268 3267 3269 3271 3270 3272 3274 3273 3275 3277 3276 3278 3280 3279 3281 3283 3282 3284 3286 3285 3287 3289 3288 3290 3292 3291 3293 3295 3294 3296 3298 3297 3299 3301 3300 3302 3304 3303 3305 3307 3306 3308 3310 3309 3311 3313 3312 3314 3316 3315 3317 3319 3318 3320 3322 3321 3323 3325 3324 3326 3328 3327 3329 3331 3330 3332 3334 3333 3335 3337 3336 3338 3340 3339 3341 3343 3342 3344 3346 3345 3347 3349 3348 3350 3352 3351 3353 3355 3354 3356 3358 3357 3359 3361 3360 3362 3364 3363 3365 3367 3366 3368 3370 3369 3371 3373 3372 3374 3376 3375 3377 3379 3378 3380 3382 3381 3383 3385 3384 3386 3388 3387 3389 3391 3390 3392 3394 3393 3395 3397 3396 3398 3400 3399 3401 3403 3402 3404 3406 3405 3407 3409 3408 3410 3412 3411 3413 3415 3414 3416 3418 3417 3419 3421 3420 3422 3424 3423 3425 3427 3426 3428 3430 3429 3431 3433 3432 3434 3436 3435 3437 3439 3438 3440 3442 3441 3443 3445 3444 3446 3448 3447 3449 3451 3450 3452 3454 3453 3455 3457 3456 3458 3460 3459 3461 3463 3462 3464 3466 3465 3467 3469 3468 3470 3472 3471 3473 3475 3474 3476 3478 3477 3479 3481 3480 3482 3484 3483 3485 3487 3486 3488 3490 3489 3491 3493 3492 3494 3496 3495 3497 3499 3498 3500 3502 3501 3503 3505 3504 3506 3508 3507 3509 3511 3510 3512 3514 3513 3515 3517 3516 3518 3520 3519 3521 3523 3522 3524 3526 3525 3527 3529 3528 3530 3532 3531 3533 3535 3534 3536 3538 3537 3539 3541 3540 3542 3544 3543 3545 3547 3546 3548 3550 3549 3551 3553 3552 3554 3556 3555 3557 3559 3558 3560 3562 3561 3563 3565 3564 3566 3568 3567 3569 3571 3570 3572 3574 3573 3575 3577 3576 3578 3580 3579 3581 3583 3582 3584 3586 3585 3587 3589 3588 3590 3592 3591 3593 3595 3594 3596 3598 3597 3599 3601 3600 3602 3604 3603 3605 3607 3606 3608 3610 3609 3611 3613 3612 3614 3616 3615 3617 3619 3618 3620 3622 3621 3623 3625 3624 3626 3628 3627 3629 3631 3630 3632 3634 3633 3635 3637 3636 3638 3640 3639 3641 3643 3642 3644 3646 3645 3647 3649 3648 3650 3652 3651 3653 3655 3654 3656 3658 3657 3659 3661 3660 3662 3664 3663 3665 3667 3666 3668 3670 3669 3671 3673 3672 3674 3676 3675 3677 3679 3678 3680 3682 3681 3683 3685 3684 3686 3688 3687 3689 3691 3690 3692 3694 3693 3695 3697 3696 3698 3700 3699 3701 3703 3702 3704 3706 3705 3707 3709 3708 3710 3712 3711 3713 3715 3714 3716 3718 3717 3719 3721 3720 3722 3724 3723 3725 3727 3726 3728 3730 3729 3731 3733 3732 3734 3736 3735 3737 3739 3738 3740 3742 3741 3743 3745 3744 3746 3748 3747 3749 3751 3750 3752 3754 3753 3755 3757 3756 3758 3760 3759 3761 3763 3762 3764 3766 3765 3767 3769 3768 3770 3772 3771 3773 3775 3774 3776 3778 3777 3779 3781 3780 3782 3784 3783 3785 3787 3786 3788 3790 3789 3791 3793 3792 3794 3796 3795 3797 3799 3798 3800 3802 3801 3803 3805 3804 3806 3808 3807 3809 3811 3810 3812 3814 3813 3815 3817 3816 3818 3820 3819 3821 3823 3822 3824 3826 3825 3827))
           (list :vertices #2f((-25.200001 4.973630 -46.925701)(-25.200001 5.233910 -46.608002)(-25.699999 5.391130 -46.416100)(-25.200001 5.233910 -46.608002)(-25.200001 5.391130 -46.416100)(-25.699999 5.391130 -46.416100)(-25.200001 5.391130 -46.416100)(-26.200001 5.808630 -45.906399)(-25.699999 5.391130 -46.416100)(-26.200001 5.808630 -45.906399)(-26.200001 4.973630 -46.925701)(-25.699999 5.391130 -46.416100)(-26.200001 4.973630 -46.925701)(-25.200001 4.973630 -46.925701)(-25.699999 5.391130 -46.416100)(-25.200001 4.477580 -47.341599)(-25.200001 4.973630 -46.925701)(-25.699999 4.477580 -47.341599)(-25.200001 4.973630 -46.925701)(-26.200001 4.973630 -46.925701)(-25.699999 4.477580 -47.341599)(-26.200001 4.973630 -46.925701)(-26.200001 3.981530 -47.757397)(-25.699999 4.477580 -47.341599)(-26.200001 3.981530 -47.757397)(-25.200001 4.477580 -47.341599)(-25.699999 4.477580 -47.341599)(-25.200001 3.981530 -47.757397)(-25.200001 4.477580 -47.341599)(-26.200001 3.981530 -47.757397)(-25.200001 3.409850 -48.078102)(-25.200001 3.981530 -47.757397)(-25.699999 3.409850 -48.078102)(-25.200001 3.981530 -47.757397)(-26.200001 3.981530 -47.757397)(-25.699999 3.409850 -48.078102)(-26.200001 3.981530 -47.757397)(-26.200001 2.838170 -48.398800)(-25.699999 3.409850 -48.078102)(-26.200001 2.838170 -48.398800)(-25.200001 3.409850 -48.078102)(-25.699999 3.409850 -48.078102)(-25.200001 2.838170 -48.398800)(-25.200001 3.409850 -48.078102)(-26.200001 2.838170 -48.398800)(-25.200001 2.155180 -48.621098)(-25.200001 2.838170 -48.398800)(-26.200001 2.838170 -48.398800)(-25.200001 1.472200 -48.843399)(-25.200001 2.155180 -48.621098)(-25.699999 2.155180 -48.621098)(-25.200001 2.155180 -48.621098)(-26.200001 2.838170 -48.398800)(-25.699999 2.155180 -48.621098)(-26.200001 2.838170 -48.398800)(-26.200001 1.472200 -48.843399)(-25.699999 2.155180 -48.621098)(-26.200001 1.472200 -48.843399)(-25.200001 1.472200 -48.843399)(-25.699999 2.155180 -48.621098)(-25.200001 0.736101 -48.921700)(-25.200001 1.472200 -48.843399)(-26.200001 1.472200 -48.843399)(-25.200001 0.000000 -49.000000)(-25.200001 0.736101 -48.921700)(-25.699999 0.736101 -48.921700)(-25.200001 0.736101 -48.921700)(-26.200001 1.472200 -48.843399)(-25.699999 0.736101 -48.921700)(-26.200001 1.472200 -48.843399)(-26.200001 0.000000 -49.000000)(-25.699999 0.736101 -48.921700)(-26.200001 0.000000 -49.000000)(-25.200001 0.000000 -49.000000)(-25.699999 0.736101 -48.921700)(-25.200001 -0.664345 -48.928001)(-25.200001 0.000000 -49.000000)(-26.200001 0.000000 -49.000000)(-26.200001 0.000000 -49.000000)(-25.200001 -0.664345 -48.928001)(-25.200001 -0.750082 -48.918701)(-26.200001 -7.000000 -42.000000)(-25.200001 -6.918680 -41.249901)(-25.200001 -7.000000 -42.000000)(-25.200001 -6.837360 -40.499798)(-25.200001 -6.918680 -41.249901)(-25.699999 -6.918680 -41.249901)(-25.200001 -6.918680 -41.249901)(-26.200001 -7.000000 -42.000000)(-25.699999 -6.918680 -41.249901)(-26.200001 -7.000000 -42.000000)(-26.200001 -6.837360 -40.499798)(-25.699999 -6.918680 -41.249901)(-26.200001 -6.837360 -40.499798)(-25.200001 -6.837360 -40.499798)(-25.699999 -6.918680 -41.249901)(-26.200001 -6.837360 -40.499798)(-25.200001 -6.637910 -39.876400)(-25.200001 -6.837360 -40.499798)(-25.200001 -6.438470 -39.252998)(-25.200001 -6.637910 -39.876400)(-25.699999 -6.637910 -39.876400)(-25.200001 -6.637910 -39.876400)(-26.200001 -6.837360 -40.499798)(-25.699999 -6.637910 -39.876400)(-26.200001 -6.837360 -40.499798)(-26.200001 -6.438470 -39.252998)(-25.699999 -6.637910 -39.876400)(-26.200001 -6.438470 -39.252998)(-25.200001 -6.438470 -39.252998)(-25.699999 -6.637910 -39.876400)(-25.200001 -6.123550 -38.673302)(-25.200001 -6.438470 -39.252998)(-25.699999 -6.123550 -38.673302)(-25.200001 -6.438470 -39.252998)(-26.200001 -6.438470 -39.252998)(-25.699999 -6.123550 -38.673302)(-26.200001 -6.438470 -39.252998)(-26.200001 -5.808630 -38.093601)(-25.699999 -6.123550 -38.673302)(-26.200001 -5.808630 -38.093601)(-25.200001 -6.123550 -38.673302)(-25.699999 -6.123550 -38.673302)(-26.200001 -5.808630 -38.093601)(-25.200001 -5.808630 -38.093601)(-25.200001 -6.123550 -38.673302)(-26.200001 -5.808630 -38.093601)(-25.200001 -5.391130 -37.583900)(-25.200001 -5.808630 -38.093601)(-25.200001 -4.973630 -37.074200)(-25.200001 -5.391130 -37.583900)(-25.699999 -5.391130 -37.583900)(-25.200001 -5.391130 -37.583900)(-26.200001 -5.808630 -38.093601)(-25.699999 -5.391130 -37.583900)(-26.200001 -5.808630 -38.093601)(-26.200001 -4.973630 -37.074200)(-25.699999 -5.391130 -37.583900)(-26.200001 -4.973630 -37.074200)(-25.200001 -4.973630 -37.074200)(-25.699999 -5.391130 -37.583900)(-25.200001 -4.477580 -36.658398)(-25.200001 -4.973630 -37.074200)(-25.699999 -4.477580 -36.658398)(-25.200001 -4.973630 -37.074200)(-26.200001 -4.973630 -37.074200)(-25.699999 -4.477580 -36.658398)(-26.200001 -4.973630 -37.074200)(-26.200001 -3.981530 -36.242599)(-25.699999 -4.477580 -36.658398)(-26.200001 -3.981530 -36.242599)(-25.200001 -4.477580 -36.658398)(-25.699999 -4.477580 -36.658398)(-25.200001 -3.981530 -36.242599)(-25.200001 -4.477580 -36.658398)(-26.200001 -3.981530 -36.242599)(-25.200001 -3.409850 -35.921902)(-25.200001 -3.981530 -36.242599)(-25.699999 -3.409850 -35.921902)(-25.200001 -3.981530 -36.242599)(-26.200001 -3.981530 -36.242599)(-25.699999 -3.409850 -35.921902)(-26.200001 -3.981530 -36.242599)(-26.200001 -2.838170 -35.601200)(-25.699999 -3.409850 -35.921902)(-26.200001 -2.838170 -35.601200)(-25.200001 -3.409850 -35.921902)(-25.699999 -3.409850 -35.921902)(-25.200001 -2.838170 -35.601200)(-25.200001 -3.409850 -35.921902)(-26.200001 -2.838170 -35.601200)(-25.200001 -2.155180 -35.378899)(-25.200001 -2.838170 -35.601200)(-26.200001 -2.838170 -35.601200)(-25.200001 -1.472200 -35.156601)(-25.200001 -2.155180 -35.378899)(-25.699999 -2.155180 -35.378899)(-25.200001 -2.155180 -35.378899)(-26.200001 -2.838170 -35.601200)(-25.699999 -2.155180 -35.378899)(-26.200001 -2.838170 -35.601200)(-26.200001 -1.472200 -35.156601)(-25.699999 -2.155180 -35.378899)(-26.200001 -1.472200 -35.156601)(-25.200001 -1.472200 -35.156601)(-25.699999 -2.155180 -35.378899)(-25.200001 -0.736102 -35.078297)(-25.200001 -1.472200 -35.156601)(-26.200001 -1.472200 -35.156601)(-25.200001 -0.000000 -35.000000)(-25.200001 -0.736102 -35.078297)(-25.699999 -0.736101 -35.078297)(-25.200001 -0.736102 -35.078297)(-26.200001 -1.472200 -35.156601)(-25.699999 -0.736101 -35.078297)(-26.200001 -1.472200 -35.156601)(-26.200001 -0.000000 -35.000000)(-25.699999 -0.736101 -35.078297)(-26.200001 -0.000000 -35.000000)(-25.200001 -0.000000 -35.000000)(-25.699999 -0.736101 -35.078297)(-25.200001 0.750082 -35.081303)(-25.200001 -0.000000 -35.000000)(-26.200001 -0.000000 -35.000000)(-25.200001 1.500160 -35.162601)(-25.200001 0.750082 -35.081303)(-25.699999 0.750082 -35.081303)(-25.200001 0.750082 -35.081303)(-26.200001 -0.000000 -35.000000)(-25.699999 0.750082 -35.081303)(-26.200001 -0.000000 -35.000000)(-26.200001 1.500160 -35.162601)(-25.699999 0.750082 -35.081303)(-26.200001 1.500160 -35.162601)(-25.200001 1.500160 -35.162601)(-25.699999 0.750082 -35.081303)(-25.200001 2.123590 -35.362099)(-25.200001 1.500160 -35.162601)(-25.699999 2.123590 -35.362099)(-25.200001 1.500160 -35.162601)(-26.200001 1.500160 -35.162601)(-25.699999 2.123590 -35.362099)(-26.200001 1.500160 -35.162601)(-26.200001 2.747020 -35.561497)(-25.699999 2.123590 -35.362099)(-26.200001 2.747020 -35.561497)(-25.200001 2.123590 -35.362099)(-25.699999 2.123590 -35.362099)(-25.200001 2.747020 -35.561497)(-25.200001 2.123590 -35.362099)(-26.200001 2.747020 -35.561497)(-25.200001 3.326700 -35.876400)(-25.200001 2.747020 -35.561497)(-26.200001 2.747020 -35.561497)(-25.200001 3.906380 -36.191399)(-25.200001 3.326700 -35.876400)(-25.699999 3.326700 -35.876400)(-25.200001 3.326700 -35.876400)(-26.200001 2.747020 -35.561497)(-25.699999 3.326700 -35.876400)(-26.200001 2.747020 -35.561497)(-26.200001 3.906380 -36.191399)(-25.699999 3.326700 -35.876400)(-26.200001 3.906380 -36.191399)(-25.200001 3.906380 -36.191399)(-25.699999 3.326700 -35.876400)(-25.200001 4.416060 -36.608902)(-25.200001 3.906380 -36.191399)(-26.200001 3.906380 -36.191399)(-25.200001 4.925750 -37.026402)(-25.200001 4.416060 -36.608902)(-25.699999 4.416060 -36.608902)(-25.200001 4.416060 -36.608902)(-26.200001 3.906380 -36.191399)(-25.699999 4.416060 -36.608902)(-26.200001 3.906380 -36.191399)(-26.200001 4.925750 -37.026402)(-25.699999 4.416060 -36.608902)(-26.200001 4.925750 -37.026402)(-25.200001 4.925750 -37.026402)(-25.699999 4.416060 -36.608902)(-25.200001 5.341560 -37.522400)(-25.200001 4.925750 -37.026402)(-25.699999 5.341560 -37.522400)(-25.200001 4.925750 -37.026402)(-26.200001 4.925750 -37.026402)(-25.699999 5.341560 -37.522400)(-26.200001 4.925750 -37.026402)(-26.200001 5.757380 -38.018497)(-25.699999 5.341560 -37.522400)(-26.200001 5.757380 -38.018497)(-25.200001 5.341560 -37.522400)(-25.699999 5.341560 -37.522400)(-26.200001 5.757380 -38.018497)(-25.200001 5.757380 -38.018497)(-25.200001 5.341560 -37.522400)(-25.200001 6.078100 -38.590099)(-25.200001 5.757380 -38.018497)(-25.699999 6.078100 -38.590099)(-25.200001 5.757380 -38.018497)(-26.200001 5.757380 -38.018497)(-25.699999 6.078100 -38.590099)(-26.200001 5.757380 -38.018497)(-26.200001 6.398810 -39.161800)(-25.699999 6.078100 -38.590099)(-26.200001 6.398810 -39.161800)(-25.200001 6.078100 -38.590099)(-25.699999 6.078100 -38.590099)(-26.200001 6.398810 -39.161800)(-25.200001 6.398810 -39.161800)(-25.200001 6.078100 -38.590099)(-26.200001 6.398810 -39.161800)(-25.200001 6.621120 -39.844799)(-25.200001 6.398810 -39.161800)(-25.200001 6.843440 -40.527798)(-25.200001 6.621120 -39.844799)(-25.699999 6.621120 -39.844799)(-25.200001 6.621120 -39.844799)(-26.200001 6.398810 -39.161800)(-25.699999 6.621120 -39.844799)(-26.200001 6.398810 -39.161800)(-26.200001 6.843440 -40.527798)(-25.699999 6.621120 -39.844799)(-26.200001 6.843440 -40.527798)(-25.200001 6.843440 -40.527798)(-25.699999 6.621120 -39.844799)(-26.200001 6.843440 -40.527798)(-25.200001 6.921720 -41.263901)(-25.200001 6.843440 -40.527798)(-25.200001 7.000000 -42.000000)(-25.200001 6.921720 -41.263901)(-25.699999 6.921720 -41.263901)(-25.200001 6.921720 -41.263901)(-26.200001 6.843440 -40.527798)(-25.699999 6.921720 -41.263901)(-26.200001 6.843440 -40.527798)(-26.200001 7.000000 -42.000000)(-25.699999 6.921720 -41.263901)(-26.200001 7.000000 -42.000000)(-25.200001 7.000000 -42.000000)(-25.699999 6.921720 -41.263901)(-26.200001 7.000000 -42.000000)(-25.200001 6.918680 -42.750103)(-25.200001 7.000000 -42.000000)(-25.200001 6.837360 -43.500198)(-25.200001 6.918680 -42.750103)(-25.699999 6.918680 -42.750103)(-25.200001 6.918680 -42.750103)(-26.200001 7.000000 -42.000000)(-25.699999 6.918680 -42.750103)(-26.200001 7.000000 -42.000000)(-26.200001 6.837360 -43.500198)(-25.699999 6.918680 -42.750103)(-26.200001 6.837360 -43.500198)(-25.200001 6.837360 -43.500198)(-25.699999 6.918680 -42.750103)(-26.200001 6.837360 -43.500198)(-25.200001 6.637910 -44.123600)(-25.200001 6.837360 -43.500198)(-25.200001 6.438470 -44.746998)(-25.200001 6.637910 -44.123600)(-25.699999 6.637910 -44.123600)(-25.200001 6.637910 -44.123600)(-26.200001 6.837360 -43.500198)(-25.699999 6.637910 -44.123600)(-26.200001 6.837360 -43.500198)(-26.200001 6.438470 -44.746998)(-25.699999 6.637910 -44.123600)(-26.200001 6.438470 -44.746998)(-25.200001 6.438470 -44.746998)(-25.699999 6.637910 -44.123600)(-25.200001 6.123550 -45.326698)(-25.200001 6.438470 -44.746998)(-25.699999 6.123550 -45.326698)(-25.200001 6.438470 -44.746998)(-26.200001 6.438470 -44.746998)(-25.699999 6.123550 -45.326698)(-26.200001 6.438470 -44.746998)(-26.200001 5.808630 -45.906399)(-25.699999 6.123550 -45.326698)(-26.200001 5.808630 -45.906399)(-25.200001 6.123550 -45.326698)(-25.699999 6.123550 -45.326698)(-26.200001 5.808630 -45.906399)(-25.200001 5.808630 -45.906399)(-25.200001 6.123550 -45.326698)(-26.200001 5.808630 -45.906399)(-25.200001 5.391130 -46.416100)(-25.200001 5.808630 -45.906399)(-25.200001 -1.500160 -48.837402)(-25.200001 -0.750082 -48.918701)(-25.699999 -0.750082 -48.918701)(-25.200001 -0.750082 -48.918701)(-26.200001 0.000000 -49.000000)(-25.699999 -0.750082 -48.918701)(-26.200001 0.000000 -49.000000)(-26.200001 -1.500160 -48.837402)(-25.699999 -0.750082 -48.918701)(-26.200001 -1.500160 -48.837402)(-25.200001 -1.500160 -48.837402)(-25.699999 -0.750082 -48.918701)(-25.200001 -2.123590 -48.637901)(-25.200001 -1.500160 -48.837402)(-25.699999 -2.123590 -48.637901)(-25.200001 -1.500160 -48.837402)(-26.200001 -1.500160 -48.837402)(-25.699999 -2.123590 -48.637901)(-26.200001 -1.500160 -48.837402)(-26.200001 -2.747020 -48.438499)(-25.699999 -2.123590 -48.637901)(-26.200001 -2.747020 -48.438499)(-25.200001 -2.123590 -48.637901)(-25.699999 -2.123590 -48.637901)(-25.200001 -2.747020 -48.438499)(-25.200001 -2.123590 -48.637901)(-26.200001 -2.747020 -48.438499)(-25.200001 -3.326700 -48.123501)(-25.200001 -2.747020 -48.438499)(-26.200001 -2.747020 -48.438499)(-25.200001 -3.906380 -47.808598)(-25.200001 -3.326700 -48.123501)(-25.699999 -3.326700 -48.123501)(-25.200001 -3.326700 -48.123501)(-26.200001 -2.747020 -48.438499)(-25.699999 -3.326700 -48.123501)(-26.200001 -2.747020 -48.438499)(-26.200001 -3.906380 -47.808598)(-25.699999 -3.326700 -48.123501)(-26.200001 -3.906380 -47.808598)(-25.200001 -3.906380 -47.808598)(-25.699999 -3.326700 -48.123501)(-25.200001 -4.416060 -47.391102)(-25.200001 -3.906380 -47.808598)(-26.200001 -3.906380 -47.808598)(-25.200001 -4.925750 -46.973602)(-25.200001 -4.416060 -47.391102)(-25.699999 -4.416060 -47.391102)(-25.200001 -4.416060 -47.391102)(-26.200001 -3.906380 -47.808598)(-25.699999 -4.416060 -47.391102)(-26.200001 -3.906380 -47.808598)(-26.200001 -4.925750 -46.973602)(-25.699999 -4.416060 -47.391102)(-26.200001 -4.925750 -46.973602)(-25.200001 -4.925750 -46.973602)(-25.699999 -4.416060 -47.391102)(-25.200001 -5.341560 -46.477600)(-25.200001 -4.925750 -46.973602)(-25.699999 -5.341560 -46.477600)(-25.200001 -4.925750 -46.973602)(-26.200001 -4.925750 -46.973602)(-25.699999 -5.341560 -46.477600)(-26.200001 -4.925750 -46.973602)(-26.200001 -5.757380 -45.981499)(-25.699999 -5.341560 -46.477600)(-26.200001 -5.757380 -45.981499)(-25.200001 -5.341560 -46.477600)(-25.699999 -5.341560 -46.477600)(-26.200001 -5.757380 -45.981499)(-25.200001 -5.757380 -45.981499)(-25.200001 -5.341560 -46.477600)(-26.200001 -5.757380 -45.981499)(-25.200001 -6.078100 -45.409901)(-25.200001 -5.757380 -45.981499)(-25.200001 -6.398810 -44.838200)(-25.200001 -6.078100 -45.409901)(-25.699999 -6.078100 -45.409901)(-25.200001 -6.078100 -45.409901)(-26.200001 -5.757380 -45.981499)(-25.699999 -6.078100 -45.409901)(-26.200001 -5.757380 -45.981499)(-26.200001 -6.398810 -44.838200)(-25.699999 -6.078100 -45.409901)(-26.200001 -6.398810 -44.838200)(-25.200001 -6.398810 -44.838200)(-25.699999 -6.078100 -45.409901)(-26.200001 -6.398810 -44.838200)(-25.200001 -6.621120 -44.155201)(-25.200001 -6.398810 -44.838200)(-25.200001 -6.843440 -43.472202)(-25.200001 -6.621120 -44.155201)(-25.699999 -6.621120 -44.155201)(-25.200001 -6.621120 -44.155201)(-26.200001 -6.398810 -44.838200)(-25.699999 -6.621120 -44.155201)(-26.200001 -6.398810 -44.838200)(-26.200001 -6.843440 -43.472202)(-25.699999 -6.621120 -44.155201)(-26.200001 -6.843440 -43.472202)(-25.200001 -6.843440 -43.472202)(-25.699999 -6.621120 -44.155201)(-26.200001 -6.843440 -43.472202)(-25.200001 -6.921720 -42.736099)(-25.200001 -6.843440 -43.472202)(-25.200001 -7.000000 -42.000000)(-25.200001 -6.921720 -42.736099)(-25.699999 -6.921720 -42.736099)(-25.200001 -6.921720 -42.736099)(-26.200001 -6.843440 -43.472202)(-25.699999 -6.921720 -42.736099)(-26.200001 -6.843440 -43.472202)(-26.200001 -7.000000 -42.000000)(-25.699999 -6.921720 -42.736099)(-26.200001 -7.000000 -42.000000)(-25.200001 -7.000000 -42.000000)(-25.699999 -6.921720 -42.736099)(-26.200001 3.500000 -45.500000)(-26.200001 4.973630 -46.925701)(-26.200001 5.808630 -45.906399)(-26.200001 3.500000 -45.500000)(-26.200001 3.981530 -47.757397)(-26.200001 4.973630 -46.925701)(-26.200001 2.838170 -48.398800)(-26.200001 3.981530 -47.757397)(-26.200001 3.500000 -45.500000)(-26.200001 1.472200 -48.843399)(-26.200001 2.838170 -48.398800)(-26.200001 0.000000 -45.500000)(-26.200001 0.000000 -49.000000)(-26.200001 1.472200 -48.843399)(-26.200001 0.000000 -45.500000)(-26.200001 -6.837360 -40.499798)(-26.200001 -7.000000 -42.000000)(-26.200001 -3.500000 -42.000000)(-26.200001 -6.837360 -40.499798)(-26.200001 -3.500000 -42.000000)(-26.200001 -6.438470 -39.252998)(-26.200001 -5.808630 -38.093601)(-26.200001 -6.438470 -39.252998)(-26.200001 -3.500000 -38.500000)(-26.200001 -4.973630 -37.074200)(-26.200001 -5.808630 -38.093601)(-26.200001 -3.500000 -38.500000)(-26.200001 -4.973630 -37.074200)(-26.200001 -3.500000 -38.500000)(-26.200001 -3.981530 -36.242599)(-26.200001 -3.981530 -36.242599)(-26.200001 -3.500000 -38.500000)(-26.200001 -2.838170 -35.601200)(-26.200001 -2.838170 -35.601200)(-26.200001 0.000000 -38.500000)(-26.200001 -1.472200 -35.156601)(-26.200001 -1.472200 -35.156601)(-26.200001 0.000000 -38.500000)(-26.200001 -0.000000 -35.000000)(-26.200001 -0.000000 -35.000000)(-26.200001 0.000000 -38.500000)(-26.200001 1.500160 -35.162601)(-26.200001 1.500160 -35.162601)(-26.200001 0.000000 -38.500000)(-26.200001 2.747020 -35.561497)(-26.200001 2.747020 -35.561497)(-26.200001 3.500000 -38.500000)(-26.200001 3.906380 -36.191399)(-26.200001 3.906380 -36.191399)(-26.200001 3.500000 -38.500000)(-26.200001 4.925750 -37.026402)(-26.200001 3.500000 -38.500000)(-26.200001 5.757380 -38.018497)(-26.200001 4.925750 -37.026402)(-26.200001 3.500000 -38.500000)(-26.200001 6.398810 -39.161800)(-26.200001 5.757380 -38.018497)(-26.200001 6.843440 -40.527798)(-26.200001 6.398810 -39.161800)(-26.200001 3.500000 -42.000000)(-26.200001 3.500000 -42.000000)(-26.200001 7.000000 -42.000000)(-26.200001 6.843440 -40.527798)(-26.200001 3.500000 -42.000000)(-26.200001 6.837360 -43.500198)(-26.200001 7.000000 -42.000000)(-26.200001 6.438470 -44.746998)(-26.200001 6.837360 -43.500198)(-26.200001 3.500000 -42.000000)(-26.200001 3.500000 -45.500000)(-26.200001 5.808630 -45.906399)(-26.200001 6.438470 -44.746998)(-26.200001 -1.500160 -48.837402)(-26.200001 0.000000 -49.000000)(-26.200001 0.000000 -45.500000)(-26.200001 -2.747020 -48.438499)(-26.200001 -1.500160 -48.837402)(-26.200001 0.000000 -45.500000)(-26.200001 -3.906380 -47.808598)(-26.200001 -2.747020 -48.438499)(-26.200001 -3.500000 -45.500000)(-26.200001 -4.925750 -46.973602)(-26.200001 -3.906380 -47.808598)(-26.200001 -3.500000 -45.500000)(-26.200001 -5.757380 -45.981499)(-26.200001 -4.925750 -46.973602)(-26.200001 -3.500000 -45.500000)(-26.200001 -6.398810 -44.838200)(-26.200001 -5.757380 -45.981499)(-26.200001 -3.500000 -45.500000)(-26.200001 -6.398810 -44.838200)(-26.200001 -3.500000 -42.000000)(-26.200001 -6.843440 -43.472202)(-26.200001 -7.000000 -42.000000)(-26.200001 -6.843440 -43.472202)(-26.200001 -3.500000 -42.000000)(-26.200001 0.000000 -45.500000)(-26.200001 2.838170 -48.398800)(-26.200001 3.500000 -45.500000)(-26.200001 -6.438470 -39.252998)(-26.200001 -3.500000 -42.000000)(-26.200001 -3.500000 -38.500000)(-26.200001 -3.500000 -38.500000)(-26.200001 0.000000 -38.500000)(-26.200001 -2.838170 -35.601200)(-26.200001 0.000000 -38.500000)(-26.200001 3.500000 -38.500000)(-26.200001 2.747020 -35.561497)(-26.200001 3.500000 -38.500000)(-26.200001 3.500000 -42.000000)(-26.200001 6.398810 -39.161800)(-26.200001 3.500000 -42.000000)(-26.200001 3.500000 -45.500000)(-26.200001 6.438470 -44.746998)(-26.200001 -3.500000 -45.500000)(-26.200001 -2.747020 -48.438499)(-26.200001 0.000000 -45.500000)(-26.200001 -6.398810 -44.838200)(-26.200001 -3.500000 -45.500000)(-26.200001 -3.500000 -42.000000)(-26.200001 0.000000 -45.500000)(-26.200001 3.500000 -45.500000)(-26.200001 3.500000 -42.000000)(-26.200001 -3.500000 -38.500000)(-26.200001 -3.500000 -42.000000)(-26.200001 0.000000 -38.500000)(-26.200001 0.000000 -38.500000)(-26.200001 0.000000 -42.000000)(-26.200001 3.500000 -38.500000)(-26.200001 0.000000 -42.000000)(-26.200001 3.500000 -42.000000)(-26.200001 3.500000 -38.500000)(-26.200001 -3.500000 -45.500000)(-26.200001 0.000000 -45.500000)(-26.200001 0.000000 -42.000000)(-26.200001 -3.500000 -42.000000)(-26.200001 -3.500000 -45.500000)(-26.200001 0.000000 -42.000000)(-26.200001 0.000000 -42.000000)(-26.200001 0.000000 -45.500000)(-26.200001 3.500000 -42.000000)(-26.200001 -3.500000 -42.000000)(-26.200001 0.000000 -42.000000)(-26.200001 0.000000 -38.500000)(-25.200001 20.000000 -52.599998)(-16.300001 20.000000 -52.599998)(-25.200001 20.000000 -40.800003)(-25.200001 -0.664345 -48.928001)(-25.200001 -10.000000 -52.599998)(-25.200001 0.000000 -49.000000)(-25.200001 0.000000 -49.000000)(-25.200001 -10.000000 -52.599998)(-25.200001 0.736101 -48.921700)(-25.200001 0.736101 -48.921700)(-25.200001 -10.000000 -52.599998)(-25.200001 1.472200 -48.843399)(-25.200001 5.233910 -46.608002)(-25.200001 4.973630 -46.925701)(-25.200001 20.000000 -52.599998)(-25.200001 4.973630 -46.925701)(-25.200001 4.477580 -47.341599)(-25.200001 20.000000 -52.599998)(-25.200001 4.477580 -47.341599)(-25.200001 3.981530 -47.757397)(-25.200001 20.000000 -52.599998)(-25.200001 3.981530 -47.757397)(-25.200001 3.409850 -48.078102)(-25.200001 20.000000 -52.599998)(-25.200001 3.409850 -48.078102)(-25.200001 2.838170 -48.398800)(-25.200001 20.000000 -52.599998)(-25.200001 2.838170 -48.398800)(-25.200001 2.155180 -48.621098)(-25.200001 20.000000 -52.599998)(-25.200001 2.155180 -48.621098)(-25.200001 1.472200 -48.843399)(-25.200001 20.000000 -52.599998)(-25.200001 1.472200 -48.843399)(-25.200001 -10.000000 -52.599998)(-25.200001 20.000000 -52.599998)(-25.200001 5.233910 -46.608002)(-25.200001 20.000000 -52.599998)(-25.200001 20.000000 -40.800003)(-16.300001 20.000000 -52.599998)(-25.200001 20.000000 -52.599998)(-25.200001 -10.000000 -52.599998)(-7.400000 20.000000 -40.800003)(-25.200001 20.000000 -40.800003)(-16.300001 20.000000 -46.700001)(-25.200001 20.000000 -40.800003)(-16.300001 20.000000 -52.599998)(-16.300001 20.000000 -46.700001)(-16.300001 20.000000 -52.599998)(-7.400000 20.000000 -40.800003)(-16.300001 20.000000 -46.700001)(-25.200001 -10.000000 -52.599998)(-25.200001 -4.925750 -46.973602)(-25.200001 -5.341560 -46.477600)(-25.200001 -4.925750 -46.973602)(-25.200001 -10.000000 -52.599998)(-25.200001 -4.416060 -47.391102)(-25.200001 -10.000000 -52.599998)(-25.200001 -5.341560 -46.477600)(-25.200001 -5.757380 -45.981499)(-25.200001 -4.416060 -47.391102)(-25.200001 -10.000000 -52.599998)(-25.200001 -3.906380 -47.808598)(-25.200001 -10.000000 -52.599998)(-25.200001 -5.757380 -45.981499)(-25.200001 -6.078100 -45.409901)(-25.200001 -3.906380 -47.808598)(-25.200001 -10.000000 -52.599998)(-25.200001 -3.326700 -48.123501)(-25.200001 -10.000000 -52.599998)(-25.200001 -6.078100 -45.409901)(-25.200001 -6.398810 -44.838200)(-25.200001 -3.326700 -48.123501)(-25.200001 -10.000000 -52.599998)(-25.200001 -2.747020 -48.438499)(-25.200001 -10.000000 -52.599998)(-25.200001 -6.398810 -44.838200)(-25.200001 -6.621120 -44.155201)(-25.200001 -2.747020 -48.438499)(-25.200001 -10.000000 -52.599998)(-25.200001 -2.123590 -48.637901)(-25.200001 -2.123590 -48.637901)(-25.200001 -10.000000 -52.599998)(-25.200001 -1.500160 -48.837402)(-25.200001 -10.000000 -52.599998)(-25.200001 -6.621120 -44.155201)(-25.200001 -6.843440 -43.472202)(-25.200001 -1.500160 -48.837402)(-25.200001 -10.000000 -52.599998)(-25.200001 -0.750082 -48.918701)(-25.200001 -10.000000 -52.599998)(-25.200001 -6.843440 -43.472202)(-25.200001 -6.921720 -42.736099)(-25.200001 -0.750082 -48.918701)(-25.200001 -10.000000 -52.599998)(-25.200001 -0.664345 -48.928001)(-25.200001 -10.000000 -52.599998)(-25.200001 -6.921720 -42.736099)(-25.200001 -7.000000 -42.000000)(-25.200001 -7.000000 -42.000000)(-25.200001 -6.918680 -41.249901)(-25.200001 -10.000000 -29.000000)(-25.200001 -6.918680 -41.249901)(-25.200001 -6.837360 -40.499798)(-25.200001 -10.000000 -29.000000)(-25.200001 -6.837360 -40.499798)(-25.200001 -6.637910 -39.876400)(-25.200001 -10.000000 -29.000000)(-25.200001 -6.637910 -39.876400)(-25.200001 -6.438470 -39.252998)(-25.200001 -10.000000 -29.000000)(-25.200001 -6.438470 -39.252998)(-25.200001 -6.123550 -38.673302)(-25.200001 -10.000000 -29.000000)(-25.200001 -6.123550 -38.673302)(-25.200001 -5.808630 -38.093601)(-25.200001 -10.000000 -29.000000)(-25.200001 -5.808630 -38.093601)(-25.200001 -5.391130 -37.583900)(-25.200001 -10.000000 -29.000000)(-25.200001 -5.391130 -37.583900)(-25.200001 -4.973630 -37.074200)(-25.200001 -10.000000 -29.000000)(-25.200001 -4.973630 -37.074200)(-25.200001 -4.477580 -36.658398)(-25.200001 -10.000000 -29.000000)(-25.200001 -4.477580 -36.658398)(-25.200001 -3.981530 -36.242599)(-25.200001 -10.000000 -29.000000)(-25.200001 -3.981530 -36.242599)(-25.200001 -3.409850 -35.921902)(-25.200001 -10.000000 -29.000000)(-25.200001 -10.000000 -52.599998)(-25.200001 -7.000000 -42.000000)(-25.200001 -10.000000 -29.000000)(-25.200001 -10.000000 -29.000000)(-25.200001 -3.409850 -35.921902)(-25.200001 -2.838170 -35.601200)(-25.200001 -10.000000 -29.000000)(-25.200001 -2.838170 -35.601200)(-25.200001 -2.155180 -35.378899)(-25.200001 -10.000000 -29.000000)(-25.200001 -2.155180 -35.378899)(-25.200001 -1.472200 -35.156601)(-25.200001 -10.000000 -29.000000)(-25.200001 -1.472200 -35.156601)(-25.200001 -0.736102 -35.078297)(-25.200001 -10.000000 -29.000000)(-25.200001 -0.736102 -35.078297)(-25.200001 -0.000000 -35.000000)(-25.200001 -10.000000 -29.000000)(-25.200001 -0.000000 -35.000000)(-25.200001 0.750082 -35.081303)(-25.200001 -10.000000 -29.000000)(-25.200001 0.750082 -35.081303)(-25.200001 1.500160 -35.162601)(-25.200001 -10.000000 -29.000000)(-25.200001 1.500160 -35.162601)(-25.200001 2.123590 -35.362099)(-25.200001 -10.000000 -29.000000)(-25.200001 2.123590 -35.362099)(-25.200001 2.747020 -35.561497)(-25.200001 2.747020 -35.561497)(-25.200001 3.326700 -35.876400)(-25.200001 20.000000 -40.800003)(-25.200001 3.326700 -35.876400)(-25.200001 3.906380 -36.191399)(-25.200001 20.000000 -40.800003)(-25.200001 3.906380 -36.191399)(-25.200001 4.416060 -36.608902)(-25.200001 20.000000 -40.800003)(-25.200001 4.416060 -36.608902)(-25.200001 4.925750 -37.026402)(-25.200001 20.000000 -40.800003)(-25.200001 4.925750 -37.026402)(-25.200001 5.341560 -37.522400)(-25.200001 20.000000 -40.800003)(-25.200001 5.341560 -37.522400)(-25.200001 5.757380 -38.018497)(-25.200001 20.000000 -40.800003)(-25.200001 5.757380 -38.018497)(-25.200001 6.078100 -38.590099)(-25.200001 20.000000 -40.800003)(-25.200001 6.078100 -38.590099)(-25.200001 6.398810 -39.161800)(-25.200001 20.000000 -40.800003)(-25.200001 6.398810 -39.161800)(-25.200001 6.621120 -39.844799)(-25.200001 20.000000 -40.800003)(-25.200001 6.621120 -39.844799)(-25.200001 6.843440 -40.527798)(-25.200001 20.000000 -40.800003)(-25.200001 6.843440 -40.527798)(-25.200001 6.921720 -41.263901)(-25.200001 20.000000 -40.800003)(-25.200001 6.921720 -41.263901)(-25.200001 7.000000 -42.000000)(-25.200001 20.000000 -40.800003)(-25.200001 7.000000 -42.000000)(-25.200001 6.918680 -42.750103)(-25.200001 20.000000 -40.800003)(-25.200001 6.918680 -42.750103)(-25.200001 6.837360 -43.500198)(-25.200001 20.000000 -40.800003)(-25.200001 6.837360 -43.500198)(-25.200001 6.637910 -44.123600)(-25.200001 20.000000 -40.800003)(-25.200001 6.637910 -44.123600)(-25.200001 6.438470 -44.746998)(-25.200001 20.000000 -40.800003)(-25.200001 6.438470 -44.746998)(-25.200001 6.123550 -45.326698)(-25.200001 20.000000 -40.800003)(-25.200001 6.123550 -45.326698)(-25.200001 5.808630 -45.906399)(-25.200001 20.000000 -40.800003)(-25.200001 5.808630 -45.906399)(-25.200001 5.391130 -46.416100)(-25.200001 20.000000 -40.800003)(-25.200001 5.391130 -46.416100)(-25.200001 5.233910 -46.608002)(-25.200001 20.000000 -40.800003)(-25.200001 2.747020 -35.561497)(-25.200001 20.000000 -40.800003)(-25.200001 -10.000000 -29.000000)(-16.300001 20.000000 -52.599998)(-25.200001 -10.000000 -52.599998)(-7.400000 -10.000000 -52.599998)(-25.200001 20.000000 -40.800003)(-7.400000 20.000000 -40.800003)(-16.300001 20.000000 -34.899998)(-7.400000 20.000000 -40.800003)(-16.300001 20.000000 -29.000000)(-16.300001 20.000000 -34.899998)(-16.300001 20.000000 -29.000000)(-25.200001 20.000000 -40.800003)(-16.300001 20.000000 -34.899998)(-16.300001 20.000000 -52.599998)(-7.400000 20.000000 -52.599998)(-7.400000 20.000000 -40.800003)(-25.200001 -10.000000 -29.000000)(-25.200001 20.000000 -40.800003)(-25.200001 20.000000 -29.000000)(-25.200001 -40.000000 -40.800003)(-25.200001 -10.000000 -52.599998)(-25.200001 -10.000000 -29.000000)(-7.400000 -10.000000 -52.599998)(-25.200001 -10.000000 -52.599998)(-16.300001 -40.000000 -52.599998)(-7.400000 20.000000 -52.599998)(-16.300001 20.000000 -52.599998)(-7.400000 -10.000000 -52.599998)(-16.300001 20.000000 -29.000000)(-7.400000 20.000000 -40.800003)(-7.400000 20.000000 -29.000000)(-25.200001 20.000000 -29.000000)(-25.200001 20.000000 -40.800003)(-16.300001 20.000000 -29.000000)(-7.400000 -10.000000 -52.599998)(-7.400000 20.000000 -40.800003)(-7.400000 20.000000 -52.599998)(-25.200001 20.000000 -29.000000)(-16.300001 20.000000 -29.000000)(-25.200001 -10.000000 -29.000000)(-25.200001 -40.000000 -29.000000)(-25.200001 -40.000000 -40.800003)(-25.200001 -10.000000 -29.000000)(-25.200001 -40.000000 -40.800003)(-25.200001 -40.000000 -52.599998)(-25.200001 -10.000000 -52.599998)(-25.200001 -10.000000 -52.599998)(-25.200001 -40.000000 -52.599998)(-16.300001 -40.000000 -52.599998)(-7.400000 -10.000000 -52.599998)(-16.300001 -40.000000 -52.599998)(-7.400000 -40.000000 -52.599998)(-7.400000 -10.000000 -29.000000)(-7.400000 20.000000 -29.000000)(-7.400000 20.000000 -40.800003)(-16.300001 20.000000 -29.000000)(-7.400000 20.000000 -29.000000)(-7.400000 -10.000000 -29.000000)(-7.400000 -10.000000 -52.599998)(-7.400000 -10.000000 -29.000000)(-7.400000 20.000000 -40.800003)(-16.300001 20.000000 -29.000000)(-7.400000 -10.000000 -29.000000)(-25.200001 -10.000000 -29.000000)(-25.200001 -10.000000 -29.000000)(-16.300001 -40.000000 -29.000000)(-25.200001 -40.000000 -29.000000)(-25.200001 -40.000000 -29.000000)(-16.300001 -40.000000 -29.000000)(-25.200001 -40.000000 -40.800003)(-25.200001 -40.000000 -52.599998)(-25.200001 -40.000000 -40.800003)(-16.300001 -40.000000 -52.599998)(-16.300001 -40.000000 -52.599998)(-7.400000 -40.000000 -40.800003)(-7.400000 -40.000000 -52.599998)(-7.400000 -40.000000 -52.599998)(-7.400000 -40.000000 -40.800003)(-7.400000 -10.000000 -52.599998)(-7.400000 -40.000000 -40.800003)(-7.400000 -10.000000 -29.000000)(-7.400000 -10.000000 -52.599998)(-25.200001 -10.000000 -29.000000)(-7.400000 -10.000000 -29.000000)(-16.300001 -40.000000 -29.000000)(-7.400000 -40.000000 -40.800003)(-25.200001 -40.000000 -40.800003)(-16.300001 -40.000000 -34.899998)(-25.200001 -40.000000 -40.800003)(-16.300001 -40.000000 -29.000000)(-16.300001 -40.000000 -34.899998)(-16.300001 -40.000000 -29.000000)(-7.400000 -40.000000 -40.800003)(-16.300001 -40.000000 -34.899998)(-25.200001 -40.000000 -40.800003)(-7.400000 -40.000000 -40.800003)(-16.300001 -40.000000 -46.700001)(-7.400000 -40.000000 -40.800003)(-16.300001 -40.000000 -52.599998)(-16.300001 -40.000000 -46.700001)(-16.300001 -40.000000 -52.599998)(-25.200001 -40.000000 -40.800003)(-16.300001 -40.000000 -46.700001)(-7.400000 -40.000000 -40.800003)(-7.400000 -40.000000 -29.000000)(-7.400000 -10.000000 -29.000000)(-7.400000 -10.000000 -29.000000)(-7.400000 -40.000000 -29.000000)(-16.300001 -40.000000 -29.000000)(-16.300001 -40.000000 -29.000000)(-7.400000 -40.000000 -29.000000)(-7.400000 -40.000000 -40.800003)(0.000000 -22.000000 -22.000000)(0.000000 -22.000000 22.000000)(0.000000 -15.242599 0.000000)(0.000000 -22.000000 22.000000)(0.000000 -8.485299 8.485299)(0.000000 -15.242599 0.000000)(0.000000 -8.485299 8.485299)(0.000000 -12.000000 0.000000)(0.000000 -15.242599 0.000000)(0.000000 -12.000000 0.000000)(0.000000 -8.485299 -8.485299)(0.000000 -15.242599 0.000000)(0.000000 -8.485299 -8.485299)(0.000000 -22.000000 -22.000000)(0.000000 -15.242599 0.000000)(-5.829550 -22.000000 12.500000)(0.000000 -22.000000 22.000000)(-2.900000 -22.000000 12.500000)(-5.829550 -22.000000 -12.500000)(-2.900000 -22.000000 -12.500000)(0.000000 -22.000000 -22.000000)(-2.900000 -22.000000 12.500000)(0.000000 -22.000000 22.000000)(0.000000 -22.000000 -22.000000)(-2.900000 -22.000000 -12.500000)(-2.900000 -22.000000 12.500000)(0.000000 -22.000000 -22.000000)(0.000000 -22.000000 22.000000)(0.000000 22.000000 22.000000)(0.000000 -0.000000 15.242599)(0.000000 22.000000 22.000000)(0.000000 8.485299 8.485299)(0.000000 -0.000000 15.242599)(0.000000 8.485299 8.485299)(0.000000 0.000000 12.000000)(0.000000 -0.000000 15.242599)(0.000000 0.000000 12.000000)(0.000000 -8.485299 8.485299)(0.000000 -0.000000 15.242599)(0.000000 -8.485299 8.485299)(0.000000 -22.000000 22.000000)(0.000000 -0.000000 15.242599)(0.000000 -8.485299 8.485299)(1.500000 -10.242600 4.242600)(0.000000 -12.000000 0.000000)(0.000000 -12.000000 0.000000)(1.500000 -10.242600 -4.242600)(0.000000 -8.485299 -8.485299)(0.000000 8.485299 -8.485299)(0.000000 22.000000 -22.000000)(0.000000 0.000000 -15.242599)(0.000000 22.000000 -22.000000)(0.000000 -22.000000 -22.000000)(0.000000 0.000000 -15.242599)(0.000000 -22.000000 -22.000000)(0.000000 -8.485299 -8.485299)(0.000000 0.000000 -15.242599)(0.000000 -8.485299 -8.485299)(0.000000 0.000000 -12.000000)(0.000000 0.000000 -15.242599)(0.000000 0.000000 -12.000000)(0.000000 8.485299 -8.485299)(0.000000 0.000000 -15.242599)(-27.000000 -22.000000 22.000000)(0.000000 -22.000000 22.000000)(-13.500000 -22.000000 17.250000)(0.000000 -22.000000 22.000000)(-5.829550 -22.000000 12.500000)(-13.500000 -22.000000 17.250000)(-5.829550 -22.000000 12.500000)(-21.170500 -22.000000 12.500000)(-13.500000 -22.000000 17.250000)(-21.170500 -22.000000 12.500000)(-27.000000 -22.000000 22.000000)(-13.500000 -22.000000 17.250000)(0.000000 -22.000000 -22.000000)(-27.000000 -22.000000 -22.000000)(-13.500000 -22.000000 -17.250000)(-27.000000 -22.000000 -22.000000)(-21.170500 -22.000000 -12.500000)(-13.500000 -22.000000 -17.250000)(-21.170500 -22.000000 -12.500000)(-5.829550 -22.000000 -12.500000)(-13.500000 -22.000000 -17.250000)(-5.829550 -22.000000 -12.500000)(0.000000 -22.000000 -22.000000)(-13.500000 -22.000000 -17.250000)(-27.000000 -22.000000 -12.500000)(-38.700001 -22.000000 -12.500000)(-27.849400 -30.949400 -12.500000)(-2.900000 -22.000000 -12.500000)(-5.829550 -22.000000 -12.500000)(-20.799999 -26.474699 -12.500000)(-27.849400 -30.949400 -12.500000)(-2.900000 -22.000000 -12.500000)(-20.799999 -26.474699 -12.500000)(-5.829550 -22.000000 -12.500000)(-21.170500 -22.000000 -12.500000)(-20.799999 -26.474699 -12.500000)(-21.170500 -22.000000 -12.500000)(-27.000000 -22.000000 -12.500000)(-20.799999 -26.474699 -12.500000)(-27.000000 -22.000000 -12.500000)(-27.849400 -30.949400 -12.500000)(-20.799999 -26.474699 -12.500000)(-2.900000 -32.400002 0.000000)(-2.900000 -22.000000 12.500000)(-2.900000 -27.200001 0.000000)(-2.900000 -22.000000 -12.500000)(-2.900000 -32.400002 0.000000)(-2.900000 -27.200001 0.000000)(-2.900000 -22.000000 12.500000)(-2.900000 -22.000000 -12.500000)(-2.900000 -27.200001 0.000000)(-27.000000 -22.000000 12.500000)(-27.778700 -30.878700 12.500000)(-38.700001 -22.000000 12.500000)(-2.900000 -22.000000 12.500000)(-27.778700 -30.878700 12.500000)(-20.799999 -26.439400 12.500000)(-5.829550 -22.000000 12.500000)(-2.900000 -22.000000 12.500000)(-20.799999 -26.439400 12.500000)(-21.170500 -22.000000 12.500000)(-5.829550 -22.000000 12.500000)(-20.799999 -26.439400 12.500000)(-27.000000 -22.000000 12.500000)(-21.170500 -22.000000 12.500000)(-20.799999 -26.439400 12.500000)(-27.778700 -30.878700 12.500000)(-27.000000 -22.000000 12.500000)(-20.799999 -26.439400 12.500000)(-13.500000 0.000000 22.000000)(0.000000 22.000000 22.000000)(-6.750000 0.000000 22.000000)(0.000000 22.000000 22.000000)(0.000000 -22.000000 22.000000)(-6.750000 0.000000 22.000000)(0.000000 -22.000000 22.000000)(-13.500000 0.000000 22.000000)(-6.750000 0.000000 22.000000)(0.000000 8.485299 8.485299)(0.000000 22.000000 22.000000)(0.000000 15.242599 0.000000)(0.000000 22.000000 22.000000)(0.000000 22.000000 -22.000000)(0.000000 15.242599 0.000000)(0.000000 22.000000 -22.000000)(0.000000 8.485299 -8.485299)(0.000000 15.242599 0.000000)(0.000000 8.485299 -8.485299)(0.000000 12.000000 0.000000)(0.000000 15.242599 0.000000)(0.000000 12.000000 0.000000)(0.000000 8.485299 8.485299)(0.000000 15.242599 0.000000)(0.000000 8.485299 8.485299)(1.500000 4.242600 10.242600)(0.000000 0.000000 12.000000)(0.000000 0.000000 12.000000)(1.500000 -4.242600 10.242600)(0.000000 -8.485299 8.485299)(0.000000 -12.000000 0.000000)(1.500000 -10.242600 4.242600)(3.000000 -12.000000 0.000000)(0.000000 -8.485299 8.485299)(3.000000 -8.485299 8.485299)(1.500000 -10.242600 4.242600)(0.000000 -8.485299 -8.485299)(1.500000 -10.242600 -4.242600)(3.000000 -8.485299 -8.485299)(0.000000 -12.000000 0.000000)(3.000000 -12.000000 0.000000)(1.500000 -10.242600 -4.242600)(-13.500000 0.000000 -22.000000)(0.000000 -22.000000 -22.000000)(-6.750000 -0.000000 -22.000000)(0.000000 -22.000000 -22.000000)(0.000000 22.000000 -22.000000)(-6.750000 -0.000000 -22.000000)(0.000000 22.000000 -22.000000)(-13.500000 0.000000 -22.000000)(-6.750000 -0.000000 -22.000000)(0.000000 -8.485299 -8.485299)(1.500000 -4.242600 -10.242600)(0.000000 0.000000 -12.000000)(0.000000 0.000000 -12.000000)(1.500000 4.242600 -10.242600)(0.000000 8.485299 -8.485299)(-13.500000 0.000000 22.000000)(0.000000 -22.000000 22.000000)(-13.500000 -11.000000 22.000000)(0.000000 -22.000000 22.000000)(-27.000000 -22.000000 22.000000)(-13.500000 -11.000000 22.000000)(-27.000000 -22.000000 22.000000)(-13.500000 0.000000 22.000000)(-13.500000 -11.000000 22.000000)(-27.000000 -22.000000 12.500000)(-27.000000 -22.000000 22.000000)(-21.170500 -22.000000 12.500000)(-13.500000 0.000000 -22.000000)(-27.000000 -22.000000 -22.000000)(-13.500000 -11.000000 -22.000000)(-27.000000 -22.000000 -22.000000)(0.000000 -22.000000 -22.000000)(-13.500000 -11.000000 -22.000000)(0.000000 -22.000000 -22.000000)(-13.500000 0.000000 -22.000000)(-13.500000 -11.000000 -22.000000)(-27.000000 -22.000000 -12.500000)(-21.170500 -22.000000 -12.500000)(-27.000000 -22.000000 -22.000000)(-27.849400 -30.949400 -12.500000)(-27.000000 -33.000000 -12.500000)(-2.900000 -22.000000 -12.500000)(-29.900000 -30.099998 -12.500000)(-27.849400 -30.949400 -12.500000)(-38.700001 -22.000000 -12.500000)(-38.700001 -22.000000 -12.500000)(-27.000000 -22.000000 -12.500000)(-27.000000 -22.000000 -4.329610)(-2.900000 -32.400002 0.000000)(-2.900000 -42.800003 12.500000)(-2.900000 -32.400002 6.250000)(-2.900000 -42.800003 12.500000)(-2.900000 -22.000000 12.500000)(-2.900000 -32.400002 6.250000)(-2.900000 -22.000000 12.500000)(-2.900000 -32.400002 0.000000)(-2.900000 -32.400002 6.250000)(-2.900000 -32.400002 0.000000)(-2.900000 -22.000000 -12.500000)(-2.900000 -32.400002 -6.250000)(-2.900000 -42.800003 -12.500000)(-2.900000 -32.400002 0.000000)(-2.900000 -32.400002 -6.250000)(-2.900000 -22.000000 -12.500000)(-2.900000 -42.800003 -12.500000)(-2.900000 -32.400002 -6.250000)(-27.778700 -30.878700 12.500000)(-2.900000 -22.000000 12.500000)(-26.900002 -33.000000 12.500000)(-38.700001 -22.000000 12.500000)(-27.778700 -30.878700 12.500000)(-29.900000 -30.000000 12.500000)(-38.700001 -22.000000 12.500000)(-27.000000 -22.000000 4.329610)(-27.000000 -22.000000 12.500000)(-13.500000 0.000000 22.000000)(-27.000000 22.000000 22.000000)(-13.500000 11.000000 22.000000)(-27.000000 22.000000 22.000000)(0.000000 22.000000 22.000000)(-13.500000 11.000000 22.000000)(0.000000 22.000000 22.000000)(-13.500000 0.000000 22.000000)(-13.500000 11.000000 22.000000)(-5.829550 22.000000 -12.500000)(0.000000 22.000000 -22.000000)(-2.900000 22.000000 -12.500000)(-5.829550 22.000000 12.500000)(-2.900000 22.000000 12.500000)(0.000000 22.000000 22.000000)(-2.900000 22.000000 -12.500000)(0.000000 22.000000 -22.000000)(0.000000 22.000000 22.000000)(-2.900000 22.000000 12.500000)(-2.900000 22.000000 -12.500000)(0.000000 22.000000 22.000000)(0.000000 8.485299 -8.485299)(1.500000 10.242600 -4.242600)(0.000000 12.000000 0.000000)(0.000000 12.000000 0.000000)(1.500000 10.242600 4.242600)(0.000000 8.485299 8.485299)(3.000000 0.000000 12.000000)(0.000000 0.000000 12.000000)(1.500000 4.242600 10.242600)(3.000000 8.485299 8.485299)(1.500000 4.242600 10.242600)(0.000000 8.485299 8.485299)(3.000000 -8.485299 8.485299)(0.000000 -8.485299 8.485299)(1.500000 -4.242600 10.242600)(3.000000 0.000000 12.000000)(1.500000 -4.242600 10.242600)(0.000000 0.000000 12.000000)(1.500000 -10.242600 4.242600)(3.000000 -8.485299 8.485299)(3.000000 -12.000000 0.000000)(3.000000 -8.485299 -8.485299)(1.500000 -10.242600 -4.242600)(3.000000 -12.000000 0.000000)(3.000000 -8.485299 -8.485299)(1.500000 -4.242600 -10.242600)(0.000000 -8.485299 -8.485299)(-13.500000 0.000000 -22.000000)(0.000000 22.000000 -22.000000)(-13.500000 11.000000 -22.000000)(0.000000 22.000000 -22.000000)(-27.000000 22.000000 -22.000000)(-13.500000 11.000000 -22.000000)(-27.000000 22.000000 -22.000000)(-13.500000 0.000000 -22.000000)(-13.500000 11.000000 -22.000000)(3.000000 0.000000 -12.000000)(0.000000 0.000000 -12.000000)(1.500000 -4.242600 -10.242600)(3.000000 8.485299 -8.485299)(0.000000 8.485299 -8.485299)(1.500000 4.242600 -10.242600)(3.000000 0.000000 -12.000000)(1.500000 4.242600 -10.242600)(0.000000 0.000000 -12.000000)(-13.500000 0.000000 22.000000)(-27.000000 -22.000000 22.000000)(-20.250000 0.000000 22.000000)(-27.000000 -22.000000 22.000000)(-27.000000 22.000000 22.000000)(-20.250000 0.000000 22.000000)(-27.000000 22.000000 22.000000)(-13.500000 0.000000 22.000000)(-20.250000 0.000000 22.000000)(-27.000000 -22.000000 22.000000)(-27.000000 -22.000000 12.500000)(-27.000000 0.000000 0.000000)(-27.000000 -22.000000 -12.500000)(-27.000000 -22.000000 -22.000000)(-27.000000 0.000000 0.000000)(-27.000000 -22.000000 12.500000)(-27.000000 -22.000000 4.329610)(-27.000000 -11.000000 0.000000)(-27.000000 -22.000000 -4.329610)(-27.000000 -22.000000 -12.500000)(-27.000000 -11.000000 0.000000)(-27.000000 -22.000000 4.329610)(-27.000000 -22.000000 -4.329610)(-27.000000 -11.000000 0.000000)(-27.000000 0.000000 0.000000)(-27.000000 -22.000000 12.500000)(-27.000000 -11.000000 0.000000)(-27.000000 -22.000000 -12.500000)(-27.000000 0.000000 0.000000)(-27.000000 -11.000000 0.000000)(-13.500000 0.000000 -22.000000)(-27.000000 22.000000 -22.000000)(-20.250000 0.000000 -22.000000)(-27.000000 22.000000 -22.000000)(-27.000000 -22.000000 -22.000000)(-20.250000 0.000000 -22.000000)(-27.000000 -22.000000 -22.000000)(-13.500000 0.000000 -22.000000)(-20.250000 0.000000 -22.000000)(-27.424700 -31.974699 -13.325000)(-27.424700 -31.974699 -14.150001)(-27.000000 -33.000000 -12.500000)(-27.424700 -31.974699 -13.325000)(-27.000000 -33.000000 -12.500000)(-27.849400 -30.949400 -12.500000)(-27.424700 -31.974699 -13.325000)(-27.849400 -30.949400 -12.500000)(-27.424700 -31.974699 -14.150001)(-27.849400 -35.050602 -12.500000)(-2.900000 -22.000000 -12.500000)(-27.000000 -33.000000 -12.500000)(-38.700001 -22.000000 -12.500000)(-31.950600 -30.949400 -12.500000)(-29.900000 -30.099998 -12.500000)(-28.874701 -30.524700 -14.150001)(-27.849400 -30.949400 -12.500000)(-28.874701 -30.524700 -13.325000)(-27.849400 -30.949400 -12.500000)(-29.900000 -30.099998 -12.500000)(-28.874701 -30.524700 -13.325000)(-29.900000 -30.099998 -12.500000)(-28.874701 -30.524700 -14.150001)(-28.874701 -30.524700 -13.325000)(-27.000000 -22.000000 4.329610)(-38.700001 -22.000000 12.500000)(-32.850002 -22.000000 0.000000)(-38.700001 -22.000000 12.500000)(-38.700001 -22.000000 -12.500000)(-32.850002 -22.000000 0.000000)(-38.700001 -22.000000 -12.500000)(-27.000000 -22.000000 -4.329610)(-32.850002 -22.000000 0.000000)(-27.000000 -22.000000 -4.329610)(-27.000000 -22.000000 4.329610)(-32.850002 -22.000000 0.000000)(-2.900000 -32.400002 0.000000)(-2.900000 -42.800003 -12.500000)(-2.900000 -37.599998 -0.000000)(-2.900000 -42.800003 -12.500000)(-2.900000 -42.800003 12.500000)(-2.900000 -37.599998 -0.000000)(-2.900000 -42.800003 12.500000)(-2.900000 -32.400002 0.000000)(-2.900000 -37.599998 -0.000000)(-2.900000 -22.000000 12.500000)(-2.900000 -42.800003 12.500000)(-38.700001 -42.800003 12.500000)(-2.900000 -22.000000 -12.500000)(-38.700001 -42.800003 -12.500000)(-2.900000 -42.800003 -12.500000)(-26.900002 -33.000000 12.500000)(-2.900000 -22.000000 12.500000)(-27.778700 -35.121300 12.500000)(-27.339300 -31.939302 13.325000)(-27.339300 -31.939302 14.150001)(-27.778700 -30.878700 12.500000)(-27.339300 -31.939302 13.325000)(-27.778700 -30.878700 12.500000)(-26.900002 -33.000000 12.500000)(-27.339300 -31.939302 13.325000)(-26.900002 -33.000000 12.500000)(-27.339300 -31.939302 14.150001)(-28.839300 -30.439301 13.325000)(-28.839300 -30.439301 14.150001)(-29.900000 -30.000000 12.500000)(-28.839300 -30.439301 13.325000)(-29.900000 -30.000000 12.500000)(-27.778700 -30.878700 12.500000)(-28.839300 -30.439301 13.325000)(-27.778700 -30.878700 12.500000)(-28.839300 -30.439301 14.150001)(-38.700001 -22.000000 12.500000)(-29.900000 -30.000000 12.500000)(-32.021297 -30.878700 12.500000)(0.000000 22.000000 22.000000)(-27.000000 22.000000 22.000000)(-13.500000 22.000000 17.250000)(-27.000000 22.000000 22.000000)(-21.170500 22.000000 12.500000)(-13.500000 22.000000 17.250000)(-21.170500 22.000000 12.500000)(-5.829550 22.000000 12.500000)(-13.500000 22.000000 17.250000)(-5.829550 22.000000 12.500000)(0.000000 22.000000 22.000000)(-13.500000 22.000000 17.250000)(-2.900000 42.800003 12.500000)(-2.900000 22.000000 12.500000)(-5.829550 22.000000 12.500000)(-2.900000 42.800003 12.500000)(-5.829550 22.000000 12.500000)(-21.170500 22.000000 12.500000)(-2.900000 42.800003 12.500000)(-21.170500 22.000000 12.500000)(-27.000000 22.000000 12.500000)(-2.900000 42.800003 12.500000)(-27.000000 22.000000 12.500000)(-38.700001 22.000000 12.500000)(-2.900000 32.400002 0.000000)(-2.900000 22.000000 -12.500000)(-2.900000 27.200001 0.000000)(-2.900000 22.000000 -12.500000)(-2.900000 22.000000 12.500000)(-2.900000 27.200001 0.000000)(-2.900000 22.000000 12.500000)(-2.900000 32.400002 0.000000)(-2.900000 27.200001 0.000000)(-38.700001 22.000000 -12.500000)(-27.000000 22.000000 -12.500000)(-2.900000 42.800003 -12.500000)(-2.900000 42.800003 -12.500000)(-27.000000 22.000000 -12.500000)(-21.170500 22.000000 -12.500000)(-2.900000 42.800003 -12.500000)(-21.170500 22.000000 -12.500000)(-5.829550 22.000000 -12.500000)(-2.900000 42.800003 -12.500000)(-5.829550 22.000000 -12.500000)(-2.900000 22.000000 -12.500000)(-21.170500 22.000000 -12.500000)(-27.000000 22.000000 -22.000000)(-13.500000 22.000000 -17.250000)(-27.000000 22.000000 -22.000000)(0.000000 22.000000 -22.000000)(-13.500000 22.000000 -17.250000)(0.000000 22.000000 -22.000000)(-5.829550 22.000000 -12.500000)(-13.500000 22.000000 -17.250000)(-5.829550 22.000000 -12.500000)(-21.170500 22.000000 -12.500000)(-13.500000 22.000000 -17.250000)(0.000000 12.000000 0.000000)(1.500000 10.242600 -4.242600)(3.000000 12.000000 0.000000)(0.000000 8.485299 -8.485299)(3.000000 8.485299 -8.485299)(1.500000 10.242600 -4.242600)(0.000000 8.485299 8.485299)(1.500000 10.242600 4.242600)(3.000000 8.485299 8.485299)(0.000000 12.000000 0.000000)(3.000000 12.000000 0.000000)(1.500000 10.242600 4.242600)(3.000000 0.000000 12.000000)(1.500000 4.242600 10.242600)(3.000000 8.485299 8.485299)(3.000000 -8.485299 8.485299)(1.500000 -4.242600 10.242600)(3.000000 0.000000 12.000000)(3.000000 -12.000000 0.000000)(3.000000 -8.485299 8.485299)(3.000000 0.000000 12.000000)(3.000000 -12.000000 0.000000)(3.000000 -7.000000 0.000000)(3.000000 -8.485299 -8.485299)(3.000000 0.000000 -12.000000)(1.500000 -4.242600 -10.242600)(3.000000 -8.485299 -8.485299)(3.000000 8.485299 -8.485299)(1.500000 4.242600 -10.242600)(3.000000 0.000000 -12.000000)(-27.000000 0.000000 0.000000)(-27.000000 22.000000 22.000000)(-27.000000 0.000000 11.000000)(-27.000000 22.000000 22.000000)(-27.000000 -22.000000 22.000000)(-27.000000 0.000000 11.000000)(-27.000000 -22.000000 22.000000)(-27.000000 0.000000 0.000000)(-27.000000 0.000000 11.000000)(-27.000000 0.000000 0.000000)(-27.000000 -22.000000 -22.000000)(-27.000000 -0.000000 -11.000000)(-27.000000 -22.000000 -22.000000)(-27.000000 22.000000 -22.000000)(-27.000000 -0.000000 -11.000000)(-27.000000 22.000000 -22.000000)(-27.000000 0.000000 0.000000)(-27.000000 -0.000000 -11.000000)(-27.424700 -31.974699 -14.150001)(-27.000000 -33.000000 -15.799999)(-27.212400 -32.487301 -14.150001)(-27.000000 -33.000000 -15.799999)(-27.000000 -33.000000 -12.500000)(-27.212400 -32.487301 -14.150001)(-27.000000 -33.000000 -12.500000)(-27.424700 -31.974699 -14.150001)(-27.212400 -32.487301 -14.150001)(-27.424700 -31.974699 -14.150001)(-27.849400 -30.949400 -12.500000)(-27.636999 -31.462099 -14.150001)(-27.849400 -30.949400 -12.500000)(-27.849400 -30.949400 -15.799999)(-27.636999 -31.462099 -14.150001)(-27.849400 -30.949400 -15.799999)(-27.424700 -31.974699 -14.150001)(-27.636999 -31.462099 -14.150001)(-27.424700 -34.025299 -14.150001)(-27.849400 -35.050602 -12.500000)(-27.424700 -34.025299 -13.325000)(-27.849400 -35.050602 -12.500000)(-27.000000 -33.000000 -12.500000)(-27.424700 -34.025299 -13.325000)(-27.000000 -33.000000 -12.500000)(-27.424700 -34.025299 -14.150001)(-27.424700 -34.025299 -13.325000)(-38.700001 -42.800003 -12.500000)(-2.900000 -22.000000 -12.500000)(-27.849400 -35.050602 -12.500000)(-31.950600 -30.949400 -12.500000)(-38.700001 -22.000000 -12.500000)(-38.700001 -42.800003 -12.500000)(-30.925301 -30.524700 -14.150001)(-29.900000 -30.099998 -12.500000)(-30.925301 -30.524700 -13.325000)(-29.900000 -30.099998 -12.500000)(-31.950600 -30.949400 -12.500000)(-30.925301 -30.524700 -13.325000)(-31.950600 -30.949400 -12.500000)(-30.925301 -30.524700 -14.150001)(-30.925301 -30.524700 -13.325000)(-28.874701 -30.524700 -14.150001)(-27.849400 -30.949400 -15.799999)(-28.362099 -30.737000 -14.150001)(-27.849400 -30.949400 -15.799999)(-27.849400 -30.949400 -12.500000)(-28.362099 -30.737000 -14.150001)(-27.849400 -30.949400 -12.500000)(-28.874701 -30.524700 -14.150001)(-28.362099 -30.737000 -14.150001)(-28.874701 -30.524700 -14.150001)(-29.900000 -30.099998 -12.500000)(-29.387400 -30.312401 -14.150001)(-29.900000 -30.099998 -12.500000)(-29.900000 -30.099998 -15.799999)(-29.387400 -30.312401 -14.150001)(-29.900000 -30.099998 -15.799999)(-28.874701 -30.524700 -14.150001)(-29.387400 -30.312401 -14.150001)(-38.700001 -32.400002 0.000000)(-38.700001 -22.000000 -12.500000)(-38.700001 -27.200001 0.000000)(-38.700001 -22.000000 -12.500000)(-38.700001 -22.000000 12.500000)(-38.700001 -27.200001 0.000000)(-38.700001 -22.000000 12.500000)(-38.700001 -32.400002 0.000000)(-38.700001 -27.200001 0.000000)(-20.799999 -42.800003 0.000000)(-2.900000 -42.800003 12.500000)(-11.850000 -42.800003 -0.000000)(-2.900000 -42.800003 12.500000)(-2.900000 -42.800003 -12.500000)(-11.850000 -42.800003 -0.000000)(-2.900000 -42.800003 -12.500000)(-20.799999 -42.800003 0.000000)(-11.850000 -42.800003 -0.000000)(-20.799999 -42.800003 0.000000)(-38.700001 -42.800003 12.500000)(-20.799999 -42.800003 6.250000)(-38.700001 -42.800003 12.500000)(-2.900000 -42.800003 12.500000)(-20.799999 -42.800003 6.250000)(-2.900000 -42.800003 12.500000)(-20.799999 -42.800003 0.000000)(-20.799999 -42.800003 6.250000)(-27.778700 -35.121300 12.500000)(-2.900000 -22.000000 12.500000)(-38.700001 -42.800003 12.500000)(-20.799999 -42.800003 0.000000)(-2.900000 -42.800003 -12.500000)(-20.799999 -42.800003 -6.250000)(-2.900000 -42.800003 -12.500000)(-38.700001 -42.800003 -12.500000)(-20.799999 -42.800003 -6.250000)(-38.700001 -42.800003 -12.500000)(-20.799999 -42.800003 0.000000)(-20.799999 -42.800003 -6.250000)(-27.339300 -34.060703 13.325000)(-27.339300 -34.060703 14.150001)(-26.900002 -33.000000 12.500000)(-27.339300 -34.060703 13.325000)(-26.900002 -33.000000 12.500000)(-27.778700 -35.121300 12.500000)(-27.339300 -34.060703 13.325000)(-27.778700 -35.121300 12.500000)(-27.339300 -34.060703 14.150001)(-27.339300 -31.939302 14.150001)(-27.778700 -30.878700 15.799999)(-27.559000 -31.408998 14.150001)(-27.778700 -30.878700 15.799999)(-27.778700 -30.878700 12.500000)(-27.559000 -31.408998 14.150001)(-27.778700 -30.878700 12.500000)(-27.339300 -31.939302 14.150001)(-27.559000 -31.408998 14.150001)(-27.339300 -31.939302 14.150001)(-26.900002 -33.000000 12.500000)(-27.119699 -32.469700 14.150001)(-26.900002 -33.000000 12.500000)(-26.900002 -33.000000 15.799999)(-27.119699 -32.469700 14.150001)(-26.900002 -33.000000 15.799999)(-27.339300 -31.939302 14.150001)(-27.119699 -32.469700 14.150001)(-28.839300 -30.439301 14.150001)(-29.900000 -30.000000 15.799999)(-29.369600 -30.219599 14.150001)(-29.900000 -30.000000 15.799999)(-29.900000 -30.000000 12.500000)(-29.369600 -30.219599 14.150001)(-29.900000 -30.000000 12.500000)(-28.839300 -30.439301 14.150001)(-29.369600 -30.219599 14.150001)(-28.839300 -30.439301 14.150001)(-27.778700 -30.878700 12.500000)(-28.309000 -30.659000 14.150001)(-27.778700 -30.878700 12.500000)(-27.778700 -30.878700 15.799999)(-28.309000 -30.659000 14.150001)(-27.778700 -30.878700 15.799999)(-28.839300 -30.439301 14.150001)(-28.309000 -30.659000 14.150001)(-30.960699 -30.439301 14.150001)(-32.021297 -30.878700 12.500000)(-30.960699 -30.439301 13.325000)(-32.021297 -30.878700 12.500000)(-29.900000 -30.000000 12.500000)(-30.960699 -30.439301 13.325000)(-29.900000 -30.000000 12.500000)(-30.960699 -30.439301 14.150001)(-30.960699 -30.439301 13.325000)(-38.700001 -22.000000 12.500000)(-32.021297 -30.878700 12.500000)(-38.700001 -42.800003 12.500000)(-27.000000 22.000000 12.500000)(-21.170500 22.000000 12.500000)(-27.000000 22.000000 22.000000)(-38.700001 22.000000 12.500000)(-27.000000 22.000000 12.500000)(-27.000000 22.000000 4.329610)(-27.849400 30.949400 12.500000)(-2.900000 42.800003 12.500000)(-38.700001 22.000000 12.500000)(-2.900000 32.400002 0.000000)(-2.900000 22.000000 12.500000)(-2.900000 32.400002 6.250000)(-2.900000 22.000000 12.500000)(-2.900000 42.800003 12.500000)(-2.900000 32.400002 6.250000)(-2.900000 42.800003 12.500000)(-2.900000 32.400002 0.000000)(-2.900000 32.400002 6.250000)(-2.900000 32.400002 0.000000)(-2.900000 42.800003 -12.500000)(-2.900000 32.400002 -6.250000)(-2.900000 22.000000 -12.500000)(-2.900000 32.400002 0.000000)(-2.900000 32.400002 -6.250000)(-2.900000 42.800003 -12.500000)(-2.900000 22.000000 -12.500000)(-2.900000 32.400002 -6.250000)(-38.700001 22.000000 -12.500000)(-2.900000 42.800003 -12.500000)(-27.778700 30.878700 -12.500000)(-38.700001 22.000000 -12.500000)(-27.000000 22.000000 -4.329610)(-27.000000 22.000000 -12.500000)(-27.000000 22.000000 -12.500000)(-27.000000 22.000000 -22.000000)(-21.170500 22.000000 -12.500000)(1.500000 10.242600 -4.242600)(3.000000 8.485299 -8.485299)(3.000000 12.000000 0.000000)(3.000000 8.485299 8.485299)(1.500000 10.242600 4.242600)(3.000000 12.000000 0.000000)(3.000000 0.000000 7.000000)(3.000000 0.000000 12.000000)(3.000000 8.485299 8.485299)(3.000000 -12.000000 0.000000)(3.000000 0.000000 12.000000)(3.000000 -4.949700 4.949700)(3.000000 -12.000000 0.000000)(3.000000 -4.949700 4.949700)(3.000000 -7.000000 0.000000)(3.000000 -8.485299 -8.485299)(3.000000 -7.000000 0.000000)(3.000000 -4.949700 -4.949700)(3.000000 -8.485299 -8.485299)(3.000000 0.000000 -7.000000)(3.000000 0.000000 -12.000000)(3.000000 0.000000 -12.000000)(3.000000 12.000000 0.000000)(3.000000 8.485299 -8.485299)(-27.000000 0.000000 0.000000)(-27.000000 22.000000 -22.000000)(-27.000000 22.000000 -12.500000)(-27.000000 0.000000 0.000000)(-27.000000 22.000000 12.500000)(-27.000000 22.000000 22.000000)(-27.000000 22.000000 -12.500000)(-27.000000 22.000000 -4.329610)(-27.000000 11.000000 -0.000000)(-27.000000 22.000000 4.329610)(-27.000000 22.000000 12.500000)(-27.000000 11.000000 -0.000000)(-27.000000 22.000000 -4.329610)(-27.000000 22.000000 4.329610)(-27.000000 11.000000 -0.000000)(-27.000000 0.000000 0.000000)(-27.000000 22.000000 -12.500000)(-27.000000 11.000000 -0.000000)(-27.000000 22.000000 12.500000)(-27.000000 0.000000 0.000000)(-27.000000 11.000000 -0.000000)(-27.424700 -31.974699 -14.150001)(-27.849400 -30.949400 -15.799999)(-27.424700 -31.974699 -14.975000)(-27.849400 -30.949400 -15.799999)(-27.000000 -33.000000 -15.799999)(-27.424700 -31.974699 -14.975000)(-27.000000 -33.000000 -15.799999)(-27.424700 -31.974699 -14.150001)(-27.424700 -31.974699 -14.975000)(-27.424700 -34.025299 -14.150001)(-27.000000 -33.000000 -12.500000)(-27.212400 -33.512699 -14.150001)(-27.000000 -33.000000 -12.500000)(-27.000000 -33.000000 -15.799999)(-27.212400 -33.512699 -14.150001)(-27.000000 -33.000000 -15.799999)(-27.424700 -34.025299 -14.150001)(-27.212400 -33.512699 -14.150001)(-27.424700 -34.025299 -14.150001)(-27.849400 -35.050602 -15.799999)(-27.636999 -34.537899 -14.150001)(-27.849400 -35.050602 -15.799999)(-27.849400 -35.050602 -12.500000)(-27.636999 -34.537899 -14.150001)(-27.849400 -35.050602 -12.500000)(-27.424700 -34.025299 -14.150001)(-27.636999 -34.537899 -14.150001)(-38.700001 -42.800003 -12.500000)(-27.849400 -35.050602 -12.500000)(-29.900000 -35.900002 -12.500000)(-38.700001 -32.400002 0.000000)(-38.700001 -42.800003 -12.500000)(-38.700001 -32.400002 -6.250000)(-38.700001 -42.800003 -12.500000)(-38.700001 -22.000000 -12.500000)(-38.700001 -32.400002 -6.250000)(-38.700001 -22.000000 -12.500000)(-38.700001 -32.400002 0.000000)(-38.700001 -32.400002 -6.250000)(-38.700001 -42.800003 -12.500000)(-32.799999 -33.000000 -12.500000)(-31.950600 -30.949400 -12.500000)(-30.925301 -30.524700 -14.150001)(-29.900000 -30.099998 -15.799999)(-30.412600 -30.312401 -14.150001)(-29.900000 -30.099998 -15.799999)(-29.900000 -30.099998 -12.500000)(-30.412600 -30.312401 -14.150001)(-29.900000 -30.099998 -12.500000)(-30.925301 -30.524700 -14.150001)(-30.412600 -30.312401 -14.150001)(-30.925301 -30.524700 -14.150001)(-31.950600 -30.949400 -12.500000)(-31.437901 -30.737000 -14.150001)(-31.950600 -30.949400 -12.500000)(-31.950600 -30.949400 -15.799999)(-31.437901 -30.737000 -14.150001)(-31.950600 -30.949400 -15.799999)(-30.925301 -30.524700 -14.150001)(-31.437901 -30.737000 -14.150001)(-28.874701 -30.524700 -14.150001)(-29.900000 -30.099998 -15.799999)(-28.874701 -30.524700 -14.975000)(-29.900000 -30.099998 -15.799999)(-27.849400 -30.949400 -15.799999)(-28.874701 -30.524700 -14.975000)(-27.849400 -30.949400 -15.799999)(-28.874701 -30.524700 -14.150001)(-28.874701 -30.524700 -14.975000)(-38.700001 -32.400002 0.000000)(-38.700001 -22.000000 12.500000)(-38.700001 -32.400002 6.250000)(-38.700001 -22.000000 12.500000)(-38.700001 -42.800003 12.500000)(-38.700001 -32.400002 6.250000)(-38.700001 -42.800003 12.500000)(-38.700001 -32.400002 0.000000)(-38.700001 -32.400002 6.250000)(-20.799999 -42.800003 0.000000)(-38.700001 -42.800003 -12.500000)(-29.750000 -42.800003 -0.000000)(-38.700001 -42.800003 -12.500000)(-38.700001 -42.800003 12.500000)(-29.750000 -42.800003 -0.000000)(-38.700001 -42.800003 12.500000)(-20.799999 -42.800003 0.000000)(-29.750000 -42.800003 -0.000000)(-29.900000 -36.000000 12.500000)(-27.778700 -35.121300 12.500000)(-38.700001 -42.800003 12.500000)(-27.339300 -34.060703 14.150001)(-26.900002 -33.000000 15.799999)(-27.119699 -33.530399 14.150001)(-26.900002 -33.000000 15.799999)(-26.900002 -33.000000 12.500000)(-27.119699 -33.530399 14.150001)(-26.900002 -33.000000 12.500000)(-27.339300 -34.060703 14.150001)(-27.119699 -33.530399 14.150001)(-27.339300 -34.060703 14.150001)(-27.778700 -35.121300 12.500000)(-27.559000 -34.591000 14.150001)(-27.778700 -35.121300 12.500000)(-27.778700 -35.121300 15.799999)(-27.559000 -34.591000 14.150001)(-27.778700 -35.121300 15.799999)(-27.339300 -34.060703 14.150001)(-27.559000 -34.591000 14.150001)(-27.339300 -31.939302 14.975000)(-27.339300 -31.939302 14.150001)(-26.900002 -33.000000 15.799999)(-27.339300 -31.939302 14.975000)(-26.900002 -33.000000 15.799999)(-27.778700 -30.878700 15.799999)(-27.339300 -31.939302 14.975000)(-27.778700 -30.878700 15.799999)(-27.339300 -31.939302 14.150001)(-28.839300 -30.439301 14.150001)(-27.778700 -30.878700 15.799999)(-28.839300 -30.439301 14.975000)(-27.778700 -30.878700 15.799999)(-29.900000 -30.000000 15.799999)(-28.839300 -30.439301 14.975000)(-29.900000 -30.000000 15.799999)(-28.839300 -30.439301 14.150001)(-28.839300 -30.439301 14.975000)(-30.960699 -30.439301 14.150001)(-29.900000 -30.000000 12.500000)(-30.430401 -30.219599 14.150001)(-29.900000 -30.000000 12.500000)(-29.900000 -30.000000 15.799999)(-30.430401 -30.219599 14.150001)(-29.900000 -30.000000 15.799999)(-30.960699 -30.439301 14.150001)(-30.430401 -30.219599 14.150001)(-30.960699 -30.439301 14.150001)(-32.021297 -30.878700 15.799999)(-31.491001 -30.659000 14.150001)(-32.021297 -30.878700 15.799999)(-32.021297 -30.878700 12.500000)(-31.491001 -30.659000 14.150001)(-32.021297 -30.878700 12.500000)(-30.960699 -30.439301 14.150001)(-31.491001 -30.659000 14.150001)(-32.021297 -30.878700 12.500000)(-32.900002 -33.000000 12.500000)(-38.700001 -42.800003 12.500000)(-38.700001 22.000000 -12.500000)(-38.700001 22.000000 12.500000)(-32.850002 22.000000 -0.000000)(-38.700001 22.000000 12.500000)(-27.000000 22.000000 4.329610)(-32.850002 22.000000 -0.000000)(-27.000000 22.000000 4.329610)(-27.000000 22.000000 -4.329610)(-32.850002 22.000000 -0.000000)(-27.000000 22.000000 -4.329610)(-38.700001 22.000000 -12.500000)(-32.850002 22.000000 -0.000000)(-29.900000 30.099998 12.500000)(-27.849400 30.949400 12.500000)(-38.700001 22.000000 12.500000)(-27.000000 33.000000 12.500000)(-2.900000 42.800003 12.500000)(-27.849400 30.949400 12.500000)(-2.900000 32.400002 0.000000)(-2.900000 42.800003 12.500000)(-2.900000 37.599998 0.000000)(-2.900000 42.800003 12.500000)(-2.900000 42.800003 -12.500000)(-2.900000 37.599998 0.000000)(-2.900000 42.800003 -12.500000)(-2.900000 32.400002 0.000000)(-2.900000 37.599998 0.000000)(-26.900002 33.000000 -12.500000)(-27.778700 30.878700 -12.500000)(-2.900000 42.800003 -12.500000)(-38.700001 22.000000 -12.500000)(-27.778700 30.878700 -12.500000)(-29.900000 30.000000 -12.500000)(3.000000 4.949700 4.949700)(3.000000 8.485299 8.485299)(3.000000 12.000000 0.000000)(3.000000 0.000000 7.000000)(3.000000 8.485299 8.485299)(3.000000 4.949700 4.949700)(3.000000 -4.949700 4.949700)(3.000000 0.000000 12.000000)(3.000000 0.000000 7.000000)(9.000000 -5.974900 2.474900)(3.000000 -7.000000 0.000000)(3.000000 -4.949700 4.949700)(3.000000 -4.949700 -4.949700)(3.000000 -7.000000 0.000000)(9.000000 -5.974900 -2.474900)(3.000000 -8.485299 -8.485299)(3.000000 -4.949700 -4.949700)(3.000000 0.000000 -7.000000)(3.000000 0.000000 -7.000000)(3.000000 4.949700 -4.949700)(3.000000 0.000000 -12.000000)(3.000000 0.000000 -12.000000)(3.000000 4.949700 -4.949700)(3.000000 12.000000 0.000000)(-27.849400 -30.949400 -15.799999)(-29.900000 -33.000000 -15.799999)(-27.000000 -33.000000 -15.799999)(-27.424700 -34.025299 -14.150001)(-27.000000 -33.000000 -15.799999)(-27.424700 -34.025299 -14.975000)(-27.000000 -33.000000 -15.799999)(-27.849400 -35.050602 -15.799999)(-27.424700 -34.025299 -14.975000)(-27.849400 -35.050602 -15.799999)(-27.424700 -34.025299 -14.150001)(-27.424700 -34.025299 -14.975000)(-28.874701 -35.475300 -14.150001)(-27.849400 -35.050602 -12.500000)(-28.362099 -35.262901 -14.150001)(-27.849400 -35.050602 -12.500000)(-27.849400 -35.050602 -15.799999)(-28.362099 -35.262901 -14.150001)(-27.849400 -35.050602 -15.799999)(-28.874701 -35.475300 -14.150001)(-28.362099 -35.262901 -14.150001)(-28.874701 -35.475300 -13.325000)(-28.874701 -35.475300 -14.150001)(-29.900000 -35.900002 -12.500000)(-28.874701 -35.475300 -13.325000)(-29.900000 -35.900002 -12.500000)(-27.849400 -35.050602 -12.500000)(-28.874701 -35.475300 -13.325000)(-27.849400 -35.050602 -12.500000)(-28.874701 -35.475300 -14.150001)(-31.950600 -35.050602 -12.500000)(-38.700001 -42.800003 -12.500000)(-29.900000 -35.900002 -12.500000)(-38.700001 -32.400002 0.000000)(-38.700001 -42.800003 12.500000)(-38.700001 -37.599998 -0.000000)(-38.700001 -42.800003 12.500000)(-38.700001 -42.800003 -12.500000)(-38.700001 -37.599998 -0.000000)(-38.700001 -42.800003 -12.500000)(-38.700001 -32.400002 0.000000)(-38.700001 -37.599998 -0.000000)(-32.375298 -31.974699 -14.150001)(-31.950600 -30.949400 -12.500000)(-32.375298 -31.974699 -13.325000)(-31.950600 -30.949400 -12.500000)(-32.799999 -33.000000 -12.500000)(-32.375298 -31.974699 -13.325000)(-32.799999 -33.000000 -12.500000)(-32.375298 -31.974699 -14.150001)(-32.375298 -31.974699 -13.325000)(-31.950600 -35.050602 -12.500000)(-32.799999 -33.000000 -12.500000)(-38.700001 -42.800003 -12.500000)(-30.925301 -30.524700 -14.150001)(-31.950600 -30.949400 -15.799999)(-30.925301 -30.524700 -14.975000)(-31.950600 -30.949400 -15.799999)(-29.900000 -30.099998 -15.799999)(-30.925301 -30.524700 -14.975000)(-29.900000 -30.099998 -15.799999)(-30.925301 -30.524700 -14.150001)(-30.925301 -30.524700 -14.975000)(-32.375298 -31.974699 -14.150001)(-31.950600 -30.949400 -15.799999)(-32.162903 -31.462099 -14.150001)(-31.950600 -30.949400 -15.799999)(-31.950600 -30.949400 -12.500000)(-32.162903 -31.462099 -14.150001)(-31.950600 -30.949400 -12.500000)(-32.375298 -31.974699 -14.150001)(-32.162903 -31.462099 -14.150001)(-29.900000 -30.099998 -15.799999)(-29.900000 -33.000000 -15.799999)(-27.849400 -30.949400 -15.799999)(-32.021297 -35.121300 12.500000)(-29.900000 -36.000000 12.500000)(-38.700001 -42.800003 12.500000)(-28.839300 -35.560699 14.150001)(-27.778700 -35.121300 12.500000)(-28.839300 -35.560699 13.325000)(-27.778700 -35.121300 12.500000)(-29.900000 -36.000000 12.500000)(-28.839300 -35.560699 13.325000)(-29.900000 -36.000000 12.500000)(-28.839300 -35.560699 14.150001)(-28.839300 -35.560699 13.325000)(-27.339300 -34.060703 14.150001)(-27.778700 -35.121300 15.799999)(-27.339300 -34.060703 14.975000)(-27.778700 -35.121300 15.799999)(-26.900002 -33.000000 15.799999)(-27.339300 -34.060703 14.975000)(-26.900002 -33.000000 15.799999)(-27.339300 -34.060703 14.150001)(-27.339300 -34.060703 14.975000)(-28.839300 -35.560699 14.150001)(-27.778700 -35.121300 15.799999)(-28.309000 -35.341000 14.150001)(-27.778700 -35.121300 15.799999)(-27.778700 -35.121300 12.500000)(-28.309000 -35.341000 14.150001)(-27.778700 -35.121300 12.500000)(-28.839300 -35.560699 14.150001)(-28.309000 -35.341000 14.150001)(-27.778700 -30.878700 15.799999)(-26.900002 -33.000000 15.799999)(-29.900000 -33.000000 15.799999)(-29.900000 -30.000000 15.799999)(-27.778700 -30.878700 15.799999)(-29.900000 -33.000000 15.799999)(-30.960699 -30.439301 14.150001)(-29.900000 -30.000000 15.799999)(-30.960699 -30.439301 14.975000)(-29.900000 -30.000000 15.799999)(-32.021297 -30.878700 15.799999)(-30.960699 -30.439301 14.975000)(-32.021297 -30.878700 15.799999)(-30.960699 -30.439301 14.150001)(-30.960699 -30.439301 14.975000)(-32.460701 -31.939302 14.150001)(-32.021297 -30.878700 12.500000)(-32.241001 -31.408998 14.150001)(-32.021297 -30.878700 12.500000)(-32.021297 -30.878700 15.799999)(-32.241001 -31.408998 14.150001)(-32.021297 -30.878700 15.799999)(-32.460701 -31.939302 14.150001)(-32.241001 -31.408998 14.150001)(-32.900002 -33.000000 12.500000)(-32.021297 -35.121300 12.500000)(-38.700001 -42.800003 12.500000)(-32.460701 -31.939302 13.325000)(-32.460701 -31.939302 14.150001)(-32.900002 -33.000000 12.500000)(-32.460701 -31.939302 13.325000)(-32.900002 -33.000000 12.500000)(-32.021297 -30.878700 12.500000)(-32.460701 -31.939302 13.325000)(-32.021297 -30.878700 12.500000)(-32.460701 -31.939302 14.150001)(-38.700001 32.400002 0.000000)(-38.700001 22.000000 12.500000)(-38.700001 27.200001 -0.000000)(-38.700001 22.000000 12.500000)(-38.700001 22.000000 -12.500000)(-38.700001 27.200001 -0.000000)(-38.700001 22.000000 -12.500000)(-38.700001 32.400002 0.000000)(-38.700001 27.200001 -0.000000)(-31.950600 30.949400 12.500000)(-29.900000 30.099998 12.500000)(-38.700001 22.000000 12.500000)(-28.874701 30.524700 14.150001)(-27.849400 30.949400 12.500000)(-28.874701 30.524700 13.325000)(-27.849400 30.949400 12.500000)(-29.900000 30.099998 12.500000)(-28.874701 30.524700 13.325000)(-29.900000 30.099998 12.500000)(-28.874701 30.524700 14.150001)(-28.874701 30.524700 13.325000)(-27.424700 31.974699 13.325000)(-27.424700 31.974699 14.150001)(-27.000000 33.000000 12.500000)(-27.424700 31.974699 13.325000)(-27.000000 33.000000 12.500000)(-27.849400 30.949400 12.500000)(-27.424700 31.974699 13.325000)(-27.849400 30.949400 12.500000)(-27.424700 31.974699 14.150001)(-27.849400 35.050602 12.500000)(-2.900000 42.800003 12.500000)(-27.000000 33.000000 12.500000)(-20.799999 42.800003 0.000000)(-2.900000 42.800003 -12.500000)(-11.850000 42.800003 0.000000)(-2.900000 42.800003 -12.500000)(-2.900000 42.800003 12.500000)(-11.850000 42.800003 0.000000)(-2.900000 42.800003 12.500000)(-20.799999 42.800003 0.000000)(-11.850000 42.800003 0.000000)(-27.778700 35.121300 -12.500000)(-26.900002 33.000000 -12.500000)(-2.900000 42.800003 -12.500000)(-27.339300 31.939302 -13.325000)(-27.339300 31.939302 -14.150001)(-27.778700 30.878700 -12.500000)(-27.339300 31.939302 -13.325000)(-27.778700 30.878700 -12.500000)(-26.900002 33.000000 -12.500000)(-27.339300 31.939302 -13.325000)(-26.900002 33.000000 -12.500000)(-27.339300 31.939302 -14.150001)(-28.839300 30.439301 -13.325000)(-28.839300 30.439301 -14.150001)(-29.900000 30.000000 -12.500000)(-28.839300 30.439301 -13.325000)(-29.900000 30.000000 -12.500000)(-27.778700 30.878700 -12.500000)(-28.839300 30.439301 -13.325000)(-27.778700 30.878700 -12.500000)(-28.839300 30.439301 -14.150001)(-32.021297 30.878700 -12.500000)(-38.700001 22.000000 -12.500000)(-29.900000 30.000000 -12.500000)(3.000000 7.000000 0.000000)(3.000000 4.949700 4.949700)(3.000000 12.000000 0.000000)(9.000000 2.474900 5.974900)(3.000000 0.000000 7.000000)(3.000000 4.949700 4.949700)(9.000000 -2.474900 5.974900)(3.000000 -4.949700 4.949700)(3.000000 0.000000 7.000000)(3.000000 -7.000000 0.000000)(9.000000 -5.974900 2.474900)(15.000000 -7.000000 0.000000)(9.000000 -5.974900 2.474900)(3.000000 -4.949700 4.949700)(15.000000 -4.949700 4.949700)(3.000000 -4.949700 -4.949700)(9.000000 -5.974900 -2.474900)(15.000000 -4.949700 -4.949700)(9.000000 -5.974900 -2.474900)(3.000000 -7.000000 0.000000)(15.000000 -7.000000 0.000000)(9.000000 -2.474900 -5.974900)(3.000000 0.000000 -7.000000)(3.000000 -4.949700 -4.949700)(9.000000 2.474900 -5.974900)(3.000000 4.949700 -4.949700)(3.000000 0.000000 -7.000000)(3.000000 4.949700 -4.949700)(3.000000 7.000000 0.000000)(3.000000 12.000000 0.000000)(-27.000000 -33.000000 -15.799999)(-29.900000 -33.000000 -15.799999)(-27.849400 -35.050602 -15.799999)(-28.874701 -35.475300 -14.150001)(-27.849400 -35.050602 -15.799999)(-28.874701 -35.475300 -14.975000)(-27.849400 -35.050602 -15.799999)(-29.900000 -35.900002 -15.799999)(-28.874701 -35.475300 -14.975000)(-29.900000 -35.900002 -15.799999)(-28.874701 -35.475300 -14.150001)(-28.874701 -35.475300 -14.975000)(-28.874701 -35.475300 -14.150001)(-29.900000 -35.900002 -15.799999)(-29.387400 -35.687599 -14.150001)(-29.900000 -35.900002 -15.799999)(-29.900000 -35.900002 -12.500000)(-29.387400 -35.687599 -14.150001)(-29.900000 -35.900002 -12.500000)(-28.874701 -35.475300 -14.150001)(-29.387400 -35.687599 -14.150001)(-30.925301 -35.475300 -13.325000)(-30.925301 -35.475300 -14.150001)(-31.950600 -35.050602 -12.500000)(-30.925301 -35.475300 -13.325000)(-31.950600 -35.050602 -12.500000)(-29.900000 -35.900002 -12.500000)(-30.925301 -35.475300 -13.325000)(-29.900000 -35.900002 -12.500000)(-30.925301 -35.475300 -14.150001)(-32.375298 -31.974699 -14.150001)(-32.799999 -33.000000 -12.500000)(-32.587601 -32.487301 -14.150001)(-32.799999 -33.000000 -12.500000)(-32.799999 -33.000000 -15.799999)(-32.587601 -32.487301 -14.150001)(-32.799999 -33.000000 -15.799999)(-32.375298 -31.974699 -14.150001)(-32.587601 -32.487301 -14.150001)(-32.375298 -34.025299 -14.150001)(-32.799999 -33.000000 -12.500000)(-32.375298 -34.025299 -13.325000)(-32.799999 -33.000000 -12.500000)(-31.950600 -35.050602 -12.500000)(-32.375298 -34.025299 -13.325000)(-31.950600 -35.050602 -12.500000)(-32.375298 -34.025299 -14.150001)(-32.375298 -34.025299 -13.325000)(-29.900000 -30.099998 -15.799999)(-31.950600 -30.949400 -15.799999)(-29.900000 -33.000000 -15.799999)(-32.375298 -31.974699 -14.975000)(-32.375298 -31.974699 -14.150001)(-32.799999 -33.000000 -15.799999)(-32.375298 -31.974699 -14.975000)(-32.799999 -33.000000 -15.799999)(-31.950600 -30.949400 -15.799999)(-32.375298 -31.974699 -14.975000)(-31.950600 -30.949400 -15.799999)(-32.375298 -31.974699 -14.150001)(-30.960699 -35.560699 14.150001)(-29.900000 -36.000000 12.500000)(-30.960699 -35.560699 13.325000)(-29.900000 -36.000000 12.500000)(-32.021297 -35.121300 12.500000)(-30.960699 -35.560699 13.325000)(-32.021297 -35.121300 12.500000)(-30.960699 -35.560699 14.150001)(-30.960699 -35.560699 13.325000)(-28.839300 -35.560699 14.150001)(-29.900000 -36.000000 12.500000)(-29.369600 -35.780300 14.150001)(-29.900000 -36.000000 12.500000)(-29.900000 -36.000000 15.799999)(-29.369600 -35.780300 14.150001)(-29.900000 -36.000000 15.799999)(-28.839300 -35.560699 14.150001)(-29.369600 -35.780300 14.150001)(-26.900002 -33.000000 15.799999)(-27.778700 -35.121300 15.799999)(-29.900000 -33.000000 15.799999)(-28.839300 -35.560699 14.975000)(-28.839300 -35.560699 14.150001)(-29.900000 -36.000000 15.799999)(-28.839300 -35.560699 14.975000)(-29.900000 -36.000000 15.799999)(-27.778700 -35.121300 15.799999)(-28.839300 -35.560699 14.975000)(-27.778700 -35.121300 15.799999)(-28.839300 -35.560699 14.150001)(-29.900000 -30.000000 15.799999)(-29.900000 -33.000000 15.799999)(-32.021297 -30.878700 15.799999)(-32.460701 -31.939302 14.975000)(-32.460701 -31.939302 14.150001)(-32.021297 -30.878700 15.799999)(-32.460701 -31.939302 14.975000)(-32.021297 -30.878700 15.799999)(-32.900002 -33.000000 15.799999)(-32.460701 -31.939302 14.975000)(-32.900002 -33.000000 15.799999)(-32.460701 -31.939302 14.150001)(-32.460701 -34.060703 13.325000)(-32.460701 -34.060703 14.150001)(-32.021297 -35.121300 12.500000)(-32.460701 -34.060703 13.325000)(-32.021297 -35.121300 12.500000)(-32.900002 -33.000000 12.500000)(-32.460701 -34.060703 13.325000)(-32.900002 -33.000000 12.500000)(-32.460701 -34.060703 14.150001)(-32.460701 -31.939302 14.150001)(-32.900002 -33.000000 15.799999)(-32.680401 -32.469700 14.150001)(-32.900002 -33.000000 15.799999)(-32.900002 -33.000000 12.500000)(-32.680401 -32.469700 14.150001)(-32.900002 -33.000000 12.500000)(-32.460701 -31.939302 14.150001)(-32.680401 -32.469700 14.150001)(-38.700001 32.400002 0.000000)(-38.700001 42.800003 12.500000)(-38.700001 32.400002 6.250000)(-38.700001 42.800003 12.500000)(-38.700001 22.000000 12.500000)(-38.700001 32.400002 6.250000)(-38.700001 22.000000 12.500000)(-38.700001 32.400002 0.000000)(-38.700001 32.400002 6.250000)(-38.700001 32.400002 0.000000)(-38.700001 22.000000 -12.500000)(-38.700001 32.400002 -6.250000)(-38.700001 22.000000 -12.500000)(-38.700001 42.800003 -12.500000)(-38.700001 32.400002 -6.250000)(-38.700001 42.800003 -12.500000)(-38.700001 32.400002 0.000000)(-38.700001 32.400002 -6.250000)(-32.799999 33.000000 12.500000)(-31.950600 30.949400 12.500000)(-38.700001 22.000000 12.500000)(-30.925301 30.524700 14.150001)(-29.900000 30.099998 12.500000)(-30.925301 30.524700 13.325000)(-29.900000 30.099998 12.500000)(-31.950600 30.949400 12.500000)(-30.925301 30.524700 13.325000)(-31.950600 30.949400 12.500000)(-30.925301 30.524700 14.150001)(-30.925301 30.524700 13.325000)(-28.874701 30.524700 14.150001)(-27.849400 30.949400 15.799999)(-28.362099 30.737000 14.150001)(-27.849400 30.949400 15.799999)(-27.849400 30.949400 12.500000)(-28.362099 30.737000 14.150001)(-27.849400 30.949400 12.500000)(-28.874701 30.524700 14.150001)(-28.362099 30.737000 14.150001)(-28.874701 30.524700 14.150001)(-29.900000 30.099998 12.500000)(-29.387400 30.312401 14.150001)(-29.900000 30.099998 12.500000)(-29.900000 30.099998 15.799999)(-29.387400 30.312401 14.150001)(-29.900000 30.099998 15.799999)(-28.874701 30.524700 14.150001)(-29.387400 30.312401 14.150001)(-27.424700 31.974699 14.150001)(-27.000000 33.000000 15.799999)(-27.212400 32.487301 14.150001)(-27.000000 33.000000 15.799999)(-27.000000 33.000000 12.500000)(-27.212400 32.487301 14.150001)(-27.000000 33.000000 12.500000)(-27.424700 31.974699 14.150001)(-27.212400 32.487301 14.150001)(-27.424700 31.974699 14.150001)(-27.849400 30.949400 12.500000)(-27.636999 31.462099 14.150001)(-27.849400 30.949400 12.500000)(-27.849400 30.949400 15.799999)(-27.636999 31.462099 14.150001)(-27.849400 30.949400 15.799999)(-27.424700 31.974699 14.150001)(-27.636999 31.462099 14.150001)(-27.424700 34.025299 14.150001)(-27.849400 35.050602 12.500000)(-27.424700 34.025299 13.325000)(-27.849400 35.050602 12.500000)(-27.000000 33.000000 12.500000)(-27.424700 34.025299 13.325000)(-27.000000 33.000000 12.500000)(-27.424700 34.025299 14.150001)(-27.424700 34.025299 13.325000)(-2.900000 42.800003 12.500000)(-27.849400 35.050602 12.500000)(-38.700001 42.800003 12.500000)(-20.799999 42.800003 0.000000)(-38.700001 42.800003 -12.500000)(-20.799999 42.800003 -6.250000)(-38.700001 42.800003 -12.500000)(-2.900000 42.800003 -12.500000)(-20.799999 42.800003 -6.250000)(-2.900000 42.800003 -12.500000)(-20.799999 42.800003 0.000000)(-20.799999 42.800003 -6.250000)(-20.799999 42.800003 0.000000)(-2.900000 42.800003 12.500000)(-20.799999 42.800003 6.250000)(-2.900000 42.800003 12.500000)(-38.700001 42.800003 12.500000)(-20.799999 42.800003 6.250000)(-38.700001 42.800003 12.500000)(-20.799999 42.800003 0.000000)(-20.799999 42.800003 6.250000)(-38.700001 42.800003 -12.500000)(-27.778700 35.121300 -12.500000)(-2.900000 42.800003 -12.500000)(-27.339300 34.060703 -13.325000)(-27.339300 34.060703 -14.150001)(-26.900002 33.000000 -12.500000)(-27.339300 34.060703 -13.325000)(-26.900002 33.000000 -12.500000)(-27.778700 35.121300 -12.500000)(-27.339300 34.060703 -13.325000)(-27.778700 35.121300 -12.500000)(-27.339300 34.060703 -14.150001)(-27.339300 31.939302 -14.150001)(-27.778700 30.878700 -15.799999)(-27.559000 31.408998 -14.150001)(-27.778700 30.878700 -15.799999)(-27.778700 30.878700 -12.500000)(-27.559000 31.408998 -14.150001)(-27.778700 30.878700 -12.500000)(-27.339300 31.939302 -14.150001)(-27.559000 31.408998 -14.150001)(-27.339300 31.939302 -14.150001)(-26.900002 33.000000 -12.500000)(-27.119699 32.469700 -14.150001)(-26.900002 33.000000 -12.500000)(-26.900002 33.000000 -15.799999)(-27.119699 32.469700 -14.150001)(-26.900002 33.000000 -15.799999)(-27.339300 31.939302 -14.150001)(-27.119699 32.469700 -14.150001)(-28.839300 30.439301 -14.150001)(-29.900000 30.000000 -15.799999)(-29.369600 30.219599 -14.150001)(-29.900000 30.000000 -15.799999)(-29.900000 30.000000 -12.500000)(-29.369600 30.219599 -14.150001)(-29.900000 30.000000 -12.500000)(-28.839300 30.439301 -14.150001)(-29.369600 30.219599 -14.150001)(-28.839300 30.439301 -14.150001)(-27.778700 30.878700 -12.500000)(-28.309000 30.659000 -14.150001)(-27.778700 30.878700 -12.500000)(-27.778700 30.878700 -15.799999)(-28.309000 30.659000 -14.150001)(-27.778700 30.878700 -15.799999)(-28.839300 30.439301 -14.150001)(-28.309000 30.659000 -14.150001)(-30.960699 30.439301 -14.150001)(-32.021297 30.878700 -12.500000)(-30.960699 30.439301 -13.325000)(-32.021297 30.878700 -12.500000)(-29.900000 30.000000 -12.500000)(-30.960699 30.439301 -13.325000)(-29.900000 30.000000 -12.500000)(-30.960699 30.439301 -14.150001)(-30.960699 30.439301 -13.325000)(-32.021297 30.878700 -12.500000)(-32.900002 33.000000 -12.500000)(-38.700001 22.000000 -12.500000)(3.000000 4.949700 4.949700)(3.000000 7.000000 0.000000)(9.000000 5.974900 2.474900)(9.000000 2.474900 5.974900)(15.000000 0.000000 7.000000)(3.000000 0.000000 7.000000)(15.000000 4.949700 4.949700)(9.000000 2.474900 5.974900)(3.000000 4.949700 4.949700)(9.000000 -2.474900 5.974900)(15.000000 -4.949700 4.949700)(3.000000 -4.949700 4.949700)(15.000000 0.000000 7.000000)(9.000000 -2.474900 5.974900)(3.000000 0.000000 7.000000)(9.000000 -5.974900 2.474900)(15.000000 -4.949700 4.949700)(15.000000 -7.000000 0.000000)(9.000000 -5.974900 -2.474900)(15.000000 -7.000000 0.000000)(15.000000 -4.949700 -4.949700)(15.000000 -4.949700 -4.949700)(9.000000 -2.474900 -5.974900)(3.000000 -4.949700 -4.949700)(9.000000 -2.474900 -5.974900)(15.000000 0.000000 -7.000000)(3.000000 0.000000 -7.000000)(9.000000 2.474900 -5.974900)(15.000000 4.949700 -4.949700)(3.000000 4.949700 -4.949700)(15.000000 0.000000 -7.000000)(9.000000 2.474900 -5.974900)(3.000000 0.000000 -7.000000)(9.000000 5.974900 -2.474900)(3.000000 7.000000 0.000000)(3.000000 4.949700 -4.949700)(-29.900000 -33.000000 -15.799999)(-29.900000 -35.900002 -15.799999)(-27.849400 -35.050602 -15.799999)(-30.925301 -35.475300 -14.150001)(-29.900000 -35.900002 -12.500000)(-30.412600 -35.687599 -14.150001)(-29.900000 -35.900002 -12.500000)(-29.900000 -35.900002 -15.799999)(-30.412600 -35.687599 -14.150001)(-29.900000 -35.900002 -15.799999)(-30.925301 -35.475300 -14.150001)(-30.412600 -35.687599 -14.150001)(-30.925301 -35.475300 -14.150001)(-31.950600 -35.050602 -15.799999)(-31.437901 -35.262901 -14.150001)(-31.950600 -35.050602 -15.799999)(-31.950600 -35.050602 -12.500000)(-31.437901 -35.262901 -14.150001)(-31.950600 -35.050602 -12.500000)(-30.925301 -35.475300 -14.150001)(-31.437901 -35.262901 -14.150001)(-32.375298 -34.025299 -14.150001)(-32.799999 -33.000000 -15.799999)(-32.587601 -33.512699 -14.150001)(-32.799999 -33.000000 -15.799999)(-32.799999 -33.000000 -12.500000)(-32.587601 -33.512699 -14.150001)(-32.799999 -33.000000 -12.500000)(-32.375298 -34.025299 -14.150001)(-32.587601 -33.512699 -14.150001)(-32.375298 -34.025299 -14.150001)(-31.950600 -35.050602 -12.500000)(-32.162903 -34.537899 -14.150001)(-31.950600 -35.050602 -12.500000)(-31.950600 -35.050602 -15.799999)(-32.162903 -34.537899 -14.150001)(-31.950600 -35.050602 -15.799999)(-32.375298 -34.025299 -14.150001)(-32.162903 -34.537899 -14.150001)(-31.950600 -30.949400 -15.799999)(-32.799999 -33.000000 -15.799999)(-29.900000 -33.000000 -15.799999)(-30.960699 -35.560699 14.150001)(-29.900000 -36.000000 15.799999)(-30.430401 -35.780300 14.150001)(-29.900000 -36.000000 15.799999)(-29.900000 -36.000000 12.500000)(-30.430401 -35.780300 14.150001)(-29.900000 -36.000000 12.500000)(-30.960699 -35.560699 14.150001)(-30.430401 -35.780300 14.150001)(-30.960699 -35.560699 14.150001)(-32.021297 -35.121300 12.500000)(-31.491001 -35.341000 14.150001)(-32.021297 -35.121300 12.500000)(-32.021297 -35.121300 15.799999)(-31.491001 -35.341000 14.150001)(-32.021297 -35.121300 15.799999)(-30.960699 -35.560699 14.150001)(-31.491001 -35.341000 14.150001)(-29.900000 -33.000000 15.799999)(-27.778700 -35.121300 15.799999)(-29.900000 -36.000000 15.799999)(-32.021297 -30.878700 15.799999)(-29.900000 -33.000000 15.799999)(-32.900002 -33.000000 15.799999)(-32.460701 -34.060703 14.150001)(-32.021297 -35.121300 15.799999)(-32.241001 -34.591000 14.150001)(-32.021297 -35.121300 15.799999)(-32.021297 -35.121300 12.500000)(-32.241001 -34.591000 14.150001)(-32.021297 -35.121300 12.500000)(-32.460701 -34.060703 14.150001)(-32.241001 -34.591000 14.150001)(-32.460701 -34.060703 14.150001)(-32.900002 -33.000000 12.500000)(-32.680401 -33.530399 14.150001)(-32.900002 -33.000000 12.500000)(-32.900002 -33.000000 15.799999)(-32.680401 -33.530399 14.150001)(-32.900002 -33.000000 15.799999)(-32.460701 -34.060703 14.150001)(-32.680401 -33.530399 14.150001)(-38.700001 32.400002 0.000000)(-38.700001 42.800003 -12.500000)(-38.700001 37.599998 -0.000000)(-38.700001 42.800003 -12.500000)(-38.700001 42.800003 12.500000)(-38.700001 37.599998 -0.000000)(-38.700001 42.800003 12.500000)(-38.700001 32.400002 0.000000)(-38.700001 37.599998 -0.000000)(-38.700001 42.800003 12.500000)(-31.950600 35.050602 12.500000)(-38.700001 22.000000 12.500000)(-32.021297 35.121300 -12.500000)(-38.700001 42.800003 -12.500000)(-38.700001 22.000000 -12.500000)(-31.950600 35.050602 12.500000)(-32.799999 33.000000 12.500000)(-38.700001 22.000000 12.500000)(-32.375298 31.974699 14.150001)(-31.950600 30.949400 12.500000)(-32.375298 31.974699 13.325000)(-31.950600 30.949400 12.500000)(-32.799999 33.000000 12.500000)(-32.375298 31.974699 13.325000)(-32.799999 33.000000 12.500000)(-32.375298 31.974699 14.150001)(-32.375298 31.974699 13.325000)(-30.925301 30.524700 14.150001)(-29.900000 30.099998 15.799999)(-30.412600 30.312401 14.150001)(-29.900000 30.099998 15.799999)(-29.900000 30.099998 12.500000)(-30.412600 30.312401 14.150001)(-29.900000 30.099998 12.500000)(-30.925301 30.524700 14.150001)(-30.412600 30.312401 14.150001)(-30.925301 30.524700 14.150001)(-31.950600 30.949400 12.500000)(-31.437901 30.737000 14.150001)(-31.950600 30.949400 12.500000)(-31.950600 30.949400 15.799999)(-31.437901 30.737000 14.150001)(-31.950600 30.949400 15.799999)(-30.925301 30.524700 14.150001)(-31.437901 30.737000 14.150001)(-28.874701 30.524700 14.150001)(-29.900000 30.099998 15.799999)(-28.874701 30.524700 14.975000)(-29.900000 30.099998 15.799999)(-27.849400 30.949400 15.799999)(-28.874701 30.524700 14.975000)(-27.849400 30.949400 15.799999)(-28.874701 30.524700 14.150001)(-28.874701 30.524700 14.975000)(-27.424700 31.974699 14.150001)(-27.849400 30.949400 15.799999)(-27.424700 31.974699 14.975000)(-27.849400 30.949400 15.799999)(-27.000000 33.000000 15.799999)(-27.424700 31.974699 14.975000)(-27.000000 33.000000 15.799999)(-27.424700 31.974699 14.150001)(-27.424700 31.974699 14.975000)(-27.424700 34.025299 14.150001)(-27.000000 33.000000 12.500000)(-27.212400 33.512699 14.150001)(-27.000000 33.000000 12.500000)(-27.000000 33.000000 15.799999)(-27.212400 33.512699 14.150001)(-27.000000 33.000000 15.799999)(-27.424700 34.025299 14.150001)(-27.212400 33.512699 14.150001)(-27.424700 34.025299 14.150001)(-27.849400 35.050602 15.799999)(-27.636999 34.537899 14.150001)(-27.849400 35.050602 15.799999)(-27.849400 35.050602 12.500000)(-27.636999 34.537899 14.150001)(-27.849400 35.050602 12.500000)(-27.424700 34.025299 14.150001)(-27.636999 34.537899 14.150001)(-38.700001 42.800003 12.500000)(-27.849400 35.050602 12.500000)(-29.900000 35.900002 12.500000)(-20.799999 42.800003 0.000000)(-38.700001 42.800003 12.500000)(-29.750000 42.800003 0.000000)(-38.700001 42.800003 12.500000)(-38.700001 42.800003 -12.500000)(-29.750000 42.800003 0.000000)(-38.700001 42.800003 -12.500000)(-20.799999 42.800003 0.000000)(-29.750000 42.800003 0.000000)(-29.900000 36.000000 -12.500000)(-27.778700 35.121300 -12.500000)(-38.700001 42.800003 -12.500000)(-27.339300 34.060703 -14.150001)(-26.900002 33.000000 -15.799999)(-27.119699 33.530399 -14.150001)(-26.900002 33.000000 -15.799999)(-26.900002 33.000000 -12.500000)(-27.119699 33.530399 -14.150001)(-26.900002 33.000000 -12.500000)(-27.339300 34.060703 -14.150001)(-27.119699 33.530399 -14.150001)(-27.339300 34.060703 -14.150001)(-27.778700 35.121300 -12.500000)(-27.559000 34.591000 -14.150001)(-27.778700 35.121300 -12.500000)(-27.778700 35.121300 -15.799999)(-27.559000 34.591000 -14.150001)(-27.778700 35.121300 -15.799999)(-27.339300 34.060703 -14.150001)(-27.559000 34.591000 -14.150001)(-27.339300 31.939302 -14.975000)(-27.339300 31.939302 -14.150001)(-26.900002 33.000000 -15.799999)(-27.339300 31.939302 -14.975000)(-26.900002 33.000000 -15.799999)(-27.778700 30.878700 -15.799999)(-27.339300 31.939302 -14.975000)(-27.778700 30.878700 -15.799999)(-27.339300 31.939302 -14.150001)(-28.839300 30.439301 -14.150001)(-27.778700 30.878700 -15.799999)(-28.839300 30.439301 -14.975000)(-27.778700 30.878700 -15.799999)(-29.900000 30.000000 -15.799999)(-28.839300 30.439301 -14.975000)(-29.900000 30.000000 -15.799999)(-28.839300 30.439301 -14.150001)(-28.839300 30.439301 -14.975000)(-30.960699 30.439301 -14.150001)(-29.900000 30.000000 -12.500000)(-30.430401 30.219599 -14.150001)(-29.900000 30.000000 -12.500000)(-29.900000 30.000000 -15.799999)(-30.430401 30.219599 -14.150001)(-29.900000 30.000000 -15.799999)(-30.960699 30.439301 -14.150001)(-30.430401 30.219599 -14.150001)(-30.960699 30.439301 -14.150001)(-32.021297 30.878700 -15.799999)(-31.491001 30.659000 -14.150001)(-32.021297 30.878700 -15.799999)(-32.021297 30.878700 -12.500000)(-31.491001 30.659000 -14.150001)(-32.021297 30.878700 -12.500000)(-30.960699 30.439301 -14.150001)(-31.491001 30.659000 -14.150001)(-32.460701 31.939302 -13.325000)(-32.460701 31.939302 -14.150001)(-32.900002 33.000000 -12.500000)(-32.460701 31.939302 -13.325000)(-32.900002 33.000000 -12.500000)(-32.021297 30.878700 -12.500000)(-32.460701 31.939302 -13.325000)(-32.021297 30.878700 -12.500000)(-32.460701 31.939302 -14.150001)(-38.700001 22.000000 -12.500000)(-32.900002 33.000000 -12.500000)(-32.021297 35.121300 -12.500000)(3.000000 4.949700 4.949700)(9.000000 5.974900 2.474900)(15.000000 4.949700 4.949700)(9.000000 5.974900 2.474900)(3.000000 7.000000 0.000000)(15.000000 7.000000 0.000000)(15.000000 4.949700 4.949700)(15.000000 0.000000 7.000000)(9.000000 2.474900 5.974900)(15.000000 0.000000 7.000000)(15.000000 -4.949700 4.949700)(9.000000 -2.474900 5.974900)(15.000000 -7.000000 0.000000)(15.000000 -4.949700 4.949700)(15.000000 -12.374400 -12.374400)(15.000000 -12.374400 -12.374400)(15.000000 -4.949700 -4.949700)(15.000000 -7.000000 0.000000)(15.000000 -4.949700 -4.949700)(15.000000 0.000000 -7.000000)(9.000000 -2.474900 -5.974900)(15.000000 0.000000 -7.000000)(15.000000 4.949700 -4.949700)(9.000000 2.474900 -5.974900)(9.000000 5.974900 -2.474900)(3.000000 4.949700 -4.949700)(15.000000 4.949700 -4.949700)(3.000000 7.000000 0.000000)(9.000000 5.974900 -2.474900)(15.000000 7.000000 0.000000)(-29.900000 -33.000000 -15.799999)(-31.950600 -35.050602 -15.799999)(-29.900000 -35.900002 -15.799999)(-30.925301 -35.475300 -14.150001)(-29.900000 -35.900002 -15.799999)(-30.925301 -35.475300 -14.975000)(-29.900000 -35.900002 -15.799999)(-31.950600 -35.050602 -15.799999)(-30.925301 -35.475300 -14.975000)(-31.950600 -35.050602 -15.799999)(-30.925301 -35.475300 -14.150001)(-30.925301 -35.475300 -14.975000)(-32.375298 -34.025299 -14.975000)(-32.375298 -34.025299 -14.150001)(-31.950600 -35.050602 -15.799999)(-32.375298 -34.025299 -14.975000)(-31.950600 -35.050602 -15.799999)(-32.799999 -33.000000 -15.799999)(-32.375298 -34.025299 -14.975000)(-32.799999 -33.000000 -15.799999)(-32.375298 -34.025299 -14.150001)(-29.900000 -33.000000 -15.799999)(-32.799999 -33.000000 -15.799999)(-31.950600 -35.050602 -15.799999)(-30.960699 -35.560699 14.975000)(-30.960699 -35.560699 14.150001)(-32.021297 -35.121300 15.799999)(-30.960699 -35.560699 14.975000)(-32.021297 -35.121300 15.799999)(-29.900000 -36.000000 15.799999)(-30.960699 -35.560699 14.975000)(-29.900000 -36.000000 15.799999)(-30.960699 -35.560699 14.150001)(-29.900000 -33.000000 15.799999)(-29.900000 -36.000000 15.799999)(-32.021297 -35.121300 15.799999)(-32.900002 -33.000000 15.799999)(-29.900000 -33.000000 15.799999)(-32.021297 -35.121300 15.799999)(-32.460701 -34.060703 14.975000)(-32.460701 -34.060703 14.150001)(-32.900002 -33.000000 15.799999)(-32.460701 -34.060703 14.975000)(-32.900002 -33.000000 15.799999)(-32.021297 -35.121300 15.799999)(-32.460701 -34.060703 14.975000)(-32.021297 -35.121300 15.799999)(-32.460701 -34.060703 14.150001)(-38.700001 42.800003 12.500000)(-29.900000 35.900002 12.500000)(-31.950600 35.050602 12.500000)(-38.700001 42.800003 -12.500000)(-32.021297 35.121300 -12.500000)(-29.900000 36.000000 -12.500000)(-32.375298 34.025299 14.150001)(-32.799999 33.000000 12.500000)(-32.375298 34.025299 13.325000)(-32.799999 33.000000 12.500000)(-31.950600 35.050602 12.500000)(-32.375298 34.025299 13.325000)(-31.950600 35.050602 12.500000)(-32.375298 34.025299 14.150001)(-32.375298 34.025299 13.325000)(-32.375298 31.974699 14.150001)(-31.950600 30.949400 15.799999)(-32.162903 31.462099 14.150001)(-31.950600 30.949400 15.799999)(-31.950600 30.949400 12.500000)(-32.162903 31.462099 14.150001)(-31.950600 30.949400 12.500000)(-32.375298 31.974699 14.150001)(-32.162903 31.462099 14.150001)(-32.375298 31.974699 14.150001)(-32.799999 33.000000 12.500000)(-32.587601 32.487301 14.150001)(-32.799999 33.000000 12.500000)(-32.799999 33.000000 15.799999)(-32.587601 32.487301 14.150001)(-32.799999 33.000000 15.799999)(-32.375298 31.974699 14.150001)(-32.587601 32.487301 14.150001)(-30.925301 30.524700 14.150001)(-31.950600 30.949400 15.799999)(-30.925301 30.524700 14.975000)(-31.950600 30.949400 15.799999)(-29.900000 30.099998 15.799999)(-30.925301 30.524700 14.975000)(-29.900000 30.099998 15.799999)(-30.925301 30.524700 14.150001)(-30.925301 30.524700 14.975000)(-29.900000 33.000000 15.799999)(-27.849400 30.949400 15.799999)(-29.900000 30.099998 15.799999)(-27.000000 33.000000 15.799999)(-27.849400 30.949400 15.799999)(-29.900000 33.000000 15.799999)(-27.424700 34.025299 14.150001)(-27.000000 33.000000 15.799999)(-27.424700 34.025299 14.975000)(-27.000000 33.000000 15.799999)(-27.849400 35.050602 15.799999)(-27.424700 34.025299 14.975000)(-27.849400 35.050602 15.799999)(-27.424700 34.025299 14.150001)(-27.424700 34.025299 14.975000)(-28.874701 35.475300 14.150001)(-27.849400 35.050602 12.500000)(-28.362099 35.262901 14.150001)(-27.849400 35.050602 12.500000)(-27.849400 35.050602 15.799999)(-28.362099 35.262901 14.150001)(-27.849400 35.050602 15.799999)(-28.874701 35.475300 14.150001)(-28.362099 35.262901 14.150001)(-28.874701 35.475300 13.325000)(-28.874701 35.475300 14.150001)(-29.900000 35.900002 12.500000)(-28.874701 35.475300 13.325000)(-29.900000 35.900002 12.500000)(-27.849400 35.050602 12.500000)(-28.874701 35.475300 13.325000)(-27.849400 35.050602 12.500000)(-28.874701 35.475300 14.150001)(-28.839300 35.560699 -14.150001)(-27.778700 35.121300 -12.500000)(-28.839300 35.560699 -13.325000)(-27.778700 35.121300 -12.500000)(-29.900000 36.000000 -12.500000)(-28.839300 35.560699 -13.325000)(-29.900000 36.000000 -12.500000)(-28.839300 35.560699 -14.150001)(-28.839300 35.560699 -13.325000)(-27.339300 34.060703 -14.150001)(-27.778700 35.121300 -15.799999)(-27.339300 34.060703 -14.975000)(-27.778700 35.121300 -15.799999)(-26.900002 33.000000 -15.799999)(-27.339300 34.060703 -14.975000)(-26.900002 33.000000 -15.799999)(-27.339300 34.060703 -14.150001)(-27.339300 34.060703 -14.975000)(-28.839300 35.560699 -14.150001)(-27.778700 35.121300 -15.799999)(-28.309000 35.341000 -14.150001)(-27.778700 35.121300 -15.799999)(-27.778700 35.121300 -12.500000)(-28.309000 35.341000 -14.150001)(-27.778700 35.121300 -12.500000)(-28.839300 35.560699 -14.150001)(-28.309000 35.341000 -14.150001)(-26.900002 33.000000 -15.799999)(-29.900000 33.000000 -15.799999)(-27.778700 30.878700 -15.799999)(-29.900000 33.000000 -15.799999)(-29.900000 30.000000 -15.799999)(-27.778700 30.878700 -15.799999)(-30.960699 30.439301 -14.150001)(-29.900000 30.000000 -15.799999)(-30.960699 30.439301 -14.975000)(-29.900000 30.000000 -15.799999)(-32.021297 30.878700 -15.799999)(-30.960699 30.439301 -14.975000)(-32.021297 30.878700 -15.799999)(-30.960699 30.439301 -14.150001)(-30.960699 30.439301 -14.975000)(-32.460701 31.939302 -14.150001)(-32.021297 30.878700 -12.500000)(-32.241001 31.408998 -14.150001)(-32.021297 30.878700 -12.500000)(-32.021297 30.878700 -15.799999)(-32.241001 31.408998 -14.150001)(-32.021297 30.878700 -15.799999)(-32.460701 31.939302 -14.150001)(-32.241001 31.408998 -14.150001)(-32.460701 31.939302 -14.150001)(-32.900002 33.000000 -15.799999)(-32.680401 32.469700 -14.150001)(-32.900002 33.000000 -15.799999)(-32.900002 33.000000 -12.500000)(-32.680401 32.469700 -14.150001)(-32.900002 33.000000 -12.500000)(-32.460701 31.939302 -14.150001)(-32.680401 32.469700 -14.150001)(-32.460701 34.060703 -13.325000)(-32.460701 34.060703 -14.150001)(-32.021297 35.121300 -12.500000)(-32.460701 34.060703 -13.325000)(-32.021297 35.121300 -12.500000)(-32.900002 33.000000 -12.500000)(-32.460701 34.060703 -13.325000)(-32.900002 33.000000 -12.500000)(-32.460701 34.060703 -14.150001)(9.000000 5.974900 2.474900)(15.000000 7.000000 0.000000)(15.000000 4.949700 4.949700)(15.000000 0.000000 7.000000)(15.000000 4.949700 4.949700)(15.000000 12.374400 12.374400)(15.000000 12.374400 12.374400)(15.000000 -4.949700 4.949700)(15.000000 0.000000 7.000000)(15.000000 -17.500000 0.000000)(15.000000 -12.374400 -12.374400)(15.000000 -4.949700 4.949700)(15.000000 -4.949700 -4.949700)(15.000000 -12.374400 -12.374400)(15.000000 0.000000 -7.000000)(15.000000 0.000000 -7.000000)(15.000000 0.000000 -17.500000)(15.000000 4.949700 -4.949700)(9.000000 5.974900 -2.474900)(15.000000 4.949700 -4.949700)(15.000000 7.000000 0.000000)(-30.925301 35.475300 13.325000)(-30.925301 35.475300 14.150001)(-31.950600 35.050602 12.500000)(-30.925301 35.475300 13.325000)(-31.950600 35.050602 12.500000)(-29.900000 35.900002 12.500000)(-30.925301 35.475300 13.325000)(-29.900000 35.900002 12.500000)(-30.925301 35.475300 14.150001)(-30.960699 35.560699 -14.150001)(-29.900000 36.000000 -12.500000)(-30.960699 35.560699 -13.325000)(-29.900000 36.000000 -12.500000)(-32.021297 35.121300 -12.500000)(-30.960699 35.560699 -13.325000)(-32.021297 35.121300 -12.500000)(-30.960699 35.560699 -14.150001)(-30.960699 35.560699 -13.325000)(-32.375298 34.025299 14.150001)(-32.799999 33.000000 15.799999)(-32.587601 33.512699 14.150001)(-32.799999 33.000000 15.799999)(-32.799999 33.000000 12.500000)(-32.587601 33.512699 14.150001)(-32.799999 33.000000 12.500000)(-32.375298 34.025299 14.150001)(-32.587601 33.512699 14.150001)(-32.375298 34.025299 14.150001)(-31.950600 35.050602 12.500000)(-32.162903 34.537899 14.150001)(-31.950600 35.050602 12.500000)(-31.950600 35.050602 15.799999)(-32.162903 34.537899 14.150001)(-31.950600 35.050602 15.799999)(-32.375298 34.025299 14.150001)(-32.162903 34.537899 14.150001)(-32.375298 31.974699 14.975000)(-32.375298 31.974699 14.150001)(-32.799999 33.000000 15.799999)(-32.375298 31.974699 14.975000)(-32.799999 33.000000 15.799999)(-31.950600 30.949400 15.799999)(-32.375298 31.974699 14.975000)(-31.950600 30.949400 15.799999)(-32.375298 31.974699 14.150001)(-29.900000 33.000000 15.799999)(-29.900000 30.099998 15.799999)(-31.950600 30.949400 15.799999)(-27.849400 35.050602 15.799999)(-27.000000 33.000000 15.799999)(-29.900000 33.000000 15.799999)(-28.874701 35.475300 14.150001)(-27.849400 35.050602 15.799999)(-28.874701 35.475300 14.975000)(-27.849400 35.050602 15.799999)(-29.900000 35.900002 15.799999)(-28.874701 35.475300 14.975000)(-29.900000 35.900002 15.799999)(-28.874701 35.475300 14.150001)(-28.874701 35.475300 14.975000)(-28.874701 35.475300 14.150001)(-29.900000 35.900002 15.799999)(-29.387400 35.687599 14.150001)(-29.900000 35.900002 15.799999)(-29.900000 35.900002 12.500000)(-29.387400 35.687599 14.150001)(-29.900000 35.900002 12.500000)(-28.874701 35.475300 14.150001)(-29.387400 35.687599 14.150001)(-28.839300 35.560699 -14.150001)(-29.900000 36.000000 -12.500000)(-29.369600 35.780300 -14.150001)(-29.900000 36.000000 -12.500000)(-29.900000 36.000000 -15.799999)(-29.369600 35.780300 -14.150001)(-29.900000 36.000000 -15.799999)(-28.839300 35.560699 -14.150001)(-29.369600 35.780300 -14.150001)(-27.778700 35.121300 -15.799999)(-29.900000 33.000000 -15.799999)(-26.900002 33.000000 -15.799999)(-28.839300 35.560699 -14.975000)(-28.839300 35.560699 -14.150001)(-29.900000 36.000000 -15.799999)(-28.839300 35.560699 -14.975000)(-29.900000 36.000000 -15.799999)(-27.778700 35.121300 -15.799999)(-28.839300 35.560699 -14.975000)(-27.778700 35.121300 -15.799999)(-28.839300 35.560699 -14.150001)(-29.900000 33.000000 -15.799999)(-32.021297 30.878700 -15.799999)(-29.900000 30.000000 -15.799999)(-32.460701 31.939302 -14.975000)(-32.460701 31.939302 -14.150001)(-32.021297 30.878700 -15.799999)(-32.460701 31.939302 -14.975000)(-32.021297 30.878700 -15.799999)(-32.900002 33.000000 -15.799999)(-32.460701 31.939302 -14.975000)(-32.900002 33.000000 -15.799999)(-32.460701 31.939302 -14.150001)(-32.460701 34.060703 -14.150001)(-32.900002 33.000000 -12.500000)(-32.680401 33.530399 -14.150001)(-32.900002 33.000000 -12.500000)(-32.900002 33.000000 -15.799999)(-32.680401 33.530399 -14.150001)(-32.900002 33.000000 -15.799999)(-32.460701 34.060703 -14.150001)(-32.680401 33.530399 -14.150001)(-32.460701 34.060703 -14.150001)(-32.021297 35.121300 -15.799999)(-32.241001 34.591000 -14.150001)(-32.021297 35.121300 -15.799999)(-32.021297 35.121300 -12.500000)(-32.241001 34.591000 -14.150001)(-32.021297 35.121300 -12.500000)(-32.460701 34.060703 -14.150001)(-32.241001 34.591000 -14.150001)(15.000000 4.949700 4.949700)(15.000000 7.000000 0.000000)(15.000000 17.500000 0.000000)(15.000000 12.374400 12.374400)(15.000000 4.949700 4.949700)(15.000000 11.224900 6.187200)(15.000000 4.949700 4.949700)(15.000000 17.500000 0.000000)(15.000000 11.224900 6.187200)(15.000000 17.500000 0.000000)(15.000000 12.374400 12.374400)(15.000000 11.224900 6.187200)(15.000000 12.374400 12.374400)(15.000000 -17.500000 0.000000)(15.000000 -4.949700 4.949700)(15.000000 -17.500000 0.000000)(16.250000 -14.937200 -6.187200)(15.000000 -12.374400 -12.374400)(15.000000 -12.374400 -12.374400)(15.000000 0.000000 -17.500000)(15.000000 0.000000 -7.000000)(15.000000 4.949700 -4.949700)(15.000000 0.000000 -17.500000)(15.000000 17.500000 0.000000)(15.000000 7.000000 0.000000)(15.000000 4.949700 -4.949700)(15.000000 17.500000 0.000000)(-30.925301 35.475300 14.150001)(-31.950600 35.050602 15.799999)(-31.437901 35.262901 14.150001)(-31.950600 35.050602 15.799999)(-31.950600 35.050602 12.500000)(-31.437901 35.262901 14.150001)(-31.950600 35.050602 12.500000)(-30.925301 35.475300 14.150001)(-31.437901 35.262901 14.150001)(-30.925301 35.475300 14.150001)(-29.900000 35.900002 12.500000)(-30.412600 35.687599 14.150001)(-29.900000 35.900002 12.500000)(-29.900000 35.900002 15.799999)(-30.412600 35.687599 14.150001)(-29.900000 35.900002 15.799999)(-30.925301 35.475300 14.150001)(-30.412600 35.687599 14.150001)(-30.960699 35.560699 -14.150001)(-29.900000 36.000000 -15.799999)(-30.430401 35.780300 -14.150001)(-29.900000 36.000000 -15.799999)(-29.900000 36.000000 -12.500000)(-30.430401 35.780300 -14.150001)(-29.900000 36.000000 -12.500000)(-30.960699 35.560699 -14.150001)(-30.430401 35.780300 -14.150001)(-30.960699 35.560699 -14.150001)(-32.021297 35.121300 -12.500000)(-31.491001 35.341000 -14.150001)(-32.021297 35.121300 -12.500000)(-32.021297 35.121300 -15.799999)(-31.491001 35.341000 -14.150001)(-32.021297 35.121300 -15.799999)(-30.960699 35.560699 -14.150001)(-31.491001 35.341000 -14.150001)(-32.375298 34.025299 14.975000)(-32.375298 34.025299 14.150001)(-31.950600 35.050602 15.799999)(-32.375298 34.025299 14.975000)(-31.950600 35.050602 15.799999)(-32.799999 33.000000 15.799999)(-32.375298 34.025299 14.975000)(-32.799999 33.000000 15.799999)(-32.375298 34.025299 14.150001)(-32.799999 33.000000 15.799999)(-29.900000 33.000000 15.799999)(-31.950600 30.949400 15.799999)(-29.900000 35.900002 15.799999)(-27.849400 35.050602 15.799999)(-29.900000 33.000000 15.799999)(-29.900000 36.000000 -15.799999)(-29.900000 33.000000 -15.799999)(-27.778700 35.121300 -15.799999)(-32.900002 33.000000 -15.799999)(-32.021297 30.878700 -15.799999)(-29.900000 33.000000 -15.799999)(-32.460701 34.060703 -14.975000)(-32.460701 34.060703 -14.150001)(-32.900002 33.000000 -15.799999)(-32.460701 34.060703 -14.975000)(-32.900002 33.000000 -15.799999)(-32.021297 35.121300 -15.799999)(-32.460701 34.060703 -14.975000)(-32.021297 35.121300 -15.799999)(-32.460701 34.060703 -14.150001)(15.000000 17.500000 0.000000)(16.250000 14.937200 6.187200)(15.000000 12.374400 12.374400)(15.000000 0.000000 17.500000)(15.000000 -17.500000 0.000000)(15.000000 12.374400 12.374400)(15.000000 -12.374400 -12.374400)(16.250000 -14.937200 -6.187200)(17.500000 -12.374400 -12.374400)(15.000000 -17.500000 0.000000)(17.500000 -17.500000 0.000000)(16.250000 -14.937200 -6.187200)(15.000000 -12.374400 -12.374400)(16.250000 -6.187200 -14.937200)(15.000000 0.000000 -17.500000)(15.000000 0.000000 -17.500000)(15.000000 12.374400 -12.374400)(15.000000 17.500000 0.000000)(-30.925301 35.475300 14.150001)(-29.900000 35.900002 15.799999)(-30.925301 35.475300 14.975000)(-29.900000 35.900002 15.799999)(-31.950600 35.050602 15.799999)(-30.925301 35.475300 14.975000)(-31.950600 35.050602 15.799999)(-30.925301 35.475300 14.150001)(-30.925301 35.475300 14.975000)(-30.960699 35.560699 -14.975000)(-30.960699 35.560699 -14.150001)(-32.021297 35.121300 -15.799999)(-30.960699 35.560699 -14.975000)(-32.021297 35.121300 -15.799999)(-29.900000 36.000000 -15.799999)(-30.960699 35.560699 -14.975000)(-29.900000 36.000000 -15.799999)(-30.960699 35.560699 -14.150001)(-31.950600 35.050602 15.799999)(-29.900000 33.000000 15.799999)(-32.799999 33.000000 15.799999)(-31.950600 35.050602 15.799999)(-29.900000 35.900002 15.799999)(-29.900000 33.000000 15.799999)(-29.900000 36.000000 -15.799999)(-32.021297 35.121300 -15.799999)(-29.900000 33.000000 -15.799999)(-32.021297 35.121300 -15.799999)(-32.900002 33.000000 -15.799999)(-29.900000 33.000000 -15.799999)(15.000000 12.374400 12.374400)(16.250000 14.937200 6.187200)(17.500000 12.374400 12.374400)(15.000000 17.500000 0.000000)(17.500000 17.500000 0.000000)(16.250000 14.937200 6.187200)(15.000000 -12.374400 12.374400)(15.000000 -17.500000 0.000000)(15.000000 0.000000 17.500000)(15.000000 12.374400 12.374400)(16.250000 6.187200 14.937200)(15.000000 0.000000 17.500000)(17.500000 -12.374400 -12.374400)(16.250000 -14.937200 -6.187200)(17.500000 -17.500000 0.000000)(17.500000 -12.374400 -12.374400)(16.250000 -6.187200 -14.937200)(15.000000 -12.374400 -12.374400)(15.000000 -17.500000 0.000000)(16.250000 -14.937200 6.187200)(17.500000 -17.500000 0.000000)(17.500000 0.000000 -17.500000)(15.000000 0.000000 -17.500000)(16.250000 -6.187200 -14.937200)(15.000000 0.000000 -17.500000)(16.250000 6.187200 -14.937200)(15.000000 12.374400 -12.374400)(15.000000 12.374400 -12.374400)(16.250000 14.937200 -6.187200)(15.000000 17.500000 0.000000)(17.500000 12.374400 12.374400)(16.250000 14.937200 6.187200)(17.500000 17.500000 0.000000)(17.500000 12.374400 12.374400)(16.250000 6.187200 14.937200)(15.000000 12.374400 12.374400)(15.000000 17.500000 0.000000)(16.250000 14.937200 -6.187200)(17.500000 17.500000 0.000000)(15.000000 -12.374400 12.374400)(16.250000 -14.937200 6.187200)(15.000000 -17.500000 0.000000)(15.000000 0.000000 17.500000)(16.250000 -6.187200 14.937200)(15.000000 -12.374400 12.374400)(17.500000 0.000000 17.500000)(15.000000 0.000000 17.500000)(16.250000 6.187200 14.937200)(17.500000 -17.500000 0.000000)(17.500000 -12.000000 0.000000)(17.500000 -12.374400 -12.374400)(17.500000 0.000000 -17.500000)(16.250000 -6.187200 -14.937200)(17.500000 -12.374400 -12.374400)(17.500000 -17.500000 0.000000)(16.250000 -14.937200 6.187200)(17.500000 -12.374400 12.374400)(17.500000 0.000000 -17.500000)(16.250000 6.187200 -14.937200)(15.000000 0.000000 -17.500000)(17.500000 12.374400 -12.374400)(15.000000 12.374400 -12.374400)(16.250000 6.187200 -14.937200)(15.000000 12.374400 -12.374400)(17.500000 12.374400 -12.374400)(16.250000 14.937200 -6.187200)(17.500000 8.485299 8.485299)(17.500000 12.374400 12.374400)(17.500000 17.500000 0.000000)(17.500000 0.000000 17.500000)(16.250000 6.187200 14.937200)(17.500000 12.374400 12.374400)(17.500000 17.500000 0.000000)(16.250000 14.937200 -6.187200)(17.500000 12.374400 -12.374400)(15.000000 -12.374400 12.374400)(17.500000 -12.374400 12.374400)(16.250000 -14.937200 6.187200)(17.500000 -12.374400 12.374400)(15.000000 -12.374400 12.374400)(16.250000 -6.187200 14.937200)(17.500000 0.000000 17.500000)(16.250000 -6.187200 14.937200)(15.000000 0.000000 17.500000)(17.500000 -17.500000 0.000000)(17.500000 -8.485299 8.485299)(17.500000 -12.000000 0.000000)(17.500000 -12.000000 0.000000)(17.500000 -8.485299 -8.485299)(17.500000 -12.374400 -12.374400)(17.500000 -12.374400 -12.374400)(17.500000 0.000000 -12.000000)(17.500000 0.000000 -17.500000)(17.500000 -12.374400 12.374400)(17.500000 0.000000 17.500000)(17.500000 -17.500000 0.000000)(17.500000 12.374400 -12.374400)(16.250000 6.187200 -14.937200)(17.500000 0.000000 -17.500000)(17.500000 12.000000 0.000000)(17.500000 8.485299 8.485299)(17.500000 17.500000 0.000000)(17.500000 8.485299 8.485299)(17.500000 0.000000 12.000000)(17.500000 12.374400 12.374400)(17.500000 0.000000 12.000000)(17.500000 0.000000 17.500000)(17.500000 12.374400 12.374400)(17.500000 8.485299 -8.485299)(17.500000 17.500000 0.000000)(17.500000 12.374400 -12.374400)(17.500000 -12.374400 12.374400)(16.250000 -6.187200 14.937200)(17.500000 0.000000 17.500000)(17.500000 -8.485299 8.485299)(19.250000 -10.242600 4.242600)(17.500000 -12.000000 0.000000)(17.500000 -17.500000 0.000000)(17.500000 0.000000 17.500000)(17.500000 -8.485299 8.485299)(17.500000 -12.000000 0.000000)(19.250000 -10.242600 -4.242600)(17.500000 -8.485299 -8.485299)(17.500000 -12.374400 -12.374400)(17.500000 -8.485299 -8.485299)(17.500000 0.000000 -12.000000)(17.500000 0.000000 -12.000000)(17.500000 8.485299 -8.485299)(17.500000 0.000000 -17.500000)(17.500000 0.000000 -17.500000)(17.500000 8.485299 -8.485299)(17.500000 12.374400 -12.374400)(17.500000 8.485299 -8.485299)(17.500000 12.000000 0.000000)(17.500000 17.500000 0.000000)(17.500000 12.000000 0.000000)(19.250000 10.242600 4.242600)(17.500000 8.485299 8.485299)(17.500000 8.485299 8.485299)(19.250000 4.242600 10.242600)(17.500000 0.000000 12.000000)(17.500000 -8.485299 8.485299)(17.500000 0.000000 17.500000)(17.500000 0.000000 12.000000)(17.500000 -12.000000 0.000000)(19.250000 -10.242600 4.242600)(21.000000 -12.000000 0.000000)(17.500000 -8.485299 8.485299)(21.000000 -8.485299 8.485299)(19.250000 -10.242600 4.242600)(17.500000 -8.485299 -8.485299)(19.250000 -10.242600 -4.242600)(21.000000 -8.485299 -8.485299)(17.500000 -12.000000 0.000000)(21.000000 -12.000000 0.000000)(19.250000 -10.242600 -4.242600)(17.500000 -8.485299 -8.485299)(19.250000 -4.242600 -10.242600)(17.500000 0.000000 -12.000000)(17.500000 0.000000 -12.000000)(19.250000 4.242600 -10.242600)(17.500000 8.485299 -8.485299)(17.500000 8.485299 -8.485299)(19.250000 10.242600 -4.242600)(17.500000 12.000000 0.000000)(17.500000 8.485299 8.485299)(19.250000 10.242600 4.242600)(21.000000 8.485299 8.485299)(17.500000 12.000000 0.000000)(21.000000 12.000000 0.000000)(19.250000 10.242600 4.242600)(21.000000 0.000000 12.000000)(17.500000 0.000000 12.000000)(19.250000 4.242600 10.242600)(21.000000 8.485299 8.485299)(19.250000 4.242600 10.242600)(17.500000 8.485299 8.485299)(17.500000 0.000000 12.000000)(19.250000 -4.242600 10.242600)(17.500000 -8.485299 8.485299)(21.000000 -12.000000 0.000000)(19.250000 -10.242600 4.242600)(21.000000 -8.485299 8.485299)(21.000000 -8.485299 8.485299)(17.500000 -8.485299 8.485299)(19.250000 -4.242600 10.242600)(21.000000 -8.485299 -8.485299)(19.250000 -10.242600 -4.242600)(21.000000 -12.000000 0.000000)(21.000000 -8.485299 -8.485299)(19.250000 -4.242600 -10.242600)(17.500000 -8.485299 -8.485299)(21.000000 0.000000 -12.000000)(17.500000 0.000000 -12.000000)(19.250000 -4.242600 -10.242600)(21.000000 8.485299 -8.485299)(17.500000 8.485299 -8.485299)(19.250000 4.242600 -10.242600)(21.000000 0.000000 -12.000000)(19.250000 4.242600 -10.242600)(17.500000 0.000000 -12.000000)(17.500000 12.000000 0.000000)(19.250000 10.242600 -4.242600)(21.000000 12.000000 0.000000)(17.500000 8.485299 -8.485299)(21.000000 8.485299 -8.485299)(19.250000 10.242600 -4.242600)(21.000000 8.485299 8.485299)(19.250000 10.242600 4.242600)(21.000000 12.000000 0.000000)(21.000000 0.000000 12.000000)(19.250000 4.242600 10.242600)(21.000000 8.485299 8.485299)(21.000000 0.000000 12.000000)(19.250000 -4.242600 10.242600)(17.500000 0.000000 12.000000)(21.000000 -8.485299 8.485299)(21.000000 -7.071100 7.071100)(21.000000 -12.000000 0.000000)(21.000000 -8.485299 8.485299)(19.250000 -4.242600 10.242600)(21.000000 0.000000 12.000000)(21.000000 -12.000000 0.000000)(21.000000 -10.000000 0.000000)(21.000000 -8.485299 -8.485299)(21.000000 0.000000 -12.000000)(19.250000 -4.242600 -10.242600)(21.000000 -8.485299 -8.485299)(21.000000 8.485299 -8.485299)(19.250000 4.242600 -10.242600)(21.000000 0.000000 -12.000000)(21.000000 12.000000 0.000000)(19.250000 10.242600 -4.242600)(21.000000 8.485299 -8.485299)(21.000000 7.071100 7.071100)(21.000000 8.485299 8.485299)(21.000000 12.000000 0.000000)(21.000000 0.000000 10.000000)(21.000000 0.000000 12.000000)(21.000000 8.485299 8.485299)(21.000000 -7.071100 7.071100)(21.000000 -8.485299 8.485299)(21.000000 0.000000 12.000000)(21.000000 -12.000000 0.000000)(21.000000 -7.071100 7.071100)(21.000000 -10.000000 0.000000)(21.000000 -10.000000 0.000000)(21.000000 -7.071100 -7.071100)(21.000000 -8.485299 -8.485299)(21.000000 -8.485299 -8.485299)(21.000000 0.000000 -10.000000)(21.000000 0.000000 -12.000000)(21.000000 0.000000 -12.000000)(21.000000 7.071100 -7.071100)(21.000000 8.485299 -8.485299)(21.000000 7.071100 -7.071100)(21.000000 12.000000 0.000000)(21.000000 8.485299 -8.485299)(21.000000 10.000000 0.000000)(21.000000 7.071100 7.071100)(21.000000 12.000000 0.000000)(21.000000 0.000000 10.000000)(21.000000 8.485299 8.485299)(21.000000 7.071100 7.071100)(21.000000 -7.071100 7.071100)(21.000000 0.000000 12.000000)(21.000000 0.000000 10.000000)(23.000000 -8.535521 3.535540)(25.000000 -8.535500 3.535500)(21.000000 -10.000000 0.000000)(23.000000 -8.535521 3.535540)(21.000000 -10.000000 0.000000)(21.000000 -7.071100 7.071100)(23.000000 -8.535521 3.535540)(21.000000 -7.071100 7.071100)(25.000000 -8.535500 3.535500)(25.000000 -8.535500 -3.535500)(21.000000 -7.071100 -7.071100)(23.000000 -8.535521 -3.535540)(21.000000 -7.071100 -7.071100)(21.000000 -10.000000 0.000000)(23.000000 -8.535521 -3.535540)(21.000000 -10.000000 0.000000)(25.000000 -8.535500 -3.535500)(23.000000 -8.535521 -3.535540)(21.000000 -8.485299 -8.485299)(21.000000 -7.071100 -7.071100)(21.000000 0.000000 -10.000000)(21.000000 0.000000 -12.000000)(21.000000 0.000000 -10.000000)(21.000000 7.071100 -7.071100)(21.000000 10.000000 0.000000)(21.000000 12.000000 0.000000)(21.000000 7.071100 -7.071100)(25.000000 8.535500 3.535500)(21.000000 7.071100 7.071100)(23.000000 8.535521 3.535540)(21.000000 7.071100 7.071100)(21.000000 10.000000 0.000000)(23.000000 8.535521 3.535540)(21.000000 10.000000 0.000000)(25.000000 8.535500 3.535500)(23.000000 8.535521 3.535540)(25.000000 3.535500 8.535500)(21.000000 0.000000 10.000000)(23.000000 3.535540 8.535521)(21.000000 0.000000 10.000000)(21.000000 7.071100 7.071100)(23.000000 3.535540 8.535521)(21.000000 7.071100 7.071100)(25.000000 3.535500 8.535500)(23.000000 3.535540 8.535521)(25.000000 -3.535500 8.535500)(21.000000 -7.071100 7.071100)(23.000000 -3.535540 8.535521)(21.000000 -7.071100 7.071100)(21.000000 0.000000 10.000000)(23.000000 -3.535540 8.535521)(21.000000 0.000000 10.000000)(25.000000 -3.535500 8.535500)(23.000000 -3.535540 8.535521)(25.000000 -8.535500 3.535500)(29.000000 -10.000000 0.000000)(25.000000 -9.267750 1.767750)(29.000000 -10.000000 0.000000)(21.000000 -10.000000 0.000000)(25.000000 -9.267750 1.767750)(21.000000 -10.000000 0.000000)(25.000000 -8.535500 3.535500)(25.000000 -9.267750 1.767750)(25.000000 -8.535500 3.535500)(21.000000 -7.071100 7.071100)(25.000000 -7.803300 5.303300)(21.000000 -7.071100 7.071100)(29.000000 -7.071100 7.071100)(25.000000 -7.803300 5.303300)(29.000000 -7.071100 7.071100)(25.000000 -8.535500 3.535500)(25.000000 -7.803300 5.303300)(25.000000 -8.535500 -3.535500)(29.000000 -7.071100 -7.071100)(25.000000 -7.803300 -5.303300)(29.000000 -7.071100 -7.071100)(21.000000 -7.071100 -7.071100)(25.000000 -7.803300 -5.303300)(21.000000 -7.071100 -7.071100)(25.000000 -8.535500 -3.535500)(25.000000 -7.803300 -5.303300)(25.000000 -8.535500 -3.535500)(21.000000 -10.000000 0.000000)(25.000000 -9.267750 -1.767750)(21.000000 -10.000000 0.000000)(29.000000 -10.000000 0.000000)(25.000000 -9.267750 -1.767750)(29.000000 -10.000000 0.000000)(25.000000 -8.535500 -3.535500)(25.000000 -9.267750 -1.767750)(25.000000 -3.535500 -8.535500)(21.000000 0.000000 -10.000000)(23.000000 -3.535540 -8.535521)(21.000000 0.000000 -10.000000)(21.000000 -7.071100 -7.071100)(23.000000 -3.535540 -8.535521)(21.000000 -7.071100 -7.071100)(25.000000 -3.535500 -8.535500)(23.000000 -3.535540 -8.535521)(25.000000 3.535500 -8.535500)(21.000000 7.071100 -7.071100)(23.000000 3.535540 -8.535521)(21.000000 7.071100 -7.071100)(21.000000 0.000000 -10.000000)(23.000000 3.535540 -8.535521)(21.000000 0.000000 -10.000000)(25.000000 3.535500 -8.535500)(23.000000 3.535540 -8.535521)(23.000000 8.535521 -3.535540)(25.000000 8.535500 -3.535500)(21.000000 10.000000 0.000000)(23.000000 8.535521 -3.535540)(21.000000 10.000000 0.000000)(21.000000 7.071100 -7.071100)(23.000000 8.535521 -3.535540)(21.000000 7.071100 -7.071100)(25.000000 8.535500 -3.535500)(25.000000 8.535500 3.535500)(29.000000 7.071100 7.071100)(25.000000 7.803300 5.303300)(29.000000 7.071100 7.071100)(21.000000 7.071100 7.071100)(25.000000 7.803300 5.303300)(21.000000 7.071100 7.071100)(25.000000 8.535500 3.535500)(25.000000 7.803300 5.303300)(25.000000 8.535500 3.535500)(21.000000 10.000000 0.000000)(25.000000 9.267750 1.767750)(21.000000 10.000000 0.000000)(29.000000 10.000000 0.000000)(25.000000 9.267750 1.767750)(29.000000 10.000000 0.000000)(25.000000 8.535500 3.535500)(25.000000 9.267750 1.767750)(25.000000 3.535500 8.535500)(29.000000 0.000000 10.000000)(25.000000 1.767750 9.267750)(29.000000 0.000000 10.000000)(21.000000 0.000000 10.000000)(25.000000 1.767750 9.267750)(21.000000 0.000000 10.000000)(25.000000 3.535500 8.535500)(25.000000 1.767750 9.267750)(25.000000 3.535500 8.535500)(21.000000 7.071100 7.071100)(25.000000 5.303300 7.803300)(21.000000 7.071100 7.071100)(29.000000 7.071100 7.071100)(25.000000 5.303300 7.803300)(29.000000 7.071100 7.071100)(25.000000 3.535500 8.535500)(25.000000 5.303300 7.803300)(25.000000 -3.535500 8.535500)(29.000000 -7.071100 7.071100)(25.000000 -5.303300 7.803300)(29.000000 -7.071100 7.071100)(21.000000 -7.071100 7.071100)(25.000000 -5.303300 7.803300)(21.000000 -7.071100 7.071100)(25.000000 -3.535500 8.535500)(25.000000 -5.303300 7.803300)(25.000000 -3.535500 8.535500)(21.000000 0.000000 10.000000)(25.000000 -1.767750 9.267750)(21.000000 0.000000 10.000000)(29.000000 0.000000 10.000000)(25.000000 -1.767750 9.267750)(29.000000 0.000000 10.000000)(25.000000 -3.535500 8.535500)(25.000000 -1.767750 9.267750)(25.000000 -8.535500 3.535500)(29.000000 -7.071100 7.071100)(27.000000 -8.535521 3.535540)(29.000000 -7.071100 7.071100)(29.000000 -10.000000 0.000000)(27.000000 -8.535521 3.535540)(29.000000 -10.000000 0.000000)(25.000000 -8.535500 3.535500)(27.000000 -8.535521 3.535540)(25.000000 -8.535500 -3.535500)(29.000000 -10.000000 0.000000)(27.000000 -8.535521 -3.535540)(29.000000 -10.000000 0.000000)(29.000000 -7.071100 -7.071100)(27.000000 -8.535521 -3.535540)(29.000000 -7.071100 -7.071100)(25.000000 -8.535500 -3.535500)(27.000000 -8.535521 -3.535540)(25.000000 -3.535500 -8.535500)(21.000000 -7.071100 -7.071100)(25.000000 -5.303300 -7.803300)(21.000000 -7.071100 -7.071100)(29.000000 -7.071100 -7.071100)(25.000000 -5.303300 -7.803300)(29.000000 -7.071100 -7.071100)(25.000000 -3.535500 -8.535500)(25.000000 -5.303300 -7.803300)(25.000000 -3.535500 -8.535500)(29.000000 0.000000 -10.000000)(25.000000 -1.767750 -9.267750)(29.000000 0.000000 -10.000000)(21.000000 0.000000 -10.000000)(25.000000 -1.767750 -9.267750)(21.000000 0.000000 -10.000000)(25.000000 -3.535500 -8.535500)(25.000000 -1.767750 -9.267750)(25.000000 3.535500 -8.535500)(29.000000 7.071100 -7.071100)(25.000000 5.303300 -7.803300)(29.000000 7.071100 -7.071100)(21.000000 7.071100 -7.071100)(25.000000 5.303300 -7.803300)(21.000000 7.071100 -7.071100)(25.000000 3.535500 -8.535500)(25.000000 5.303300 -7.803300)(25.000000 3.535500 -8.535500)(21.000000 0.000000 -10.000000)(25.000000 1.767750 -9.267750)(21.000000 0.000000 -10.000000)(29.000000 0.000000 -10.000000)(25.000000 1.767750 -9.267750)(29.000000 0.000000 -10.000000)(25.000000 3.535500 -8.535500)(25.000000 1.767750 -9.267750)(25.000000 8.535500 -3.535500)(29.000000 10.000000 0.000000)(25.000000 9.267750 -1.767750)(29.000000 10.000000 0.000000)(21.000000 10.000000 0.000000)(25.000000 9.267750 -1.767750)(21.000000 10.000000 0.000000)(25.000000 8.535500 -3.535500)(25.000000 9.267750 -1.767750)(25.000000 8.535500 -3.535500)(21.000000 7.071100 -7.071100)(25.000000 7.803300 -5.303300)(21.000000 7.071100 -7.071100)(29.000000 7.071100 -7.071100)(25.000000 7.803300 -5.303300)(29.000000 7.071100 -7.071100)(25.000000 8.535500 -3.535500)(25.000000 7.803300 -5.303300)(25.000000 8.535500 3.535500)(29.000000 10.000000 0.000000)(27.000000 8.535521 3.535540)(29.000000 10.000000 0.000000)(29.000000 7.071100 7.071100)(27.000000 8.535521 3.535540)(29.000000 7.071100 7.071100)(25.000000 8.535500 3.535500)(27.000000 8.535521 3.535540)(25.000000 3.535500 8.535500)(29.000000 7.071100 7.071100)(27.000000 3.535540 8.535521)(29.000000 7.071100 7.071100)(29.000000 0.000000 10.000000)(27.000000 3.535540 8.535521)(29.000000 0.000000 10.000000)(25.000000 3.535500 8.535500)(27.000000 3.535540 8.535521)(25.000000 -3.535500 8.535500)(29.000000 0.000000 10.000000)(27.000000 -3.535540 8.535521)(29.000000 0.000000 10.000000)(29.000000 -7.071100 7.071100)(27.000000 -3.535540 8.535521)(29.000000 -7.071100 7.071100)(25.000000 -3.535500 8.535500)(27.000000 -3.535540 8.535521)(29.000000 -10.000000 0.000000)(29.000000 -7.071100 7.071100)(29.000000 0.000000 0.000000)(29.000000 -10.000000 0.000000)(29.000000 0.000000 0.000000)(29.000000 -7.071100 -7.071100)(25.000000 -3.535500 -8.535500)(29.000000 -7.071100 -7.071100)(27.000000 -3.535540 -8.535521)(29.000000 -7.071100 -7.071100)(29.000000 0.000000 -10.000000)(27.000000 -3.535540 -8.535521)(29.000000 0.000000 -10.000000)(25.000000 -3.535500 -8.535500)(27.000000 -3.535540 -8.535521)(25.000000 3.535500 -8.535500)(29.000000 0.000000 -10.000000)(27.000000 3.535540 -8.535521)(29.000000 0.000000 -10.000000)(29.000000 7.071100 -7.071100)(27.000000 3.535540 -8.535521)(29.000000 7.071100 -7.071100)(25.000000 3.535500 -8.535500)(27.000000 3.535540 -8.535521)(25.000000 8.535500 -3.535500)(29.000000 7.071100 -7.071100)(27.000000 8.535521 -3.535540)(29.000000 7.071100 -7.071100)(29.000000 10.000000 0.000000)(27.000000 8.535521 -3.535540)(29.000000 10.000000 0.000000)(25.000000 8.535500 -3.535500)(27.000000 8.535521 -3.535540)(29.000000 0.000000 0.000000)(29.000000 7.071100 7.071100)(29.000000 10.000000 0.000000)(29.000000 0.000000 10.000000)(29.000000 7.071100 7.071100)(29.000000 0.000000 0.000000)(29.000000 -7.071100 7.071100)(29.000000 0.000000 10.000000)(29.000000 0.000000 0.000000)(29.000000 -7.071100 -7.071100)(29.000000 0.000000 0.000000)(29.000000 0.000000 -10.000000)(29.000000 0.000000 -10.000000)(29.000000 0.000000 0.000000)(29.000000 7.071100 -7.071100)(29.000000 0.000000 0.000000)(29.000000 10.000000 0.000000)(29.000000 7.071100 -7.071100)))
           )
           )))
    (send glvertices :calc-normals)
    (send self :assoc glvertices)
    glvertices)
  (:qhull-faceset ()
   ;; qhull 3828 -> 19 faces
   (instance faceset :init :faces (list
    (instance face :init :vertices (list (float-vector 28.999999 -7.071100 -7.071100) (float-vector -7.400000 -39.999999 -52.600000) (float-vector -2.900000 -42.800002 -12.500000) (float-vector 28.999999 -10.000000 0.000000)))
    (instance face :init :vertices (list (float-vector 0.000000 -22.000000 22.000000) (float-vector 0.000000 22.000000 22.000000) (float-vector 17.500000 0.000000 17.500000)))
    (instance face :init :vertices (list (float-vector -2.900000 42.800002 -12.500000) (float-vector -7.400000 20.000000 -52.600000) (float-vector 28.999999 7.071100 -7.071100)))
    (instance face :init :vertices (list (float-vector -7.400000 -39.999999 -52.600000) (float-vector -7.400000 20.000000 -52.600000) (float-vector -25.200000 20.000000 -52.600000) (float-vector -25.200000 -39.999999 -52.600000)))
    (instance face :init :vertices (list (float-vector -7.400000 20.000000 -52.600000) (float-vector -2.900000 42.800002 -12.500000) (float-vector -38.699999 42.800002 -12.500000) (float-vector -25.200000 20.000000 -52.600000)))
    (instance face :init :vertices (list (float-vector 28.999999 7.071100 -7.071100) (float-vector -7.400000 20.000000 -52.600000) (float-vector -7.400000 -39.999999 -52.600000) (float-vector 28.999999 -7.071100 -7.071100)))
    (instance face :init :vertices (list (float-vector -2.900000 42.800002 12.500000) (float-vector -38.699999 42.800002 12.500000) (float-vector -38.699999 42.800002 -12.500000) (float-vector -2.900000 42.800002 -12.500000)))
    (instance face :init :vertices (list (float-vector 28.999999 -10.000000 0.000000) (float-vector 28.999999 -7.071100 7.071100) (float-vector 28.999999 0.000000 10.000000) (float-vector 28.999999 7.071100 7.071100) (float-vector 28.999999 7.071100 -7.071100) (float-vector 28.999999 -7.071100 -7.071100)))
    (instance face :init :vertices (list (float-vector 28.999999 7.071100 7.071100) (float-vector 28.999999 0.000000 10.000000) (float-vector 17.500000 0.000000 17.500000) (float-vector 0.000000 22.000000 22.000000) (float-vector -2.900000 42.800002 12.500000)))
    (instance face :init :vertices (list (float-vector 28.999999 7.071100 -7.071100) (float-vector 28.999999 7.071100 7.071100) (float-vector -2.900000 42.800002 12.500000) (float-vector -2.900000 42.800002 -12.500000)))
    (instance face :init :vertices (list (float-vector 0.000000 22.000000 22.000000) (float-vector 0.000000 -22.000000 22.000000) (float-vector -27.000001 -22.000000 22.000000) (float-vector -27.000001 22.000000 22.000000)))
    (instance face :init :vertices (list (float-vector -27.000001 22.000000 22.000000) (float-vector -38.699999 42.800002 12.500000) (float-vector -2.900000 42.800002 12.500000) (float-vector 0.000000 22.000000 22.000000)))
    (instance face :init :vertices (list (float-vector 0.000000 -22.000000 22.000000) (float-vector 17.500000 0.000000 17.500000) (float-vector 28.999999 0.000000 10.000000) (float-vector 28.999999 -7.071100 7.071100) (float-vector -2.900000 -42.800002 12.500000)))
    (instance face :init :vertices (list (float-vector -2.900000 -42.800002 12.500000) (float-vector 28.999999 -7.071100 7.071100) (float-vector 28.999999 -10.000000 0.000000) (float-vector -2.900000 -42.800002 -12.500000)))
    (instance face :init :vertices (list (float-vector -38.699999 -42.800002 -12.500000) (float-vector -25.200000 -39.999999 -52.600000) (float-vector -25.200000 20.000000 -52.600000) (float-vector -38.699999 42.800002 -12.500000)))
    (instance face :init :vertices (list (float-vector 0.000000 -22.000000 22.000000) (float-vector -2.900000 -42.800002 12.500000) (float-vector -38.699999 -42.800002 12.500000) (float-vector -27.000001 -22.000000 22.000000)))
    (instance face :init :vertices (list (float-vector -27.000001 22.000000 22.000000) (float-vector -27.000001 -22.000000 22.000000) (float-vector -38.699999 -42.800002 12.500000) (float-vector -38.699999 42.800002 12.500000)))
    (instance face :init :vertices (list (float-vector -38.699999 42.800002 12.500000) (float-vector -38.699999 -42.800002 12.500000) (float-vector -38.699999 -42.800002 -12.500000) (float-vector -38.699999 42.800002 -12.500000)))
    (instance face :init :vertices (list (float-vector -25.200000 -39.999999 -52.600000) (float-vector -38.699999 -42.800002 -12.500000) (float-vector -38.699999 -42.800002 12.500000) (float-vector -2.900000 -42.800002 12.500000) (float-vector -2.900000 -42.800002 -12.500000) (float-vector -7.400000 -39.999999 -52.600000)))
    ))
   )
  )

(defclass HiroNX_g1_10_geom0
  :super collada-body
  :slots ())
(defmethod HiroNX_g1_10_geom0
  (:init (&key (name))
         (replace-object self (send self :qhull-faceset))
         (if name (send self :name name))
         (send self :def-gl-vertices)
         self)
  (:def-gl-vertices ()
    (setq glvertices
       (instance gl::glvertices :init
          (list
          (list
           (list :type :triangles)
           (list :material (list
             (list :color (float-vector 0.1 0.1 0.1))
             (list :ambient (float-vector 0.200000 0.200000 0.200000 1.000000))
             (list :diffuse (float-vector 0.900000 0.900000 0.900000 1.000000))
           ))
           (list :indices #i( 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148 149 150 151 152 153 154 155 156 157 158 159 160 161 162 163 164 165 166 167 168 169 170 171 172 173 174 175 176 177 178 179 180 181 182 183 184 185 186 187 188 189 190 191 192 193 194 195 196 197 198 199 200 201 202 203 204 205 206 207 208 209 210 211 212 213 214 215 216 217 218 219 220 221 222 223 224 225 226 227 228 229 230 231 232 233 234 235 236 237 238 239 240 241 242 243 244 245 246 247 248 249 250 251 252 253 254 255 256 257 258 259 260 261 262 263 264 265 266 267 268 269 270 271 272 273 274 275 276 277 278 279 280 281 282 283 284 285 286 287 288 289 290 291 292 293 294 295 296 297 298 299 300 301 302 303 304 305 306 307 308 309 310 311 312 313 314 315 316 317 318 319 320 321 322 323 324 325 326 327 328 329 330 331 332 333 334 335 336 337 338 339 340 341 342 343 344 345 346 347 348 349 350 351 352 353 354 355 356 357 358 359 360 361 362 363 364 365 366 367 368 369 370 371 372 373 374 375 376 377 378 379 380 381 382 383 384 385 386 387 388 389 390 391 392 393 394 395 396 397 398 399 400 401 402 403 404 405 406 407 408 409 410 411 412 413 414 415 416 417 418 419 420 421 422 423 424 425 426 427 428 429 430 431 432 433 434 435 436 437 438 439 440 441 442 443 444 445 446 447 448 449 450 451 452 453 454 455 456 457 458 459 460 461 462 463 464 465 466 467 468 469 470 471 472 473 474 475 476 477 478 479 480 481 482 483 484 485 486 487 488 489 490 491 492 493 494 495 496 497 498 499 500 501 502 503 504 505 506 507 508 509 510 511 512 513 514 515 516 517 518 519 520 521 522 523 524 525 526 527 528 529 530 531 532 533 534 535 536 537 538 539 540 541 542 543 544 545 546 547 548 549 550 551 552 553 554 555 556 557 558 559 560 561 562 563 564 565 566 567 568 569 570 571 572 573 574 575 576 577 578 579 580 581 582 583 584 585 586 587 588 589 590 591 592 593 594 595 596 597 598 599 600 601 602 603 604 605 606 607 608 609 610 611 612 613 614 615 616 617 618 619 620 621 622 623 624 625 626 627 628 629 630 631 632 633 634 635 636 637 638 639 640 641 642 643 644 645 646 647 648 649 650 651 652 653 654 655 656 657 658 659 660 661 662 663 664 665 666 667 668 669 670 671 672 673 674 675 676 677 678 679 680 681 682 683 684 685 686 687 688 689 690 691 692 693 694 695 696 697 698 699 700 701 702 703 704 705 706 707 708 709 710 711 712 713 714 715 716 717 718 719 720 721 722 723 724 725 726 727 728 729 730 731 732 733 734 735 736 737 738 739 740 741 742 743 744 745 746 747 748 749 750 751 752 753 754 755 756 757 758 759 760 761 762 763 764 765 766 767 768 769 770 771 772 773 774 775 776 777 778 779 780 781 782 783 784 785 786 787 788 789 790 791 792 793 794 795 796 797 798 799 800 801 802 803 804 805 806 807 808 809 810 811 812 813 814 815 816 817 818 819 820 821 822 823 824 825 826 827 828 829 830 831 832 833 834 835 836 837 838 839 840 841 842 843 844 845 846 847 848 849 850 851 852 853 854 855 856 857 858 859 860 861 862 863 864 865 866 867 868 869 870 871 872 873 874 875 876 877 878 879 880 881 882 883 884 885 886 887 888 889 890 891 892 893 894 895 896 897 898 899 900 901 902 903 904 905 906 907 908 909 910 911 912 913 914 915 916 917 918 919 920 921 922 923 924 925 926 927 928 929 930 931 932 933 934 935 936 937 938 939 940 941 942 943 944 945 946 947 948 949 950 951 952 953 954 955 956 957 958 959 960 961 962 963 964 965 966 967 968 969 970 971 972 973 974 975 976 977 978 979 980 981 982 983 984 985 986 987 988 989 990 991 992 993 994 995 996 997 998 999 1000 1001 1002 1003 1004 1005 1006 1007 1008 1009 1010 1011 1012 1013 1014 1015 1016 1017 1018 1019 1020 1021 1022 1023 1024 1025 1026 1027 1028 1029 1030 1031 1032 1033 1034 1035 1036 1037 1038 1039 1040 1041 1042 1043 1044 1045 1046 1047 1048 1049 1050 1051 1052 1053 1054 1055 1056 1057 1058 1059 1060 1061 1062 1063 1064 1065 1066 1067 1068 1069 1070 1071 1072 1073 1074 1075 1076 1077 1078 1079 1080 1081 1082 1083 1084 1085 1086 1087 1088 1089 1090 1091 1092 1093 1094 1095 1096 1097 1098 1099 1100 1101 1102 1103 1104 1105 1106 1107 1108 1109 1110 1111 1112 1113 1114 1115 1116 1117 1118 1119 1120 1121 1122 1123 1124 1125 1126 1127 1128 1129 1130 1131 1132 1133 1134 1135 1136 1137 1138 1139 1140 1141 1142 1143 1144 1145 1146 1147 1148 1149 1150 1151 1152 1153 1154 1155 1156 1157 1158 1159 1160 1161 1162 1163 1164 1165 1166 1167 1168 1169 1170 1171 1172 1173 1174 1175 1176 1177 1178 1179 1180 1181 1182 1183 1184 1185 1186 1187 1188 1189 1190 1191 1192 1193 1194 1195 1196 1197 1198 1199 1200 1201 1202 1203 1204 1205 1206 1207 1208 1209 1210 1211 1212 1213 1214 1215 1216 1217 1218 1219 1220 1221 1222 1223 1224 1225 1226 1227 1228 1229 1230 1231 1232 1233 1234 1235 1236 1237 1238 1239 1240 1241 1242 1243 1244 1245 1246 1247 1248 1249 1250 1251 1252 1253 1254 1255 1256 1257 1258 1259 1260 1261 1262 1263 1264 1265))
           (list :vertices #2f((2.000000 0.000000 -15.300000)(2.000000 -8.349999 -14.800000)(2.000000 -8.349999 -15.799999)(2.000000 -8.349999 -14.800000)(2.000000 0.000000 -15.300000)(2.000000 8.349999 -14.800000)(2.000000 -8.349999 -14.800000)(-6.000000 -9.075000 -15.300000)(2.000000 -8.349999 -15.799999)(2.000000 8.349999 -15.799999)(2.000000 0.000000 -15.300000)(2.000000 -8.349999 -15.799999)(2.000000 8.349999 -15.799999)(2.000000 8.349999 -14.800000)(2.000000 0.000000 -15.300000)(-6.000000 0.000000 -14.800000)(2.000000 -8.349999 -14.800000)(-2.000000 0.000000 -14.800000)(2.000000 -8.349999 -14.800000)(2.000000 8.349999 -14.800000)(-2.000000 0.000000 -14.800000)(2.000000 8.349999 -14.800000)(-6.000000 0.000000 -14.800000)(-2.000000 0.000000 -14.800000)(-6.000000 -9.075000 -15.300000)(-14.000000 -9.800000 -15.799999)(2.000000 -8.349999 -15.799999)(-14.000000 -9.800000 -14.800000)(-6.000000 -9.075000 -15.300000)(2.000000 -8.349999 -14.800000)(-9.000000 0.000000 -15.799999)(2.000000 8.349999 -15.799999)(-3.500000 -0.000000 -15.799999)(2.000000 8.349999 -15.799999)(2.000000 -8.349999 -15.799999)(-3.500000 -0.000000 -15.799999)(2.000000 -8.349999 -15.799999)(-9.000000 0.000000 -15.799999)(-3.500000 -0.000000 -15.799999)(2.000000 8.349999 -14.800000)(2.000000 8.349999 -15.799999)(-6.000000 9.075000 -15.300000)(-6.000000 0.000000 -14.800000)(-14.000000 -9.800000 -14.800000)(-6.000000 -4.900000 -14.800000)(-14.000000 -9.800000 -14.800000)(2.000000 -8.349999 -14.800000)(-6.000000 -4.900000 -14.800000)(2.000000 -8.349999 -14.800000)(-6.000000 0.000000 -14.800000)(-6.000000 -4.900000 -14.800000)(-6.000000 0.000000 -14.800000)(2.000000 8.349999 -14.800000)(-6.000000 4.900000 -14.800000)(2.000000 8.349999 -14.800000)(-14.000000 9.800000 -14.800000)(-6.000000 4.900000 -14.800000)(-14.000000 9.800000 -14.800000)(-6.000000 0.000000 -14.800000)(-6.000000 4.900000 -14.800000)(-14.000000 -9.800000 -14.800000)(-14.000000 -9.800000 -15.799999)(-6.000000 -9.075000 -15.300000)(-14.000000 -9.800000 -15.799999)(-9.000000 0.000000 -15.799999)(2.000000 -8.349999 -15.799999)(-9.000000 0.000000 -15.799999)(-14.000000 9.800000 -15.799999)(2.000000 8.349999 -15.799999)(2.000000 8.349999 -14.800000)(-6.000000 9.075000 -15.300000)(-14.000000 9.800000 -14.800000)(-6.000000 9.075000 -15.300000)(2.000000 8.349999 -15.799999)(-14.000000 9.800000 -15.799999)(-6.000000 0.000000 -14.800000)(-14.000000 9.800000 -14.800000)(-10.000000 0.000000 -14.800000)(-14.000000 9.800000 -14.800000)(-14.000000 -9.800000 -14.800000)(-10.000000 0.000000 -14.800000)(-14.000000 -9.800000 -14.800000)(-6.000000 0.000000 -14.800000)(-10.000000 0.000000 -14.800000)(-14.000000 -9.800000 -14.800000)(-14.333301 -9.800000 0.000000)(-14.000000 -9.800000 -15.799999)(-14.000000 -9.800000 -15.799999)(-15.000000 -9.800000 -15.799999)(-9.000000 0.000000 -15.799999)(-9.000000 0.000000 -15.799999)(-15.000000 9.800000 -15.799999)(-14.000000 9.800000 -15.799999)(-14.000000 9.800000 -14.800000)(-6.000000 9.075000 -15.300000)(-14.000000 9.800000 -15.799999)(-14.000000 0.000000 0.000000)(-14.000000 -9.800000 -14.800000)(-14.000000 0.000000 -7.400000)(-14.000000 -9.800000 -14.800000)(-14.000000 9.800000 -14.800000)(-14.000000 0.000000 -7.400000)(-14.000000 9.800000 -14.800000)(-14.000000 0.000000 0.000000)(-14.000000 0.000000 -7.400000)(-15.000000 -9.800000 -15.799999)(-14.000000 -9.800000 -15.799999)(-14.333301 -9.800000 0.000000)(-14.000000 -9.800000 14.800000)(-14.333301 -9.800000 0.000000)(-14.000000 -9.800000 -14.800000)(-9.000000 0.000000 -15.799999)(-15.000000 -9.800000 -15.799999)(-12.000000 -0.000000 -15.799999)(-15.000000 -9.800000 -15.799999)(-15.000000 9.800000 -15.799999)(-12.000000 -0.000000 -15.799999)(-15.000000 9.800000 -15.799999)(-9.000000 0.000000 -15.799999)(-12.000000 -0.000000 -15.799999)(-15.000000 9.800000 -15.799999)(-14.333301 9.800000 0.000000)(-14.000000 9.800000 -15.799999)(-14.000000 9.800000 -15.799999)(-14.333301 9.800000 0.000000)(-14.000000 9.800000 -14.800000)(-14.000000 0.000000 0.000000)(-14.000000 -9.800000 14.800000)(-14.000000 -4.900000 -0.000000)(-14.000000 -9.800000 14.800000)(-14.000000 -9.800000 -14.800000)(-14.000000 -4.900000 -0.000000)(-14.000000 -9.800000 -14.800000)(-14.000000 0.000000 0.000000)(-14.000000 -4.900000 -0.000000)(-14.000000 0.000000 0.000000)(-14.000000 9.800000 -14.800000)(-14.000000 4.900000 0.000000)(-14.000000 9.800000 -14.800000)(-14.000000 9.800000 14.800000)(-14.000000 4.900000 0.000000)(-14.000000 9.800000 14.800000)(-14.000000 0.000000 0.000000)(-14.000000 4.900000 0.000000)(-15.000000 -9.800000 -12.500000)(-15.000000 -9.800000 -15.799999)(-14.900000 -9.800000 -12.500000)(-15.000000 -9.800000 15.799999)(-15.000000 -9.800000 12.500000)(-14.900000 -9.800000 12.500000)(-14.333301 -9.800000 0.000000)(-14.900000 -9.800000 12.500000)(-14.900000 -9.800000 -12.500000)(-15.000000 -9.800000 -15.799999)(-14.333301 -9.800000 0.000000)(-14.900000 -9.800000 -12.500000)(-15.000000 -9.800000 15.799999)(-14.900000 -9.800000 12.500000)(-14.333301 -9.800000 0.000000)(-14.000000 -9.800000 15.799999)(-14.333301 -9.800000 0.000000)(-14.000000 -9.800000 14.800000)(-15.000000 7.753160 -12.500000)(-15.000000 9.800000 -15.799999)(-15.000000 0.000000 -14.150001)(-15.000000 9.800000 -15.799999)(-15.000000 -9.800000 -15.799999)(-15.000000 0.000000 -14.150001)(-15.000000 -9.800000 -15.799999)(-15.000000 -7.753160 -12.500000)(-15.000000 0.000000 -14.150001)(-15.000000 -7.753160 -12.500000)(-15.000000 7.753160 -12.500000)(-15.000000 0.000000 -14.150001)(-15.000000 9.800000 12.500000)(-15.000000 9.800000 15.799999)(-14.900000 9.800000 12.500000)(-14.900000 9.800000 11.057700)(-14.333301 9.800000 0.000000)(-14.900000 9.800000 -11.057700)(-15.000000 9.800000 -12.500000)(-14.900000 9.800000 -12.500000)(-15.000000 9.800000 -15.799999)(-14.333301 9.800000 0.000000)(-14.900000 9.800000 11.057700)(-14.900000 9.800000 12.500000)(-15.000000 9.800000 15.799999)(-14.333301 9.800000 0.000000)(-14.900000 9.800000 12.500000)(-14.900000 9.800000 -12.500000)(-14.333301 9.800000 0.000000)(-15.000000 9.800000 -15.799999)(-14.900000 9.800000 -11.057700)(-14.333301 9.800000 0.000000)(-14.900000 9.800000 -12.500000)(-14.000000 9.800000 -14.800000)(-14.333301 9.800000 0.000000)(-14.000000 9.800000 14.800000)(-14.000000 0.000000 0.000000)(-14.000000 9.800000 14.800000)(-14.000000 0.000000 7.400000)(-14.000000 9.800000 14.800000)(-14.000000 -9.800000 14.800000)(-14.000000 0.000000 7.400000)(-14.000000 -9.800000 14.800000)(-14.000000 0.000000 0.000000)(-14.000000 0.000000 7.400000)(-15.000000 -9.800000 15.799999)(-14.333301 -9.800000 0.000000)(-14.000000 -9.800000 15.799999)(-15.000000 -9.768940 12.500000)(-15.000000 -9.800000 12.500000)(-15.000000 -9.800000 15.799999)(-15.000000 -7.753160 12.500000)(-15.000000 -9.741899 12.500000)(-15.000000 -9.800000 15.799999)(-15.000000 -9.800000 15.799999)(-15.000000 -9.752500 12.500000)(-15.000000 -9.741899 12.500000)(-15.000000 -9.800000 15.799999)(-15.000000 -9.759340 12.500000)(-15.000000 -9.752500 12.500000)(-15.000000 -9.800000 15.799999)(-15.000000 -9.768940 12.500000)(-15.000000 -9.759340 12.500000)(-14.900000 -9.800000 12.500000)(-15.000000 -9.800000 12.430201)(-15.000000 -9.800000 12.500000)(-15.000000 -9.800000 12.430201)(-15.000000 -9.800000 -12.430201)(-14.900000 -9.800000 12.500000)(-15.000000 -9.800000 -12.430201)(-14.900000 -9.800000 -12.500000)(-14.900000 -9.800000 12.500000)(-14.900000 -9.800000 -12.500000)(-15.000000 -9.800000 -12.500000)(-15.000000 -9.800000 -12.430201)(-15.000000 -7.753160 -12.500000)(-15.000000 -9.800000 -15.799999)(-15.000000 -9.741899 -12.500000)(-15.000000 -9.752080 -12.500000)(-15.000000 -9.800000 -15.799999)(-15.000000 -9.741899 -12.500000)(-15.000000 -9.759170 -12.500000)(-15.000000 -9.800000 -15.799999)(-15.000000 -9.752080 -12.500000)(-15.000000 -9.769140 -12.500000)(-15.000000 -9.800000 -15.799999)(-15.000000 -9.759170 -12.500000)(-15.000000 -9.769140 -12.500000)(-15.000000 -9.800000 -15.799999)(-15.000000 -9.800000 -12.500000)(-14.000000 -9.800000 15.799999)(-14.000000 -9.800000 14.800000)(-6.000000 -9.075000 15.300000)(-15.000000 9.800000 -12.500000)(-15.000000 9.800000 -15.799999)(-15.000000 7.753160 -12.500000)(-15.000000 -9.741899 -12.500000)(-50.700001 11.000000 -12.500000)(-15.000000 -7.753160 -12.500000)(-15.000000 -7.753160 -12.500000)(-50.700001 11.000000 -12.500000)(-15.000000 7.753160 -12.500000)(-15.000000 7.753160 -12.500000)(-50.700001 11.000000 -12.500000)(-15.000000 9.800000 -12.500000)(-14.900000 9.800000 -12.500000)(-15.000000 9.800000 -12.500000)(-14.900000 11.000000 -12.500000)(-15.000000 9.800000 -12.500000)(-50.700001 11.000000 -12.500000)(-14.900000 11.000000 -12.500000)(-14.900000 9.800000 11.057700)(-14.900000 9.800000 -11.057700)(-14.900000 10.400000 0.000000)(-14.900000 9.800000 -11.057700)(-14.900000 11.000000 -12.500000)(-14.900000 10.400000 0.000000)(-14.900000 11.000000 -12.500000)(-14.900000 11.000000 12.500000)(-14.900000 10.400000 0.000000)(-14.900000 11.000000 12.500000)(-14.900000 9.800000 11.057700)(-14.900000 10.400000 0.000000)(-14.900000 11.000000 12.500000)(-14.900000 9.800000 12.500000)(-14.900000 9.800000 11.057700)(-15.000000 9.800000 12.500000)(-14.900000 9.800000 12.500000)(-14.900000 11.000000 12.500000)(-15.000000 7.753160 12.500000)(-15.000000 9.800000 12.500000)(-50.700001 11.000000 12.500000)(-15.000000 -9.741899 12.500000)(-15.000000 -7.753160 12.500000)(-50.700001 11.000000 12.500000)(-15.000000 -7.753160 12.500000)(-15.000000 7.753160 12.500000)(-50.700001 11.000000 12.500000)(-15.000000 9.800000 12.500000)(-14.900000 11.000000 12.500000)(-50.700001 11.000000 12.500000)(-15.000000 9.800000 12.500000)(-15.000000 7.753160 12.500000)(-15.000000 9.800000 15.799999)(-15.000000 9.800000 15.799999)(-14.000000 9.800000 15.799999)(-14.333301 9.800000 0.000000)(-14.900000 11.000000 -12.500000)(-14.900000 9.800000 -11.057700)(-14.900000 9.800000 -12.500000)(-14.000000 9.800000 14.800000)(-14.333301 9.800000 0.000000)(-14.000000 9.800000 15.799999)(-6.000000 0.000000 14.800000)(-14.000000 -9.800000 14.800000)(-10.000000 -0.000000 14.800000)(-14.000000 -9.800000 14.800000)(-14.000000 9.800000 14.800000)(-10.000000 -0.000000 14.800000)(-14.000000 9.800000 14.800000)(-6.000000 0.000000 14.800000)(-10.000000 -0.000000 14.800000)(-15.000000 -9.800000 15.799999)(-14.000000 -9.800000 15.799999)(-9.000000 0.000000 15.799999)(-15.000000 -9.800000 12.500000)(-15.000000 -9.768940 12.500000)(-32.850002 -5.925300 12.500000)(-15.000000 -9.768940 12.500000)(-39.848999 -2.050600 12.500000)(-32.850002 -5.925300 12.500000)(-39.848999 -2.050600 12.500000)(-50.700001 -9.800000 12.500000)(-32.850002 -5.925300 12.500000)(-50.700001 -9.800000 12.500000)(-15.000000 -9.800000 12.500000)(-32.850002 -5.925300 12.500000)(-15.000000 -7.753160 12.500000)(-15.000000 -9.800000 15.799999)(-15.000000 -0.000000 14.150001)(-15.000000 -9.800000 15.799999)(-15.000000 9.800000 15.799999)(-15.000000 -0.000000 14.150001)(-15.000000 9.800000 15.799999)(-15.000000 7.753160 12.500000)(-15.000000 -0.000000 14.150001)(-15.000000 7.753160 12.500000)(-15.000000 -7.753160 12.500000)(-15.000000 -0.000000 14.150001)(-15.000000 -9.752500 12.500000)(-15.000000 -9.741899 12.500000)(-39.848999 2.050600 12.500000)(-39.848999 2.050600 12.500000)(-15.000000 -9.741899 12.500000)(-50.700001 11.000000 12.500000)(-15.000000 -9.759340 12.500000)(-15.000000 -9.752500 12.500000)(-39.000000 0.000000 12.500000)(-39.000000 0.000000 12.500000)(-15.000000 -9.752500 12.500000)(-39.848999 2.050600 12.500000)(-15.000000 -9.768940 12.500000)(-15.000000 -9.759340 12.500000)(-39.848999 -2.050600 12.500000)(-39.848999 -2.050600 12.500000)(-15.000000 -9.759340 12.500000)(-39.000000 0.000000 12.500000)(-15.000000 -9.800000 12.430201)(-15.000000 -9.800000 12.500000)(-32.850002 -9.800000 6.250000)(-15.000000 -9.800000 12.500000)(-50.700001 -9.800000 12.500000)(-32.850002 -9.800000 6.250000)(-50.700001 -9.800000 12.500000)(-32.799999 -9.800000 0.000000)(-32.850002 -9.800000 6.250000)(-32.799999 -9.800000 0.000000)(-15.000000 -9.800000 12.430201)(-32.850002 -9.800000 6.250000)(-15.000000 -9.800000 -12.430201)(-15.000000 -9.800000 12.430201)(-23.900000 -9.800000 0.000000)(-15.000000 -9.800000 12.430201)(-32.799999 -9.800000 0.000000)(-23.900000 -9.800000 0.000000)(-32.799999 -9.800000 0.000000)(-15.000000 -9.800000 -12.430201)(-23.900000 -9.800000 0.000000)(-32.799999 -9.800000 0.000000)(-50.700001 -9.800000 -12.500000)(-32.850002 -9.800000 -6.250000)(-50.700001 -9.800000 -12.500000)(-15.000000 -9.800000 -12.500000)(-32.850002 -9.800000 -6.250000)(-15.000000 -9.800000 -12.500000)(-15.000000 -9.800000 -12.430201)(-32.850002 -9.800000 -6.250000)(-15.000000 -9.800000 -12.430201)(-32.799999 -9.800000 0.000000)(-32.850002 -9.800000 -6.250000)(-15.000000 -9.769140 -12.500000)(-15.000000 -9.800000 -12.500000)(-32.850002 -5.960650 -12.500000)(-15.000000 -9.800000 -12.500000)(-50.700001 -9.800000 -12.500000)(-32.850002 -5.960650 -12.500000)(-50.700001 -9.800000 -12.500000)(-39.778999 -2.121300 -12.500000)(-32.850002 -5.960650 -12.500000)(-39.778999 -2.121300 -12.500000)(-15.000000 -9.769140 -12.500000)(-32.850002 -5.960650 -12.500000)(-15.000000 -9.769140 -12.500000)(-39.778999 -2.121300 -12.500000)(-15.000000 -9.759170 -12.500000)(-39.778999 -2.121300 -12.500000)(-38.899998 0.000000 -12.500000)(-15.000000 -9.759170 -12.500000)(-15.000000 -9.759170 -12.500000)(-38.899998 0.000000 -12.500000)(-15.000000 -9.752080 -12.500000)(-38.899998 0.000000 -12.500000)(-39.778999 2.121300 -12.500000)(-15.000000 -9.752080 -12.500000)(-15.000000 -9.752080 -12.500000)(-39.778999 2.121300 -12.500000)(-15.000000 -9.741899 -12.500000)(-15.000000 -9.741899 -12.500000)(-39.778999 2.121300 -12.500000)(-50.700001 11.000000 -12.500000)(-14.000000 -9.800000 15.799999)(-6.000000 -9.075000 15.300000)(2.000000 -8.349999 15.799999)(-6.000000 -9.075000 15.300000)(-14.000000 -9.800000 14.800000)(2.000000 -8.349999 14.800000)(-32.799999 11.000000 0.000000)(-14.900000 11.000000 -12.500000)(-32.799999 11.000000 -6.250000)(-14.900000 11.000000 -12.500000)(-50.700001 11.000000 -12.500000)(-32.799999 11.000000 -6.250000)(-50.700001 11.000000 -12.500000)(-32.799999 11.000000 0.000000)(-32.799999 11.000000 -6.250000)(-32.799999 11.000000 0.000000)(-14.900000 11.000000 12.500000)(-23.850000 11.000000 0.000000)(-14.900000 11.000000 12.500000)(-14.900000 11.000000 -12.500000)(-23.850000 11.000000 0.000000)(-14.900000 11.000000 -12.500000)(-32.799999 11.000000 0.000000)(-23.850000 11.000000 0.000000)(-32.799999 11.000000 0.000000)(-50.700001 11.000000 12.500000)(-32.799999 11.000000 6.250000)(-50.700001 11.000000 12.500000)(-14.900000 11.000000 12.500000)(-32.799999 11.000000 6.250000)(-14.900000 11.000000 12.500000)(-32.799999 11.000000 0.000000)(-32.799999 11.000000 6.250000)(-9.000000 0.000000 15.799999)(-14.000000 9.800000 15.799999)(-15.000000 9.800000 15.799999)(-14.000000 9.800000 15.799999)(-6.000000 9.075000 15.300000)(-14.000000 9.800000 14.800000)(-6.000000 0.000000 14.800000)(2.000000 -8.349999 14.800000)(-6.000000 -4.900000 14.800000)(2.000000 -8.349999 14.800000)(-14.000000 -9.800000 14.800000)(-6.000000 -4.900000 14.800000)(-14.000000 -9.800000 14.800000)(-6.000000 0.000000 14.800000)(-6.000000 -4.900000 14.800000)(-6.000000 0.000000 14.800000)(-14.000000 9.800000 14.800000)(-6.000000 4.900000 14.800000)(-14.000000 9.800000 14.800000)(2.000000 8.349999 14.800000)(-6.000000 4.900000 14.800000)(2.000000 8.349999 14.800000)(-6.000000 0.000000 14.800000)(-6.000000 4.900000 14.800000)(-9.000000 0.000000 15.799999)(-15.000000 9.800000 15.799999)(-12.000000 0.000000 15.799999)(-15.000000 9.800000 15.799999)(-15.000000 -9.800000 15.799999)(-12.000000 0.000000 15.799999)(-15.000000 -9.800000 15.799999)(-9.000000 0.000000 15.799999)(-12.000000 0.000000 15.799999)(-14.000000 -9.800000 15.799999)(2.000000 -8.349999 15.799999)(-9.000000 0.000000 15.799999)(-50.700001 -9.800000 12.500000)(-39.848999 -2.050600 12.500000)(-41.900002 -2.900000 12.500000)(-41.900002 2.900000 12.500000)(-39.848999 2.050600 12.500000)(-50.700001 11.000000 12.500000)(-39.424999 1.025300 14.150001)(-39.000000 0.000000 12.500000)(-39.424698 1.025210 13.325000)(-39.000000 0.000000 12.500000)(-39.848999 2.050600 12.500000)(-39.424698 1.025210 13.325000)(-39.848999 2.050600 12.500000)(-39.424999 1.025300 14.150001)(-39.424698 1.025210 13.325000)(-39.424698 -1.025210 13.325000)(-39.424999 -1.025300 14.150001)(-39.848999 -2.050600 12.500000)(-39.424698 -1.025210 13.325000)(-39.848999 -2.050600 12.500000)(-39.000000 0.000000 12.500000)(-39.424698 -1.025210 13.325000)(-39.000000 0.000000 12.500000)(-39.424999 -1.025300 14.150001)(-32.799999 -9.800000 0.000000)(-50.700001 -9.800000 12.500000)(-41.750000 -9.800000 0.000000)(-50.700001 -9.800000 12.500000)(-50.700001 -9.800000 -12.500000)(-41.750000 -9.800000 0.000000)(-50.700001 -9.800000 -12.500000)(-32.799999 -9.800000 0.000000)(-41.750000 -9.800000 0.000000)(-41.900002 -3.000000 -12.500000)(-39.778999 -2.121300 -12.500000)(-50.700001 -9.800000 -12.500000)(-39.338997 -1.060700 -14.150001)(-38.899998 0.000000 -12.500000)(-39.339302 -1.060740 -13.325000)(-38.899998 0.000000 -12.500000)(-39.778999 -2.121300 -12.500000)(-39.339302 -1.060740 -13.325000)(-39.778999 -2.121300 -12.500000)(-39.338997 -1.060700 -14.150001)(-39.339302 -1.060740 -13.325000)(-39.338997 1.060700 -14.150001)(-39.778999 2.121300 -12.500000)(-39.339302 1.060740 -13.325000)(-39.778999 2.121300 -12.500000)(-38.899998 0.000000 -12.500000)(-39.339302 1.060740 -13.325000)(-38.899998 0.000000 -12.500000)(-39.338997 1.060700 -14.150001)(-39.339302 1.060740 -13.325000)(-50.700001 11.000000 -12.500000)(-39.778999 2.121300 -12.500000)(-41.900002 3.000000 -12.500000)(2.000000 -8.349999 15.799999)(-6.000000 -9.075000 15.300000)(2.000000 -8.349999 14.800000)(-32.799999 11.000000 0.000000)(-50.700001 11.000000 -12.500000)(-41.750000 11.000000 -0.000000)(-50.700001 11.000000 -12.500000)(-50.700001 11.000000 12.500000)(-41.750000 11.000000 -0.000000)(-50.700001 11.000000 12.500000)(-32.799999 11.000000 0.000000)(-41.750000 11.000000 -0.000000)(-9.000000 0.000000 15.799999)(2.000000 8.349999 15.799999)(-14.000000 9.800000 15.799999)(-14.000000 9.800000 14.800000)(-6.000000 9.075000 15.300000)(2.000000 8.349999 14.800000)(2.000000 8.349999 15.799999)(-6.000000 9.075000 15.300000)(-14.000000 9.800000 15.799999)(-6.000000 0.000000 14.800000)(2.000000 8.349999 14.800000)(-2.000000 -0.000000 14.800000)(2.000000 8.349999 14.800000)(2.000000 -8.349999 14.800000)(-2.000000 -0.000000 14.800000)(2.000000 -8.349999 14.800000)(-6.000000 0.000000 14.800000)(-2.000000 -0.000000 14.800000)(-9.000000 0.000000 15.799999)(2.000000 -8.349999 15.799999)(-3.500000 0.000000 15.799999)(2.000000 -8.349999 15.799999)(2.000000 8.349999 15.799999)(-3.500000 0.000000 15.799999)(2.000000 8.349999 15.799999)(-9.000000 0.000000 15.799999)(-3.500000 0.000000 15.799999)(-40.874500 -2.475210 13.325000)(-40.875000 -2.475300 14.150001)(-41.900002 -2.900000 12.500000)(-40.874500 -2.475210 13.325000)(-41.900002 -2.900000 12.500000)(-39.848999 -2.050600 12.500000)(-40.874500 -2.475210 13.325000)(-39.848999 -2.050600 12.500000)(-40.875000 -2.475300 14.150001)(-50.700001 -9.800000 12.500000)(-41.900002 -2.900000 12.500000)(-43.951000 -2.050600 12.500000)(-43.951000 2.050600 12.500000)(-41.900002 2.900000 12.500000)(-50.700001 11.000000 12.500000)(-40.875000 2.475300 14.150001)(-39.848999 2.050600 12.500000)(-40.874500 2.475210 13.325000)(-39.848999 2.050600 12.500000)(-41.900002 2.900000 12.500000)(-40.874500 2.475210 13.325000)(-41.900002 2.900000 12.500000)(-40.875000 2.475300 14.150001)(-40.874500 2.475210 13.325000)(-39.424999 1.025300 14.150001)(-39.000000 0.000000 15.799999)(-39.212498 0.512650 14.150001)(-39.000000 0.000000 15.799999)(-39.000000 0.000000 12.500000)(-39.212498 0.512650 14.150001)(-39.000000 0.000000 12.500000)(-39.424999 1.025300 14.150001)(-39.212498 0.512650 14.150001)(-39.424999 1.025300 14.150001)(-39.848999 2.050600 12.500000)(-39.637001 1.537950 14.150001)(-39.848999 2.050600 12.500000)(-39.848999 2.050600 15.799999)(-39.637001 1.537950 14.150001)(-39.848999 2.050600 15.799999)(-39.424999 1.025300 14.150001)(-39.637001 1.537950 14.150001)(-39.424999 -1.025300 14.150001)(-39.848999 -2.050600 15.799999)(-39.637001 -1.537950 14.150001)(-39.848999 -2.050600 15.799999)(-39.848999 -2.050600 12.500000)(-39.637001 -1.537950 14.150001)(-39.848999 -2.050600 12.500000)(-39.424999 -1.025300 14.150001)(-39.637001 -1.537950 14.150001)(-39.424999 -1.025300 14.150001)(-39.000000 0.000000 12.500000)(-39.212498 -0.512650 14.150001)(-39.000000 0.000000 12.500000)(-39.000000 0.000000 15.799999)(-39.212498 -0.512650 14.150001)(-39.000000 0.000000 15.799999)(-39.424999 -1.025300 14.150001)(-39.212498 -0.512650 14.150001)(-50.700001 0.599999 0.000000)(-50.700001 -9.800000 -12.500000)(-50.700001 -4.600000 0.000000)(-50.700001 -9.800000 -12.500000)(-50.700001 -9.800000 12.500000)(-50.700001 -4.600000 0.000000)(-50.700001 -9.800000 12.500000)(-50.700001 0.599999 0.000000)(-50.700001 -4.600000 0.000000)(-50.700001 -9.800000 -12.500000)(-44.021000 -2.121300 -12.500000)(-41.900002 -3.000000 -12.500000)(-40.839001 -2.560700 -14.150001)(-39.778999 -2.121300 -12.500000)(-40.839500 -2.560760 -13.325000)(-39.778999 -2.121300 -12.500000)(-41.900002 -3.000000 -12.500000)(-40.839500 -2.560760 -13.325000)(-41.900002 -3.000000 -12.500000)(-40.839001 -2.560700 -14.150001)(-40.839500 -2.560760 -13.325000)(-39.338997 -1.060700 -14.150001)(-38.899998 0.000000 -15.799999)(-39.119499 -0.530350 -14.150001)(-38.899998 0.000000 -15.799999)(-38.899998 0.000000 -12.500000)(-39.119499 -0.530350 -14.150001)(-38.899998 0.000000 -12.500000)(-39.338997 -1.060700 -14.150001)(-39.119499 -0.530350 -14.150001)(-39.338997 -1.060700 -14.150001)(-39.778999 -2.121300 -12.500000)(-39.558998 -1.591000 -14.150001)(-39.778999 -2.121300 -12.500000)(-39.778999 -2.121300 -15.799999)(-39.558998 -1.591000 -14.150001)(-39.778999 -2.121300 -15.799999)(-39.338997 -1.060700 -14.150001)(-39.558998 -1.591000 -14.150001)(-39.338997 1.060700 -14.150001)(-39.778999 2.121300 -15.799999)(-39.558998 1.591000 -14.150001)(-39.778999 2.121300 -15.799999)(-39.778999 2.121300 -12.500000)(-39.558998 1.591000 -14.150001)(-39.778999 2.121300 -12.500000)(-39.338997 1.060700 -14.150001)(-39.558998 1.591000 -14.150001)(-39.338997 1.060700 -14.150001)(-38.899998 0.000000 -12.500000)(-39.119499 0.530350 -14.150001)(-38.899998 0.000000 -12.500000)(-38.899998 0.000000 -15.799999)(-39.119499 0.530350 -14.150001)(-38.899998 0.000000 -15.799999)(-39.338997 1.060700 -14.150001)(-39.119499 0.530350 -14.150001)(-40.839500 2.560760 -13.325000)(-40.839001 2.560700 -14.150001)(-41.900002 3.000000 -12.500000)(-40.839500 2.560760 -13.325000)(-41.900002 3.000000 -12.500000)(-39.778999 2.121300 -12.500000)(-40.839500 2.560760 -13.325000)(-39.778999 2.121300 -12.500000)(-40.839001 2.560700 -14.150001)(-44.021000 2.121300 -12.500000)(-50.700001 11.000000 -12.500000)(-41.900002 3.000000 -12.500000)(2.000000 0.000000 15.300000)(2.000000 -8.349999 15.799999)(2.000000 -8.349999 14.800000)(-50.700001 0.599999 0.000000)(-50.700001 11.000000 12.500000)(-50.700001 5.800000 -0.000000)(-50.700001 11.000000 12.500000)(-50.700001 11.000000 -12.500000)(-50.700001 5.800000 -0.000000)(-50.700001 11.000000 -12.500000)(-50.700001 0.599999 0.000000)(-50.700001 5.800000 -0.000000)(2.000000 8.349999 15.799999)(2.000000 8.349999 14.800000)(-6.000000 9.075000 15.300000)(2.000000 8.349999 14.800000)(2.000000 0.000000 15.300000)(2.000000 -8.349999 14.800000)(2.000000 -8.349999 15.799999)(2.000000 0.000000 15.300000)(2.000000 8.349999 15.799999)(-40.875000 -2.475300 14.150001)(-41.900002 -2.900000 15.799999)(-41.387497 -2.687650 14.150001)(-41.900002 -2.900000 15.799999)(-41.900002 -2.900000 12.500000)(-41.387497 -2.687650 14.150001)(-41.900002 -2.900000 12.500000)(-40.875000 -2.475300 14.150001)(-41.387497 -2.687650 14.150001)(-40.875000 -2.475300 14.150001)(-39.848999 -2.050600 12.500000)(-40.362000 -2.262950 14.150001)(-39.848999 -2.050600 12.500000)(-39.848999 -2.050600 15.799999)(-40.362000 -2.262950 14.150001)(-39.848999 -2.050600 15.799999)(-40.875000 -2.475300 14.150001)(-40.362000 -2.262950 14.150001)(-42.924999 -2.475300 14.150001)(-43.951000 -2.050600 12.500000)(-42.925499 -2.475210 13.325000)(-43.951000 -2.050600 12.500000)(-41.900002 -2.900000 12.500000)(-42.925499 -2.475210 13.325000)(-41.900002 -2.900000 12.500000)(-42.924999 -2.475300 14.150001)(-42.925499 -2.475210 13.325000)(-50.700001 -9.800000 12.500000)(-43.951000 -2.050600 12.500000)(-50.700001 11.000000 12.500000)(-44.799999 0.000000 12.500000)(-43.951000 2.050600 12.500000)(-50.700001 11.000000 12.500000)(-42.924999 2.475300 14.150001)(-41.900002 2.900000 12.500000)(-42.925499 2.475210 13.325000)(-41.900002 2.900000 12.500000)(-43.951000 2.050600 12.500000)(-42.925499 2.475210 13.325000)(-43.951000 2.050600 12.500000)(-42.924999 2.475300 14.150001)(-42.925499 2.475210 13.325000)(-40.875000 2.475300 14.150001)(-39.848999 2.050600 15.799999)(-40.362000 2.262950 14.150001)(-39.848999 2.050600 15.799999)(-39.848999 2.050600 12.500000)(-40.362000 2.262950 14.150001)(-39.848999 2.050600 12.500000)(-40.875000 2.475300 14.150001)(-40.362000 2.262950 14.150001)(-40.875000 2.475300 14.150001)(-41.900002 2.900000 12.500000)(-41.387497 2.687650 14.150001)(-41.900002 2.900000 12.500000)(-41.900002 2.900000 15.799999)(-41.387497 2.687650 14.150001)(-41.900002 2.900000 15.799999)(-40.875000 2.475300 14.150001)(-41.387497 2.687650 14.150001)(-39.424999 1.025300 14.150001)(-39.848999 2.050600 15.799999)(-39.424698 1.025210 14.975000)(-39.848999 2.050600 15.799999)(-39.000000 0.000000 15.799999)(-39.424698 1.025210 14.975000)(-39.000000 0.000000 15.799999)(-39.424999 1.025300 14.150001)(-39.424698 1.025210 14.975000)(-39.424999 -1.025300 14.150001)(-39.000000 0.000000 15.799999)(-39.424698 -1.025210 14.975000)(-39.000000 0.000000 15.799999)(-39.848999 -2.050600 15.799999)(-39.424698 -1.025210 14.975000)(-39.848999 -2.050600 15.799999)(-39.424999 -1.025300 14.150001)(-39.424698 -1.025210 14.975000)(-50.700001 0.599999 0.000000)(-50.700001 11.000000 -12.500000)(-50.700001 0.600000 -6.250000)(-50.700001 11.000000 -12.500000)(-50.700001 -9.800000 -12.500000)(-50.700001 0.600000 -6.250000)(-50.700001 -9.800000 -12.500000)(-50.700001 0.599999 0.000000)(-50.700001 0.600000 -6.250000)(-50.700001 0.599999 0.000000)(-50.700001 -9.800000 12.500000)(-50.700001 0.600000 6.250000)(-50.700001 -9.800000 12.500000)(-50.700001 11.000000 12.500000)(-50.700001 0.600000 6.250000)(-50.700001 11.000000 12.500000)(-50.700001 0.599999 0.000000)(-50.700001 0.600000 6.250000)(-44.021000 -2.121300 -12.500000)(-50.700001 -9.800000 -12.500000)(-50.700001 11.000000 -12.500000)(-42.960499 -2.560760 -13.325000)(-42.961002 -2.560700 -14.150001)(-41.900002 -3.000000 -12.500000)(-42.960499 -2.560760 -13.325000)(-41.900002 -3.000000 -12.500000)(-44.021000 -2.121300 -12.500000)(-42.960499 -2.560760 -13.325000)(-44.021000 -2.121300 -12.500000)(-42.961002 -2.560700 -14.150001)(-40.839001 -2.560700 -14.150001)(-39.778999 -2.121300 -15.799999)(-40.309002 -2.341000 -14.150001)(-39.778999 -2.121300 -15.799999)(-39.778999 -2.121300 -12.500000)(-40.309002 -2.341000 -14.150001)(-39.778999 -2.121300 -12.500000)(-40.839001 -2.560700 -14.150001)(-40.309002 -2.341000 -14.150001)(-40.839001 -2.560700 -14.150001)(-41.900002 -3.000000 -12.500000)(-41.369503 -2.780350 -14.150001)(-41.900002 -3.000000 -12.500000)(-41.900002 -3.000000 -15.799999)(-41.369503 -2.780350 -14.150001)(-41.900002 -3.000000 -15.799999)(-40.839001 -2.560700 -14.150001)(-41.369503 -2.780350 -14.150001)(-39.338997 -1.060700 -14.150001)(-39.778999 -2.121300 -15.799999)(-39.339302 -1.060740 -14.975000)(-39.778999 -2.121300 -15.799999)(-38.899998 0.000000 -15.799999)(-39.339302 -1.060740 -14.975000)(-38.899998 0.000000 -15.799999)(-39.338997 -1.060700 -14.150001)(-39.339302 -1.060740 -14.975000)(-39.338997 1.060700 -14.150001)(-38.899998 0.000000 -15.799999)(-39.339302 1.060740 -14.975000)(-38.899998 0.000000 -15.799999)(-39.778999 2.121300 -15.799999)(-39.339302 1.060740 -14.975000)(-39.778999 2.121300 -15.799999)(-39.338997 1.060700 -14.150001)(-39.339302 1.060740 -14.975000)(-40.839001 2.560700 -14.150001)(-39.778999 2.121300 -12.500000)(-40.309002 2.341000 -14.150001)(-39.778999 2.121300 -12.500000)(-39.778999 2.121300 -15.799999)(-40.309002 2.341000 -14.150001)(-39.778999 2.121300 -15.799999)(-40.839001 2.560700 -14.150001)(-40.309002 2.341000 -14.150001)(-40.839001 2.560700 -14.150001)(-41.900002 3.000000 -15.799999)(-41.369503 2.780350 -14.150001)(-41.900002 3.000000 -15.799999)(-41.900002 3.000000 -12.500000)(-41.369503 2.780350 -14.150001)(-41.900002 3.000000 -12.500000)(-40.839001 2.560700 -14.150001)(-41.369503 2.780350 -14.150001)(-42.961002 2.560700 -14.150001)(-44.021000 2.121300 -12.500000)(-42.960499 2.560760 -13.325000)(-44.021000 2.121300 -12.500000)(-41.900002 3.000000 -12.500000)(-42.960499 2.560760 -13.325000)(-41.900002 3.000000 -12.500000)(-42.961002 2.560700 -14.150001)(-42.960499 2.560760 -13.325000)(-44.021000 2.121300 -12.500000)(-44.900002 0.000000 -12.500000)(-50.700001 11.000000 -12.500000)(2.000000 8.349999 14.800000)(2.000000 8.349999 15.799999)(2.000000 0.000000 15.300000)(-40.874500 -2.475210 14.975000)(-40.875000 -2.475300 14.150001)(-39.848999 -2.050600 15.799999)(-40.874500 -2.475210 14.975000)(-39.848999 -2.050600 15.799999)(-41.900002 -2.900000 15.799999)(-40.874500 -2.475210 14.975000)(-41.900002 -2.900000 15.799999)(-40.875000 -2.475300 14.150001)(-42.924999 -2.475300 14.150001)(-41.900002 -2.900000 12.500000)(-42.412502 -2.687650 14.150001)(-41.900002 -2.900000 12.500000)(-41.900002 -2.900000 15.799999)(-42.412502 -2.687650 14.150001)(-41.900002 -2.900000 15.799999)(-42.924999 -2.475300 14.150001)(-42.412502 -2.687650 14.150001)(-42.924999 -2.475300 14.150001)(-43.951000 -2.050600 15.799999)(-43.438000 -2.262950 14.150001)(-43.951000 -2.050600 15.799999)(-43.951000 -2.050600 12.500000)(-43.438000 -2.262950 14.150001)(-43.951000 -2.050600 12.500000)(-42.924999 -2.475300 14.150001)(-43.438000 -2.262950 14.150001)(-43.951000 -2.050600 12.500000)(-44.799999 0.000000 12.500000)(-50.700001 11.000000 12.500000)(-44.375301 1.025210 13.325000)(-44.375000 1.025300 14.150001)(-43.951000 2.050600 12.500000)(-44.375301 1.025210 13.325000)(-43.951000 2.050600 12.500000)(-44.799999 0.000000 12.500000)(-44.375301 1.025210 13.325000)(-44.799999 0.000000 12.500000)(-44.375000 1.025300 14.150001)(-42.924999 2.475300 14.150001)(-41.900002 2.900000 15.799999)(-42.412502 2.687650 14.150001)(-41.900002 2.900000 15.799999)(-41.900002 2.900000 12.500000)(-42.412502 2.687650 14.150001)(-41.900002 2.900000 12.500000)(-42.924999 2.475300 14.150001)(-42.412502 2.687650 14.150001)(-42.924999 2.475300 14.150001)(-43.951000 2.050600 12.500000)(-43.438000 2.262950 14.150001)(-43.951000 2.050600 12.500000)(-43.951000 2.050600 15.799999)(-43.438000 2.262950 14.150001)(-43.951000 2.050600 15.799999)(-42.924999 2.475300 14.150001)(-43.438000 2.262950 14.150001)(-40.875000 2.475300 14.150001)(-41.900002 2.900000 15.799999)(-40.874500 2.475210 14.975000)(-41.900002 2.900000 15.799999)(-39.848999 2.050600 15.799999)(-40.874500 2.475210 14.975000)(-39.848999 2.050600 15.799999)(-40.875000 2.475300 14.150001)(-40.874500 2.475210 14.975000)(-39.000000 0.000000 15.799999)(-39.848999 2.050600 15.799999)(-41.900002 0.000000 15.799999)(-39.848999 -2.050600 15.799999)(-39.000000 0.000000 15.799999)(-41.900002 0.000000 15.799999)(-50.700001 11.000000 -12.500000)(-44.900002 0.000000 -12.500000)(-44.021000 -2.121300 -12.500000)(-42.961002 -2.560700 -14.150001)(-41.900002 -3.000000 -15.799999)(-42.430500 -2.780350 -14.150001)(-41.900002 -3.000000 -15.799999)(-41.900002 -3.000000 -12.500000)(-42.430500 -2.780350 -14.150001)(-41.900002 -3.000000 -12.500000)(-42.961002 -2.560700 -14.150001)(-42.430500 -2.780350 -14.150001)(-42.961002 -2.560700 -14.150001)(-44.021000 -2.121300 -12.500000)(-43.490997 -2.341000 -14.150001)(-44.021000 -2.121300 -12.500000)(-44.021000 -2.121300 -15.799999)(-43.490997 -2.341000 -14.150001)(-44.021000 -2.121300 -15.799999)(-42.961002 -2.560700 -14.150001)(-43.490997 -2.341000 -14.150001)(-40.839001 -2.560700 -14.150001)(-41.900002 -3.000000 -15.799999)(-40.839500 -2.560760 -14.975000)(-41.900002 -3.000000 -15.799999)(-39.778999 -2.121300 -15.799999)(-40.839500 -2.560760 -14.975000)(-39.778999 -2.121300 -15.799999)(-40.839001 -2.560700 -14.150001)(-40.839500 -2.560760 -14.975000)(-39.778999 -2.121300 -15.799999)(-41.900002 0.000000 -15.799999)(-38.899998 0.000000 -15.799999)(-38.899998 0.000000 -15.799999)(-41.900002 0.000000 -15.799999)(-39.778999 2.121300 -15.799999)(-40.839500 2.560760 -14.975000)(-40.839001 2.560700 -14.150001)(-39.778999 2.121300 -15.799999)(-40.839500 2.560760 -14.975000)(-39.778999 2.121300 -15.799999)(-41.900002 3.000000 -15.799999)(-40.839500 2.560760 -14.975000)(-41.900002 3.000000 -15.799999)(-40.839001 2.560700 -14.150001)(-42.961002 2.560700 -14.150001)(-41.900002 3.000000 -12.500000)(-42.430500 2.780350 -14.150001)(-41.900002 3.000000 -12.500000)(-41.900002 3.000000 -15.799999)(-42.430500 2.780350 -14.150001)(-41.900002 3.000000 -15.799999)(-42.961002 2.560700 -14.150001)(-42.430500 2.780350 -14.150001)(-42.961002 2.560700 -14.150001)(-44.021000 2.121300 -15.799999)(-43.490997 2.341000 -14.150001)(-44.021000 2.121300 -15.799999)(-44.021000 2.121300 -12.500000)(-43.490997 2.341000 -14.150001)(-44.021000 2.121300 -12.500000)(-42.961002 2.560700 -14.150001)(-43.490997 2.341000 -14.150001)(-44.461002 1.060700 -14.150001)(-44.900002 0.000000 -12.500000)(-44.460697 1.060740 -13.325000)(-44.900002 0.000000 -12.500000)(-44.021000 2.121300 -12.500000)(-44.460697 1.060740 -13.325000)(-44.021000 2.121300 -12.500000)(-44.461002 1.060700 -14.150001)(-44.460697 1.060740 -13.325000)(-41.900002 -2.900000 15.799999)(-39.848999 -2.050600 15.799999)(-41.900002 0.000000 15.799999)(-42.924999 -2.475300 14.150001)(-41.900002 -2.900000 15.799999)(-42.925499 -2.475210 14.975000)(-41.900002 -2.900000 15.799999)(-43.951000 -2.050600 15.799999)(-42.925499 -2.475210 14.975000)(-43.951000 -2.050600 15.799999)(-42.924999 -2.475300 14.150001)(-42.925499 -2.475210 14.975000)(-44.375000 -1.025300 14.150001)(-43.951000 -2.050600 12.500000)(-44.162998 -1.537950 14.150001)(-43.951000 -2.050600 12.500000)(-43.951000 -2.050600 15.799999)(-44.162998 -1.537950 14.150001)(-43.951000 -2.050600 15.799999)(-44.375000 -1.025300 14.150001)(-44.162998 -1.537950 14.150001)(-44.375000 -1.025300 14.150001)(-44.799999 0.000000 12.500000)(-44.375301 -1.025210 13.325000)(-44.799999 0.000000 12.500000)(-43.951000 -2.050600 12.500000)(-44.375301 -1.025210 13.325000)(-43.951000 -2.050600 12.500000)(-44.375000 -1.025300 14.150001)(-44.375301 -1.025210 13.325000)(-44.375000 1.025300 14.150001)(-43.951000 2.050600 15.799999)(-44.162998 1.537950 14.150001)(-43.951000 2.050600 15.799999)(-43.951000 2.050600 12.500000)(-44.162998 1.537950 14.150001)(-43.951000 2.050600 12.500000)(-44.375000 1.025300 14.150001)(-44.162998 1.537950 14.150001)(-44.375000 1.025300 14.150001)(-44.799999 0.000000 12.500000)(-44.587502 0.512650 14.150001)(-44.799999 0.000000 12.500000)(-44.799999 0.000000 15.799999)(-44.587502 0.512650 14.150001)(-44.799999 0.000000 15.799999)(-44.375000 1.025300 14.150001)(-44.587502 0.512650 14.150001)(-42.925499 2.475210 14.975000)(-42.924999 2.475300 14.150001)(-43.951000 2.050600 15.799999)(-42.925499 2.475210 14.975000)(-43.951000 2.050600 15.799999)(-41.900002 2.900000 15.799999)(-42.925499 2.475210 14.975000)(-41.900002 2.900000 15.799999)(-42.924999 2.475300 14.150001)(-41.900002 0.000000 15.799999)(-39.848999 2.050600 15.799999)(-41.900002 2.900000 15.799999)(-44.461002 -1.060700 -14.150001)(-44.021000 -2.121300 -12.500000)(-44.460697 -1.060740 -13.325000)(-44.021000 -2.121300 -12.500000)(-44.900002 0.000000 -12.500000)(-44.460697 -1.060740 -13.325000)(-44.900002 0.000000 -12.500000)(-44.461002 -1.060700 -14.150001)(-44.460697 -1.060740 -13.325000)(-42.960499 -2.560760 -14.975000)(-42.961002 -2.560700 -14.150001)(-44.021000 -2.121300 -15.799999)(-42.960499 -2.560760 -14.975000)(-44.021000 -2.121300 -15.799999)(-41.900002 -3.000000 -15.799999)(-42.960499 -2.560760 -14.975000)(-41.900002 -3.000000 -15.799999)(-42.961002 -2.560700 -14.150001)(-44.461002 -1.060700 -14.150001)(-44.021000 -2.121300 -15.799999)(-44.241001 -1.591000 -14.150001)(-44.021000 -2.121300 -15.799999)(-44.021000 -2.121300 -12.500000)(-44.241001 -1.591000 -14.150001)(-44.021000 -2.121300 -12.500000)(-44.461002 -1.060700 -14.150001)(-44.241001 -1.591000 -14.150001)(-39.778999 -2.121300 -15.799999)(-41.900002 -3.000000 -15.799999)(-41.900002 0.000000 -15.799999)(-41.900002 0.000000 -15.799999)(-41.900002 3.000000 -15.799999)(-39.778999 2.121300 -15.799999)(-42.961002 2.560700 -14.150001)(-41.900002 3.000000 -15.799999)(-42.960499 2.560760 -14.975000)(-41.900002 3.000000 -15.799999)(-44.021000 2.121300 -15.799999)(-42.960499 2.560760 -14.975000)(-44.021000 2.121300 -15.799999)(-42.961002 2.560700 -14.150001)(-42.960499 2.560760 -14.975000)(-44.461002 1.060700 -14.150001)(-44.021000 2.121300 -12.500000)(-44.241001 1.591000 -14.150001)(-44.021000 2.121300 -12.500000)(-44.021000 2.121300 -15.799999)(-44.241001 1.591000 -14.150001)(-44.021000 2.121300 -15.799999)(-44.461002 1.060700 -14.150001)(-44.241001 1.591000 -14.150001)(-44.461002 1.060700 -14.150001)(-44.900002 0.000000 -15.799999)(-44.680500 0.530350 -14.150001)(-44.900002 0.000000 -15.799999)(-44.900002 0.000000 -12.500000)(-44.680500 0.530350 -14.150001)(-44.900002 0.000000 -12.500000)(-44.461002 1.060700 -14.150001)(-44.680500 0.530350 -14.150001)(-41.900002 -2.900000 15.799999)(-41.900002 0.000000 15.799999)(-43.951000 -2.050600 15.799999)(-44.375000 -1.025300 14.150001)(-43.951000 -2.050600 15.799999)(-44.375301 -1.025210 14.975000)(-43.951000 -2.050600 15.799999)(-44.799999 0.000000 15.799999)(-44.375301 -1.025210 14.975000)(-44.799999 0.000000 15.799999)(-44.375000 -1.025300 14.150001)(-44.375301 -1.025210 14.975000)(-44.375000 -1.025300 14.150001)(-44.799999 0.000000 15.799999)(-44.587502 -0.512650 14.150001)(-44.799999 0.000000 15.799999)(-44.799999 0.000000 12.500000)(-44.587502 -0.512650 14.150001)(-44.799999 0.000000 12.500000)(-44.375000 -1.025300 14.150001)(-44.587502 -0.512650 14.150001)(-44.375000 1.025300 14.150001)(-44.799999 0.000000 15.799999)(-44.375301 1.025210 14.975000)(-44.799999 0.000000 15.799999)(-43.951000 2.050600 15.799999)(-44.375301 1.025210 14.975000)(-43.951000 2.050600 15.799999)(-44.375000 1.025300 14.150001)(-44.375301 1.025210 14.975000)(-41.900002 0.000000 15.799999)(-41.900002 2.900000 15.799999)(-43.951000 2.050600 15.799999)(-44.461002 -1.060700 -14.150001)(-44.900002 0.000000 -12.500000)(-44.680500 -0.530350 -14.150001)(-44.900002 0.000000 -12.500000)(-44.900002 0.000000 -15.799999)(-44.680500 -0.530350 -14.150001)(-44.900002 0.000000 -15.799999)(-44.461002 -1.060700 -14.150001)(-44.680500 -0.530350 -14.150001)(-41.900002 -3.000000 -15.799999)(-44.021000 -2.121300 -15.799999)(-41.900002 0.000000 -15.799999)(-44.461002 -1.060700 -14.150001)(-44.900002 0.000000 -15.799999)(-44.460697 -1.060740 -14.975000)(-44.900002 0.000000 -15.799999)(-44.021000 -2.121300 -15.799999)(-44.460697 -1.060740 -14.975000)(-44.021000 -2.121300 -15.799999)(-44.461002 -1.060700 -14.150001)(-44.460697 -1.060740 -14.975000)(-41.900002 0.000000 -15.799999)(-44.021000 2.121300 -15.799999)(-41.900002 3.000000 -15.799999)(-44.460697 1.060740 -14.975000)(-44.461002 1.060700 -14.150001)(-44.021000 2.121300 -15.799999)(-44.460697 1.060740 -14.975000)(-44.021000 2.121300 -15.799999)(-44.900002 0.000000 -15.799999)(-44.460697 1.060740 -14.975000)(-44.900002 0.000000 -15.799999)(-44.461002 1.060700 -14.150001)(-43.951000 -2.050600 15.799999)(-41.900002 0.000000 15.799999)(-44.799999 0.000000 15.799999)(-44.799999 0.000000 15.799999)(-41.900002 0.000000 15.799999)(-43.951000 2.050600 15.799999)(-44.021000 -2.121300 -15.799999)(-44.900002 0.000000 -15.799999)(-41.900002 0.000000 -15.799999)(-41.900002 0.000000 -15.799999)(-44.900002 0.000000 -15.799999)(-44.021000 2.121300 -15.799999)))
           )
           )))
    (send glvertices :calc-normals)
    (send self :assoc glvertices)
    glvertices)
  (:qhull-faceset ()
   ;; qhull 1266 -> 11 faces
   (instance faceset :init :faces (list
    (instance face :init :vertices (list (float-vector -50.700001 11.000000 12.500000) (float-vector -50.700001 11.000000 -12.500000) (float-vector 2.000000 8.350000 -15.799999) (float-vector 2.000000 8.350000 15.799999)))
    (instance face :init :vertices (list (float-vector 2.000000 -8.350000 -14.800000) (float-vector 2.000000 -8.350000 15.799999) (float-vector 2.000000 8.350000 15.799999) (float-vector 2.000000 8.350000 -15.799999)))
    (instance face :init :vertices (list (float-vector -50.700001 -9.800000 -12.500000) (float-vector -44.900000 0.000000 -15.799999) (float-vector -50.700001 11.000000 -12.500000)))
    (instance face :init :vertices (list (float-vector -44.900000 0.000000 -15.799999) (float-vector -50.700001 -9.800000 -12.500000) (float-vector -14.000000 -9.800000 -15.799999)))
    (instance face :init :vertices (list (float-vector -14.000000 -9.800000 -15.799999) (float-vector 2.000000 -8.350000 -14.800000) (float-vector 2.000000 8.350000 -15.799999) (float-vector -50.700001 11.000000 -12.500000) (float-vector -44.900000 0.000000 -15.799999)))
    (instance face :init :vertices (list (float-vector -50.700001 -9.800000 12.500000) (float-vector 2.000000 -8.350000 15.799999) (float-vector 2.000000 -8.350000 -14.800000) (float-vector -14.000000 -9.800000 -15.799999) (float-vector -50.700001 -9.800000 -12.500000)))
    (instance face :init :vertices (list (float-vector -50.700001 -9.800000 12.500000) (float-vector -50.700001 -9.800000 -12.500000) (float-vector -50.700001 11.000000 -12.500000) (float-vector -50.700001 11.000000 12.500000)))
    (instance face :init :vertices (list (float-vector -43.951001 2.050600 15.799999) (float-vector -50.700001 11.000000 12.500000) (float-vector 2.000000 8.350000 15.799999)))
    (instance face :init :vertices (list (float-vector 2.000000 -8.350000 15.799999) (float-vector -43.951001 2.050600 15.799999) (float-vector 2.000000 8.350000 15.799999)))
    (instance face :init :vertices (list (float-vector -50.700001 -9.800000 12.500000) (float-vector -43.951001 2.050600 15.799999) (float-vector 2.000000 -8.350000 15.799999)))
    (instance face :init :vertices (list (float-vector -43.951001 2.050600 15.799999) (float-vector -50.700001 -9.800000 12.500000) (float-vector -50.700001 11.000000 12.500000)))
    ))
   )
  )

(defclass HiroNX_g1_11_geom0
  :super collada-body
  :slots ())
(defmethod HiroNX_g1_11_geom0
  (:init (&key (name))
         (replace-object self (send self :qhull-faceset))
         (if name (send self :name name))
         (send self :def-gl-vertices)
         self)
  (:def-gl-vertices ()
    (setq glvertices
       (instance gl::glvertices :init
          (list
          (list
           (list :type :triangles)
           (list :material (list
             (list :color (float-vector 0.1 0.1 0.1))
             (list :ambient (float-vector 0.200000 0.200000 0.200000 1.000000))
             (list :diffuse (float-vector 0.900000 0.900000 0.900000 1.000000))
           ))
           (list :indices #i( 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148 149 150 151 152 153 154 155 156 157 158 159 160 161 162 163 164 165 166 167 168 169 170 171 172 173 174 175 176 177 178 179 180 181 182 183 184 185 186 187 188 189 190 191 192 193 194 195 196 197 198 199 200 201 202 203 204 205 206 207 208 209 210 211 212 213 214 215 216 217 218 219 220 221 222 223 224 225 226 227 228 229 230 231 232 233 234 235 236 237 238 239 240 241 242 243 244 245 246 247 248 249 250 251 252 253 254 255 256 257 258 259 260 261 262 263 264 265 266 267 268 269 270 271 272 273 274 275 276 277 278 279 280 281 282 283 284 285 286 287 288 289 290 291 292 293 294 295 296 297 298 299 300 301 302 303 304 305 306 307 308 309 310 311 312 313 314 315 316 317 318 319 320 321 322 323 324 325 326 327 328 329 330 331 332 333 334 335 336 337 338 339 340 341 342 343 344 345 346 347 348 349 350 351 352 353 354 355 356 357 358 359 360 361 362 363 364 365 366 367 368 369 370 371 372 373 374 375 376 377 378 379 380 381 382 383 384 385 386 387 388 389 390 391 392 393 394 395 396 397 398 399 400 401 402 403 404 405 406 407 408 409 410 411 412 413 414 415 416 417 418 419 420 421 422 423 424 425 426 427 428 429 430 431 432 433 434 435 436 437 438 439 440 441 442 443 444 445 446 447 448 449 450 451 452 453 454 455 456 457 458 459 460 461 462 463 464 465 466 467 468 469 470 471 472 473 474 475 476 477 478 479))
           (list :vertices #2f((-4.454000 -7.239700 14.800000)(-17.230000 0.620000 15.300000)(-30.006001 8.479700 14.800000)(-30.006001 8.479700 15.799999)(-30.006001 8.479700 14.800000)(-17.230000 0.620000 15.300000)(-30.006001 8.479700 14.800000)(-30.007999 11.979700 14.800000)(-4.454000 -7.239700 14.800000)(-4.454000 -7.239700 15.799999)(-17.230000 0.620000 15.300000)(-4.454000 -7.239700 14.800000)(-30.006001 8.479700 15.799999)(-17.230000 0.620000 15.300000)(-4.454000 -7.239700 15.799999)(-30.006001 8.479700 14.800000)(-30.006001 8.479700 15.799999)(-30.007999 11.979700 14.800000)(-30.007999 11.979700 14.800000)(-3.497000 -7.747300 14.800000)(-4.454000 -7.239700 14.800000)(-3.975990 -7.493500 15.300000)(-4.454000 -7.239700 15.799999)(-4.215000 -7.366600 15.300000)(-4.454000 -7.239700 15.799999)(-4.454000 -7.239700 14.800000)(-4.215000 -7.366600 15.300000)(-4.454000 -7.239700 14.800000)(-3.975990 -7.493500 15.300000)(-4.215000 -7.366600 15.300000)(-30.006001 8.479700 15.799999)(-4.454000 -7.239700 15.799999)(-30.008999 12.979700 15.799999)(-30.007999 11.979700 14.800000)(-30.006001 8.479700 15.799999)(-30.008999 12.979700 15.799999)(-3.975990 -7.493500 15.300000)(-4.454000 -7.239700 14.800000)(-3.975550 -7.493600 15.049999)(-4.454000 -7.239700 14.800000)(-3.497000 -7.747300 14.800000)(-3.975550 -7.493600 15.049999)(-3.497000 -7.747300 14.800000)(-3.975990 -7.493500 15.300000)(-3.975550 -7.493600 15.049999)(-3.497000 -7.747300 14.800000)(-30.007999 11.979700 14.800000)(-10.006001 8.493200 14.800000)(-3.975550 -7.493600 15.549999)(-3.975990 -7.493500 15.300000)(-3.497000 -7.747300 15.799999)(-3.975550 -7.493600 15.549999)(-3.497000 -7.747300 15.799999)(-4.454000 -7.239700 15.799999)(-3.975550 -7.493600 15.549999)(-4.454000 -7.239700 15.799999)(-3.975990 -7.493500 15.300000)(-4.454000 -7.239700 15.799999)(-3.497000 -7.747300 15.799999)(-30.008999 12.979700 15.799999)(-30.008999 12.979700 -15.799999)(-30.007999 11.979700 14.800000)(-30.008999 12.979700 15.799999)(-3.975990 -7.493500 15.300000)(-3.497000 -7.747300 14.800000)(-3.736500 -7.620400 15.300000)(-3.497000 -7.747300 14.800000)(-3.497000 -7.747300 15.799999)(-3.736500 -7.620400 15.300000)(-3.497000 -7.747300 15.799999)(-3.975990 -7.493500 15.300000)(-3.736500 -7.620400 15.300000)(-3.497000 -7.747300 14.800000)(-10.006001 8.493200 14.800000)(12.736899 8.508600 14.800000)(-10.006001 8.493200 14.800000)(-30.007999 11.979700 14.800000)(-10.007999 11.993199 14.800000)(-3.497000 -7.747300 15.799999)(-10.006001 8.493200 15.799999)(-30.008999 12.979700 15.799999)(-30.008999 12.979700 15.799999)(-28.869801 12.980500 14.000000)(-30.000000 12.979700 14.000000)(-30.000000 12.979700 -14.000000)(-28.869801 12.980500 -14.000000)(-30.008999 12.979700 -15.799999)(-30.000000 12.979700 14.000000)(-30.008999 12.979700 -15.799999)(-30.008999 12.979700 15.799999)(-30.000000 12.979700 2.285980)(-30.008999 12.979700 -15.799999)(-30.000000 12.979700 14.000000)(-30.000000 12.979700 2.285980)(-30.008999 12.979700 -15.799999)(-30.000000 12.979700 0.000000)(-30.000000 12.979700 -11.714001)(-30.008999 12.979700 -15.799999)(-30.000000 12.979700 0.000000)(-30.000000 12.979700 -11.714001)(-30.008999 12.979700 -15.799999)(-30.000000 12.979700 -14.000000)(-30.008999 12.979700 -15.799999)(-30.007999 11.979700 -14.800000)(-30.007999 11.979700 14.800000)(-3.497000 -7.747300 14.800000)(4.620000 0.380699 15.300000)(-3.497000 -7.747300 15.799999)(12.736899 8.508600 14.800000)(4.620000 0.380699 15.300000)(-3.497000 -7.747300 14.800000)(-10.006001 8.493200 14.800000)(1.366000 8.500900 15.300000)(12.736899 8.508600 14.800000)(-10.006001 8.493200 14.800000)(-10.007999 11.993199 14.800000)(-10.006001 8.493200 15.799999)(-20.007999 11.986500 0.000000)(-10.007999 11.993199 14.800000)(-20.007999 11.986500 7.400000)(-10.007999 11.993199 14.800000)(-30.007999 11.979700 14.800000)(-20.007999 11.986500 7.400000)(-30.007999 11.979700 14.800000)(-20.007999 11.986500 0.000000)(-20.007999 11.986500 7.400000)(-10.006001 8.493200 15.799999)(-10.009000 12.993199 15.799999)(-30.008999 12.979700 15.799999)(-3.497000 -7.747300 15.799999)(12.736899 8.508600 15.799999)(-10.006001 8.493200 15.799999)(-22.477200 12.984800 -14.000000)(-30.008999 12.979700 -15.799999)(-28.869801 12.980500 -14.000000)(-10.009000 12.993199 -15.799999)(-13.486300 12.990900 -14.000000)(-12.000000 12.991899 -14.000000)(-10.009000 12.993199 -15.799999)(-12.000000 12.991899 -14.000000)(-12.000000 12.991899 -12.654201)(-20.009001 12.986500 -14.227099)(-21.000000 12.985801 -14.000000)(-13.486300 12.990900 -14.000000)(-20.009001 12.986500 -14.227099)(-22.477200 12.984800 -14.000000)(-21.000000 12.985801 -14.000000)(-20.009001 12.986500 -14.227099)(-10.009000 12.993199 -15.799999)(-30.008999 12.979700 -15.799999)(-20.009001 12.986500 -14.227099)(-30.008999 12.979700 -15.799999)(-22.477200 12.984800 -14.000000)(-20.009001 12.986500 -14.227099)(-13.486300 12.990900 -14.000000)(-10.009000 12.993199 -15.799999)(-12.000000 12.991899 14.000000)(-10.009000 12.993199 15.799999)(-12.000000 12.991899 12.654201)(-10.009000 12.993199 15.799999)(-12.000000 12.991899 14.000000)(-19.519800 12.986799 14.000000)(-30.008999 12.979700 15.799999)(-21.000000 12.985801 14.000000)(-28.528900 12.980700 14.000000)(-30.008999 12.979700 15.799999)(-28.528900 12.980700 14.000000)(-28.869801 12.980500 14.000000)(-19.519800 12.986799 14.000000)(-21.000000 12.985801 14.000000)(-20.009001 12.986500 14.227099)(-30.008999 12.979700 15.799999)(-10.009000 12.993199 15.799999)(-20.009001 12.986500 14.227099)(-10.009000 12.993199 15.799999)(-19.519800 12.986799 14.000000)(-20.009001 12.986500 14.227099)(-21.000000 12.985801 14.000000)(-30.008999 12.979700 15.799999)(-20.009001 12.986500 14.227099)(-30.006001 8.479700 -15.799999)(-30.007999 11.979700 -14.800000)(-30.008999 12.979700 -15.799999)(-20.007999 11.986500 0.000000)(-30.007999 11.979700 14.800000)(-25.008001 11.983100 0.000000)(-30.007999 11.979700 14.800000)(-30.007999 11.979700 -14.800000)(-25.008001 11.983100 0.000000)(-30.007999 11.979700 -14.800000)(-20.007999 11.986500 0.000000)(-25.008001 11.983100 0.000000)(-3.497000 -7.747300 15.799999)(4.620000 0.380699 15.300000)(12.736899 8.508600 15.799999)(12.736899 8.508600 14.800000)(12.736899 8.508600 15.799999)(4.620000 0.380699 15.300000)(12.736899 8.508600 15.799999)(12.736899 8.508600 14.800000)(1.366000 8.500900 15.300000)(-10.006001 8.493200 15.799999)(1.366000 8.500900 15.300000)(-10.006001 8.493200 14.800000)(-10.007999 11.993199 14.800000)(-10.009000 12.993199 15.799999)(-10.006001 8.493200 15.799999)(-20.007999 11.986500 0.000000)(-10.007999 11.993199 -14.800000)(-15.007999 11.989800 -0.000000)(-10.007999 11.993199 -14.800000)(-10.007999 11.993199 14.800000)(-15.007999 11.989800 -0.000000)(-10.007999 11.993199 14.800000)(-20.007999 11.986500 0.000000)(-15.007999 11.989800 -0.000000)(12.736899 8.508600 15.799999)(1.366000 8.500900 15.300000)(-10.006001 8.493200 15.799999)(-10.006001 8.493200 -15.799999)(-30.008999 12.979700 -15.799999)(-10.009000 12.993199 -15.799999)(-12.000000 12.991899 12.654201)(-10.009000 12.993199 15.799999)(-12.000000 12.991899 11.685599)(-12.000000 12.991899 -12.654201)(-12.000000 12.991899 -2.314350)(-10.009000 12.993199 -15.799999)(-10.009000 12.993199 15.799999)(-10.009000 12.993199 -15.799999)(-11.004500 12.992500 0.000000)(-12.000000 12.991899 -2.314350)(-12.000000 12.991899 0.000000)(-11.004500 12.992500 0.000000)(-12.000000 12.991899 0.000000)(-12.000000 12.991899 11.685599)(-11.004500 12.992500 0.000000)(-12.000000 12.991899 11.685599)(-10.009000 12.993199 15.799999)(-11.004500 12.992500 0.000000)(-10.009000 12.993199 -15.799999)(-12.000000 12.991899 -2.314350)(-11.004500 12.992500 0.000000)(-30.006001 8.479700 -15.799999)(-30.008999 12.979700 -15.799999)(-4.454000 -7.239700 -15.799999)(-30.006001 8.479700 -15.799999)(-30.006001 8.479700 -14.800000)(-30.007999 11.979700 -14.800000)(-20.007999 11.986500 0.000000)(-30.007999 11.979700 -14.800000)(-20.007999 11.986500 -7.400000)(-30.007999 11.979700 -14.800000)(-10.007999 11.993199 -14.800000)(-20.007999 11.986500 -7.400000)(-10.007999 11.993199 -14.800000)(-20.007999 11.986500 0.000000)(-20.007999 11.986500 -7.400000)(-10.009000 12.993199 -15.799999)(-10.009000 12.993199 15.799999)(-10.007999 11.993199 14.800000)(-10.007999 11.993199 -14.800000)(-10.009000 12.993199 -15.799999)(-10.007999 11.993199 14.800000)(-10.006001 8.493200 -15.799999)(-10.009000 12.993199 -15.799999)(-10.006001 8.493200 -14.800000)(-3.497000 -7.747300 -15.799999)(-30.008999 12.979700 -15.799999)(-10.006001 8.493200 -15.799999)(-17.230000 0.620000 -15.300000)(-30.006001 8.479700 -15.799999)(-4.454000 -7.239700 -15.799999)(-30.008999 12.979700 -15.799999)(-3.497000 -7.747300 -15.799999)(-4.454000 -7.239700 -15.799999)(-30.006001 8.479700 -14.800000)(-30.006001 8.479700 -15.799999)(-17.230000 0.620000 -15.300000)(-30.006001 8.479700 -14.800000)(-4.454000 -7.239700 -14.800000)(-30.007999 11.979700 -14.800000)(-10.006001 8.493200 -14.800000)(-10.007999 11.993199 -14.800000)(-30.007999 11.979700 -14.800000)(-10.009000 12.993199 -15.799999)(-10.007999 11.993199 -14.800000)(-10.006001 8.493200 -14.800000)(-10.006001 8.493200 -14.800000)(1.366000 8.500900 -15.300000)(-10.006001 8.493200 -15.799999)(-3.497000 -7.747300 -15.799999)(-10.006001 8.493200 -15.799999)(12.736899 8.508600 -15.799999)(-4.454000 -7.239700 -14.800000)(-17.230000 0.620000 -15.300000)(-4.454000 -7.239700 -15.799999)(-3.975550 -7.493600 -15.549999)(-3.975990 -7.493500 -15.300000)(-4.454000 -7.239700 -15.799999)(-3.975550 -7.493600 -15.549999)(-4.454000 -7.239700 -15.799999)(-3.497000 -7.747300 -15.799999)(-3.975550 -7.493600 -15.549999)(-3.497000 -7.747300 -15.799999)(-3.975990 -7.493500 -15.300000)(-30.006001 8.479700 -14.800000)(-17.230000 0.620000 -15.300000)(-4.454000 -7.239700 -14.800000)(-4.454000 -7.239700 -14.800000)(-3.497000 -7.747300 -14.800000)(-30.007999 11.979700 -14.800000)(-3.497000 -7.747300 -14.800000)(-10.006001 8.493200 -14.800000)(-30.007999 11.979700 -14.800000)(-10.006001 8.493200 -15.799999)(1.366000 8.500900 -15.300000)(12.736899 8.508600 -15.799999)(12.736899 8.508600 -14.800000)(1.366000 8.500900 -15.300000)(-10.006001 8.493200 -14.800000)(12.736899 8.508600 -15.799999)(4.620000 0.380699 -15.300000)(-3.497000 -7.747300 -15.799999)(-3.975990 -7.493500 -15.300000)(-4.454000 -7.239700 -14.800000)(-4.215000 -7.366600 -15.300000)(-4.454000 -7.239700 -14.800000)(-4.454000 -7.239700 -15.799999)(-4.215000 -7.366600 -15.300000)(-4.454000 -7.239700 -15.799999)(-3.975990 -7.493500 -15.300000)(-4.215000 -7.366600 -15.300000)(-3.975990 -7.493500 -15.300000)(-3.497000 -7.747300 -15.799999)(-3.736500 -7.620400 -15.300000)(-3.497000 -7.747300 -15.799999)(-3.497000 -7.747300 -14.800000)(-3.736500 -7.620400 -15.300000)(-3.497000 -7.747300 -14.800000)(-3.975990 -7.493500 -15.300000)(-3.736500 -7.620400 -15.300000)(-3.975550 -7.493600 -15.049999)(-3.975990 -7.493500 -15.300000)(-3.497000 -7.747300 -14.800000)(-3.975550 -7.493600 -15.049999)(-3.497000 -7.747300 -14.800000)(-4.454000 -7.239700 -14.800000)(-3.975550 -7.493600 -15.049999)(-4.454000 -7.239700 -14.800000)(-3.975990 -7.493500 -15.300000)(-3.497000 -7.747300 -14.800000)(12.736899 8.508600 -14.800000)(-10.006001 8.493200 -14.800000)(12.736899 8.508600 -14.800000)(12.736899 8.508600 -15.799999)(1.366000 8.500900 -15.300000)(-3.497000 -7.747300 -15.799999)(4.620000 0.380699 -15.300000)(-3.497000 -7.747300 -14.800000)(12.736899 8.508600 -14.800000)(4.620000 0.380699 -15.300000)(12.736899 8.508600 -15.799999)(4.620000 0.380699 -15.300000)(12.736899 8.508600 -14.800000)(-3.497000 -7.747300 -14.800000)(-28.869801 12.980500 -14.000000)(-30.000000 12.979700 -14.000000)(-30.000000 18.000000 -14.000000)(-28.869801 12.980500 -14.000000)(-30.000000 18.000000 -14.000000)(-22.477200 12.984800 -14.000000)(-30.000000 12.979700 14.000000)(-28.869801 12.980500 14.000000)(-30.000000 18.000000 14.000000)(-28.869801 12.980500 14.000000)(-28.528900 12.980700 14.000000)(-30.000000 18.000000 14.000000)(-28.528900 12.980700 14.000000)(-21.000000 18.000000 14.000000)(-30.000000 18.000000 14.000000)(-30.000000 18.000000 14.000000)(-30.000000 12.979700 2.285980)(-30.000000 12.979700 14.000000)(-30.000000 18.000000 0.000000)(-30.000000 12.979700 0.000000)(-30.000000 12.979700 2.285980)(-30.000000 18.000000 0.000000)(-30.000000 12.979700 2.285980)(-30.000000 18.000000 14.000000)(-30.000000 18.000000 0.000000)(-30.000000 12.979700 -11.714001)(-30.000000 12.979700 0.000000)(-30.000000 18.000000 -14.000000)(-30.000000 12.979700 -14.000000)(-30.000000 12.979700 -11.714001)(-30.000000 18.000000 -14.000000)(-30.000000 12.979700 -11.714001)(-30.000000 18.000000 0.000000)(-22.477200 12.984800 -14.000000)(-30.000000 18.000000 -14.000000)(-21.000000 18.000000 -14.000000)(-21.000000 12.985801 -14.000000)(-22.477200 12.984800 -14.000000)(-21.000000 18.000000 -14.000000)(-13.486300 12.990900 -14.000000)(-21.000000 18.000000 -14.000000)(-12.000000 18.000000 -14.000000)(-12.000000 12.991899 -14.000000)(-13.486300 12.990900 -14.000000)(-12.000000 18.000000 -14.000000)(-21.000000 12.985801 -14.000000)(-21.000000 18.000000 -14.000000)(-13.486300 12.990900 -14.000000)(-12.000000 18.000000 -14.000000)(-12.000000 12.991899 -2.314350)(-12.000000 12.991899 -12.654201)(-12.000000 18.000000 -14.000000)(-12.000000 12.991899 -12.654201)(-12.000000 12.991899 -14.000000)(-12.000000 12.991899 14.000000)(-12.000000 18.000000 14.000000)(-19.519800 12.986799 14.000000)(-21.000000 12.985801 14.000000)(-19.519800 12.986799 14.000000)(-21.000000 18.000000 14.000000)(-19.519800 12.986799 14.000000)(-12.000000 18.000000 14.000000)(-21.000000 18.000000 14.000000)(-21.000000 12.985801 14.000000)(-21.000000 18.000000 14.000000)(-28.528900 12.980700 14.000000)(-12.000000 18.000000 14.000000)(-12.000000 12.991899 14.000000)(-12.000000 12.991899 12.654201)(-12.000000 18.000000 14.000000)(-12.000000 12.991899 12.654201)(-12.000000 12.991899 11.685599)(-12.000000 18.000000 14.000000)(-12.000000 12.991899 11.685599)(-12.000000 18.000000 0.000000)(-30.000000 18.000000 14.000000)(-21.000000 18.000000 14.000000)(-30.000000 18.000000 0.000000)(-30.000000 18.000000 -14.000000)(-30.000000 18.000000 0.000000)(-21.000000 18.000000 -14.000000)(-21.000000 18.000000 -14.000000)(-12.000000 18.000000 0.000000)(-12.000000 18.000000 -14.000000)(-12.000000 18.000000 0.000000)(-12.000000 12.991899 0.000000)(-12.000000 12.991899 -2.314350)(-12.000000 18.000000 0.000000)(-12.000000 12.991899 -2.314350)(-12.000000 18.000000 -14.000000)(-12.000000 18.000000 0.000000)(-12.000000 12.991899 11.685599)(-12.000000 12.991899 0.000000)(-21.000000 18.000000 14.000000)(-12.000000 18.000000 14.000000)(-12.000000 18.000000 0.000000)(-12.000000 18.000000 0.000000)(-30.000000 18.000000 0.000000)(-21.000000 18.000000 7.000000)(-30.000000 18.000000 0.000000)(-21.000000 18.000000 14.000000)(-21.000000 18.000000 7.000000)(-21.000000 18.000000 14.000000)(-12.000000 18.000000 0.000000)(-21.000000 18.000000 7.000000)(-30.000000 18.000000 0.000000)(-12.000000 18.000000 0.000000)(-21.000000 18.000000 -7.000000)(-12.000000 18.000000 0.000000)(-21.000000 18.000000 -14.000000)(-21.000000 18.000000 -7.000000)(-21.000000 18.000000 -14.000000)(-30.000000 18.000000 0.000000)(-21.000000 18.000000 -7.000000)))
           )
           )))
    (send glvertices :calc-normals)
    (send self :assoc glvertices)
    glvertices)
  (:qhull-faceset ()
   ;; qhull 480 -> 9 faces
   (instance faceset :init :faces (list
    (instance face :init :vertices (list (float-vector 12.736900 8.508600 -15.799999) (float-vector -3.497000 -7.747300 -15.799999) (float-vector -3.497000 -7.747300 14.800000) (float-vector 12.736900 8.508600 14.800000)))
    (instance face :init :vertices (list (float-vector 12.736900 8.508600 -15.799999) (float-vector -12.000000 17.999999 -14.000000) (float-vector -29.999999 17.999999 -14.000000) (float-vector -30.009000 12.979700 -15.799999)))
    (instance face :init :vertices (list (float-vector -30.009000 12.979700 -15.799999) (float-vector -30.006001 8.479700 -15.799999) (float-vector -3.497000 -7.747300 -15.799999) (float-vector 12.736900 8.508600 -15.799999)))
    (instance face :init :vertices (list (float-vector -3.497000 -7.747300 -15.799999) (float-vector -30.006001 8.479700 -15.799999) (float-vector -30.006001 8.479700 14.800000) (float-vector -3.497000 -7.747300 14.800000)))
    (instance face :init :vertices (list (float-vector 12.736900 8.508600 14.800000) (float-vector -12.000000 17.999999 14.000000) (float-vector -12.000000 17.999999 -14.000000) (float-vector 12.736900 8.508600 -15.799999)))
    (instance face :init :vertices (list (float-vector -30.006001 8.479700 14.800000) (float-vector -30.009000 12.979700 15.799999) (float-vector -12.000000 17.999999 14.000000) (float-vector 12.736900 8.508600 14.800000) (float-vector -3.497000 -7.747300 14.800000)))
    (instance face :init :vertices (list (float-vector -29.999999 17.999999 14.000000) (float-vector -12.000000 17.999999 14.000000) (float-vector -30.009000 12.979700 15.799999)))
    (instance face :init :vertices (list (float-vector -30.006001 8.479700 -15.799999) (float-vector -30.009000 12.979700 -15.799999) (float-vector -29.999999 17.999999 -14.000000) (float-vector -29.999999 17.999999 14.000000) (float-vector -30.009000 12.979700 15.799999) (float-vector -30.006001 8.479700 14.800000)))
    (instance face :init :vertices (list (float-vector -12.000000 17.999999 14.000000) (float-vector -29.999999 17.999999 14.000000) (float-vector -29.999999 17.999999 -14.000000) (float-vector -12.000000 17.999999 -14.000000)))
    ))
   )
  )

(defclass HiroNX_g1_12_geom0
  :super collada-body
  :slots ())
(defmethod HiroNX_g1_12_geom0
  (:init (&key (name))
         (replace-object self (send self :qhull-faceset))
         (if name (send self :name name))
         (send self :def-gl-vertices)
         self)
  (:def-gl-vertices ()
    (setq glvertices
       (instance gl::glvertices :init
          (list
          (list
           (list :type :triangles)
           (list :material (list
             (list :color (float-vector 0.1 0.1 0.1))
             (list :ambient (float-vector 0.200000 0.200000 0.200000 1.000000))
             (list :diffuse (float-vector 0.900000 0.900000 0.900000 1.000000))
           ))
           (list :indices #i( 1 0 2 4 3 5 7 6 8 10 9 11 13 12 14 16 15 17 19 18 20 22 21 23 25 24 26 28 27 29 31 30 32 34 33 35 37 36 38 40 39 41 43 42 44 46 45 47 49 48 50 52 51 53 55 54 56 58 57 59 61 60 62 64 63 65 67 66 68 70 69 71 73 72 74 76 75 77 79 78 80 82 81 83 85 84 86 88 87 89 91 90 92 94 93 95 97 96 98 100 99 101 103 102 104 106 105 107 109 108 110 112 111 113 115 114 116 118 117 119 121 120 122 124 123 125 127 126 128 130 129 131 133 132 134 136 135 137 139 138 140 142 141 143 145 144 146 148 147 149 151 150 152 154 153 155 157 156 158 160 159 161 163 162 164 166 165 167 169 168 170 172 171 173 175 174 176 178 177 179 181 180 182 184 183 185 187 186 188 190 189 191 193 192 194 196 195 197 199 198 200 202 201 203 205 204 206 208 207 209 211 210 212 214 213 215 217 216 218 220 219 221 223 222 224 226 225 227 229 228 230 232 231 233 235 234 236 238 237 239 241 240 242 244 243 245 247 246 248 250 249 251 253 252 254 256 255 257 259 258 260 262 261 263 265 264 266 268 267 269 271 270 272 274 273 275 277 276 278 280 279 281 283 282 284 286 285 287 289 288 290 292 291 293 295 294 296 298 297 299 301 300 302 304 303 305 307 306 308 310 309 311 313 312 314 316 315 317 319 318 320 322 321 323 325 324 326 328 327 329 331 330 332 334 333 335 337 336 338 340 339 341 343 342 344 346 345 347 349 348 350 352 351 353 355 354 356 358 357 359 361 360 362 364 363 365 367 366 368 370 369 371 373 372 374 376 375 377 379 378 380 382 381 383 385 384 386 388 387 389 391 390 392 394 393 395 397 396 398 400 399 401 403 402 404 406 405 407 409 408 410 412 411 413 415 414 416 418 417 419 421 420 422 424 423 425 427 426 428 430 429 431 433 432 434 436 435 437 439 438 440 442 441 443 445 444 446 448 447 449 451 450 452 454 453 455 457 456 458 460 459 461 463 462 464 466 465 467 469 468 470 472 471 473 475 474 476 478 477 479 481 480 482 484 483 485 487 486 488 490 489 491 493 492 494 496 495 497 499 498 500 502 501 503 505 504 506 508 507 509 511 510 512 514 513 515 517 516 518 520 519 521 523 522 524 526 525 527 529 528 530 532 531 533 535 534 536 538 537 539 541 540 542 544 543 545 547 546 548 550 549 551 553 552 554 556 555 557 559 558 560 562 561 563 565 564 566 568 567 569 571 570 572 574 573 575 577 576 578 580 579 581 583 582 584 586 585 587 589 588 590 592 591 593 595 594 596 598 597 599 601 600 602 604 603 605 607 606 608 610 609 611 613 612 614 616 615 617 619 618 620 622 621 623 625 624 626 628 627 629 631 630 632 634 633 635 637 636 638 640 639 641 643 642 644 646 645 647 649 648 650 652 651 653 655 654 656 658 657 659 661 660 662 664 663 665 667 666 668 670 669 671 673 672 674 676 675 677 679 678 680 682 681 683 685 684 686 688 687 689 691 690 692 694 693 695 697 696 698 700 699 701 703 702 704 706 705 707 709 708 710 712 711 713 715 714 716 718 717 719 721 720 722 724 723 725 727 726 728 730 729 731 733 732 734 736 735 737 739 738 740 742 741 743 745 744 746 748 747 749 751 750 752 754 753 755 757 756 758 760 759 761 763 762 764 766 765 767 769 768 770 772 771 773 775 774 776 778 777 779 781 780 782 784 783 785 787 786 788 790 789 791 793 792 794 796 795 797 799 798 800 802 801 803 805 804 806 808 807 809 811 810 812 814 813 815 817 816 818 820 819 821 823 822 824 826 825 827 829 828 830 832 831 833 835 834 836 838 837 839 841 840 842 844 843 845 847 846 848 850 849 851 853 852 854 856 855 857 859 858 860 862 861 863 865 864 866 868 867 869 871 870 872 874 873 875 877 876 878 880 879 881 883 882 884 886 885 887 889 888 890 892 891 893 895 894 896 898 897 899 901 900 902 904 903 905 907 906 908 910 909 911 913 912 914 916 915 917 919 918 920 922 921 923 925 924 926 928 927 929 931 930 932 934 933 935 937 936 938 940 939 941 943 942 944 946 945 947 949 948 950 952 951 953 955 954 956 958 957 959 961 960 962 964 963 965 967 966 968 970 969 971 973 972 974 976 975 977 979 978 980 982 981 983 985 984 986 988 987 989 991 990 992 994 993 995 997 996 998 1000 999 1001 1003 1002 1004 1006 1005 1007 1009 1008 1010 1012 1011 1013 1015 1014 1016 1018 1017 1019 1021 1020 1022 1024 1023 1025 1027 1026 1028 1030 1029 1031 1033 1032 1034 1036 1035 1037 1039 1038 1040 1042 1041 1043 1045 1044 1046 1048 1047 1049 1051 1050 1052 1054 1053 1055 1057 1056 1058 1060 1059 1061 1063 1062 1064 1066 1065 1067 1069 1068 1070 1072 1071 1073 1075 1074 1076 1078 1077 1079 1081 1080 1082 1084 1083 1085 1087 1086 1088 1090 1089 1091 1093 1092 1094 1096 1095 1097 1099 1098 1100 1102 1101 1103 1105 1104 1106 1108 1107 1109 1111 1110 1112 1114 1113 1115 1117 1116 1118 1120 1119 1121 1123 1122 1124 1126 1125 1127 1129 1128 1130 1132 1131 1133 1135 1134 1136 1138 1137 1139 1141 1140 1142 1144 1143 1145 1147 1146 1148 1150 1149 1151 1153 1152 1154 1156 1155 1157 1159 1158 1160 1162 1161 1163 1165 1164 1166 1168 1167 1169 1171 1170 1172 1174 1173 1175 1177 1176 1178 1180 1179 1181 1183 1182 1184 1186 1185 1187 1189 1188 1190 1192 1191 1193 1195 1194 1196 1198 1197 1199 1201 1200 1202 1204 1203 1205 1207 1206 1208 1210 1209 1211 1213 1212 1214 1216 1215 1217 1219 1218 1220 1222 1221 1223 1225 1224 1226 1228 1227 1229 1231 1230 1232 1234 1233 1235 1237 1236 1238 1240 1239 1241 1243 1242 1244 1246 1245 1247 1249 1248 1250 1252 1251 1253 1255 1254 1256 1258 1257 1259 1261 1260 1262 1264 1263 1265))
           (list :vertices #2f((2.000000 0.000000 -15.300000)(2.000000 8.349999 -14.800000)(2.000000 8.349999 -15.799999)(2.000000 8.349999 -14.800000)(2.000000 0.000000 -15.300000)(2.000000 -8.349999 -14.800000)(2.000000 8.349999 -14.800000)(-6.000000 9.075000 -15.300000)(2.000000 8.349999 -15.799999)(2.000000 -8.349999 -15.799999)(2.000000 0.000000 -15.300000)(2.000000 8.349999 -15.799999)(2.000000 -8.349999 -15.799999)(2.000000 -8.349999 -14.800000)(2.000000 0.000000 -15.300000)(-6.000000 0.000000 -14.800000)(2.000000 8.349999 -14.800000)(-2.000000 0.000000 -14.800000)(2.000000 8.349999 -14.800000)(2.000000 -8.349999 -14.800000)(-2.000000 0.000000 -14.800000)(2.000000 -8.349999 -14.800000)(-6.000000 0.000000 -14.800000)(-2.000000 0.000000 -14.800000)(-6.000000 9.075000 -15.300000)(-14.000000 9.800000 -15.799999)(2.000000 8.349999 -15.799999)(-14.000000 9.800000 -14.800000)(-6.000000 9.075000 -15.300000)(2.000000 8.349999 -14.800000)(-9.000000 0.000000 -15.799999)(2.000000 -8.349999 -15.799999)(-3.500000 0.000000 -15.799999)(2.000000 -8.349999 -15.799999)(2.000000 8.349999 -15.799999)(-3.500000 0.000000 -15.799999)(2.000000 8.349999 -15.799999)(-9.000000 0.000000 -15.799999)(-3.500000 0.000000 -15.799999)(2.000000 -8.349999 -14.800000)(2.000000 -8.349999 -15.799999)(-6.000000 -9.075000 -15.300000)(-6.000000 0.000000 -14.800000)(-14.000000 9.800000 -14.800000)(-6.000000 4.900000 -14.800000)(-14.000000 9.800000 -14.800000)(2.000000 8.349999 -14.800000)(-6.000000 4.900000 -14.800000)(2.000000 8.349999 -14.800000)(-6.000000 0.000000 -14.800000)(-6.000000 4.900000 -14.800000)(-6.000000 0.000000 -14.800000)(2.000000 -8.349999 -14.800000)(-6.000000 -4.900000 -14.800000)(2.000000 -8.349999 -14.800000)(-14.000000 -9.800000 -14.800000)(-6.000000 -4.900000 -14.800000)(-14.000000 -9.800000 -14.800000)(-6.000000 0.000000 -14.800000)(-6.000000 -4.900000 -14.800000)(-14.000000 9.800000 -14.800000)(-14.000000 9.800000 -15.799999)(-6.000000 9.075000 -15.300000)(-14.000000 9.800000 -15.799999)(-9.000000 0.000000 -15.799999)(2.000000 8.349999 -15.799999)(-9.000000 0.000000 -15.799999)(-14.000000 -9.800000 -15.799999)(2.000000 -8.349999 -15.799999)(2.000000 -8.349999 -14.800000)(-6.000000 -9.075000 -15.300000)(-14.000000 -9.800000 -14.800000)(-6.000000 -9.075000 -15.300000)(2.000000 -8.349999 -15.799999)(-14.000000 -9.800000 -15.799999)(-6.000000 0.000000 -14.800000)(-14.000000 -9.800000 -14.800000)(-10.000000 -0.000000 -14.800000)(-14.000000 -9.800000 -14.800000)(-14.000000 9.800000 -14.800000)(-10.000000 -0.000000 -14.800000)(-14.000000 9.800000 -14.800000)(-6.000000 0.000000 -14.800000)(-10.000000 -0.000000 -14.800000)(-14.000000 9.800000 -14.800000)(-14.333301 9.800000 0.000000)(-14.000000 9.800000 -15.799999)(-14.000000 9.800000 -15.799999)(-15.000000 9.800000 -15.799999)(-9.000000 0.000000 -15.799999)(-9.000000 0.000000 -15.799999)(-15.000000 -9.800000 -15.799999)(-14.000000 -9.800000 -15.799999)(-14.000000 -9.800000 -14.800000)(-6.000000 -9.075000 -15.300000)(-14.000000 -9.800000 -15.799999)(-14.000000 0.000000 0.000000)(-14.000000 9.800000 -14.800000)(-14.000000 0.000000 -7.400000)(-14.000000 9.800000 -14.800000)(-14.000000 -9.800000 -14.800000)(-14.000000 0.000000 -7.400000)(-14.000000 -9.800000 -14.800000)(-14.000000 0.000000 0.000000)(-14.000000 0.000000 -7.400000)(-15.000000 9.800000 -15.799999)(-14.000000 9.800000 -15.799999)(-14.333301 9.800000 0.000000)(-14.000000 9.800000 14.800000)(-14.333301 9.800000 0.000000)(-14.000000 9.800000 -14.800000)(-9.000000 0.000000 -15.799999)(-15.000000 9.800000 -15.799999)(-12.000000 0.000000 -15.799999)(-15.000000 9.800000 -15.799999)(-15.000000 -9.800000 -15.799999)(-12.000000 0.000000 -15.799999)(-15.000000 -9.800000 -15.799999)(-9.000000 0.000000 -15.799999)(-12.000000 0.000000 -15.799999)(-15.000000 -9.800000 -15.799999)(-14.333301 -9.800000 0.000000)(-14.000000 -9.800000 -15.799999)(-14.000000 -9.800000 -15.799999)(-14.333301 -9.800000 0.000000)(-14.000000 -9.800000 -14.800000)(-14.000000 0.000000 0.000000)(-14.000000 9.800000 14.800000)(-14.000000 4.900000 -0.000000)(-14.000000 9.800000 14.800000)(-14.000000 9.800000 -14.800000)(-14.000000 4.900000 -0.000000)(-14.000000 9.800000 -14.800000)(-14.000000 0.000000 0.000000)(-14.000000 4.900000 -0.000000)(-14.000000 0.000000 0.000000)(-14.000000 -9.800000 -14.800000)(-14.000000 -4.900000 0.000000)(-14.000000 -9.800000 -14.800000)(-14.000000 -9.800000 14.800000)(-14.000000 -4.900000 0.000000)(-14.000000 -9.800000 14.800000)(-14.000000 0.000000 0.000000)(-14.000000 -4.900000 0.000000)(-15.000000 9.800000 -12.500000)(-15.000000 9.800000 -15.799999)(-14.900000 9.800000 -12.500000)(-15.000000 9.800000 15.799999)(-15.000000 9.800000 12.500000)(-14.900000 9.800000 12.500000)(-14.333301 9.800000 0.000000)(-14.900000 9.800000 12.500000)(-14.900000 9.800000 -12.500000)(-15.000000 9.800000 -15.799999)(-14.333301 9.800000 0.000000)(-14.900000 9.800000 -12.500000)(-15.000000 9.800000 15.799999)(-14.900000 9.800000 12.500000)(-14.333301 9.800000 0.000000)(-14.000000 9.800000 15.799999)(-14.333301 9.800000 0.000000)(-14.000000 9.800000 14.800000)(-15.000000 -7.753160 -12.500000)(-15.000000 -9.800000 -15.799999)(-15.000000 -0.000000 -14.150001)(-15.000000 -9.800000 -15.799999)(-15.000000 9.800000 -15.799999)(-15.000000 -0.000000 -14.150001)(-15.000000 9.800000 -15.799999)(-15.000000 7.753160 -12.500000)(-15.000000 -0.000000 -14.150001)(-15.000000 7.753160 -12.500000)(-15.000000 -7.753160 -12.500000)(-15.000000 -0.000000 -14.150001)(-15.000000 -9.800000 12.500000)(-15.000000 -9.800000 15.799999)(-14.900000 -9.800000 12.500000)(-14.900000 -9.800000 11.057700)(-14.333301 -9.800000 0.000000)(-14.900000 -9.800000 -11.057700)(-15.000000 -9.800000 -12.500000)(-14.900000 -9.800000 -12.500000)(-15.000000 -9.800000 -15.799999)(-14.333301 -9.800000 0.000000)(-14.900000 -9.800000 11.057700)(-14.900000 -9.800000 12.500000)(-15.000000 -9.800000 15.799999)(-14.333301 -9.800000 0.000000)(-14.900000 -9.800000 12.500000)(-14.900000 -9.800000 -12.500000)(-14.333301 -9.800000 0.000000)(-15.000000 -9.800000 -15.799999)(-14.900000 -9.800000 -11.057700)(-14.333301 -9.800000 0.000000)(-14.900000 -9.800000 -12.500000)(-14.000000 -9.800000 -14.800000)(-14.333301 -9.800000 0.000000)(-14.000000 -9.800000 14.800000)(-14.000000 0.000000 0.000000)(-14.000000 -9.800000 14.800000)(-14.000000 -0.000000 7.400000)(-14.000000 -9.800000 14.800000)(-14.000000 9.800000 14.800000)(-14.000000 -0.000000 7.400000)(-14.000000 9.800000 14.800000)(-14.000000 0.000000 0.000000)(-14.000000 -0.000000 7.400000)(-15.000000 9.800000 15.799999)(-14.333301 9.800000 0.000000)(-14.000000 9.800000 15.799999)(-15.000000 9.768940 12.500000)(-15.000000 9.800000 12.500000)(-15.000000 9.800000 15.799999)(-15.000000 7.753160 12.500000)(-15.000000 9.741899 12.500000)(-15.000000 9.800000 15.799999)(-15.000000 9.800000 15.799999)(-15.000000 9.752500 12.500000)(-15.000000 9.741899 12.500000)(-15.000000 9.800000 15.799999)(-15.000000 9.759340 12.500000)(-15.000000 9.752500 12.500000)(-15.000000 9.800000 15.799999)(-15.000000 9.768940 12.500000)(-15.000000 9.759340 12.500000)(-14.900000 9.800000 12.500000)(-15.000000 9.800000 12.430201)(-15.000000 9.800000 12.500000)(-15.000000 9.800000 12.430201)(-15.000000 9.800000 -12.430201)(-14.900000 9.800000 12.500000)(-15.000000 9.800000 -12.430201)(-14.900000 9.800000 -12.500000)(-14.900000 9.800000 12.500000)(-14.900000 9.800000 -12.500000)(-15.000000 9.800000 -12.500000)(-15.000000 9.800000 -12.430201)(-15.000000 7.753160 -12.500000)(-15.000000 9.800000 -15.799999)(-15.000000 9.741899 -12.500000)(-15.000000 9.752080 -12.500000)(-15.000000 9.800000 -15.799999)(-15.000000 9.741899 -12.500000)(-15.000000 9.759170 -12.500000)(-15.000000 9.800000 -15.799999)(-15.000000 9.752080 -12.500000)(-15.000000 9.769140 -12.500000)(-15.000000 9.800000 -15.799999)(-15.000000 9.759170 -12.500000)(-15.000000 9.769140 -12.500000)(-15.000000 9.800000 -15.799999)(-15.000000 9.800000 -12.500000)(-14.000000 9.800000 15.799999)(-14.000000 9.800000 14.800000)(-6.000000 9.075000 15.300000)(-15.000000 -9.800000 -12.500000)(-15.000000 -9.800000 -15.799999)(-15.000000 -7.753160 -12.500000)(-15.000000 9.741899 -12.500000)(-50.700001 -11.000000 -12.500000)(-15.000000 7.753160 -12.500000)(-15.000000 7.753160 -12.500000)(-50.700001 -11.000000 -12.500000)(-15.000000 -7.753160 -12.500000)(-15.000000 -7.753160 -12.500000)(-50.700001 -11.000000 -12.500000)(-15.000000 -9.800000 -12.500000)(-14.900000 -9.800000 -12.500000)(-15.000000 -9.800000 -12.500000)(-14.900000 -11.000000 -12.500000)(-15.000000 -9.800000 -12.500000)(-50.700001 -11.000000 -12.500000)(-14.900000 -11.000000 -12.500000)(-14.900000 -9.800000 11.057700)(-14.900000 -9.800000 -11.057700)(-14.900000 -10.400000 0.000000)(-14.900000 -9.800000 -11.057700)(-14.900000 -11.000000 -12.500000)(-14.900000 -10.400000 0.000000)(-14.900000 -11.000000 -12.500000)(-14.900000 -11.000000 12.500000)(-14.900000 -10.400000 0.000000)(-14.900000 -11.000000 12.500000)(-14.900000 -9.800000 11.057700)(-14.900000 -10.400000 0.000000)(-14.900000 -11.000000 12.500000)(-14.900000 -9.800000 12.500000)(-14.900000 -9.800000 11.057700)(-15.000000 -9.800000 12.500000)(-14.900000 -9.800000 12.500000)(-14.900000 -11.000000 12.500000)(-15.000000 -7.753160 12.500000)(-15.000000 -9.800000 12.500000)(-50.700001 -11.000000 12.500000)(-15.000000 9.741899 12.500000)(-15.000000 7.753160 12.500000)(-50.700001 -11.000000 12.500000)(-15.000000 7.753160 12.500000)(-15.000000 -7.753160 12.500000)(-50.700001 -11.000000 12.500000)(-15.000000 -9.800000 12.500000)(-14.900000 -11.000000 12.500000)(-50.700001 -11.000000 12.500000)(-15.000000 -9.800000 12.500000)(-15.000000 -7.753160 12.500000)(-15.000000 -9.800000 15.799999)(-15.000000 -9.800000 15.799999)(-14.000000 -9.800000 15.799999)(-14.333301 -9.800000 0.000000)(-14.900000 -11.000000 -12.500000)(-14.900000 -9.800000 -11.057700)(-14.900000 -9.800000 -12.500000)(-14.000000 -9.800000 14.800000)(-14.333301 -9.800000 0.000000)(-14.000000 -9.800000 15.799999)(-6.000000 0.000000 14.800000)(-14.000000 9.800000 14.800000)(-10.000000 0.000000 14.800000)(-14.000000 9.800000 14.800000)(-14.000000 -9.800000 14.800000)(-10.000000 0.000000 14.800000)(-14.000000 -9.800000 14.800000)(-6.000000 0.000000 14.800000)(-10.000000 0.000000 14.800000)(-15.000000 9.800000 15.799999)(-14.000000 9.800000 15.799999)(-9.000000 0.000000 15.799999)(-15.000000 9.800000 12.500000)(-15.000000 9.768940 12.500000)(-32.850002 5.925300 12.500000)(-15.000000 9.768940 12.500000)(-39.848999 2.050600 12.500000)(-32.850002 5.925300 12.500000)(-39.848999 2.050600 12.500000)(-50.700001 9.800000 12.500000)(-32.850002 5.925300 12.500000)(-50.700001 9.800000 12.500000)(-15.000000 9.800000 12.500000)(-32.850002 5.925300 12.500000)(-15.000000 7.753160 12.500000)(-15.000000 9.800000 15.799999)(-15.000000 0.000000 14.150001)(-15.000000 9.800000 15.799999)(-15.000000 -9.800000 15.799999)(-15.000000 0.000000 14.150001)(-15.000000 -9.800000 15.799999)(-15.000000 -7.753160 12.500000)(-15.000000 0.000000 14.150001)(-15.000000 -7.753160 12.500000)(-15.000000 7.753160 12.500000)(-15.000000 0.000000 14.150001)(-15.000000 9.752500 12.500000)(-15.000000 9.741899 12.500000)(-39.848999 -2.050600 12.500000)(-39.848999 -2.050600 12.500000)(-15.000000 9.741899 12.500000)(-50.700001 -11.000000 12.500000)(-15.000000 9.759340 12.500000)(-15.000000 9.752500 12.500000)(-39.000000 0.000000 12.500000)(-39.000000 0.000000 12.500000)(-15.000000 9.752500 12.500000)(-39.848999 -2.050600 12.500000)(-15.000000 9.768940 12.500000)(-15.000000 9.759340 12.500000)(-39.848999 2.050600 12.500000)(-39.848999 2.050600 12.500000)(-15.000000 9.759340 12.500000)(-39.000000 0.000000 12.500000)(-15.000000 9.800000 12.430201)(-15.000000 9.800000 12.500000)(-32.850002 9.800000 6.250000)(-15.000000 9.800000 12.500000)(-50.700001 9.800000 12.500000)(-32.850002 9.800000 6.250000)(-50.700001 9.800000 12.500000)(-32.799999 9.800000 0.000000)(-32.850002 9.800000 6.250000)(-32.799999 9.800000 0.000000)(-15.000000 9.800000 12.430201)(-32.850002 9.800000 6.250000)(-15.000000 9.800000 -12.430201)(-15.000000 9.800000 12.430201)(-23.900000 9.800000 0.000000)(-15.000000 9.800000 12.430201)(-32.799999 9.800000 0.000000)(-23.900000 9.800000 0.000000)(-32.799999 9.800000 0.000000)(-15.000000 9.800000 -12.430201)(-23.900000 9.800000 0.000000)(-32.799999 9.800000 0.000000)(-50.700001 9.800000 -12.500000)(-32.850002 9.800000 -6.250000)(-50.700001 9.800000 -12.500000)(-15.000000 9.800000 -12.500000)(-32.850002 9.800000 -6.250000)(-15.000000 9.800000 -12.500000)(-15.000000 9.800000 -12.430201)(-32.850002 9.800000 -6.250000)(-15.000000 9.800000 -12.430201)(-32.799999 9.800000 0.000000)(-32.850002 9.800000 -6.250000)(-15.000000 9.769140 -12.500000)(-15.000000 9.800000 -12.500000)(-32.850002 5.960650 -12.500000)(-15.000000 9.800000 -12.500000)(-50.700001 9.800000 -12.500000)(-32.850002 5.960650 -12.500000)(-50.700001 9.800000 -12.500000)(-39.778999 2.121300 -12.500000)(-32.850002 5.960650 -12.500000)(-39.778999 2.121300 -12.500000)(-15.000000 9.769140 -12.500000)(-32.850002 5.960650 -12.500000)(-15.000000 9.769140 -12.500000)(-39.778999 2.121300 -12.500000)(-15.000000 9.759170 -12.500000)(-39.778999 2.121300 -12.500000)(-38.899998 0.000000 -12.500000)(-15.000000 9.759170 -12.500000)(-15.000000 9.759170 -12.500000)(-38.899998 0.000000 -12.500000)(-15.000000 9.752080 -12.500000)(-38.899998 0.000000 -12.500000)(-39.778999 -2.121300 -12.500000)(-15.000000 9.752080 -12.500000)(-15.000000 9.752080 -12.500000)(-39.778999 -2.121300 -12.500000)(-15.000000 9.741899 -12.500000)(-15.000000 9.741899 -12.500000)(-39.778999 -2.121300 -12.500000)(-50.700001 -11.000000 -12.500000)(-14.000000 9.800000 15.799999)(-6.000000 9.075000 15.300000)(2.000000 8.349999 15.799999)(-6.000000 9.075000 15.300000)(-14.000000 9.800000 14.800000)(2.000000 8.349999 14.800000)(-32.799999 -11.000000 0.000000)(-14.900000 -11.000000 -12.500000)(-32.799999 -11.000000 -6.250000)(-14.900000 -11.000000 -12.500000)(-50.700001 -11.000000 -12.500000)(-32.799999 -11.000000 -6.250000)(-50.700001 -11.000000 -12.500000)(-32.799999 -11.000000 0.000000)(-32.799999 -11.000000 -6.250000)(-32.799999 -11.000000 0.000000)(-14.900000 -11.000000 12.500000)(-23.850000 -11.000000 0.000000)(-14.900000 -11.000000 12.500000)(-14.900000 -11.000000 -12.500000)(-23.850000 -11.000000 0.000000)(-14.900000 -11.000000 -12.500000)(-32.799999 -11.000000 0.000000)(-23.850000 -11.000000 0.000000)(-32.799999 -11.000000 0.000000)(-50.700001 -11.000000 12.500000)(-32.799999 -11.000000 6.250000)(-50.700001 -11.000000 12.500000)(-14.900000 -11.000000 12.500000)(-32.799999 -11.000000 6.250000)(-14.900000 -11.000000 12.500000)(-32.799999 -11.000000 0.000000)(-32.799999 -11.000000 6.250000)(-9.000000 0.000000 15.799999)(-14.000000 -9.800000 15.799999)(-15.000000 -9.800000 15.799999)(-14.000000 -9.800000 15.799999)(-6.000000 -9.075000 15.300000)(-14.000000 -9.800000 14.800000)(-6.000000 0.000000 14.800000)(2.000000 8.349999 14.800000)(-6.000000 4.900000 14.800000)(2.000000 8.349999 14.800000)(-14.000000 9.800000 14.800000)(-6.000000 4.900000 14.800000)(-14.000000 9.800000 14.800000)(-6.000000 0.000000 14.800000)(-6.000000 4.900000 14.800000)(-6.000000 0.000000 14.800000)(-14.000000 -9.800000 14.800000)(-6.000000 -4.900000 14.800000)(-14.000000 -9.800000 14.800000)(2.000000 -8.349999 14.800000)(-6.000000 -4.900000 14.800000)(2.000000 -8.349999 14.800000)(-6.000000 0.000000 14.800000)(-6.000000 -4.900000 14.800000)(-9.000000 0.000000 15.799999)(-15.000000 -9.800000 15.799999)(-12.000000 0.000000 15.799999)(-15.000000 -9.800000 15.799999)(-15.000000 9.800000 15.799999)(-12.000000 0.000000 15.799999)(-15.000000 9.800000 15.799999)(-9.000000 0.000000 15.799999)(-12.000000 0.000000 15.799999)(-14.000000 9.800000 15.799999)(2.000000 8.349999 15.799999)(-9.000000 0.000000 15.799999)(-50.700001 9.800000 12.500000)(-39.848999 2.050600 12.500000)(-41.900002 2.900000 12.500000)(-41.900002 -2.900000 12.500000)(-39.848999 -2.050600 12.500000)(-50.700001 -11.000000 12.500000)(-39.424999 -1.025300 14.150001)(-39.000000 0.000000 12.500000)(-39.424698 -1.025210 13.325000)(-39.000000 0.000000 12.500000)(-39.848999 -2.050600 12.500000)(-39.424698 -1.025210 13.325000)(-39.848999 -2.050600 12.500000)(-39.424999 -1.025300 14.150001)(-39.424698 -1.025210 13.325000)(-39.424698 1.025210 13.325000)(-39.424999 1.025300 14.150001)(-39.848999 2.050600 12.500000)(-39.424698 1.025210 13.325000)(-39.848999 2.050600 12.500000)(-39.000000 0.000000 12.500000)(-39.424698 1.025210 13.325000)(-39.000000 0.000000 12.500000)(-39.424999 1.025300 14.150001)(-32.799999 9.800000 0.000000)(-50.700001 9.800000 12.500000)(-41.750000 9.800000 0.000000)(-50.700001 9.800000 12.500000)(-50.700001 9.800000 -12.500000)(-41.750000 9.800000 0.000000)(-50.700001 9.800000 -12.500000)(-32.799999 9.800000 0.000000)(-41.750000 9.800000 0.000000)(-41.900002 3.000000 -12.500000)(-39.778999 2.121300 -12.500000)(-50.700001 9.800000 -12.500000)(-39.338997 1.060700 -14.150001)(-38.899998 0.000000 -12.500000)(-39.339302 1.060740 -13.325000)(-38.899998 0.000000 -12.500000)(-39.778999 2.121300 -12.500000)(-39.339302 1.060740 -13.325000)(-39.778999 2.121300 -12.500000)(-39.338997 1.060700 -14.150001)(-39.339302 1.060740 -13.325000)(-39.338997 -1.060700 -14.150001)(-39.778999 -2.121300 -12.500000)(-39.339302 -1.060740 -13.325000)(-39.778999 -2.121300 -12.500000)(-38.899998 0.000000 -12.500000)(-39.339302 -1.060740 -13.325000)(-38.899998 0.000000 -12.500000)(-39.338997 -1.060700 -14.150001)(-39.339302 -1.060740 -13.325000)(-50.700001 -11.000000 -12.500000)(-39.778999 -2.121300 -12.500000)(-41.900002 -3.000000 -12.500000)(2.000000 8.349999 15.799999)(-6.000000 9.075000 15.300000)(2.000000 8.349999 14.800000)(-32.799999 -11.000000 0.000000)(-50.700001 -11.000000 -12.500000)(-41.750000 -11.000000 -0.000000)(-50.700001 -11.000000 -12.500000)(-50.700001 -11.000000 12.500000)(-41.750000 -11.000000 -0.000000)(-50.700001 -11.000000 12.500000)(-32.799999 -11.000000 0.000000)(-41.750000 -11.000000 -0.000000)(-9.000000 0.000000 15.799999)(2.000000 -8.349999 15.799999)(-14.000000 -9.800000 15.799999)(-14.000000 -9.800000 14.800000)(-6.000000 -9.075000 15.300000)(2.000000 -8.349999 14.800000)(2.000000 -8.349999 15.799999)(-6.000000 -9.075000 15.300000)(-14.000000 -9.800000 15.799999)(-6.000000 0.000000 14.800000)(2.000000 -8.349999 14.800000)(-2.000000 0.000000 14.800000)(2.000000 -8.349999 14.800000)(2.000000 8.349999 14.800000)(-2.000000 0.000000 14.800000)(2.000000 8.349999 14.800000)(-6.000000 0.000000 14.800000)(-2.000000 0.000000 14.800000)(-9.000000 0.000000 15.799999)(2.000000 8.349999 15.799999)(-3.500000 0.000000 15.799999)(2.000000 8.349999 15.799999)(2.000000 -8.349999 15.799999)(-3.500000 0.000000 15.799999)(2.000000 -8.349999 15.799999)(-9.000000 0.000000 15.799999)(-3.500000 0.000000 15.799999)(-40.874500 2.475210 13.325000)(-40.875000 2.475300 14.150001)(-41.900002 2.900000 12.500000)(-40.874500 2.475210 13.325000)(-41.900002 2.900000 12.500000)(-39.848999 2.050600 12.500000)(-40.874500 2.475210 13.325000)(-39.848999 2.050600 12.500000)(-40.875000 2.475300 14.150001)(-50.700001 9.800000 12.500000)(-41.900002 2.900000 12.500000)(-43.951000 2.050600 12.500000)(-43.951000 -2.050600 12.500000)(-41.900002 -2.900000 12.500000)(-50.700001 -11.000000 12.500000)(-40.875000 -2.475300 14.150001)(-39.848999 -2.050600 12.500000)(-40.874500 -2.475210 13.325000)(-39.848999 -2.050600 12.500000)(-41.900002 -2.900000 12.500000)(-40.874500 -2.475210 13.325000)(-41.900002 -2.900000 12.500000)(-40.875000 -2.475300 14.150001)(-40.874500 -2.475210 13.325000)(-39.424999 -1.025300 14.150001)(-39.000000 0.000000 15.799999)(-39.212498 -0.512650 14.150001)(-39.000000 0.000000 15.799999)(-39.000000 0.000000 12.500000)(-39.212498 -0.512650 14.150001)(-39.000000 0.000000 12.500000)(-39.424999 -1.025300 14.150001)(-39.212498 -0.512650 14.150001)(-39.424999 -1.025300 14.150001)(-39.848999 -2.050600 12.500000)(-39.637001 -1.537950 14.150001)(-39.848999 -2.050600 12.500000)(-39.848999 -2.050600 15.799999)(-39.637001 -1.537950 14.150001)(-39.848999 -2.050600 15.799999)(-39.424999 -1.025300 14.150001)(-39.637001 -1.537950 14.150001)(-39.424999 1.025300 14.150001)(-39.848999 2.050600 15.799999)(-39.637001 1.537950 14.150001)(-39.848999 2.050600 15.799999)(-39.848999 2.050600 12.500000)(-39.637001 1.537950 14.150001)(-39.848999 2.050600 12.500000)(-39.424999 1.025300 14.150001)(-39.637001 1.537950 14.150001)(-39.424999 1.025300 14.150001)(-39.000000 0.000000 12.500000)(-39.212498 0.512650 14.150001)(-39.000000 0.000000 12.500000)(-39.000000 0.000000 15.799999)(-39.212498 0.512650 14.150001)(-39.000000 0.000000 15.799999)(-39.424999 1.025300 14.150001)(-39.212498 0.512650 14.150001)(-50.700001 -0.599999 0.000000)(-50.700001 9.800000 -12.500000)(-50.700001 4.600000 0.000000)(-50.700001 9.800000 -12.500000)(-50.700001 9.800000 12.500000)(-50.700001 4.600000 0.000000)(-50.700001 9.800000 12.500000)(-50.700001 -0.599999 0.000000)(-50.700001 4.600000 0.000000)(-50.700001 9.800000 -12.500000)(-44.021000 2.121300 -12.500000)(-41.900002 3.000000 -12.500000)(-40.839001 2.560700 -14.150001)(-39.778999 2.121300 -12.500000)(-40.839500 2.560760 -13.325000)(-39.778999 2.121300 -12.500000)(-41.900002 3.000000 -12.500000)(-40.839500 2.560760 -13.325000)(-41.900002 3.000000 -12.500000)(-40.839001 2.560700 -14.150001)(-40.839500 2.560760 -13.325000)(-39.338997 1.060700 -14.150001)(-38.899998 0.000000 -15.799999)(-39.119499 0.530350 -14.150001)(-38.899998 0.000000 -15.799999)(-38.899998 0.000000 -12.500000)(-39.119499 0.530350 -14.150001)(-38.899998 0.000000 -12.500000)(-39.338997 1.060700 -14.150001)(-39.119499 0.530350 -14.150001)(-39.338997 1.060700 -14.150001)(-39.778999 2.121300 -12.500000)(-39.558998 1.591000 -14.150001)(-39.778999 2.121300 -12.500000)(-39.778999 2.121300 -15.799999)(-39.558998 1.591000 -14.150001)(-39.778999 2.121300 -15.799999)(-39.338997 1.060700 -14.150001)(-39.558998 1.591000 -14.150001)(-39.338997 -1.060700 -14.150001)(-39.778999 -2.121300 -15.799999)(-39.558998 -1.591000 -14.150001)(-39.778999 -2.121300 -15.799999)(-39.778999 -2.121300 -12.500000)(-39.558998 -1.591000 -14.150001)(-39.778999 -2.121300 -12.500000)(-39.338997 -1.060700 -14.150001)(-39.558998 -1.591000 -14.150001)(-39.338997 -1.060700 -14.150001)(-38.899998 0.000000 -12.500000)(-39.119499 -0.530350 -14.150001)(-38.899998 0.000000 -12.500000)(-38.899998 0.000000 -15.799999)(-39.119499 -0.530350 -14.150001)(-38.899998 0.000000 -15.799999)(-39.338997 -1.060700 -14.150001)(-39.119499 -0.530350 -14.150001)(-40.839500 -2.560760 -13.325000)(-40.839001 -2.560700 -14.150001)(-41.900002 -3.000000 -12.500000)(-40.839500 -2.560760 -13.325000)(-41.900002 -3.000000 -12.500000)(-39.778999 -2.121300 -12.500000)(-40.839500 -2.560760 -13.325000)(-39.778999 -2.121300 -12.500000)(-40.839001 -2.560700 -14.150001)(-44.021000 -2.121300 -12.500000)(-50.700001 -11.000000 -12.500000)(-41.900002 -3.000000 -12.500000)(2.000000 0.000000 15.300000)(2.000000 8.349999 15.799999)(2.000000 8.349999 14.800000)(-50.700001 -0.599999 0.000000)(-50.700001 -11.000000 12.500000)(-50.700001 -5.800000 -0.000000)(-50.700001 -11.000000 12.500000)(-50.700001 -11.000000 -12.500000)(-50.700001 -5.800000 -0.000000)(-50.700001 -11.000000 -12.500000)(-50.700001 -0.599999 0.000000)(-50.700001 -5.800000 -0.000000)(2.000000 -8.349999 15.799999)(2.000000 -8.349999 14.800000)(-6.000000 -9.075000 15.300000)(2.000000 -8.349999 14.800000)(2.000000 0.000000 15.300000)(2.000000 8.349999 14.800000)(2.000000 8.349999 15.799999)(2.000000 0.000000 15.300000)(2.000000 -8.349999 15.799999)(-40.875000 2.475300 14.150001)(-41.900002 2.900000 15.799999)(-41.387497 2.687650 14.150001)(-41.900002 2.900000 15.799999)(-41.900002 2.900000 12.500000)(-41.387497 2.687650 14.150001)(-41.900002 2.900000 12.500000)(-40.875000 2.475300 14.150001)(-41.387497 2.687650 14.150001)(-40.875000 2.475300 14.150001)(-39.848999 2.050600 12.500000)(-40.362000 2.262950 14.150001)(-39.848999 2.050600 12.500000)(-39.848999 2.050600 15.799999)(-40.362000 2.262950 14.150001)(-39.848999 2.050600 15.799999)(-40.875000 2.475300 14.150001)(-40.362000 2.262950 14.150001)(-42.924999 2.475300 14.150001)(-43.951000 2.050600 12.500000)(-42.925499 2.475210 13.325000)(-43.951000 2.050600 12.500000)(-41.900002 2.900000 12.500000)(-42.925499 2.475210 13.325000)(-41.900002 2.900000 12.500000)(-42.924999 2.475300 14.150001)(-42.925499 2.475210 13.325000)(-50.700001 9.800000 12.500000)(-43.951000 2.050600 12.500000)(-50.700001 -11.000000 12.500000)(-44.799999 0.000000 12.500000)(-43.951000 -2.050600 12.500000)(-50.700001 -11.000000 12.500000)(-42.924999 -2.475300 14.150001)(-41.900002 -2.900000 12.500000)(-42.925499 -2.475210 13.325000)(-41.900002 -2.900000 12.500000)(-43.951000 -2.050600 12.500000)(-42.925499 -2.475210 13.325000)(-43.951000 -2.050600 12.500000)(-42.924999 -2.475300 14.150001)(-42.925499 -2.475210 13.325000)(-40.875000 -2.475300 14.150001)(-39.848999 -2.050600 15.799999)(-40.362000 -2.262950 14.150001)(-39.848999 -2.050600 15.799999)(-39.848999 -2.050600 12.500000)(-40.362000 -2.262950 14.150001)(-39.848999 -2.050600 12.500000)(-40.875000 -2.475300 14.150001)(-40.362000 -2.262950 14.150001)(-40.875000 -2.475300 14.150001)(-41.900002 -2.900000 12.500000)(-41.387497 -2.687650 14.150001)(-41.900002 -2.900000 12.500000)(-41.900002 -2.900000 15.799999)(-41.387497 -2.687650 14.150001)(-41.900002 -2.900000 15.799999)(-40.875000 -2.475300 14.150001)(-41.387497 -2.687650 14.150001)(-39.424999 -1.025300 14.150001)(-39.848999 -2.050600 15.799999)(-39.424698 -1.025210 14.975000)(-39.848999 -2.050600 15.799999)(-39.000000 0.000000 15.799999)(-39.424698 -1.025210 14.975000)(-39.000000 0.000000 15.799999)(-39.424999 -1.025300 14.150001)(-39.424698 -1.025210 14.975000)(-39.424999 1.025300 14.150001)(-39.000000 0.000000 15.799999)(-39.424698 1.025210 14.975000)(-39.000000 0.000000 15.799999)(-39.848999 2.050600 15.799999)(-39.424698 1.025210 14.975000)(-39.848999 2.050600 15.799999)(-39.424999 1.025300 14.150001)(-39.424698 1.025210 14.975000)(-50.700001 -0.599999 0.000000)(-50.700001 -11.000000 -12.500000)(-50.700001 -0.600000 -6.250000)(-50.700001 -11.000000 -12.500000)(-50.700001 9.800000 -12.500000)(-50.700001 -0.600000 -6.250000)(-50.700001 9.800000 -12.500000)(-50.700001 -0.599999 0.000000)(-50.700001 -0.600000 -6.250000)(-50.700001 -0.599999 0.000000)(-50.700001 9.800000 12.500000)(-50.700001 -0.600000 6.250000)(-50.700001 9.800000 12.500000)(-50.700001 -11.000000 12.500000)(-50.700001 -0.600000 6.250000)(-50.700001 -11.000000 12.500000)(-50.700001 -0.599999 0.000000)(-50.700001 -0.600000 6.250000)(-44.021000 2.121300 -12.500000)(-50.700001 9.800000 -12.500000)(-50.700001 -11.000000 -12.500000)(-42.960499 2.560760 -13.325000)(-42.961002 2.560700 -14.150001)(-41.900002 3.000000 -12.500000)(-42.960499 2.560760 -13.325000)(-41.900002 3.000000 -12.500000)(-44.021000 2.121300 -12.500000)(-42.960499 2.560760 -13.325000)(-44.021000 2.121300 -12.500000)(-42.961002 2.560700 -14.150001)(-40.839001 2.560700 -14.150001)(-39.778999 2.121300 -15.799999)(-40.309002 2.341000 -14.150001)(-39.778999 2.121300 -15.799999)(-39.778999 2.121300 -12.500000)(-40.309002 2.341000 -14.150001)(-39.778999 2.121300 -12.500000)(-40.839001 2.560700 -14.150001)(-40.309002 2.341000 -14.150001)(-40.839001 2.560700 -14.150001)(-41.900002 3.000000 -12.500000)(-41.369503 2.780350 -14.150001)(-41.900002 3.000000 -12.500000)(-41.900002 3.000000 -15.799999)(-41.369503 2.780350 -14.150001)(-41.900002 3.000000 -15.799999)(-40.839001 2.560700 -14.150001)(-41.369503 2.780350 -14.150001)(-39.338997 1.060700 -14.150001)(-39.778999 2.121300 -15.799999)(-39.339302 1.060740 -14.975000)(-39.778999 2.121300 -15.799999)(-38.899998 0.000000 -15.799999)(-39.339302 1.060740 -14.975000)(-38.899998 0.000000 -15.799999)(-39.338997 1.060700 -14.150001)(-39.339302 1.060740 -14.975000)(-39.338997 -1.060700 -14.150001)(-38.899998 0.000000 -15.799999)(-39.339302 -1.060740 -14.975000)(-38.899998 0.000000 -15.799999)(-39.778999 -2.121300 -15.799999)(-39.339302 -1.060740 -14.975000)(-39.778999 -2.121300 -15.799999)(-39.338997 -1.060700 -14.150001)(-39.339302 -1.060740 -14.975000)(-40.839001 -2.560700 -14.150001)(-39.778999 -2.121300 -12.500000)(-40.309002 -2.341000 -14.150001)(-39.778999 -2.121300 -12.500000)(-39.778999 -2.121300 -15.799999)(-40.309002 -2.341000 -14.150001)(-39.778999 -2.121300 -15.799999)(-40.839001 -2.560700 -14.150001)(-40.309002 -2.341000 -14.150001)(-40.839001 -2.560700 -14.150001)(-41.900002 -3.000000 -15.799999)(-41.369503 -2.780350 -14.150001)(-41.900002 -3.000000 -15.799999)(-41.900002 -3.000000 -12.500000)(-41.369503 -2.780350 -14.150001)(-41.900002 -3.000000 -12.500000)(-40.839001 -2.560700 -14.150001)(-41.369503 -2.780350 -14.150001)(-42.961002 -2.560700 -14.150001)(-44.021000 -2.121300 -12.500000)(-42.960499 -2.560760 -13.325000)(-44.021000 -2.121300 -12.500000)(-41.900002 -3.000000 -12.500000)(-42.960499 -2.560760 -13.325000)(-41.900002 -3.000000 -12.500000)(-42.961002 -2.560700 -14.150001)(-42.960499 -2.560760 -13.325000)(-44.021000 -2.121300 -12.500000)(-44.900002 0.000000 -12.500000)(-50.700001 -11.000000 -12.500000)(2.000000 -8.349999 14.800000)(2.000000 -8.349999 15.799999)(2.000000 0.000000 15.300000)(-40.874500 2.475210 14.975000)(-40.875000 2.475300 14.150001)(-39.848999 2.050600 15.799999)(-40.874500 2.475210 14.975000)(-39.848999 2.050600 15.799999)(-41.900002 2.900000 15.799999)(-40.874500 2.475210 14.975000)(-41.900002 2.900000 15.799999)(-40.875000 2.475300 14.150001)(-42.924999 2.475300 14.150001)(-41.900002 2.900000 12.500000)(-42.412502 2.687650 14.150001)(-41.900002 2.900000 12.500000)(-41.900002 2.900000 15.799999)(-42.412502 2.687650 14.150001)(-41.900002 2.900000 15.799999)(-42.924999 2.475300 14.150001)(-42.412502 2.687650 14.150001)(-42.924999 2.475300 14.150001)(-43.951000 2.050600 15.799999)(-43.438000 2.262950 14.150001)(-43.951000 2.050600 15.799999)(-43.951000 2.050600 12.500000)(-43.438000 2.262950 14.150001)(-43.951000 2.050600 12.500000)(-42.924999 2.475300 14.150001)(-43.438000 2.262950 14.150001)(-43.951000 2.050600 12.500000)(-44.799999 0.000000 12.500000)(-50.700001 -11.000000 12.500000)(-44.375301 -1.025210 13.325000)(-44.375000 -1.025300 14.150001)(-43.951000 -2.050600 12.500000)(-44.375301 -1.025210 13.325000)(-43.951000 -2.050600 12.500000)(-44.799999 0.000000 12.500000)(-44.375301 -1.025210 13.325000)(-44.799999 0.000000 12.500000)(-44.375000 -1.025300 14.150001)(-42.924999 -2.475300 14.150001)(-41.900002 -2.900000 15.799999)(-42.412502 -2.687650 14.150001)(-41.900002 -2.900000 15.799999)(-41.900002 -2.900000 12.500000)(-42.412502 -2.687650 14.150001)(-41.900002 -2.900000 12.500000)(-42.924999 -2.475300 14.150001)(-42.412502 -2.687650 14.150001)(-42.924999 -2.475300 14.150001)(-43.951000 -2.050600 12.500000)(-43.438000 -2.262950 14.150001)(-43.951000 -2.050600 12.500000)(-43.951000 -2.050600 15.799999)(-43.438000 -2.262950 14.150001)(-43.951000 -2.050600 15.799999)(-42.924999 -2.475300 14.150001)(-43.438000 -2.262950 14.150001)(-40.875000 -2.475300 14.150001)(-41.900002 -2.900000 15.799999)(-40.874500 -2.475210 14.975000)(-41.900002 -2.900000 15.799999)(-39.848999 -2.050600 15.799999)(-40.874500 -2.475210 14.975000)(-39.848999 -2.050600 15.799999)(-40.875000 -2.475300 14.150001)(-40.874500 -2.475210 14.975000)(-39.000000 0.000000 15.799999)(-39.848999 -2.050600 15.799999)(-41.900002 0.000000 15.799999)(-39.848999 2.050600 15.799999)(-39.000000 0.000000 15.799999)(-41.900002 0.000000 15.799999)(-50.700001 -11.000000 -12.500000)(-44.900002 0.000000 -12.500000)(-44.021000 2.121300 -12.500000)(-42.961002 2.560700 -14.150001)(-41.900002 3.000000 -15.799999)(-42.430500 2.780350 -14.150001)(-41.900002 3.000000 -15.799999)(-41.900002 3.000000 -12.500000)(-42.430500 2.780350 -14.150001)(-41.900002 3.000000 -12.500000)(-42.961002 2.560700 -14.150001)(-42.430500 2.780350 -14.150001)(-42.961002 2.560700 -14.150001)(-44.021000 2.121300 -12.500000)(-43.490997 2.341000 -14.150001)(-44.021000 2.121300 -12.500000)(-44.021000 2.121300 -15.799999)(-43.490997 2.341000 -14.150001)(-44.021000 2.121300 -15.799999)(-42.961002 2.560700 -14.150001)(-43.490997 2.341000 -14.150001)(-40.839001 2.560700 -14.150001)(-41.900002 3.000000 -15.799999)(-40.839500 2.560760 -14.975000)(-41.900002 3.000000 -15.799999)(-39.778999 2.121300 -15.799999)(-40.839500 2.560760 -14.975000)(-39.778999 2.121300 -15.799999)(-40.839001 2.560700 -14.150001)(-40.839500 2.560760 -14.975000)(-39.778999 2.121300 -15.799999)(-41.900002 0.000000 -15.799999)(-38.899998 0.000000 -15.799999)(-38.899998 0.000000 -15.799999)(-41.900002 0.000000 -15.799999)(-39.778999 -2.121300 -15.799999)(-40.839500 -2.560760 -14.975000)(-40.839001 -2.560700 -14.150001)(-39.778999 -2.121300 -15.799999)(-40.839500 -2.560760 -14.975000)(-39.778999 -2.121300 -15.799999)(-41.900002 -3.000000 -15.799999)(-40.839500 -2.560760 -14.975000)(-41.900002 -3.000000 -15.799999)(-40.839001 -2.560700 -14.150001)(-42.961002 -2.560700 -14.150001)(-41.900002 -3.000000 -12.500000)(-42.430500 -2.780350 -14.150001)(-41.900002 -3.000000 -12.500000)(-41.900002 -3.000000 -15.799999)(-42.430500 -2.780350 -14.150001)(-41.900002 -3.000000 -15.799999)(-42.961002 -2.560700 -14.150001)(-42.430500 -2.780350 -14.150001)(-42.961002 -2.560700 -14.150001)(-44.021000 -2.121300 -15.799999)(-43.490997 -2.341000 -14.150001)(-44.021000 -2.121300 -15.799999)(-44.021000 -2.121300 -12.500000)(-43.490997 -2.341000 -14.150001)(-44.021000 -2.121300 -12.500000)(-42.961002 -2.560700 -14.150001)(-43.490997 -2.341000 -14.150001)(-44.461002 -1.060700 -14.150001)(-44.900002 0.000000 -12.500000)(-44.460697 -1.060740 -13.325000)(-44.900002 0.000000 -12.500000)(-44.021000 -2.121300 -12.500000)(-44.460697 -1.060740 -13.325000)(-44.021000 -2.121300 -12.500000)(-44.461002 -1.060700 -14.150001)(-44.460697 -1.060740 -13.325000)(-41.900002 2.900000 15.799999)(-39.848999 2.050600 15.799999)(-41.900002 0.000000 15.799999)(-42.924999 2.475300 14.150001)(-41.900002 2.900000 15.799999)(-42.925499 2.475210 14.975000)(-41.900002 2.900000 15.799999)(-43.951000 2.050600 15.799999)(-42.925499 2.475210 14.975000)(-43.951000 2.050600 15.799999)(-42.924999 2.475300 14.150001)(-42.925499 2.475210 14.975000)(-44.375000 1.025300 14.150001)(-43.951000 2.050600 12.500000)(-44.162998 1.537950 14.150001)(-43.951000 2.050600 12.500000)(-43.951000 2.050600 15.799999)(-44.162998 1.537950 14.150001)(-43.951000 2.050600 15.799999)(-44.375000 1.025300 14.150001)(-44.162998 1.537950 14.150001)(-44.375000 1.025300 14.150001)(-44.799999 0.000000 12.500000)(-44.375301 1.025210 13.325000)(-44.799999 0.000000 12.500000)(-43.951000 2.050600 12.500000)(-44.375301 1.025210 13.325000)(-43.951000 2.050600 12.500000)(-44.375000 1.025300 14.150001)(-44.375301 1.025210 13.325000)(-44.375000 -1.025300 14.150001)(-43.951000 -2.050600 15.799999)(-44.162998 -1.537950 14.150001)(-43.951000 -2.050600 15.799999)(-43.951000 -2.050600 12.500000)(-44.162998 -1.537950 14.150001)(-43.951000 -2.050600 12.500000)(-44.375000 -1.025300 14.150001)(-44.162998 -1.537950 14.150001)(-44.375000 -1.025300 14.150001)(-44.799999 0.000000 12.500000)(-44.587502 -0.512650 14.150001)(-44.799999 0.000000 12.500000)(-44.799999 0.000000 15.799999)(-44.587502 -0.512650 14.150001)(-44.799999 0.000000 15.799999)(-44.375000 -1.025300 14.150001)(-44.587502 -0.512650 14.150001)(-42.925499 -2.475210 14.975000)(-42.924999 -2.475300 14.150001)(-43.951000 -2.050600 15.799999)(-42.925499 -2.475210 14.975000)(-43.951000 -2.050600 15.799999)(-41.900002 -2.900000 15.799999)(-42.925499 -2.475210 14.975000)(-41.900002 -2.900000 15.799999)(-42.924999 -2.475300 14.150001)(-41.900002 0.000000 15.799999)(-39.848999 -2.050600 15.799999)(-41.900002 -2.900000 15.799999)(-44.461002 1.060700 -14.150001)(-44.021000 2.121300 -12.500000)(-44.460697 1.060740 -13.325000)(-44.021000 2.121300 -12.500000)(-44.900002 0.000000 -12.500000)(-44.460697 1.060740 -13.325000)(-44.900002 0.000000 -12.500000)(-44.461002 1.060700 -14.150001)(-44.460697 1.060740 -13.325000)(-42.960499 2.560760 -14.975000)(-42.961002 2.560700 -14.150001)(-44.021000 2.121300 -15.799999)(-42.960499 2.560760 -14.975000)(-44.021000 2.121300 -15.799999)(-41.900002 3.000000 -15.799999)(-42.960499 2.560760 -14.975000)(-41.900002 3.000000 -15.799999)(-42.961002 2.560700 -14.150001)(-44.461002 1.060700 -14.150001)(-44.021000 2.121300 -15.799999)(-44.241001 1.591000 -14.150001)(-44.021000 2.121300 -15.799999)(-44.021000 2.121300 -12.500000)(-44.241001 1.591000 -14.150001)(-44.021000 2.121300 -12.500000)(-44.461002 1.060700 -14.150001)(-44.241001 1.591000 -14.150001)(-39.778999 2.121300 -15.799999)(-41.900002 3.000000 -15.799999)(-41.900002 0.000000 -15.799999)(-41.900002 0.000000 -15.799999)(-41.900002 -3.000000 -15.799999)(-39.778999 -2.121300 -15.799999)(-42.961002 -2.560700 -14.150001)(-41.900002 -3.000000 -15.799999)(-42.960499 -2.560760 -14.975000)(-41.900002 -3.000000 -15.799999)(-44.021000 -2.121300 -15.799999)(-42.960499 -2.560760 -14.975000)(-44.021000 -2.121300 -15.799999)(-42.961002 -2.560700 -14.150001)(-42.960499 -2.560760 -14.975000)(-44.461002 -1.060700 -14.150001)(-44.021000 -2.121300 -12.500000)(-44.241001 -1.591000 -14.150001)(-44.021000 -2.121300 -12.500000)(-44.021000 -2.121300 -15.799999)(-44.241001 -1.591000 -14.150001)(-44.021000 -2.121300 -15.799999)(-44.461002 -1.060700 -14.150001)(-44.241001 -1.591000 -14.150001)(-44.461002 -1.060700 -14.150001)(-44.900002 0.000000 -15.799999)(-44.680500 -0.530350 -14.150001)(-44.900002 0.000000 -15.799999)(-44.900002 0.000000 -12.500000)(-44.680500 -0.530350 -14.150001)(-44.900002 0.000000 -12.500000)(-44.461002 -1.060700 -14.150001)(-44.680500 -0.530350 -14.150001)(-41.900002 2.900000 15.799999)(-41.900002 0.000000 15.799999)(-43.951000 2.050600 15.799999)(-44.375000 1.025300 14.150001)(-43.951000 2.050600 15.799999)(-44.375301 1.025210 14.975000)(-43.951000 2.050600 15.799999)(-44.799999 0.000000 15.799999)(-44.375301 1.025210 14.975000)(-44.799999 0.000000 15.799999)(-44.375000 1.025300 14.150001)(-44.375301 1.025210 14.975000)(-44.375000 1.025300 14.150001)(-44.799999 0.000000 15.799999)(-44.587502 0.512650 14.150001)(-44.799999 0.000000 15.799999)(-44.799999 0.000000 12.500000)(-44.587502 0.512650 14.150001)(-44.799999 0.000000 12.500000)(-44.375000 1.025300 14.150001)(-44.587502 0.512650 14.150001)(-44.375000 -1.025300 14.150001)(-44.799999 0.000000 15.799999)(-44.375301 -1.025210 14.975000)(-44.799999 0.000000 15.799999)(-43.951000 -2.050600 15.799999)(-44.375301 -1.025210 14.975000)(-43.951000 -2.050600 15.799999)(-44.375000 -1.025300 14.150001)(-44.375301 -1.025210 14.975000)(-41.900002 0.000000 15.799999)(-41.900002 -2.900000 15.799999)(-43.951000 -2.050600 15.799999)(-44.461002 1.060700 -14.150001)(-44.900002 0.000000 -12.500000)(-44.680500 0.530350 -14.150001)(-44.900002 0.000000 -12.500000)(-44.900002 0.000000 -15.799999)(-44.680500 0.530350 -14.150001)(-44.900002 0.000000 -15.799999)(-44.461002 1.060700 -14.150001)(-44.680500 0.530350 -14.150001)(-41.900002 3.000000 -15.799999)(-44.021000 2.121300 -15.799999)(-41.900002 0.000000 -15.799999)(-44.461002 1.060700 -14.150001)(-44.900002 0.000000 -15.799999)(-44.460697 1.060740 -14.975000)(-44.900002 0.000000 -15.799999)(-44.021000 2.121300 -15.799999)(-44.460697 1.060740 -14.975000)(-44.021000 2.121300 -15.799999)(-44.461002 1.060700 -14.150001)(-44.460697 1.060740 -14.975000)(-41.900002 0.000000 -15.799999)(-44.021000 -2.121300 -15.799999)(-41.900002 -3.000000 -15.799999)(-44.460697 -1.060740 -14.975000)(-44.461002 -1.060700 -14.150001)(-44.021000 -2.121300 -15.799999)(-44.460697 -1.060740 -14.975000)(-44.021000 -2.121300 -15.799999)(-44.900002 0.000000 -15.799999)(-44.460697 -1.060740 -14.975000)(-44.900002 0.000000 -15.799999)(-44.461002 -1.060700 -14.150001)(-43.951000 2.050600 15.799999)(-41.900002 0.000000 15.799999)(-44.799999 0.000000 15.799999)(-44.799999 0.000000 15.799999)(-41.900002 0.000000 15.799999)(-43.951000 -2.050600 15.799999)(-44.021000 2.121300 -15.799999)(-44.900002 0.000000 -15.799999)(-41.900002 0.000000 -15.799999)(-41.900002 0.000000 -15.799999)(-44.900002 0.000000 -15.799999)(-44.021000 -2.121300 -15.799999)))
           )
           )))
    (send glvertices :calc-normals)
    (send self :assoc glvertices)
    glvertices)
  (:qhull-faceset ()
   ;; qhull 1266 -> 11 faces
   (instance faceset :init :faces (list
    (instance face :init :vertices (list (float-vector -50.700001 -11.000000 -12.500000) (float-vector -50.700001 -11.000000 12.500000) (float-vector 2.000000 -8.350000 15.799999) (float-vector 2.000000 -8.350000 -15.799999)))
    (instance face :init :vertices (list (float-vector 2.000000 8.350000 15.799999) (float-vector 2.000000 8.350000 -14.800000) (float-vector 2.000000 -8.350000 -15.799999) (float-vector 2.000000 -8.350000 15.799999)))
    (instance face :init :vertices (list (float-vector -44.900000 0.000000 -15.799999) (float-vector -50.700001 9.800000 -12.500000) (float-vector -50.700001 -11.000000 -12.500000)))
    (instance face :init :vertices (list (float-vector -50.700001 9.800000 -12.500000) (float-vector -44.900000 0.000000 -15.799999) (float-vector -14.000000 9.800000 -15.799999)))
    (instance face :init :vertices (list (float-vector 2.000000 -8.350000 -15.799999) (float-vector 2.000000 8.350000 -14.800000) (float-vector -14.000000 9.800000 -15.799999) (float-vector -44.900000 0.000000 -15.799999) (float-vector -50.700001 -11.000000 -12.500000)))
    (instance face :init :vertices (list (float-vector 2.000000 8.350000 -14.800000) (float-vector 2.000000 8.350000 15.799999) (float-vector -50.700001 9.800000 12.500000) (float-vector -50.700001 9.800000 -12.500000) (float-vector -14.000000 9.800000 -15.799999)))
    (instance face :init :vertices (list (float-vector -50.700001 9.800000 -12.500000) (float-vector -50.700001 9.800000 12.500000) (float-vector -50.700001 -11.000000 12.500000) (float-vector -50.700001 -11.000000 -12.500000)))
    (instance face :init :vertices (list (float-vector -50.700001 -11.000000 12.500000) (float-vector -43.951001 -2.050600 15.799999) (float-vector 2.000000 -8.350000 15.799999)))
    (instance face :init :vertices (list (float-vector -43.951001 -2.050600 15.799999) (float-vector 2.000000 8.350000 15.799999) (float-vector 2.000000 -8.350000 15.799999)))
    (instance face :init :vertices (list (float-vector -43.951001 -2.050600 15.799999) (float-vector -50.700001 9.800000 12.500000) (float-vector 2.000000 8.350000 15.799999)))
    (instance face :init :vertices (list (float-vector -50.700001 9.800000 12.500000) (float-vector -43.951001 -2.050600 15.799999) (float-vector -50.700001 -11.000000 12.500000)))
    ))
   )
  )

(defclass HiroNX_g1_13_geom0
  :super collada-body
  :slots ())
(defmethod HiroNX_g1_13_geom0
  (:init (&key (name))
         (replace-object self (send self :qhull-faceset))
         (if name (send self :name name))
         (send self :def-gl-vertices)
         self)
  (:def-gl-vertices ()
    (setq glvertices
       (instance gl::glvertices :init
          (list
          (list
           (list :type :triangles)
           (list :material (list
             (list :color (float-vector 0.1 0.1 0.1))
             (list :ambient (float-vector 0.200000 0.200000 0.200000 1.000000))
             (list :diffuse (float-vector 0.900000 0.900000 0.900000 1.000000))
           ))
           (list :indices #i( 1 0 2 4 3 5 7 6 8 10 9 11 13 12 14 16 15 17 19 18 20 22 21 23 25 24 26 28 27 29 31 30 32 34 33 35 37 36 38 40 39 41 43 42 44 46 45 47 49 48 50 52 51 53 55 54 56 58 57 59 61 60 62 64 63 65 67 66 68 70 69 71 73 72 74 76 75 77 79 78 80 82 81 83 85 84 86 88 87 89 91 90 92 94 93 95 97 96 98 100 99 101 103 102 104 106 105 107 109 108 110 112 111 113 115 114 116 118 117 119 121 120 122 124 123 125 127 126 128 130 129 131 133 132 134 136 135 137 139 138 140 142 141 143 145 144 146 148 147 149 151 150 152 154 153 155 157 156 158 160 159 161 163 162 164 166 165 167 169 168 170 172 171 173 175 174 176 178 177 179 181 180 182 184 183 185 187 186 188 190 189 191 193 192 194 196 195 197 199 198 200 202 201 203 205 204 206 208 207 209 211 210 212 214 213 215 217 216 218 220 219 221 223 222 224 226 225 227 229 228 230 232 231 233 235 234 236 238 237 239 241 240 242 244 243 245 247 246 248 250 249 251 253 252 254 256 255 257 259 258 260 262 261 263 265 264 266 268 267 269 271 270 272 274 273 275 277 276 278 280 279 281 283 282 284 286 285 287 289 288 290 292 291 293 295 294 296 298 297 299 301 300 302 304 303 305 307 306 308 310 309 311 313 312 314 316 315 317 319 318 320 322 321 323 325 324 326 328 327 329 331 330 332 334 333 335 337 336 338 340 339 341 343 342 344 346 345 347 349 348 350 352 351 353 355 354 356 358 357 359 361 360 362 364 363 365 367 366 368 370 369 371 373 372 374 376 375 377 379 378 380 382 381 383 385 384 386 388 387 389 391 390 392 394 393 395 397 396 398 400 399 401 403 402 404 406 405 407 409 408 410 412 411 413 415 414 416 418 417 419 421 420 422 424 423 425 427 426 428 430 429 431 433 432 434 436 435 437 439 438 440 442 441 443 445 444 446 448 447 449 451 450 452 454 453 455 457 456 458 460 459 461 463 462 464 466 465 467 469 468 470 472 471 473 475 474 476 478 477 479 481 480 482 484 483 485 487 486 488 490 489 491 493 492 494 496 495 497 499 498 500 502 501 503 505 504 506 508 507 509 511 510 512 514 513 515 517 516 518 520 519 521 523 522 524 526 525 527 529 528 530 532 531 533 535 534 536 538 537 539 541 540 542 544 543 545 547 546 548 550 549 551 553 552 554 556 555 557 559 558 560 562 561 563 565 564 566 568 567 569 571 570 572 574 573 575 577 576 578 580 579 581 583 582 584 586 585 587 589 588 590 592 591 593 595 594 596 598 597 599 601 600 602 604 603 605 607 606 608 610 609 611 613 612 614 616 615 617 619 618 620 622 621 623 625 624 626 628 627 629 631 630 632 634 633 635 637 636 638 640 639 641 643 642 644 646 645 647 649 648 650 652 651 653 655 654 656 658 657 659 661 660 662 664 663 665 667 666 668 670 669 671 673 672 674 676 675 677 679 678 680 682 681 683 685 684 686 688 687 689 691 690 692 694 693 695 697 696 698 700 699 701 703 702 704 706 705 707 709 708 710 712 711 713 715 714 716 718 717 719 721 720 722 724 723 725 727 726 728 730 729 731 733 732 734 736 735 737 739 738 740 742 741 743 745 744 746 748 747 749 751 750 752 754 753 755 757 756 758 760 759 761 763 762 764 766 765 767 769 768 770 772 771 773 775 774 776 778 777 779 781 780 782 784 783 785 787 786 788 790 789 791 793 792 794 796 795 797 799 798 800 802 801 803 805 804 806 808 807 809 811 810 812 814 813 815 817 816 818 820 819 821 823 822 824 826 825 827 829 828 830 832 831 833 835 834 836 838 837 839 841 840 842 844 843 845 847 846 848 850 849 851 853 852 854 856 855 857 859 858 860 862 861 863 865 864 866 868 867 869 871 870 872 874 873 875 877 876 878 880 879 881 883 882 884 886 885 887 889 888 890 892 891 893 895 894 896 898 897 899 901 900 902 904 903 905 907 906 908 910 909 911 913 912 914 916 915 917 919 918 920 922 921 923 925 924 926 928 927 929 931 930 932 934 933 935 937 936 938 940 939 941 943 942 944 946 945 947 949 948 950 952 951 953 955 954 956 958 957 959 961 960 962 964 963 965 967 966 968 970 969 971 973 972 974 976 975 977 979 978 980 982 981 983 985 984 986 988 987 989 991 990 992 994 993 995 997 996 998 1000 999 1001 1003 1002 1004 1006 1005 1007 1009 1008 1010 1012 1011 1013 1015 1014 1016 1018 1017 1019 1021 1020 1022 1024 1023 1025 1027 1026 1028 1030 1029 1031 1033 1032 1034 1036 1035 1037 1039 1038 1040 1042 1041 1043 1045 1044 1046 1048 1047 1049 1051 1050 1052 1054 1053 1055 1057 1056 1058 1060 1059 1061 1063 1062 1064 1066 1065 1067 1069 1068 1070 1072 1071 1073 1075 1074 1076 1078 1077 1079 1081 1080 1082 1084 1083 1085 1087 1086 1088 1090 1089 1091 1093 1092 1094 1096 1095 1097 1099 1098 1100 1102 1101 1103 1105 1104 1106 1108 1107 1109 1111 1110 1112 1114 1113 1115 1117 1116 1118 1120 1119 1121 1123 1122 1124 1126 1125 1127 1129 1128 1130 1132 1131 1133 1135 1134 1136 1138 1137 1139 1141 1140 1142 1144 1143 1145 1147 1146 1148 1150 1149 1151 1153 1152 1154 1156 1155 1157 1159 1158 1160 1162 1161 1163 1165 1164 1166 1168 1167 1169 1171 1170 1172 1174 1173 1175 1177 1176 1178 1180 1179 1181 1183 1182 1184 1186 1185 1187 1189 1188 1190 1192 1191 1193 1195 1194 1196 1198 1197 1199 1201 1200 1202 1204 1203 1205 1207 1206 1208 1210 1209 1211 1213 1212 1214 1216 1215 1217 1219 1218 1220 1222 1221 1223 1225 1224 1226 1228 1227 1229 1231 1230 1232 1234 1233 1235 1237 1236 1238 1240 1239 1241 1243 1242 1244 1246 1245 1247 1249 1248 1250 1252 1251 1253 1255 1254 1256 1258 1257 1259 1261 1260 1262 1264 1263 1265 1267 1266 1268 1270 1269 1271 1273 1272 1274 1276 1275 1277 1279 1278 1280 1282 1281 1283 1285 1284 1286 1288 1287 1289 1291 1290 1292 1294 1293 1295 1297 1296 1298 1300 1299 1301 1303 1302 1304 1306 1305 1307 1309 1308 1310 1312 1311 1313 1315 1314 1316 1318 1317 1319 1321 1320 1322 1324 1323 1325 1327 1326 1328 1330 1329 1331 1333 1332 1334 1336 1335 1337 1339 1338 1340 1342 1341 1343 1345 1344 1346 1348 1347 1349 1351 1350 1352 1354 1353 1355 1357 1356 1358 1360 1359 1361 1363 1362 1364 1366 1365 1367 1369 1368 1370 1372 1371 1373 1375 1374 1376 1378 1377 1379 1381 1380 1382 1384 1383 1385 1387 1386 1388 1390 1389 1391 1393 1392 1394 1396 1395 1397 1399 1398 1400 1402 1401 1403 1405 1404 1406 1408 1407 1409 1411 1410 1412 1414 1413 1415 1417 1416 1418 1420 1419 1421 1423 1422 1424 1426 1425 1427 1429 1428 1430 1432 1431 1433 1435 1434 1436 1438 1437 1439))
           (list :vertices #2f((-4.454000 7.239700 14.800000)(-17.230000 -0.620000 15.300000)(-30.006001 -8.479700 14.800000)(-30.006001 -8.479700 15.799999)(-30.006001 -8.479700 14.800000)(-17.230000 -0.620000 15.300000)(-30.006001 -8.479700 14.800000)(-30.007999 -11.979700 14.800000)(-4.454000 7.239700 14.800000)(-4.454000 7.239700 15.799999)(-17.230000 -0.620000 15.300000)(-4.454000 7.239700 14.800000)(-30.006001 -8.479700 15.799999)(-17.230000 -0.620000 15.300000)(-4.454000 7.239700 15.799999)(-30.006001 -8.479700 14.800000)(-30.006001 -8.479700 15.799999)(-30.007999 -11.979700 14.800000)(-30.007999 -11.979700 14.800000)(-3.497000 7.747300 14.800000)(-4.454000 7.239700 14.800000)(-3.975990 7.493500 15.300000)(-4.454000 7.239700 15.799999)(-4.215000 7.366600 15.300000)(-4.454000 7.239700 15.799999)(-4.454000 7.239700 14.800000)(-4.215000 7.366600 15.300000)(-4.454000 7.239700 14.800000)(-3.975990 7.493500 15.300000)(-4.215000 7.366600 15.300000)(-30.006001 -8.479700 15.799999)(-4.454000 7.239700 15.799999)(-30.008999 -12.979700 15.799999)(-30.007999 -11.979700 14.800000)(-30.006001 -8.479700 15.799999)(-30.008999 -12.979700 15.799999)(-3.975990 7.493500 15.300000)(-4.454000 7.239700 14.800000)(-3.975550 7.493600 15.049999)(-4.454000 7.239700 14.800000)(-3.497000 7.747300 14.800000)(-3.975550 7.493600 15.049999)(-3.497000 7.747300 14.800000)(-3.975990 7.493500 15.300000)(-3.975550 7.493600 15.049999)(-3.497000 7.747300 14.800000)(-30.007999 -11.979700 14.800000)(-10.006001 -8.493200 14.800000)(-3.975550 7.493600 15.549999)(-3.975990 7.493500 15.300000)(-3.497000 7.747300 15.799999)(-3.975550 7.493600 15.549999)(-3.497000 7.747300 15.799999)(-4.454000 7.239700 15.799999)(-3.975550 7.493600 15.549999)(-4.454000 7.239700 15.799999)(-3.975990 7.493500 15.300000)(-4.454000 7.239700 15.799999)(-3.497000 7.747300 15.799999)(-30.008999 -12.979700 15.799999)(-30.008999 -12.979700 -15.799999)(-30.007999 -11.979700 14.800000)(-30.008999 -12.979700 15.799999)(-3.975990 7.493500 15.300000)(-3.497000 7.747300 14.800000)(-3.736500 7.620400 15.300000)(-3.497000 7.747300 14.800000)(-3.497000 7.747300 15.799999)(-3.736500 7.620400 15.300000)(-3.497000 7.747300 15.799999)(-3.975990 7.493500 15.300000)(-3.736500 7.620400 15.300000)(-3.497000 7.747300 14.800000)(-10.006001 -8.493200 14.800000)(12.736899 -8.508600 14.800000)(-10.006001 -8.493200 14.800000)(-30.007999 -11.979700 14.800000)(-10.007999 -11.993199 14.800000)(-3.497000 7.747300 15.799999)(-10.006001 -8.493200 15.799999)(-30.008999 -12.979700 15.799999)(-30.008999 -12.979700 15.799999)(-28.869801 -12.980500 14.000000)(-30.000000 -12.979700 14.000000)(-30.000000 -12.979700 -14.000000)(-28.869801 -12.980500 -14.000000)(-30.008999 -12.979700 -15.799999)(-30.000000 -12.979700 14.000000)(-30.008999 -12.979700 -15.799999)(-30.008999 -12.979700 15.799999)(-30.000000 -12.979700 2.285980)(-30.008999 -12.979700 -15.799999)(-30.000000 -12.979700 14.000000)(-30.000000 -12.979700 2.285980)(-30.008999 -12.979700 -15.799999)(-30.000000 -12.979700 0.000000)(-30.000000 -12.979700 -11.714001)(-30.008999 -12.979700 -15.799999)(-30.000000 -12.979700 0.000000)(-30.000000 -12.979700 -11.714001)(-30.008999 -12.979700 -15.799999)(-30.000000 -12.979700 -14.000000)(-30.008999 -12.979700 -15.799999)(-30.007999 -11.979700 -14.800000)(-30.007999 -11.979700 14.800000)(-3.497000 7.747300 14.800000)(4.620000 -0.380699 15.300000)(-3.497000 7.747300 15.799999)(12.736899 -8.508600 14.800000)(4.620000 -0.380699 15.300000)(-3.497000 7.747300 14.800000)(-10.006001 -8.493200 14.800000)(1.366000 -8.500900 15.300000)(12.736899 -8.508600 14.800000)(-10.006001 -8.493200 14.800000)(-10.007999 -11.993199 14.800000)(-10.006001 -8.493200 15.799999)(-20.007999 -11.986500 0.000000)(-10.007999 -11.993199 14.800000)(-20.007999 -11.986500 7.400000)(-10.007999 -11.993199 14.800000)(-30.007999 -11.979700 14.800000)(-20.007999 -11.986500 7.400000)(-30.007999 -11.979700 14.800000)(-20.007999 -11.986500 0.000000)(-20.007999 -11.986500 7.400000)(-10.006001 -8.493200 15.799999)(-10.009000 -12.993199 15.799999)(-30.008999 -12.979700 15.799999)(-3.497000 7.747300 15.799999)(12.736899 -8.508600 15.799999)(-10.006001 -8.493200 15.799999)(-22.477200 -12.984800 -14.000000)(-30.008999 -12.979700 -15.799999)(-28.869801 -12.980500 -14.000000)(-10.009000 -12.993199 -15.799999)(-13.486300 -12.990900 -14.000000)(-12.000000 -12.991899 -14.000000)(-10.009000 -12.993199 -15.799999)(-12.000000 -12.991899 -14.000000)(-12.000000 -12.991899 -12.654201)(-20.009001 -12.986500 -14.227099)(-21.000000 -12.985801 -14.000000)(-13.486300 -12.990900 -14.000000)(-20.009001 -12.986500 -14.227099)(-22.477200 -12.984800 -14.000000)(-21.000000 -12.985801 -14.000000)(-20.009001 -12.986500 -14.227099)(-10.009000 -12.993199 -15.799999)(-30.008999 -12.979700 -15.799999)(-20.009001 -12.986500 -14.227099)(-30.008999 -12.979700 -15.799999)(-22.477200 -12.984800 -14.000000)(-20.009001 -12.986500 -14.227099)(-13.486300 -12.990900 -14.000000)(-10.009000 -12.993199 -15.799999)(-12.000000 -12.991899 14.000000)(-10.009000 -12.993199 15.799999)(-12.000000 -12.991899 12.654201)(-10.009000 -12.993199 15.799999)(-12.000000 -12.991899 14.000000)(-19.519800 -12.986799 14.000000)(-30.008999 -12.979700 15.799999)(-21.000000 -12.985801 14.000000)(-28.528900 -12.980700 14.000000)(-30.008999 -12.979700 15.799999)(-28.528900 -12.980700 14.000000)(-28.869801 -12.980500 14.000000)(-19.519800 -12.986799 14.000000)(-21.000000 -12.985801 14.000000)(-20.009001 -12.986500 14.227099)(-30.008999 -12.979700 15.799999)(-10.009000 -12.993199 15.799999)(-20.009001 -12.986500 14.227099)(-10.009000 -12.993199 15.799999)(-19.519800 -12.986799 14.000000)(-20.009001 -12.986500 14.227099)(-21.000000 -12.985801 14.000000)(-30.008999 -12.979700 15.799999)(-20.009001 -12.986500 14.227099)(-30.006001 -8.479700 -15.799999)(-30.007999 -11.979700 -14.800000)(-30.008999 -12.979700 -15.799999)(-20.007999 -11.986500 0.000000)(-30.007999 -11.979700 14.800000)(-25.008001 -11.983100 0.000000)(-30.007999 -11.979700 14.800000)(-30.007999 -11.979700 -14.800000)(-25.008001 -11.983100 0.000000)(-30.007999 -11.979700 -14.800000)(-20.007999 -11.986500 0.000000)(-25.008001 -11.983100 0.000000)(-3.497000 7.747300 15.799999)(4.620000 -0.380699 15.300000)(12.736899 -8.508600 15.799999)(12.736899 -8.508600 14.800000)(12.736899 -8.508600 15.799999)(4.620000 -0.380699 15.300000)(12.736899 -8.508600 15.799999)(12.736899 -8.508600 14.800000)(1.366000 -8.500900 15.300000)(-10.006001 -8.493200 15.799999)(1.366000 -8.500900 15.300000)(-10.006001 -8.493200 14.800000)(-10.007999 -11.993199 14.800000)(-10.009000 -12.993199 15.799999)(-10.006001 -8.493200 15.799999)(-20.007999 -11.986500 0.000000)(-10.007999 -11.993199 -14.800000)(-15.007999 -11.989800 -0.000000)(-10.007999 -11.993199 -14.800000)(-10.007999 -11.993199 14.800000)(-15.007999 -11.989800 -0.000000)(-10.007999 -11.993199 14.800000)(-20.007999 -11.986500 0.000000)(-15.007999 -11.989800 -0.000000)(12.736899 -8.508600 15.799999)(1.366000 -8.500900 15.300000)(-10.006001 -8.493200 15.799999)(-10.006001 -8.493200 -15.799999)(-30.008999 -12.979700 -15.799999)(-10.009000 -12.993199 -15.799999)(-12.000000 -12.991899 12.654201)(-10.009000 -12.993199 15.799999)(-12.000000 -12.991899 11.685599)(-12.000000 -12.991899 -12.654201)(-12.000000 -12.991899 -2.314350)(-10.009000 -12.993199 -15.799999)(-10.009000 -12.993199 15.799999)(-10.009000 -12.993199 -15.799999)(-11.004500 -12.992500 0.000000)(-12.000000 -12.991899 -2.314350)(-12.000000 -12.991899 0.000000)(-11.004500 -12.992500 0.000000)(-12.000000 -12.991899 0.000000)(-12.000000 -12.991899 11.685599)(-11.004500 -12.992500 0.000000)(-12.000000 -12.991899 11.685599)(-10.009000 -12.993199 15.799999)(-11.004500 -12.992500 0.000000)(-10.009000 -12.993199 -15.799999)(-12.000000 -12.991899 -2.314350)(-11.004500 -12.992500 0.000000)(-30.006001 -8.479700 -15.799999)(-30.008999 -12.979700 -15.799999)(-4.454000 7.239700 -15.799999)(-30.006001 -8.479700 -15.799999)(-30.006001 -8.479700 -14.800000)(-30.007999 -11.979700 -14.800000)(-20.007999 -11.986500 0.000000)(-30.007999 -11.979700 -14.800000)(-20.007999 -11.986500 -7.400000)(-30.007999 -11.979700 -14.800000)(-10.007999 -11.993199 -14.800000)(-20.007999 -11.986500 -7.400000)(-10.007999 -11.993199 -14.800000)(-20.007999 -11.986500 0.000000)(-20.007999 -11.986500 -7.400000)(-10.009000 -12.993199 -15.799999)(-10.009000 -12.993199 15.799999)(-10.007999 -11.993199 14.800000)(-10.007999 -11.993199 -14.800000)(-10.009000 -12.993199 -15.799999)(-10.007999 -11.993199 14.800000)(-10.006001 -8.493200 -15.799999)(-10.009000 -12.993199 -15.799999)(-10.006001 -8.493200 -14.800000)(-3.497000 7.747300 -15.799999)(-30.008999 -12.979700 -15.799999)(-10.006001 -8.493200 -15.799999)(-17.230000 -0.620000 -15.300000)(-30.006001 -8.479700 -15.799999)(-4.454000 7.239700 -15.799999)(-30.008999 -12.979700 -15.799999)(-3.497000 7.747300 -15.799999)(-4.454000 7.239700 -15.799999)(-30.006001 -8.479700 -14.800000)(-30.006001 -8.479700 -15.799999)(-17.230000 -0.620000 -15.300000)(-30.006001 -8.479700 -14.800000)(-4.454000 7.239700 -14.800000)(-30.007999 -11.979700 -14.800000)(-10.006001 -8.493200 -14.800000)(-10.007999 -11.993199 -14.800000)(-30.007999 -11.979700 -14.800000)(-10.009000 -12.993199 -15.799999)(-10.007999 -11.993199 -14.800000)(-10.006001 -8.493200 -14.800000)(-10.006001 -8.493200 -14.800000)(1.366000 -8.500900 -15.300000)(-10.006001 -8.493200 -15.799999)(-3.497000 7.747300 -15.799999)(-10.006001 -8.493200 -15.799999)(12.736899 -8.508600 -15.799999)(-4.454000 7.239700 -14.800000)(-17.230000 -0.620000 -15.300000)(-4.454000 7.239700 -15.799999)(-3.975550 7.493600 -15.549999)(-3.975990 7.493500 -15.300000)(-4.454000 7.239700 -15.799999)(-3.975550 7.493600 -15.549999)(-4.454000 7.239700 -15.799999)(-3.497000 7.747300 -15.799999)(-3.975550 7.493600 -15.549999)(-3.497000 7.747300 -15.799999)(-3.975990 7.493500 -15.300000)(-30.006001 -8.479700 -14.800000)(-17.230000 -0.620000 -15.300000)(-4.454000 7.239700 -14.800000)(-4.454000 7.239700 -14.800000)(-3.497000 7.747300 -14.800000)(-30.007999 -11.979700 -14.800000)(-3.497000 7.747300 -14.800000)(-10.006001 -8.493200 -14.800000)(-30.007999 -11.979700 -14.800000)(-10.006001 -8.493200 -15.799999)(1.366000 -8.500900 -15.300000)(12.736899 -8.508600 -15.799999)(12.736899 -8.508600 -14.800000)(1.366000 -8.500900 -15.300000)(-10.006001 -8.493200 -14.800000)(12.736899 -8.508600 -15.799999)(4.620000 -0.380699 -15.300000)(-3.497000 7.747300 -15.799999)(-3.975990 7.493500 -15.300000)(-4.454000 7.239700 -14.800000)(-4.215000 7.366600 -15.300000)(-4.454000 7.239700 -14.800000)(-4.454000 7.239700 -15.799999)(-4.215000 7.366600 -15.300000)(-4.454000 7.239700 -15.799999)(-3.975990 7.493500 -15.300000)(-4.215000 7.366600 -15.300000)(-3.975990 7.493500 -15.300000)(-3.497000 7.747300 -15.799999)(-3.736500 7.620400 -15.300000)(-3.497000 7.747300 -15.799999)(-3.497000 7.747300 -14.800000)(-3.736500 7.620400 -15.300000)(-3.497000 7.747300 -14.800000)(-3.975990 7.493500 -15.300000)(-3.736500 7.620400 -15.300000)(-3.975550 7.493600 -15.049999)(-3.975990 7.493500 -15.300000)(-3.497000 7.747300 -14.800000)(-3.975550 7.493600 -15.049999)(-3.497000 7.747300 -14.800000)(-4.454000 7.239700 -14.800000)(-3.975550 7.493600 -15.049999)(-4.454000 7.239700 -14.800000)(-3.975990 7.493500 -15.300000)(-3.497000 7.747300 -14.800000)(12.736899 -8.508600 -14.800000)(-10.006001 -8.493200 -14.800000)(12.736899 -8.508600 -14.800000)(12.736899 -8.508600 -15.799999)(1.366000 -8.500900 -15.300000)(-3.497000 7.747300 -15.799999)(4.620000 -0.380699 -15.300000)(-3.497000 7.747300 -14.800000)(12.736899 -8.508600 -14.800000)(4.620000 -0.380699 -15.300000)(12.736899 -8.508600 -15.799999)(4.620000 -0.380699 -15.300000)(12.736899 -8.508600 -14.800000)(-3.497000 7.747300 -14.800000)(-4.454000 7.239700 14.800000)(-17.230000 -0.620000 15.300000)(-30.006001 -8.479700 14.800000)(-30.006001 -8.479700 15.799999)(-30.006001 -8.479700 14.800000)(-17.230000 -0.620000 15.300000)(-30.006001 -8.479700 14.800000)(-30.007999 -11.979700 14.800000)(-4.454000 7.239700 14.800000)(-4.454000 7.239700 15.799999)(-17.230000 -0.620000 15.300000)(-4.454000 7.239700 14.800000)(-30.006001 -8.479700 15.799999)(-17.230000 -0.620000 15.300000)(-4.454000 7.239700 15.799999)(-30.006001 -8.479700 14.800000)(-30.006001 -8.479700 15.799999)(-30.007999 -11.979700 14.800000)(-30.007999 -11.979700 14.800000)(-3.497000 7.747300 14.800000)(-4.454000 7.239700 14.800000)(-3.975990 7.493500 15.300000)(-4.454000 7.239700 15.799999)(-4.215000 7.366600 15.300000)(-4.454000 7.239700 15.799999)(-4.454000 7.239700 14.800000)(-4.215000 7.366600 15.300000)(-4.454000 7.239700 14.800000)(-3.975990 7.493500 15.300000)(-4.215000 7.366600 15.300000)(-30.006001 -8.479700 15.799999)(-4.454000 7.239700 15.799999)(-30.008999 -12.979700 15.799999)(-30.007999 -11.979700 14.800000)(-30.006001 -8.479700 15.799999)(-30.008999 -12.979700 15.799999)(-3.975990 7.493500 15.300000)(-4.454000 7.239700 14.800000)(-3.975550 7.493600 15.049999)(-4.454000 7.239700 14.800000)(-3.497000 7.747300 14.800000)(-3.975550 7.493600 15.049999)(-3.497000 7.747300 14.800000)(-3.975990 7.493500 15.300000)(-3.975550 7.493600 15.049999)(-3.497000 7.747300 14.800000)(-30.007999 -11.979700 14.800000)(-10.006001 -8.493200 14.800000)(-3.975550 7.493600 15.549999)(-3.975990 7.493500 15.300000)(-3.497000 7.747300 15.799999)(-3.975550 7.493600 15.549999)(-3.497000 7.747300 15.799999)(-4.454000 7.239700 15.799999)(-3.975550 7.493600 15.549999)(-4.454000 7.239700 15.799999)(-3.975990 7.493500 15.300000)(-4.454000 7.239700 15.799999)(-3.497000 7.747300 15.799999)(-30.008999 -12.979700 15.799999)(-30.008999 -12.979700 -15.799999)(-30.007999 -11.979700 14.800000)(-30.008999 -12.979700 15.799999)(-3.975990 7.493500 15.300000)(-3.497000 7.747300 14.800000)(-3.736500 7.620400 15.300000)(-3.497000 7.747300 14.800000)(-3.497000 7.747300 15.799999)(-3.736500 7.620400 15.300000)(-3.497000 7.747300 15.799999)(-3.975990 7.493500 15.300000)(-3.736500 7.620400 15.300000)(-3.497000 7.747300 14.800000)(-10.006001 -8.493200 14.800000)(12.736899 -8.508600 14.800000)(-10.006001 -8.493200 14.800000)(-30.007999 -11.979700 14.800000)(-10.007999 -11.993199 14.800000)(-3.497000 7.747300 15.799999)(-10.006001 -8.493200 15.799999)(-30.008999 -12.979700 15.799999)(-30.008999 -12.979700 15.799999)(-28.869801 -12.980500 14.000000)(-30.000000 -12.979700 14.000000)(-30.000000 -12.979700 -14.000000)(-28.869801 -12.980500 -14.000000)(-30.008999 -12.979700 -15.799999)(-30.000000 -12.979700 14.000000)(-30.008999 -12.979700 -15.799999)(-30.008999 -12.979700 15.799999)(-30.000000 -12.979700 2.285980)(-30.008999 -12.979700 -15.799999)(-30.000000 -12.979700 14.000000)(-30.000000 -12.979700 2.285980)(-30.008999 -12.979700 -15.799999)(-30.000000 -12.979700 0.000000)(-30.000000 -12.979700 -11.714001)(-30.008999 -12.979700 -15.799999)(-30.000000 -12.979700 0.000000)(-30.000000 -12.979700 -11.714001)(-30.008999 -12.979700 -15.799999)(-30.000000 -12.979700 -14.000000)(-30.008999 -12.979700 -15.799999)(-30.007999 -11.979700 -14.800000)(-30.007999 -11.979700 14.800000)(-3.497000 7.747300 14.800000)(4.620000 -0.380699 15.300000)(-3.497000 7.747300 15.799999)(12.736899 -8.508600 14.800000)(4.620000 -0.380699 15.300000)(-3.497000 7.747300 14.800000)(-10.006001 -8.493200 14.800000)(1.366000 -8.500900 15.300000)(12.736899 -8.508600 14.800000)(-10.006001 -8.493200 14.800000)(-10.007999 -11.993199 14.800000)(-10.006001 -8.493200 15.799999)(-20.007999 -11.986500 0.000000)(-10.007999 -11.993199 14.800000)(-20.007999 -11.986500 7.400000)(-10.007999 -11.993199 14.800000)(-30.007999 -11.979700 14.800000)(-20.007999 -11.986500 7.400000)(-30.007999 -11.979700 14.800000)(-20.007999 -11.986500 0.000000)(-20.007999 -11.986500 7.400000)(-10.006001 -8.493200 15.799999)(-10.009000 -12.993199 15.799999)(-30.008999 -12.979700 15.799999)(-3.497000 7.747300 15.799999)(12.736899 -8.508600 15.799999)(-10.006001 -8.493200 15.799999)(-22.477200 -12.984800 -14.000000)(-30.008999 -12.979700 -15.799999)(-28.869801 -12.980500 -14.000000)(-10.009000 -12.993199 -15.799999)(-13.486300 -12.990900 -14.000000)(-12.000000 -12.991899 -14.000000)(-10.009000 -12.993199 -15.799999)(-12.000000 -12.991899 -14.000000)(-12.000000 -12.991899 -12.654201)(-20.009001 -12.986500 -14.227099)(-21.000000 -12.985801 -14.000000)(-13.486300 -12.990900 -14.000000)(-20.009001 -12.986500 -14.227099)(-22.477200 -12.984800 -14.000000)(-21.000000 -12.985801 -14.000000)(-20.009001 -12.986500 -14.227099)(-10.009000 -12.993199 -15.799999)(-30.008999 -12.979700 -15.799999)(-20.009001 -12.986500 -14.227099)(-30.008999 -12.979700 -15.799999)(-22.477200 -12.984800 -14.000000)(-20.009001 -12.986500 -14.227099)(-13.486300 -12.990900 -14.000000)(-10.009000 -12.993199 -15.799999)(-12.000000 -12.991899 14.000000)(-10.009000 -12.993199 15.799999)(-12.000000 -12.991899 12.654201)(-10.009000 -12.993199 15.799999)(-12.000000 -12.991899 14.000000)(-19.519800 -12.986799 14.000000)(-30.008999 -12.979700 15.799999)(-21.000000 -12.985801 14.000000)(-28.528900 -12.980700 14.000000)(-30.008999 -12.979700 15.799999)(-28.528900 -12.980700 14.000000)(-28.869801 -12.980500 14.000000)(-19.519800 -12.986799 14.000000)(-21.000000 -12.985801 14.000000)(-20.009001 -12.986500 14.227099)(-30.008999 -12.979700 15.799999)(-10.009000 -12.993199 15.799999)(-20.009001 -12.986500 14.227099)(-10.009000 -12.993199 15.799999)(-19.519800 -12.986799 14.000000)(-20.009001 -12.986500 14.227099)(-21.000000 -12.985801 14.000000)(-30.008999 -12.979700 15.799999)(-20.009001 -12.986500 14.227099)(-30.006001 -8.479700 -15.799999)(-30.007999 -11.979700 -14.800000)(-30.008999 -12.979700 -15.799999)(-20.007999 -11.986500 0.000000)(-30.007999 -11.979700 14.800000)(-25.008001 -11.983100 0.000000)(-30.007999 -11.979700 14.800000)(-30.007999 -11.979700 -14.800000)(-25.008001 -11.983100 0.000000)(-30.007999 -11.979700 -14.800000)(-20.007999 -11.986500 0.000000)(-25.008001 -11.983100 0.000000)(-3.497000 7.747300 15.799999)(4.620000 -0.380699 15.300000)(12.736899 -8.508600 15.799999)(12.736899 -8.508600 14.800000)(12.736899 -8.508600 15.799999)(4.620000 -0.380699 15.300000)(12.736899 -8.508600 15.799999)(12.736899 -8.508600 14.800000)(1.366000 -8.500900 15.300000)(-10.006001 -8.493200 15.799999)(1.366000 -8.500900 15.300000)(-10.006001 -8.493200 14.800000)(-10.007999 -11.993199 14.800000)(-10.009000 -12.993199 15.799999)(-10.006001 -8.493200 15.799999)(-20.007999 -11.986500 0.000000)(-10.007999 -11.993199 -14.800000)(-15.007999 -11.989800 -0.000000)(-10.007999 -11.993199 -14.800000)(-10.007999 -11.993199 14.800000)(-15.007999 -11.989800 -0.000000)(-10.007999 -11.993199 14.800000)(-20.007999 -11.986500 0.000000)(-15.007999 -11.989800 -0.000000)(12.736899 -8.508600 15.799999)(1.366000 -8.500900 15.300000)(-10.006001 -8.493200 15.799999)(-10.006001 -8.493200 -15.799999)(-30.008999 -12.979700 -15.799999)(-10.009000 -12.993199 -15.799999)(-12.000000 -12.991899 12.654201)(-10.009000 -12.993199 15.799999)(-12.000000 -12.991899 11.685599)(-12.000000 -12.991899 -12.654201)(-12.000000 -12.991899 -2.314350)(-10.009000 -12.993199 -15.799999)(-10.009000 -12.993199 15.799999)(-10.009000 -12.993199 -15.799999)(-11.004500 -12.992500 0.000000)(-12.000000 -12.991899 -2.314350)(-12.000000 -12.991899 0.000000)(-11.004500 -12.992500 0.000000)(-12.000000 -12.991899 0.000000)(-12.000000 -12.991899 11.685599)(-11.004500 -12.992500 0.000000)(-12.000000 -12.991899 11.685599)(-10.009000 -12.993199 15.799999)(-11.004500 -12.992500 0.000000)(-10.009000 -12.993199 -15.799999)(-12.000000 -12.991899 -2.314350)(-11.004500 -12.992500 0.000000)(-30.006001 -8.479700 -15.799999)(-30.008999 -12.979700 -15.799999)(-4.454000 7.239700 -15.799999)(-30.006001 -8.479700 -15.799999)(-30.006001 -8.479700 -14.800000)(-30.007999 -11.979700 -14.800000)(-20.007999 -11.986500 0.000000)(-30.007999 -11.979700 -14.800000)(-20.007999 -11.986500 -7.400000)(-30.007999 -11.979700 -14.800000)(-10.007999 -11.993199 -14.800000)(-20.007999 -11.986500 -7.400000)(-10.007999 -11.993199 -14.800000)(-20.007999 -11.986500 0.000000)(-20.007999 -11.986500 -7.400000)(-10.009000 -12.993199 -15.799999)(-10.009000 -12.993199 15.799999)(-10.007999 -11.993199 14.800000)(-10.007999 -11.993199 -14.800000)(-10.009000 -12.993199 -15.799999)(-10.007999 -11.993199 14.800000)(-10.006001 -8.493200 -15.799999)(-10.009000 -12.993199 -15.799999)(-10.006001 -8.493200 -14.800000)(-3.497000 7.747300 -15.799999)(-30.008999 -12.979700 -15.799999)(-10.006001 -8.493200 -15.799999)(-17.230000 -0.620000 -15.300000)(-30.006001 -8.479700 -15.799999)(-4.454000 7.239700 -15.799999)(-30.008999 -12.979700 -15.799999)(-3.497000 7.747300 -15.799999)(-4.454000 7.239700 -15.799999)(-30.006001 -8.479700 -14.800000)(-30.006001 -8.479700 -15.799999)(-17.230000 -0.620000 -15.300000)(-30.006001 -8.479700 -14.800000)(-4.454000 7.239700 -14.800000)(-30.007999 -11.979700 -14.800000)(-10.006001 -8.493200 -14.800000)(-10.007999 -11.993199 -14.800000)(-30.007999 -11.979700 -14.800000)(-10.009000 -12.993199 -15.799999)(-10.007999 -11.993199 -14.800000)(-10.006001 -8.493200 -14.800000)(-10.006001 -8.493200 -14.800000)(1.366000 -8.500900 -15.300000)(-10.006001 -8.493200 -15.799999)(-3.497000 7.747300 -15.799999)(-10.006001 -8.493200 -15.799999)(12.736899 -8.508600 -15.799999)(-4.454000 7.239700 -14.800000)(-17.230000 -0.620000 -15.300000)(-4.454000 7.239700 -15.799999)(-3.975550 7.493600 -15.549999)(-3.975990 7.493500 -15.300000)(-4.454000 7.239700 -15.799999)(-3.975550 7.493600 -15.549999)(-4.454000 7.239700 -15.799999)(-3.497000 7.747300 -15.799999)(-3.975550 7.493600 -15.549999)(-3.497000 7.747300 -15.799999)(-3.975990 7.493500 -15.300000)(-30.006001 -8.479700 -14.800000)(-17.230000 -0.620000 -15.300000)(-4.454000 7.239700 -14.800000)(-4.454000 7.239700 -14.800000)(-3.497000 7.747300 -14.800000)(-30.007999 -11.979700 -14.800000)(-3.497000 7.747300 -14.800000)(-10.006001 -8.493200 -14.800000)(-30.007999 -11.979700 -14.800000)(-10.006001 -8.493200 -15.799999)(1.366000 -8.500900 -15.300000)(12.736899 -8.508600 -15.799999)(12.736899 -8.508600 -14.800000)(1.366000 -8.500900 -15.300000)(-10.006001 -8.493200 -14.800000)(12.736899 -8.508600 -15.799999)(4.620000 -0.380699 -15.300000)(-3.497000 7.747300 -15.799999)(-3.975990 7.493500 -15.300000)(-4.454000 7.239700 -14.800000)(-4.215000 7.366600 -15.300000)(-4.454000 7.239700 -14.800000)(-4.454000 7.239700 -15.799999)(-4.215000 7.366600 -15.300000)(-4.454000 7.239700 -15.799999)(-3.975990 7.493500 -15.300000)(-4.215000 7.366600 -15.300000)(-3.975990 7.493500 -15.300000)(-3.497000 7.747300 -15.799999)(-3.736500 7.620400 -15.300000)(-3.497000 7.747300 -15.799999)(-3.497000 7.747300 -14.800000)(-3.736500 7.620400 -15.300000)(-3.497000 7.747300 -14.800000)(-3.975990 7.493500 -15.300000)(-3.736500 7.620400 -15.300000)(-3.975550 7.493600 -15.049999)(-3.975990 7.493500 -15.300000)(-3.497000 7.747300 -14.800000)(-3.975550 7.493600 -15.049999)(-3.497000 7.747300 -14.800000)(-4.454000 7.239700 -14.800000)(-3.975550 7.493600 -15.049999)(-4.454000 7.239700 -14.800000)(-3.975990 7.493500 -15.300000)(-3.497000 7.747300 -14.800000)(12.736899 -8.508600 -14.800000)(-10.006001 -8.493200 -14.800000)(12.736899 -8.508600 -14.800000)(12.736899 -8.508600 -15.799999)(1.366000 -8.500900 -15.300000)(-3.497000 7.747300 -15.799999)(4.620000 -0.380699 -15.300000)(-3.497000 7.747300 -14.800000)(12.736899 -8.508600 -14.800000)(4.620000 -0.380699 -15.300000)(12.736899 -8.508600 -15.799999)(4.620000 -0.380699 -15.300000)(12.736899 -8.508600 -14.800000)(-3.497000 7.747300 -14.800000)(-4.454000 7.239700 14.800000)(-17.230000 -0.620000 15.300000)(-30.006001 -8.479700 14.800000)(-30.006001 -8.479700 15.799999)(-30.006001 -8.479700 14.800000)(-17.230000 -0.620000 15.300000)(-30.006001 -8.479700 14.800000)(-30.007999 -11.979700 14.800000)(-4.454000 7.239700 14.800000)(-4.454000 7.239700 15.799999)(-17.230000 -0.620000 15.300000)(-4.454000 7.239700 14.800000)(-30.006001 -8.479700 15.799999)(-17.230000 -0.620000 15.300000)(-4.454000 7.239700 15.799999)(-30.006001 -8.479700 14.800000)(-30.006001 -8.479700 15.799999)(-30.007999 -11.979700 14.800000)(-30.007999 -11.979700 14.800000)(-3.497000 7.747300 14.800000)(-4.454000 7.239700 14.800000)(-3.975990 7.493500 15.300000)(-4.454000 7.239700 15.799999)(-4.215000 7.366600 15.300000)(-4.454000 7.239700 15.799999)(-4.454000 7.239700 14.800000)(-4.215000 7.366600 15.300000)(-4.454000 7.239700 14.800000)(-3.975990 7.493500 15.300000)(-4.215000 7.366600 15.300000)(-30.006001 -8.479700 15.799999)(-4.454000 7.239700 15.799999)(-30.008999 -12.979700 15.799999)(-30.007999 -11.979700 14.800000)(-30.006001 -8.479700 15.799999)(-30.008999 -12.979700 15.799999)(-3.975990 7.493500 15.300000)(-4.454000 7.239700 14.800000)(-3.975550 7.493600 15.049999)(-4.454000 7.239700 14.800000)(-3.497000 7.747300 14.800000)(-3.975550 7.493600 15.049999)(-3.497000 7.747300 14.800000)(-3.975990 7.493500 15.300000)(-3.975550 7.493600 15.049999)(-3.497000 7.747300 14.800000)(-30.007999 -11.979700 14.800000)(-10.006001 -8.493200 14.800000)(-3.975550 7.493600 15.549999)(-3.975990 7.493500 15.300000)(-3.497000 7.747300 15.799999)(-3.975550 7.493600 15.549999)(-3.497000 7.747300 15.799999)(-4.454000 7.239700 15.799999)(-3.975550 7.493600 15.549999)(-4.454000 7.239700 15.799999)(-3.975990 7.493500 15.300000)(-4.454000 7.239700 15.799999)(-3.497000 7.747300 15.799999)(-30.008999 -12.979700 15.799999)(-30.008999 -12.979700 -15.799999)(-30.007999 -11.979700 14.800000)(-30.008999 -12.979700 15.799999)(-3.975990 7.493500 15.300000)(-3.497000 7.747300 14.800000)(-3.736500 7.620400 15.300000)(-3.497000 7.747300 14.800000)(-3.497000 7.747300 15.799999)(-3.736500 7.620400 15.300000)(-3.497000 7.747300 15.799999)(-3.975990 7.493500 15.300000)(-3.736500 7.620400 15.300000)(-3.497000 7.747300 14.800000)(-10.006001 -8.493200 14.800000)(12.736899 -8.508600 14.800000)(-10.006001 -8.493200 14.800000)(-30.007999 -11.979700 14.800000)(-10.007999 -11.993199 14.800000)(-3.497000 7.747300 15.799999)(-10.006001 -8.493200 15.799999)(-30.008999 -12.979700 15.799999)(-30.008999 -12.979700 15.799999)(-28.869801 -12.980500 14.000000)(-30.000000 -12.979700 14.000000)(-30.000000 -12.979700 -14.000000)(-28.869801 -12.980500 -14.000000)(-30.008999 -12.979700 -15.799999)(-30.000000 -12.979700 14.000000)(-30.008999 -12.979700 -15.799999)(-30.008999 -12.979700 15.799999)(-30.000000 -12.979700 2.285980)(-30.008999 -12.979700 -15.799999)(-30.000000 -12.979700 14.000000)(-30.000000 -12.979700 2.285980)(-30.008999 -12.979700 -15.799999)(-30.000000 -12.979700 0.000000)(-30.000000 -12.979700 -11.714001)(-30.008999 -12.979700 -15.799999)(-30.000000 -12.979700 0.000000)(-30.000000 -12.979700 -11.714001)(-30.008999 -12.979700 -15.799999)(-30.000000 -12.979700 -14.000000)(-30.008999 -12.979700 -15.799999)(-30.007999 -11.979700 -14.800000)(-30.007999 -11.979700 14.800000)(-3.497000 7.747300 14.800000)(4.620000 -0.380699 15.300000)(-3.497000 7.747300 15.799999)(12.736899 -8.508600 14.800000)(4.620000 -0.380699 15.300000)(-3.497000 7.747300 14.800000)(-10.006001 -8.493200 14.800000)(1.366000 -8.500900 15.300000)(12.736899 -8.508600 14.800000)(-10.006001 -8.493200 14.800000)(-10.007999 -11.993199 14.800000)(-10.006001 -8.493200 15.799999)(-20.007999 -11.986500 0.000000)(-10.007999 -11.993199 14.800000)(-20.007999 -11.986500 7.400000)(-10.007999 -11.993199 14.800000)(-30.007999 -11.979700 14.800000)(-20.007999 -11.986500 7.400000)(-30.007999 -11.979700 14.800000)(-20.007999 -11.986500 0.000000)(-20.007999 -11.986500 7.400000)(-10.006001 -8.493200 15.799999)(-10.009000 -12.993199 15.799999)(-30.008999 -12.979700 15.799999)(-3.497000 7.747300 15.799999)(12.736899 -8.508600 15.799999)(-10.006001 -8.493200 15.799999)(-22.477200 -12.984800 -14.000000)(-30.008999 -12.979700 -15.799999)(-28.869801 -12.980500 -14.000000)(-10.009000 -12.993199 -15.799999)(-13.486300 -12.990900 -14.000000)(-12.000000 -12.991899 -14.000000)(-10.009000 -12.993199 -15.799999)(-12.000000 -12.991899 -14.000000)(-12.000000 -12.991899 -12.654201)(-20.009001 -12.986500 -14.227099)(-21.000000 -12.985801 -14.000000)(-13.486300 -12.990900 -14.000000)(-20.009001 -12.986500 -14.227099)(-22.477200 -12.984800 -14.000000)(-21.000000 -12.985801 -14.000000)(-20.009001 -12.986500 -14.227099)(-10.009000 -12.993199 -15.799999)(-30.008999 -12.979700 -15.799999)(-20.009001 -12.986500 -14.227099)(-30.008999 -12.979700 -15.799999)(-22.477200 -12.984800 -14.000000)(-20.009001 -12.986500 -14.227099)(-13.486300 -12.990900 -14.000000)(-10.009000 -12.993199 -15.799999)(-12.000000 -12.991899 14.000000)(-10.009000 -12.993199 15.799999)(-12.000000 -12.991899 12.654201)(-10.009000 -12.993199 15.799999)(-12.000000 -12.991899 14.000000)(-19.519800 -12.986799 14.000000)(-30.008999 -12.979700 15.799999)(-21.000000 -12.985801 14.000000)(-28.528900 -12.980700 14.000000)(-30.008999 -12.979700 15.799999)(-28.528900 -12.980700 14.000000)(-28.869801 -12.980500 14.000000)(-19.519800 -12.986799 14.000000)(-21.000000 -12.985801 14.000000)(-20.009001 -12.986500 14.227099)(-30.008999 -12.979700 15.799999)(-10.009000 -12.993199 15.799999)(-20.009001 -12.986500 14.227099)(-10.009000 -12.993199 15.799999)(-19.519800 -12.986799 14.000000)(-20.009001 -12.986500 14.227099)(-21.000000 -12.985801 14.000000)(-30.008999 -12.979700 15.799999)(-20.009001 -12.986500 14.227099)(-30.006001 -8.479700 -15.799999)(-30.007999 -11.979700 -14.800000)(-30.008999 -12.979700 -15.799999)(-20.007999 -11.986500 0.000000)(-30.007999 -11.979700 14.800000)(-25.008001 -11.983100 0.000000)(-30.007999 -11.979700 14.800000)(-30.007999 -11.979700 -14.800000)(-25.008001 -11.983100 0.000000)(-30.007999 -11.979700 -14.800000)(-20.007999 -11.986500 0.000000)(-25.008001 -11.983100 0.000000)(-3.497000 7.747300 15.799999)(4.620000 -0.380699 15.300000)(12.736899 -8.508600 15.799999)(12.736899 -8.508600 14.800000)(12.736899 -8.508600 15.799999)(4.620000 -0.380699 15.300000)(12.736899 -8.508600 15.799999)(12.736899 -8.508600 14.800000)(1.366000 -8.500900 15.300000)(-10.006001 -8.493200 15.799999)(1.366000 -8.500900 15.300000)(-10.006001 -8.493200 14.800000)(-10.007999 -11.993199 14.800000)(-10.009000 -12.993199 15.799999)(-10.006001 -8.493200 15.799999)(-20.007999 -11.986500 0.000000)(-10.007999 -11.993199 -14.800000)(-15.007999 -11.989800 -0.000000)(-10.007999 -11.993199 -14.800000)(-10.007999 -11.993199 14.800000)(-15.007999 -11.989800 -0.000000)(-10.007999 -11.993199 14.800000)(-20.007999 -11.986500 0.000000)(-15.007999 -11.989800 -0.000000)(12.736899 -8.508600 15.799999)(1.366000 -8.500900 15.300000)(-10.006001 -8.493200 15.799999)(-10.006001 -8.493200 -15.799999)(-30.008999 -12.979700 -15.799999)(-10.009000 -12.993199 -15.799999)(-12.000000 -12.991899 12.654201)(-10.009000 -12.993199 15.799999)(-12.000000 -12.991899 11.685599)(-12.000000 -12.991899 -12.654201)(-12.000000 -12.991899 -2.314350)(-10.009000 -12.993199 -15.799999)(-10.009000 -12.993199 15.799999)(-10.009000 -12.993199 -15.799999)(-11.004500 -12.992500 0.000000)(-12.000000 -12.991899 -2.314350)(-12.000000 -12.991899 0.000000)(-11.004500 -12.992500 0.000000)(-12.000000 -12.991899 0.000000)(-12.000000 -12.991899 11.685599)(-11.004500 -12.992500 0.000000)(-12.000000 -12.991899 11.685599)(-10.009000 -12.993199 15.799999)(-11.004500 -12.992500 0.000000)(-10.009000 -12.993199 -15.799999)(-12.000000 -12.991899 -2.314350)(-11.004500 -12.992500 0.000000)(-30.006001 -8.479700 -15.799999)(-30.008999 -12.979700 -15.799999)(-4.454000 7.239700 -15.799999)(-30.006001 -8.479700 -15.799999)(-30.006001 -8.479700 -14.800000)(-30.007999 -11.979700 -14.800000)(-20.007999 -11.986500 0.000000)(-30.007999 -11.979700 -14.800000)(-20.007999 -11.986500 -7.400000)(-30.007999 -11.979700 -14.800000)(-10.007999 -11.993199 -14.800000)(-20.007999 -11.986500 -7.400000)(-10.007999 -11.993199 -14.800000)(-20.007999 -11.986500 0.000000)(-20.007999 -11.986500 -7.400000)(-10.009000 -12.993199 -15.799999)(-10.009000 -12.993199 15.799999)(-10.007999 -11.993199 14.800000)(-10.007999 -11.993199 -14.800000)(-10.009000 -12.993199 -15.799999)(-10.007999 -11.993199 14.800000)(-10.006001 -8.493200 -15.799999)(-10.009000 -12.993199 -15.799999)(-10.006001 -8.493200 -14.800000)(-3.497000 7.747300 -15.799999)(-30.008999 -12.979700 -15.799999)(-10.006001 -8.493200 -15.799999)(-17.230000 -0.620000 -15.300000)(-30.006001 -8.479700 -15.799999)(-4.454000 7.239700 -15.799999)(-30.008999 -12.979700 -15.799999)(-3.497000 7.747300 -15.799999)(-4.454000 7.239700 -15.799999)(-30.006001 -8.479700 -14.800000)(-30.006001 -8.479700 -15.799999)(-17.230000 -0.620000 -15.300000)(-30.006001 -8.479700 -14.800000)(-4.454000 7.239700 -14.800000)(-30.007999 -11.979700 -14.800000)(-10.006001 -8.493200 -14.800000)(-10.007999 -11.993199 -14.800000)(-30.007999 -11.979700 -14.800000)(-10.009000 -12.993199 -15.799999)(-10.007999 -11.993199 -14.800000)(-10.006001 -8.493200 -14.800000)(-10.006001 -8.493200 -14.800000)(1.366000 -8.500900 -15.300000)(-10.006001 -8.493200 -15.799999)(-3.497000 7.747300 -15.799999)(-10.006001 -8.493200 -15.799999)(12.736899 -8.508600 -15.799999)(-4.454000 7.239700 -14.800000)(-17.230000 -0.620000 -15.300000)(-4.454000 7.239700 -15.799999)(-3.975550 7.493600 -15.549999)(-3.975990 7.493500 -15.300000)(-4.454000 7.239700 -15.799999)(-3.975550 7.493600 -15.549999)(-4.454000 7.239700 -15.799999)(-3.497000 7.747300 -15.799999)(-3.975550 7.493600 -15.549999)(-3.497000 7.747300 -15.799999)(-3.975990 7.493500 -15.300000)(-30.006001 -8.479700 -14.800000)(-17.230000 -0.620000 -15.300000)(-4.454000 7.239700 -14.800000)(-4.454000 7.239700 -14.800000)(-3.497000 7.747300 -14.800000)(-30.007999 -11.979700 -14.800000)(-3.497000 7.747300 -14.800000)(-10.006001 -8.493200 -14.800000)(-30.007999 -11.979700 -14.800000)(-10.006001 -8.493200 -15.799999)(1.366000 -8.500900 -15.300000)(12.736899 -8.508600 -15.799999)(12.736899 -8.508600 -14.800000)(1.366000 -8.500900 -15.300000)(-10.006001 -8.493200 -14.800000)(12.736899 -8.508600 -15.799999)(4.620000 -0.380699 -15.300000)(-3.497000 7.747300 -15.799999)(-3.975990 7.493500 -15.300000)(-4.454000 7.239700 -14.800000)(-4.215000 7.366600 -15.300000)(-4.454000 7.239700 -14.800000)(-4.454000 7.239700 -15.799999)(-4.215000 7.366600 -15.300000)(-4.454000 7.239700 -15.799999)(-3.975990 7.493500 -15.300000)(-4.215000 7.366600 -15.300000)(-3.975990 7.493500 -15.300000)(-3.497000 7.747300 -15.799999)(-3.736500 7.620400 -15.300000)(-3.497000 7.747300 -15.799999)(-3.497000 7.747300 -14.800000)(-3.736500 7.620400 -15.300000)(-3.497000 7.747300 -14.800000)(-3.975990 7.493500 -15.300000)(-3.736500 7.620400 -15.300000)(-3.975550 7.493600 -15.049999)(-3.975990 7.493500 -15.300000)(-3.497000 7.747300 -14.800000)(-3.975550 7.493600 -15.049999)(-3.497000 7.747300 -14.800000)(-4.454000 7.239700 -14.800000)(-3.975550 7.493600 -15.049999)(-4.454000 7.239700 -14.800000)(-3.975990 7.493500 -15.300000)(-3.497000 7.747300 -14.800000)(12.736899 -8.508600 -14.800000)(-10.006001 -8.493200 -14.800000)(12.736899 -8.508600 -14.800000)(12.736899 -8.508600 -15.799999)(1.366000 -8.500900 -15.300000)(-3.497000 7.747300 -15.799999)(4.620000 -0.380699 -15.300000)(-3.497000 7.747300 -14.800000)(12.736899 -8.508600 -14.800000)(4.620000 -0.380699 -15.300000)(12.736899 -8.508600 -15.799999)(4.620000 -0.380699 -15.300000)(12.736899 -8.508600 -14.800000)(-3.497000 7.747300 -14.800000)(-28.869801 -12.980500 -14.000000)(-30.000000 -12.979700 -14.000000)(-30.000000 -18.000000 -14.000000)(-28.869801 -12.980500 -14.000000)(-30.000000 -18.000000 -14.000000)(-22.477200 -12.984800 -14.000000)(-30.000000 -12.979700 14.000000)(-28.869801 -12.980500 14.000000)(-30.000000 -18.000000 14.000000)(-28.869801 -12.980500 14.000000)(-28.528900 -12.980700 14.000000)(-30.000000 -18.000000 14.000000)(-28.528900 -12.980700 14.000000)(-21.000000 -18.000000 14.000000)(-30.000000 -18.000000 14.000000)(-30.000000 -18.000000 14.000000)(-30.000000 -12.979700 2.285980)(-30.000000 -12.979700 14.000000)(-30.000000 -18.000000 0.000000)(-30.000000 -12.979700 0.000000)(-30.000000 -12.979700 2.285980)(-30.000000 -18.000000 0.000000)(-30.000000 -12.979700 2.285980)(-30.000000 -18.000000 14.000000)(-30.000000 -18.000000 0.000000)(-30.000000 -12.979700 -11.714001)(-30.000000 -12.979700 0.000000)(-30.000000 -18.000000 -14.000000)(-30.000000 -12.979700 -14.000000)(-30.000000 -12.979700 -11.714001)(-30.000000 -18.000000 -14.000000)(-30.000000 -12.979700 -11.714001)(-30.000000 -18.000000 0.000000)(-22.477200 -12.984800 -14.000000)(-30.000000 -18.000000 -14.000000)(-21.000000 -18.000000 -14.000000)(-21.000000 -12.985801 -14.000000)(-22.477200 -12.984800 -14.000000)(-21.000000 -18.000000 -14.000000)(-13.486300 -12.990900 -14.000000)(-21.000000 -18.000000 -14.000000)(-12.000000 -18.000000 -14.000000)(-12.000000 -12.991899 -14.000000)(-13.486300 -12.990900 -14.000000)(-12.000000 -18.000000 -14.000000)(-21.000000 -12.985801 -14.000000)(-21.000000 -18.000000 -14.000000)(-13.486300 -12.990900 -14.000000)(-12.000000 -18.000000 -14.000000)(-12.000000 -12.991899 -2.314350)(-12.000000 -12.991899 -12.654201)(-12.000000 -18.000000 -14.000000)(-12.000000 -12.991899 -12.654201)(-12.000000 -12.991899 -14.000000)(-12.000000 -12.991899 14.000000)(-12.000000 -18.000000 14.000000)(-19.519800 -12.986799 14.000000)(-21.000000 -12.985801 14.000000)(-19.519800 -12.986799 14.000000)(-21.000000 -18.000000 14.000000)(-19.519800 -12.986799 14.000000)(-12.000000 -18.000000 14.000000)(-21.000000 -18.000000 14.000000)(-21.000000 -12.985801 14.000000)(-21.000000 -18.000000 14.000000)(-28.528900 -12.980700 14.000000)(-12.000000 -18.000000 14.000000)(-12.000000 -12.991899 14.000000)(-12.000000 -12.991899 12.654201)(-12.000000 -18.000000 14.000000)(-12.000000 -12.991899 12.654201)(-12.000000 -12.991899 11.685599)(-12.000000 -18.000000 14.000000)(-12.000000 -12.991899 11.685599)(-12.000000 -18.000000 0.000000)(-30.000000 -18.000000 14.000000)(-21.000000 -18.000000 14.000000)(-30.000000 -18.000000 0.000000)(-30.000000 -18.000000 -14.000000)(-30.000000 -18.000000 0.000000)(-21.000000 -18.000000 -14.000000)(-21.000000 -18.000000 -14.000000)(-12.000000 -18.000000 0.000000)(-12.000000 -18.000000 -14.000000)(-12.000000 -18.000000 0.000000)(-12.000000 -12.991899 0.000000)(-12.000000 -12.991899 -2.314350)(-12.000000 -18.000000 0.000000)(-12.000000 -12.991899 -2.314350)(-12.000000 -18.000000 -14.000000)(-12.000000 -18.000000 0.000000)(-12.000000 -12.991899 11.685599)(-12.000000 -12.991899 0.000000)(-21.000000 -18.000000 14.000000)(-12.000000 -18.000000 14.000000)(-12.000000 -18.000000 0.000000)(-12.000000 -18.000000 0.000000)(-30.000000 -18.000000 0.000000)(-21.000000 -18.000000 7.000000)(-30.000000 -18.000000 0.000000)(-21.000000 -18.000000 14.000000)(-21.000000 -18.000000 7.000000)(-21.000000 -18.000000 14.000000)(-12.000000 -18.000000 0.000000)(-21.000000 -18.000000 7.000000)(-30.000000 -18.000000 0.000000)(-12.000000 -18.000000 0.000000)(-21.000000 -18.000000 -7.000000)(-12.000000 -18.000000 0.000000)(-21.000000 -18.000000 -14.000000)(-21.000000 -18.000000 -7.000000)(-21.000000 -18.000000 -14.000000)(-30.000000 -18.000000 0.000000)(-21.000000 -18.000000 -7.000000)(-28.869801 -12.980500 -14.000000)(-30.000000 -12.979700 -14.000000)(-30.000000 -18.000000 -14.000000)(-28.869801 -12.980500 -14.000000)(-30.000000 -18.000000 -14.000000)(-22.477200 -12.984800 -14.000000)(-30.000000 -12.979700 14.000000)(-28.869801 -12.980500 14.000000)(-30.000000 -18.000000 14.000000)(-28.869801 -12.980500 14.000000)(-28.528900 -12.980700 14.000000)(-30.000000 -18.000000 14.000000)(-28.528900 -12.980700 14.000000)(-21.000000 -18.000000 14.000000)(-30.000000 -18.000000 14.000000)(-30.000000 -18.000000 14.000000)(-30.000000 -12.979700 2.285980)(-30.000000 -12.979700 14.000000)(-30.000000 -18.000000 0.000000)(-30.000000 -12.979700 0.000000)(-30.000000 -12.979700 2.285980)(-30.000000 -18.000000 0.000000)(-30.000000 -12.979700 2.285980)(-30.000000 -18.000000 14.000000)(-30.000000 -18.000000 0.000000)(-30.000000 -12.979700 -11.714001)(-30.000000 -12.979700 0.000000)(-30.000000 -18.000000 -14.000000)(-30.000000 -12.979700 -14.000000)(-30.000000 -12.979700 -11.714001)(-30.000000 -18.000000 -14.000000)(-30.000000 -12.979700 -11.714001)(-30.000000 -18.000000 0.000000)(-22.477200 -12.984800 -14.000000)(-30.000000 -18.000000 -14.000000)(-21.000000 -18.000000 -14.000000)(-21.000000 -12.985801 -14.000000)(-22.477200 -12.984800 -14.000000)(-21.000000 -18.000000 -14.000000)(-13.486300 -12.990900 -14.000000)(-21.000000 -18.000000 -14.000000)(-12.000000 -18.000000 -14.000000)(-12.000000 -12.991899 -14.000000)(-13.486300 -12.990900 -14.000000)(-12.000000 -18.000000 -14.000000)(-21.000000 -12.985801 -14.000000)(-21.000000 -18.000000 -14.000000)(-13.486300 -12.990900 -14.000000)(-12.000000 -18.000000 -14.000000)(-12.000000 -12.991899 -2.314350)(-12.000000 -12.991899 -12.654201)(-12.000000 -18.000000 -14.000000)(-12.000000 -12.991899 -12.654201)(-12.000000 -12.991899 -14.000000)(-12.000000 -12.991899 14.000000)(-12.000000 -18.000000 14.000000)(-19.519800 -12.986799 14.000000)(-21.000000 -12.985801 14.000000)(-19.519800 -12.986799 14.000000)(-21.000000 -18.000000 14.000000)(-19.519800 -12.986799 14.000000)(-12.000000 -18.000000 14.000000)(-21.000000 -18.000000 14.000000)(-21.000000 -12.985801 14.000000)(-21.000000 -18.000000 14.000000)(-28.528900 -12.980700 14.000000)(-12.000000 -18.000000 14.000000)(-12.000000 -12.991899 14.000000)(-12.000000 -12.991899 12.654201)(-12.000000 -18.000000 14.000000)(-12.000000 -12.991899 12.654201)(-12.000000 -12.991899 11.685599)(-12.000000 -18.000000 14.000000)(-12.000000 -12.991899 11.685599)(-12.000000 -18.000000 0.000000)(-30.000000 -18.000000 14.000000)(-21.000000 -18.000000 14.000000)(-30.000000 -18.000000 0.000000)(-30.000000 -18.000000 -14.000000)(-30.000000 -18.000000 0.000000)(-21.000000 -18.000000 -14.000000)(-21.000000 -18.000000 -14.000000)(-12.000000 -18.000000 0.000000)(-12.000000 -18.000000 -14.000000)(-12.000000 -18.000000 0.000000)(-12.000000 -12.991899 0.000000)(-12.000000 -12.991899 -2.314350)(-12.000000 -18.000000 0.000000)(-12.000000 -12.991899 -2.314350)(-12.000000 -18.000000 -14.000000)(-12.000000 -18.000000 0.000000)(-12.000000 -12.991899 11.685599)(-12.000000 -12.991899 0.000000)(-21.000000 -18.000000 14.000000)(-12.000000 -18.000000 14.000000)(-12.000000 -18.000000 0.000000)(-12.000000 -18.000000 0.000000)(-30.000000 -18.000000 0.000000)(-21.000000 -18.000000 7.000000)(-30.000000 -18.000000 0.000000)(-21.000000 -18.000000 14.000000)(-21.000000 -18.000000 7.000000)(-21.000000 -18.000000 14.000000)(-12.000000 -18.000000 0.000000)(-21.000000 -18.000000 7.000000)(-30.000000 -18.000000 0.000000)(-12.000000 -18.000000 0.000000)(-21.000000 -18.000000 -7.000000)(-12.000000 -18.000000 0.000000)(-21.000000 -18.000000 -14.000000)(-21.000000 -18.000000 -7.000000)(-21.000000 -18.000000 -14.000000)(-30.000000 -18.000000 0.000000)(-21.000000 -18.000000 -7.000000)(-28.869801 -12.980500 -14.000000)(-30.000000 -12.979700 -14.000000)(-30.000000 -18.000000 -14.000000)(-28.869801 -12.980500 -14.000000)(-30.000000 -18.000000 -14.000000)(-22.477200 -12.984800 -14.000000)(-30.000000 -12.979700 14.000000)(-28.869801 -12.980500 14.000000)(-30.000000 -18.000000 14.000000)(-28.869801 -12.980500 14.000000)(-28.528900 -12.980700 14.000000)(-30.000000 -18.000000 14.000000)(-28.528900 -12.980700 14.000000)(-21.000000 -18.000000 14.000000)(-30.000000 -18.000000 14.000000)(-30.000000 -18.000000 14.000000)(-30.000000 -12.979700 2.285980)(-30.000000 -12.979700 14.000000)(-30.000000 -18.000000 0.000000)(-30.000000 -12.979700 0.000000)(-30.000000 -12.979700 2.285980)(-30.000000 -18.000000 0.000000)(-30.000000 -12.979700 2.285980)(-30.000000 -18.000000 14.000000)(-30.000000 -18.000000 0.000000)(-30.000000 -12.979700 -11.714001)(-30.000000 -12.979700 0.000000)(-30.000000 -18.000000 -14.000000)(-30.000000 -12.979700 -14.000000)(-30.000000 -12.979700 -11.714001)(-30.000000 -18.000000 -14.000000)(-30.000000 -12.979700 -11.714001)(-30.000000 -18.000000 0.000000)(-22.477200 -12.984800 -14.000000)(-30.000000 -18.000000 -14.000000)(-21.000000 -18.000000 -14.000000)(-21.000000 -12.985801 -14.000000)(-22.477200 -12.984800 -14.000000)(-21.000000 -18.000000 -14.000000)(-13.486300 -12.990900 -14.000000)(-21.000000 -18.000000 -14.000000)(-12.000000 -18.000000 -14.000000)(-12.000000 -12.991899 -14.000000)(-13.486300 -12.990900 -14.000000)(-12.000000 -18.000000 -14.000000)(-21.000000 -12.985801 -14.000000)(-21.000000 -18.000000 -14.000000)(-13.486300 -12.990900 -14.000000)(-12.000000 -18.000000 -14.000000)(-12.000000 -12.991899 -2.314350)(-12.000000 -12.991899 -12.654201)(-12.000000 -18.000000 -14.000000)(-12.000000 -12.991899 -12.654201)(-12.000000 -12.991899 -14.000000)(-12.000000 -12.991899 14.000000)(-12.000000 -18.000000 14.000000)(-19.519800 -12.986799 14.000000)(-21.000000 -12.985801 14.000000)(-19.519800 -12.986799 14.000000)(-21.000000 -18.000000 14.000000)(-19.519800 -12.986799 14.000000)(-12.000000 -18.000000 14.000000)(-21.000000 -18.000000 14.000000)(-21.000000 -12.985801 14.000000)(-21.000000 -18.000000 14.000000)(-28.528900 -12.980700 14.000000)(-12.000000 -18.000000 14.000000)(-12.000000 -12.991899 14.000000)(-12.000000 -12.991899 12.654201)(-12.000000 -18.000000 14.000000)(-12.000000 -12.991899 12.654201)(-12.000000 -12.991899 11.685599)(-12.000000 -18.000000 14.000000)(-12.000000 -12.991899 11.685599)(-12.000000 -18.000000 0.000000)(-30.000000 -18.000000 14.000000)(-21.000000 -18.000000 14.000000)(-30.000000 -18.000000 0.000000)(-30.000000 -18.000000 -14.000000)(-30.000000 -18.000000 0.000000)(-21.000000 -18.000000 -14.000000)(-21.000000 -18.000000 -14.000000)(-12.000000 -18.000000 0.000000)(-12.000000 -18.000000 -14.000000)(-12.000000 -18.000000 0.000000)(-12.000000 -12.991899 0.000000)(-12.000000 -12.991899 -2.314350)(-12.000000 -18.000000 0.000000)(-12.000000 -12.991899 -2.314350)(-12.000000 -18.000000 -14.000000)(-12.000000 -18.000000 0.000000)(-12.000000 -12.991899 11.685599)(-12.000000 -12.991899 0.000000)(-21.000000 -18.000000 14.000000)(-12.000000 -18.000000 14.000000)(-12.000000 -18.000000 0.000000)(-12.000000 -18.000000 0.000000)(-30.000000 -18.000000 0.000000)(-21.000000 -18.000000 7.000000)(-30.000000 -18.000000 0.000000)(-21.000000 -18.000000 14.000000)(-21.000000 -18.000000 7.000000)(-21.000000 -18.000000 14.000000)(-12.000000 -18.000000 0.000000)(-21.000000 -18.000000 7.000000)(-30.000000 -18.000000 0.000000)(-12.000000 -18.000000 0.000000)(-21.000000 -18.000000 -7.000000)(-12.000000 -18.000000 0.000000)(-21.000000 -18.000000 -14.000000)(-21.000000 -18.000000 -7.000000)(-21.000000 -18.000000 -14.000000)(-30.000000 -18.000000 0.000000)(-21.000000 -18.000000 -7.000000)))
           )
           )))
    (send glvertices :calc-normals)
    (send self :assoc glvertices)
    glvertices)
  (:qhull-faceset ()
   ;; qhull 1440 -> 9 faces
   (instance faceset :init :faces (list
    (instance face :init :vertices (list (float-vector -3.497000 7.747300 -15.799999) (float-vector 12.736900 -8.508600 -15.799999) (float-vector 12.736900 -8.508600 14.800000) (float-vector -3.497000 7.747300 14.800000)))
    (instance face :init :vertices (list (float-vector -12.000000 -17.999999 -14.000000) (float-vector 12.736900 -8.508600 -15.799999) (float-vector -30.009000 -12.979700 -15.799999) (float-vector -29.999999 -17.999999 -14.000000)))
    (instance face :init :vertices (list (float-vector -30.006001 -8.479700 -15.799999) (float-vector -30.009000 -12.979700 -15.799999) (float-vector 12.736900 -8.508600 -15.799999) (float-vector -3.497000 7.747300 -15.799999)))
    (instance face :init :vertices (list (float-vector -30.006001 -8.479700 -15.799999) (float-vector -3.497000 7.747300 -15.799999) (float-vector -3.497000 7.747300 14.800000) (float-vector -30.006001 -8.479700 14.800000)))
    (instance face :init :vertices (list (float-vector -12.000000 -17.999999 14.000000) (float-vector 12.736900 -8.508600 14.800000) (float-vector 12.736900 -8.508600 -15.799999) (float-vector -12.000000 -17.999999 -14.000000)))
    (instance face :init :vertices (list (float-vector -12.000000 -17.999999 14.000000) (float-vector -30.009000 -12.979700 15.799999) (float-vector -30.006001 -8.479700 14.800000) (float-vector -3.497000 7.747300 14.800000) (float-vector 12.736900 -8.508600 14.800000)))
    (instance face :init :vertices (list (float-vector -12.000000 -17.999999 14.000000) (float-vector -29.999999 -17.999999 14.000000) (float-vector -30.009000 -12.979700 15.799999)))
    (instance face :init :vertices (list (float-vector -29.999999 -17.999999 14.000000) (float-vector -29.999999 -17.999999 -14.000000) (float-vector -30.009000 -12.979700 -15.799999) (float-vector -30.006001 -8.479700 -15.799999) (float-vector -30.006001 -8.479700 14.800000) (float-vector -30.009000 -12.979700 15.799999)))
    (instance face :init :vertices (list (float-vector -29.999999 -17.999999 14.000000) (float-vector -12.000000 -17.999999 14.000000) (float-vector -12.000000 -17.999999 -14.000000) (float-vector -29.999999 -17.999999 -14.000000)))
    ))
   )
  )

(defclass HiroNX_g1_14_geom0
  :super collada-body
  :slots ())
(defmethod HiroNX_g1_14_geom0
  (:init (&key (name))
         (replace-object self (send self :qhull-faceset))
         (if name (send self :name name))
         (send self :def-gl-vertices)
         self)
  (:def-gl-vertices ()
    (setq glvertices
       (instance gl::glvertices :init
          (list
          (list
           (list :type :triangles)
           (list :material (list
             (list :color (float-vector 0.1 0.1 0.1))
             (list :ambient (float-vector 0.200000 0.200000 0.200000 1.000000))
             (list :diffuse (float-vector 0.900000 0.900000 0.900000 1.000000))
           ))
           (list :indices #i( 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148 149 150 151 152 153 154 155 156 157 158 159 160 161 162 163 164 165 166 167 168 169 170 171 172 173 174 175 176 177 178 179 180 181 182 183 184 185 186 187 188 189 190 191 192 193 194 195 196 197 198 199 200 201 202 203 204 205 206 207 208 209 210 211 212 213 214 215 216 217 218 219 220 221 222 223 224 225 226 227 228 229 230 231 232 233 234 235 236 237 238 239 240 241 242 243 244 245 246 247 248 249 250 251 252 253 254 255 256 257 258 259 260 261 262 263 264 265 266 267 268 269 270 271 272 273 274 275 276 277 278 279 280 281 282 283 284 285 286 287 288 289 290 291 292 293 294 295 296 297 298 299 300 301 302 303 304 305 306 307 308 309 310 311 312 313 314 315 316 317 318 319 320 321 322 323 324 325 326 327 328 329 330 331 332 333 334 335 336 337 338 339 340 341 342 343 344 345 346 347 348 349 350 351 352 353 354 355 356 357 358 359 360 361 362 363 364 365 366 367 368 369 370 371 372 373 374 375 376 377 378 379 380 381 382 383 384 385 386 387 388 389 390 391 392 393 394 395 396 397 398 399 400 401 402 403 404 405 406 407 408 409 410 411 412 413 414 415 416 417 418 419 420 421 422 423 424 425 426 427 428 429 430 431 432 433 434 435 436 437 438 439 440 441 442 443 444 445 446 447 448 449 450 451 452 453 454 455 456 457 458 459 460 461 462 463 464 465 466 467 468 469 470 471 472 473 474 475 476 477 478 479 480 481 482 483 484 485 486 487 488 489 490 491 492 493 494 495 496 497 498 499 500 501 502 503 504 505 506 507 508 509 510 511 512 513 514 515 516 517 518 519 520 521 522 523 524 525 526 527 528 529 530 531 532 533 534 535 536 537 538 539 540 541 542 543 544 545 546 547 548 549 550 551 552 553 554 555 556 557 558 559 560 561 562 563 564 565 566 567 568 569 570 571 572 573 574 575 576 577 578 579 580 581 582 583 584 585 586 587 588 589 590 591 592 593 594 595 596 597 598 599 600 601 602 603 604 605 606 607 608 609 610 611 612 613 614 615 616 617 618 619 620 621 622 623 624 625 626 627 628 629 630 631 632 633 634 635 636 637 638 639 640 641 642 643 644 645 646 647 648 649 650 651 652 653 654 655 656 657 658 659 660 661 662 663 664 665 666 667 668 669 670 671 672 673 674 675 676 677 678 679 680 681 682 683 684 685 686 687 688 689 690 691 692 693 694 695 696 697 698 699 700 701 702 703 704 705 706 707 708 709 710 711 712 713 714 715 716 717 718 719 720 721 722 723 724 725 726 727 728 729 730 731 732 733 734 735 736 737 738 739 740 741 742 743 744 745 746 747 748 749 750 751 752 753 754 755 756 757 758 759 760 761 762 763 764 765 766 767 768 769 770 771 772 773 774 775 776 777 778 779 780 781 782 783 784 785 786 787 788 789 790 791 792 793 794 795 796 797 798 799 800 801 802 803 804 805 806 807 808 809 810 811 812 813 814 815 816 817 818 819 820 821 822 823 824 825 826 827 828 829 830 831 832 833 834 835 836 837 838 839 840 841 842 843 844 845 846 847 848 849 850 851 852 853 854 855 856 857 858 859 860 861 862 863 864 865 866 867 868 869 870 871 872 873 874 875 876 877 878 879 880 881 882 883 884 885 886 887 888 889 890 891 892 893 894 895 896 897 898 899 900 901 902 903 904 905 906 907 908 909 910 911 912 913 914 915 916 917 918 919 920 921 922 923 924 925 926 927 928 929 930 931 932 933 934 935 936 937 938 939 940 941 942 943 944 945 946 947 948 949 950 951 952 953 954 955 956 957 958 959 960 961 962 963 964 965 966 967 968 969 970 971 972 973 974 975 976 977 978 979 980 981 982 983 984 985 986 987 988 989 990 991 992 993 994 995 996 997 998 999 1000 1001 1002 1003 1004 1005 1006 1007 1008 1009 1010 1011 1012 1013 1014 1015 1016 1017 1018 1019 1020 1021 1022 1023 1024 1025 1026 1027 1028 1029 1030 1031 1032 1033 1034 1035 1036 1037 1038 1039 1040 1041 1042 1043 1044 1045 1046 1047 1048 1049 1050 1051 1052 1053 1054 1055 1056 1057 1058 1059 1060 1061 1062 1063 1064 1065 1066 1067 1068 1069 1070 1071 1072 1073 1074 1075 1076 1077 1078 1079 1080 1081 1082 1083 1084 1085 1086 1087 1088 1089 1090 1091 1092 1093 1094 1095 1096 1097 1098 1099 1100 1101 1102 1103 1104 1105 1106 1107 1108 1109 1110 1111 1112 1113 1114 1115 1116 1117 1118 1119 1120 1121 1122 1123 1124 1125 1126 1127 1128 1129 1130 1131 1132 1133 1134 1135 1136 1137 1138 1139 1140 1141 1142 1143 1144 1145 1146 1147 1148 1149 1150 1151 1152 1153 1154 1155 1156 1157 1158 1159 1160 1161 1162 1163 1164 1165 1166 1167 1168 1169 1170 1171 1172 1173 1174 1175 1176 1177 1178 1179 1180 1181 1182 1183 1184 1185 1186 1187 1188 1189 1190 1191 1192 1193 1194 1195 1196 1197 1198 1199 1200 1201 1202 1203 1204 1205 1206 1207 1208 1209 1210 1211 1212 1213 1214 1215 1216 1217 1218 1219 1220 1221 1222 1223 1224 1225 1226 1227 1228 1229 1230 1231 1232 1233 1234 1235 1236 1237 1238 1239 1240 1241 1242 1243 1244 1245 1246 1247 1248 1249 1250 1251 1252 1253 1254 1255 1256 1257 1258 1259 1260 1261 1262 1263 1264 1265 1266 1267 1268 1269 1270 1271 1272 1273 1274 1275 1276 1277 1278 1279 1280 1281 1282 1283 1284 1285 1286 1287 1288 1289 1290 1291 1292 1293 1294 1295 1296 1297 1298 1299 1300 1301 1302 1303 1304 1305 1306 1307 1308 1309 1310 1311 1312 1313 1314 1315 1316 1317 1318 1319 1320 1321 1322 1323 1324 1325 1326 1327 1328 1329 1330 1331 1332 1333 1334 1335 1336 1337 1338 1339 1340 1341 1342 1343 1344 1345 1346 1347 1348 1349 1350 1351 1352 1353 1354 1355 1356 1357 1358 1359 1360 1361 1362 1363 1364 1365 1366 1367 1368 1369 1370 1371 1372 1373 1374 1375 1376 1377 1378 1379 1380 1381 1382 1383 1384 1385 1386 1387 1388 1389 1390 1391 1392 1393 1394 1395 1396 1397 1398 1399 1400 1401 1402 1403 1404 1405 1406 1407 1408 1409 1410 1411 1412 1413 1414 1415 1416 1417 1418 1419 1420 1421 1422 1423 1424 1425 1426 1427 1428 1429 1430 1431 1432 1433 1434 1435 1436 1437 1438 1439 1440 1441 1442 1443 1444 1445 1446 1447 1448 1449 1450 1451 1452 1453 1454 1455 1456 1457 1458 1459 1460 1461 1462 1463 1464 1465 1466 1467 1468 1469 1470 1471 1472 1473 1474 1475 1476 1477 1478 1479 1480 1481 1482 1483 1484 1485 1486 1487 1488 1489 1490 1491 1492 1493 1494 1495 1496 1497 1498 1499 1500 1501 1502 1503 1504 1505 1506 1507 1508 1509 1510 1511 1512 1513 1514 1515 1516 1517 1518 1519 1520 1521 1522 1523 1524 1525 1526 1527 1528 1529 1530 1531 1532 1533 1534 1535 1536 1537 1538 1539 1540 1541 1542 1543 1544 1545 1546 1547 1548 1549 1550 1551 1552 1553 1554 1555 1556 1557 1558 1559 1560 1561 1562 1563 1564 1565 1566 1567 1568 1569 1570 1571 1572 1573 1574 1575 1576 1577 1578 1579 1580 1581 1582 1583 1584 1585 1586 1587 1588 1589 1590 1591 1592 1593 1594 1595 1596 1597 1598 1599 1600 1601 1602 1603 1604 1605 1606 1607 1608 1609 1610 1611 1612 1613 1614 1615 1616 1617 1618 1619 1620 1621 1622 1623 1624 1625 1626 1627 1628 1629 1630 1631 1632 1633 1634 1635 1636 1637 1638 1639 1640 1641 1642 1643 1644 1645 1646 1647 1648 1649 1650 1651 1652 1653 1654 1655 1656 1657 1658 1659 1660 1661 1662 1663 1664 1665 1666 1667 1668 1669 1670 1671 1672 1673 1674 1675 1676 1677 1678 1679 1680 1681 1682 1683 1684 1685 1686 1687 1688 1689 1690 1691 1692 1693 1694 1695 1696 1697 1698 1699 1700 1701 1702 1703 1704 1705 1706 1707 1708 1709 1710 1711 1712 1713 1714 1715 1716 1717 1718 1719 1720 1721 1722 1723 1724 1725 1726 1727 1728 1729 1730 1731 1732 1733 1734 1735 1736 1737 1738 1739 1740 1741 1742 1743 1744 1745 1746 1747 1748 1749 1750 1751 1752 1753 1754 1755 1756 1757 1758 1759 1760 1761 1762 1763 1764 1765 1766 1767 1768 1769 1770 1771 1772 1773 1774 1775 1776 1777 1778 1779 1780 1781 1782 1783 1784 1785 1786 1787 1788 1789 1790 1791 1792 1793 1794 1795 1796 1797 1798 1799 1800 1801 1802 1803 1804 1805 1806 1807 1808 1809 1810 1811 1812 1813 1814 1815 1816 1817 1818 1819 1820 1821 1822 1823 1824 1825 1826 1827 1828 1829 1830 1831 1832 1833 1834 1835 1836 1837 1838 1839 1840 1841 1842 1843 1844 1845 1846 1847 1848 1849 1850 1851 1852 1853 1854 1855 1856 1857 1858 1859 1860 1861 1862 1863 1864 1865 1866 1867 1868 1869 1870 1871 1872 1873 1874 1875 1876 1877 1878 1879 1880 1881 1882 1883 1884 1885 1886 1887 1888 1889 1890 1891 1892 1893 1894 1895 1896 1897 1898 1899 1900 1901 1902 1903 1904 1905 1906 1907 1908 1909 1910 1911 1912 1913 1914 1915 1916 1917 1918 1919 1920 1921 1922 1923 1924 1925 1926 1927 1928 1929 1930 1931 1932 1933 1934 1935 1936 1937 1938 1939 1940 1941 1942 1943 1944 1945 1946 1947 1948 1949 1950 1951 1952 1953 1954 1955 1956 1957 1958 1959 1960 1961 1962 1963 1964 1965 1966 1967 1968 1969 1970 1971 1972 1973 1974 1975 1976 1977 1978 1979 1980 1981 1982 1983 1984 1985 1986 1987 1988 1989 1990 1991 1992 1993 1994 1995 1996 1997 1998 1999 2000 2001 2002 2003 2004 2005 2006 2007 2008 2009 2010 2011 2012 2013 2014 2015 2016 2017 2018 2019 2020 2021 2022 2023 2024 2025 2026 2027 2028 2029 2030 2031 2032 2033 2034 2035 2036 2037 2038 2039 2040 2041 2042 2043 2044 2045 2046 2047 2048 2049 2050 2051 2052 2053 2054 2055 2056 2057 2058 2059 2060 2061 2062 2063 2064 2065 2066 2067 2068 2069))
           (list :vertices #2f((-30.236000 -24.999001 -16.620001)(-30.236000 -32.499001 -16.620001)(-33.063999 -24.999001 -9.476790)(-33.063999 -24.999001 -9.476790)(-30.236000 -32.499001 -16.620001)(-33.419003 -24.999001 -8.579989)(-33.419003 -24.999001 -8.579989)(-33.419003 -32.499001 -8.579989)(-34.503002 -24.999001 0.000008)(-33.829998 -24.999001 6.782010)(-34.495800 -24.999001 0.072432)(-34.503002 -32.499001 0.000008)(-31.236099 -24.999001 19.587900)(-28.495300 -26.257000 33.119202)(-28.495300 -24.999001 33.119202)(-33.829998 -32.499001 6.782010)(-31.236099 -24.999001 19.587900)(-31.760099 -24.999001 17.001200)(-33.829998 -32.499001 6.782010)(-31.760099 -24.999001 17.001200)(-32.844700 -24.999001 11.646200)(-33.829998 -32.499001 6.782010)(-32.844700 -24.999001 11.646200)(-33.829998 -24.999001 6.782010)(-33.829998 -32.499001 6.782010)(-28.495300 -26.257000 33.119202)(-31.236099 -24.999001 19.587900)(-21.981001 -24.999001 65.279999)(-28.495300 -26.257000 33.119202)(-33.829998 -32.499001 6.782010)(-25.806400 -24.999001 -22.716400)(-25.455801 -25.455900 -23.198900)(-25.152000 -32.499001 -23.616999)(-29.427900 -24.999001 -17.732199)(-25.806400 -24.999001 -22.716400)(-25.152000 -32.499001 -23.616999)(-25.455801 -25.455900 -23.198900)(-25.152000 -25.689001 -23.616999)(-25.152000 -32.499001 -23.616999)(-29.427900 -24.999001 -17.732199)(-25.152000 -32.499001 -23.616999)(-30.236000 -24.999001 -16.620001)(-33.419003 -24.999001 -8.579989)(-30.236000 -32.499001 -16.620001)(-33.419003 -32.499001 -8.579989)(-30.236000 -24.999001 -16.620001)(-25.152000 -32.499001 -23.616999)(-30.236000 -32.499001 -16.620001)(-34.503002 -24.999001 0.000008)(-33.419003 -32.499001 -8.579989)(-34.503002 -32.499001 0.000008)(-33.829998 -24.999001 6.782010)(-34.503002 -32.499001 0.000008)(-33.829998 -32.499001 6.782010)(25.455801 -25.455801 -22.889700)(27.907999 -24.999001 -20.278000)(27.907999 -32.500000 -20.278000)(25.455801 -25.455801 -22.889700)(27.907999 -32.500000 -20.278000)(23.520500 -26.940800 -24.950800)(-28.495300 -24.999001 33.119202)(-27.793299 -24.999001 33.119202)(-29.514700 -24.999001 26.353600)(-27.793299 -24.999001 33.119202)(-30.743000 -24.999001 20.250401)(-29.514700 -24.999001 26.353600)(-30.743000 -24.999001 20.250401)(-31.236099 -24.999001 19.587900)(-29.514700 -24.999001 26.353600)(-31.236099 -24.999001 19.587900)(-28.495300 -24.999001 33.119202)(-29.514700 -24.999001 26.353600)(-22.320400 -24.999001 63.604301)(-21.981001 -24.999001 65.279999)(-20.805901 -24.999001 63.604301)(-21.981001 -24.999001 65.279999)(-19.006001 -24.999001 71.457001)(-20.805901 -24.999001 63.604301)(-33.829998 -32.499001 6.782010)(-21.981001 -32.499001 65.279999)(-21.981001 -24.999001 65.279999)(-25.152000 -32.499001 -23.616999)(-25.152000 -25.689001 -23.616999)(-23.226200 -27.166700 -25.210100)(-25.152000 -32.499001 -23.616999)(-23.226200 -27.166700 -25.210100)(-18.489000 -32.499001 -29.129000)(-26.538099 -39.499001 -7.008010)(-33.419003 -32.499001 -8.579989)(-30.236000 -32.499001 -16.620001)(-25.152000 -32.499001 -23.616999)(-23.528500 -39.499001 -14.169600)(-30.236000 -32.499001 -16.620001)(-27.466700 -39.499001 0.698417)(-34.503002 -32.499001 0.000008)(-33.419003 -32.499001 -8.579989)(-34.503002 -32.499001 0.000008)(-27.466700 -39.499001 0.698417)(-33.829998 -32.499001 6.782010)(29.004000 -24.999001 -18.284300)(32.074001 -24.999001 -12.700000)(32.074001 -32.500000 -12.700000)(29.004000 -24.999001 -18.284300)(32.074001 -32.500000 -12.700000)(27.907999 -24.999001 -20.278000)(27.907999 -24.999001 -20.278000)(32.074001 -32.500000 -12.700000)(27.907999 -32.500000 -20.278000)(23.520500 -26.940800 -24.950800)(27.907999 -32.500000 -20.278000)(21.988001 -32.499001 -26.582998)(21.988001 -28.116800 -26.582998)(23.520500 -26.940800 -24.950800)(21.988001 -32.499001 -26.582998)(21.988001 -32.499001 -26.582998)(19.545900 -29.990700 -28.132500)(21.282301 -28.658199 -27.030701)(21.988001 -32.499001 -26.582998)(21.282301 -28.658199 -27.030701)(21.988001 -28.116800 -26.582998)(-27.793299 -24.999001 33.119202)(-27.320400 -24.999001 33.119202)(-29.031700 -24.999001 26.684801)(-27.320400 -24.999001 33.119202)(-29.851601 -24.999001 21.447699)(-29.031700 -24.999001 26.684801)(-29.851601 -24.999001 21.447699)(-30.743000 -24.999001 20.250401)(-29.031700 -24.999001 26.684801)(-30.743000 -24.999001 20.250401)(-27.793299 -24.999001 33.119202)(-29.031700 -24.999001 26.684801)(-25.909800 -24.999001 33.119202)(-26.915998 -24.999001 25.390999)(-27.424500 -24.999001 24.707901)(-25.909800 -24.999001 33.119202)(-21.484301 -24.999001 33.119297)(-21.701000 -24.999001 29.766800)(-26.915998 -24.999001 25.390999)(-25.909800 -24.999001 33.119202)(-21.701000 -24.999001 29.766800)(-27.320400 -24.999001 33.119202)(-25.909800 -24.999001 33.119202)(-27.880701 -24.999001 27.283501)(-25.909800 -24.999001 33.119202)(-27.424500 -24.999001 24.707901)(-27.880701 -24.999001 27.283501)(-27.424500 -24.999001 24.707901)(-29.851601 -24.999001 21.447699)(-27.880701 -24.999001 27.283501)(-29.851601 -24.999001 21.447699)(-27.320400 -24.999001 33.119202)(-27.880701 -24.999001 27.283501)(-18.801600 -24.999001 31.683098)(-18.808899 -24.999001 33.119297)(-15.941800 -24.999001 33.119297)(-21.484301 -24.999001 33.119297)(-18.808899 -24.999001 33.119297)(-20.251301 -24.999001 31.443001)(-18.808899 -24.999001 33.119297)(-18.801600 -24.999001 31.683098)(-20.251301 -24.999001 31.443001)(-18.801600 -24.999001 31.683098)(-20.334999 -24.999001 30.913000)(-20.251301 -24.999001 31.443001)(-20.334999 -24.999001 30.913000)(-21.701000 -24.999001 29.766800)(-20.251301 -24.999001 31.443001)(-21.701000 -24.999001 29.766800)(-21.484301 -24.999001 33.119297)(-20.251301 -24.999001 31.443001)(-16.429201 -24.999001 63.604401)(-19.006001 -24.999001 71.457001)(-12.779600 -24.999001 63.604401)(-17.107601 -24.999001 63.604401)(-19.006001 -24.999001 71.457001)(-16.429201 -24.999001 63.604401)(-17.757401 -24.999001 63.604401)(-19.006001 -24.999001 71.457001)(-17.107601 -24.999001 63.604401)(-18.377701 -24.999001 63.604401)(-19.006001 -24.999001 71.457001)(-17.757401 -24.999001 63.604401)(-18.965601 -24.999001 63.604401)(-19.006001 -24.999001 71.457001)(-18.377701 -24.999001 63.604401)(-19.513599 -24.999001 63.604401)(-19.006001 -24.999001 71.457001)(-18.965601 -24.999001 63.604401)(-20.420101 -24.999001 63.604401)(-19.006001 -24.999001 71.457001)(-19.513599 -24.999001 63.604401)(-20.709000 -24.999001 63.604301)(-19.006001 -24.999001 71.457001)(-20.420101 -24.999001 63.604401)(-20.805901 -24.999001 63.604301)(-19.006001 -24.999001 71.457001)(-20.709000 -24.999001 63.604301)(-12.779600 -24.999001 63.604401)(-19.006001 -24.999001 71.457001)(5.015620 -24.999001 63.604599)(5.015620 -24.999001 63.604599)(-19.006001 -24.999001 71.457001)(19.676899 -24.999001 63.604801)(-19.006001 -24.999001 71.457001)(-21.981001 -24.999001 65.279999)(-21.981001 -32.499001 65.279999)(-16.089701 -39.499001 59.104401)(-21.981001 -32.499001 65.279999)(-33.829998 -32.499001 6.782010)(-18.489000 -32.499001 -29.129000)(-22.301701 -27.876099 -25.975000)(-18.489000 -30.801701 -29.129000)(-18.489000 -32.499001 -29.129000)(-23.226200 -27.166700 -25.210100)(-22.301701 -27.876099 -25.975000)(-25.152000 -32.499001 -23.616999)(-18.489000 -32.499001 -29.129000)(-18.856899 -39.499001 -20.372200)(-26.538099 -39.499001 -7.008010)(-30.236000 -32.499001 -16.620001)(-23.528500 -39.499001 -14.169600)(-33.419003 -32.499001 -8.579989)(-26.538099 -39.499001 -7.008010)(-27.466700 -39.499001 0.698417)(-23.528500 -39.499001 -14.169600)(-25.152000 -32.499001 -23.616999)(-18.856899 -39.499001 -20.372200)(-33.829998 -32.499001 6.782010)(-27.466700 -39.499001 0.698417)(-26.741701 -39.499001 6.782010)(32.679699 -24.999001 -10.341599)(34.224998 -24.999001 -4.324000)(34.224998 -32.500000 -4.324000)(32.679699 -24.999001 -10.341599)(34.224998 -32.500000 -4.324000)(32.074001 -24.999001 -12.700000)(32.074001 -24.999001 -12.700000)(34.224998 -32.500000 -4.324000)(32.074001 -32.500000 -12.700000)(27.907999 -32.500000 -20.278000)(32.074001 -32.500000 -12.700000)(28.078600 -35.448200 -16.488998)(32.074001 -32.500000 -12.700000)(25.783001 -39.499001 -15.884999)(28.078600 -35.448200 -16.488998)(25.783001 -39.499001 -15.884999)(27.907999 -32.500000 -20.278000)(28.078600 -35.448200 -16.488998)(27.907999 -32.500000 -20.278000)(25.783001 -39.499001 -15.884999)(21.988001 -32.499001 -26.582998)(18.000000 -31.176901 -29.113300)(19.545900 -29.990700 -28.132500)(18.398100 -31.244799 -28.860699)(19.545900 -29.990700 -28.132500)(21.988001 -32.499001 -26.582998)(18.398100 -31.244799 -28.860699)(21.988001 -32.499001 -26.582998)(14.808200 -32.499001 -31.138500)(18.398100 -31.244799 -28.860699)(14.808200 -32.499001 -31.138500)(18.000000 -31.176901 -29.113300)(18.398100 -31.244799 -28.860699)(22.542299 -25.022400 63.038998)(22.352699 -24.999001 63.604801)(20.719000 -32.499001 68.479004)(22.352699 -24.999001 63.604801)(20.719000 -24.999001 68.479004)(20.719000 -32.499001 68.479004)(22.548000 -25.023102 63.022003)(22.542299 -25.022400 63.038998)(22.548000 -32.499001 63.022003)(22.542299 -25.022400 63.038998)(20.719000 -32.499001 68.479004)(22.548000 -32.499001 63.022003)(22.600399 -25.033800 62.760799)(22.548000 -25.023102 63.022003)(22.548000 -32.499001 63.022003)(22.600399 -25.033800 62.760799)(22.548000 -32.499001 63.022003)(33.824001 -32.499001 6.782000)(33.824001 -32.499001 6.782000)(34.224998 -24.999001 4.324000)(33.459900 -24.999001 8.169940)(32.073799 -24.999001 15.137400)(33.824001 -32.499001 6.782000)(33.459900 -24.999001 8.169940)(31.235199 -24.999001 19.353001)(33.824001 -32.499001 6.782000)(32.073799 -24.999001 15.137400)(31.173300 -24.999001 19.664200)(33.824001 -32.499001 6.782000)(31.235199 -24.999001 19.353001)(28.511301 -26.257000 33.119801)(31.173300 -24.999001 19.664200)(28.496500 -24.999001 33.119900)(28.511301 -26.257000 33.119801)(33.824001 -32.499001 6.782000)(31.173300 -24.999001 19.664200)(28.511301 -26.257000 33.119801)(22.600399 -25.033800 62.760799)(33.824001 -32.499001 6.782000)(-19.006001 -24.999001 71.457001)(20.719000 -24.999001 68.479004)(19.676899 -24.999001 63.604801)(19.676899 -24.999001 63.604801)(20.719000 -24.999001 68.479004)(22.352699 -24.999001 63.604801)(-19.006001 -24.999001 71.457001)(-21.981001 -32.499001 65.279999)(-16.754900 -32.499001 73.882896)(-21.981001 -32.499001 65.279999)(-16.089701 -39.499001 59.104401)(-12.509500 -38.742302 72.966003)(-16.089701 -39.499001 59.104401)(-33.829998 -32.499001 6.782010)(-26.741701 -39.499001 6.782010)(-18.489000 -32.499001 -29.129000)(-18.489000 -30.801701 -29.129000)(-18.000000 -31.176901 -29.359100)(-18.489000 -32.499001 -29.129000)(-18.000000 -31.176901 -29.359100)(-14.808200 -32.499001 -30.861000)(-18.856899 -39.499001 -20.372200)(-18.489000 -32.499001 -29.129000)(-12.487400 -39.499001 -25.009100)(-26.538099 -39.499001 -7.008010)(-23.528500 -39.499001 -14.169600)(24.784901 -39.499001 6.782000)(-27.466700 -39.499001 0.698417)(-26.538099 -39.499001 -7.008010)(24.784901 -39.499001 6.782000)(-23.528500 -39.499001 -14.169600)(-18.856899 -39.499001 -20.372200)(24.784901 -39.499001 6.782000)(-26.741701 -39.499001 6.782010)(-27.466700 -39.499001 0.698417)(24.784901 -39.499001 6.782000)(34.224998 -24.999001 -4.324000)(34.224998 -32.500000 4.324000)(34.224998 -32.500000 -4.324000)(34.224998 -24.999001 -1.301630)(34.224998 -24.999001 4.324000)(34.224998 -32.500000 4.324000)(34.224998 -24.999001 -1.301630)(34.224998 -32.500000 4.324000)(34.224998 -24.999001 -4.324000)(34.224998 -32.500000 -4.324000)(25.783001 -39.499001 -15.884999)(32.074001 -32.500000 -12.700000)(25.783001 -39.499001 -15.884999)(19.118801 -39.499001 -22.414801)(21.988001 -32.499001 -26.582998)(14.808200 -32.499001 -31.138500)(21.988001 -32.499001 -26.582998)(18.349699 -35.564503 -26.268801)(21.988001 -32.499001 -26.582998)(19.118801 -39.499001 -22.414801)(18.349699 -35.564503 -26.268801)(19.118801 -39.499001 -22.414801)(14.711400 -32.539101 -31.165600)(18.349699 -35.564503 -26.268801)(14.711400 -32.539101 -31.165600)(14.808200 -32.499001 -31.138500)(18.349699 -35.564503 -26.268801)(19.118801 -39.499001 -22.414801)(11.389199 -39.499001 -26.565199)(14.711400 -32.539101 -31.165600)(14.711400 -32.539101 -31.165600)(11.389199 -39.499001 -26.565199)(14.656401 -32.561897 -31.174200)(9.317480 -34.773300 -31.101700)(13.724000 -32.948097 -31.161600)(11.412800 -36.286800 -29.183401)(13.724000 -32.948097 -31.161600)(14.656401 -32.561897 -31.174200)(11.412800 -36.286800 -29.183401)(14.656401 -32.561897 -31.174200)(11.389199 -39.499001 -26.565199)(11.412800 -36.286800 -29.183401)(11.389199 -39.499001 -26.565199)(8.169250 -34.924500 -31.351301)(11.412800 -36.286800 -29.183401)(8.169250 -34.924500 -31.351301)(9.317480 -34.773300 -31.101700)(11.412800 -36.286800 -29.183401)(20.329000 -24.999001 30.913000)(15.935600 -24.999001 33.119701)(28.496500 -24.999001 33.119900)(20.329000 -24.999001 30.913000)(28.496500 -24.999001 33.119900)(26.910000 -24.999001 25.390999)(26.910000 -24.999001 25.390999)(28.496500 -24.999001 33.119900)(31.173300 -24.999001 19.664200)(20.719000 -24.999001 68.479004)(16.857000 -32.499001 74.143997)(20.719000 -32.499001 68.479004)(20.719000 -32.499001 68.479004)(15.335400 -39.499001 63.387794)(22.548000 -32.499001 63.022003)(33.824001 -32.499001 6.782000)(22.548000 -32.499001 63.022003)(15.335400 -39.499001 63.387794)(31.173300 -24.999001 19.664200)(31.235199 -24.999001 19.353001)(32.040001 -24.999001 18.500000)(34.224998 -24.999001 4.324000)(33.824001 -32.499001 6.782000)(34.224998 -32.500000 4.324000)(-19.006001 -24.999001 71.457001)(-14.343000 -24.999001 76.481995)(20.719000 -24.999001 68.479004)(-14.343000 -24.999001 76.481995)(-19.006001 -24.999001 71.457001)(-16.754900 -32.499001 73.882896)(-12.509500 -38.742302 72.966003)(-16.754900 -32.499001 73.882896)(-21.981001 -32.499001 65.279999)(-9.767420 -39.499001 75.019997)(-12.509500 -38.742302 72.966003)(-16.089701 -39.499001 59.104401)(-26.741701 -39.499001 6.782010)(24.784901 -39.499001 6.782000)(-16.089701 -39.499001 59.104401)(-12.487400 -39.499001 -25.009100)(-18.489000 -32.499001 -29.129000)(-14.808200 -32.499001 -30.861000)(-12.487400 -39.499001 -25.009100)(-13.625999 -32.988701 -30.931501)(-11.067600 -34.048401 -31.084101)(-12.487400 -39.499001 -25.009100)(-14.808200 -32.499001 -30.861000)(-13.625999 -32.988701 -30.931501)(-18.856899 -39.499001 -20.372200)(-12.487400 -39.499001 -25.009100)(24.784901 -39.499001 6.782000)(34.224998 -32.500000 4.324000)(24.784901 -39.499001 6.782000)(34.224998 -32.500000 -4.324000)(34.224998 -32.500000 -4.324000)(24.784901 -39.499001 6.782000)(29.601500 -36.123001 -4.551500)(24.784901 -39.499001 6.782000)(25.783001 -39.499001 -15.884999)(29.601500 -36.123001 -4.551500)(25.783001 -39.499001 -15.884999)(34.224998 -32.500000 -4.324000)(29.601500 -36.123001 -4.551500)(19.118801 -39.499001 -22.414801)(25.783001 -39.499001 -15.884999)(24.784901 -39.499001 6.782000)(11.389199 -39.499001 -26.565199)(19.118801 -39.499001 -22.414801)(24.784901 -39.499001 6.782000)(8.169250 -34.924500 -31.351301)(11.389199 -39.499001 -26.565199)(7.277380 -37.477600 -29.255100)(11.389199 -39.499001 -26.565199)(3.165560 -39.499001 -28.323601)(7.277380 -37.477600 -29.255100)(3.165560 -39.499001 -28.323601)(5.131460 -35.324398 -31.642601)(7.277380 -37.477600 -29.255100)(5.131460 -35.324398 -31.642601)(8.169250 -34.924500 -31.351301)(7.277380 -37.477600 -29.255100)(20.719000 -24.999001 68.479004)(16.857000 -24.999001 74.143997)(16.857000 -32.499001 74.143997)(13.517100 -39.499001 67.939499)(20.719000 -32.499001 68.479004)(16.857000 -32.499001 74.143997)(13.517100 -39.499001 67.939499)(15.335400 -39.499001 63.387794)(20.719000 -32.499001 68.479004)(15.335400 -39.499001 63.387794)(24.784901 -39.499001 6.782000)(33.824001 -32.499001 6.782000)(33.824001 -32.499001 6.782000)(24.784901 -39.499001 6.782000)(34.224998 -32.500000 4.324000)(-14.343000 -24.999001 76.481995)(-8.406000 -24.999001 79.910004)(20.719000 -24.999001 68.479004)(-14.343000 -24.999001 76.481995)(-16.754900 -32.499001 73.882896)(-14.343000 -32.499001 76.481995)(-14.343000 -32.499001 76.481995)(-16.754900 -32.499001 73.882896)(-12.509500 -38.742302 72.966003)(-9.767420 -39.499001 75.019997)(-8.406000 -32.499001 79.910004)(-12.509500 -38.742302 72.966003)(-9.767420 -39.499001 75.019997)(-16.089701 -39.499001 59.104401)(-2.639710 -39.499001 76.446098)(-16.089701 -39.499001 59.104401)(24.784901 -39.499001 6.782000)(15.335400 -39.499001 63.387794)(-9.317480 -34.773300 -30.983900)(-8.756550 -34.847198 -31.113400)(-8.732571 -37.329300 -28.591700)(-8.756550 -34.847198 -31.113400)(-4.977750 -39.499001 -27.750401)(-8.732571 -37.329300 -28.591700)(-4.977750 -39.499001 -27.750401)(-12.487400 -39.499001 -25.009100)(-8.732571 -37.329300 -28.591700)(-12.487400 -39.499001 -25.009100)(-11.067600 -34.048401 -31.084101)(-8.732571 -37.329300 -28.591700)(-11.067600 -34.048401 -31.084101)(-9.317480 -34.773300 -30.983900)(-8.732571 -37.329300 -28.591700)(-3.394460 -35.553101 -31.516802)(-4.977750 -39.499001 -27.750401)(-4.547960 -35.401199 -31.429998)(-4.547960 -35.401199 -31.429998)(-4.977750 -39.499001 -27.750401)(-8.756550 -34.847198 -31.113400)(-12.487400 -39.499001 -25.009100)(-4.977750 -39.499001 -27.750401)(24.784901 -39.499001 6.782000)(3.165560 -39.499001 -28.323601)(11.389199 -39.499001 -26.565199)(24.784901 -39.499001 6.782000)(5.131460 -35.324398 -31.642601)(3.165560 -39.499001 -28.323601)(4.799490 -35.368099 -31.627499)(4.799490 -35.368099 -31.627499)(3.165560 -39.499001 -28.323601)(0.453537 -35.940300 -31.429001)(0.000001 -36.000000 -31.341799)(0.453537 -35.940300 -31.429001)(-0.906095 -37.641102 -29.757900)(0.453537 -35.940300 -31.429001)(3.165560 -39.499001 -28.323601)(-0.906095 -37.641102 -29.757900)(3.165560 -39.499001 -28.323601)(-4.977750 -39.499001 -27.750401)(-0.906095 -37.641102 -29.757900)(-4.977750 -39.499001 -27.750401)(-3.394460 -35.553101 -31.516802)(-0.906095 -37.641102 -29.757900)(-3.394460 -35.553101 -31.516802)(0.000001 -36.000000 -31.341799)(-0.906095 -37.641102 -29.757900)(16.857000 -24.999001 74.143997)(20.719000 -24.999001 68.479004)(5.115000 -24.999001 80.922997)(11.497001 -32.499001 78.418999)(16.857000 -32.499001 74.143997)(16.857000 -24.999001 74.143997)(16.857000 -32.499001 74.143997)(9.525780 -39.499001 72.470802)(13.517100 -39.499001 67.939499)(-16.089701 -39.499001 59.104401)(15.335400 -39.499001 63.387794)(13.517100 -39.499001 67.939499)(-14.343000 -32.499001 76.481995)(-8.406000 -24.999001 79.910004)(-14.343000 -24.999001 76.481995)(-8.406000 -24.999001 79.910004)(-1.722000 -24.999001 81.435997)(20.719000 -24.999001 68.479004)(-14.343000 -32.499001 76.481995)(-12.509500 -38.742302 72.966003)(-8.406000 -32.499001 79.910004)(-1.722000 -32.499001 81.435997)(-8.406000 -32.499001 79.910004)(-9.767420 -39.499001 75.019997)(-2.639710 -39.499001 76.446098)(-1.722000 -32.499001 81.435997)(-9.767420 -39.499001 75.019997)(-2.639710 -39.499001 76.446098)(-16.089701 -39.499001 59.104401)(3.973080 -39.499001 75.466095)(-4.977750 -39.499001 -27.750401)(3.165560 -39.499001 -28.323601)(24.784901 -39.499001 6.782000)(-1.722000 -24.999001 81.435997)(5.115000 -24.999001 80.922997)(20.719000 -24.999001 68.479004)(11.497001 -24.999001 78.418999)(16.857000 -24.999001 74.143997)(5.115000 -24.999001 80.922997)(16.857000 -24.999001 74.143997)(11.497001 -24.999001 78.418999)(11.497001 -32.499001 78.418999)(11.497001 -32.499001 78.418999)(9.525780 -39.499001 72.470802)(16.857000 -32.499001 74.143997)(-16.089701 -39.499001 59.104401)(13.517100 -39.499001 67.939499)(9.525780 -39.499001 72.470802)(-14.343000 -32.499001 76.481995)(-8.406000 -32.499001 79.910004)(-8.406000 -24.999001 79.910004)(-8.406000 -32.499001 79.910004)(-1.722000 -24.999001 81.435997)(-8.406000 -24.999001 79.910004)(-8.406000 -32.499001 79.910004)(-1.722000 -32.499001 81.435997)(-1.722000 -24.999001 81.435997)(5.115000 -32.499001 80.922997)(-1.722000 -32.499001 81.435997)(-2.639710 -39.499001 76.446098)(3.973080 -39.499001 75.466095)(5.115000 -32.499001 80.922997)(-2.639710 -39.499001 76.446098)(3.973080 -39.499001 75.466095)(-16.089701 -39.499001 59.104401)(9.525780 -39.499001 72.470802)(-1.722000 -32.499001 81.435997)(5.115000 -24.999001 80.922997)(-1.722000 -24.999001 81.435997)(5.115000 -32.499001 80.922997)(11.497001 -24.999001 78.418999)(5.115000 -24.999001 80.922997)(5.115000 -32.499001 80.922997)(11.497001 -32.499001 78.418999)(11.497001 -24.999001 78.418999)(3.973080 -39.499001 75.466095)(9.525780 -39.499001 72.470802)(11.497001 -32.499001 78.418999)(-1.722000 -32.499001 81.435997)(5.115000 -32.499001 80.922997)(5.115000 -24.999001 80.922997)(11.497001 -32.499001 78.418999)(5.115000 -32.499001 80.922997)(3.973080 -39.499001 75.466095)(-26.192900 -25.787899 44.486000)(-28.495300 -26.257000 33.119202)(-21.981001 -24.999001 65.279999)(-26.192900 -25.787899 44.486000)(-21.981001 -24.999001 65.279999)(-22.320400 -24.999001 63.604301)(-28.495300 -24.999001 33.119202)(-28.495300 -26.257000 33.119202)(-44.748001 -26.257000 33.118999)(-15.941800 -24.999001 33.119297)(-18.808899 -24.999001 33.119297)(-15.941401 12.200800 33.119801)(-18.808899 -24.999001 33.119297)(-21.484301 -24.999001 33.119297)(-15.941401 12.200800 33.119801)(-21.484301 -24.999001 33.119297)(-25.909800 -24.999001 33.119202)(-15.941401 12.200800 33.119801)(-25.909800 -24.999001 33.119202)(-27.320400 -24.999001 33.119202)(-30.344500 14.000999 33.119701)(-27.320400 -24.999001 33.119202)(-27.793299 -24.999001 33.119202)(-30.344500 14.000999 33.119701)(-27.793299 -24.999001 33.119202)(-28.495300 -24.999001 33.119202)(-30.344500 14.000999 33.119701)(-44.748001 -26.257000 33.118999)(-44.748001 54.258999 33.119999)(-30.344500 14.000999 33.119701)(-44.748001 54.258999 33.119999)(-15.941000 27.511700 33.119999)(-30.344500 14.000999 33.119701)(-15.941000 27.511700 33.119999)(-15.941401 12.200800 33.119801)(-30.344500 14.000999 33.119701)(-28.495300 -24.999001 33.119202)(-44.748001 -26.257000 33.118999)(-30.344500 14.000999 33.119701)(-15.941401 12.200800 33.119801)(-25.909800 -24.999001 33.119202)(-30.344500 14.000999 33.119701)(-44.748001 -26.257000 33.118999)(-28.495300 -26.257000 33.119202)(-26.192900 -25.787899 44.486000)(-20.805901 -24.999001 63.604301)(-42.830601 -24.110001 85.147202)(-22.320400 -24.999001 63.604301)(-20.709000 -24.999001 63.604301)(-42.830601 -24.110001 85.147202)(-20.805901 -24.999001 63.604301)(-20.420101 -24.999001 63.604401)(-42.830601 -24.110001 85.147202)(-20.709000 -24.999001 63.604301)(-19.513599 -24.999001 63.604401)(-42.830601 -24.110001 85.147202)(-20.420101 -24.999001 63.604401)(-18.965601 -24.999001 63.604401)(-42.830601 -24.110001 85.147202)(-19.513599 -24.999001 63.604401)(-18.377701 -24.999001 63.604401)(-42.830601 -24.110001 85.147202)(-18.965601 -24.999001 63.604401)(-17.757401 -24.999001 63.604401)(-42.830601 -24.110001 85.147202)(-18.377701 -24.999001 63.604401)(-17.107601 -24.999001 63.604401)(-42.830601 -24.110001 85.147202)(-17.757401 -24.999001 63.604401)(-16.429201 -24.999001 63.604401)(-42.830601 -24.110001 85.147202)(-17.107601 -24.999001 63.604401)(-44.748001 -26.257000 33.118999)(-22.320400 -24.999001 63.604301)(-42.830601 -24.110001 85.147202)(-12.779600 -24.999001 63.604401)(-42.830601 -24.110001 85.147202)(-16.429201 -24.999001 63.604401)(-26.192900 -25.787899 44.486000)(-22.320400 -24.999001 63.604301)(-44.748001 -26.257000 33.118999)(5.015620 -24.999001 63.604599)(-42.830601 -24.110001 85.147202)(-12.779600 -24.999001 63.604401)(40.209202 -24.110001 85.179199)(-42.830601 -24.110001 85.147202)(5.015620 -24.999001 63.604599)(41.967999 -26.257000 33.119999)(15.935000 -2.085330 33.119999)(15.935000 2.797950 33.119999)(-15.941000 27.511700 33.119999)(-44.748001 54.258999 33.119999)(-15.941000 40.000999 33.119999)(-15.941000 40.000999 33.119999)(-44.748001 54.258999 33.119999)(-12.562000 40.000999 33.119999)(15.935000 2.797950 33.119999)(15.935000 40.000999 33.119999)(41.967999 54.258999 33.119999)(15.935000 40.000999 33.119999)(12.158299 40.000999 33.119999)(41.967999 54.258999 33.119999)(12.158299 40.000999 33.119999)(3.651940 40.000999 33.119999)(41.967999 54.258999 33.119999)(41.967999 -26.257000 33.119999)(15.935000 2.797950 33.119999)(41.967999 54.258999 33.119999)(-12.562000 40.000999 33.119999)(-44.748001 54.258999 33.119999)(41.967999 54.258999 33.119999)(-4.509460 40.000999 33.119999)(-12.562000 40.000999 33.119999)(41.967999 54.258999 33.119999)(3.651940 40.000999 33.119999)(-4.509460 40.000999 33.119999)(41.967999 54.258999 33.119999)(-44.748001 -26.257000 33.118999)(-42.830601 -24.110001 85.147202)(-44.748001 54.258999 33.119999)(30.029400 -24.110001 94.619995)(-42.830601 -24.110001 85.147202)(40.209202 -24.110001 85.179199)(28.511301 -26.257000 33.119801)(41.967999 -26.257000 33.119999)(22.600399 -25.033800 62.760799)(22.352699 -24.999001 63.604801)(22.542299 -25.022400 63.038998)(40.209202 -24.110001 85.179199)(22.542299 -25.022400 63.038998)(22.548000 -25.023102 63.022003)(40.209202 -24.110001 85.179199)(22.548000 -25.023102 63.022003)(22.600399 -25.033800 62.760799)(40.209202 -24.110001 85.179199)(5.015620 -24.999001 63.604599)(19.676899 -24.999001 63.604801)(40.209202 -24.110001 85.179199)(19.676899 -24.999001 63.604801)(22.352699 -24.999001 63.604801)(40.209202 -24.110001 85.179199)(22.600399 -25.033800 62.760799)(41.967999 -26.257000 33.119999)(40.209202 -24.110001 85.179199)(-44.748001 54.258999 33.119999)(-42.647598 52.111000 85.251007)(41.967999 54.258999 33.119999)(41.967999 54.258999 33.119999)(40.230000 52.111000 85.203400)(41.967999 -26.257000 33.119999)(41.967999 -26.257000 33.119999)(28.511301 -26.257000 33.119801)(28.496500 -24.999001 33.119900)(28.496500 -24.999001 33.119900)(15.935600 -24.999001 33.119701)(15.935000 -2.085330 33.119999)(41.967999 -26.257000 33.119999)(28.496500 -24.999001 33.119900)(15.935000 -2.085330 33.119999)(-42.647598 52.111000 85.251007)(-44.748001 54.258999 33.119999)(-42.830601 -24.110001 85.147202)(-33.757103 -24.110001 94.618996)(-42.830601 -24.110001 85.147202)(30.029400 -24.110001 94.619995)(30.029400 -24.110001 94.619995)(40.209202 -24.110001 85.179199)(30.025501 52.111000 94.619995)(40.230000 52.111000 85.203400)(40.209202 -24.110001 85.179199)(41.967999 -26.257000 33.119999)(-42.647598 52.111000 85.251007)(40.230000 52.111000 85.203400)(41.967999 54.258999 33.119999)(-42.647598 52.111000 85.251007)(-42.830601 -24.110001 85.147202)(-33.757103 -24.110001 94.618996)(-33.757103 -24.110001 94.618996)(30.029400 -24.110001 94.619995)(30.025501 52.111000 94.619995)(40.230000 52.111000 85.203400)(30.025501 52.111000 94.619995)(40.209202 -24.110001 85.179199)(-42.647598 52.111000 85.251007)(-33.713402 52.111000 94.619995)(40.230000 52.111000 85.203400)(-33.713402 52.111000 94.619995)(-42.647598 52.111000 85.251007)(-33.757103 -24.110001 94.618996)(30.025501 52.111000 94.619995)(-33.713402 52.111000 94.619995)(-33.757103 -24.110001 94.618996)(-33.713402 52.111000 94.619995)(30.025501 52.111000 94.619995)(40.230000 52.111000 85.203400)(-16.608999 40.000999 -33.063999)(-23.786001 40.000999 -28.343000)(-8.536010 40.000999 -36.001999)(-23.786001 40.000999 -28.343000)(-29.681999 40.000999 -22.095001)(-8.536010 40.000999 -36.001999)(-8.536010 34.876202 -36.002098)(-9.317499 34.773300 -35.717701)(-8.536010 40.000999 -36.001999)(-14.121100 32.783600 -33.969498)(-15.634701 32.156601 -33.418701)(-12.572500 36.078800 -34.533100)(-15.634701 32.156601 -33.418701)(-16.608999 40.000999 -33.063999)(-12.572500 36.078800 -34.533100)(-16.608999 40.000999 -33.063999)(-8.536010 40.000999 -36.001999)(-12.572500 36.078800 -34.533100)(-9.317499 34.773300 -35.717701)(-14.121100 32.783600 -33.969498)(-12.572500 36.078800 -34.533100)(-8.536010 40.000999 -36.001999)(-9.317499 34.773300 -35.717701)(-12.572500 36.078800 -34.533100)(-22.435900 27.773199 -29.231100)(-23.786001 40.000999 -28.343000)(-20.197500 33.887100 -30.703501)(-23.786001 40.000999 -28.343000)(-16.608999 40.000999 -33.063999)(-20.197500 33.887100 -30.703501)(-16.608999 40.000999 -33.063999)(-16.608999 31.753101 -33.063999)(-20.197500 33.887100 -30.703501)(-16.608999 31.753101 -33.063999)(-18.000000 31.176901 -32.148998)(-20.197500 33.887100 -30.703501)(-18.000000 31.176901 -32.148998)(-21.615099 28.402901 -29.771000)(-20.197500 33.887100 -30.703501)(-21.615099 28.402901 -29.771000)(-22.435900 27.773199 -29.231100)(-20.197500 33.887100 -30.703501)(-29.681999 40.000999 -22.095001)(-33.976997 40.000999 -14.655000)(-8.536010 40.000999 -36.001999)(-28.055300 22.068100 -23.818800)(-29.681999 40.000999 -22.095001)(-26.733999 31.034599 -25.219002)(-29.681999 40.000999 -22.095001)(-23.786001 40.000999 -28.343000)(-26.733999 31.034599 -25.219002)(-23.786001 40.000999 -28.343000)(-23.786001 26.737200 -28.343000)(-26.733999 31.034599 -25.219002)(-23.786001 26.737200 -28.343000)(-25.455900 25.455801 -26.573399)(-26.733999 31.034599 -25.219002)(-25.455900 25.455801 -26.573399)(-27.709400 22.518999 -24.185400)(-26.733999 31.034599 -25.219002)(-27.709400 22.518999 -24.185400)(-28.055300 22.068100 -23.818800)(-26.733999 31.034599 -25.219002)(-18.000000 31.176901 -32.148998)(-16.608999 31.753101 -33.063999)(-18.000000 31.176901 -61.400002)(-16.608999 31.753101 -33.063999)(-15.634701 32.156601 -33.418701)(-18.000000 31.176901 -61.400002)(-15.634701 32.156601 -33.418701)(-14.121100 32.783600 -33.969498)(-18.000000 31.176901 -61.400002)(-15.634701 32.156601 -33.418701)(-16.608999 31.753101 -33.063999)(-16.608999 40.000999 -33.063999)(-7.874671 34.963299 -36.079300)(-8.536010 34.876202 -36.002098)(-8.536010 40.000999 -36.001999)(-9.317499 34.773300 -35.717701)(-8.536010 34.876202 -36.002098)(-9.317499 34.773300 -61.400002)(-8.536010 34.876202 -36.002098)(-7.874671 34.963299 -36.079300)(-9.317499 34.773300 -61.400002)(-7.874671 34.963299 -36.079300)(-5.516920 35.273701 -36.355099)(-9.317499 34.773300 -61.400002)(-14.121100 32.783600 -33.969498)(-9.317499 34.773300 -35.717701)(-13.658700 32.975101 -47.684799)(-9.317499 34.773300 -35.717701)(-9.317499 34.773300 -61.400002)(-13.658700 32.975101 -47.684799)(-9.317499 34.773300 -61.400002)(-18.000000 31.176901 -61.400002)(-13.658700 32.975101 -47.684799)(-18.000000 31.176901 -61.400002)(-14.121100 32.783600 -33.969498)(-13.658700 32.975101 -47.684799)(-22.435900 27.773199 -29.231100)(-23.786001 26.737200 -28.343000)(-23.786001 40.000999 -28.343000)(-21.727900 28.316399 -45.585499)(-21.615099 28.402901 -29.771000)(-18.000000 31.176901 -32.148998)(-21.727900 28.316399 -45.585499)(-25.455900 25.455801 -61.400002)(-21.615099 28.402901 -29.771000)(-21.727900 28.316399 -45.585499)(-18.000000 31.176901 -61.400002)(-25.455900 25.455801 -61.400002)(-21.727900 28.316399 -45.585499)(-18.000000 31.176901 -32.148998)(-18.000000 31.176901 -61.400002)(-23.786001 26.737200 -28.343000)(-22.435900 27.773199 -29.231100)(-25.455900 25.455801 -61.400002)(-22.435900 27.773199 -29.231100)(-21.615099 28.402901 -29.771000)(-25.455900 25.455801 -61.400002)(-25.455900 25.455801 -26.573399)(-23.786001 26.737200 -28.343000)(-25.455900 25.455801 -61.400002)(-33.976997 40.000999 -14.655000)(-36.440998 40.000999 -6.424990)(-8.536010 40.000999 -36.001999)(-29.681999 19.948200 -22.095001)(-31.176901 18.000000 -19.505501)(-31.829498 27.598900 -18.375000)(-31.176901 18.000000 -19.505501)(-32.214199 15.495800 -17.708700)(-31.829498 27.598900 -18.375000)(-32.214199 15.495800 -17.708700)(-32.338001 15.196800 -17.494099)(-31.829498 27.598900 -18.375000)(-32.338001 15.196800 -17.494099)(-33.976997 40.000999 -14.655000)(-31.829498 27.598900 -18.375000)(-33.976997 40.000999 -14.655000)(-29.681999 40.000999 -22.095001)(-31.829498 27.598900 -18.375000)(-29.681999 40.000999 -22.095001)(-29.681999 19.948200 -22.095001)(-31.829498 27.598900 -18.375000)(-29.681999 40.000999 -22.095001)(-28.055300 22.068100 -23.818800)(-29.681999 19.948200 -22.095001)(-28.316399 21.727900 -42.792702)(-27.709400 22.518999 -24.185400)(-25.455900 25.455801 -26.573399)(-28.316399 21.727900 -42.792702)(-31.176901 18.000000 -61.400002)(-27.709400 22.518999 -24.185400)(-28.316399 21.727900 -42.792702)(-25.455900 25.455801 -61.400002)(-31.176901 18.000000 -61.400002)(-28.316399 21.727900 -42.792702)(-25.455900 25.455801 -26.573399)(-25.455900 25.455801 -61.400002)(-31.176901 18.000000 -19.505501)(-29.681999 19.948200 -22.095001)(-29.443100 20.259499 -40.452702)(-29.681999 19.948200 -22.095001)(-28.055300 22.068100 -23.818800)(-29.443100 20.259499 -40.452702)(-28.055300 22.068100 -23.818800)(-27.709400 22.518999 -24.185400)(-29.443100 20.259499 -40.452702)(-27.709400 22.518999 -24.185400)(-31.176901 18.000000 -61.400002)(-29.443100 20.259499 -40.452702)(-31.176901 18.000000 -61.400002)(-31.176901 18.000000 -19.505501)(-29.443100 20.259499 -40.452702)(-5.516920 35.273701 -36.355099)(-7.874671 34.963299 -36.079300)(-4.269510 37.482101 -36.501003)(-7.874671 34.963299 -36.079300)(-8.536010 40.000999 -36.001999)(-4.269510 37.482101 -36.501003)(-8.536010 40.000999 -36.001999)(-0.003005 40.000999 -37.000000)(-4.269510 37.482101 -36.501003)(-0.003005 40.000999 -37.000000)(-0.003005 35.999599 -37.000000)(-4.269510 37.482101 -36.501003)(-0.003005 35.999599 -37.000000)(-5.516920 35.273701 -36.355099)(-4.269510 37.482101 -36.501003)(-5.516920 35.273701 -36.355099)(-0.003005 35.999599 -37.000000)(-4.658760 35.386700 -48.877602)(-4.658760 35.386700 -48.877602)(-0.000018 36.000000 -36.999699)(-0.003005 35.999599 -37.000000)(-0.000018 36.000000 -36.999699)(-0.000019 36.000000 -61.400002)(-4.658760 35.386700 -48.877602)(-0.000019 36.000000 -61.400002)(-9.317499 34.773300 -61.400002)(-4.658760 35.386700 -48.877602)(-9.317499 34.773300 -61.400002)(-5.516920 35.273701 -36.355099)(-4.658760 35.386700 -48.877602)(-18.000000 31.176901 -61.400002)(-9.317499 34.773300 -61.400002)(25.455801 25.455900 -61.400002)(-25.455900 25.455801 -61.400002)(-18.000000 31.176901 -61.400002)(25.455801 25.455900 -61.400002)(-36.440998 40.000999 -6.424990)(-36.940998 40.000999 2.152010)(-8.536010 40.000999 -36.001999)(-35.165100 6.341850 -10.686800)(-36.440998 40.000999 -6.424990)(-35.209000 23.171400 -10.540000)(-36.440998 40.000999 -6.424990)(-33.976997 40.000999 -14.655000)(-35.209000 23.171400 -10.540000)(-33.976997 40.000999 -14.655000)(-33.976997 11.239901 -14.655000)(-35.209000 23.171400 -10.540000)(-33.976997 11.239901 -14.655000)(-34.773300 9.317470 -11.995299)(-35.209000 23.171400 -10.540000)(-34.773300 9.317470 -11.995299)(-34.998001 7.611050 -11.244900)(-35.209000 23.171400 -10.540000)(-34.998001 7.611050 -11.244900)(-35.165100 6.341850 -10.686800)(-35.209000 23.171400 -10.540000)(-32.214199 15.495800 -17.708700)(-31.176901 18.000000 -19.505501)(-32.975101 13.658700 -39.554302)(-31.176901 18.000000 -19.505501)(-31.176901 18.000000 -61.400002)(-32.975101 13.658700 -39.554302)(-31.176901 18.000000 -61.400002)(-34.773300 9.317470 -61.400002)(-32.975101 13.658700 -39.554302)(-34.773300 9.317470 -61.400002)(-32.214199 15.495800 -17.708700)(-32.975101 13.658700 -39.554302)(-33.493702 12.406600 -36.697601)(-34.773300 9.317470 -11.995299)(-33.976997 11.239901 -14.655000)(-33.493702 12.406600 -36.697601)(-34.773300 9.317470 -61.400002)(-34.773300 9.317470 -11.995299)(-33.493702 12.406600 -36.697601)(-32.214199 15.495800 -17.708700)(-34.773300 9.317470 -61.400002)(-33.493702 12.406600 -36.697601)(-32.338001 15.196800 -17.494099)(-32.214199 15.495800 -17.708700)(-33.493702 12.406600 -36.697601)(-33.976997 11.239901 -14.655000)(-32.338001 15.196800 -17.494099)(-33.976997 40.000999 -14.655000)(-32.338001 15.196800 -17.494099)(-33.976997 11.239901 -14.655000)(-31.176901 18.000000 -61.400002)(-25.455900 25.455801 -61.400002)(25.455801 25.455900 -61.400002)(8.529990 40.000999 -36.001999)(-0.003005 40.000999 -37.000000)(-8.536010 40.000999 -36.001999)(-0.003005 40.000999 -37.000000)(-0.003005 35.999599 -37.000000)(-0.000018 36.000000 -36.999699)(0.531419 35.930000 -36.937599)(-0.000018 36.000000 -36.999699)(-0.003005 40.000999 -37.000000)(0.531419 35.930000 -36.937599)(3.769640 35.503700 -36.558800)(-0.000019 36.000000 -61.400002)(-0.000018 36.000000 -36.999699)(0.531419 35.930000 -36.937599)(-0.000019 36.000000 -61.400002)(-9.317499 34.773300 -61.400002)(-0.000019 36.000000 -61.400002)(9.317470 34.773300 -61.400002)(-9.317499 34.773300 -61.400002)(18.000000 31.176901 -61.400002)(25.455801 25.455900 -61.400002)(-36.940998 40.000999 2.152010)(-35.448997 40.000999 10.612000)(-8.536010 40.000999 -36.001999)(-36.940998 40.000999 2.152010)(-36.440998 40.000999 -6.424990)(-36.440998 -24.999001 -6.424990)(-36.440998 40.000999 -6.424990)(-35.165100 6.341850 -10.686800)(-36.000000 -0.000015 -7.897970)(-34.773300 -9.317499 -11.995299)(-34.551098 -9.853909 -12.737400)(-36.440998 -24.999001 -6.424990)(-34.551098 -9.853909 -12.737400)(-33.976997 -24.999001 -14.655000)(-36.440998 -24.999001 -6.424990)(-36.000000 -0.000015 -7.897970)(-35.830898 -1.284230 -8.462700)(-36.440998 -24.999001 -6.424990)(-35.830898 -1.284230 -8.462700)(-34.773300 -9.317499 -11.995299)(-36.440998 -24.999001 -6.424990)(-36.000000 -0.000015 -7.897970)(-36.440998 -24.999001 -6.424990)(-36.440998 40.000999 -6.424990)(-35.386700 4.658730 -36.322399)(-34.998001 7.611050 -11.244900)(-34.773300 9.317470 -11.995299)(-35.386700 4.658730 -36.322399)(-36.000000 -0.000015 -61.400002)(-34.998001 7.611050 -11.244900)(-35.386700 4.658730 -36.322399)(-34.773300 9.317470 -61.400002)(-36.000000 -0.000015 -61.400002)(-35.386700 4.658730 -36.322399)(-34.773300 9.317470 -11.995299)(-34.773300 9.317470 -61.400002)(-36.000000 -0.000015 -61.400002)(-36.000000 -0.000015 -7.897970)(-35.165100 6.341850 -10.686800)(-36.000000 -0.000015 -61.400002)(-35.165100 6.341850 -10.686800)(-34.998001 7.611050 -11.244900)(-34.773300 9.317470 -61.400002)(-31.176901 18.000000 -61.400002)(25.455801 -25.455801 -61.400002)(31.176901 18.000000 -61.400002)(-31.176901 18.000000 -61.400002)(25.455801 25.455900 -61.400002)(16.601999 40.000999 -33.063999)(8.529990 40.000999 -36.001999)(-8.536010 40.000999 -36.001999)(3.769640 35.503700 -36.558800)(0.531419 35.930000 -36.937599)(4.263500 37.438999 -36.501003)(0.531419 35.930000 -36.937599)(-0.003005 40.000999 -37.000000)(4.263500 37.438999 -36.501003)(-0.003005 40.000999 -37.000000)(8.529990 40.000999 -36.001999)(4.263500 37.438999 -36.501003)(8.529990 40.000999 -36.001999)(8.529990 34.876999 -36.002098)(4.263500 37.438999 -36.501003)(8.529990 34.876999 -36.002098)(3.769640 35.503700 -36.558800)(4.263500 37.438999 -36.501003)(8.529990 34.876999 -36.002098)(9.176970 34.791801 -35.766502)(4.658730 35.386700 -48.557697)(9.176970 34.791801 -35.766502)(9.317470 34.773300 -35.715401)(4.658730 35.386700 -48.557697)(9.317470 34.773300 -35.715401)(9.317470 34.773300 -61.400002)(4.658730 35.386700 -48.557697)(9.317470 34.773300 -61.400002)(-0.000019 36.000000 -61.400002)(4.658730 35.386700 -48.557697)(-0.000019 36.000000 -61.400002)(3.769640 35.503700 -36.558800)(4.658730 35.386700 -48.557697)(3.769640 35.503700 -36.558800)(8.529990 34.876999 -36.002098)(4.658730 35.386700 -48.557697)(-9.317499 34.773300 -61.400002)(9.317470 34.773300 -61.400002)(18.000000 31.176901 -61.400002)(25.455801 25.455900 -61.400002)(21.860800 28.214401 -29.605400)(23.779999 26.741800 -28.343201)(25.455801 25.455900 -61.400002)(18.000000 31.176901 -61.400002)(21.860800 28.214401 -29.605400)(25.455801 25.455900 -61.400002)(25.072699 25.749899 -26.973101)(25.455801 25.455900 -26.567101)(25.455801 25.455900 -61.400002)(23.779999 26.741800 -28.343201)(25.072699 25.749899 -26.973101)(-35.448997 40.000999 10.612000)(-32.046001 40.000999 18.500000)(-8.536010 40.000999 -36.001999)(-35.448997 40.000999 10.612000)(-36.940998 40.000999 2.152010)(-36.940002 -24.999001 2.152010)(-36.940998 40.000999 2.152010)(-36.440998 -24.999001 -6.424990)(-36.940002 -24.999001 2.152010)(-33.907902 -11.406799 -14.774700)(-34.773300 -9.317499 -61.400002)(-31.176901 -18.000000 -61.400002)(-33.907902 -11.406799 -14.774700)(-33.976997 -11.239901 -14.655000)(-34.773300 -9.317499 -61.400002)(-34.551098 -9.853909 -12.737400)(-34.773300 -9.317499 -61.400002)(-33.976997 -11.239901 -14.655000)(-34.773300 -9.317499 -11.995299)(-34.773300 -9.317499 -61.400002)(-34.551098 -9.853909 -12.737400)(-34.551098 -9.853909 -12.737400)(-33.976997 -11.239901 -14.655000)(-33.976997 -24.999001 -14.655000)(-34.495800 -24.999001 0.072432)(-34.503002 -24.999001 0.000008)(-36.440998 -24.999001 -6.424990)(-33.976997 -24.999001 -14.655000)(-33.063999 -24.999001 -9.476790)(-34.752499 -24.999001 -7.291280)(-33.063999 -24.999001 -9.476790)(-33.419003 -24.999001 -8.579989)(-34.752499 -24.999001 -7.291280)(-33.419003 -24.999001 -8.579989)(-34.503002 -24.999001 0.000008)(-34.752499 -24.999001 -7.291280)(-36.440998 -24.999001 -6.424990)(-33.976997 -24.999001 -14.655000)(-34.752499 -24.999001 -7.291280)(-34.503002 -24.999001 0.000008)(-36.440998 -24.999001 -6.424990)(-34.752499 -24.999001 -7.291280)(-36.000000 -0.000015 -61.400002)(-34.773300 -9.317499 -61.400002)(-35.830898 -1.284230 -8.462700)(-36.000000 -0.000015 -61.400002)(-35.830898 -1.284230 -8.462700)(-36.000000 -0.000015 -7.897970)(-34.773300 -9.317499 -61.400002)(-34.773300 -9.317499 -11.995299)(-35.830898 -1.284230 -8.462700)(-36.000000 -0.000015 -61.400002)(-34.773300 9.317470 -61.400002)(25.455801 -25.455801 -61.400002)(25.455801 -25.455801 -61.400002)(-31.176901 18.000000 -61.400002)(31.176901 -18.000000 -61.400002)(31.176901 18.000000 -61.400002)(25.455801 25.455900 -61.400002)(29.057100 20.762600 -22.750200)(31.176901 18.000000 -61.400002)(29.057100 20.762600 -22.750200)(29.675299 19.956900 -22.095001)(31.176901 18.000000 -61.400002)(29.675299 19.956900 -22.095001)(31.124599 18.068199 -19.584499)(31.176901 18.000000 -61.400002)(31.124599 18.068199 -19.584499)(31.176901 18.000000 -19.493900)(34.773300 9.317510 -61.400002)(-31.176901 18.000000 -61.400002)(31.176901 18.000000 -61.400002)(23.779999 40.000999 -28.343000)(16.601999 40.000999 -33.063999)(-8.536010 40.000999 -36.001999)(9.317470 34.773300 -35.715401)(9.176970 34.791801 -35.766502)(8.529990 40.000999 -36.001999)(13.146600 33.187199 -34.321701)(9.317470 34.773300 -35.715401)(12.566100 35.878502 -34.533001)(8.529990 40.000999 -36.001999)(16.601999 40.000999 -33.063999)(12.566100 35.878502 -34.533001)(16.601999 40.000999 -33.063999)(16.602100 31.755898 -33.063999)(12.566100 35.878502 -34.533001)(16.602100 31.755898 -33.063999)(13.146600 33.187199 -34.321701)(12.566100 35.878502 -34.533001)(9.317470 34.773300 -35.715401)(8.529990 40.000999 -36.001999)(12.566100 35.878502 -34.533001)(9.176970 34.791801 -35.766502)(8.529990 34.876999 -36.002098)(8.529990 40.000999 -36.001999)(9.317470 34.773300 -61.400002)(9.317470 34.773300 -35.715401)(13.146600 33.187199 -34.321701)(13.146600 33.187199 -34.321701)(16.602100 31.755898 -33.063999)(13.658700 32.975101 -46.772301)(16.602100 31.755898 -33.063999)(17.556099 31.360701 -32.436604)(13.658700 32.975101 -46.772301)(17.556099 31.360701 -32.436604)(18.000000 31.176901 -32.144699)(13.658700 32.975101 -46.772301)(18.000000 31.176901 -32.144699)(18.000000 31.176901 -61.400002)(13.658700 32.975101 -46.772301)(18.000000 31.176901 -61.400002)(9.317470 34.773300 -61.400002)(13.658700 32.975101 -46.772301)(9.317470 34.773300 -61.400002)(13.146600 33.187199 -34.321701)(13.658700 32.975101 -46.772301)(18.000000 31.176901 -32.144699)(17.556099 31.360701 -32.436604)(20.191000 33.371399 -30.703600)(17.556099 31.360701 -32.436604)(16.601999 40.000999 -33.063999)(20.191000 33.371399 -30.703600)(16.601999 40.000999 -33.063999)(23.779999 40.000999 -28.343000)(20.191000 33.371399 -30.703600)(23.779999 40.000999 -28.343000)(23.779999 26.741800 -28.343201)(20.191000 33.371399 -30.703600)(23.779999 26.741800 -28.343201)(21.860800 28.214401 -29.605400)(20.191000 33.371399 -30.703600)(21.860800 28.214401 -29.605400)(18.000000 31.176901 -32.144699)(20.191000 33.371399 -30.703600)(18.000000 31.176901 -32.144699)(21.860800 28.214401 -29.605400)(18.000000 31.176901 -61.400002)(25.455801 25.455900 -26.567101)(29.057100 20.762600 -22.750200)(25.455801 25.455900 -61.400002)(25.072699 25.749899 -26.973101)(23.779999 40.000999 -28.343000)(26.727701 29.979000 -25.219002)(23.779999 40.000999 -28.343000)(29.674999 40.000999 -22.095001)(26.727701 29.979000 -25.219002)(29.674999 40.000999 -22.095001)(29.675299 19.956900 -22.095001)(26.727701 29.979000 -25.219002)(29.675299 19.956900 -22.095001)(29.057100 20.762600 -22.750200)(26.727701 29.979000 -25.219002)(29.057100 20.762600 -22.750200)(25.455801 25.455900 -26.567101)(26.727701 29.979000 -25.219002)(25.455801 25.455900 -26.567101)(25.072699 25.749899 -26.973101)(26.727701 29.979000 -25.219002)(23.779999 40.000999 -28.343000)(25.072699 25.749899 -26.973101)(23.779999 26.741800 -28.343201)(-32.046001 40.000999 18.500000)(-26.915998 40.000999 25.390999)(-8.536010 40.000999 -36.001999)(-35.448997 -24.999001 10.612000)(-32.046001 40.000999 18.500000)(-35.448997 40.000999 10.612000)(-35.448997 40.000999 10.612000)(-36.940002 -24.999001 2.152010)(-35.448997 -24.999001 10.612000)(-36.940002 -24.999001 2.152010)(-36.440998 -24.999001 -6.424990)(-34.495800 -24.999001 0.072432)(-36.940002 -24.999001 2.152010)(-34.495800 -24.999001 0.072432)(-33.829998 -24.999001 6.782010)(-36.940002 -24.999001 2.152010)(-33.829998 -24.999001 6.782010)(-32.844700 -24.999001 11.646200)(-33.976997 -11.239901 -14.655000)(-33.907902 -11.406799 -14.774700)(-33.976997 -24.999001 -14.655000)(-30.047201 -19.472300 -21.462400)(-29.681999 -24.999001 -22.095001)(-31.829498 -18.119499 -18.375000)(-29.681999 -24.999001 -22.095001)(-33.976997 -24.999001 -14.655000)(-31.829498 -18.119499 -18.375000)(-33.907902 -11.406799 -14.774700)(-31.176901 -18.000000 -19.505501)(-31.829498 -18.119499 -18.375000)(-31.176901 -18.000000 -19.505501)(-30.047201 -19.472300 -21.462400)(-31.829498 -18.119499 -18.375000)(-33.976997 -24.999001 -14.655000)(-33.907902 -11.406799 -14.774700)(-31.829498 -18.119499 -18.375000)(-31.176901 -18.000000 -61.400002)(-31.176901 -18.000000 -19.505501)(-33.907902 -11.406799 -14.774700)(-31.176901 -18.000000 -61.400002)(-34.773300 -9.317499 -61.400002)(25.455801 -25.455801 -61.400002)(-29.681999 -24.999001 -22.095001)(-29.427900 -24.999001 -17.732199)(-31.702400 -24.999001 -15.785901)(-29.427900 -24.999001 -17.732199)(-30.236000 -24.999001 -16.620001)(-31.702400 -24.999001 -15.785901)(-30.236000 -24.999001 -16.620001)(-33.063999 -24.999001 -9.476790)(-31.702400 -24.999001 -15.785901)(-33.063999 -24.999001 -9.476790)(-33.976997 -24.999001 -14.655000)(-31.702400 -24.999001 -15.785901)(-33.976997 -24.999001 -14.655000)(-29.681999 -24.999001 -22.095001)(-31.702400 -24.999001 -15.785901)(-34.495800 -24.999001 0.072432)(-34.503002 -24.999001 0.000008)(-34.503002 -32.499001 0.000008)(-34.773300 -9.317499 -61.400002)(-36.000000 -0.000015 -61.400002)(25.455801 -25.455801 -61.400002)(31.176901 -18.000000 -61.400002)(-31.176901 18.000000 -61.400002)(34.773300 -9.317491 -61.400002)(25.806301 -24.999001 -26.196400)(25.806301 -24.999001 -22.516399)(25.455801 -25.455801 -22.889700)(25.806301 -24.999001 -26.196400)(25.455801 -25.455801 -22.889700)(25.455801 -25.455801 -61.400002)(27.708801 -22.519600 -24.179899)(25.806301 -24.999001 -26.196400)(28.316399 -21.727900 -41.958202)(25.455801 -25.455801 -61.400002)(31.176901 -18.000000 -61.400002)(28.316399 -21.727900 -41.958202)(31.176901 -18.000000 -61.400002)(27.708801 -22.519600 -24.179899)(28.316399 -21.727900 -41.958202)(25.806301 -24.999001 -26.196400)(25.455801 -25.455801 -61.400002)(28.316399 -21.727900 -41.958202)(29.674999 40.000999 -22.095001)(31.124599 18.068199 -19.584499)(29.675299 19.956900 -22.095001)(33.971001 11.254400 -14.655000)(33.908604 11.405100 -14.763100)(31.823002 25.627701 -18.375000)(33.908604 11.405100 -14.763100)(31.176901 18.000000 -19.493900)(31.823002 25.627701 -18.375000)(31.176901 18.000000 -19.493900)(31.124599 18.068199 -19.584499)(31.823002 25.627701 -18.375000)(31.124599 18.068199 -19.584499)(29.674999 40.000999 -22.095001)(31.823002 25.627701 -18.375000)(29.674999 40.000999 -22.095001)(33.971001 40.000999 -14.655000)(31.823002 25.627701 -18.375000)(33.971001 40.000999 -14.655000)(33.971001 11.254400 -14.655000)(31.823002 25.627701 -18.375000)(31.176901 18.000000 -61.400002)(31.176901 18.000000 -19.493900)(33.908604 11.405100 -14.763100)(34.773300 9.317510 -61.400002)(31.176901 18.000000 -61.400002)(33.908604 11.405100 -14.763100)(34.773300 9.317510 -61.400002)(33.908604 11.405100 -14.763100)(33.971001 11.254400 -14.655000)(34.773300 9.317510 -61.400002)(33.971001 11.254400 -14.655000)(34.773300 9.317510 -11.975200)(36.000000 0.000000 -61.400002)(-31.176901 18.000000 -61.400002)(34.773300 9.317510 -61.400002)(-8.536010 40.000999 -36.001999)(29.674999 40.000999 -22.095001)(23.779999 40.000999 -28.343000)(17.556099 31.360701 -32.436604)(16.602100 31.755898 -33.063999)(16.601999 40.000999 -33.063999)(-26.915998 40.000999 25.390999)(-20.334999 40.000999 30.913000)(-8.536010 40.000999 -36.001999)(-26.915998 40.000999 25.390999)(-32.046001 40.000999 18.500000)(-32.046001 -24.999001 18.500000)(-32.046001 40.000999 18.500000)(-35.448997 -24.999001 10.612000)(-32.046001 -24.999001 18.500000)(-35.448997 -24.999001 10.612000)(-36.940002 -24.999001 2.152010)(-32.844700 -24.999001 11.646200)(-35.448997 -24.999001 10.612000)(-32.844700 -24.999001 11.646200)(-31.760099 -24.999001 17.001200)(-30.047201 -19.472300 -21.462400)(-29.681999 -19.948200 -22.095001)(-29.681999 -24.999001 -22.095001)(-31.176901 -18.000000 -61.400002)(-25.455801 -25.455900 -61.400002)(-29.056400 -20.763500 -22.757999)(-31.176901 -18.000000 -61.400002)(-29.056400 -20.763500 -22.757999)(-29.681999 -19.948200 -22.095001)(-31.176901 -18.000000 -61.400002)(-29.681999 -19.948200 -22.095001)(-30.047201 -19.472300 -21.462400)(-31.176901 -18.000000 -61.400002)(-30.047201 -19.472300 -21.462400)(-31.176901 -18.000000 -19.505501)(-25.455801 -25.455900 -61.400002)(-31.176901 -18.000000 -61.400002)(25.455801 -25.455801 -61.400002)(-25.806400 -24.999001 -26.202002)(-25.806400 -24.999001 -22.716400)(-27.744200 -24.999001 -21.967100)(-25.806400 -24.999001 -22.716400)(-29.427900 -24.999001 -17.732199)(-27.744200 -24.999001 -21.967100)(-29.427900 -24.999001 -17.732199)(-29.681999 -24.999001 -22.095001)(-27.744200 -24.999001 -21.967100)(-29.681999 -24.999001 -22.095001)(-25.806400 -24.999001 -26.202002)(-27.744200 -24.999001 -21.967100)(34.773300 -9.317491 -61.400002)(-31.176901 18.000000 -61.400002)(36.000000 0.000000 -61.400002)(32.213600 -15.497200 -17.698999)(31.176901 -18.000000 -19.494900)(32.975101 -13.658700 -39.549500)(31.176901 -18.000000 -19.494900)(31.176901 -18.000000 -61.400002)(32.975101 -13.658700 -39.549500)(31.176901 -18.000000 -61.400002)(34.773300 -9.317491 -61.400002)(32.975101 -13.658700 -39.549500)(34.773300 -9.317491 -61.400002)(32.213600 -15.497200 -17.698999)(32.975101 -13.658700 -39.549500)(27.708801 -22.519600 -24.179899)(29.266899 -20.489100 -22.528500)(27.741100 -22.744101 -24.145700)(29.266899 -20.489100 -22.528500)(29.676001 -24.999001 -22.095001)(27.741100 -22.744101 -24.145700)(29.676001 -24.999001 -22.095001)(25.806301 -24.999001 -26.196400)(27.741100 -22.744101 -24.145700)(25.806301 -24.999001 -26.196400)(27.708801 -22.519600 -24.179899)(27.741100 -22.744101 -24.145700)(27.907999 -24.999001 -20.278000)(29.676001 -24.999001 -22.095001)(29.004000 -24.999001 -18.284300)(25.806301 -24.999001 -26.196400)(29.676001 -24.999001 -22.095001)(27.741199 -24.999001 -22.240299)(27.907999 -24.999001 -20.278000)(25.806301 -24.999001 -22.516399)(27.741199 -24.999001 -22.240299)(25.806301 -24.999001 -22.516399)(25.806301 -24.999001 -26.196400)(27.741199 -24.999001 -22.240299)(29.676001 -24.999001 -22.095001)(27.907999 -24.999001 -20.278000)(27.741199 -24.999001 -22.240299)(25.806301 -24.999001 -22.516399)(27.907999 -24.999001 -20.278000)(25.455801 -25.455801 -22.889700)(25.455801 -25.455801 -22.889700)(23.520500 -26.940800 -24.950800)(23.369101 -27.056999 -42.144802)(23.520500 -26.940800 -24.950800)(21.988001 -28.116800 -26.582998)(23.369101 -27.056999 -42.144802)(21.988001 -28.116800 -26.582998)(21.282301 -28.658199 -27.030701)(23.369101 -27.056999 -42.144802)(21.282301 -28.658199 -27.030701)(25.455801 -25.455801 -61.400002)(23.369101 -27.056999 -42.144802)(25.455801 -25.455801 -61.400002)(25.455801 -25.455801 -22.889700)(23.369101 -27.056999 -42.144802)(29.266899 -20.489100 -22.528500)(27.708801 -22.519600 -24.179899)(31.176901 -18.000000 -61.400002)(29.675900 -19.956100 -22.095001)(29.266899 -20.489100 -22.528500)(31.176901 -18.000000 -61.400002)(31.176901 -18.000000 -19.494900)(29.675900 -19.956100 -22.095001)(31.176901 -18.000000 -61.400002)(-8.536010 40.000999 -36.001999)(33.971001 40.000999 -14.655000)(29.674999 40.000999 -22.095001)(33.971001 40.000999 -14.655000)(34.773300 9.317510 -11.975200)(33.971001 11.254400 -14.655000)(34.773300 9.317510 -11.975200)(33.971001 40.000999 -14.655000)(35.279999 5.468450 -10.282600)(34.773300 9.317510 -61.400002)(34.773300 9.317510 -11.975200)(35.279999 5.468450 -10.282600)(34.773300 9.317510 -61.400002)(35.279999 5.468450 -10.282600)(35.831398 1.280970 -8.441239)(36.000000 0.000000 -61.400002)(34.773300 9.317510 -61.400002)(35.831398 1.280970 -8.441239)(36.000000 0.000000 -61.400002)(35.831398 1.280970 -8.441239)(36.000000 0.000000 -7.877950)(-20.334999 40.000999 30.913000)(-15.941000 40.000999 33.119999)(-12.562000 40.000999 33.119999)(-20.334999 40.000999 30.913000)(-12.562000 40.000999 33.119999)(-8.536010 40.000999 -36.001999)(-26.915998 -24.999001 25.390999)(-20.334999 40.000999 30.913000)(-26.915998 40.000999 25.390999)(-26.915998 40.000999 25.390999)(-32.046001 -24.999001 18.500000)(-31.236099 -24.999001 19.587900)(-26.915998 40.000999 25.390999)(-31.236099 -24.999001 19.587900)(-30.743000 -24.999001 20.250401)(-26.915998 40.000999 25.390999)(-30.743000 -24.999001 20.250401)(-29.851601 -24.999001 21.447699)(-26.915998 40.000999 25.390999)(-29.851601 -24.999001 21.447699)(-27.424500 -24.999001 24.707901)(-26.915998 40.000999 25.390999)(-27.424500 -24.999001 24.707901)(-26.915998 -24.999001 25.390999)(-35.448997 -24.999001 10.612000)(-31.760099 -24.999001 17.001200)(-32.046001 -24.999001 18.500000)(-32.046001 -24.999001 18.500000)(-31.760099 -24.999001 17.001200)(-31.236099 -24.999001 19.587900)(-29.056400 -20.763500 -22.757999)(-25.806400 -24.999001 -26.202002)(-29.681999 -24.999001 -22.095001)(-29.681999 -19.948200 -22.095001)(-29.056400 -20.763500 -22.757999)(-29.681999 -24.999001 -22.095001)(-25.806400 -24.999001 -26.202002)(-29.056400 -20.763500 -22.757999)(-25.455801 -25.455900 -61.400002)(-25.455801 -25.455900 -23.198900)(-25.806400 -24.999001 -22.716400)(-25.806400 -24.999001 -26.202002)(-25.455801 -25.455900 -61.400002)(-25.455801 -25.455900 -23.198900)(-25.806400 -24.999001 -26.202002)(-18.000000 -31.176901 -61.400002)(-25.455801 -25.455900 -61.400002)(25.455801 -25.455801 -61.400002)(-25.455801 -25.455900 -61.400002)(-22.301701 -27.876099 -25.975000)(-23.226200 -27.166700 -25.210100)(-25.455801 -25.455900 -61.400002)(-18.000000 -31.176901 -61.400002)(-22.301701 -27.876099 -25.975000)(-25.455801 -25.455900 -61.400002)(-25.152000 -25.689001 -23.616999)(-25.455801 -25.455900 -23.198900)(-25.455801 -25.455900 -61.400002)(-23.226200 -27.166700 -25.210100)(-25.152000 -25.689001 -23.616999)(34.997601 -7.613920 -11.226100)(34.773300 -9.317491 -11.975200)(35.386700 -4.658750 -36.313103)(34.773300 -9.317491 -11.975200)(34.773300 -9.317491 -61.400002)(35.386700 -4.658750 -36.313103)(34.773300 -9.317491 -61.400002)(36.000000 0.000000 -61.400002)(35.386700 -4.658750 -36.313103)(36.000000 0.000000 -61.400002)(34.997601 -7.613920 -11.226100)(35.386700 -4.658750 -36.313103)(32.213600 -15.497200 -17.698999)(33.187603 -13.145700 -16.011700)(33.971001 -24.999001 -14.655000)(29.675900 -19.956100 -22.095001)(31.176901 -18.000000 -19.494900)(31.823400 -19.072401 -18.375000)(31.176901 -18.000000 -19.494900)(32.213600 -15.497200 -17.698999)(31.823400 -19.072401 -18.375000)(33.971001 -24.999001 -14.655000)(29.676001 -24.999001 -22.095001)(31.823400 -19.072401 -18.375000)(29.676001 -24.999001 -22.095001)(29.675900 -19.956100 -22.095001)(31.823400 -19.072401 -18.375000)(32.213600 -15.497200 -17.698999)(33.971001 -24.999001 -14.655000)(31.823400 -19.072401 -18.375000)(33.971001 -11.254400 -14.655000)(34.773300 -9.317491 -61.400002)(34.773300 -9.317491 -11.975200)(34.773300 -9.317491 -61.400002)(33.971001 -11.254400 -14.655000)(33.187603 -13.145700 -16.011700)(34.773300 -9.317491 -61.400002)(33.187603 -13.145700 -16.011700)(32.213600 -15.497200 -17.698999)(29.266899 -20.489100 -22.528500)(29.675900 -19.956100 -22.095001)(29.676001 -24.999001 -22.095001)(32.074001 -24.999001 -12.700000)(33.971001 -24.999001 -14.655000)(32.679699 -24.999001 -10.341599)(32.074001 -24.999001 -12.700000)(29.004000 -24.999001 -18.284300)(31.487499 -24.999001 -16.218302)(29.004000 -24.999001 -18.284300)(29.676001 -24.999001 -22.095001)(31.487499 -24.999001 -16.218302)(29.676001 -24.999001 -22.095001)(33.971001 -24.999001 -14.655000)(31.487499 -24.999001 -16.218302)(33.971001 -24.999001 -14.655000)(32.074001 -24.999001 -12.700000)(31.487499 -24.999001 -16.218302)(21.282301 -28.658199 -27.030701)(19.545900 -29.990700 -28.132500)(21.727900 -28.316399 -44.215401)(19.545900 -29.990700 -28.132500)(18.000000 -31.176901 -29.113300)(21.727900 -28.316399 -44.215401)(18.000000 -31.176901 -29.113300)(18.000000 -31.176901 -61.400002)(21.727900 -28.316399 -44.215401)(18.000000 -31.176901 -61.400002)(25.455801 -25.455801 -61.400002)(21.727900 -28.316399 -44.215401)(25.455801 -25.455801 -61.400002)(21.282301 -28.658199 -27.030701)(21.727900 -28.316399 -44.215401)(-8.536010 40.000999 -36.001999)(36.435001 40.000999 -6.425000)(33.971001 40.000999 -14.655000)(33.971001 40.000999 -14.655000)(36.435001 40.000999 -6.425000)(35.279999 5.468450 -10.282600)(35.279999 5.468450 -10.282600)(36.435001 40.000999 -6.425000)(35.831398 1.280970 -8.441239)(35.831398 1.280970 -8.441239)(36.435001 40.000999 -6.425000)(36.000000 0.000000 -7.877950)(35.602001 -3.023370 -9.207450)(36.000000 0.000000 -7.877950)(36.435001 -24.999001 -6.425000)(36.000000 0.000000 -7.877950)(36.435001 40.000999 -6.425000)(36.435001 -24.999001 -6.425000)(36.000000 0.000000 -61.400002)(36.000000 0.000000 -7.877950)(35.602001 -3.023370 -9.207450)(36.000000 0.000000 -61.400002)(35.602001 -3.023370 -9.207450)(34.997601 -7.613920 -11.226100)(-12.562000 40.000999 33.119999)(-4.509460 40.000999 33.119999)(-8.536010 40.000999 -36.001999)(-15.941000 27.511700 33.119999)(-15.941000 40.000999 33.119999)(-20.334999 40.000999 30.913000)(-15.941401 12.200800 33.119801)(-15.941000 27.511700 33.119999)(-20.334999 40.000999 30.913000)(-15.941401 12.200800 33.119801)(-20.334999 40.000999 30.913000)(-20.334999 -24.999001 30.913000)(-26.915998 -24.999001 25.390999)(-21.701000 -24.999001 29.766800)(-20.334999 40.000999 30.913000)(-21.701000 -24.999001 29.766800)(-20.334999 -24.999001 30.913000)(-20.334999 40.000999 30.913000)(-20.334999 -24.999001 30.913000)(-18.801600 -24.999001 31.683098)(-15.941401 12.200800 33.119801)(-18.801600 -24.999001 31.683098)(-15.941800 -24.999001 33.119297)(-15.941401 12.200800 33.119801)(-9.317480 -34.773300 -61.400002)(-18.000000 -31.176901 -61.400002)(25.455801 -25.455801 -61.400002)(-18.000000 -31.176901 -29.359100)(-18.489000 -30.801701 -29.129000)(-18.000000 -31.176901 -61.400002)(-18.489000 -30.801701 -29.129000)(-22.301701 -27.876099 -25.975000)(-18.000000 -31.176901 -61.400002)(34.773300 -9.317491 -11.975200)(34.997601 -7.613920 -11.226100)(35.202999 -14.011200 -10.540000)(34.997601 -7.613920 -11.226100)(35.602001 -3.023370 -9.207450)(35.202999 -14.011200 -10.540000)(35.602001 -3.023370 -9.207450)(36.435001 -24.999001 -6.425000)(35.202999 -14.011200 -10.540000)(36.435001 -24.999001 -6.425000)(33.971001 -24.999001 -14.655000)(35.202999 -14.011200 -10.540000)(33.971001 -24.999001 -14.655000)(33.971001 -11.254400 -14.655000)(35.202999 -14.011200 -10.540000)(33.971001 -11.254400 -14.655000)(34.773300 -9.317491 -11.975200)(35.202999 -14.011200 -10.540000)(33.187603 -13.145700 -16.011700)(33.971001 -11.254400 -14.655000)(33.971001 -24.999001 -14.655000)(34.224998 -24.999001 -4.324000)(36.435001 -24.999001 -6.425000)(34.224998 -24.999001 -1.301630)(34.224998 -24.999001 -4.324000)(32.679699 -24.999001 -10.341599)(34.557301 -24.999001 -7.978310)(32.679699 -24.999001 -10.341599)(33.971001 -24.999001 -14.655000)(34.557301 -24.999001 -7.978310)(33.971001 -24.999001 -14.655000)(36.435001 -24.999001 -6.425000)(34.557301 -24.999001 -7.978310)(36.435001 -24.999001 -6.425000)(34.224998 -24.999001 -4.324000)(34.557301 -24.999001 -7.978310)(18.000000 -31.176901 -29.113300)(14.808200 -32.499001 -31.138500)(18.000000 -31.176901 -61.400002)(14.808200 -32.499001 -31.138500)(14.711400 -32.539101 -31.165600)(18.000000 -31.176901 -61.400002)(14.711400 -32.539101 -31.165600)(14.656401 -32.561897 -31.174200)(18.000000 -31.176901 -61.400002)(14.656401 -32.561897 -31.174200)(13.724000 -32.948097 -31.161600)(18.000000 -31.176901 -61.400002)(18.000000 -31.176901 -61.400002)(9.317480 -34.773300 -61.400002)(25.455801 -25.455801 -61.400002)(-8.536010 40.000999 -36.001999)(36.933998 40.000999 2.152000)(36.435001 40.000999 -6.425000)(36.435001 40.000999 -6.425000)(36.935001 -24.999001 2.151000)(36.435001 -24.999001 -6.425000)(-4.509460 40.000999 33.119999)(3.651940 40.000999 33.119999)(-8.536010 40.000999 -36.001999)(15.935600 -24.999001 33.119701)(20.329000 -24.999001 30.913000)(15.935000 -2.085330 33.119999)(20.329000 -24.999001 30.913000)(20.329000 40.000999 30.913000)(18.132000 7.501000 32.016502)(20.329000 40.000999 30.913000)(15.935000 2.797950 33.119999)(18.132000 7.501000 32.016502)(15.935000 2.797950 33.119999)(15.935000 -2.085330 33.119999)(18.132000 7.501000 32.016502)(15.935000 -2.085330 33.119999)(20.329000 -24.999001 30.913000)(18.132000 7.501000 32.016502)(15.935000 2.797950 33.119999)(20.329000 40.000999 30.913000)(15.935000 40.000999 33.119999)(12.158299 40.000999 33.119999)(15.935000 40.000999 33.119999)(20.329000 40.000999 30.913000)(12.158299 40.000999 33.119999)(20.329000 40.000999 30.913000)(-8.536010 40.000999 -36.001999)(3.651940 40.000999 33.119999)(12.158299 40.000999 33.119999)(-8.536010 40.000999 -36.001999)(0.000000 -36.000000 -61.400002)(-9.317480 -34.773300 -61.400002)(25.455801 -25.455801 -61.400002)(-14.808200 -32.499001 -30.861000)(-18.000000 -31.176901 -29.359100)(-13.658700 -32.975101 -45.379501)(-18.000000 -31.176901 -29.359100)(-18.000000 -31.176901 -61.400002)(-13.658700 -32.975101 -45.379501)(-18.000000 -31.176901 -61.400002)(-9.317480 -34.773300 -61.400002)(-13.658700 -32.975101 -45.379501)(-9.317480 -34.773300 -61.400002)(-13.625999 -32.988701 -30.931501)(-13.658700 -32.975101 -45.379501)(-13.625999 -32.988701 -30.931501)(-14.808200 -32.499001 -30.861000)(-13.658700 -32.975101 -45.379501)(34.224998 -24.999001 -1.301630)(36.435001 -24.999001 -6.425000)(36.935001 -24.999001 2.151000)(34.224998 -24.999001 4.324000)(36.935001 -24.999001 2.151000)(33.459900 -24.999001 8.169940)(34.224998 -24.999001 4.324000)(34.224998 -24.999001 -1.301630)(35.197498 -24.999001 0.872471)(34.224998 -24.999001 -1.301630)(36.935001 -24.999001 2.151000)(35.197498 -24.999001 0.872471)(36.935001 -24.999001 2.151000)(34.224998 -24.999001 4.324000)(35.197498 -24.999001 0.872471)(13.724000 -32.948097 -31.161600)(9.317480 -34.773300 -31.101700)(13.658700 -32.975101 -46.250900)(9.317480 -34.773300 -31.101700)(9.317480 -34.773300 -61.400002)(13.658700 -32.975101 -46.250900)(9.317480 -34.773300 -61.400002)(18.000000 -31.176901 -61.400002)(13.658700 -32.975101 -46.250900)(18.000000 -31.176901 -61.400002)(13.724000 -32.948097 -31.161600)(13.658700 -32.975101 -46.250900)(9.317480 -34.773300 -61.400002)(0.000000 -36.000000 -61.400002)(25.455801 -25.455801 -61.400002)(-8.536010 40.000999 -36.001999)(35.443001 40.000999 10.612000)(36.933998 40.000999 2.152000)(36.435001 40.000999 -6.425000)(36.933998 40.000999 2.152000)(36.935001 -24.999001 2.151000)(20.329000 -24.999001 30.913000)(26.910000 40.000999 25.390999)(20.329000 40.000999 30.913000)(20.329000 40.000999 30.913000)(26.910000 40.000999 25.390999)(-8.536010 40.000999 -36.001999)(32.073799 -24.999001 15.137400)(32.040001 -24.999001 18.500000)(31.235199 -24.999001 19.353001)(32.040001 -24.999001 18.500000)(32.073799 -24.999001 15.137400)(35.443001 -24.999001 10.612000)(33.459900 -24.999001 8.169940)(35.443001 -24.999001 10.612000)(32.073799 -24.999001 15.137400)(33.459900 -24.999001 8.169940)(36.935001 -24.999001 2.151000)(34.504398 -24.999001 8.644210)(36.935001 -24.999001 2.151000)(35.443001 -24.999001 10.612000)(34.504398 -24.999001 8.644210)(35.443001 -24.999001 10.612000)(33.459900 -24.999001 8.169940)(34.504398 -24.999001 8.644210)(-8.756550 -34.847198 -31.113400)(-9.317480 -34.773300 -30.983900)(-4.658740 -35.386700 -46.192001)(-9.317480 -34.773300 -30.983900)(-9.317480 -34.773300 -61.400002)(-4.658740 -35.386700 -46.192001)(-9.317480 -34.773300 -61.400002)(0.000000 -36.000000 -61.400002)(-4.658740 -35.386700 -46.192001)(0.000000 -36.000000 -61.400002)(-4.547960 -35.401199 -31.429998)(-4.658740 -35.386700 -46.192001)(-4.547960 -35.401199 -31.429998)(-8.756550 -34.847198 -31.113400)(-4.658740 -35.386700 -46.192001)(-9.317480 -34.773300 -30.983900)(-11.067600 -34.048401 -31.084101)(-9.317480 -34.773300 -61.400002)(-11.067600 -34.048401 -31.084101)(-13.625999 -32.988701 -30.931501)(-9.317480 -34.773300 -61.400002)(5.131460 -35.324398 -31.642601)(4.799490 -35.368099 -31.627499)(9.317480 -34.773300 -61.400002)(9.317480 -34.773300 -31.101700)(8.169250 -34.924500 -31.351301)(9.317480 -34.773300 -61.400002)(8.169250 -34.924500 -31.351301)(5.131460 -35.324398 -31.642601)(9.317480 -34.773300 -61.400002)(0.453537 -35.940300 -31.429001)(0.000001 -36.000000 -31.341799)(4.658740 -35.386700 -46.370903)(0.000001 -36.000000 -31.341799)(0.000000 -36.000000 -61.400002)(4.658740 -35.386700 -46.370903)(0.000000 -36.000000 -61.400002)(9.317480 -34.773300 -61.400002)(4.658740 -35.386700 -46.370903)(9.317480 -34.773300 -61.400002)(4.799490 -35.368099 -31.627499)(4.658740 -35.386700 -46.370903)(4.799490 -35.368099 -31.627499)(0.453537 -35.940300 -31.429001)(4.658740 -35.386700 -46.370903)(32.040001 40.000999 18.500000)(35.443001 40.000999 10.612000)(-8.536010 40.000999 -36.001999)(36.933998 40.000999 2.152000)(35.443001 40.000999 10.612000)(35.443001 -24.999001 10.612000)(35.443001 -24.999001 10.612000)(36.935001 -24.999001 2.151000)(36.933998 40.000999 2.152000)(32.040001 40.000999 18.500000)(26.910000 -24.999001 25.390999)(31.173300 -24.999001 19.664200)(32.040001 40.000999 18.500000)(31.173300 -24.999001 19.664200)(32.040001 -24.999001 18.500000)(20.329000 -24.999001 30.913000)(26.910000 -24.999001 25.390999)(26.910000 40.000999 25.390999)(26.910000 40.000999 25.390999)(32.040001 40.000999 18.500000)(-8.536010 40.000999 -36.001999)(35.443001 40.000999 10.612000)(32.040001 -24.999001 18.500000)(35.443001 -24.999001 10.612000)(-3.394460 -35.553101 -31.516802)(-4.547960 -35.401199 -31.429998)(0.000000 -36.000000 -61.400002)(0.000001 -36.000000 -31.341799)(-3.394460 -35.553101 -31.516802)(0.000000 -36.000000 -61.400002)(35.443001 40.000999 10.612000)(32.040001 40.000999 18.500000)(32.040001 -24.999001 18.500000)(32.040001 40.000999 18.500000)(26.910000 40.000999 25.390999)(26.910000 -24.999001 25.390999)))
           )
           )))
    (send glvertices :calc-normals)
    (send self :assoc glvertices)
    glvertices)
  (:qhull-faceset ()
   ;; qhull 2070 -> 29 faces
   (instance faceset :init :faces (list
    (instance face :init :vertices (list (float-vector -0.000019 35.999998 -61.400000) (float-vector 41.967999 54.258998 33.119999) (float-vector -44.748001 54.258998 33.119999)))
    (instance face :init :vertices (list (float-vector -17.999999 31.176900 -61.400000) (float-vector -0.000019 35.999998 -61.400000) (float-vector -44.748001 54.258998 33.119999)))
    (instance face :init :vertices (list (float-vector -31.176900 17.999999 -61.400000) (float-vector -17.999999 31.176900 -61.400000) (float-vector -44.748001 54.258998 33.119999)))
    (instance face :init :vertices (list (float-vector 41.967999 54.258998 33.119999) (float-vector 35.999998 0.000000 -61.400000) (float-vector 41.967999 -26.257001 33.119999)))
    (instance face :init :vertices (list (float-vector -2.639710 -39.499000 76.446101) (float-vector -33.757102 -24.110001 94.618998) (float-vector 30.029399 -24.110001 94.619997)))
    (instance face :init :vertices (list (float-vector 40.229999 52.111000 85.203402) (float-vector 41.967999 54.258998 33.119999) (float-vector 41.967999 -26.257001 33.119999) (float-vector 40.209200 -24.110001 85.179202)))
    (instance face :init :vertices (list (float-vector 30.025501 52.111000 94.619997) (float-vector 40.229999 52.111000 85.203402) (float-vector 40.209200 -24.110001 85.179202) (float-vector 30.029399 -24.110001 94.619997)))
    (instance face :init :vertices (list (float-vector -33.757102 -24.110001 94.618998) (float-vector -33.713400 52.111000 94.619997) (float-vector 30.025501 52.111000 94.619997) (float-vector 30.029399 -24.110001 94.619997)))
    (instance face :init :vertices (list (float-vector -35.999998 -0.000015 -61.400000) (float-vector -31.176900 17.999999 -61.400000) (float-vector -44.748001 54.258998 33.119999)))
    (instance face :init :vertices (list (float-vector -44.748001 54.258998 33.119999) (float-vector -44.748001 -26.257001 33.119000) (float-vector -34.773301 -9.317500 -61.400000) (float-vector -35.999998 -0.000015 -61.400000)))
    (instance face :init :vertices (list (float-vector -17.999999 -31.176900 -61.400000) (float-vector -27.466699 -39.499000 0.698417) (float-vector 0.000000 -35.999998 -61.400000)))
    (instance face :init :vertices (list (float-vector -27.466699 -39.499000 0.698417) (float-vector 19.118801 -39.499000 -22.414800) (float-vector 0.000000 -35.999998 -61.400000)))
    (instance face :init :vertices (list (float-vector -17.999999 -31.176900 -61.400000) (float-vector -34.773301 -9.317500 -61.400000) (float-vector -44.748001 -26.257001 33.119000) (float-vector -27.466699 -39.499000 0.698417)))
    (instance face :init :vertices (list (float-vector -33.713400 52.111000 94.619997) (float-vector -42.647600 52.111000 85.251004) (float-vector -44.748001 54.258998 33.119999) (float-vector 41.967999 54.258998 33.119999) (float-vector 40.229999 52.111000 85.203402) (float-vector 30.025501 52.111000 94.619997)))
    (instance face :init :vertices (list (float-vector -42.647600 52.111000 85.251004) (float-vector -42.830601 -24.110001 85.147202) (float-vector -44.748001 -26.257001 33.119000) (float-vector -44.748001 54.258998 33.119999)))
    (instance face :init :vertices (list (float-vector -42.830601 -24.110001 85.147202) (float-vector -42.647600 52.111000 85.251004) (float-vector -33.713400 52.111000 94.619997) (float-vector -33.757102 -24.110001 94.618998)))
    (instance face :init :vertices (list (float-vector 35.999998 0.000000 -61.400000) (float-vector 31.176900 -17.999999 -61.400000) (float-vector 41.967999 -26.257001 33.119999)))
    (instance face :init :vertices (list (float-vector -0.000019 35.999998 -61.400000) (float-vector 17.999999 31.176900 -61.400000) (float-vector 41.967999 54.258998 33.119999)))
    (instance face :init :vertices (list (float-vector 31.176900 17.999999 -61.400000) (float-vector 35.999998 0.000000 -61.400000) (float-vector 41.967999 54.258998 33.119999)))
    (instance face :init :vertices (list (float-vector 41.967999 54.258998 33.119999) (float-vector 17.999999 31.176900 -61.400000) (float-vector 31.176900 17.999999 -61.400000)))
    (instance face :init :vertices (list (float-vector -0.000019 35.999998 -61.400000) (float-vector -17.999999 31.176900 -61.400000) (float-vector -31.176900 17.999999 -61.400000) (float-vector -35.999998 -0.000015 -61.400000) (float-vector -34.773301 -9.317500 -61.400000) (float-vector -17.999999 -31.176900 -61.400000) (float-vector 0.000000 -35.999998 -61.400000) (float-vector 17.999999 -31.176900 -61.400000) (float-vector 31.176900 -17.999999 -61.400000) (float-vector 35.999998 0.000000 -61.400000) (float-vector 31.176900 17.999999 -61.400000) (float-vector 17.999999 31.176900 -61.400000)))
    (instance face :init :vertices (list (float-vector 30.029399 -24.110001 94.619997) (float-vector 40.209200 -24.110001 85.179202) (float-vector 15.335400 -39.499000 63.387796) (float-vector -2.639710 -39.499000 76.446101)))
    (instance face :init :vertices (list (float-vector -42.830601 -24.110001 85.147202) (float-vector -33.757102 -24.110001 94.618998) (float-vector -2.639710 -39.499000 76.446101) (float-vector -16.089700 -39.499000 59.104402)))
    (instance face :init :vertices (list (float-vector -44.748001 -26.257001 33.119000) (float-vector -42.830601 -24.110001 85.147202) (float-vector -16.089700 -39.499000 59.104402) (float-vector -27.466699 -39.499000 0.698417)))
    (instance face :init :vertices (list (float-vector 17.999999 -31.176900 -61.400000) (float-vector 25.783001 -39.499000 -15.884999) (float-vector 31.176900 -17.999999 -61.400000)))
    (instance face :init :vertices (list (float-vector 31.176900 -17.999999 -61.400000) (float-vector 25.783001 -39.499000 -15.884999) (float-vector 41.967999 -26.257001 33.119999)))
    (instance face :init :vertices (list (float-vector 19.118801 -39.499000 -22.414800) (float-vector 25.783001 -39.499000 -15.884999) (float-vector 17.999999 -31.176900 -61.400000) (float-vector 0.000000 -35.999998 -61.400000)))
    (instance face :init :vertices (list (float-vector -2.639710 -39.499000 76.446101) (float-vector 15.335400 -39.499000 63.387796) (float-vector 25.783001 -39.499000 -15.884999) (float-vector 19.118801 -39.499000 -22.414800) (float-vector -27.466699 -39.499000 0.698417) (float-vector -16.089700 -39.499000 59.104402)))
    (instance face :init :vertices (list (float-vector 41.967999 -26.257001 33.119999) (float-vector 25.783001 -39.499000 -15.884999) (float-vector 15.335400 -39.499000 63.387796) (float-vector 40.209200 -24.110001 85.179202)))
    ))
   )
  )

(defclass HiroNX_g1_15_geom0
  :super collada-body
  :slots ())
(defmethod HiroNX_g1_15_geom0
  (:init (&key (name))
         (replace-object self (send self :qhull-faceset))
         (if name (send self :name name))
         (send self :def-gl-vertices)
         self)
  (:def-gl-vertices ()
    (setq glvertices
       (instance gl::glvertices :init
          (list
          (list
           (list :type :triangles)
           (list :material (list
             (list :color (float-vector 0.1 0.1 0.1))
             (list :ambient (float-vector 0.200000 0.200000 0.200000 1.000000))
             (list :diffuse (float-vector 0.900000 0.900000 0.900000 1.000000))
           ))
           (list :indices #i( 500 99 603 527 340 54 491 613 36 192 608 578 53 184 594 292 305 522 674 648 621 445 292 671 155 164 258 383 657 93 18 383 181 0 167 246 298 111 300 103 492 45 117 61 149 231 156 77 21 153 43 254 108 519 385 411 375 64 53 594 657 247 233 21 307 434 380 573 82 64 298 300 177 355 344 553 293 544 54 488 332 568 342 652 618 390 452 155 258 488 454 47 467 307 455 271 472 567 173 95 572 249 668 13 371 528 632 620 273 522 337 530 310 296 388 45 297 229 656 369 3 535 646 2 188 186 307 271 317 487 208 201 100 139 28 671 502 558 666 298 510 29 668 16 410 115 651 457 450 672 114 487 334 529 230 259 543 79 2 337 192 338 208 487 544 189 505 659 524 18 181 128 401 649 237 171 66 474 285 29 642 635 526 156 90 72 169 471 639 496 637 466 288 625 630 95 249 641 338 412 448 601 591 124 500 482 347 647 335 654 627 180 40 190 327 635 270 555 112 96 222 489 220 85 524 489 406 438 512 481 477 198 274 595 109 437 665 515 79 543 138 142 633 425 308 365 261 410 651 285 13 29 91 355 177 183 509 359 99 235 393 39 65 365 614 200 245 244 415 596 666 510 87 410 110 115 489 583 481 373 511 290 467 151 650 326 618 417 539 138 633 391 592 92 345 133 292 580 263 260 432 197 577 608 196 578 200 476 398 548 77 203 423 515 392 55 420 565 353 604 38 653 511 373 419 387 34 508 496 232 571 516 365 391 92 110 388 517 598 511 282 290 256 269 570 431 330 71 85 52 379 51 428 555 180 409 550 556 618 376 285 474 633 362 133 448 638 50 213 25 140 643 536 329 219 642 399 526 503 57 301 27 365 195 266 314 445 147 358 449 624 653 306 318 609 501 399 147 674 196 608 592 99 500 347 438 357 226 19 224 78 114 562 544 376 125 40 541 622 43 302 666 81 661 420 89 10 462 558 154 601 249 192 578 8 430 274 431 200 614 621 225 338 448 78 404 463 182 599 49 67 403 665 230 319 619 74 593 402 44 671 558 22 567 443 561 449 344 653 591 306 423 49 633 287 448 321 176 51 282 660 364 669 22 10 502 292 640 135 61 117 250 263 450 395 637 164 162 24 146 86 496 9 232 431 179 442 117 472 223 552 193 572 165 365 612 625 243 591 615 286 5 286 615 617 428 363 430 114 183 389 354 70 512 232 588 647 236 339 45 381 674 284 244 596 175 146 365 86 651 115 42 271 318 458 392 515 137 563 11 642 188 615 186 36 613 579 551 322 58 161 553 544 604 414 38 664 246 118 35 483 214 1 576 332 185 465 292 237 66 670 638 74 529 141 303 33 52 85 136 486 150 238 524 85 18 535 122 489 418 368 481 157 401 128 518 570 398 16 668 371 406 281 331 535 3 159 555 278 112 91 277 355 342 568 489 390 618 326 329 607 446 70 441 481 556 376 82 436 574 114 375 613 210 625 288 243 182 121 334 441 172 481 657 25 643 415 228 202 222 281 489 479 66 440 593 140 25 87 530 284 596 415 202 367 316 645 68 29 497 11 46 635 250 223 448 369 442 89 275 581 31 24 479 440 222 471 343 77 156 203 229 661 420 292 522 273 559 139 386 589 209 469 626 542 571 234 2 137 504 404 320 472 133 362 280 277 489 40 563 11 656 586 458 107 227 221 7 498 439 104 305 292 46 376 40 373 261 651 237 611 41 577 128 649 16 193 552 250 600 470 204 59 367 540 52 597 407 111 341 376 125 82 127 268 520 631 192 494 498 165 439 387 23 356 591 408 601 469 183 264 667 610 126 141 612 303 62 107 168 487 349 215 627 180 409 110 92 548 314 478 644 308 120 365 485 423 238 441 354 151 265 9 313 472 111 407 279 261 290 348 378 490 586 513 429 534 17 324 387 625 34 369 501 240 639 96 275 222 444 281 359 489 264 539 487 138 488 592 391 520 35 214 44 445 671 278 442 240 515 241 137 178 201 544 180 380 40 187 209 154 665 19 463 248 251 149 55 475 565 671 292 502 116 656 229 112 609 569 531 199 394 158 250 63 105 252 546 512 477 650 245 459 570 131 554 367 310 399 381 436 114 652 342 436 652 282 393 290 358 385 449 612 141 205 93 657 108 201 178 293 657 26 339 520 397 6 627 152 659 45 638 213 427 520 214 364 312 217 601 589 532 39 32 405 269 256 186 183 187 206 289 561 355 533 267 640 216 489 359 104 292 135 269 582 570 308 295 168 129 325 654 589 119 351 450 91 672 355 561 344 502 10 558 669 660 497 605 310 530 295 333 168 130 111 170 209 589 154 657 383 350 257 1 332 478 299 150 666 170 145 633 142 311 247 254 233 525 601 532 47 277 280 446 483 136 20 486 238 171 468 440 437 412 134 9 588 232 41 611 101 144 231 77 576 113 332 526 635 449 540 25 379 310 94 40 64 152 605 372 236 45 64 300 53 421 268 427 284 621 283 452 456 635 20 150 486 660 364 217 314 266 478 267 100 640 401 489 649 353 473 206 348 536 195 31 580 417 472 173 133 166 192 676 427 127 520 621 385 375 192 166 80 145 111 298 192 631 139 315 164 155 655 20 426 85 220 521 625 253 630 87 284 218 380 125 40 304 664 118 19 632 224 310 40 563 542 516 571 483 446 466 521 27 195 66 479 670 614 433 218 406 331 387 657 204 645 642 132 399 277 47 454 467 663 151 618 514 31 462 341 302 599 182 334 423 182 49 173 185 416 7 24 86 646 535 489 572 193 604 176 511 37 577 197 128 250 117 223 489 577 649 478 150 644 235 54 1 0 50 328 393 235 1 391 110 410 307 435 455 44 558 302 114 583 374 194 44 302 180 105 88 113 54 332 26 140 45 563 132 399 220 365 521 637 496 508 588 335 647 207 546 363 272 662 126 292 144 640 589 469 119 207 363 288 618 46 376 609 447 569 611 670 484 116 403 513 156 72 203 277 289 355 37 511 653 83 414 604 618 31 417 485 422 81 536 219 195 142 201 311 572 604 249 548 559 77 528 647 654 21 434 101 241 543 137 51 555 270 386 533 144 152 189 659 378 607 490 254 365 602 349 487 539 335 129 654 430 363 274 56 566 352 123 248 507 19 437 134 528 495 647 163 605 530 444 272 281 148 363 428 121 182 76 385 449 411 515 543 241 449 672 177 10 22 462 399 526 557 139 631 590 515 370 79 499 311 293 239 273 211 218 575 75 400 366 274 162 483 466 15 294 500 46 618 635 435 304 118 262 662 343 622 307 21 562 161 413 47 280 663 538 137 334 315 340 427 161 544 413 25 657 350 585 114 675 140 657 643 600 250 158 180 252 105 221 69 365 74 638 45 459 200 570 423 106 323 294 397 336 580 390 326 316 657 645 591 653 73 242 269 186 87 163 530 625 566 377 455 658 271 259 230 294 148 37 587 616 41 101 609 112 240 74 402 230 122 535 159 462 22 443 114 585 583 536 348 490 662 222 343 14 196 291 559 386 77 424 286 617 20 143 150 434 307 317 451 615 5 62 333 503 29 13 668 33 303 17 673 393 282 301 57 360 424 423 485 514 275 31 414 473 38 42 124 73 237 670 611 625 419 34 264 489 438 48 20 238 547 308 425 365 498 86 360 320 396 451 5 461 15 500 603 367 554 365 395 102 327 79 617 2 29 16 572 465 567 22 51 673 282 12 362 448 17 365 324 274 330 382 303 365 17 508 14 291 302 341 666 318 447 609 561 289 650 588 503 335 76 137 538 96 581 275 109 63 437 620 19 134 468 146 24 44 194 445 224 632 78 197 432 114 169 556 276 263 190 456 492 103 346 236 131 339 257 393 1 482 421 427 353 154 249 566 56 226 669 212 72 157 3 646 564 389 414 660 217 497 365 524 181 280 441 663 28 104 135 242 582 269 554 39 365 412 63 448 126 625 356 143 312 629 255 207 253 527 99 347 531 394 464 329 85 521 457 672 584 444 662 272 655 474 217 199 218 394 480 368 36 507 248 149 527 235 99 315 427 214 243 288 148 411 613 375 116 123 403 618 452 635 65 39 405 180 88 82 217 453 497 253 625 126 225 448 287 65 405 626 598 372 45 451 199 531 242 575 433 114 432 509 431 71 179 81 87 218 191 513 67 305 104 494 421 294 268 68 474 29 90 156 231 551 675 322 403 109 665 13 553 161 307 98 435 13 293 553 471 169 276 49 539 633 563 642 132 437 63 412 590 104 28 212 669 497 97 302 81 428 430 555 441 280 172 615 531 464 518 398 58 480 36 477 150 266 302 472 117 149 648 147 358 366 198 274 309 107 62 123 116 229 453 474 497 418 606 368 430 278 555 323 106 76 74 140 593 305 166 522 45 492 297 633 48 549 245 200 459 574 436 122 586 317 458 331 281 23 317 271 458 146 425 365 513 403 67 101 484 153 361 45 213 64 163 510 384 243 148 460 436 342 286 424 5 562 389 564 471 222 96 675 114 570 167 0 328 12 472 362 292 231 144 284 674 621 402 593 25 515 423 370 550 252 174 608 139 92 222 662 444 544 562 413 640 100 135 108 657 519 449 177 344 374 489 30 99 673 603 218 284 283 327 102 635 384 587 306 176 282 511 474 68 497 585 675 491 39 554 32 675 518 322 368 606 36 191 504 616 133 416 292 509 216 359 32 554 131 350 85 379 520 268 336 179 442 506 373 651 73 423 392 106 543 234 137 266 194 302 318 658 447 468 547 425 432 216 509 634 203 95 564 414 83 468 24 440 4 487 215 155 488 54 548 139 559 493 175 516 143 629 314 261 373 290 110 634 115 64 189 152 423 633 549 19 78 463 654 325 632 566 625 352 665 437 19 567 472 443 29 572 497 59 204 657 194 266 445 424 485 81 139 100 267 121 76 334 383 93 181 65 571 365 85 329 136 361 103 45 470 600 63 251 475 628 207 255 88 61 250 470 341 130 666 455 638 529 50 346 213 580 96 489 123 229 251 257 279 290 492 346 297 8 578 545 8 620 134 495 528 545 131 372 517 133 345 448 46 40 11 298 64 510 105 546 207 98 664 304 586 429 317 103 361 346 589 351 352 157 128 114 431 442 278 99 393 673 15 259 294 315 155 340 510 163 87 448 345 321 619 597 397 383 18 350 320 404 325 318 501 458 139 533 386 130 170 666 666 145 298 410 279 332 5 424 461 120 221 365 217 312 143 556 262 343 632 325 78 672 91 177 258 164 291 422 238 81 128 197 114 239 211 338 187 154 206 476 200 621 230 619 397 460 342 489 202 228 324 333 295 547 110 548 634 589 625 525 227 9 265 624 587 160 617 615 2 109 470 63 67 665 463 658 529 259 295 308 547 583 489 374 389 473 414 340 155 54 450 263 489 443 472 537 491 675 613 254 181 602 541 664 98 219 521 195 578 196 14 312 364 523 50 638 328 215 599 334 154 353 206 390 456 452 605 94 310 36 579 477 658 318 271 54 113 576 583 418 481 207 288 630 254 519 233 97 238 302 406 419 357 221 265 69 365 27 521 311 201 293 154 589 601 210 613 58 115 634 641 399 557 147 429 434 317 320 360 41 148 176 37 616 504 41 423 48 238 461 424 199 419 377 357 651 42 73 263 456 260 346 361 213 9 309 62 263 580 489 575 242 186 498 7 86 215 349 539 122 460 489 114 2 186 501 656 458 432 577 60 340 482 427 105 207 88 633 655 426 483 162 214 2 114 137 416 185 292 663 441 151 621 218 283 514 556 639 406 357 438 4 215 334 574 159 114 338 8 134 388 598 45 100 28 135 495 232 647 56 352 226 586 116 513 556 255 126 575 186 75 284 530 296 285 633 13 3 157 114 619 319 597 581 580 31 447 658 259 375 210 58 404 504 191 339 26 45 468 333 547 490 607 329 203 72 497 165 612 205 69 348 365 629 292 314 454 467 650 435 98 304 101 611 484 360 171 237 446 607 466 180 550 252 292 273 623 123 470 109 386 144 77 63 250 448 401 646 489 333 62 168 518 675 570 489 568 30 90 292 523 261 279 410 116 586 656 625 589 352 370 424 79 363 546 274 606 418 583 220 524 365 676 192 337 582 433 245 313 9 607 504 320 41 279 257 332 476 621 375 482 340 347 433 614 245 585 606 583 478 266 299 397 520 336 299 266 150 396 320 129 252 400 546 268 294 336 393 257 290 276 556 636 13 499 293 596 202 365 248 123 251 119 438 351 623 273 287 209 187 469 674 147 648 613 551 58 300 111 184 114 389 562 293 178 544 398 476 58 605 152 94 228 534 324 401 157 646 451 461 199 587 37 160 277 450 489 403 123 109 541 98 622 345 292 321 560 568 652 637 508 291 639 471 96 313 607 378 320 325 129 69 378 348 447 259 15 61 123 507 167 638 435 159 3 114 573 180 82 310 381 296 392 137 76 399 674 381 402 25 540 102 457 635 434 429 616 193 16 564 394 218 75 292 465 502 620 632 19 625 591 408 357 566 226 493 244 175 137 114 334 59 131 367 104 631 494 501 609 240 389 183 473 144 533 640 585 491 36 589 525 532 151 354 650 70 354 441 394 75 464 246 167 118 331 23 387 582 245 570 309 227 107 624 587 306 76 538 334 488 391 332 435 638 455 192 80 494 42 115 641 273 239 225 469 264 119 512 70 481 37 653 624 613 675 551 316 367 84 635 457 584 580 326 417 196 258 291 360 57 171 672 449 584 338 192 8 427 268 127 627 152 94 351 438 226 433 575 218 622 21 43 316 84 254 189 184 505 558 462 302 658 455 529 400 366 252 599 539 49 477 411 650 313 378 69 150 143 644 114 186 570 93 108 181 170 111 145 48 423 549 648 358 385 622 98 307 542 493 516 465 22 502 607 9 496 442 506 89 625 387 356 80 305 494 657 140 26 623 287 321 341 111 130 249 601 124 457 102 395 475 55 628 199 81 218 314 292 445 621 648 385 139 267 533 260 456 390 185 567 465 366 252 174 88 255 82 254 84 365 274 382 595 456 190 635 346 517 297 489 281 406 123 61 470 14 508 495 519 657 233 21 101 153 406 387 419 65 626 571 2 615 188 288 363 148 114 560 652 164 637 291 411 561 650 79 424 617 517 372 598 172 489 481 473 183 206 429 191 616 434 616 101 548 203 634 641 249 124 265 313 69 72 212 497 120 308 168 588 62 503 513 191 429 335 396 129 574 122 159 92 139 548 372 131 236 23 667 126 661 229 369 525 408 601 653 373 73 568 560 30 508 232 495 661 369 89 447 15 569 612 365 303 526 147 449 570 200 398 140 74 45 247 657 316 615 451 531 47 663 467 42 641 124 255 253 126 371 13 161 292 90 231 255 556 82 312 523 629 625 377 419 381 284 296 106 392 76 514 639 275 281 667 23 516 175 365 223 12 448 673 51 270 474 453 217 577 489 60 37 624 160 523 292 629 498 365 165 604 353 249 662 262 126 263 395 190 107 120 168 522 166 676 597 35 520 556 169 639 369 656 501 489 216 60 201 142 138 443 537 341 469 187 183 354 512 650 131 59 339 614 218 621 422 485 238 175 596 365 301 360 396 273 337 211 487 201 138 107 221 120 620 8 545 333 468 57 227 309 9 655 217 20 384 148 587 25 350 379 487 4 334 564 16 371 562 564 371 211 337 338 243 384 591 84 367 365 634 95 641 114 374 30 569 15 603 666 87 81 423 424 370 462 443 341 122 436 460 272 610 281 190 395 327 66 171 440 567 185 173 329 446 136 119 264 438 184 189 594 16 552 572 610 272 126 391 410 332 75 186 464 572 95 497 91 450 277 631 104 590 638 167 328 35 52 136 59 657 339 442 369 240 527 54 235 48 633 426 14 495 545 468 425 146 536 490 329 189 64 594 262 556 126 273 225 287 319 540 597 183 359 264 13 633 499 364 669 523 172 280 489 637 162 466 404 67 463 149 251 628 483 35 136 562 371 161 52 35 597 1 54 576 148 428 176 173 416 133 526 557 147 292 623 321 591 384 306 124 591 73 368 480 481 579 613 411 294 421 500 472 12 223 573 380 180 642 11 635 404 191 67 322 518 58 325 404 78 528 620 545 294 230 397 488 258 592 608 192 139 125 380 82 402 540 319 182 323 76 599 215 539 517 388 297 340 527 347 423 323 182 289 277 454 167 435 118 64 605 163 597 520 6 560 114 30 607 496 466 164 315 162 600 158 63 216 432 60 239 338 225 270 112 569 193 564 83 365 348 195 430 431 278 238 97 81 582 242 433 472 407 537 310 563 399 18 85 350 500 421 482 204 367 645 270 569 603 449 635 584 580 260 390 95 203 497 503 301 335 274 431 330 592 608 92 487 114 544 450 457 395 471 276 636 556 343 636 475 229 565 162 315 214 33 17 534 251 229 475 108 254 181 289 454 650 377 566 357 514 618 556 186 256 570 343 471 636 72 90 523 537 407 341 428 51 176 633 311 499 627 94 40 57 468 171 669 72 523 201 208 544 546 400 274 352 351 226 221 227 265 50 0 346 52 540 379 578 14 545 166 305 80 673 270 603 360 237 41 365 202 324 503 333 57 112 278 240 143 314 644 139 590 28 402 319 230 20 217 143 481 480 477 528 654 632 633 474 655 186 615 464 397 597 6 207 253 630 61 507 149 522 676 337 449 561 411 335 301 396 606 585 36 424 81 199 300 184 53 473 353 38 219 329 521 625 408 525 579 411 477 234 543 2 580 581 96 165 205 439 476 375 58 9 62 588 365 181 602 23 126 356 229 420 565 238 150 302 193 83 604 20 48 426 183 114 509 74 230 529 409 550 174 412 338 134 610 667 281 247 316 254 258 196 592 793 839 680 826 797 742 758 689 821 689 758 791 737 816 819 707 721 747 703 806 800 730 781 859 735 832 752 806 817 766 734 777 827 854 740 731 840 842 798 717 779 847 761 807 762 718 689 791 680 729 841 775 780 850 682 828 855 696 789 819 732 776 688 846 751 701 729 725 841 825 694 703 699 811 747 727 699 747 759 770 769 790 803 801 749 856 859 840 798 833 745 809 752 844 771 692 722 847 799 766 689 782 746 858 797 834 825 773 683 767 712 711 706 690 713 828 760 836 679 803 808 773 845 839 789 680 757 824 769 700 707 719 839 777 794 709 837 691 768 688 804 789 839 794 702 722 780 822 796 717 852 775 850 755 807 682 842 722 702 761 748 815 724 765 698 727 788 699 733 735 732 754 757 851 763 774 855 691 837 701 716 763 805 840 833 853 705 787 830 805 855 787 823 741 809 742 691 771 832 697 818 748 738 815 697 768 818 852 762 775 774 755 855 732 838 776 826 742 728 718 791 834 679 836 767 810 744 804 802 733 756 698 761 705 721 707 678 854 731 728 843 755 708 778 696 719 846 782 751 718 692 751 856 847 859 798 852 796 777 723 827 814 724 714 779 750 799 829 711 684 785 788 727 688 810 804 837 845 701 735 802 832 838 806 703 684 711 690 783 741 823 724 698 705 725 710 841 759 828 738 823 809 859 741 735 752 836 778 719 726 740 854 777 839 793 742 771 704 731 695 693 840 722 842 809 745 859 815 738 807 763 843 708 740 808 837 781 822 749 847 853 859 828 759 760 710 786 841 688 776 810 700 696 819 797 709 691 789 778 680 712 767 811 855 828 787 832 802 697 817 735 741 748 681 820 755 774 763 806 735 817 776 838 694 716 805 705 791 694 825 677 760 769 692 834 792 705 849 787 689 720 744 727 831 848 793 680 841 743 690 835 781 749 859 842 702 843 770 757 769 764 846 845 731 693 826 811 753 772 721 831 727 744 818 804 833 823 859 775 807 780 805 849 705 681 753 743 744 832 818 792 834 773 677 713 760 845 846 701 745 730 859 826 746 797 766 715 689 706 824 690 785 727 848 759 738 820 802 756 697 689 810 821 767 719 811 786 723 793 808 792 773 724 784 765 800 764 845 808 726 854 758 776 694 849 805 787 678 816 831 822 817 796 764 782 846 720 832 744 681 851 820 767 836 719 847 722 853 690 824 835 853 833 859 714 705 687 755 682 855 784 813 772 808 740 726 822 717 856 721 678 831 755 763 708 731 826 728 751 771 701 786 686 723 694 838 703 820 851 770 720 745 752 805 763 855 761 762 705 825 703 800 678 700 819 818 768 804 816 678 819 808 854 792 781 715 766 794 777 795 807 843 780 754 681 743 757 754 835 798 842 716 692 718 834 854 844 792 721 727 747 832 720 752 711 685 706 738 828 682 829 811 699 705 830 687 722 840 853 806 782 764 732 735 838 696 700 719 738 748 736 680 778 803 781 720 715 790 680 803 844 692 792 812 790 725 807 755 843 679 767 683 719 707 747 731 740 695 736 748 820 753 829 684 693 746 826 817 783 796 789 696 778 860 724 814 743 684 690 773 800 845 778 836 803 786 710 686 776 758 821 753 684 743 689 718 782 713 677 739 762 807 775 779 796 750 698 765 681 758 694 791 783 798 796 809 741 752 795 777 734 754 743 835 810 776 821 713 739 787 785 685 788 763 842 843 783 823 833 824 757 835 834 791 825 760 759 769 788 829 699 733 688 768 712 811 772 766 817 822 813 784 860 735 733 802 762 852 705 753 811 829 813 683 712 715 720 689 723 777 793 733 732 688 782 718 751 844 742 704 750 780 799 838 735 806 717 796 779 720 781 745 681 765 753 733 768 756 807 738 682 813 712 772 771 844 704 692 771 751 739 857 787 850 780 750 837 808 845 753 765 772 828 713 787 724 705 714 781 730 745 717 847 856 817 741 783 851 757 770 693 695 858 748 698 681 742 797 691 765 784 772 784 724 860 780 722 799 794 737 819 788 711 829 685 711 788 844 854 728 842 763 716 680 812 729 811 719 747 740 837 709 798 783 833 746 693 858 787 857 830 738 736 820 756 768 697 812 725 729 761 815 807 707 700 678 681 754 851 737 794 795 689 744 810 806 766 782 771 691 701 742 844 728 761 698 748 803 679 801 759 820 770 723 686 827 773 825 800 749 822 856 786 793 841 695 740 709 798 716 705 858 709 797 796 850 750 847 779 799 852 798 705 800 806 764 725 790 801 812 680 790 781 766 822 695 709 858 789 794 819 796 852 850 843 702 780 973 886 984 924 946 921 873 889 897 867 977 912 871 863 988 863 871 877 908 875 957 906 878 873 901 948 960 931 909 913 905 910 875 940 865 967 864 888 990 952 984 924 880 881 932 910 956 926 910 936 967 948 864 975 876 954 890 964 920 927 905 909 910 897 889 963 918 943 974 938 923 969 884 865 937 866 932 968 960 925 885 987 962 896 884 919 865 916 940 981 916 981 989 935 973 899 987 950 962 865 937 898 946 983 970 930 888 922 940 949 981 901 960 891 909 936 910 979 878 906 948 901 891 978 896 980 867 912 955 975 886 973 867 934 945 919 917 865 934 954 907 943 961 974 864 886 975 956 917 882 975 973 953 933 919 884 881 880 872 874 872 928 933 871 988 881 915 932 945 934 907 924 933 988 976 943 879 979 886 941 952 924 988 861 979 941 936 931 911 877 938 969 887 869 964 863 952 988 882 917 921 943 963 879 967 936 972 880 985 989 954 867 955 865 917 967 895 954 970 875 910 926 946 924 983 899 984 952 886 979 984 864 861 941 947 864 971 976 960 929 929 960 885 959 895 970 925 960 893 936 911 972 878 862 873 908 931 875 957 874 982 891 976 879 985 914 989 861 864 990 893 948 942 964 932 870 939 864 971 950 954 895 932 965 968 930 888 958 958 939 900 960 948 893 896 962 980 944 981 982 867 945 883 905 909 913 987 896 961 979 918 974 942 935 863 917 956 967 979 974 978 977 968 912 985 932 914 953 973 935 889 873 966 982 874 928 888 939 864 916 914 989 915 986 965 895 959 962 888 922 990 873 958 900 871 884 923 979 906 963 916 914 898 911 944 982 933 924 921 906 873 897 872 957 926 948 947 864 914 932 898 932 937 898 981 982 989 984 978 980 940 949 967 986 915 902 872 880 868 889 966 891 911 908 982 956 910 967 931 911 908 922 930 990 893 877 969 939 971 900 908 957 982 863 935 899 947 904 971 886 864 941 873 966 904 974 896 978 943 976 961 985 880 932 862 903 990 982 928 868 869 920 964 957 875 926 861 903 979 888 939 958 986 892 882 867 883 977 893 942 877 915 881 872 923 964 969 942 863 877 931 936 909 948 975 953 902 872 892 871 933 884 956 892 926 971 904 900 918 979 963 906 897 963 966 904 891 942 953 935 903 861 990 954 955 970 902 915 872 919 933 921 907 954 876 863 899 952 899 973 984 947 948 891 915 965 932 911 944 949 880 989 868 942 948 953 930 958 873 950 895 962 866 968 977 960 976 891 894 986 882 986 902 892 871 923 938 990 930 873 884 937 923 873 904 900 949 944 981 871 938 877 890 954 950 949 967 972 959 984 980 913 905 875 923 937 932 983 959 970 968 946 912 984 979 978 903 862 979 924 984 983 951 964 870 898 865 940 916 898 940 962 959 980 946 882 921 964 927 969 963 889 879 911 949 972 965 986 968 931 913 875 887 964 951 862 990 873 928 872 868 917 919 921 912 946 955 894 946 968 867 954 934 904 947 891 892 956 882 892 872 926 945 907 876 894 882 946 961 896 974 976 987 961 889 891 879 862 878 979 986 894 968 874 957 872 923 932 964 955 946 970 943 918 963 989 982 868 983 984 959))
           (list :vertices #2f((24.691000 137.998001 -24.464001)(-4.483000 95.431999 -177.054001)(-34.747002 57.998001 -245.781998)(34.742001 57.998001 -254.220001)(-26.009501 60.498001 -226.960999)(-34.747002 67.998001 -247.211990)(18.897699 87.232002 -90.308899)(-26.582001 137.998001 22.770000)(-43.425999 62.724003 -146.548996)(-28.073999 62.549004 -45.339001)(-56.496002 69.824005 -217.583008)(-37.904003 118.998001 -252.736008)(-63.614002 76.180000 -181.589005)(-13.686001 67.998001 -217.787003)(-26.848999 60.718998 -132.272003)(-0.383994 116.163002 -150.123993)(-10.009000 71.889000 -216.485001)(6.675010 39.997997 35.571999)(27.924999 74.413002 -21.615000)(-60.132000 82.101006 -125.615997)(-32.237000 61.986000 -222.914001)(-13.414001 131.889999 -32.243000)(-58.171997 70.998001 -216.031998)(-23.212000 102.998001 -223.802994)(-32.318001 137.998001 13.442000)(29.084002 80.150002 -39.743999)(34.348999 95.468994 -22.390001)(20.278000 39.997997 -28.527000)(-31.137001 61.966000 -183.063004)(-12.418000 71.588005 -214.274002)(-0.001999 131.398010 -285.001007)(-34.747002 102.998001 -245.781998)(36.176998 137.998001 4.287980)(6.671020 137.998001 35.572998)(-18.037500 102.998001 -219.216995)(16.862999 71.425995 -72.385994)(-25.451399 87.376801 -273.670990)(-15.210000 119.156006 -211.406006)(-4.762300 79.113106 -215.472000)(34.981003 39.997997 10.695001)(-42.263000 117.494003 -250.093994)(-31.886999 120.562004 -23.395000)(-12.342999 95.400002 -207.617996)(-13.446000 137.998001 -32.315998)(-51.438999 66.625000 -221.282013)(31.539001 110.115997 -19.935001)(-37.981998 121.459999 -248.768997)(-26.009501 115.038002 -273.041016)(-29.836000 62.070000 -226.615997)(-27.137798 67.998001 -226.881989)(25.406000 118.765999 -24.321999)(-14.708000 120.982002 -189.503998)(21.021999 71.630997 -55.785000)(-59.938999 107.882996 -232.469009)(-3.025000 81.940002 -169.916000)(-61.919998 118.998001 -181.429001)(-11.984700 102.998001 -217.042999)(-39.489002 94.998001 -11.609000)(-29.405201 79.594101 -268.743011)(35.785999 94.414001 -5.815010)(23.206999 131.398010 -223.802994)(-69.103004 94.998001 -182.110001)(-34.356003 71.197998 -27.100000)(-64.813004 81.788002 -161.050003)(-57.070999 107.012001 -239.237991)(33.206001 39.997997 14.952999)(-33.606998 112.585999 -9.022010)(-62.008999 108.246002 -138.660995)(-14.552600 70.423096 -212.953995)(-2.802990 39.997997 -34.889000)(-20.492300 97.320099 -278.075989)(-54.797600 123.013000 -204.317001)(-22.510000 65.504997 -205.290009)(-11.532001 107.587997 -210.270996)(29.417999 110.682007 -35.372002)(-34.747002 69.458801 -252.902008)(-30.767500 62.997997 -233.854996)(-23.522999 64.305000 -197.932007)(-59.351002 94.998001 -107.759003)(-34.471901 67.998001 -244.666000)(-38.327000 61.911999 -178.263000)(-45.077000 69.404999 -241.524002)(-35.080997 127.396004 -235.406998)(-6.141410 75.616096 -215.678009)(36.302002 39.997997 -1.659000)(19.976000 67.373001 -37.928997)(-32.318001 39.997997 13.443000)(-52.092999 81.129997 -246.067001)(-32.823002 128.473999 -230.848999)(-58.412998 119.945000 -185.261993)(-22.497000 49.998001 -205.290009)(-30.767500 117.197998 -266.146973)(-12.684000 69.286003 -184.201004)(31.480000 79.375999 -16.907001)(-47.487999 117.420998 -243.610001)(-12.724000 76.705002 -209.544998)(-32.728001 131.398010 -237.589996)(-42.757999 66.913597 -236.410004)(8.051020 129.972000 -33.797001)(-1.488000 108.845001 -164.171997)(-29.146999 62.151001 -185.727997)(-23.427000 127.180992 -25.713001)(-33.422703 102.998001 -259.593018)(29.564001 113.643997 -19.587999)(-35.603001 49.998001 -179.335999)(-37.154999 128.007996 -229.004990)(-30.403700 67.997902 -233.160995)(-22.772999 62.583000 -26.579000)(31.876001 80.174995 -16.157999)(-67.456001 94.998001 -160.677994)(-13.229000 75.809006 -198.349991)(-68.758003 70.998001 -233.304001)(-22.362999 127.684998 -175.339996)(-5.160710 85.313004 -177.316986)(-0.003000 57.997902 -285.001007)(-13.220000 82.739998 -204.899002)(-56.819000 119.225006 -155.360992)(-68.483002 88.411003 -182.050003)(18.146999 124.709999 -29.694000)(-4.190500 117.197998 -215.509995)(-22.774000 39.997997 -26.580000)(-29.787199 62.997997 -231.987000)(28.802000 131.398010 -269.882996)(-65.790001 107.965996 -170.225998)(-11.575999 95.397003 -209.182999)(-37.625999 123.667999 -244.666992)(-28.859001 102.998001 -225.278000)(10.490000 87.221504 -122.879997)(32.723000 57.998001 -237.589996)(-49.463001 94.998001 -56.063000)(-56.871002 76.153000 -232.179001)(36.247002 137.998001 0.979982)(-37.261002 115.569000 -257.471008)(-60.238998 70.998001 -194.582993)(-55.470001 70.734001 -144.384995)(-31.012001 49.998001 -182.965988)(15.328000 65.529999 -54.574001)(-32.728001 57.998001 -237.589996)(-22.266001 67.998001 -223.149994)(-21.233000 63.600002 -183.487000)(33.541000 95.485001 -31.702999)(1.168020 137.998001 36.003002)(-20.441599 67.998001 -221.891006)(-33.142998 62.024002 -221.268005)(-27.205000 49.998001 -190.725006)(-61.707001 88.403999 -232.637009)(-34.889999 39.997997 2.798990)(-34.605999 107.635994 -265.703003)(-24.551001 126.403999 -214.159988)(-73.567001 118.998001 -182.531998)(-41.227001 62.847004 -226.878006)(-23.525101 99.516304 -275.846008)(-51.972000 117.360001 -236.619995)(-22.774000 137.998001 -26.580000)(-4.855000 95.383003 -215.339005)(-1.400000 74.005997 -154.100006)(-22.563000 65.247002 -201.418991)(34.742001 57.998001 -245.781998)(-66.232101 84.976700 -170.418991)(32.723000 57.998001 -262.412018)(-10.689000 115.532005 -213.534988)(-12.323500 65.977097 -217.513992)(2.578000 65.320999 -104.061996)(-54.341000 94.998001 -247.534012)(-3.516000 66.757004 -136.938004)(-20.283001 39.997997 28.524000)(-41.250999 62.174000 -177.899994)(20.278000 123.345001 -28.527000)(-30.053001 70.436996 -17.042999)(-31.985901 102.998001 -236.175995)(-59.887001 82.039993 -232.464005)(-35.803001 108.542000 -8.591010)(-16.268000 131.398010 -280.992004)(-62.368999 70.998001 -202.089996)(-45.613201 121.730003 -237.229004)(23.298000 39.997997 28.255999)(-17.449001 120.255997 -202.052994)(-29.189600 102.998001 -269.154022)(-18.004000 62.997997 -220.208008)(-57.021698 121.278999 -192.606003)(-40.036999 124.840996 -238.720001)(31.544001 39.997997 -16.125000)(-28.806999 67.998001 -230.119003)(8.373000 57.998001 -216.018005)(-68.758003 118.998001 -233.305008)(-62.368999 49.998001 -202.089996)(-34.747002 57.998001 -254.220001)(-2.121340 98.103096 -215.257996)(-34.747002 60.863201 -250.001007)(-54.278000 117.225998 -231.932999)(-33.965801 102.998001 -257.389984)(-49.667999 120.374001 -109.996002)(-31.734999 61.630001 -165.797989)(-8.120001 74.264999 -215.957001)(-47.715000 64.629005 -222.981003)(18.239000 39.997997 -29.872000)(-14.243000 63.066998 -151.789001)(28.802000 57.998001 -230.119003)(-50.044102 123.164993 -226.154999)(-36.480999 67.998001 -249.142014)(-32.728001 76.339699 -262.412018)(-19.740000 62.997997 -221.405991)(17.841000 39.997997 31.750999)(-17.073000 70.427002 -205.293991)(35.751999 93.403000 -5.996010)(-8.135980 137.998001 34.439003)(-2.121570 85.601906 -215.257996)(-31.908001 128.858994 -223.878998)(-19.740099 60.498001 -221.405991)(-3.658910 99.190506 -215.317001)(-29.427599 80.874298 -268.700989)(-47.357002 63.100002 -178.521011)(-22.834000 65.247002 -207.673996)(27.101000 116.798996 -22.507999)(8.484000 71.361000 -105.371994)(-26.009501 62.997997 -226.960999)(16.263000 131.398010 -219.009995)(-22.508999 63.298000 -219.382996)(-37.131001 69.195999 -250.607010)(10.684999 62.075001 -33.096001)(22.973999 69.154999 -26.467999)(-13.446000 39.997997 -32.315998)(-28.806999 131.398010 -230.119003)(-66.634995 82.059006 -181.875000)(-58.243198 88.352501 -108.554001)(-52.112999 65.169998 -181.323013)(-11.431399 102.998001 -217.176010)(-16.720001 61.014999 -30.618000)(17.841000 137.998001 31.750002)(-58.648003 118.944000 -171.065994)(23.357000 111.167000 -65.049004)(-23.403000 49.998001 -197.539001)(-31.195999 62.565998 -61.855000)(33.571999 83.600998 -12.943000)(-33.737499 60.498001 -241.686005)(-2.018000 95.441002 -169.714996)(35.700001 97.404999 -6.256000)(-30.235001 120.279999 -17.473999)(-34.819000 62.778004 -234.910004)(-50.569000 64.368004 -180.087997)(-35.317997 129.524002 -173.813004)(-33.232700 62.997997 -239.638000)(-34.325001 67.998001 -255.932007)(-19.773001 124.948997 -217.628006)(23.298000 137.998001 28.255999)(-33.141098 73.015800 -260.735992)(18.239000 137.998001 -29.872000)(35.015999 88.124001 -9.014020)(-67.271004 106.210999 -181.935989)(-9.162001 83.195000 -212.779007)(-66.375999 81.721001 -179.787003)(-66.541000 107.900002 -181.867004)(-44.275002 124.806000 -232.673996)(-25.378000 127.937004 -221.716003)(35.402000 39.997997 -7.473010)(-28.827000 128.679001 -225.307007)(-33.737499 61.752399 -258.316010)(-6.972000 95.423996 -184.465012)(-6.163000 67.844002 -153.244003)(5.686010 117.233002 -121.784004)(-34.747002 117.197998 -250.001007)(-11.416000 95.416000 -197.054993)(-29.996101 102.998001 -230.341995)(-34.747002 131.398010 -254.220001)(-0.001995 131.398010 -215.001007)(-13.388000 60.518997 -32.170002)(-44.032001 63.160999 -223.615005)(-28.339001 62.313000 -188.136002)(12.103000 95.510994 -123.116005)(-33.737499 65.506897 -258.316010)(-10.933000 121.114998 -176.686996)(-11.323000 130.169006 -118.161995)(-25.376801 102.998001 -226.246994)(-52.157001 49.998001 -181.269012)(-46.622002 126.471001 -220.648010)(-33.509197 102.998001 -240.759995)(-31.745602 102.998001 -235.718002)(-28.806999 131.398010 -269.882996)(-37.903000 129.410004 -188.399994)(-8.802999 95.418999 -189.770004)(-23.212000 131.398010 -276.199005)(-23.212000 131.398010 -223.802994)(-10.797000 115.038002 -189.686005)(-38.506500 76.452599 -256.683990)(-43.563000 80.983002 -256.572998)(-14.746000 67.998001 -216.628006)(-34.747002 67.998001 -246.740005)(-52.940998 65.598999 -181.985001)(-21.122000 125.929993 -218.412003)(-28.228800 102.996994 -270.536011)(-9.605000 108.348000 -189.740997)(-10.830000 62.657997 -135.477005)(-57.231003 49.998001 -190.235001)(-16.268000 67.998001 -219.009995)(9.158010 110.450996 -122.524002)(-33.230000 75.663002 -10.959001)(-48.554001 94.998001 -255.300995)(32.042000 109.598000 -15.830001)(-62.309998 94.998001 -232.694000)(-41.496002 62.805698 -225.134003)(-61.712997 101.572998 -232.638000)(-42.424999 94.998001 -23.232000)(-51.395000 69.560997 -231.296997)(1.168010 39.997997 36.003002)(13.471800 126.914993 -32.658001)(-41.232998 49.998001 -177.737991)(-9.391000 111.495003 -213.179001)(1.542020 131.335007 -60.323997)(-29.873001 39.997997 -18.243000)(-23.114000 62.375000 -29.340000)(-46.948997 107.107002 -253.978012)(-19.611099 67.998001 -221.316986)(-29.514999 62.234001 -218.869003)(-6.537990 60.086002 -34.224998)(-36.281998 49.998001 -222.720001)(1.730010 72.866997 -137.987000)(35.410000 90.420998 -7.473010)(-25.098999 132.149002 -115.227997)(-16.895000 128.882004 -147.054001)(26.924999 95.530006 -64.763000)(-45.697998 108.799004 -50.091999)(-55.698997 67.250999 -185.688004)(-29.339199 67.998001 -268.869019)(-30.131399 67.998001 -232.641998)(12.176000 39.997997 34.200001)(-54.764000 94.998001 -83.718002)(-34.747002 102.998001 -247.696991)(-33.558399 102.998001 -259.042999)(22.954000 121.125000 -26.485001)(10.922000 62.035004 -36.125999)(-53.096500 122.945000 -213.171005)(-19.740000 117.197998 -221.405991)(-7.637000 82.319000 -184.610001)(-36.206001 81.192001 -10.436000)(-28.806999 57.998001 -230.119003)(-44.547001 82.570000 -41.831001)(16.360001 95.521004 -106.936996)(-46.303001 62.916004 -178.325989)(-44.694000 62.771999 -163.934006)(35.787998 95.440002 -5.803010)(1.094000 81.086998 -154.548004)(-52.737000 70.998001 -231.787003)(16.263000 131.398010 -280.992004)(-30.324100 102.998001 -233.009995)(-30.596399 102.996994 -269.722015)(-57.231003 68.226997 -190.235001)(31.544998 137.998001 -16.125000)(2.275000 95.455002 -156.935013)(8.115010 39.997997 -34.047001)(-24.610800 62.997997 -225.382004)(29.164000 76.123001 -21.844000)(-8.379001 102.998001 -216.018005)(-12.005700 102.998001 -216.492004)(-5.627000 83.378998 -215.459000)(-23.212000 98.677299 -276.199005)(-28.806999 102.996994 -269.882996)(-21.640800 102.998001 -221.423996)(-12.323500 117.197998 -217.513992)(-34.038998 106.035004 -266.809998)(8.374010 131.398010 -216.018005)(-39.448002 108.685005 -21.917000)(28.642000 115.010002 -20.859999)(-59.516998 70.998001 -181.200989)(-35.564999 128.968994 -217.398010)(-26.485001 62.779003 -215.758987)(24.691000 39.997997 -24.464001)(-49.703503 123.370995 -227.009003)(36.247002 39.997997 0.979986)(-19.965200 92.158699 -278.440002)(-47.993000 126.463997 -172.319992)(-34.141800 67.998001 -239.829010)(-8.840170 67.998001 -216.193008)(35.507999 99.208000 -7.139010)(-13.113999 108.057999 -201.813995)(-8.379001 57.998001 -283.984009)(-29.842001 80.358002 -268.227020)(-37.778000 122.726997 -246.416000)(-14.422500 102.998001 -218.309998)(-2.816990 60.072998 -34.888000)(25.148001 73.194000 -38.959999)(-37.125999 124.812996 -242.160004)(-45.625000 94.998001 -258.457977)(-51.386700 122.740997 -222.060989)(29.473000 76.419006 -19.718000)(-16.924999 122.882004 -215.977005)(-33.653000 94.998001 -269.585022)(-25.697001 62.902004 -192.739990)(-18.954800 102.998001 -220.864990)(33.408001 106.873001 -13.306999)(-0.002996 57.998001 -215.001007)(-34.747002 102.998001 -249.046997)(-8.795000 75.514999 -184.516998)(-32.193798 67.998001 -236.571991)(-5.313000 108.448997 -177.351990)(-34.747002 69.217300 -252.548996)(-33.737499 117.197998 -258.316010)(-46.465000 94.998001 -41.529999)(20.761000 95.531998 -90.212006)(-31.071600 69.944595 -265.567993)(-40.674000 107.180000 -260.583984)(-47.487000 124.697998 -226.703995)(34.742001 131.398010 -245.781998)(29.163000 95.530006 -55.520000)(-64.110001 108.080002 -154.199997)(-56.917999 108.547005 -108.452995)(34.981003 137.998001 10.695001)(-16.268000 131.398010 -219.009995)(-54.430000 70.998001 -227.972992)(-8.816000 106.050003 -213.037994)(-43.979900 120.915001 -241.307999)(-12.316000 82.473999 -198.330994)(-28.931000 94.998001 -272.989990)(-57.094002 70.389999 -162.154999)(-12.323500 61.987499 -217.513992)(-4.151470 74.847198 -215.505005)(18.876999 137.998001 31.087000)(-60.238998 49.998001 -194.582993)(-34.747002 102.998001 -247.211990)(-18.283199 92.446899 -279.644989)(-16.268000 102.998001 -219.009995)(-59.218998 119.501999 -181.031998)(7.499000 95.485001 -139.004013)(-35.583000 63.091003 -236.660004)(-33.834000 67.998001 -232.696991)(-37.880001 67.998001 -246.960999)(-34.048000 39.997997 -8.119010)(-27.767000 62.132000 -224.056000)(5.089000 80.155998 -138.658997)(-27.461000 127.109009 -202.654999)(-38.543999 128.685989 -112.364998)(-38.988998 129.258011 -203.352005)(-50.376003 126.442001 -204.039001)(23.206999 57.998001 -223.802994)(-33.750298 72.506500 -258.264008)(-12.814000 133.369995 -57.215000)(20.104000 123.113998 -33.553001)(23.206999 57.998001 -276.199005)(-62.692001 81.935005 -143.085999)(-8.379001 131.398010 -216.018005)(-20.283001 137.998001 28.524000)(-34.887001 98.268997 2.797990)(-20.362900 101.281998 -278.165985)(-49.958000 126.383003 -187.823990)(-56.938999 70.998001 -220.732010)(-26.009501 117.197998 -226.960999)(-44.032997 49.998001 -223.626007)(8.237010 61.996002 -53.063000)(-5.014990 122.031006 -149.263000)(-58.696999 70.235001 -180.421997)(-32.963997 102.998001 -268.908997)(-32.728001 131.398010 -262.412018)(-34.747002 67.998001 -249.231003)(-35.719200 102.998001 -253.001984)(-19.043001 65.293999 -217.115997)(-26.644501 102.996994 -272.324005)(14.030000 123.919998 -63.028999)(-34.747002 102.998001 -254.220001)(-32.728001 102.998001 -262.412018)(-30.429001 130.789993 -144.536011)(-33.023201 73.114296 -261.213989)(23.206999 131.398010 -276.199005)(-36.313499 67.998001 -248.096008)(-55.771000 69.714005 -220.432999)(-62.362999 94.998001 -125.247002)(-34.747002 67.998001 -252.600998)(-61.464001 49.998001 -209.841003)(4.284010 62.021000 -69.631004)(-24.783001 102.996994 -274.717010)(-34.827999 94.998001 3.488990)(-2.403990 102.998001 -215.292999)(-68.189003 94.998001 -170.105988)(-30.767500 117.197998 -233.854996)(-73.567001 70.998001 -182.531998)(-2.828100 78.269196 -215.343994)(-15.557000 67.998001 -215.638000)(-65.008995 111.447998 -181.721008)(-32.042400 76.888206 -263.718018)(-25.962999 94.998001 -275.100006)(-38.987000 62.292000 -223.390991)(-34.889999 137.998001 2.798980)(-21.492100 92.591400 -277.554016)(-17.284000 94.997002 -280.436005)(3.933000 95.464996 -151.244995)(11.026999 65.356003 -71.107002)(-29.873001 137.998001 -18.243000)(-37.184998 65.270996 -242.164993)(-36.717197 62.616901 -228.912003)(-23.212000 57.998001 -223.802994)(-4.680000 75.051003 -169.678009)(-8.379001 131.398010 -283.984009)(3.581010 60.637001 -34.816998)(-26.009501 72.687401 -273.041016)(31.319998 111.039001 -17.164000)(27.792000 137.998001 24.268000)(-35.656002 61.842999 -179.450012)(-37.349998 62.605999 -95.198997)(-13.700000 60.007999 -65.688995)(-15.533999 71.067001 -210.268997)(-26.582001 39.997997 22.771000)(-18.932701 67.998001 -219.552002)(2.111000 109.419998 -150.588013)(-32.859001 130.041000 -159.176010)(-57.661999 49.998001 -216.656006)(-40.722000 82.089996 -25.833000)(-38.299004 121.013000 -51.695000)(-63.341000 119.186996 -232.981003)(-58.002201 120.438004 -187.438004)(-68.641998 100.681999 -182.065002)(-20.842999 60.113998 -98.861000)(16.263000 57.998001 -219.009995)(-58.827999 94.998001 -240.143005)(-14.048000 114.524002 -201.854004)(-21.795000 94.998001 -277.774994)(-54.701000 119.632996 -140.020996)(-34.932899 102.998001 -241.309006)(-32.728001 67.998001 -237.589996)(27.792000 39.997997 24.268000)(35.502998 137.998001 -7.161010)(-30.624300 67.998001 -266.420013)(33.206001 82.862000 -13.636001)(12.978000 78.931999 -106.367996)(20.278000 66.840004 -28.527000)(-47.047001 49.998001 -178.416992)(-24.627001 49.998001 -212.796997)(25.455000 71.585999 -24.275000)(-8.816000 102.998001 -213.037994)(-36.116001 111.791000 -261.822998)(-0.148996 95.446999 -164.149994)(-48.222000 71.567001 -92.785004)(19.315001 118.086998 -64.172997)(-49.442001 94.998001 -254.343994)(-34.747002 67.998001 -250.642990)(-6.925000 102.998001 -214.238998)(-27.636002 62.453003 -190.236008)(12.177000 137.998001 34.200001)(32.723000 131.398010 -262.412018)(8.041010 61.540001 -33.737000)(-55.896999 70.998001 -224.066010)(-30.767401 60.498001 -233.854996)(-23.212000 67.998001 -223.802994)(25.389000 79.096001 -56.713997)(-2.801980 137.998001 -34.889000)(31.112000 137.998001 19.976000)(-33.737499 62.997997 -241.686005)(-16.268000 57.998001 -219.009995)(-42.035999 62.669003 -129.233994)(-44.452000 126.286995 -226.533997)(-34.325996 81.157997 -5.342010)(-16.665001 69.749001 -198.437012)(-29.484701 65.034004 -226.684998)(-43.042500 123.603004 -236.990997)(-29.117300 70.681404 -269.291992)(-9.064500 74.696503 -215.134995)(-15.193200 67.998001 -218.602005)(36.176998 39.997997 4.287990)(-25.577999 127.553001 -188.988007)(-35.087002 102.998001 -235.404999)(-37.010101 109.485001 -262.434998)(-53.931000 68.025002 -219.959000)(-24.351002 63.565998 -195.195999)(8.373000 57.998001 -283.984009)(-30.964001 102.996994 -270.424011)(-8.379001 57.998001 -216.018005)(-37.625999 117.516998 -254.781006)(-6.535840 74.148003 -215.793991)(-61.918999 116.224998 -181.427994)(-12.538000 102.998001 -217.595001)(-61.464001 70.998001 -209.841003)(8.374010 131.398010 -283.984009)(-7.807990 121.490005 -163.166992)(-32.728001 57.998001 -262.412018)(31.112000 39.997997 19.976000)(-9.834000 77.056999 -213.119003)(-36.792000 125.578003 -240.487991)(28.802000 57.998001 -269.882996)(-34.747002 70.390594 -254.220001)(-4.980400 88.685997 -177.374008)(28.802000 131.398010 -230.119003)(-29.338001 61.197002 -149.078995)(-26.927500 87.678001 -272.574005)(-34.747002 131.398010 -245.781998)(-33.737499 117.197998 -241.686005)(-33.397102 67.998001 -259.696991)(-16.268000 57.998001 -280.992004)(-33.077797 102.998001 -263.984009)(-23.212000 57.998001 -276.199005)(-43.659000 127.535004 -142.076004)(-13.038000 118.998001 -214.306992)(-39.228001 72.167999 -42.965000)(-5.196000 102.998001 -215.388992)(-31.983000 61.887001 -181.930008)(-8.910000 107.253998 -213.060013)(-8.943000 68.842003 -169.065002)(31.961002 95.500999 -40.298000)(-56.968998 113.801003 -232.188004)(-51.194798 122.622993 -223.052002)(18.875999 39.997997 31.087999)(21.367001 78.951004 -73.373001)(34.882999 102.448997 -9.452009)(-28.044701 67.998001 -229.259003)(-66.892899 88.315498 -170.418991)(-8.724999 95.389999 -212.539993)(33.808998 39.997997 -12.393000)(-3.402000 115.569000 -163.867996)(-6.693000 77.352005 -215.647995)(-52.437000 107.055000 -246.858994)(-21.729401 67.997902 -277.222015)(-10.127000 60.007999 -49.157001)(-17.612001 63.435001 -167.830002)(-19.535999 128.174011 -161.298004)(-24.905100 102.998001 -225.714005)(-29.834000 120.931000 -18.209000)(-9.214990 39.997997 34.257999)(-28.806999 83.364799 -269.882996)(-33.234001 74.780304 -260.358978)(-34.747002 63.728401 -250.001007)(-26.806000 129.703003 -54.184002)(-34.747002 67.998001 -245.781998)(-37.880001 102.998001 -246.960999)(24.673000 95.530998 -74.060997)(-53.559002 71.121002 -126.929001)(-33.450001 80.718002 -265.710999)(-2.791980 132.617996 -34.791000)(-55.787998 49.998001 -185.860001)(-10.007000 113.411003 -213.347000)(-19.806999 102.998001 -217.570007)(33.206001 137.998001 14.952999)(-42.346100 119.877007 -245.385010)(-72.016998 119.053001 -182.330002)(-29.468000 49.998001 -218.917999)(-22.862000 126.750008 -219.763000)(-34.100998 61.824001 -180.268997)(-54.037003 82.290001 -91.491997)(-24.636000 67.998001 -221.067993)(-13.985000 76.268997 -204.968002)(-36.966000 102.998001 -258.815002)(-31.474798 102.998001 -235.201996)(-3.702990 62.146999 -102.663002)(25.371000 117.444000 -34.582001)(-32.728001 102.998001 -237.589996)(-28.160000 49.998001 -188.076996)(-12.033999 82.993004 -209.343002)(-36.910999 114.414001 -258.801025)(32.014500 87.671303 -31.062000)(-36.327999 62.118000 -222.572998)(35.595997 91.500000 -6.749010)(34.742001 131.398010 -254.220001)(-42.229000 71.953995 -59.438000)(-35.454998 94.998001 -268.032013)(32.723000 131.398010 -237.589996)(-28.332001 102.996994 -272.309998)(-12.348000 95.409996 -201.830002)(16.263000 57.998001 -280.992004)(-12.303000 113.728004 -210.532990)(-47.727001 82.469002 -58.233997)(-24.834999 62.582001 -221.237000)(-45.891003 126.901001 -157.100998)(32.223000 82.122002 -22.379999)(0.710010 123.014999 -120.723999)(-54.427097 119.498001 -232.738007)(-25.205000 63.491001 -213.649002)(-58.845299 119.508995 -182.979004)(-28.806999 102.998001 -230.119003)(-21.729401 102.996994 -277.222015)(8.116010 137.998001 -34.047001)(-65.190002 94.998001 -142.662003)(-58.674999 81.240997 -234.455002)(-24.375900 102.998001 -225.117004)(-10.793000 70.916000 -216.705994)(-24.362000 63.959003 -212.259995)(-34.048000 137.998001 -8.119020)(-51.541000 49.998001 -221.496002)(-31.210899 102.998001 -265.302979)(-6.759990 115.158997 -177.180008)(-42.183998 94.998001 -262.166992)(-28.806999 57.998001 -269.882996)(-42.890999 62.320000 -177.697006)(24.691000 137.998001 -24.464001)(29.654600 149.998001 22.112700)(-26.582001 137.998001 22.770000)(-1.197130 156.998001 31.157801)(-27.740900 156.998001 -4.677500)(-16.963299 156.998001 -80.802200)(-32.318001 137.998001 13.442000)(29.152199 156.998001 -2.663030)(36.176998 137.998001 4.287980)(6.671020 137.998001 35.572998)(-13.446000 137.998001 -32.315998)(22.770000 182.496994 -223.422012)(-35.806400 189.498001 -229.341995)(36.158401 149.998001 -3.320590)(-22.774000 137.996994 -276.580017)(-26.961901 189.498001 -258.687988)(-1.318000 182.500000 -284.774994)(34.044003 182.496994 -241.882996)(8.116000 182.496994 -284.049988)(16.992100 156.998001 25.463301)(1.314000 182.497986 -215.228012)(-33.792000 149.998001 -20.934000)(28.199701 156.998001 8.544570)(20.818399 156.998001 23.010799)(-29.873001 137.998001 -268.242004)(-26.714800 156.998001 -119.630997)(34.044003 137.996994 -241.882996)(-24.383699 184.358002 -272.410980)(-39.966000 137.998001 -60.476002)(36.247002 137.998001 0.979982)(23.780600 156.998001 19.846800)(-19.054399 154.030991 -101.490997)(18.239000 137.996994 -279.870972)(1.168020 137.998001 36.003002)(36.309498 149.998001 1.535790)(-32.536102 149.998001 11.096000)(19.088799 137.991989 -32.389801)(-22.774000 137.998001 -26.580000)(-38.906601 189.498001 -221.182999)(-15.277000 137.998001 -102.991997)(-57.883301 182.497986 -162.330994)(-27.769600 189.498001 -250.155991)(-11.719700 156.998001 26.320400)(-21.649700 189.500000 -207.320007)(31.982399 149.998001 18.322001)(-27.399199 156.998001 -123.236000)(11.879500 149.998001 34.297897)(-33.792000 137.998001 -20.934000)(-8.135980 137.998001 34.439003)(18.202599 184.285995 -277.552002)(34.206902 149.998001 13.217199)(-13.268900 189.496994 -276.946991)(-3.263980 150.000000 35.670998)(-36.005501 189.134003 -179.116989)(-3.457810 189.496994 -281.248993)(22.770000 137.996994 -223.422012)(13.442000 137.998001 -217.686005)(17.841000 137.998001 31.750002)(-11.002001 137.998001 -216.774994)(-2.960950 156.998001 -32.710999)(23.298000 137.998001 28.255999)(-1.128870 156.998001 -45.939098)(18.239000 137.998001 -29.872000)(18.239000 182.496994 -279.870972)(-16.334999 137.998001 -201.244003)(-22.774000 182.496994 -276.580017)(27.758499 156.998001 -7.774090)(-14.404901 189.500000 -218.376999)(-24.275299 189.498001 -196.307999)(-2.802000 137.996994 -284.889008)(25.550499 156.998001 15.685400)(-26.775799 156.998001 -21.015501)(-50.120800 189.241013 -172.523010)(-56.702202 153.255005 -130.854996)(-34.047001 182.497986 -258.118988)(-15.610100 182.497986 -203.354996)(-27.640900 156.998001 2.703430)(26.745501 156.998001 -11.643800)(-20.374899 156.998001 -94.729103)(2.798010 137.998001 -215.113998)(33.769802 149.998001 -12.485200)(26.912899 189.496994 -240.452011)(27.969999 149.998001 -21.650999)(27.969999 137.998001 -21.650999)(-39.966000 149.998001 -60.476002)(-46.050499 149.998001 -82.837898)(-15.277000 149.998001 -102.991997)(-34.966000 137.998001 -248.412003)(-34.751999 149.998001 -4.183020)(-44.945999 182.497986 -226.035004)(-31.163000 149.998001 15.936000)(13.442000 182.497986 -217.686005)(31.544998 137.998001 -16.125000)(31.332701 149.998001 -17.143900)(-29.872101 182.496994 -268.242004)(-34.889999 149.998001 2.798980)(32.313000 182.496994 -263.444977)(-16.307100 153.035004 -94.143005)(-55.576000 149.998001 -118.355995)(29.868999 182.496994 -231.759995)(17.150700 150.000000 32.103699)(-9.844601 156.998001 27.780701)(-58.044003 175.225006 -157.039001)(-47.651600 156.998001 -115.832001)(-47.735699 189.498001 -184.156998)(-36.322502 182.497986 -245.369995)(-22.927999 137.998001 -160.794006)(-34.751999 137.998001 -4.183020)(34.981003 137.998001 10.695001)(7.470020 150.000000 35.383999)(4.433010 137.998001 -50.197002)(35.774498 149.998001 6.953700)(12.055900 156.998001 28.325001)(-11.581800 149.998001 33.379101)(27.792099 189.496994 -252.355011)(16.708599 189.496994 -271.980988)(4.278130 156.998001 31.509399)(20.308601 149.998001 30.251301)(18.876999 137.998001 31.087000)(-58.044003 137.998001 -157.039001)(-13.446000 137.996994 -282.316010)(-19.649000 137.998001 -119.943001)(-49.345097 156.998001 -124.140999)(34.885998 137.996994 -252.800995)(-20.283001 137.998001 28.524000)(-8.120001 137.998001 -215.956009)(-20.283001 149.998001 28.524000)(11.725801 189.496994 -221.248001)(-11.306000 137.998001 -85.293999)(-44.945999 137.998001 -226.035004)(-36.338299 156.998001 -73.647003)(26.577000 182.496994 -272.773010)(-21.933399 182.497986 -168.339005)(16.503300 189.496994 -226.860001)(-22.523100 156.998001 15.576400)(-7.896510 149.998001 34.394699)(-34.889999 137.998001 2.798980)(-29.873001 137.998001 -18.243000)(-32.441399 156.998001 -57.659500)(27.792000 137.998001 24.268000)(-56.864998 137.998001 -176.050003)(-0.783752 189.498001 -217.155991)(24.949600 149.998001 26.719601)(20.853899 156.998001 -19.482899)(22.050301 189.496994 -231.162003)(-57.025299 182.497986 -173.466995)(-22.834999 179.996002 -162.725998)(35.502998 137.998001 -7.161010)(34.885998 182.496994 -252.800995)(-13.055200 182.500000 -284.049988)(12.177000 137.998001 34.200001)(4.433010 149.998001 -50.197002)(29.113100 156.998001 3.545240)(-2.801980 137.998001 -34.889000)(31.112000 137.998001 19.976000)(-11.002001 182.497986 -216.774994)(-22.927999 178.374008 -160.794998)(24.481899 189.496994 -262.816010)(34.653000 149.998001 -9.078020)(-22.692001 149.998001 26.648001)(26.577000 137.996994 -272.773010)(29.868999 137.996994 -231.759003)(9.658250 156.998001 30.315300)(-20.187099 149.998001 -122.778000)(1.761020 150.000000 36.000999)(-19.649000 149.998001 -119.943001)(-23.863100 156.998001 -108.253006)(-22.040800 189.496994 -268.871002)(32.313000 137.996994 -263.444977)(-34.047001 137.998001 -258.118988)(-50.627998 177.737991 -148.858994)(33.206001 137.998001 14.952999)(-17.766500 137.998001 -67.745499)(-55.575901 151.392990 -127.995003)(24.215700 156.998001 -15.643100)(-55.576000 137.998001 -118.355995)(-29.928200 186.882004 -160.045990)(9.828230 189.496994 -277.837982)(-11.306000 149.998001 -85.293999)(-50.865501 189.241013 -162.856003)(8.116010 137.998001 -34.047001)(8.116000 137.996994 -284.046997)(-29.877899 188.467987 -161.934998)(-34.048000 137.998001 -8.119020)(-38.497002 166.150009 -267.291016)(-37.223000 160.169006 -268.921997)(-50.820999 173.792007 -239.322998)(-36.084999 166.835999 -266.902008)(-63.566998 172.355988 -174.441986)(-61.919998 118.998001 -181.429001)(-81.010002 126.736000 -183.500000)(-62.340000 132.707993 -149.683990)(-54.797600 123.013000 -204.317001)(-58.412998 119.945000 -185.261993)(-58.473999 173.792007 -213.889008)(-65.920998 144.183990 -153.854004)(-34.699997 146.938995 -269.044983)(-62.347000 146.132004 -149.701996)(-61.654003 159.057999 -152.160004)(-68.758003 70.998001 -233.304001)(-46.383999 173.947998 -237.547989)(-37.056000 155.947998 -269.127991)(-43.499298 119.771004 -265.170013)(-62.340000 119.496002 -149.684998)(-66.598999 119.332001 -154.643997)(-68.434998 164.631989 -165.306000)(-73.567001 118.998001 -182.531998)(-62.817001 173.792007 -187.619003)(-45.613201 121.730003 -237.229004)(-41.271000 170.655991 -263.570984)(-57.021698 121.278999 -192.606003)(-32.631001 163.595001 -268.276978)(-37.067997 119.981995 -269.121002)(-68.758003 118.998001 -233.305008)(-34.967003 120.071999 -263.858002)(-66.426003 156.526993 -155.760010)(-50.044102 123.164993 -226.154999)(-71.060997 160.860001 -166.614990)(-63.341000 127.186996 -232.981003)(-59.297001 119.295998 -242.837997)(-37.069000 137.964996 -269.121002)(-59.216999 173.677994 -181.024002)(-53.042999 173.647003 -244.598007)(-32.253998 137.647003 -268.968994)(-38.837601 146.028992 -254.471985)(-69.516006 144.494995 -158.040009)(-37.294998 161.979996 -268.833984)(-32.253998 120.150002 -268.968994)(-60.181000 162.713013 -154.552994)(-37.062000 146.875000 -269.123993)(-76.249001 71.259995 -233.750992)(-61.239002 152.806992 -149.776001)(-60.208000 164.248001 -156.287994)(-62.295002 164.125992 -156.455994)(-60.010998 152.342010 -149.419998)(-72.016998 127.052994 -182.330002)(-60.107998 159.155991 -151.942001)(-59.999001 119.580002 -149.154999)(-69.516006 119.218994 -158.041000)(-59.999001 132.618988 -149.156998)(-66.963005 171.975006 -174.878006)(-47.899002 136.130005 -262.467010)(-66.611000 173.546005 -188.223999)(-53.096500 122.945000 -213.171005)(-69.000999 169.826004 -189.843994)(-32.294003 160.522003 -268.894989)(-53.742001 173.947998 -213.554001)(-65.137001 169.826004 -214.992996)(-49.703503 123.370995 -227.009003)(-63.174004 158.895996 -152.487000)(-51.386700 122.740997 -222.060989)(-62.341999 143.931000 -149.687012)(-43.979900 120.915001 -241.307999)(-32.243999 155.144012 -268.988007)(-60.054001 156.128998 -150.442001)(-59.218998 119.501999 -181.031998)(-65.378998 173.647003 -199.020004)(-81.010002 71.259995 -183.500000)(-45.118999 173.789001 -251.339996)(-60.224998 165.186996 -157.350006)(-58.525997 173.947998 -187.392990)(-50.521999 173.947998 -224.055008)(-33.310001 166.542999 -267.015991)(-59.687000 172.139008 -174.113998)(-39.049000 167.503006 -266.575012)(-41.603001 173.949997 -249.691986)(-47.899002 119.626999 -262.467010)(-60.001999 146.066986 -149.210007)(-73.567001 70.998001 -182.531998)(-71.374001 165.998001 -190.115997)(-34.295002 169.166992 -265.152985)(-36.129002 171.985992 -261.556000)(-60.212002 168.388000 -162.796997)(-63.341000 119.186996 -232.981003)(-58.002201 120.438004 -187.438004)(-54.660000 173.647003 -240.858002)(-41.948002 173.561005 -257.174988)(-76.249001 126.736000 -233.750992)(-71.705994 127.047005 -187.151001)(-65.650002 167.967010 -163.812988)(-62.477997 152.776001 -150.128998)(-32.249001 146.972000 -268.979004)(-65.387001 165.998001 -225.009995)(-42.603401 145.931000 -245.045013)(-49.552998 119.577995 -259.981018)(-61.351002 119.239006 -238.296997)(-42.475998 144.626999 -265.798981)(-55.555801 146.725006 -202.108994)(-70.099998 119.190002 -160.869003)(-34.699001 120.063995 -269.046021)(-62.932999 167.688004 -162.039993)(-71.717003 119.096001 -172.174011)(-51.194798 122.622993 -223.052002)(-65.716995 127.133995 -224.270004)(-33.647999 167.443008 -266.377014)(-60.214001 167.822998 -161.835999)(-48.333000 173.647003 -252.846008)(-49.676003 164.207001 -259.772003)(-38.748997 171.387009 -262.629974)(-42.346100 119.877007 -245.385010)(-72.016998 119.053001 -182.330002)(-57.049198 165.996994 -246.987000)(-45.735001 167.981003 -261.308014)(-61.328003 165.998001 -238.352997)(-59.999001 144.543015 -149.158997)(-61.173000 146.094986 -149.422012)(-67.502998 165.998001 -215.310013)(-58.265999 169.826004 -239.406006)(-61.170002 119.538002 -149.419998)(-69.857002 154.955994 -159.654999)(-54.427097 119.498001 -232.738007)(-62.691002 173.647003 -215.048004)(-61.173000 132.658005 -149.419998)(-34.742001 160.427002 -268.980011)))
           )
           )))
    (send glvertices :calc-normals)
    (send self :assoc glvertices)
    glvertices)
  (:qhull-faceset ()
   ;; qhull 991 -> 42 faces
   (instance faceset :init :faces (list
    (instance face :init :vertices (list (float-vector -31.163000 149.997994 15.936000) (float-vector -32.318000 39.997999 13.443000) (float-vector -81.009999 71.259998 -183.500007) (float-vector -81.009999 126.736000 -183.500007)))
    (instance face :init :vertices (list (float-vector -71.061000 160.860002 -166.614994) (float-vector -31.163000 149.997994 15.936000) (float-vector -81.009999 126.736000 -183.500007)))
    (instance face :init :vertices (list (float-vector -32.318000 39.997999 13.443000) (float-vector -62.369000 49.998000 -202.089995) (float-vector -81.009999 71.259998 -183.500007)))
    (instance face :init :vertices (list (float-vector -31.163000 149.997994 15.936000) (float-vector -71.061000 160.860002 -166.614994) (float-vector -50.865501 189.241007 -162.855998)))
    (instance face :init :vertices (list (float-vector 7.470020 150.000006 35.383999) (float-vector 24.949601 149.997994 26.719600) (float-vector 27.791999 39.997999 24.267999) (float-vector 6.675010 39.997999 35.572000)))
    (instance face :init :vertices (list (float-vector -76.249003 71.259998 -233.750999) (float-vector -76.249003 126.736000 -233.750999) (float-vector -81.009999 126.736000 -183.500007) (float-vector -81.009999 71.259998 -183.500007)))
    (instance face :init :vertices (list (float-vector -62.369000 49.998000 -202.089995) (float-vector -57.661999 49.998000 -216.655999) (float-vector -76.249003 71.259998 -233.750999) (float-vector -81.009999 71.259998 -183.500007)))
    (instance face :init :vertices (list (float-vector -20.283001 39.997999 28.524000) (float-vector 6.675010 39.997999 35.572000) (float-vector 27.791999 39.997999 24.267999) (float-vector 34.981001 39.997999 10.695000) (float-vector 36.302000 39.997999 -1.659000) (float-vector -2.802990 39.997999 -34.889001) (float-vector -32.318000 39.997999 13.443000)))
    (instance face :init :vertices (list (float-vector 34.981001 39.997999 10.695000) (float-vector 31.982400 149.997994 18.322000) (float-vector 36.309499 149.997994 1.535790)))
    (instance face :init :vertices (list (float-vector 24.949601 149.997994 26.719600) (float-vector 31.982400 149.997994 18.322000) (float-vector 34.981001 39.997999 10.695000) (float-vector 27.791999 39.997999 24.267999)))
    (instance face :init :vertices (list (float-vector -50.865501 189.241007 -162.855998) (float-vector -22.523100 156.997994 15.576400) (float-vector -31.163000 149.997994 15.936000)))
    (instance face :init :vertices (list (float-vector -22.523100 156.997994 15.576400) (float-vector -50.865501 189.241007 -162.855998) (float-vector 9.658250 156.997994 30.315300) (float-vector -9.844600 156.997994 27.780700)))
    (instance face :init :vertices (list (float-vector 24.949601 149.997994 26.719600) (float-vector 7.470020 150.000006 35.383999) (float-vector 9.658250 156.997994 30.315300) (float-vector 23.780599 156.997994 19.846801) (float-vector 31.982400 149.997994 18.322000)))
    (instance face :init :vertices (list (float-vector -57.661999 49.998000 -216.655999) (float-vector -62.369000 49.998000 -202.089995) (float-vector -32.318000 39.997999 13.443000) (float-vector -2.802990 39.997999 -34.889001)))
    (instance face :init :vertices (list (float-vector -20.283001 149.997994 28.524000) (float-vector -20.283001 39.997999 28.524000) (float-vector -32.318000 39.997999 13.443000) (float-vector -31.163000 149.997994 15.936000)))
    (instance face :init :vertices (list (float-vector -20.283001 149.997994 28.524000) (float-vector -31.163000 149.997994 15.936000) (float-vector -22.523100 156.997994 15.576400) (float-vector -9.844600 156.997994 27.780700)))
    (instance face :init :vertices (list (float-vector 23.780599 156.997994 19.846801) (float-vector 9.658250 156.997994 30.315300) (float-vector -50.865501 189.241007 -162.855998) (float-vector 27.792100 189.496994 -252.355009)))
    (instance face :init :vertices (list (float-vector 27.792100 189.496994 -252.355009) (float-vector 34.885999 182.496995 -252.801001) (float-vector 36.309499 149.997994 1.535790) (float-vector 31.982400 149.997994 18.322000) (float-vector 23.780599 156.997994 19.846801)))
    (instance face :init :vertices (list (float-vector -3.263980 150.000006 35.670999) (float-vector -20.283001 149.997994 28.524000) (float-vector -9.844600 156.997994 27.780700)))
    (instance face :init :vertices (list (float-vector 7.470020 150.000006 35.383999) (float-vector -3.263980 150.000006 35.670999) (float-vector -9.844600 156.997994 27.780700) (float-vector 9.658250 156.997994 30.315300)))
    (instance face :init :vertices (list (float-vector -20.283001 149.997994 28.524000) (float-vector -3.263980 150.000006 35.670999) (float-vector 7.470020 150.000006 35.383999) (float-vector 6.675010 39.997999 35.572000) (float-vector -20.283001 39.997999 28.524000)))
    (instance face :init :vertices (list (float-vector -71.061000 160.860002 -166.614994) (float-vector -66.610999 173.546001 -188.224003) (float-vector -50.865501 189.241007 -162.855998)))
    (instance face :init :vertices (list (float-vector -13.055200 182.500005 -284.049988) (float-vector -3.457810 189.496994 -281.248987) (float-vector -13.268900 189.496994 -276.946992)))
    (instance face :init :vertices (list (float-vector -49.676001 164.206997 -259.772003) (float-vector -58.265999 169.826001 -239.406005) (float-vector -76.249003 126.736000 -233.750999)))
    (instance face :init :vertices (list (float-vector -47.899000 136.130005 -262.466997) (float-vector -49.676001 164.206997 -259.772003) (float-vector -76.249003 126.736000 -233.750999) (float-vector -76.249003 71.259998 -233.750999)))
    (instance face :init :vertices (list (float-vector -49.676001 164.206997 -259.772003) (float-vector -13.055200 182.500005 -284.049988) (float-vector -13.268900 189.496994 -276.946992) (float-vector -26.961900 189.498007 -258.688003) (float-vector -58.265999 169.826001 -239.406005)))
    (instance face :init :vertices (list (float-vector -67.502998 165.997997 -215.310007) (float-vector -66.610999 173.546001 -188.224003) (float-vector -71.061000 160.860002 -166.614994) (float-vector -81.009999 126.736000 -183.500007) (float-vector -76.249003 126.736000 -233.750999)))
    (instance face :init :vertices (list (float-vector -3.457810 189.496994 -281.248987) (float-vector 16.708599 189.496994 -271.981001) (float-vector 27.792100 189.496994 -252.355009) (float-vector -50.865501 189.241007 -162.855998) (float-vector -26.961900 189.498007 -258.688003) (float-vector -13.268900 189.496994 -276.946992)))
    (instance face :init :vertices (list (float-vector 26.577000 182.496995 -272.772998) (float-vector 34.885999 182.496995 -252.801001) (float-vector 27.792100 189.496994 -252.355009) (float-vector 16.708599 189.496994 -271.981001)))
    (instance face :init :vertices (list (float-vector 16.708599 189.496994 -271.981001) (float-vector -3.457810 189.496994 -281.248987) (float-vector 8.116000 182.496995 -284.049988) (float-vector 26.577000 182.496995 -272.772998)))
    (instance face :init :vertices (list (float-vector -67.502998 165.997997 -215.310007) (float-vector -62.691003 173.647001 -215.048000) (float-vector -66.610999 173.546001 -188.224003)))
    (instance face :init :vertices (list (float-vector -58.265999 169.826001 -239.406005) (float-vector -62.691003 173.647001 -215.048000) (float-vector -67.502998 165.997997 -215.310007) (float-vector -76.249003 126.736000 -233.750999)))
    (instance face :init :vertices (list (float-vector -66.610999 173.546001 -188.224003) (float-vector -62.691003 173.647001 -215.048000) (float-vector -58.265999 169.826001 -239.406005) (float-vector -26.961900 189.498007 -258.688003) (float-vector -50.865501 189.241007 -162.855998)))
    (instance face :init :vertices (list (float-vector 36.309499 149.997994 1.535790) (float-vector 34.885999 182.496995 -252.801001) (float-vector 34.742001 57.998002 -254.220009) (float-vector 36.302000 39.997999 -1.659000) (float-vector 34.981001 39.997999 10.695000)))
    (instance face :init :vertices (list (float-vector -23.212001 57.998002 -276.199013) (float-vector -47.899000 136.130005 -262.466997) (float-vector -76.249003 71.259998 -233.750999)))
    (instance face :init :vertices (list (float-vector -49.676001 164.206997 -259.772003) (float-vector -47.899000 136.130005 -262.466997) (float-vector -23.212001 57.998002 -276.199013) (float-vector -8.379000 57.998002 -283.984005) (float-vector -13.055200 182.500005 -284.049988)))
    (instance face :init :vertices (list (float-vector -8.379000 57.998002 -283.984005) (float-vector -23.212001 57.998002 -276.199013) (float-vector -76.249003 71.259998 -233.750999) (float-vector -57.661999 49.998000 -216.655999)))
    (instance face :init :vertices (list (float-vector 8.373000 57.998002 -283.984005) (float-vector 8.116000 182.496995 -284.049988) (float-vector -3.457810 189.496994 -281.248987) (float-vector -13.055200 182.500005 -284.049988) (float-vector -8.379000 57.998002 -283.984005)))
    (instance face :init :vertices (list (float-vector 26.577000 182.496995 -272.772998) (float-vector 8.116000 182.496995 -284.049988) (float-vector 8.373000 57.998002 -283.984005) (float-vector 23.207000 57.998002 -276.199013)))
    (instance face :init :vertices (list (float-vector 23.207000 57.998002 -276.199013) (float-vector 32.722998 57.998002 -262.412012) (float-vector 26.577000 182.496995 -272.772998)))
    (instance face :init :vertices (list (float-vector 36.302000 39.997999 -1.659000) (float-vector 34.742001 57.998002 -254.220009) (float-vector 32.722998 57.998002 -262.412012) (float-vector 23.207000 57.998002 -276.199013) (float-vector 8.373000 57.998002 -283.984005) (float-vector -8.379000 57.998002 -283.984005) (float-vector -57.661999 49.998000 -216.655999) (float-vector -2.802990 39.997999 -34.889001)))
    (instance face :init :vertices (list (float-vector 32.722998 57.998002 -262.412012) (float-vector 34.742001 57.998002 -254.220009) (float-vector 34.885999 182.496995 -252.801001) (float-vector 26.577000 182.496995 -272.772998)))
    ))
   )
  )

(defclass HiroNX_g1_16_geom0
  :super collada-body
  :slots ())
(defmethod HiroNX_g1_16_geom0
  (:init (&key (name))
         (replace-object self (send self :qhull-faceset))
         (if name (send self :name name))
         (send self :def-gl-vertices)
         self)
  (:def-gl-vertices ()
    (setq glvertices
       (instance gl::glvertices :init
          (list
          (list
           (list :type :triangles)
           (list :material (list
             (list :color (float-vector 0.1 0.1 0.1))
             (list :ambient (float-vector 0.200000 0.200000 0.200000 1.000000))
             (list :diffuse (float-vector 0.900000 0.900000 0.900000 1.000000))
           ))
           (list :indices #i( 122 90 20 106 100 78 48 179 219 237 207 163 116 124 98 65 230 56 188 13 169 241 47 65 124 235 98 37 51 148 19 145 195 6 164 170 189 209 180 129 141 85 58 132 83 232 79 129 239 176 2 49 143 237 191 170 228 104 173 83 99 69 197 79 1 129 63 214 35 82 130 121 32 180 85 7 195 72 87 131 24 241 42 225 88 101 212 92 39 230 113 179 135 154 195 80 55 105 160 144 46 153 90 77 198 173 216 83 70 123 207 113 171 175 104 132 152 132 55 160 91 147 178 64 213 191 193 91 153 13 188 140 44 152 87 16 117 8 225 5 81 184 45 43 92 101 128 73 157 180 34 56 35 141 15 32 79 28 17 12 33 49 138 204 67 222 92 150 245 74 91 171 151 175 157 73 236 22 245 91 227 25 136 15 114 197 189 65 209 201 116 98 205 214 235 76 98 118 217 216 44 61 82 121 43 45 13 62 202 12 87 152 160 56 63 35 127 233 156 233 128 156 202 167 12 151 171 163 108 68 6 12 112 54 70 82 123 111 225 3 149 22 91 8 215 203 18 97 174 185 131 0 200 235 63 149 91 115 181 68 56 127 181 56 183 91 203 171 227 163 60 165 94 211 147 91 204 101 67 32 189 180 100 61 121 22 149 57 244 55 4 235 200 204 147 211 80 206 94 159 217 44 24 56 128 63 214 205 158 7 91 139 128 200 63 106 71 100 138 142 76 190 183 215 95 40 12 57 195 199 162 91 183 207 151 163 144 153 194 208 19 10 165 185 0 195 190 215 225 81 3 110 172 12 145 190 195 195 144 182 5 86 81 219 113 175 206 23 94 109 175 226 231 64 30 239 2 196 11 45 184 230 84 150 242 169 12 172 125 12 195 26 72 51 40 148 47 146 234 16 193 117 216 173 44 91 177 69 57 26 195 152 132 160 12 78 121 61 195 139 127 156 181 209 73 180 229 27 59 169 13 12 26 115 72 97 48 109 235 214 63 120 106 78 211 154 80 10 240 225 19 240 10 114 15 141 42 177 225 160 105 223 64 9 213 31 234 77 12 54 102 9 108 213 1 114 141 192 96 75 131 87 0 222 150 212 97 18 93 0 223 14 210 68 181 40 161 148 31 77 122 135 48 93 168 195 182 66 31 122 209 65 137 96 192 159 91 99 139 231 30 228 71 120 51 145 208 162 168 147 80 92 230 150 23 12 94 128 210 156 232 28 79 161 95 238 109 219 175 230 39 56 165 60 185 221 86 5 178 168 182 39 233 127 13 45 12 227 136 163 70 143 49 166 176 52 33 130 82 190 145 162 61 139 123 48 97 93 154 74 36 150 218 212 115 7 72 108 6 213 103 58 83 195 61 37 130 12 121 224 12 102 177 91 225 233 92 128 16 8 203 216 1 79 170 231 228 113 135 25 136 12 49 6 68 243 120 40 51 45 11 95 18 174 131 155 242 12 188 119 5 61 100 37 198 225 111 224 110 12 70 33 82 44 173 152 52 47 50 136 49 237 0 87 160 78 100 121 137 65 56 94 165 126 125 89 12 103 186 58 6 243 164 95 11 238 120 71 106 144 195 46 166 52 50 103 83 17 30 191 228 179 113 219 134 239 196 101 66 67 46 195 117 195 7 139 240 19 195 109 226 24 201 107 187 150 84 218 4 28 187 192 75 14 43 13 140 169 242 221 9 164 21 237 143 207 69 177 32 64 231 9 77 146 198 241 65 42 22 57 199 225 240 5 235 204 118 240 195 5 175 197 226 1 216 217 140 188 5 9 231 164 245 22 199 108 9 21 27 232 129 151 99 197 41 86 220 107 4 187 141 32 85 119 221 5 175 151 197 119 188 169 185 60 131 199 195 36 220 242 133 73 137 236 190 162 183 11 184 5 12 93 94 29 18 131 144 194 182 128 108 21 136 237 163 93 29 94 135 12 136 145 19 208 191 213 170 98 235 118 173 104 152 147 168 178 195 37 5 161 40 95 193 46 117 86 41 81 164 243 21 38 205 124 34 214 158 42 189 32 59 157 236 174 97 109 232 34 158 171 25 227 193 16 91 8 195 215 176 166 2 194 178 182 243 210 128 68 108 56 226 217 24 195 168 80 91 10 225 29 60 94 241 225 198 91 7 115 171 113 25 156 210 181 204 138 76 204 76 118 55 186 4 220 86 242 39 127 56 53 65 52 205 38 158 179 48 135 164 231 170 116 38 124 33 70 49 1 217 114 18 29 93 69 15 197 149 26 57 245 199 36 44 87 24 205 235 124 243 128 21 229 34 56 67 66 122 47 234 50 216 79 17 39 92 233 91 16 203 109 48 219 37 71 51 123 151 207 201 187 158 60 29 131 215 183 203 89 62 12 239 134 53 46 193 153 211 74 154 242 155 133 5 37 148 15 69 32 1 141 129 234 146 77 213 6 170 45 95 12 117 195 8 167 155 12 114 217 226 12 120 78 0 160 223 99 151 123 184 43 5 28 232 187 134 196 218 177 42 32 73 209 137 100 71 37 142 138 122 197 114 226 20 90 111 40 120 12 75 0 14 59 137 56 77 90 122 229 34 232 43 140 5 139 99 123 82 61 123 26 149 115 131 109 24 107 244 4 132 104 83 38 201 158 96 165 0 135 93 12 208 91 162 55 244 105 68 210 243 91 208 10 195 154 36 92 222 101 161 238 5 126 96 159 94 126 159 229 59 56 25 135 136 27 129 85 157 59 85 74 211 91 65 189 42 238 11 5 88 50 101 101 222 212 161 5 148 186 103 17 119 169 221 116 201 38 20 111 3 174 109 131 153 91 194 194 91 178 83 216 17 84 134 218 143 70 207 214 34 35 138 67 122 30 64 191 96 0 75 99 91 69 137 59 236 90 198 111 130 33 12 180 157 85 187 232 158 59 27 85 165 96 126 108 128 56 112 12 23 186 28 4 74 245 36 28 186 17 242 86 221 253 252 247 257 270 254 271 252 262 261 256 246 268 256 267 255 269 247 263 256 268 252 259 255 250 270 257 253 249 251 257 265 258 270 248 254 260 272 264 252 255 247 246 256 263 269 253 247 266 265 257 249 272 260 256 261 250 262 252 251 276 273 274 273 275 274 277 278 279 287 298 305 308 303 299 314 312 319 287 305 320 294 320 322 321 283 289 283 304 319 288 308 291 312 313 319 297 305 285 303 308 288 311 296 309 300 283 299 298 287 292 298 292 314 313 299 319 294 324 320 287 316 292 298 309 305 308 287 320 324 308 320 305 318 307 301 311 309 285 305 293 317 286 309 308 315 291 296 323 309 308 316 287 283 281 280 318 305 282 283 300 281 304 283 309 304 314 319 292 312 314 321 302 283 305 297 282 309 323 305 295 315 308 310 317 309 303 300 299 309 298 314 306 310 309 290 301 309 302 306 309 299 283 319 304 309 314 305 323 293 283 302 309 284 321 289 286 290 309 320 305 307 295 308 324 327 326 325 330 331 329 332 331 330 332 330 328 335 340 336 333 334 337 335 338 340 334 335 342 334 339 337 338 333 341 340 338 341 339 334 342 341 333 337 338 335 333 342 335 336 335 334 333))
           (list :vertices #2f((-63.056602 -0.834875 -57.965000)(-51.194000 -27.795000 -37.005001)(12.148001 32.999001 -30.688002)(3.000000 8.739480 -58.005001)(-61.326000 14.710000 -24.707998)(3.000000 -41.000999 -58.005001)(15.898001 24.999001 28.913000)(-28.281000 -37.000999 20.615000)(33.286999 -41.000999 -10.821000)(-15.898001 32.999001 28.913000)(3.000010 -37.000999 -34.875999)(-8.386640 -23.539902 -58.005001)(-37.959000 -30.995001 -143.005005)(-2.982000 -17.147001 -143.005005)(-61.465199 5.499000 -58.005001)(-45.068001 -32.778999 -2.410000)(33.286999 -37.000999 -10.821000)(-57.316002 13.033000 -37.005001)(-60.433998 -9.889960 -58.005001)(8.704000 -41.000999 -33.904999)(3.000000 24.999001 -58.005001)(-18.664001 32.999001 27.210001)(-12.884001 -37.000999 32.536999)(-61.119198 5.499000 -143.005005)(-61.875999 -16.542000 -25.462999)(-52.135799 -23.050200 -58.005001)(-26.968000 -41.000999 22.305000)(-42.292000 24.726000 1.398000)(-53.715000 18.543999 -14.269000)(-60.501602 -9.535840 -58.005001)(0.000009 32.999001 32.994999)(0.344250 32.999001 -39.414700)(-37.824001 -35.925999 -37.005001)(-38.293201 -30.863199 -58.005001)(-50.163998 24.999001 -9.398999)(-47.199100 26.082899 -5.332310)(-4.386990 -41.000999 34.719002)(-30.000000 -41.000999 -58.005001)(-51.233002 28.144499 -35.167999)(32.935001 24.999001 2.066990)(-22.043001 -30.995001 -143.005005)(1.464170 5.499000 -58.005001)(0.000007 24.999001 -37.005001)(-3.211800 -17.424799 -58.005001)(-58.394001 -13.901000 -20.687000)(-8.095000 -23.328001 -143.005005)(34.380001 -41.000999 6.552990)(5.929000 24.999001 -33.922001)(-57.172501 -16.820799 -58.005001)(-45.417000 -28.042000 -143.005005)(5.929000 32.999001 -33.922001)(-22.399700 -31.041199 -58.005001)(9.976009 24.999001 -31.461000)(5.415880 24.999001 -16.125500)(-49.816399 5.499000 -143.005005)(-62.932999 6.978000 -26.912001)(-28.282000 24.999001 20.615000)(-20.573000 -41.000999 28.310999)(-58.931999 6.650000 -21.424999)(-39.000000 24.999001 5.912990)(-61.028000 -6.775970 -58.005001)(-38.541000 -39.877003 -58.005001)(-14.798700 5.498990 -143.005005)(-46.378502 26.382999 -4.206770)(-8.206989 32.999001 31.957998)(-21.194599 24.999001 -8.272909)(-11.142799 32.999001 -32.588001)(-28.005100 32.999001 -22.566900)(22.590000 24.999001 24.050999)(-37.824001 -35.925999 7.525990)(-41.523098 -29.584400 -58.005001)(-25.747000 -31.463900 -58.005001)(-28.281000 -41.000999 20.615000)(-36.226002 24.999001 -7.533000)(4.387010 -37.000999 34.719002)(-61.823498 -0.203272 -57.965698)(-41.549999 32.999001 -58.005001)(3.000000 32.999001 -40.993000)(-30.357700 -31.955801 -58.005001)(-53.715000 18.543999 -37.005001)(12.884001 -41.000999 32.536999)(3.000000 5.499000 -58.005001)(-40.139702 -34.730698 -58.005001)(-58.387997 0.088998 -37.005001)(29.859001 24.999001 -14.056000)(-42.292000 24.726000 -37.005001)(1.936000 -2.010000 -58.005001)(-63.000000 -8.000999 -27.004999)(4.440890 32.999001 -20.639400)(-20.786301 5.498990 -143.005005)(3.000000 25.988100 -55.901699)(-30.000000 -37.000999 18.257000)(32.414997 32.999001 -6.189010)(-60.433998 -9.889000 -143.005005)(-61.938000 -2.010000 -143.005005)(-14.584001 -28.042000 -143.005005)(-61.914600 -1.653060 -57.973499)(-58.512402 -13.973499 -58.005001)(-50.163998 32.999001 -58.005001)(-46.500000 -36.580002 -4.374010)(-32.143997 -36.232399 -58.005001)(-21.195101 32.999001 -8.272280)(-44.920601 5.499000 -143.005005)(-58.931999 6.650000 -37.005001)(-58.933002 -6.022000 -37.005001)(-62.932999 6.978000 -58.005001)(-30.000000 -32.000999 -58.005001)(-57.693001 21.723000 -58.005001)(-18.664001 24.999001 27.210001)(-61.875999 -16.542000 -58.005001)(-35.662598 5.499000 -143.005005)(3.000000 24.999001 -55.605003)(-55.131699 5.499000 -143.005005)(-54.266602 -20.474300 -58.005001)(-51.194000 -27.795000 -10.812000)(-26.968000 -37.000999 22.305000)(-50.163998 28.795000 -58.005001)(34.931000 -41.000999 -2.203010)(-45.857002 32.999001 -33.701500)(0.433002 -9.889000 -58.005001)(-30.000999 -32.000999 -143.005005)(-33.779400 -31.523701 -58.005001)(3.000000 32.999001 -58.005001)(-46.500000 -36.580002 -58.005001)(-50.163998 28.794401 -32.459000)(-26.101301 5.498990 -143.005005)(-61.701099 1.744470 -100.488998)(31.385000 24.999001 10.193000)(-28.282000 32.999001 20.615000)(-48.519001 22.587999 -37.005001)(-37.958000 -30.996000 -58.005001)(-63.000000 -8.000999 -58.005001)(-59.603100 -0.297668 -21.362200)(1.464230 5.498990 -143.005005)(25.427000 24.999001 -21.040001)(-57.018997 -17.147001 -143.005005)(-51.906002 -23.328001 -143.005005)(-35.351002 24.999001 10.918000)(-34.309498 32.999001 -23.893499)(-38.541000 -39.877003 6.542990)(-2.982000 -17.147001 -58.005001)(-45.068001 -32.778999 -37.005001)(-41.274498 32.999001 -58.005001)(-45.416000 -28.042999 -58.005001)(31.668999 -41.000999 14.897000)(16.861000 -41.000999 -30.676001)(3.761010 24.999001 -37.166000)(20.571999 -37.000999 28.310001)(-22.042000 -30.996000 -58.005001)(-20.573000 -37.000999 28.310999)(29.859001 32.999001 -14.056000)(-53.334999 -31.335999 -58.005001)(-58.933002 -6.022000 -21.426001)(34.380001 -37.000999 6.552990)(4.387010 -41.000999 34.719002)(0.903742 5.498990 -143.005005)(31.385000 32.999001 10.193000)(-39.000000 24.999001 -8.965039)(-52.301998 27.493999 -12.330999)(-61.465199 5.499000 -137.490005)(-62.313900 -0.841381 -26.905100)(-14.919200 -28.175701 -58.005001)(16.861000 -37.000999 -30.676001)(-48.493603 -25.807100 -58.005001)(15.898001 32.999001 28.913000)(-61.937000 -2.010000 -57.975399)(9.976009 32.999001 -31.461000)(-3.675160 5.498990 -143.005005)(20.571999 -41.000999 28.310001)(0.432999 -9.889010 -143.005005)(8.207010 24.999001 31.957998)(-53.536301 -25.905100 -58.005001)(-30.997200 5.499000 -143.005005)(-58.394001 -13.901000 -37.005001)(-60.756199 -11.659000 -58.005001)(-58.579002 -24.500999 -58.005001)(12.148001 24.999001 -30.688002)(-30.000000 -37.000999 -37.005001)(26.968000 -37.000999 22.305000)(-57.018997 -17.147001 -58.005001)(-39.000000 24.999001 -37.005001)(27.862999 24.999001 17.677000)(26.968000 -41.000999 22.305000)(23.959000 -37.000999 -25.519001)(-8.095000 -23.328001 -58.005001)(-62.042301 -4.102130 -57.986599)(-57.316002 13.033000 -19.207998)(-57.691998 21.723000 -19.725000)(0.279519 -10.215199 -58.005001)(-3.710710 24.999001 -37.005001)(23.959000 -41.000999 -25.519001)(-8.206989 24.999001 31.957998)(-61.465199 5.499000 -67.710098)(34.931000 -37.000999 -2.203010)(31.668999 -37.000999 14.897000)(-30.000000 -41.000999 18.257000)(19.396999 32.999001 -26.702999)(-53.334999 -31.335999 -13.748000)(3.000000 24.999001 -40.993000)(-12.884001 -41.000999 32.536999)(-35.351002 32.999001 10.918000)(-52.301998 27.495001 -58.005001)(-7.767760 5.498990 -143.005005)(29.550999 -37.000999 -18.758999)(-41.549999 32.999001 -17.273600)(-50.163998 28.794300 -26.802101)(-61.465199 5.499000 -143.005005)(-47.429100 -31.193600 -58.005001)(8.704000 -37.000999 -33.904999)(-30.856499 24.999001 -8.648480)(27.862999 32.999001 17.677000)(12.884001 -37.000999 32.536999)(5.415640 32.999001 -16.125200)(-15.898001 24.999001 28.913000)(-50.163998 28.794300 -9.398550)(29.550999 -41.000999 -18.758999)(-55.749001 -21.343000 -37.005001)(-55.749001 -21.343000 -17.059000)(25.427000 32.999001 -21.040001)(-58.071301 -19.237200 -58.005001)(1.464170 5.499000 -59.519501)(1.868450 -2.364110 -58.005001)(5.609970 32.999001 -10.122500)(-62.956600 5.474810 -57.999901)(-40.255100 5.499000 -143.005005)(3.000010 -37.000999 -37.005001)(-58.579002 -24.500999 -20.941000)(-51.906002 -23.328001 -58.005001)(0.000009 24.999001 32.994999)(-43.279301 24.999001 0.043946)(32.414997 24.999001 -6.189010)(8.207010 32.999001 31.957998)(-48.519001 22.587999 -7.143010)(32.935001 32.999001 2.066990)(3.761010 32.999001 -37.166000)(-50.163998 32.999001 -9.398001)(-36.913998 24.999001 2.520000)(-45.707699 -27.831100 -58.005001)(-14.584001 -28.042999 -58.005001)(19.396999 24.999001 -26.702999)(3.000010 -41.000999 -34.875999)(3.000010 24.999001 -37.005001)(1.936000 -2.010010 -143.005005)(22.590000 32.999001 24.050999)(-61.326000 14.710000 -58.005001)(-4.386990 -37.000999 34.719002)(12.148001 32.999001 -30.688002)(5.610210 24.999001 -10.122500)(0.344250 32.999001 -39.414700)(5.929000 24.999001 -33.922001)(5.929000 32.999001 -33.922001)(9.976009 24.999001 -31.461000)(5.415880 24.999001 -16.125500)(-21.194599 24.999001 -8.272909)(-11.142799 32.999001 -32.588001)(29.859001 24.999001 -14.056000)(4.440890 32.999001 -20.639400)(-21.195101 32.999001 -8.272280)(-28.282000 32.999001 20.615000)(25.427000 24.999001 -21.040001)(3.761010 24.999001 -37.166000)(9.976009 32.999001 -31.461000)(12.148001 24.999001 -30.688002)(19.396999 32.999001 -26.702999)(3.000000 24.999001 -40.993000)(-35.351002 32.999001 10.918000)(-41.549999 32.999001 -17.273600)(5.415640 32.999001 -16.125200)(25.427000 32.999001 -21.040001)(32.414997 24.999001 -6.189010)(3.761010 32.999001 -37.166000)(19.396999 24.999001 -26.702999)(3.000010 24.999001 -37.005001)(-62.932999 6.978000 -26.912001)(-58.931999 6.650000 -21.424999)(-59.603100 -0.297668 -21.362200)(-57.316002 13.033000 -19.207998)(-42.292000 24.726000 1.398000)(-43.279301 24.999001 0.043946)(-48.519001 22.587999 -7.143010)(3.000000 8.739480 -58.005001)(3.000000 24.999001 -58.005001)(-61.119198 5.499000 -143.005005)(8.914001 5.499000 -58.005001)(1.464170 5.499000 -58.005001)(-49.816399 5.499000 -143.005005)(-14.798700 5.498990 -143.005005)(-66.942001 61.999001 -58.005001)(-41.549999 32.999001 -58.005001)(3.000000 5.499000 -58.005001)(-20.786301 5.498990 -143.005005)(-50.163998 32.999001 -58.005001)(-64.442001 61.999001 -98.004997)(-44.920601 5.499000 -143.005005)(-62.932999 6.978000 -58.005001)(-57.693001 21.723000 -58.005001)(-35.662598 5.499000 -143.005005)(-55.131699 5.499000 -143.005005)(-66.942001 61.999001 -143.005005)(5.000000 45.999001 -58.005001)(3.000000 32.999001 -58.005001)(-26.101301 5.498990 -143.005005)(1.464230 5.498990 -143.005005)(-41.274498 32.999001 -58.005001)(8.914001 5.498990 -153.005005)(-68.915001 5.499000 -153.005005)(0.903742 5.498990 -143.005005)(-61.465199 5.499000 -137.490005)(-65.000000 45.999001 -58.005001)(4.000000 5.498990 -153.005005)(-3.675160 5.498990 -143.005005)(-30.997200 5.499000 -143.005005)(4.441000 61.999001 -98.004997)(4.441000 61.999001 -58.005001)(6.941000 61.999001 -143.005005)(-52.301998 27.495001 -58.005001)(-64.442001 61.999001 -58.005001)(-7.767760 5.498990 -143.005005)(-61.465199 5.499000 -143.005005)(6.941000 61.999001 -58.005001)(-68.914001 5.499000 -58.005001)(1.464170 5.499000 -59.519501)(-62.956600 5.474810 -57.999901)(-40.255100 5.499000 -143.005005)(-61.326000 14.710000 -58.005001)(3.000000 8.739480 -58.005001)(8.914001 5.499000 -58.005001)(3.000000 5.499000 -58.005001)(-61.465199 5.499000 -58.005001)(-61.465199 5.499000 -137.490005)(-61.465199 5.499000 -67.710098)(-68.914001 5.499000 -58.005001)(-62.956600 5.474810 -57.999901)(4.019010 74.070000 -34.449997)(-64.019997 74.070000 -34.449997)(-63.679001 83.837006 -38.005001)(-64.442001 61.999001 -98.004997)(5.000000 45.999001 -58.005001)(3.678000 83.837006 -38.005001)(-65.000000 45.999001 -58.005001)(4.441000 61.999001 -98.004997)(4.441000 61.999001 -58.005001)(-64.442001 61.999001 -58.005001)))
           )
           )))
    (send glvertices :calc-normals)
    (send self :assoc glvertices)
    glvertices)
  (:qhull-faceset ()
   ;; qhull 343 -> 27 faces
   (instance faceset :init :faces (list
    (instance face :init :vertices (list (float-vector 8.914000 5.498990 -153.005004) (float-vector -8.095000 -23.328001 -143.004999) (float-vector 34.931000 -41.001000 -2.203010)))
    (instance face :init :vertices (list (float-vector 8.914000 5.498990 -153.005004) (float-vector -68.915002 5.499000 -153.005004) (float-vector -51.906001 -23.328001 -143.004999) (float-vector -30.001000 -32.001000 -143.004999) (float-vector -8.095000 -23.328001 -143.004999)))
    (instance face :init :vertices (list (float-vector 6.941000 61.999001 -143.004999) (float-vector -66.941999 61.999001 -143.004999) (float-vector -68.915002 5.499000 -153.005004) (float-vector 8.914000 5.498990 -153.005004)))
    (instance face :init :vertices (list (float-vector -63.679002 83.837003 -38.005002) (float-vector -68.914004 5.499000 -58.005001) (float-vector -68.915002 5.499000 -153.005004) (float-vector -66.941999 61.999001 -143.004999)))
    (instance face :init :vertices (list (float-vector 34.931000 -41.001000 -2.203010) (float-vector 32.414999 32.999001 -6.189010) (float-vector 6.941000 61.999001 -143.004999) (float-vector 8.914000 5.498990 -153.005004)))
    (instance face :init :vertices (list (float-vector -63.000001 -8.001000 -27.005000) (float-vector -68.914004 5.499000 -58.005001) (float-vector -63.679002 83.837003 -38.005002)))
    (instance face :init :vertices (list (float-vector -29.999999 -41.001000 -58.005001) (float-vector 3.000000 -41.001000 -58.005001) (float-vector -30.001000 -32.001000 -143.004999)))
    (instance face :init :vertices (list (float-vector -8.095000 -23.328001 -143.004999) (float-vector -30.001000 -32.001000 -143.004999) (float-vector 3.000000 -41.001000 -58.005001) (float-vector 34.931000 -41.001000 -2.203010)))
    (instance face :init :vertices (list (float-vector -46.500001 -36.580000 -58.005001) (float-vector -29.999999 -41.001000 -58.005001) (float-vector -30.001000 -32.001000 -143.004999) (float-vector -51.906001 -23.328001 -143.004999)))
    (instance face :init :vertices (list (float-vector 3.678000 83.837003 -38.005002) (float-vector -63.679002 83.837003 -38.005002) (float-vector -66.941999 61.999001 -143.004999) (float-vector 6.941000 61.999001 -143.004999)))
    (instance face :init :vertices (list (float-vector -8.206990 32.999001 31.957999) (float-vector -28.282000 32.999001 20.615000) (float-vector -63.679002 83.837003 -38.005002)))
    (instance face :init :vertices (list (float-vector -58.579002 -24.501000 -58.005001) (float-vector -51.906001 -23.328001 -143.004999) (float-vector -68.915002 5.499000 -153.005004)))
    (instance face :init :vertices (list (float-vector -58.579002 -24.501000 -58.005001) (float-vector -46.500001 -36.580000 -58.005001) (float-vector -51.906001 -23.328001 -143.004999)))
    (instance face :init :vertices (list (float-vector -46.500001 -36.580000 -4.374010) (float-vector -26.968000 -41.001000 22.305001) (float-vector -29.999999 -41.001000 -58.005001) (float-vector -46.500001 -36.580000 -58.005001)))
    (instance face :init :vertices (list (float-vector 22.590000 32.999001 24.050999) (float-vector 8.207010 32.999001 31.957999) (float-vector 3.678000 83.837003 -38.005002)))
    (instance face :init :vertices (list (float-vector 8.207010 32.999001 31.957999) (float-vector -8.206990 32.999001 31.957999) (float-vector -63.679002 83.837003 -38.005002) (float-vector 3.678000 83.837003 -38.005002)))
    (instance face :init :vertices (list (float-vector -63.000001 -8.001000 -27.005000) (float-vector -58.579002 -24.501000 -20.941000) (float-vector -58.579002 -24.501000 -58.005001) (float-vector -68.915002 5.499000 -153.005004) (float-vector -68.914004 5.499000 -58.005001)))
    (instance face :init :vertices (list (float-vector -58.579002 -24.501000 -58.005001) (float-vector -58.579002 -24.501000 -20.941000) (float-vector -46.500001 -36.580000 -4.374010) (float-vector -46.500001 -36.580000 -58.005001)))
    (instance face :init :vertices (list (float-vector -58.579002 -24.501000 -20.941000) (float-vector -63.000001 -8.001000 -27.005000) (float-vector -63.679002 83.837003 -38.005002) (float-vector -28.282000 32.999001 20.615000) (float-vector -26.968000 -41.001000 22.305001) (float-vector -46.500001 -36.580000 -4.374010)))
    (instance face :init :vertices (list (float-vector -26.968000 -41.001000 22.305001) (float-vector -28.282000 32.999001 20.615000) (float-vector -8.206990 32.999001 31.957999) (float-vector -4.386990 -41.001000 34.719002)))
    (instance face :init :vertices (list (float-vector 31.385001 32.999001 10.193000) (float-vector 22.590000 32.999001 24.050999) (float-vector 3.678000 83.837003 -38.005002)))
    (instance face :init :vertices (list (float-vector 31.385001 32.999001 10.193000) (float-vector 3.678000 83.837003 -38.005002) (float-vector 6.941000 61.999001 -143.004999) (float-vector 32.414999 32.999001 -6.189010)))
    (instance face :init :vertices (list (float-vector 31.385001 32.999001 10.193000) (float-vector 31.668998 -41.001000 14.897000) (float-vector 26.968000 -41.001000 22.305001) (float-vector 22.590000 32.999001 24.050999)))
    (instance face :init :vertices (list (float-vector 31.668998 -41.001000 14.897000) (float-vector 31.385001 32.999001 10.193000) (float-vector 32.414999 32.999001 -6.189010) (float-vector 34.931000 -41.001000 -2.203010)))
    (instance face :init :vertices (list (float-vector -4.386990 -41.001000 34.719002) (float-vector 12.884000 -41.001000 32.536998) (float-vector 26.968000 -41.001000 22.305001) (float-vector 31.668998 -41.001000 14.897000) (float-vector 34.931000 -41.001000 -2.203010) (float-vector 3.000000 -41.001000 -58.005001) (float-vector -29.999999 -41.001000 -58.005001) (float-vector -26.968000 -41.001000 22.305001)))
    (instance face :init :vertices (list (float-vector 12.884000 -41.001000 32.536998) (float-vector 8.207010 32.999001 31.957999) (float-vector 22.590000 32.999001 24.050999) (float-vector 26.968000 -41.001000 22.305001)))
    (instance face :init :vertices (list (float-vector -8.206990 32.999001 31.957999) (float-vector 8.207010 32.999001 31.957999) (float-vector 12.884000 -41.001000 32.536998) (float-vector -4.386990 -41.001000 34.719002)))
    ))
   )
  )

(defclass HiroNX_g1_17_geom0
  :super collada-body
  :slots ())
(defmethod HiroNX_g1_17_geom0
  (:init (&key (name))
         (replace-object self (send self :qhull-faceset))
         (if name (send self :name name))
         (send self :def-gl-vertices)
         self)
  (:def-gl-vertices ()
    (setq glvertices
       (instance gl::glvertices :init
          (list
          (list
           (list :type :triangles)
           (list :material (list
             (list :color (float-vector 0.1 0.1 0.1))
             (list :ambient (float-vector 0.200000 0.200000 0.200000 1.000000))
             (list :diffuse (float-vector 0.900000 0.900000 0.900000 1.000000))
           ))
           (list :indices #i( 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148 149 150 151 152 153 154 155 156 157 158 159 160 161 162 163 164 165 166 167 168 169 170 171 172 173 174 175 176 177 178 179 180 181 182 183 184 185 186 187 188 189 190 191 192 193 194 195 196 197 198 199 200 201 202 203 204 205 206 207 208 209 210 211 212 213 214 215 216 217 218 219 220 221 222 223 224 225 226 227 228 229 230 231 232 233 234 235 236 237 238 239 240 241 242 243 244 245 246 247 248 249 250 251 252 253 254 255 256 257 258 259 260 261 262 263 264 265 266 267 268 269 270 271 272 273 274 275 276 277 278 279 280 281 282 283 284 285 286 287 288 289 290 291 292 293 294 295 296 297 298 299 300 301 302 303 304 305 306 307 308 309 310 311 312 313 314 315 316 317 318 319 320 321 322 323 324 325 326 327 328 329 330 331 332 333 334 335 336 337 338 339 340 341 342 343 344 345 346 347 348 349 350 351 352 353 354 355 356 357 358 359 360 361 362 363 364 365 366 367 368 369 370 371 372 373 374 375 376 377 378 379 380 381 382 383 384 385 386 387 388 389 390 391 392 393 394 395 396 397 398 399 400 401 402 403 404 405 406 407 408 409 410 411 412 413 414 415 416 417 418 419 420 421 422 423 424 425 426 427 428 429 430 431 432 433 434 435 436 437 438 439 440 441 442 443 444 445 446 447 448 449 450 451 452 453 454 455 456 457 458 459 460 461 462 463 464 465 466 467 468 469 470 471 472 473 474 475 476 477 478 479 480 481 482 483 484 485 486 487 488 489 490 491 492 493 494 495 496 497 498 499 500 501 502 503 504 505 506 507 508 509 510 511 512 513 514 515 516 517 518 519 520 521 522 523 524 525 526 527 528 529 530 531 532 533 534 535 536 537 538 539 540 541 542 543 544 545 546 547 548 549 550 551 552 553 554 555 556 557 558 559 560 561 562 563 564 565 566 567 568 569 570 571 572 573 574 575 576 577 578 579 580 581 582 583 584 585 586 587 588 589 590 591 592 593 594 595 596 597 598 599 600 601 602 603 604 605 606 607 608 609 610 611 612 613 614 615 616 617 618 619 620 621 622 623 624 625 626 627 628 629 630 631 632 633 634 635 636 637 638 639 640 641 642 643 644 645 646 647 648 649 650 651 652 653 654 655 656 657 658 659 660 661 662 663 664 665 666 667 668 669 670 671 672 673 674 675 676 677 678 679 680 681 682 683 684 685 686 687 688 689 690 691 692 693 694 695 696 697 698 699 700 701 702 703 704 705 706 707 708 709 710 711 712 713 714 715 716 717 718 719 720 721 722 723 724 725 726 727 728 729 730 731 732 733 734 735 736 737 738 739 740 741 742 743 744 745 746 747 748 749 750 751 752 753 754 755 756 757 758 759 760 761 762 763 764 765 766 767 768 769 770 771 772 773 774 775 776 777 778 779 780 781 782 783 784 785 786 787 788 789 790 791 792 793 794 795 796 797 798 799 800 801 802 803 804 805 806 807 808 809 810 811 812 813 814 815 816 817 818 819 820 821 822 823 824 825 826 827 828 829 830 831 832 833 834 835 836 837 838 839 840 841 842 843 844 845 846 847 848 849 850 851 852 853 854 855 856 857 858 859 860 861 862 863 864 865 866 867 868 869 870 871 872 873 874 875 876 877 878 879 880 881 882 883 884 885 886 887 888 889 890 891 892 893 894 895 896 897 898 899 900 901 902 903 904 905 906 907 908 909 910 911 912 913 914 915 916 917 918 919 920 921 922 923 924 925 926 927 928 929 930 931 932 933 934 935 936 937 938 939 940 941 942 943 944 945 946 947 948 949 950 951 952 953 954 955 956 957 958 959 960 961 962 963 964 965 966 967 968 969 970 971 972 973 974 975 976 977 978 979 980 981 982 983 984 985 986 987 988 989 990 991 992 993 994 995 996 997 998 999 1000 1001 1002 1003 1004 1005 1006 1007 1008 1009 1010 1011 1012 1013 1014 1015 1016 1017 1018 1019 1020 1021 1022 1023 1024 1025 1026 1027 1028 1029 1030 1031 1032 1033 1034 1035 1036 1037 1038 1039 1040 1041 1042 1043 1044 1045 1046 1047 1048 1049 1050 1051 1052 1053 1054 1055 1056 1057 1058 1059 1060 1061 1062 1063 1064 1065 1066 1067 1068 1069 1070 1071 1072 1073 1074 1075 1076 1077 1078 1079 1080 1081 1082 1083 1084 1085 1086 1087 1088 1089 1090 1091 1092 1093 1094 1095 1096 1097 1098 1099 1100 1101 1102 1103 1104 1105 1106 1107 1108 1109 1110 1111 1112 1113 1114 1115 1116 1117 1118 1119 1120 1121 1122 1123 1124 1125 1126 1127 1128 1129 1130 1131 1132 1133 1134 1135 1136 1137 1138 1139 1140 1141 1142 1143 1144 1145 1146 1147 1148 1149 1150 1151 1152 1153 1154 1155 1156 1157 1158 1159 1160 1161 1162 1163 1164 1165 1166 1167 1168 1169 1170 1171 1172 1173 1174 1175 1176 1177 1178 1179 1180 1181 1182 1183 1184 1185 1186 1187 1188 1189 1190 1191 1192 1193 1194 1195 1196 1197 1198 1199 1200 1201 1202 1203 1204 1205 1206 1207 1208 1209 1210 1211 1212 1213 1214 1215 1216 1217 1218 1219 1220 1221 1222 1223 1224 1225 1226 1227 1228 1229 1230 1231 1232 1233 1234 1235 1236 1237 1238 1239 1240 1241 1242 1243 1244 1245 1246 1247 1248 1249 1250 1251 1252 1253 1254 1255 1256 1257 1258 1259 1260 1261 1262 1263 1264 1265 1266 1267 1268 1269 1270 1271 1272 1273 1274 1275 1276 1277 1278 1279 1280 1281 1282 1283 1284 1285 1286 1287 1288 1289 1290 1291 1292 1293 1294 1295 1296 1297 1298 1299 1300 1301 1302 1303 1304 1305 1306 1307 1308 1309 1310 1311 1312 1313 1314 1315 1316 1317 1318 1319 1320 1321 1322 1323 1324 1325 1326 1327 1328 1329 1330 1331 1332 1333 1334 1335 1336 1337 1338 1339 1340 1341 1342 1343 1344 1345 1346 1347 1348 1349 1350 1351 1352 1353 1354 1355 1356 1357 1358 1359 1360 1361 1362 1363 1364 1365 1366 1367 1368 1369 1370 1371 1372 1373 1374 1375 1376 1377 1378 1379 1380 1381 1382 1383 1384 1385 1386 1387 1388 1389 1390 1391 1392 1393 1394 1395 1396 1397 1398 1399 1400 1401 1402 1403 1404 1405 1406 1407 1408 1409 1410 1411 1412 1413 1414 1415 1416 1417 1418 1419 1420 1421 1422 1423 1424 1425 1426 1427 1428 1429 1430 1431 1432 1433 1434 1435 1436 1437 1438 1439 1440 1441 1442 1443 1444 1445 1446 1447 1448 1449 1450 1451 1452 1453 1454 1455 1456 1457 1458 1459 1460 1461 1462 1463 1464 1465 1466 1467 1468 1469 1470 1471 1472 1473 1474 1475 1476 1477 1478 1479 1480 1481 1482 1483 1484 1485 1486 1487 1488 1489 1490 1491 1492 1493 1494 1495 1496 1497 1498 1499 1500 1501 1502 1503 1504 1505 1506 1507 1508 1509 1510 1511 1512 1513 1514 1515 1516 1517 1518 1519 1520 1521 1522 1523 1524 1525 1526 1527 1528 1529 1530 1531 1532 1533 1534 1535 1536 1537 1538 1539 1540 1541 1542 1543 1544 1545 1546 1547 1548 1549 1550 1551 1552 1553 1554 1555 1556 1557 1558 1559 1560 1561 1562 1563 1564 1565 1566 1567 1568 1569 1570 1571 1572 1573 1574 1575 1576 1577 1578 1579 1580 1581 1582 1583 1584 1585 1586 1587 1588 1589 1590 1591 1592 1593 1594 1595 1596 1597 1598 1599 1600 1601 1602 1603 1604 1605 1606 1607 1608 1609 1610 1611 1612 1613 1614 1615 1616 1617 1618 1619 1620 1621 1622 1623 1624 1625 1626 1627 1628 1629 1630 1631 1632 1633 1634 1635 1636 1637 1638 1639 1640 1641 1642 1643 1644 1645 1646 1647 1648 1649 1650 1651 1652 1653 1654 1655 1656 1657 1658 1659 1660 1661 1662 1663 1664 1665 1666 1667 1668 1669 1670 1671 1672 1673 1674 1675 1676 1677 1678 1679 1680 1681 1682 1683 1684 1685 1686 1687 1688 1689 1690 1691 1692 1693 1694 1695 1696 1697 1698 1699 1700 1701 1702 1703 1704 1705 1706 1707 1708 1709 1710 1711 1712 1713 1714 1715 1716 1717 1718 1719 1720 1721 1722 1723 1724 1725 1726 1727 1728 1729 1730 1731 1732 1733 1734 1735 1736 1737 1738 1739 1740 1741 1742 1743 1744 1745 1746 1747 1748 1749 1750 1751 1752 1753 1754 1755 1756 1757 1758 1759 1760 1761 1762 1763 1764 1765 1766 1767 1768 1769 1770 1771 1772 1773 1774 1775 1776 1777 1778 1779 1780 1781 1782 1783 1784 1785 1786 1787 1788 1789 1790 1791 1792 1793 1794 1795 1796 1797 1798 1799 1800 1801 1802 1803 1804 1805 1806 1807 1808 1809 1810 1811 1812 1813 1814 1815 1816 1817 1818 1819 1820 1821 1822 1823 1824 1825 1826 1827 1828 1829 1830 1831 1832 1833 1834 1835 1836 1837 1838 1839 1840 1841 1842 1843 1844 1845 1846 1847 1848 1849 1850 1851 1852 1853 1854 1855 1856 1857 1858 1859 1860 1861 1862 1863 1864 1865 1866 1867 1868 1869 1870 1871 1872 1873 1874 1875 1876 1877 1878 1879 1880 1881 1882 1883 1884 1885 1886 1887 1888 1889 1890 1891 1892 1893 1894 1895 1896 1897 1898 1899 1900 1901 1902 1903 1904 1905 1906 1907 1908 1909 1910 1911 1912 1913 1914 1915 1916 1917 1918 1919 1920 1921 1922 1923 1924 1925 1926 1927 1928 1929 1930 1931 1932 1933 1934 1935 1936 1937 1938 1939 1940 1941 1942 1943 1944 1945 1946 1947 1948 1949 1950 1951 1952 1953 1954 1955 1956 1957 1958 1959 1960 1961 1962 1963 1964 1965 1966 1967 1968 1969 1970 1971 1972 1973 1974 1975 1976 1977 1978 1979 1980 1981 1982 1983 1984 1985 1986 1987 1988 1989 1990 1991 1992 1993 1994 1995 1996 1997 1998 1999 2000 2001 2002 2003 2004 2005 2006 2007 2008 2009 2010 2011 2012 2013 2014 2015 2016 2017 2018 2019 2020 2021 2022 2023 2024 2025 2026 2027 2028 2029 2030 2031 2032 2033 2034 2035 2036 2037 2038 2039 2040 2041 2042 2043 2044 2045 2046 2047 2048 2049 2050 2051 2052 2053 2054 2055 2056 2057 2058 2059 2060 2061 2062 2063 2064 2065 2066 2067 2068 2069 2070 2071 2072 2073 2074 2075 2076 2077 2078 2079 2080 2081 2082 2083 2084 2085 2086 2087 2088 2089 2090 2091 2092 2093 2094 2095 2096 2097 2098 2099 2100 2101 2102 2103 2104 2105 2106 2107 2108 2109 2110 2111 2112 2113 2114 2115 2116 2117 2118 2119 2120 2121 2122 2123 2124 2125 2126 2127 2128 2129 2130 2131 2132 2133 2134 2135 2136 2137 2138 2139 2140 2141 2142 2143 2144 2145 2146 2147 2148 2149 2150 2151 2152 2153 2154 2155 2156 2157 2158 2159 2160 2161 2162 2163 2164 2165 2166 2167 2168 2169 2170 2171 2172 2173 2174 2175 2176 2177 2178 2179 2180 2181 2182 2183 2184 2185 2186 2187 2188 2189 2190 2191 2192 2193 2194 2195 2196 2197 2198 2199 2200 2201 2202 2203 2204 2205 2206 2207 2208 2209 2210 2211 2212 2213 2214 2215 2216 2217 2218 2219 2220 2221 2222 2223 2224 2225 2226 2227 2228 2229 2230 2231 2232 2233 2234 2235 2236 2237 2238 2239 2240 2241 2242 2243 2244 2245 2246 2247 2248 2249 2250 2251 2252 2253 2254 2255 2256 2257 2258 2259 2260 2261 2262 2263 2264 2265 2266 2267 2268 2269 2270 2271 2272 2273 2274 2275 2276 2277 2278 2279 2280 2281 2282 2283 2284 2285 2286 2287 2288 2289 2290 2291 2292 2293 2294 2295 2296 2297 2298 2299 2300 2301 2302 2303 2304 2305 2306 2307 2308 2309 2310 2311 2312 2313 2314 2315 2316 2317 2318 2319 2320 2321 2322 2323 2324 2325 2326 2327 2328 2329 2330 2331 2332 2333 2334 2335 2336 2337 2338 2339 2340 2341 2342 2343 2344 2345 2346 2347 2348 2349 2350 2351 2352 2353 2354 2355 2356 2357 2358 2359 2360 2361 2362 2363 2364 2365 2366 2367 2368 2369 2370 2371 2372 2373 2374 2375 2376 2377 2378 2379 2380 2381 2382 2383 2384 2385 2386 2387 2388 2389 2390 2391 2392 2393 2394 2395 2396 2397 2398 2399 2400 2401 2402 2403 2404 2405 2406 2407 2408 2409 2410 2411 2412 2413 2414 2415 2416 2417 2418 2419 2420 2421 2422 2423 2424 2425 2426 2427 2428 2429 2430 2431 2432 2433 2434 2435 2436 2437 2438 2439 2440 2441 2442 2443 2444 2445 2446 2447 2448 2449 2450 2451 2452 2453 2454 2455 2456 2457 2458 2459 2460 2461 2462 2463 2464 2465 2466 2467 2468 2469 2470 2471 2472 2473 2474 2475 2476 2477 2478 2479 2480 2481 2482 2483 2484 2485 2486 2487 2488 2489 2490 2491 2492 2493 2494 2495 2496 2497 2498 2499 2500 2501 2502 2503 2504 2505 2506 2507 2508 2509 2510 2511 2512 2513 2514 2515 2516 2517 2518 2519 2520 2521 2522 2523 2524 2525 2526 2527 2528 2529 2530 2531 2532 2533 2534 2535 2536 2537 2538 2539 2540 2541 2542 2543 2544 2545 2546 2547 2548 2549 2550 2551 2552 2553 2554 2555 2556 2557 2558 2559 2560 2561 2562 2563 2564 2565 2566 2567 2568 2569 2570 2571 2572 2573 2574 2575 2576 2577 2578 2579 2580 2581 2582 2583 2584 2585 2586 2587 2588 2589 2590 2591 2592 2593 2594 2595 2596 2597 2598 2599 2600 2601 2602 2603 2604 2605 2606 2607 2608 2609 2610 2611 2612 2613 2614 2615 2616 2617 2618 2619 2620 2621 2622 2623 2624 2625 2626 2627 2628 2629 2630 2631 2632 2633 2634 2635 2636 2637 2638 2639 2640 2641 2642 2643 2644 2645 2646 2647 2648 2649 2650 2651 2652 2653 2654 2655 2656 2657 2658 2659 2660 2661 2662 2663 2664 2665 2666 2667 2668 2669 2670 2671 2672 2673 2674 2675 2676 2677 2678 2679 2680 2681 2682 2683 2684 2685 2686 2687 2688 2689 2690 2691 2692 2693 2694 2695 2696 2697 2698 2699 2700 2701 2702 2703 2704 2705 2706 2707 2708 2709 2710 2711 2712 2713 2714 2715 2716 2717 2718 2719 2720 2721 2722 2723 2724 2725 2726 2727 2728 2729 2730 2731 2732 2733 2734 2735 2736 2737 2738 2739 2740 2741 2742 2743 2744 2745 2746 2747 2748 2749 2750 2751 2752 2753 2754 2755 2756 2757 2758 2759 2760 2761 2762 2763 2764 2765 2766 2767 2768 2769 2770 2771 2772 2773 2774 2775 2776 2777 2778 2779 2780 2781 2782 2783 2784 2785 2786 2787 2788 2789 2790 2791 2792 2793 2794 2795 2796 2797 2798 2799 2800 2801 2802 2803 2804 2805 2806 2807 2808 2809 2810 2811 2812 2813 2814 2815 2816 2817 2818 2819 2820 2821 2822 2823 2824 2825 2826 2827 2828 2829 2830 2831 2832 2833 2834 2835 2836 2837 2838 2839 2840 2841 2842 2843 2844 2845 2846 2847 2848 2849 2850 2851 2852 2853 2854 2855 2856 2857 2858 2859 2860 2861 2862 2863 2864 2865 2866 2867 2868 2869 2870 2871 2872 2873 2874 2875 2876 2877 2878 2879 2880 2881 2882 2883 2884 2885 2886 2887 2888 2889 2890 2891 2892 2893 2894 2895 2896 2897 2898 2899 2900 2901 2902 2903 2904 2905 2906 2907 2908 2909 2910 2911 2912 2913 2914 2915 2916 2917 2918 2919 2920 2921 2922 2923 2924 2925 2926 2927 2928 2929 2930 2931 2932 2933 2934 2935 2936 2937 2938 2939 2940 2941 2942 2943 2944 2945 2946 2947 2948 2949 2950 2951 2952 2953 2954 2955 2956 2957 2958 2959 2960 2961 2962 2963 2964 2965 2966 2967 2968 2969 2970 2971 2972 2973 2974 2975 2976 2977 2978 2979 2980 2981 2982 2983 2984 2985 2986 2987 2988 2989 2990 2991 2992 2993 2994 2995 2996 2997 2998 2999 3000 3001 3002 3003 3004 3005 3006 3007 3008 3009 3010 3011 3012 3013 3014 3015 3016 3017 3018 3019 3020 3021 3022 3023 3024 3025 3026 3027 3028 3029 3030 3031 3032 3033 3034 3035 3036 3037 3038 3039 3040 3041 3042 3043 3044 3045 3046 3047 3048 3049 3050 3051 3052 3053 3054 3055 3056 3057 3058 3059 3060 3061 3062 3063 3064 3065 3066 3067 3068 3069 3070 3071 3072 3073 3074 3075 3076 3077 3078 3079 3080 3081 3082 3083 3084 3085 3086 3087 3088 3089 3090 3091 3092 3093 3094 3095 3096 3097 3098 3099 3100 3101 3102 3103 3104 3105 3106 3107 3108 3109 3110 3111 3112 3113 3114 3115 3116 3117 3118 3119 3120 3121 3122 3123 3124 3125 3126 3127 3128 3129 3130 3131 3132 3133 3134 3135 3136 3137 3138 3139 3140 3141 3142 3143 3144 3145 3146 3147 3148 3149 3150 3151 3152 3153 3154 3155 3156 3157 3158 3159 3160 3161 3162 3163 3164 3165 3166 3167 3168 3169 3170 3171 3172 3173 3174 3175 3176 3177 3178 3179 3180 3181 3182 3183 3184 3185 3186 3187 3188 3189 3190 3191 3192 3193 3194 3195 3196 3197 3198 3199 3200 3201 3202 3203 3204 3205 3206 3207 3208 3209 3210 3211 3212 3213 3214 3215 3216 3217 3218 3219 3220 3221 3222 3223 3224 3225 3226 3227 3228 3229 3230 3231 3232 3233 3234 3235 3236 3237 3238 3239 3240 3241 3242 3243 3244 3245 3246 3247 3248 3249 3250 3251 3252 3253 3254 3255 3256 3257 3258 3259 3260 3261 3262 3263 3264 3265 3266 3267 3268 3269 3270 3271 3272 3273 3274 3275 3276 3277 3278 3279 3280 3281 3282 3283 3284 3285 3286 3287 3288 3289 3290 3291 3292 3293 3294 3295 3296 3297 3298 3299 3300 3301 3302 3303 3304 3305 3306 3307 3308 3309 3310 3311 3312 3313 3314 3315 3316 3317 3318 3319 3320 3321 3322 3323 3324 3325 3326 3327 3328 3329 3330 3331 3332 3333 3334 3335 3336 3337 3338 3339 3340 3341 3342 3343 3344 3345 3346 3347 3348 3349 3350 3351 3352 3353 3354 3355 3356 3357 3358 3359 3360 3361 3362 3363 3364 3365 3366 3367 3368 3369 3370 3371 3372 3373 3374 3375 3376 3377 3378 3379 3380 3381 3382 3383 3384 3385 3386 3387 3388 3389 3390 3391 3392 3393 3394 3395 3396 3397 3398 3399 3400 3401 3402 3403 3404 3405 3406 3407 3408 3409 3410 3411 3412 3413 3414 3415 3416 3417 3418 3419 3420 3421 3422 3423 3424 3425 3426 3427 3428 3429 3430 3431 3432 3433 3434 3435 3436 3437 3438 3439 3440 3441 3442 3443 3444 3445 3446 3447 3448 3449 3450 3451 3452 3453 3454 3455 3456 3457 3458 3459 3460 3461 3462 3463 3464))
           (list :vertices #2f((-6.485000 23.000000 -254.967010)(16.497000 23.000000 -221.994995)(0.003998 23.000000 -255.995010)(-12.339000 23.000000 -251.983994)(16.497000 23.000000 -221.994995)(-6.485000 23.000000 -254.967010)(0.003998 23.000000 -255.995010)(16.497000 23.000000 -221.994995)(6.493000 23.000000 -254.967010)(-0.701329 -18.000000 -255.883011)(-6.485000 23.000000 -254.967010)(0.003998 23.000000 -255.995010)(0.003997 -18.000000 -255.995010)(-0.701329 -18.000000 -255.883011)(0.003998 23.000000 -255.995010)(-16.984999 23.000000 -247.337997)(16.497000 23.000000 -221.994995)(-12.339000 23.000000 -251.983994)(-7.121300 -18.000000 -254.642990)(-12.339000 23.000000 -251.983994)(-6.485000 23.000000 -254.967010)(-6.485000 -18.000000 -254.967010)(-7.121300 -18.000000 -254.642990)(-6.485000 23.000000 -254.967010)(6.493000 23.000000 -254.967010)(16.497000 23.000000 -221.994995)(12.348000 23.000000 -251.983994)(0.709323 -18.000000 -255.883011)(0.003997 -18.000000 -255.995010)(0.003998 23.000000 -255.995010)(0.709323 -18.000000 -255.883011)(0.003998 23.000000 -255.995010)(6.493000 23.000000 -254.967010)(-2.529370 -18.000000 -255.593979)(-6.485000 -18.000000 -254.967010)(-6.485000 23.000000 -254.967010)(-0.701329 -18.000000 -255.883011)(-2.529370 -18.000000 -255.593979)(-6.485000 23.000000 -254.967010)(-16.984999 23.000000 -247.337997)(-19.967999 23.000000 -241.484009)(16.497000 23.000000 -221.994995)(-16.984999 23.000000 -247.337997)(-12.339000 23.000000 -251.983994)(-12.844000 -18.000000 -251.479004)(-12.339000 23.000000 -251.983994)(-12.339000 -18.000000 -251.983994)(-12.844000 -18.000000 -251.479004)(-8.449170 -18.000000 -253.966003)(-12.339000 -18.000000 -251.983994)(-12.339000 23.000000 -251.983994)(-7.121300 -18.000000 -254.642990)(-8.449170 -18.000000 -253.966003)(-12.339000 23.000000 -251.983994)(16.497000 23.000000 -221.994995)(16.993999 23.000000 -247.337997)(12.348000 23.000000 -251.983994)(7.130300 -18.000000 -254.642990)(6.493890 -18.000000 -254.967010)(6.493000 23.000000 -254.967010)(7.130300 -18.000000 -254.642990)(6.493000 23.000000 -254.967010)(12.348000 23.000000 -251.983994)(3.735800 -18.000000 -255.403992)(0.709323 -18.000000 -255.883011)(6.493000 23.000000 -254.967010)(6.493890 -18.000000 -254.967010)(3.735800 -18.000000 -255.403992)(6.493000 23.000000 -254.967010)(-19.967999 23.000000 -241.484009)(-20.996000 23.000000 -234.994995)(16.497000 23.000000 -221.994995)(-19.967999 23.000000 -241.484009)(-16.984999 23.000000 -247.337997)(-17.309200 -18.000000 -246.701996)(-16.984999 23.000000 -247.337997)(-16.984999 -18.000000 -247.337997)(-17.309200 -18.000000 -246.701996)(-16.984999 23.000000 -247.337997)(-12.844000 -18.000000 -251.479004)(-13.588400 -18.000000 -250.735016)(-16.984999 23.000000 -247.337997)(-13.588400 -18.000000 -250.735016)(-16.984999 -18.000000 -247.337997)(16.497000 23.000000 -221.994995)(19.976000 23.000000 -241.484009)(16.993999 23.000000 -247.337997)(12.348000 23.000000 -251.983994)(16.993999 23.000000 -247.337997)(12.853001 -18.000000 -251.479004)(12.348000 23.000000 -251.983994)(12.853001 -18.000000 -251.479004)(12.348000 -18.000000 -251.983994)(9.885770 -18.000000 -253.238998)(7.130300 -18.000000 -254.642990)(12.348000 23.000000 -251.983994)(12.348000 -18.000000 -251.983994)(9.885770 -18.000000 -253.238998)(12.348000 23.000000 -251.983994)(-20.996000 23.000000 -234.994995)(-19.967999 23.000000 -228.505005)(16.497000 23.000000 -221.994995)(-20.996000 23.000000 -234.994995)(-19.967999 23.000000 -241.484009)(-20.079700 -18.000000 -240.778992)(-19.967999 23.000000 -241.484009)(-19.967999 -18.000000 -241.484009)(-20.079700 -18.000000 -240.778992)(-19.967999 23.000000 -241.484009)(-17.309200 -18.000000 -246.701996)(-17.565300 -18.000000 -246.198990)(-19.967999 23.000000 -241.484009)(-17.565300 -18.000000 -246.198990)(-19.967999 -18.000000 -241.484009)(16.497000 23.000000 -221.994995)(21.004002 23.000000 -234.994995)(19.976000 23.000000 -241.484009)(16.993999 23.000000 -247.337997)(19.976000 23.000000 -241.484009)(17.318100 -18.000000 -246.701996)(16.993999 23.000000 -247.337997)(17.318100 -18.000000 -246.701996)(16.993999 -18.000000 -247.337997)(16.993999 23.000000 -247.337997)(16.993999 -18.000000 -247.337997)(15.493700 -18.000000 -248.838013)(16.993999 23.000000 -247.337997)(15.493700 -18.000000 -248.838013)(12.853001 -18.000000 -251.479004)(-19.967999 23.000000 -228.505005)(-16.984999 23.000000 -222.651001)(16.497000 23.000000 -221.994995)(-19.967999 23.000000 -228.505005)(-20.996000 23.000000 -234.994995)(-19.967999 6.489990 -228.505997)(-20.996000 -6.489010 -234.994995)(-20.996000 -0.000007 -234.994995)(-20.079700 -18.000000 -240.778992)(-20.079700 -18.000000 -240.778992)(-20.086000 -18.000000 -240.738998)(-20.996000 -12.342999 -234.994995)(-20.996000 -6.489010 -234.994995)(-20.079700 -18.000000 -240.778992)(-20.996000 -12.342999 -234.994995)(-20.996000 -12.342999 -234.994995)(-20.086000 -18.000000 -240.738998)(-20.996000 -16.989000 -234.994995)(-20.996000 -16.989000 -234.994995)(-20.086000 -18.000000 -240.738998)(-20.996000 -18.000000 -234.994995)(-20.079700 -18.000000 -240.778992)(-20.996000 -0.000007 -234.994995)(-20.996000 6.489990 -234.994995)(-20.996000 12.344000 -234.994995)(-20.079700 -18.000000 -240.778992)(-20.996000 6.489990 -234.994995)(-20.996000 16.990000 -234.994995)(-20.079700 -18.000000 -240.778992)(-20.996000 12.344000 -234.994995)(-20.996000 19.973000 -234.994995)(-20.079700 -18.000000 -240.778992)(-20.996000 16.990000 -234.994995)(-20.996000 23.000000 -234.994995)(-20.079700 -18.000000 -240.778992)(-20.996000 19.973000 -234.994995)(16.497000 23.000000 -221.994995)(19.976000 23.000000 -228.505997)(21.004002 23.000000 -234.994995)(20.088600 -18.000000 -240.778992)(19.976000 23.000000 -241.484009)(21.004002 23.000000 -234.994995)(20.088600 -18.000000 -240.778992)(19.976900 -18.000000 -241.484009)(19.976000 23.000000 -241.484009)(19.976000 23.000000 -241.484009)(19.976900 -18.000000 -241.484009)(17.318100 -18.000000 -246.701996)(21.004002 -16.989000 -234.994995)(21.004002 -18.000000 -234.994995)(20.900000 -18.000000 -235.651993)(21.004002 -0.000009 -234.994995)(21.004002 -6.489010 -234.994995)(20.088600 -18.000000 -240.778992)(21.004002 -6.489010 -234.994995)(21.004002 -12.342999 -234.994995)(20.088600 -18.000000 -240.778992)(21.004002 -12.342999 -234.994995)(21.004002 -16.989000 -234.994995)(20.088600 -18.000000 -240.778992)(21.004002 -16.989000 -234.994995)(20.900000 -18.000000 -235.651993)(20.088600 -18.000000 -240.778992)(21.004002 19.973000 -234.994995)(20.088600 -18.000000 -240.778992)(21.004002 23.000000 -234.994995)(21.004002 16.990000 -234.994995)(20.088600 -18.000000 -240.778992)(21.004002 19.973000 -234.994995)(21.004002 12.344000 -234.994995)(20.088600 -18.000000 -240.778992)(21.004002 16.990000 -234.994995)(21.004002 6.489990 -234.994995)(20.088600 -18.000000 -240.778992)(21.004002 12.344000 -234.994995)(21.004002 -0.000009 -234.994995)(20.088600 -18.000000 -240.778992)(21.004002 6.489990 -234.994995)(-16.984999 23.000000 -222.651001)(-12.339000 23.000000 -218.005997)(16.497000 23.000000 -221.994995)(-16.984999 23.000000 -222.651001)(-19.967999 23.000000 -228.505005)(-19.967999 6.489990 -228.505997)(-20.996000 6.489990 -234.994995)(-20.996000 -0.000007 -234.994995)(-19.967999 6.489990 -228.505997)(-19.967999 6.489990 -228.505997)(-20.996000 23.000000 -234.994995)(-20.482000 11.500000 -231.750000)(-20.996000 23.000000 -234.994995)(-20.996000 19.973000 -234.994995)(-20.482000 11.500000 -231.750000)(-20.996000 19.973000 -234.994995)(-20.996000 16.990000 -234.994995)(-20.482000 11.500000 -231.750000)(-20.996000 16.990000 -234.994995)(-20.996000 12.344000 -234.994995)(-20.482000 11.500000 -231.750000)(-20.996000 12.344000 -234.994995)(-20.996000 6.489990 -234.994995)(-20.482000 11.500000 -231.750000)(-20.996000 6.489990 -234.994995)(-19.967999 6.489990 -228.505997)(-20.482000 11.500000 -231.750000)(-20.996000 -0.000007 -234.994995)(-20.996000 -6.489010 -234.994995)(-19.967999 -6.489010 -228.505997)(-20.996000 -16.989000 -234.994995)(-20.996000 -18.000000 -234.994995)(-20.964300 -18.000000 -234.794998)(-20.996000 -12.342999 -234.994995)(-20.996000 -16.989000 -234.994995)(-20.684700 -18.000000 -233.029999)(-20.996000 -16.989000 -234.994995)(-20.964300 -18.000000 -234.794998)(-20.684700 -18.000000 -233.029999)(-20.684700 -18.000000 -233.029999)(-19.967999 -6.489010 -228.505997)(-20.482000 -9.000000 -231.750000)(-20.996000 -6.489010 -234.994995)(-20.996000 -12.342999 -234.994995)(-20.482000 -9.000000 -231.750000)(-19.967999 -6.489010 -228.505997)(-20.996000 -6.489010 -234.994995)(-20.482000 -9.000000 -231.750000)(-20.996000 -12.342999 -234.994995)(-20.684700 -18.000000 -233.029999)(-20.482000 -9.000000 -231.750000)(16.993999 23.000000 -222.651001)(19.976000 23.000000 -228.505997)(16.497000 23.000000 -221.994995)(21.004002 23.000000 -234.994995)(19.976000 23.000000 -228.505997)(19.976000 6.489990 -228.505997)(21.004002 6.489990 -234.994995)(19.976000 6.489990 -228.505997)(21.004002 -0.000009 -234.994995)(21.004002 6.489990 -234.994995)(21.004002 12.344000 -234.994995)(20.490000 11.500000 -231.750000)(21.004002 12.344000 -234.994995)(21.004002 16.990000 -234.994995)(20.490000 11.500000 -231.750000)(21.004002 16.990000 -234.994995)(21.004002 19.973000 -234.994995)(20.490000 11.500000 -231.750000)(21.004002 19.973000 -234.994995)(21.004002 23.000000 -234.994995)(20.490000 11.500000 -231.750000)(21.004002 23.000000 -234.994995)(19.976000 6.489990 -228.505997)(20.490000 11.500000 -231.750000)(19.976000 6.489990 -228.505997)(21.004002 6.489990 -234.994995)(20.490000 11.500000 -231.750000)(21.004002 -12.342999 -234.994995)(21.004002 -6.489010 -234.994995)(20.200298 -18.000000 -229.917007)(21.004002 -12.342999 -234.994995)(20.200298 -18.000000 -229.917007)(20.353699 -18.000000 -230.886002)(21.004002 -12.342999 -234.994995)(20.353699 -18.000000 -230.886002)(20.388500 -18.000000 -231.106003)(21.004002 -12.342999 -234.994995)(20.388500 -18.000000 -231.106003)(20.441299 -18.000000 -231.439987)(21.004002 -12.342999 -234.994995)(20.441299 -18.000000 -231.439987)(20.495100 -18.000000 -231.779999)(21.004002 -12.342999 -234.994995)(20.495100 -18.000000 -231.779999)(20.552101 -18.000000 -232.139999)(21.004002 -12.342999 -234.994995)(20.552101 -18.000000 -232.139999)(20.615000 -18.000000 -232.537003)(20.615000 -18.000000 -232.537003)(20.687399 -18.000000 -232.995010)(21.004002 -16.989000 -234.994995)(20.687399 -18.000000 -232.995010)(20.775501 -18.000000 -233.550995)(21.004002 -16.989000 -234.994995)(21.004002 -12.342999 -234.994995)(20.615000 -18.000000 -232.537003)(21.004002 -16.989000 -234.994995)(21.004002 -16.989000 -234.994995)(20.775501 -18.000000 -233.550995)(20.889601 -18.000000 -234.272003)(21.004002 -16.989000 -234.994995)(20.889601 -18.000000 -234.272003)(21.004002 -18.000000 -234.994995)(20.200298 -18.000000 -229.917007)(21.004002 -6.489010 -234.994995)(21.004002 -0.000009 -234.994995)(-12.339000 23.000000 -218.005997)(-6.485000 23.000000 -215.022995)(16.497000 23.000000 -221.994995)(-16.984999 12.344000 -222.651001)(-12.339000 23.000000 -218.005997)(-16.984999 23.000000 -222.651001)(-16.984999 23.000000 -222.651001)(-19.967999 6.489990 -228.505997)(-16.984999 12.344000 -222.651001)(-20.995001 -0.000008 -144.494995)(-19.967999 6.489990 -228.505997)(-20.996000 -0.000007 -234.994995)(-19.967999 -6.489010 -228.505997)(-20.684700 -18.000000 -233.029999)(-20.345001 -18.000000 -230.886002)(-19.967999 -6.489010 -228.505997)(-20.345001 -18.000000 -230.886002)(-19.967999 -18.000000 -228.505997)(-20.996000 -0.000007 -234.994995)(-19.967999 -6.489010 -228.505997)(-19.967999 -6.489010 -144.494995)(16.993999 23.000000 -222.651001)(16.497000 23.000000 -221.994995)(16.993999 12.344000 -222.652008)(19.976000 23.000000 -228.505997)(16.993999 23.000000 -222.651001)(16.993999 12.344000 -222.652008)(19.976000 23.000000 -228.505997)(16.993999 12.344000 -222.652008)(19.976000 6.489990 -228.505997)(19.976999 6.489990 -144.494995)(21.004002 -0.000009 -234.994995)(19.976000 6.489990 -228.505997)(21.004002 -0.000009 -234.994995)(19.976999 -6.489010 -228.505997)(20.200298 -18.000000 -229.917007)(19.976999 -6.489010 -228.505997)(19.976999 -18.000000 -228.505997)(20.200298 -18.000000 -229.917007)(-6.485000 23.000000 -215.022995)(0.004000 23.000000 -213.994995)(16.497000 23.000000 -221.994995)(-12.339000 16.990000 -218.005997)(-6.485000 23.000000 -215.022995)(-12.339000 23.000000 -218.005997)(-16.984999 12.344000 -222.651001)(-12.339000 16.990000 -218.005997)(-12.339000 23.000000 -218.005997)(-18.688900 8.999990 -213.269989)(-16.984999 12.344000 -222.651001)(-19.967999 6.489990 -228.505997)(-18.688900 8.999990 -213.269989)(-17.346600 11.634300 -213.177994)(-16.984999 12.344000 -222.651001)(-19.967999 6.488990 -144.494995)(-18.688700 8.999990 -178.013000)(-18.688900 8.999990 -213.269989)(-19.967999 6.488990 -144.494995)(-18.688900 8.999990 -213.269989)(-19.967999 6.489990 -228.505997)(-20.996000 -0.000007 -234.994995)(-19.967999 -6.489010 -144.494995)(-20.995001 -0.000008 -144.494995)(-19.967999 6.489990 -228.505997)(-20.995001 -0.000008 -144.494995)(-19.967999 6.488990 -144.494995)(-18.476500 -12.244500 -225.578995)(-19.967999 -6.489010 -228.505997)(-19.967999 -18.000000 -228.505997)(-18.476500 -12.244500 -225.578995)(-16.984999 -12.342999 -222.652008)(-19.967999 -6.489010 -228.505997)(-18.476500 -12.244500 -225.578995)(-18.568399 -18.000000 -225.759003)(-16.984999 -12.342999 -222.652008)(-18.476500 -12.244500 -225.578995)(-19.967999 -18.000000 -228.505997)(-18.568399 -18.000000 -225.759003)(-19.967999 -6.489010 -228.505997)(-16.984999 -12.342999 -144.494995)(-19.967999 -6.489010 -144.494995)(16.993999 12.344000 -222.652008)(16.497000 23.000000 -221.994995)(14.694700 17.672001 -220.304993)(16.497000 23.000000 -221.994995)(12.348000 16.990000 -218.005997)(14.694700 17.672001 -220.304993)(12.348000 16.990000 -218.005997)(16.993999 12.344000 -222.652008)(14.694700 17.672001 -220.304993)(19.976000 6.489990 -228.505997)(16.993999 12.344000 -222.652008)(18.697399 8.999990 -213.269989)(16.993999 12.344000 -222.652008)(16.993999 12.344000 -213.153000)(18.697399 8.999990 -213.269989)(19.976000 6.489990 -228.505997)(18.697399 8.999990 -206.371994)(18.697399 8.999990 -192.485001)(18.697399 8.999990 -213.269989)(18.697399 8.999990 -206.371994)(19.976000 6.489990 -228.505997)(18.697901 8.999990 -148.720001)(17.147699 12.042200 -148.826004)(16.993999 12.344000 -144.494995)(18.697399 8.999990 -192.485001)(18.697901 8.999990 -148.720001)(19.976999 6.489990 -144.494995)(18.697901 8.999990 -148.720001)(16.993999 12.344000 -144.494995)(19.976999 6.489990 -144.494995)(18.697399 8.999990 -192.485001)(19.976999 6.489990 -144.494995)(19.976000 6.489990 -228.505997)(19.976999 6.489990 -144.494995)(21.004002 -0.000010 -144.494995)(21.004002 -0.000009 -234.994995)(19.976999 -6.489010 -228.505997)(21.004002 -0.000009 -234.994995)(21.004002 -0.000010 -144.494995)(19.976999 -6.489010 -228.505997)(17.897301 -18.000000 -224.425003)(18.835001 -18.000000 -226.264999)(19.976999 -6.489010 -228.505997)(18.835001 -18.000000 -226.264999)(19.189798 -18.000000 -226.960999)(19.976999 -6.489010 -228.505997)(19.189798 -18.000000 -226.960999)(19.976999 -18.000000 -228.505997)(0.004000 23.000000 -213.994995)(6.494000 23.000000 -215.022995)(16.497000 23.000000 -221.994995)(-6.485000 19.973000 -215.022995)(0.004000 23.000000 -213.994995)(-6.485000 23.000000 -215.022995)(-6.485000 19.973000 -215.022995)(-6.485000 23.000000 -215.022995)(-12.339000 16.990000 -218.005997)(-16.984999 12.344000 -213.153000)(-12.655300 16.673700 -213.001999)(-14.662001 14.667000 -217.825989)(-12.655300 16.673700 -213.001999)(-12.339000 16.990000 -218.005997)(-14.662001 14.667000 -217.825989)(-12.339000 16.990000 -218.005997)(-16.984999 12.344000 -222.651001)(-14.662001 14.667000 -217.825989)(-16.984999 12.344000 -222.651001)(-16.984999 12.344000 -213.153000)(-14.662001 14.667000 -217.825989)(-18.688700 8.999990 -148.720001)(-18.688700 8.999990 -155.617996)(-19.967999 6.488990 -144.494995)(-16.984999 12.344000 -148.837006)(-18.688700 8.999990 -148.720001)(-16.984999 12.344000 -144.494995)(-18.688700 8.999990 -148.720001)(-19.967999 6.488990 -144.494995)(-16.984999 12.344000 -144.494995)(-18.688700 8.999990 -155.617996)(-18.688700 8.999990 -178.013000)(-19.967999 6.488990 -144.494995)(-16.984999 12.344000 -222.651001)(-17.346600 11.634300 -213.177994)(-16.984999 12.344000 -213.153000)(-20.995001 -0.000008 -144.494995)(-19.967999 -6.489010 -144.494995)(-21.156000 -29.125000 -144.494995)(-17.339001 31.546999 -144.494995)(-19.967999 6.488990 -144.494995)(-20.995001 -0.000008 -144.494995)(-12.339000 -18.000000 -218.005997)(-10.355000 -18.000000 -216.994995)(-12.339000 -16.989000 -218.005997)(-12.339000 -16.989000 -218.005997)(-13.120399 -18.000000 -218.787003)(-12.339000 -18.000000 -218.005997)(-13.120399 -18.000000 -218.787003)(-12.339000 -16.989000 -218.005997)(-14.662001 -15.171500 -220.328995)(-12.339000 -16.989000 -218.005997)(-16.984999 -12.342999 -222.652008)(-14.662001 -15.171500 -220.328995)(-16.984999 -12.342999 -222.652008)(-16.984999 -18.000000 -222.652008)(-14.662001 -15.171500 -220.328995)(-16.984999 -18.000000 -222.652008)(-13.120399 -18.000000 -218.787003)(-14.662001 -15.171500 -220.328995)(-16.984999 -12.342999 -222.652008)(-18.568399 -18.000000 -225.759003)(-16.984999 -18.000000 -222.652008)(-10.355000 -18.000000 -195.314011)(-12.339000 -16.989000 -218.005997)(-10.355000 -18.000000 -216.994995)(-12.339000 -16.989000 -218.005997)(-10.355000 -18.000000 -195.314011)(-10.355000 -18.000000 -193.092010)(-19.967999 -6.489010 -228.505997)(-16.984999 -12.342999 -222.652008)(-16.984999 -12.342999 -144.494995)(-19.967999 -6.489010 -144.494995)(-16.984999 -12.342999 -144.494995)(-13.248000 -33.472000 -144.494995)(12.348000 16.990000 -218.005997)(16.497000 23.000000 -221.994995)(12.348000 23.000000 -218.005997)(12.348000 16.990000 -212.990997)(16.428200 12.909800 -213.133011)(14.671000 14.667000 -217.820999)(16.428200 12.909800 -213.133011)(16.993999 12.344000 -222.652008)(14.671000 14.667000 -217.820999)(16.993999 12.344000 -222.652008)(12.348000 16.990000 -218.005997)(14.671000 14.667000 -217.820999)(12.348000 16.990000 -218.005997)(12.348000 16.990000 -212.990997)(14.671000 14.667000 -217.820999)(16.993999 12.344000 -222.652008)(16.428200 12.909800 -213.133011)(16.993999 12.344000 -213.153000)(17.147699 12.042200 -148.826004)(16.993999 12.344000 -148.837006)(16.993999 12.344000 -144.494995)(16.993999 12.344000 -144.494995)(17.347000 31.546999 -144.494995)(19.976999 6.489990 -144.494995)(24.647999 26.243000 -144.494995)(21.004002 -0.000010 -144.494995)(19.976999 6.489990 -144.494995)(19.976999 -6.489010 -228.505997)(21.004002 -0.000010 -144.494995)(19.976999 -6.489010 -144.494995)(16.993999 -12.342999 -222.652008)(16.993999 -18.000000 -222.652008)(17.439800 -18.000000 -223.526993)(19.976999 -6.489010 -228.505997)(16.993999 -12.342999 -222.652008)(17.897301 -18.000000 -224.425003)(16.993999 -12.342999 -222.652008)(17.439800 -18.000000 -223.526993)(17.897301 -18.000000 -224.425003)(6.494000 23.000000 -215.022995)(12.348000 23.000000 -218.005997)(16.497000 23.000000 -221.994995)(0.004000 21.000000 -213.994995)(6.494000 23.000000 -215.022995)(0.004000 23.000000 -213.994995)(0.004000 21.000000 -213.994995)(0.004000 23.000000 -213.994995)(-6.485000 19.973000 -215.022995)(-6.662060 19.882799 -212.889999)(-6.485000 19.973000 -215.022995)(-12.339000 16.990000 -212.990997)(-12.339000 16.990000 -212.990997)(-6.485000 19.973000 -215.022995)(-12.339000 16.990000 -218.005997)(-12.339000 16.990000 -218.005997)(-12.655300 16.673700 -213.001999)(-12.339000 16.990000 -212.990997)(-19.967999 6.488990 -144.494995)(-17.339001 31.546999 -144.494995)(-16.984999 12.344000 -144.494995)(-16.710001 12.618999 -148.845993)(-16.984999 12.344000 -148.837006)(-16.984999 12.344000 -144.494995)(-6.485000 19.973000 -215.022995)(-6.662060 19.882799 -212.889999)(-6.485000 19.973000 -212.887009)(11.948100 17.193699 -212.983994)(12.348000 16.990000 -212.990997)(12.348000 16.990000 -218.005997)(-3.240580 20.486500 -213.936996)(-6.485000 19.973000 -212.887009)(-0.102773 20.983101 -212.850998)(-3.240580 20.486500 -213.936996)(-6.485000 19.973000 -215.022995)(-6.485000 19.973000 -212.887009)(-3.240580 20.486500 -213.936996)(0.004000 21.000000 -213.994995)(-6.485000 19.973000 -215.022995)(-3.240580 20.486500 -213.936996)(-0.102773 20.983101 -212.850998)(0.004000 21.000000 -213.994995)(11.948100 17.193699 -212.983994)(6.494000 19.973000 -215.022995)(6.494000 19.973000 -212.887009)(12.348000 16.990000 -218.005997)(6.494000 19.973000 -215.022995)(11.948100 17.193699 -212.983994)(0.004000 21.000000 -213.994995)(-0.102773 20.983101 -212.850998)(0.004000 21.000000 -212.850998)(6.494000 19.973000 -215.022995)(6.297320 20.004099 -212.886002)(6.494000 19.973000 -212.887009)(3.249000 20.486500 -213.936996)(0.004000 21.000000 -212.850998)(6.297320 20.004099 -212.886002)(3.249000 20.486500 -213.936996)(0.004000 21.000000 -213.994995)(0.004000 21.000000 -212.850998)(3.249000 20.486500 -213.936996)(6.494000 19.973000 -215.022995)(0.004000 21.000000 -213.994995)(3.249000 20.486500 -213.936996)(6.297320 20.004099 -212.886002)(6.494000 19.973000 -215.022995)(-13.248000 -33.472000 -144.494995)(-21.156000 -29.125000 -144.494995)(-19.967999 -6.489010 -144.494995)(-24.639000 26.243000 -144.494995)(-20.995001 -0.000008 -144.494995)(-21.156000 -29.125000 -144.494995)(-20.995001 -0.000008 -144.494995)(-24.639000 26.243000 -144.494995)(-17.339001 31.546999 -144.494995)(-16.984999 -12.342999 -222.652008)(-12.339000 -16.989000 -218.005997)(-12.339000 -16.989000 -144.494995)(-6.485000 -19.972000 -144.494995)(-12.339000 -16.989000 -144.494995)(-9.325880 -18.524401 -180.169006)(-12.339000 -16.989000 -144.494995)(-10.355000 -18.000000 -181.091995)(-9.325880 -18.524401 -180.169006)(-12.339000 -16.989000 -144.494995)(-10.355000 -18.000000 -192.701996)(-10.355000 -18.000000 -185.748001)(-10.355000 -18.000000 -181.091995)(-12.339000 -16.989000 -144.494995)(-10.355000 -18.000000 -185.748001)(-10.355000 -18.000000 -193.092010)(-10.355000 -18.000000 -192.701996)(-12.339000 -16.989000 -144.494995)(-12.339000 -16.989000 -218.005997)(-10.355000 -18.000000 -193.092010)(-12.339000 -16.989000 -144.494995)(-16.984999 -12.342999 -222.652008)(-12.339000 -16.989000 -144.494995)(-16.984999 -12.342999 -144.494995)(-12.339000 -16.989000 -144.494995)(-13.248000 -33.472000 -144.494995)(-16.984999 -12.342999 -144.494995)(12.348000 16.990000 -218.005997)(12.348000 23.000000 -218.005997)(6.494000 19.973000 -215.022995)(-16.710001 12.618999 -148.845993)(-16.984999 12.344000 -144.494995)(-14.662001 14.667000 -146.746994)(-16.984999 12.344000 -144.494995)(-12.339000 16.990000 -144.494995)(-14.662001 14.667000 -146.746994)(-12.339000 16.990000 -144.494995)(-12.339000 16.990000 -148.999008)(-14.662001 14.667000 -146.746994)(-12.339000 16.990000 -148.999008)(-16.710001 12.618999 -148.845993)(-14.662001 14.667000 -146.746994)(-12.339000 16.990000 -144.494995)(-11.964600 17.180801 -149.005997)(-12.339000 16.990000 -148.999008)(-9.412000 18.480999 -146.798996)(-6.485000 19.972000 -144.494995)(-6.485000 19.972101 -149.102997)(-9.412000 18.480999 -146.798996)(-12.339000 16.990000 -144.494995)(-6.485000 19.972000 -144.494995)(-9.412000 18.480999 -146.798996)(-11.964600 17.180801 -149.005997)(-12.339000 16.990000 -144.494995)(-9.412000 18.480999 -146.798996)(-6.485000 19.972101 -149.102997)(-11.964600 17.180801 -149.005997)(-6.054520 20.040199 -149.106003)(-6.485000 19.972101 -149.102997)(-6.485000 19.972000 -144.494995)(-3.240500 20.486000 -146.817001)(0.004003 21.000000 -144.494995)(0.004003 21.000000 -149.139008)(-3.240500 20.486000 -146.817001)(-6.485000 19.972000 -144.494995)(0.004003 21.000000 -144.494995)(-3.240500 20.486000 -146.817001)(-6.054520 20.040199 -149.106003)(-6.485000 19.972000 -144.494995)(-3.240500 20.486000 -146.817001)(0.004003 21.000000 -149.139008)(-6.054520 20.040199 -149.106003)(0.431144 20.932400 -149.137009)(0.004003 21.000000 -149.139008)(0.004003 21.000000 -144.494995)(3.249010 20.486000 -146.815994)(6.494000 19.972000 -144.494995)(6.494000 19.972101 -149.102997)(3.249010 20.486000 -146.815994)(0.004003 21.000000 -144.494995)(6.494000 19.972000 -144.494995)(3.249010 20.486000 -146.815994)(0.431144 20.932400 -149.137009)(0.004003 21.000000 -144.494995)(3.249010 20.486000 -146.815994)(6.494000 19.972101 -149.102997)(0.431144 20.932400 -149.137009)(6.860460 19.785299 -149.097000)(6.494000 19.972101 -149.102997)(6.494000 19.972000 -144.494995)(6.860460 19.785299 -149.097000)(6.494000 19.972000 -144.494995)(9.421000 18.480999 -146.796005)(6.494000 19.972000 -144.494995)(12.348000 16.990000 -144.494995)(9.421000 18.480999 -146.796005)(12.348000 16.990000 -144.494995)(12.348000 16.990000 -148.999008)(9.421000 18.480999 -146.796005)(12.348000 16.990000 -148.999008)(6.860460 19.785299 -149.097000)(9.421000 18.480999 -146.796005)(12.615200 16.722799 -148.990005)(12.348000 16.990000 -148.999008)(12.348000 16.990000 -144.494995)(12.615200 16.722799 -148.990005)(12.348000 16.990000 -144.494995)(14.671000 14.667000 -146.742004)(12.348000 16.990000 -144.494995)(16.993999 12.344000 -144.494995)(14.671000 14.667000 -146.742004)(16.993999 12.344000 -144.494995)(16.993999 12.344000 -148.837006)(14.671000 14.667000 -146.742004)(16.993999 12.344000 -148.837006)(12.615200 16.722799 -148.990005)(14.671000 14.667000 -146.742004)(19.976999 6.489990 -144.494995)(17.347000 31.546999 -144.494995)(24.647999 26.243000 -144.494995)(16.993999 12.344000 -144.494995)(12.348000 16.990000 -144.494995)(17.347000 31.546999 -144.494995)(21.165001 -29.123999 -144.494995)(21.004002 -0.000010 -144.494995)(24.647999 26.243000 -144.494995)(21.165001 -29.123999 -144.494995)(19.976999 -6.489010 -144.494995)(21.004002 -0.000010 -144.494995)(16.993999 -12.342999 -222.652008)(19.976999 -6.489010 -228.505997)(19.976999 -6.489010 -144.494995)(16.993999 -12.342999 -222.652008)(16.039001 -18.000000 -221.507004)(16.993999 -18.000000 -222.652008)(6.494000 19.973000 -215.022995)(12.348000 23.000000 -218.005997)(6.494000 23.000000 -215.022995)(6.494000 19.973000 -215.022995)(6.494000 23.000000 -215.022995)(0.004000 21.000000 -213.994995)(-16.984999 12.344000 -144.494995)(-17.339001 31.546999 -144.494995)(-8.948000 34.868999 -144.494995)(-13.248000 -33.472000 -139.994995)(-21.156000 -29.125000 -144.494995)(-13.248000 -33.472000 -144.494995)(-21.156000 -29.125000 -144.494995)(-27.734001 -22.947001 -144.494995)(-24.639000 26.243000 -144.494995)(-24.639000 26.243000 -139.994995)(-17.339001 31.546999 -144.494995)(-24.639000 26.243000 -144.494995)(-6.485000 -19.972000 -144.494995)(-9.325880 -18.524401 -180.169006)(-8.737850 -18.823999 -179.642014)(-6.485000 -19.972000 -144.494995)(-8.737850 -18.823999 -179.642014)(-8.573680 -18.907700 -179.495010)(-6.485000 -19.972000 -144.494995)(-8.573680 -18.907700 -179.495010)(-6.485000 -19.972000 -178.617996)(-4.507000 -35.716000 -144.494995)(-12.339000 -16.989000 -144.494995)(-6.485000 -19.972000 -144.494995)(-4.507000 -35.716000 -144.494995)(-13.248000 -33.472000 -144.494995)(-12.339000 -16.989000 -144.494995)(-12.339000 16.990000 -144.494995)(-16.984999 12.344000 -144.494995)(-8.948000 34.868999 -144.494995)(-6.485000 19.972000 -144.494995)(-12.339000 16.990000 -144.494995)(-8.948000 34.868999 -144.494995)(0.004003 21.000000 -144.494995)(-6.485000 19.972000 -144.494995)(0.004004 36.000000 -144.494995)(6.494000 19.972000 -144.494995)(0.004003 21.000000 -144.494995)(0.004004 36.000000 -144.494995)(12.348000 16.990000 -144.494995)(6.494000 19.972000 -144.494995)(8.957001 34.868999 -144.494995)(17.347000 31.546999 -139.994995)(24.647999 26.243000 -144.494995)(17.347000 31.546999 -144.494995)(12.348000 16.990000 -144.494995)(8.957001 34.868999 -144.494995)(17.347000 31.546999 -144.494995)(27.743000 -22.947001 -144.494995)(21.165001 -29.123999 -144.494995)(24.647999 26.243000 -144.494995)(21.165001 -29.123999 -144.494995)(16.993999 -12.342999 -144.494995)(19.976999 -6.489010 -144.494995)(16.993999 -12.342999 -222.652008)(19.976999 -6.489010 -144.494995)(16.993999 -12.342999 -144.494995)(15.748899 -18.000000 -221.229004)(16.039001 -18.000000 -221.507004)(16.993999 -12.342999 -222.652008)(12.826800 -18.000000 -218.425003)(15.748899 -18.000000 -221.229004)(12.348000 -16.989000 -218.005997)(15.748899 -18.000000 -221.229004)(16.993999 -12.342999 -222.652008)(12.348000 -16.989000 -218.005997)(9.379889 -18.501499 -180.253998)(10.363999 -18.000000 -180.876999)(12.348000 -16.989000 -144.494995)(12.348000 -16.989000 -218.005997)(10.363999 -18.000000 -210.462997)(10.363999 -18.000000 -213.908997)(12.348000 -16.989000 -218.005997)(10.363999 -18.000000 -205.869003)(10.363999 -18.000000 -210.462997)(12.348000 -16.989000 -218.005997)(10.363999 -18.000000 -199.636002)(10.363999 -18.000000 -205.869003)(10.363999 -18.000000 -216.525009)(12.348000 -16.989000 -218.005997)(10.363999 -18.000000 -213.908997)(10.363999 -18.000000 -216.994995)(12.348000 -16.989000 -218.005997)(10.363999 -18.000000 -216.525009)(10.363999 -18.000000 -191.116013)(10.363999 -18.000000 -199.636002)(12.348000 -16.989000 -218.005997)(10.863900 -17.745201 -181.250000)(12.348000 -16.989000 -218.005997)(12.348000 -16.989000 -144.494995)(10.863900 -17.745201 -181.250000)(10.363999 -18.000000 -191.116013)(12.348000 -16.989000 -218.005997)(10.863900 -17.745201 -181.250000)(12.348000 -16.989000 -144.494995)(10.363999 -18.000000 -180.876999)(-17.339001 31.546999 -139.994995)(-8.948000 34.868999 -144.494995)(-17.339001 31.546999 -144.494995)(-13.248000 -33.472000 -139.994995)(-13.248000 -33.472000 -144.494995)(-4.507000 -35.716000 -139.994995)(-21.156000 -29.125000 -139.994995)(-21.156000 -29.125000 -144.494995)(-13.248000 -33.472000 -139.994995)(-21.156000 -29.125000 -139.994995)(-27.734001 -22.947001 -144.494995)(-21.156000 -29.125000 -144.494995)(-27.734001 -22.947001 -144.494995)(-30.391001 19.290001 -144.494995)(-24.639000 26.243000 -144.494995)(-24.639000 26.243000 -144.494995)(-30.391001 19.290001 -139.994995)(-24.639000 26.243000 -139.994995)(-17.339001 31.546999 -139.994995)(-17.339001 31.546999 -144.494995)(-24.639000 26.243000 -139.994995)(-3.023690 -20.520300 -177.407990)(0.005001 -21.000000 -144.494995)(-3.240000 -20.486000 -161.557007)(0.005001 -21.000000 -144.494995)(-6.485000 -19.972000 -144.494995)(-3.240000 -20.486000 -161.557007)(-6.485000 -19.972000 -144.494995)(-6.485000 -19.972000 -178.617996)(-3.240000 -20.486000 -161.557007)(-6.485000 -19.972000 -178.617996)(-4.399590 -20.302299 -177.716003)(-3.240000 -20.486000 -161.557007)(-4.399590 -20.302299 -177.716003)(-3.833440 -20.392000 -177.470993)(-3.240000 -20.486000 -161.557007)(-3.833440 -20.392000 -177.470993)(-3.023690 -20.520300 -177.407990)(-3.240000 -20.486000 -161.557007)(-4.507000 -35.716000 -144.494995)(-6.485000 -19.972000 -144.494995)(0.005001 -21.000000 -144.494995)(-4.507000 -35.716000 -139.994995)(-13.248000 -33.472000 -144.494995)(-4.507000 -35.716000 -144.494995)(-6.485000 19.972000 -144.494995)(-8.948000 34.868999 -144.494995)(0.004004 36.000000 -144.494995)(6.494000 19.972000 -144.494995)(0.004004 36.000000 -144.494995)(8.957001 34.868999 -144.494995)(17.347000 31.546999 -144.494995)(8.957001 34.868999 -139.994995)(17.347000 31.546999 -139.994995)(24.647999 26.243000 -139.994995)(24.647999 26.243000 -144.494995)(17.347000 31.546999 -139.994995)(8.957001 34.868999 -139.994995)(17.347000 31.546999 -144.494995)(8.957001 34.868999 -144.494995)(30.400000 19.290001 -144.494995)(27.743000 -22.947001 -144.494995)(24.647999 26.243000 -144.494995)(27.743000 -22.947001 -139.994995)(21.165001 -29.123999 -144.494995)(27.743000 -22.947001 -144.494995)(21.165001 -29.123999 -144.494995)(13.257000 -33.472000 -144.494995)(16.993999 -12.342999 -144.494995)(12.348000 -16.989000 -218.005997)(16.993999 -12.342999 -222.652008)(16.993999 -12.342999 -144.494995)(12.348000 -18.000000 -218.005997)(12.826800 -18.000000 -218.425003)(12.348000 -16.989000 -218.005997)(12.348000 -18.000000 -218.005997)(12.348000 -16.989000 -218.005997)(11.363400 -18.000000 -217.503998)(11.363400 -18.000000 -217.503998)(12.348000 -16.989000 -218.005997)(11.098400 -18.000000 -217.369003)(11.098400 -18.000000 -217.369003)(12.348000 -16.989000 -218.005997)(10.363999 -18.000000 -216.994995)(9.379889 -18.501499 -180.253998)(12.348000 -16.989000 -144.494995)(9.421000 -18.480499 -162.375000)(12.348000 -16.989000 -144.494995)(6.494000 -19.972000 -144.494995)(9.421000 -18.480499 -162.375000)(6.494000 -19.972000 -144.494995)(6.494000 -19.972000 -178.428986)(9.421000 -18.480499 -162.375000)(6.494000 -19.972000 -178.428986)(9.379889 -18.501499 -180.253998)(9.421000 -18.480499 -162.375000)(12.348000 -16.989000 -218.005997)(16.993999 -12.342999 -144.494995)(12.348000 -16.989000 -144.494995)(-8.948000 34.868999 -139.994995)(-8.948000 34.868999 -144.494995)(-17.339001 31.546999 -139.994995)(-13.248000 -33.472000 -139.994995)(-4.507000 -35.716000 -139.994995)(-35.358002 -6.746010 -139.994995)(-21.156000 -29.125000 -139.994995)(-13.248000 -33.472000 -139.994995)(-35.358002 -6.746010 -139.994995)(-27.734001 -22.947001 -139.994995)(-27.734001 -22.947001 -144.494995)(-21.156000 -29.125000 -139.994995)(-30.391001 19.290001 -144.494995)(-27.734001 -22.947001 -144.494995)(-32.569000 -15.328000 -144.494995)(-30.391001 19.290001 -139.994995)(-24.639000 26.243000 -144.494995)(-30.391001 19.290001 -144.494995)(-24.639000 26.243000 -139.994995)(-30.391001 19.290001 -139.994995)(-35.358002 -6.746010 -139.994995)(-35.358002 -6.746010 -139.994995)(-17.339001 31.546999 -139.994995)(-24.639000 26.243000 -139.994995)(-3.023690 -20.520300 -177.407990)(0.004530 -21.000000 -177.173996)(0.005001 -21.000000 -144.494995)(4.517000 -35.716000 -144.494995)(-4.507000 -35.716000 -144.494995)(0.005001 -21.000000 -144.494995)(-4.507000 -35.716000 -139.994995)(-4.507000 -35.716000 -144.494995)(4.517000 -35.716000 -139.994995)(-8.948000 34.868999 -139.994995)(0.004004 36.000000 -144.494995)(-8.948000 34.868999 -144.494995)(8.957001 34.868999 -144.494995)(0.004004 36.000000 -144.494995)(0.004004 36.000000 -139.994995)(17.347000 31.546999 -139.994995)(8.957001 34.868999 -139.994995)(-35.358002 -6.746010 -139.994995)(24.647999 26.243000 -139.994995)(17.347000 31.546999 -139.994995)(-35.358002 -6.746010 -139.994995)(24.647999 26.243000 -144.494995)(24.647999 26.243000 -139.994995)(30.400000 19.290001 -144.494995)(8.957001 34.868999 -139.994995)(8.957001 34.868999 -144.494995)(0.004004 36.000000 -139.994995)(32.577999 -15.328000 -144.494995)(27.743000 -22.947001 -144.494995)(30.400000 19.290001 -144.494995)(27.743000 -22.947001 -144.494995)(32.577999 -15.328000 -139.994995)(27.743000 -22.947001 -139.994995)(21.165001 -29.123999 -139.994995)(21.165001 -29.123999 -144.494995)(27.743000 -22.947001 -139.994995)(13.257000 -33.472000 -144.494995)(21.165001 -29.123999 -144.494995)(21.165001 -29.123999 -139.994995)(13.257000 -33.472000 -144.494995)(12.348000 -16.989000 -144.494995)(16.993999 -12.342999 -144.494995)(6.494000 -19.972000 -144.494995)(3.404220 -20.461399 -177.582993)(5.745170 -20.090601 -178.161987)(6.494000 -19.972000 -144.494995)(5.745170 -20.090601 -178.161987)(6.289830 -20.004301 -178.296997)(6.494000 -19.972000 -144.494995)(6.289830 -20.004301 -178.296997)(6.494000 -19.972000 -178.428986)(13.257000 -33.472000 -144.494995)(6.494000 -19.972000 -144.494995)(12.348000 -16.989000 -144.494995)(-35.358002 -6.746010 -139.994995)(-8.948000 34.868999 -139.994995)(-17.339001 31.546999 -139.994995)(-4.507000 -35.716000 -139.994995)(4.517000 -35.716000 -139.994995)(-35.358002 -6.746010 -139.994995)(-27.734001 -22.947001 -139.994995)(-21.156000 -29.125000 -139.994995)(-35.358002 -6.746010 -139.994995)(-27.734001 -22.947001 -144.494995)(-27.734001 -22.947001 -139.994995)(-32.569000 -15.328000 -144.494995)(-34.233002 11.125000 -144.494995)(-30.391001 19.290001 -144.494995)(-32.569000 -15.328000 -144.494995)(-30.391001 19.290001 -144.494995)(-34.233002 11.125000 -139.994995)(-30.391001 19.290001 -139.994995)(-30.391001 19.290001 -139.994995)(-34.233002 11.125000 -139.994995)(-35.358002 -6.746010 -139.994995)(3.249260 -20.486000 -161.039001)(0.513453 -20.919399 -177.128998)(1.293990 -20.795700 -177.059998)(3.249260 -20.486000 -161.039001)(0.004530 -21.000000 -177.173996)(0.513453 -20.919399 -177.128998)(3.249260 -20.486000 -161.039001)(0.005001 -21.000000 -144.494995)(0.004530 -21.000000 -177.173996)(3.249260 -20.486000 -161.039001)(6.494000 -19.972000 -144.494995)(0.005001 -21.000000 -144.494995)(3.249260 -20.486000 -161.039001)(3.404220 -20.461399 -177.582993)(6.494000 -19.972000 -144.494995)(3.249260 -20.486000 -161.039001)(1.293990 -20.795700 -177.059998)(3.404220 -20.461399 -177.582993)(-4.507000 -35.716000 -144.494995)(4.517000 -35.716000 -144.494995)(4.517000 -35.716000 -139.994995)(4.517000 -35.716000 -144.494995)(0.005001 -21.000000 -144.494995)(6.494000 -19.972000 -144.494995)(0.004004 36.000000 -139.994995)(0.004004 36.000000 -144.494995)(-8.948000 34.868999 -139.994995)(-35.358002 -6.746010 -139.994995)(8.957001 34.868999 -139.994995)(0.004004 36.000000 -139.994995)(30.400000 19.290001 -139.994995)(24.647999 26.243000 -139.994995)(-35.358002 -6.746010 -139.994995)(24.647999 26.243000 -139.994995)(30.400000 19.290001 -139.994995)(30.400000 19.290001 -144.494995)(32.577999 -15.328000 -144.494995)(30.400000 19.290001 -144.494995)(34.242001 11.125000 -144.494995)(32.577999 -15.328000 -144.494995)(32.577999 -15.328000 -139.994995)(27.743000 -22.947001 -144.494995)(27.743000 -22.947001 -139.994995)(32.577999 -15.328000 -139.994995)(-35.358002 -6.746010 -139.994995)(21.165001 -29.123999 -139.994995)(27.743000 -22.947001 -139.994995)(-35.358002 -6.746010 -139.994995)(13.257000 -33.472000 -139.994995)(13.257000 -33.472000 -144.494995)(21.165001 -29.123999 -139.994995)(13.257000 -33.472000 -144.494995)(4.517000 -35.716000 -144.494995)(6.494000 -19.972000 -144.494995)(-35.358002 -6.746010 -139.994995)(0.004004 36.000000 -139.994995)(-8.948000 34.868999 -139.994995)(4.517000 -35.716000 -139.994995)(13.257000 -33.472000 -139.994995)(-35.358002 -6.746010 -139.994995)(-32.569000 -15.328000 -139.994995)(-27.734001 -22.947001 -139.994995)(-35.358002 -6.746010 -139.994995)(-32.569000 -15.328000 -144.494995)(-27.734001 -22.947001 -139.994995)(-32.569000 -15.328000 -139.994995)(-34.233002 11.125000 -144.494995)(-32.569000 -15.328000 -144.494995)(-35.358002 -6.746010 -144.494995)(-34.233002 11.125000 -144.494995)(-34.233002 11.125000 -139.994995)(-30.391001 19.290001 -144.494995)(-34.233002 11.125000 -139.994995)(-35.924000 2.260000 -139.994995)(-35.358002 -6.746010 -139.994995)(4.517000 -35.716000 -139.994995)(4.517000 -35.716000 -144.494995)(13.257000 -33.472000 -139.994995)(34.242001 11.125000 -139.994995)(30.400000 19.290001 -139.994995)(-35.358002 -6.746010 -139.994995)(30.400000 19.290001 -139.994995)(34.242001 11.125000 -144.494995)(30.400000 19.290001 -144.494995)(35.367001 -6.746010 -144.494995)(32.577999 -15.328000 -144.494995)(34.242001 11.125000 -144.494995)(32.577999 -15.328000 -144.494995)(35.367001 -6.746010 -139.994995)(32.577999 -15.328000 -139.994995)(32.577999 -15.328000 -139.994995)(35.367001 -6.746010 -139.994995)(-35.358002 -6.746010 -139.994995)(13.257000 -33.472000 -139.994995)(21.165001 -29.123999 -139.994995)(-35.358002 -6.746010 -139.994995)(13.257000 -33.472000 -139.994995)(4.517000 -35.716000 -144.494995)(13.257000 -33.472000 -144.494995)(-35.358002 -6.746010 -144.494995)(-32.569000 -15.328000 -139.994995)(-35.358002 -6.746010 -139.994995)(-32.569000 -15.328000 -144.494995)(-32.569000 -15.328000 -139.994995)(-35.358002 -6.746010 -144.494995)(-35.924000 2.260000 -144.494995)(-34.233002 11.125000 -144.494995)(-35.358002 -6.746010 -144.494995)(-35.924000 2.260000 -139.994995)(-34.233002 11.125000 -139.994995)(-34.233002 11.125000 -144.494995)(-35.924000 2.260000 -139.994995)(-35.994999 -0.000007 -139.994995)(-35.358002 -6.746010 -139.994995)(35.932999 2.260990 -139.994995)(34.242001 11.125000 -139.994995)(-35.358002 -6.746010 -139.994995)(30.400000 19.290001 -139.994995)(34.242001 11.125000 -139.994995)(34.242001 11.125000 -144.494995)(35.367001 -6.746010 -144.494995)(34.242001 11.125000 -144.494995)(35.932999 2.260990 -144.494995)(35.367001 -6.746010 -139.994995)(32.577999 -15.328000 -144.494995)(35.367001 -6.746010 -144.494995)(35.367001 -6.746010 -139.994995)(35.932999 2.260990 -139.994995)(-35.358002 -6.746010 -139.994995)(-35.358002 -6.746010 -144.494995)(-35.358002 -6.746010 -139.994995)(-35.994999 -0.000008 -144.494995)(-35.924000 2.260000 -144.494995)(-35.358002 -6.746010 -144.494995)(-35.994999 -0.000008 -144.494995)(-35.924000 2.260000 -144.494995)(-35.924000 2.260000 -139.994995)(-34.233002 11.125000 -144.494995)(-35.994999 -0.000008 -144.494995)(-35.358002 -6.746010 -139.994995)(-35.994999 -0.000007 -139.994995)(-35.924000 2.260000 -144.494995)(-35.994999 -0.000007 -139.994995)(-35.924000 2.260000 -139.994995)(35.932999 2.260990 -144.494995)(34.242001 11.125000 -139.994995)(35.932999 2.260990 -139.994995)(34.242001 11.125000 -144.494995)(34.242001 11.125000 -139.994995)(35.932999 2.260990 -144.494995)(35.932999 2.260990 -144.494995)(35.932999 2.260990 -139.994995)(35.367001 -6.746010 -144.494995)(35.367001 -6.746010 -144.494995)(35.932999 2.260990 -139.994995)(35.367001 -6.746010 -139.994995)(-35.924000 2.260000 -144.494995)(-35.994999 -0.000008 -144.494995)(-35.994999 -0.000007 -139.994995)(-12.339000 16.990000 -212.990997)(-23.770000 8.999990 -213.269989)(0.004499 27.250000 -212.632996)(22.505001 45.500000 -211.995010)(6.494000 19.973000 -212.887009)(0.004499 27.250000 -212.632996)(23.778999 8.999990 -213.269989)(18.697399 8.999990 -213.269989)(16.993999 12.344000 -213.153000)(23.778999 8.999990 -213.269989)(16.993999 12.344000 -213.153000)(16.428200 12.909800 -213.133011)(16.428200 12.909800 -213.133011)(12.348000 16.990000 -212.990997)(22.505001 45.500000 -211.995010)(12.348000 16.990000 -212.990997)(11.948100 17.193699 -212.983994)(22.505001 45.500000 -211.995010)(11.948100 17.193699 -212.983994)(6.494000 19.973000 -212.887009)(22.505001 45.500000 -211.995010)(23.778999 8.999990 -213.269989)(16.428200 12.909800 -213.133011)(22.505001 45.500000 -211.995010)(-17.346600 11.634300 -213.177994)(-18.688900 8.999990 -213.269989)(-23.770000 8.999990 -213.269989)(-16.984999 12.344000 -213.153000)(-17.346600 11.634300 -213.177994)(-23.770000 8.999990 -213.269989)(-12.655300 16.673700 -213.001999)(-16.984999 12.344000 -213.153000)(-23.770000 8.999990 -213.269989)(-12.655300 16.673700 -213.001999)(-23.770000 8.999990 -213.269989)(-12.339000 16.990000 -212.990997)(-23.770000 8.999990 -213.269989)(22.505001 45.500000 -211.995010)(0.004499 27.250000 -212.632996)(-6.662060 19.882799 -212.889999)(-12.339000 16.990000 -212.990997)(0.004499 27.250000 -212.632996)(-6.485000 19.973000 -212.887009)(-6.662060 19.882799 -212.889999)(0.004499 27.250000 -212.632996)(-0.102773 20.983101 -212.850998)(-6.485000 19.973000 -212.887009)(0.004499 27.250000 -212.632996)(0.004000 21.000000 -212.850998)(-0.102773 20.983101 -212.850998)(0.004499 27.250000 -212.632996)(6.494000 19.973000 -212.887009)(6.297320 20.004099 -212.886002)(0.004499 27.250000 -212.632996)(6.297320 20.004099 -212.886002)(0.004000 21.000000 -212.850998)(0.004499 27.250000 -212.632996)(-18.688700 8.999990 -178.013000)(-18.688700 8.999990 -155.617996)(-21.229399 8.999990 -180.994995)(-18.688700 8.999990 -155.617996)(-23.770000 8.999990 -148.720001)(-21.229399 8.999990 -180.994995)(-23.770000 8.999990 -148.720001)(-23.770000 8.999990 -213.269989)(-21.229399 8.999990 -180.994995)(-23.770000 8.999990 -213.269989)(-18.688900 8.999990 -213.269989)(-21.229399 8.999990 -180.994995)(-18.688900 8.999990 -213.269989)(-18.688700 8.999990 -178.013000)(-21.229399 8.999990 -180.994995)(18.697399 8.999990 -206.371994)(23.778999 8.999990 -213.269989)(18.697399 8.999990 -192.485001)(23.778999 8.999990 -213.269989)(23.778999 8.999990 -148.720001)(21.238201 8.999990 -180.994995)(23.778999 8.999990 -148.720001)(18.697901 8.999990 -148.720001)(21.238201 8.999990 -180.994995)(18.697901 8.999990 -148.720001)(18.697399 8.999990 -192.485001)(21.238201 8.999990 -180.994995)(18.697399 8.999990 -192.485001)(23.778999 8.999990 -213.269989)(21.238201 8.999990 -180.994995)(18.697399 8.999990 -213.269989)(23.778999 8.999990 -213.269989)(18.697399 8.999990 -206.371994)(0.004003 21.000000 -149.139008)(0.431144 20.932400 -149.137009)(0.004499 27.250000 -149.357010)(0.431144 20.932400 -149.137009)(6.494000 19.972101 -149.102997)(0.004499 27.250000 -149.357010)(6.494000 19.972101 -149.102997)(6.860460 19.785299 -149.097000)(0.004499 27.250000 -149.357010)(6.860460 19.785299 -149.097000)(12.348000 16.990000 -148.999008)(0.004499 27.250000 -149.357010)(12.348000 16.990000 -148.999008)(23.778999 8.999990 -148.720001)(0.004499 27.250000 -149.357010)(-22.496000 45.500000 -149.994995)(-6.485000 19.972101 -149.102997)(0.004499 27.250000 -149.357010)(23.778999 8.999990 -148.720001)(12.348000 16.990000 -148.999008)(12.615200 16.722799 -148.990005)(23.778999 8.999990 -148.720001)(12.615200 16.722799 -148.990005)(16.993999 12.344000 -148.837006)(23.778999 8.999990 -148.720001)(16.993999 12.344000 -148.837006)(17.147699 12.042200 -148.826004)(23.778999 8.999990 -148.720001)(17.147699 12.042200 -148.826004)(18.697901 8.999990 -148.720001)(-6.485000 19.972101 -149.102997)(-22.496000 45.500000 -149.994995)(-11.964600 17.180801 -149.005997)(-11.964600 17.180801 -149.005997)(-22.496000 45.500000 -149.994995)(-12.339000 16.990000 -148.999008)(-12.339000 16.990000 -148.999008)(-22.496000 45.500000 -149.994995)(-16.710001 12.618999 -148.845993)(-18.688700 8.999990 -148.720001)(-16.984999 12.344000 -148.837006)(-23.770000 8.999990 -148.720001)(-16.984999 12.344000 -148.837006)(-16.710001 12.618999 -148.845993)(-23.770000 8.999990 -148.720001)(-16.710001 12.618999 -148.845993)(-22.496000 45.500000 -149.994995)(-23.770000 8.999990 -148.720001)(23.778999 8.999990 -148.720001)(-22.496000 45.500000 -149.994995)(0.004499 27.250000 -149.357010)(-6.485000 19.972101 -149.102997)(-6.054520 20.040199 -149.106003)(0.004499 27.250000 -149.357010)(-6.054520 20.040199 -149.106003)(0.004003 21.000000 -149.139008)(0.004499 27.250000 -149.357010)(-23.770000 8.999990 -148.720001)(-18.688700 8.999990 -155.617996)(-18.688700 8.999990 -148.720001)(22.505001 45.500000 -211.995010)(-23.770000 8.999990 -213.269989)(6.878000 45.500000 -211.995010)(6.878000 45.500000 -211.995010)(-23.770000 8.999990 -213.269989)(-6.869000 45.500000 -211.995010)(-6.869000 45.500000 -211.995010)(-23.770000 8.999990 -213.269989)(-22.494999 45.500000 -211.995010)(23.778999 8.999990 -148.720001)(23.778999 8.999990 -213.269989)(22.505001 45.500000 -211.995010)(-23.770000 8.999990 -213.269989)(-23.770000 8.999990 -148.720001)(-22.496000 45.500000 -149.994995)(23.778999 8.999990 -148.720001)(22.505001 45.500000 -149.994995)(-22.496000 45.500000 -149.994995)(-22.494999 45.500000 -211.995010)(-23.770000 8.999990 -213.269989)(-22.496000 45.500000 -149.994995)(6.878000 45.500000 -211.995010)(8.138000 45.500000 -198.317001)(22.505001 45.500000 -211.995010)(8.138000 45.500000 -198.317001)(8.139999 45.500000 -198.289001)(22.505001 45.500000 -211.995010)(8.139999 45.500000 -198.289001)(8.336000 45.500000 -192.393005)(22.505001 45.500000 -211.995010)(8.336000 45.500000 -192.393005)(8.246000 45.500000 -186.492996)(14.691500 45.500000 -180.994995)(8.246000 45.500000 -186.492996)(8.132999 45.500000 -184.585007)(14.691500 45.500000 -180.994995)(8.132999 45.500000 -184.585007)(7.895999 45.500000 -180.602997)(14.691500 45.500000 -180.994995)(7.895999 45.500000 -180.602997)(7.550000 45.500000 -176.684006)(14.691500 45.500000 -180.994995)(7.550000 45.500000 -176.684006)(7.137000 45.500000 -172.772003)(14.691500 45.500000 -180.994995)(7.137000 45.500000 -172.772003)(6.934380 45.500000 -171.448013)(14.691500 45.500000 -180.994995)(6.934380 45.500000 -171.448013)(22.505001 45.500000 -149.994995)(14.691500 45.500000 -180.994995)(22.505001 45.500000 -149.994995)(22.505001 45.500000 -211.995010)(14.691500 45.500000 -180.994995)(22.505001 45.500000 -211.995010)(8.336000 45.500000 -192.393005)(14.691500 45.500000 -180.994995)(-22.494999 45.500000 -211.995010)(-8.324350 45.500000 -192.470993)(-8.132001 45.500000 -198.287994)(-22.494999 45.500000 -211.995010)(-8.132001 45.500000 -198.287994)(-7.698000 45.500000 -204.171997)(-22.494999 45.500000 -211.995010)(-7.698000 45.500000 -204.171997)(-7.311000 45.500000 -208.086990)(-22.494999 45.500000 -211.995010)(-7.311000 45.500000 -208.086990)(-7.256970 45.500000 -208.565002)(-22.494999 45.500000 -211.995010)(-7.256970 45.500000 -208.565002)(-7.246470 45.500000 -208.657990)(-22.494999 45.500000 -211.995010)(-7.246470 45.500000 -208.657990)(-7.234350 45.500000 -208.764999)(-22.494999 45.500000 -211.995010)(-7.234350 45.500000 -208.764999)(-7.206160 45.500000 -209.013992)(-22.494999 45.500000 -211.995010)(-7.206160 45.500000 -209.013992)(-7.139980 45.500000 -209.598999)(-22.494999 45.500000 -211.995010)(-7.139980 45.500000 -209.598999)(-7.062990 45.500000 -210.279999)(-22.494999 45.500000 -211.995010)(-7.062990 45.500000 -210.279999)(-7.052350 45.500000 -210.373993)(-22.494999 45.500000 -211.995010)(-7.052350 45.500000 -210.373993)(-7.007710 45.500000 -210.768997)(-22.494999 45.500000 -211.995010)(-7.007710 45.500000 -210.768997)(-6.869000 45.500000 -211.995010)(6.878000 45.500000 -211.995010)(-6.869000 45.500000 -211.995010)(-6.822000 45.919003 -211.979996)(22.505001 45.500000 -211.995010)(22.505001 45.500000 -149.994995)(23.778999 8.999990 -148.720001)(5.860000 45.500000 -166.495987)(4.866000 45.500000 -164.357010)(22.505001 45.500000 -149.994995)(4.866000 45.500000 -164.357010)(4.003000 45.500000 -162.498001)(22.505001 45.500000 -149.994995)(4.003000 45.500000 -162.498001)(2.890000 45.500000 -161.151001)(22.505001 45.500000 -149.994995)(2.890000 45.500000 -161.151001)(1.765720 45.500000 -160.304001)(22.505001 45.500000 -149.994995)(1.765720 45.500000 -160.304001)(0.607004 45.500000 -159.878006)(22.505001 45.500000 -149.994995)(0.607004 45.500000 -159.878006)(0.000004 45.500000 -159.822006)(22.505001 45.500000 -149.994995)(0.000004 45.500000 -159.822006)(-22.496000 45.500000 -149.994995)(22.505001 45.500000 -149.994995)(-22.496000 45.500000 -149.994995)(-2.905250 45.500000 -161.177002)(-4.013000 45.500000 -162.526001)(-22.496000 45.500000 -149.994995)(-7.540000 45.500000 -176.682999)(-7.887000 45.500000 -180.602005)(-2.905250 45.500000 -161.177002)(-22.496000 45.500000 -149.994995)(-1.762000 45.500000 -160.306000)(5.860000 45.500000 -166.495987)(22.505001 45.500000 -149.994995)(6.652000 45.500000 -169.600998)(-1.762000 45.500000 -160.306000)(-22.496000 45.500000 -149.994995)(-0.602996 45.500000 -159.878998)(-22.496000 45.500000 -149.994995)(-4.013000 45.500000 -162.526001)(-4.759000 45.500000 -164.141006)(6.652000 45.500000 -169.600998)(22.505001 45.500000 -149.994995)(6.851000 45.500000 -170.903000)(-0.602996 45.500000 -159.878998)(-22.496000 45.500000 -149.994995)(0.000004 45.500000 -159.822006)(6.851000 45.500000 -170.903000)(22.505001 45.500000 -149.994995)(6.934380 45.500000 -171.448013)(-22.496000 45.500000 -149.994995)(-4.759000 45.500000 -164.141006)(-5.859000 45.500000 -166.522995)(-7.887000 45.500000 -180.602005)(-8.238000 45.500000 -186.490997)(-22.494999 45.500000 -211.995010)(-8.238000 45.500000 -186.490997)(-8.327000 45.500000 -192.390991)(-22.494999 45.500000 -211.995010)(-8.327000 45.500000 -192.390991)(-8.324350 45.500000 -192.470993)(-22.494999 45.500000 -211.995010)(-22.496000 45.500000 -149.994995)(-7.887000 45.500000 -180.602005)(-22.494999 45.500000 -211.995010)(-22.496000 45.500000 -149.994995)(-5.859000 45.500000 -166.522995)(-6.647000 45.500000 -169.617004)(-22.496000 45.500000 -149.994995)(-6.647000 45.500000 -169.617004)(-7.127000 45.500000 -172.772003)(-22.496000 45.500000 -149.994995)(-7.127000 45.500000 -172.772003)(-7.540000 45.500000 -176.682999)(6.878000 45.500000 -211.995010)(6.831000 45.919003 -211.979996)(8.138000 45.500000 -198.317001)(8.138000 45.500000 -198.317001)(8.139999 45.500000 -198.289001)(8.113000 45.960999 -198.393005)(8.139999 45.500000 -198.289001)(8.113000 45.960999 -198.393005)(8.336000 45.500000 -192.393005)(8.246000 45.500000 -186.492996)(8.336000 45.500000 -192.393005)(8.197001 46.021000 -184.802994)(8.246000 45.500000 -186.492996)(8.197001 46.021000 -184.802994)(8.132999 45.500000 -184.585007)(8.132999 45.500000 -184.585007)(8.197001 46.021000 -184.802994)(7.895999 45.500000 -180.602997)(7.550000 45.500000 -176.684006)(7.895999 45.500000 -180.602997)(8.197001 46.021000 -184.802994)(7.007000 46.084999 -171.280991)(7.137000 45.500000 -172.772003)(7.550000 45.500000 -176.684006)(7.137000 45.500000 -172.772003)(7.007000 46.084999 -171.280991)(6.934380 45.500000 -171.448013)(6.934380 45.500000 -171.448013)(7.007000 46.084999 -171.280991)(6.851000 45.500000 -170.903000)(-7.160000 45.965000 -208.647995)(-7.256970 45.500000 -208.565002)(-7.311000 45.500000 -208.086990)(-7.160000 45.965000 -208.647995)(-7.256970 45.500000 -208.565002)(-7.246470 45.500000 -208.657990)(-7.160000 45.965000 -208.647995)(-7.246470 45.500000 -208.657990)(-7.234350 45.500000 -208.764999)(-7.206160 45.500000 -209.013992)(-7.234350 45.500000 -208.764999)(-7.160000 45.965000 -208.647995)(-7.139980 45.500000 -209.598999)(-7.206160 45.500000 -209.013992)(-7.160000 45.965000 -208.647995)(-7.139980 45.500000 -209.598999)(-7.160000 45.965000 -208.647995)(-7.062990 45.500000 -210.279999)(-6.995000 45.943001 -210.316010)(-7.062990 45.500000 -210.279999)(-7.052350 45.500000 -210.373993)(-7.007710 45.500000 -210.768997)(-7.052350 45.500000 -210.373993)(-6.995000 45.943001 -210.316010)(-6.869000 45.500000 -211.995010)(-7.007710 45.500000 -210.768997)(-6.995000 45.943001 -210.316010)(-6.822000 45.919003 -211.979996)(-6.869000 45.500000 -211.995010)(-6.995000 45.943001 -210.316010)(6.831000 45.919003 -211.979996)(6.878000 45.500000 -211.995010)(-6.822000 45.919003 -211.979996)(6.851000 45.500000 -170.903000)(7.007000 46.084999 -171.280991)(6.652000 45.500000 -169.600998)(5.860000 45.500000 -166.495987)(6.652000 45.500000 -169.600998)(7.007000 46.084999 -171.280991)(5.175000 46.114002 -164.753006)(4.866000 45.500000 -164.357010)(5.860000 45.500000 -166.495987)(5.175000 46.114002 -164.753006)(4.003000 45.500000 -162.498001)(4.866000 45.500000 -164.357010)(1.765720 45.500000 -160.304001)(1.976000 46.132000 -160.813995)(0.607004 45.500000 -159.878006)(0.000004 45.500000 -159.822006)(0.355004 46.138000 -160.347000)(-0.602996 45.500000 -159.878998)(-1.762000 45.500000 -160.306000)(-0.602996 45.500000 -159.878998)(0.355004 46.138000 -160.347000)(-2.905250 45.500000 -161.177002)(-1.762000 45.500000 -160.306000)(-2.695000 46.146999 -161.742996)(-2.905250 45.500000 -161.177002)(-2.695000 46.146999 -161.742996)(-4.013000 45.500000 -162.526001)(-4.628000 46.154999 -164.617996)(-4.759000 45.500000 -164.141006)(-4.013000 45.500000 -162.526001)(-5.859000 45.500000 -166.522995)(-4.759000 45.500000 -164.141006)(-4.628000 46.154999 -164.617996)(-6.647000 45.500000 -169.617004)(-5.859000 45.500000 -166.522995)(-6.553000 46.163998 -171.253998)(-7.540000 45.500000 -176.682999)(-7.127000 45.500000 -172.772003)(-7.325000 46.160999 -178.095993)(8.113000 45.960999 -198.393005)(8.138000 45.500000 -198.317001)(6.831000 45.919003 -211.979996)(8.336000 45.500000 -192.393005)(8.113000 45.960999 -198.393005)(8.197001 46.021000 -184.802994)(7.550000 45.500000 -176.684006)(8.197001 46.021000 -184.802994)(7.007000 46.084999 -171.280991)(-7.160000 45.965000 -208.647995)(-7.311000 45.500000 -208.086990)(-7.463000 46.006001 -205.300003)(-6.995000 45.943001 -210.316010)(-7.062990 45.500000 -210.279999)(-7.160000 45.965000 -208.647995)(-6.822000 45.919003 -211.979996)(-6.995000 45.943001 -210.316010)(-6.920000 46.389000 -210.359009)(6.784000 46.339001 -211.965988)(6.831000 45.919003 -211.979996)(-6.822000 45.919003 -211.979996)(5.860000 45.500000 -166.495987)(7.007000 46.084999 -171.280991)(5.175000 46.114002 -164.753006)(3.320000 46.125999 -161.880997)(4.003000 45.500000 -162.498001)(5.175000 46.114002 -164.753006)(1.976000 46.132000 -160.813995)(0.355004 46.138000 -160.347000)(0.607004 45.500000 -159.878006)(0.133004 45.500000 -159.834991)(0.355004 46.138000 -160.347000)(0.000004 45.500000 -159.822006)(-2.695000 46.146999 -161.742996)(-1.762000 45.500000 -160.306000)(0.355004 46.138000 -160.347000)(-4.013000 45.500000 -162.526001)(-2.695000 46.146999 -161.742996)(-4.628000 46.154999 -164.617996)(-5.859000 45.500000 -166.522995)(-4.628000 46.154999 -164.617996)(-6.553000 46.163998 -171.253998)(-6.553000 46.163998 -171.253998)(-6.813000 45.500000 -170.709000)(-6.647000 45.500000 -169.617004)(-7.127000 45.500000 -172.772003)(-6.553000 46.163998 -171.253998)(-7.325000 46.160999 -178.095993)(-7.325000 46.160999 -178.095993)(-7.618000 45.500000 -177.564987)(-7.540000 45.500000 -176.682999)(6.831000 45.919003 -211.979996)(6.784000 46.339001 -211.965988)(8.113000 45.960999 -198.393005)(8.113000 45.960999 -198.393005)(8.054999 46.461998 -198.561005)(8.197001 46.021000 -184.802994)(7.007000 46.084999 -171.280991)(8.197001 46.021000 -184.802994)(8.180000 46.603001 -185.194000)(-7.160000 45.965000 -208.647995)(-7.463000 46.006001 -205.300003)(-7.313000 46.521999 -205.498993)(-7.311000 45.500000 -208.086990)(-7.603000 45.500000 -205.130997)(-7.463000 46.006001 -205.300003)(-6.995000 45.943001 -210.316010)(-7.160000 45.965000 -208.647995)(-7.058000 46.436001 -208.744995)(-6.920000 46.389000 -210.359009)(-6.995000 45.943001 -210.316010)(-7.058000 46.436001 -208.744995)(-6.774000 46.339001 -211.965988)(-6.822000 45.919003 -211.979996)(-6.920000 46.389000 -210.359009)(6.784000 46.339001 -211.965988)(-6.822000 45.919003 -211.979996)(-6.774000 46.339001 -211.965988)(7.067000 46.737999 -171.903992)(5.175000 46.114002 -164.753006)(7.007000 46.084999 -171.280991)(5.285000 46.794003 -165.483994)(3.320000 46.125999 -161.880997)(5.175000 46.114002 -164.753006)(3.320000 46.125999 -161.880997)(3.103000 45.500000 -161.409012)(4.003000 45.500000 -162.498001)(1.765720 45.500000 -160.304001)(2.890000 45.500000 -161.151001)(1.976000 46.132000 -160.813995)(0.355004 46.138000 -160.347000)(1.976000 46.132000 -160.813995)(2.139000 46.829998 -161.613007)(0.607004 45.500000 -159.878006)(0.355004 46.138000 -160.347000)(0.133004 45.500000 -159.834991)(-2.695000 46.146999 -161.742996)(0.355004 46.138000 -160.347000)(0.539004 46.840000 -161.160004)(-2.695000 46.146999 -161.742996)(-2.470000 46.856998 -162.563004)(-4.628000 46.154999 -164.617996)(-4.375000 46.869999 -165.427994)(-6.553000 46.163998 -171.253998)(-4.628000 46.154999 -164.617996)(-7.127000 45.500000 -172.772003)(-6.813000 45.500000 -170.709000)(-6.553000 46.163998 -171.253998)(-6.265000 46.882000 -172.024994)(-7.325000 46.160999 -178.095993)(-6.553000 46.163998 -171.253998)(-7.887000 45.500000 -180.602005)(-7.618000 45.500000 -177.564987)(-7.325000 46.160999 -178.095993)(8.054999 46.461998 -198.561005)(8.113000 45.960999 -198.393005)(6.784000 46.339001 -211.965988)(8.054999 46.461998 -198.561005)(8.180000 46.603001 -185.194000)(8.197001 46.021000 -184.802994)(7.007000 46.084999 -171.280991)(8.180000 46.603001 -185.194000)(7.067000 46.737999 -171.903992)(-7.313000 46.521999 -205.498993)(-7.463000 46.006001 -205.300003)(-7.527000 46.597000 -202.227997)(-7.058000 46.436001 -208.744995)(-7.160000 45.965000 -208.647995)(-7.313000 46.521999 -205.498993)(-7.463000 46.006001 -205.300003)(-7.603000 45.500000 -205.130997)(-7.698000 45.500000 -204.171997)(-6.920000 46.389000 -210.359009)(-7.058000 46.436001 -208.744995)(-6.851000 47.387997 -208.973999)(-6.774000 46.339001 -211.965988)(-6.920000 46.389000 -210.359009)(-6.768000 47.285999 -210.460999)(6.689000 47.178001 -211.936005)(6.784000 46.339001 -211.965988)(-6.774000 46.339001 -211.965988)(5.175000 46.114002 -164.753006)(7.067000 46.737999 -171.903992)(5.285000 46.794003 -165.483994)(3.320000 46.125999 -161.880997)(5.285000 46.794003 -165.483994)(3.463000 46.819000 -162.660004)(3.320000 46.125999 -161.880997)(2.890000 45.500000 -161.151001)(3.103000 45.500000 -161.409012)(3.320000 46.125999 -161.880997)(1.976000 46.132000 -160.813995)(2.742410 45.816002 -161.229004)(2.890000 45.500000 -161.151001)(3.320000 46.125999 -161.880997)(2.742410 45.816002 -161.229004)(1.976000 46.132000 -160.813995)(2.890000 45.500000 -161.151001)(2.742410 45.816002 -161.229004)(3.463000 46.819000 -162.660004)(2.139000 46.829998 -161.613007)(1.976000 46.132000 -160.813995)(0.539004 46.840000 -161.160004)(0.355004 46.138000 -160.347000)(2.139000 46.829998 -161.613007)(-2.470000 46.856998 -162.563004)(-2.695000 46.146999 -161.742996)(0.539004 46.840000 -161.160004)(-4.628000 46.154999 -164.617996)(-2.470000 46.856998 -162.563004)(-4.375000 46.869999 -165.427994)(-6.265000 46.882000 -172.024994)(-6.553000 46.163998 -171.253998)(-4.375000 46.869999 -165.427994)(-7.022000 46.870998 -178.806000)(-7.325000 46.160999 -178.095993)(-6.265000 46.882000 -172.024994)(-7.887000 45.500000 -180.602005)(-7.325000 46.160999 -178.095993)(-7.849000 46.146999 -184.936005)(6.784000 46.339001 -211.965988)(6.689000 47.178001 -211.936005)(8.054999 46.461998 -198.561005)(8.054999 46.461998 -198.561005)(7.854000 47.555000 -199.136002)(8.180000 46.603001 -185.194000)(8.180000 46.603001 -185.194000)(8.007000 47.906998 -186.419998)(7.067000 46.737999 -171.903992)(-7.313000 46.521999 -205.498993)(-7.527000 46.597000 -202.227997)(-7.137000 47.743000 -202.923004)(-7.463000 46.006001 -205.300003)(-7.719000 46.041000 -201.937012)(-7.527000 46.597000 -202.227997)(-7.058000 46.436001 -208.744995)(-7.313000 46.521999 -205.498993)(-7.006000 47.576000 -205.969009)(-7.463000 46.006001 -205.300003)(-7.698000 45.500000 -204.171997)(-7.719000 46.041000 -201.937012)(-6.851000 47.387997 -208.973999)(-7.058000 46.436001 -208.744995)(-7.006000 47.576000 -205.969009)(-6.768000 47.285999 -210.460999)(-6.920000 46.389000 -210.359009)(-6.851000 47.387997 -208.973999)(-6.680000 47.178001 -211.936005)(-6.774000 46.339001 -211.965988)(-6.768000 47.285999 -210.460999)(6.689000 47.178001 -211.936005)(-6.774000 46.339001 -211.965988)(-6.680000 47.178001 -211.936005)(7.067000 46.737999 -171.903992)(7.018000 48.197002 -173.778000)(5.285000 46.794003 -165.483994)(3.463000 46.819000 -162.660004)(5.285000 46.794003 -165.483994)(3.464000 51.718998 -171.860001)(3.320000 46.125999 -161.880997)(3.463000 46.819000 -162.660004)(1.976000 46.132000 -160.813995)(2.139000 46.829998 -161.613007)(3.463000 46.819000 -162.660004)(2.361000 51.748997 -171.009003)(0.539004 46.840000 -161.160004)(2.139000 46.829998 -161.613007)(1.021000 51.773998 -170.660004)(-2.470000 46.856998 -162.563004)(0.539004 46.840000 -161.160004)(-1.497000 51.807999 -171.921997)(-4.375000 46.869999 -165.427994)(-2.470000 46.856998 -162.563004)(-3.079000 51.820999 -174.412003)(-5.697000 48.441002 -174.139999)(-6.265000 46.882000 -172.024994)(-4.375000 46.869999 -165.427994)(-5.697000 48.441002 -174.139999)(-7.022000 46.870998 -178.806000)(-6.265000 46.882000 -172.024994)(-7.849000 46.146999 -184.936005)(-7.325000 46.160999 -178.095993)(-7.022000 46.870998 -178.806000)(-7.849000 46.146999 -184.936005)(-8.116000 45.500000 -184.449005)(-7.887000 45.500000 -180.602005)(6.689000 47.178001 -211.936005)(7.854000 47.555000 -199.136002)(8.054999 46.461998 -198.561005)(7.854000 47.555000 -199.136002)(8.007000 47.906998 -186.419998)(8.180000 46.603001 -185.194000)(8.007000 47.906998 -186.419998)(7.018000 48.197002 -173.778000)(7.067000 46.737999 -171.903992)(-7.527000 46.597000 -202.227997)(-5.907000 51.631001 -203.296997)(-7.137000 47.743000 -202.923004)(-7.006000 47.576000 -205.969009)(-7.313000 46.521999 -205.498993)(-7.137000 47.743000 -202.923004)(-7.527000 46.597000 -202.227997)(-7.719000 46.041000 -201.937012)(-7.688000 46.663002 -198.932999)(-7.698000 45.500000 -204.171997)(-7.881000 45.500000 -201.690002)(-7.719000 46.041000 -201.937012)(-6.851000 47.387997 -208.973999)(-7.006000 47.576000 -205.969009)(-6.700000 48.643002 -206.511002)(-6.768000 47.285999 -210.460999)(-6.851000 47.387997 -208.973999)(-6.643000 48.346001 -209.237000)(-6.680000 47.178001 -211.936005)(-6.768000 47.285999 -210.460999)(-6.614000 48.184998 -210.578995)(6.594000 48.016998 -211.906998)(6.689000 47.178001 -211.936005)(-6.680000 47.178001 -211.936005)(7.018000 48.197002 -173.778000)(3.464000 51.718998 -171.860001)(5.285000 46.794003 -165.483994)(2.361000 51.748997 -171.009003)(3.463000 46.819000 -162.660004)(3.464000 51.718998 -171.860001)(1.021000 51.773998 -170.660004)(2.139000 46.829998 -161.613007)(2.361000 51.748997 -171.009003)(-1.497000 51.807999 -171.921997)(0.539004 46.840000 -161.160004)(1.021000 51.773998 -170.660004)(-3.079000 51.820999 -174.412003)(-2.470000 46.856998 -162.563004)(-1.497000 51.807999 -171.921997)(-3.079000 51.820999 -174.412003)(-5.148000 50.096001 -176.875992)(-4.375000 46.869999 -165.427994)(-5.148000 50.096001 -176.875992)(-5.697000 48.441002 -174.139999)(-4.375000 46.869999 -165.427994)(-6.417000 48.396999 -180.687988)(-7.022000 46.870998 -178.806000)(-5.697000 48.441002 -174.139999)(-7.549000 46.834000 -185.563004)(-7.849000 46.146999 -184.936005)(-7.022000 46.870998 -178.806000)(-8.238000 45.500000 -186.490997)(-8.116000 45.500000 -184.449005)(-7.849000 46.146999 -184.936005)(6.689000 47.178001 -211.936005)(6.594000 48.016998 -211.906998)(7.854000 47.555000 -199.136002)(7.854000 47.555000 -199.136002)(7.566000 48.734001 -199.968002)(8.007000 47.906998 -186.419998)(8.007000 47.906998 -186.419998)(7.680000 49.338001 -188.128998)(7.018000 48.197002 -173.778000)(-6.747000 48.911003 -203.733002)(-7.137000 47.743000 -202.923004)(-5.907000 51.631001 -203.296997)(-7.527000 46.597000 -202.227997)(-7.688000 46.663002 -198.932999)(-5.907000 51.631001 -203.296997)(-7.006000 47.576000 -205.969009)(-7.137000 47.743000 -202.923004)(-6.747000 48.911003 -203.733002)(-7.719000 46.041000 -201.937012)(-7.914000 46.070999 -198.559006)(-7.688000 46.663002 -198.932999)(-7.719000 46.041000 -201.937012)(-7.881000 45.500000 -201.690002)(-8.132001 45.500000 -198.287994)(-6.700000 48.643002 -206.511002)(-7.006000 47.576000 -205.969009)(-6.747000 48.911003 -203.733002)(-6.643000 48.346001 -209.237000)(-6.851000 47.387997 -208.973999)(-6.700000 48.643002 -206.511002)(-6.614000 48.184998 -210.578995)(-6.768000 47.285999 -210.460999)(-6.643000 48.346001 -209.237000)(-6.585000 48.016998 -211.906998)(-6.680000 47.178001 -211.936005)(-6.614000 48.184998 -210.578995)(6.594000 48.016998 -211.906998)(-6.680000 47.178001 -211.936005)(-6.585000 48.016998 -211.906998)(4.966000 51.645000 -174.173004)(3.464000 51.718998 -171.860001)(7.018000 48.197002 -173.778000)(2.361000 51.748997 -171.009003)(3.464000 51.718998 -171.860001)(1.021000 51.773998 -170.660004)(1.021000 51.773998 -170.660004)(-0.809997 60.017998 -198.243011)(-1.497000 51.807999 -171.921997)(-3.079000 51.820999 -174.412003)(-1.497000 51.807999 -171.921997)(-1.526000 59.973999 -199.195999)(-4.628000 51.775002 -180.070999)(-5.148000 50.096001 -176.875992)(-3.079000 51.820999 -174.412003)(-5.148000 50.096001 -176.875992)(-6.417000 48.396999 -180.687988)(-5.697000 48.441002 -174.139999)(-6.417000 48.396999 -180.687988)(-7.549000 46.834000 -185.563004)(-7.022000 46.870998 -178.806000)(-8.064000 46.117001 -191.763000)(-7.849000 46.146999 -184.936005)(-7.549000 46.834000 -185.563004)(-8.238000 45.500000 -186.490997)(-7.849000 46.146999 -184.936005)(-8.064000 46.117001 -191.763000)(6.594000 48.016998 -211.906998)(7.566000 48.734001 -199.968002)(7.854000 47.555000 -199.136002)(7.566000 48.734001 -199.968002)(7.680000 49.338001 -188.128998)(8.007000 47.906998 -186.419998)(7.018000 48.197002 -173.778000)(7.680000 49.338001 -188.128998)(6.779000 49.792000 -176.341003)(-6.747000 48.911003 -203.733002)(-5.907000 51.631001 -203.296997)(-6.370000 50.074997 -204.615997)(-5.907000 51.631001 -203.296997)(-7.688000 46.663002 -198.932999)(-7.230000 48.129002 -193.561005)(-7.688000 46.663002 -198.932999)(-7.914000 46.070999 -198.559006)(-7.789000 46.764999 -192.278992)(-7.719000 46.041000 -201.937012)(-8.132001 45.500000 -198.287994)(-7.914000 46.070999 -198.559006)(-6.700000 48.643002 -206.511002)(-6.747000 48.911003 -203.733002)(-6.370000 50.074997 -204.615997)(-6.643000 48.346001 -209.237000)(-6.700000 48.643002 -206.511002)(-6.403000 49.708000 -207.098999)(-6.614000 48.184998 -210.578995)(-6.643000 48.346001 -209.237000)(-6.439000 49.300999 -209.520004)(-6.585000 48.016998 -211.906998)(-6.614000 48.184998 -210.578995)(-6.462000 49.082996 -210.707001)(6.500000 48.856003 -211.878006)(6.594000 48.016998 -211.906998)(-6.585000 48.016998 -211.906998)(6.779000 49.792000 -176.341003)(4.966000 51.645000 -174.173004)(7.018000 48.197002 -173.778000)(3.464000 51.718998 -171.860001)(4.966000 51.645000 -174.173004)(0.826003 60.006001 -197.848999)(3.464000 51.718998 -171.860001)(0.260003 60.020000 -197.738007)(1.021000 51.773998 -170.660004)(-1.497000 51.807999 -171.921997)(-0.809997 60.017998 -198.243011)(-1.526000 59.973999 -199.195999)(-0.809997 60.017998 -198.243011)(1.021000 51.773998 -170.660004)(0.260003 60.020000 -197.738007)(-2.348000 59.750999 -201.315002)(-3.079000 51.820999 -174.412003)(-1.526000 59.973999 -199.195999)(-2.348000 59.750999 -201.315002)(-4.628000 51.775002 -180.070999)(-3.079000 51.820999 -174.412003)(-4.628000 51.775002 -180.070999)(-5.826000 50.002003 -183.061996)(-5.148000 50.096001 -176.875992)(-5.826000 50.002003 -183.061996)(-6.417000 48.396999 -180.687988)(-5.148000 50.096001 -176.875992)(-6.945000 48.294998 -187.167999)(-7.549000 46.834000 -185.563004)(-6.417000 48.396999 -180.687988)(-7.789000 46.764999 -192.278992)(-8.064000 46.117001 -191.763000)(-7.549000 46.834000 -185.563004)(-8.064000 46.117001 -191.763000)(-8.311000 45.500000 -191.347000)(-8.238000 45.500000 -186.490997)(6.594000 48.016998 -211.906998)(6.500000 48.856003 -211.878006)(7.566000 48.734001 -199.968002)(7.566000 48.734001 -199.968002)(7.216000 49.958000 -200.990005)(7.680000 49.338001 -188.128998)(6.779000 49.792000 -176.341003)(7.680000 49.338001 -188.128998)(7.240000 50.829998 -190.195999)(-6.015000 51.216000 -205.533997)(-6.370000 50.074997 -204.615997)(-5.907000 51.631001 -203.296997)(-7.789000 46.764999 -192.278992)(-7.230000 48.129002 -193.561005)(-7.688000 46.663002 -198.932999)(-7.230000 48.129002 -193.561005)(-5.177000 53.637001 -200.503998)(-5.907000 51.631001 -203.296997)(-7.914000 46.070999 -198.559006)(-8.064000 46.117001 -191.763000)(-7.789000 46.764999 -192.278992)(-7.914000 46.070999 -198.559006)(-8.132999 45.500000 -198.246994)(-8.132001 45.500000 -198.287994)(-6.403000 49.708000 -207.098999)(-6.700000 48.643002 -206.511002)(-6.370000 50.074997 -204.615997)(-6.439000 49.300999 -209.520004)(-6.643000 48.346001 -209.237000)(-6.403000 49.708000 -207.098999)(-6.462000 49.082996 -210.707001)(-6.614000 48.184998 -210.578995)(-6.439000 49.300999 -209.520004)(-6.490000 48.856003 -211.878006)(-6.585000 48.016998 -211.906998)(-6.462000 49.082996 -210.707001)(6.500000 48.856003 -211.878006)(-6.585000 48.016998 -211.906998)(-6.490000 48.856003 -211.878006)(6.391000 51.443001 -179.420990)(4.966000 51.645000 -174.173004)(6.779000 49.792000 -176.341003)(0.826003 60.006001 -197.848999)(4.966000 51.645000 -174.173004)(1.305000 59.980999 -198.143997)(0.260003 60.020000 -197.738007)(3.464000 51.718998 -171.860001)(0.826003 60.006001 -197.848999)(-1.526000 59.973999 -199.195999)(-0.809997 60.017998 -198.243011)(-0.722997 61.427998 -205.100998)(-0.809997 60.017998 -198.243011)(0.260003 60.020000 -197.738007)(-0.035998 61.441998 -204.841995)(-2.348000 59.750999 -201.315002)(-1.526000 59.973999 -199.195999)(-1.232000 61.372997 -205.580994)(-2.348000 59.750999 -201.315002)(-2.846000 59.333000 -203.396011)(-4.628000 51.775002 -180.070999)(-4.628000 51.775002 -180.070999)(-5.260000 51.624001 -185.792999)(-5.331860 50.942200 -182.932007)(-5.260000 51.624001 -185.792999)(-5.826000 50.002003 -183.061996)(-5.331860 50.942200 -182.932007)(-5.826000 50.002003 -183.061996)(-4.628000 51.775002 -180.070999)(-5.331860 50.942200 -182.932007)(-5.826000 50.002003 -183.061996)(-6.945000 48.294998 -187.167999)(-6.417000 48.396999 -180.687988)(-6.945000 48.294998 -187.167999)(-7.789000 46.764999 -192.278992)(-7.549000 46.834000 -185.563004)(-8.327000 45.500000 -192.390991)(-8.311000 45.500000 -191.347000)(-8.064000 46.117001 -191.763000)(6.500000 48.856003 -211.878006)(6.398000 49.694000 -211.848999)(7.566000 48.734001 -199.968002)(6.398000 49.694000 -211.848999)(7.216000 49.958000 -200.990005)(7.566000 48.734001 -199.968002)(7.216000 49.958000 -200.990005)(7.240000 50.829998 -190.195999)(7.680000 49.338001 -188.128998)(6.779000 49.792000 -176.341003)(7.240000 50.829998 -190.195999)(6.391000 51.443001 -179.420990)(-5.776450 52.014198 -204.416000)(-5.907000 51.631001 -203.296997)(-5.527000 52.808998 -204.532990)(-5.776450 52.014198 -204.416000)(-5.527000 52.808998 -204.532990)(-6.015000 51.216000 -205.533997)(-5.776450 52.014198 -204.416000)(-6.015000 51.216000 -205.533997)(-5.907000 51.631001 -203.296997)(-6.403000 49.708000 -207.098999)(-6.370000 50.074997 -204.615997)(-6.015000 51.216000 -205.533997)(-7.230000 48.129002 -193.561005)(-7.789000 46.764999 -192.278992)(-6.945000 48.294998 -187.167999)(-5.527000 52.808998 -204.532990)(-5.907000 51.631001 -203.296997)(-5.177000 53.637001 -200.503998)(-5.177000 53.637001 -200.503998)(-7.230000 48.129002 -193.561005)(-6.349000 49.820000 -189.145996)(-7.914000 46.070999 -198.559006)(-8.327000 45.500000 -192.390991)(-8.064000 46.117001 -191.763000)(-7.914000 46.070999 -198.559006)(-8.132999 45.500000 -198.246994)(-8.324350 45.500000 -192.470993)(-7.914000 46.070999 -198.559006)(-8.327000 45.500000 -192.390991)(-8.324350 45.500000 -192.470993)(-6.439000 49.300999 -209.520004)(-6.403000 49.708000 -207.098999)(-6.123000 50.755001 -207.706009)(-6.462000 49.082996 -210.707001)(-6.439000 49.300999 -209.520004)(-6.244000 50.248001 -209.811996)(-6.490000 48.856003 -211.878006)(-6.462000 49.082996 -210.707001)(-6.313000 49.977001 -210.839005)(6.398000 49.694000 -211.848999)(6.500000 48.856003 -211.878006)(-6.490000 48.856003 -211.878006)(1.305000 59.980999 -198.143997)(4.966000 51.645000 -174.173004)(6.391000 51.443001 -179.420990)(0.826003 60.006001 -197.848999)(1.305000 59.980999 -198.143997)(0.643003 61.415001 -205.032013)(0.260003 60.020000 -197.738007)(0.826003 60.006001 -197.848999)(0.325003 61.432999 -204.891998)(-0.722997 61.427998 -205.100998)(-0.809997 60.017998 -198.243011)(-0.035998 61.441998 -204.841995)(-1.526000 59.973999 -199.195999)(-0.722997 61.427998 -205.100998)(-1.232000 61.372997 -205.580994)(-0.035998 61.441998 -204.841995)(0.260003 60.020000 -197.738007)(0.325003 61.432999 -204.891998)(-2.348000 59.750999 -201.315002)(-1.232000 61.372997 -205.580994)(-1.940000 61.132999 -206.639999)(-1.940000 61.132999 -206.639999)(-2.846000 59.333000 -203.396011)(-2.348000 59.750999 -201.315002)(-2.846000 59.333000 -203.396011)(-5.260000 51.624001 -185.792999)(-4.628000 51.775002 -180.070999)(-5.260000 51.624001 -185.792999)(-6.349000 49.820000 -189.145996)(-5.826000 50.002003 -183.061996)(-6.349000 49.820000 -189.145996)(-6.945000 48.294998 -187.167999)(-5.826000 50.002003 -183.061996)(6.398000 49.694000 -211.848999)(6.296000 50.531998 -211.819000)(7.216000 49.958000 -200.990005)(7.240000 50.829998 -190.195999)(7.216000 49.958000 -200.990005)(6.828000 51.190998 -202.139999)(7.240000 50.829998 -190.195999)(6.720000 52.327000 -192.509003)(6.391000 51.443001 -179.420990)(-5.527000 52.808998 -204.532990)(-5.691000 52.317001 -206.455002)(-5.774480 52.013500 -205.494003)(-5.691000 52.317001 -206.455002)(-6.015000 51.216000 -205.533997)(-5.774480 52.013500 -205.494003)(-6.015000 51.216000 -205.533997)(-5.527000 52.808998 -204.532990)(-5.774480 52.013500 -205.494003)(-6.123000 50.755001 -207.706009)(-6.403000 49.708000 -207.098999)(-6.015000 51.216000 -205.533997)(-6.349000 49.820000 -189.145996)(-7.230000 48.129002 -193.561005)(-6.945000 48.294998 -187.167999)(-5.177000 53.637001 -200.503998)(-4.422000 55.972000 -204.091003)(-5.527000 52.808998 -204.532990)(-5.775000 51.353001 -191.386002)(-5.177000 53.637001 -200.503998)(-6.349000 49.820000 -189.145996)(-6.244000 50.248001 -209.811996)(-6.439000 49.300999 -209.520004)(-6.123000 50.755001 -207.706009)(-6.313000 49.977001 -210.839005)(-6.462000 49.082996 -210.707001)(-6.244000 50.248001 -209.811996)(-6.389000 49.694000 -211.848999)(-6.490000 48.856003 -211.878006)(-6.313000 49.977001 -210.839005)(6.398000 49.694000 -211.848999)(-6.490000 48.856003 -211.878006)(-6.389000 49.694000 -211.848999)(1.305000 59.980999 -198.143997)(6.391000 51.443001 -179.420990)(2.006000 59.901001 -198.957993)(1.305000 59.980999 -198.143997)(1.154000 61.348000 -205.423004)(0.643003 61.415001 -205.032013)(0.325003 61.432999 -204.891998)(0.826003 60.006001 -197.848999)(0.643003 61.415001 -205.032013)(-0.722997 61.427998 -205.100998)(-0.035998 61.441998 -204.841995)(0.380002 62.936001 -211.386002)(-1.232000 61.372997 -205.580994)(-0.722997 61.427998 -205.100998)(0.192002 62.968002 -211.384995)(-0.035998 61.441998 -204.841995)(0.325003 61.432999 -204.891998)(0.755002 62.872002 -211.388000)(-1.940000 61.132999 -206.639999)(-1.232000 61.372997 -205.580994)(0.005002 63.000000 -211.384003)(-1.940000 61.132999 -206.639999)(-2.480000 60.709000 -207.674988)(-2.846000 59.333000 -203.396011)(-5.260000 51.624001 -185.792999)(-2.846000 59.333000 -203.396011)(-3.930000 56.761002 -201.100998)(-5.775000 51.353001 -191.386002)(-6.349000 49.820000 -189.145996)(-5.260000 51.624001 -185.792999)(6.296000 50.531998 -211.819000)(6.398000 49.694000 -211.848999)(-6.389000 49.694000 -211.848999)(6.296000 50.531998 -211.819000)(6.828000 51.190998 -202.139999)(7.216000 49.958000 -200.990005)(6.828000 51.190998 -202.139999)(6.720000 52.327000 -192.509003)(7.240000 50.829998 -190.195999)(6.391000 51.443001 -179.420990)(6.720000 52.327000 -192.509003)(2.006000 59.901001 -198.957993)(-5.527000 52.808998 -204.532990)(-4.902000 54.949997 -206.882996)(-5.691000 52.317001 -206.455002)(-6.015000 51.216000 -205.533997)(-5.691000 52.317001 -206.455002)(-6.123000 50.755001 -207.706009)(-4.422000 55.972000 -204.091003)(-5.177000 53.637001 -200.503998)(-3.930000 56.761002 -201.100998)(-4.902000 54.949997 -206.882996)(-5.527000 52.808998 -204.532990)(-4.422000 55.972000 -204.091003)(-5.236000 52.848000 -193.788010)(-5.177000 53.637001 -200.503998)(-5.775000 51.353001 -191.386002)(-6.244000 50.248001 -209.811996)(-6.123000 50.755001 -207.706009)(-5.864000 51.773998 -208.312012)(-6.313000 49.977001 -210.839005)(-6.244000 50.248001 -209.811996)(-6.060000 51.179001 -210.100998)(-6.389000 49.694000 -211.848999)(-6.313000 49.977001 -210.839005)(-6.170000 50.862000 -210.968994)(1.305000 59.980999 -198.143997)(2.006000 59.901001 -198.957993)(1.154000 61.348000 -205.423004)(0.643003 61.415001 -205.032013)(1.154000 61.348000 -205.423004)(1.498000 62.682003 -211.394989)(0.325003 61.432999 -204.891998)(0.643003 61.415001 -205.032013)(1.305000 62.779003 -211.391998)(0.380002 62.936001 -211.386002)(-0.035998 61.441998 -204.841995)(0.755002 62.872002 -211.388000)(0.192002 62.968002 -211.384995)(-0.722997 61.427998 -205.100998)(0.380002 62.936001 -211.386002)(0.005002 63.000000 -211.384003)(-1.232000 61.372997 -205.580994)(0.192002 62.968002 -211.384995)(0.755002 62.872002 -211.388000)(0.325003 61.432999 -204.891998)(1.305000 62.779003 -211.391998)(-0.370998 62.936001 -211.386002)(-1.940000 61.132999 -206.639999)(0.005002 63.000000 -211.384003)(-2.480000 60.709000 -207.674988)(-1.940000 61.132999 -206.639999)(-0.370998 62.936001 -211.386002)(-2.480000 60.709000 -207.674988)(-3.364000 58.702000 -205.360992)(-2.846000 59.333000 -203.396011)(-3.364000 58.702000 -205.360992)(-3.930000 56.761002 -201.100998)(-2.846000 59.333000 -203.396011)(-3.930000 56.761002 -201.100998)(-4.744000 54.265999 -196.261002)(-5.260000 51.624001 -185.792999)(-5.236000 52.848000 -193.788010)(-5.775000 51.353001 -191.386002)(-5.260000 51.624001 -185.792999)(6.296000 50.531998 -211.819000)(-6.389000 49.694000 -211.848999)(-6.287000 50.531998 -211.819000)(6.296000 50.531998 -211.819000)(6.092000 52.208000 -211.761002)(6.828000 51.190998 -202.139999)(6.828000 51.190998 -202.139999)(6.423000 52.404003 -203.362000)(6.720000 52.327000 -192.509003)(2.854000 59.618999 -200.786987)(2.006000 59.901001 -198.957993)(6.720000 52.327000 -192.509003)(-5.155000 54.352001 -208.195007)(-5.691000 52.317001 -206.455002)(-4.902000 54.949997 -206.882996)(-5.864000 51.773998 -208.312012)(-6.123000 50.755001 -207.706009)(-5.691000 52.317001 -206.455002)(-3.364000 58.702000 -205.360992)(-4.422000 55.972000 -204.091003)(-3.930000 56.761002 -201.100998)(-4.744000 54.265999 -196.261002)(-3.930000 56.761002 -201.100998)(-5.177000 53.637001 -200.503998)(-3.909000 57.845997 -207.193008)(-4.902000 54.949997 -206.882996)(-4.422000 55.972000 -204.091003)(-5.236000 52.848000 -193.788010)(-4.744000 54.265999 -196.261002)(-5.177000 53.637001 -200.503998)(-6.060000 51.179001 -210.100998)(-6.244000 50.248001 -209.811996)(-5.864000 51.773998 -208.312012)(-6.170000 50.862000 -210.968994)(-6.313000 49.977001 -210.839005)(-6.060000 51.179001 -210.100998)(-6.287000 50.531998 -211.819000)(-6.389000 49.694000 -211.848999)(-6.170000 50.862000 -210.968994)(1.154000 61.348000 -205.423004)(2.006000 59.901001 -198.957993)(1.922000 61.092999 -206.302994)(1.154000 61.348000 -205.423004)(2.432000 62.215000 -211.410995)(1.498000 62.682003 -211.394989)(0.643003 61.415001 -205.032013)(1.498000 62.682003 -211.394989)(1.305000 62.779003 -211.391998)(0.755002 62.872002 -211.388000)(0.380002 62.936001 -211.386002)(-0.370998 62.936001 -211.386002)(0.380002 62.936001 -211.386002)(0.192002 62.968002 -211.384995)(0.005002 63.000000 -211.384003)(-0.745998 62.872002 -211.388000)(0.755002 62.872002 -211.388000)(1.305000 62.779003 -211.391998)(0.380002 62.936001 -211.386002)(0.005002 63.000000 -211.384003)(-0.370998 62.936001 -211.386002)(-0.745998 62.872002 -211.388000)(-2.480000 60.709000 -207.674988)(-0.370998 62.936001 -211.386002)(-2.480000 60.709000 -207.674988)(-3.043000 60.086998 -208.643005)(-3.364000 58.702000 -205.360992)(-5.260000 51.624001 -185.792999)(-4.744000 54.265999 -196.261002)(-5.236000 52.848000 -193.788010)(6.092000 52.208000 -211.761002)(6.296000 50.531998 -211.819000)(-6.287000 50.531998 -211.819000)(6.092000 52.208000 -211.761002)(6.423000 52.404003 -203.362000)(6.828000 51.190998 -202.139999)(6.720000 52.327000 -192.509003)(6.423000 52.404003 -203.362000)(6.155000 53.779999 -194.962997)(2.006000 59.901001 -198.957993)(2.854000 59.618999 -200.786987)(1.922000 61.092999 -206.302994)(2.854000 59.618999 -200.786987)(6.720000 52.327000 -192.509003)(6.155000 53.779999 -194.962997)(-4.478000 56.754002 -208.874008)(-5.155000 54.352001 -208.195007)(-4.902000 54.949997 -206.882996)(-5.864000 51.773998 -208.312012)(-5.691000 52.317001 -206.455002)(-5.155000 54.352001 -208.195007)(-3.909000 57.845997 -207.193008)(-4.422000 55.972000 -204.091003)(-3.364000 58.702000 -205.360992)(-4.478000 56.754002 -208.874008)(-4.902000 54.949997 -206.882996)(-3.909000 57.845997 -207.193008)(-6.060000 51.179001 -210.100998)(-5.864000 51.773998 -208.312012)(-5.429000 53.695000 -209.445999)(-6.170000 50.862000 -210.968994)(-6.060000 51.179001 -210.100998)(-5.735000 52.980000 -210.636002)(-6.287000 50.531998 -211.819000)(-6.170000 50.862000 -210.968994)(-5.903000 52.600998 -211.207001)(1.154000 61.348000 -205.423004)(1.922000 61.092999 -206.302994)(2.432000 62.215000 -211.410995)(2.432000 62.215000 -211.410995)(-2.423000 62.215000 -211.410995)(1.498000 62.682003 -211.394989)(-2.423000 62.215000 -211.410995)(1.305000 62.779003 -211.391998)(1.498000 62.682003 -211.394989)(0.755002 62.872002 -211.388000)(-0.370998 62.936001 -211.386002)(-0.745998 62.872002 -211.388000)(-1.295000 62.779003 -211.391998)(-0.745998 62.872002 -211.388000)(1.305000 62.779003 -211.391998)(-2.480000 60.709000 -207.674988)(-0.745998 62.872002 -211.388000)(-3.043000 60.086998 -208.643005)(-3.043000 60.086998 -208.643005)(-3.909000 57.845997 -207.193008)(-3.364000 58.702000 -205.360992)(6.092000 52.208000 -211.761002)(-6.287000 50.531998 -211.819000)(-6.083000 52.208000 -211.761002)(6.092000 52.208000 -211.761002)(5.878000 53.882999 -211.702011)(6.423000 52.404003 -203.362000)(6.423000 52.404003 -203.362000)(5.633000 54.673000 -205.832001)(6.155000 53.779999 -194.962997)(1.922000 61.092999 -206.302994)(2.854000 59.618999 -200.786987)(3.232000 60.051003 -208.074997)(5.002000 56.411003 -199.929001)(2.854000 59.618999 -200.786987)(6.155000 53.779999 -194.962997)(-4.784000 56.120998 -209.651001)(-5.155000 54.352001 -208.195007)(-4.478000 56.754002 -208.874008)(-5.429000 53.695000 -209.445999)(-5.864000 51.773998 -208.312012)(-5.155000 54.352001 -208.195007)(-3.633000 59.259003 -209.535995)(-4.478000 56.754002 -208.874008)(-3.909000 57.845997 -207.193008)(-5.735000 52.980000 -210.636002)(-6.060000 51.179001 -210.100998)(-5.429000 53.695000 -209.445999)(-5.903000 52.600998 -211.207001)(-6.170000 50.862000 -210.968994)(-5.735000 52.980000 -210.636002)(-5.903000 52.600998 -211.207001)(-6.083000 52.208000 -211.761002)(-6.287000 50.531998 -211.819000)(1.922000 61.092999 -206.302994)(2.888000 61.794998 -211.426010)(2.432000 62.215000 -211.410995)(-2.423000 62.215000 -211.410995)(2.432000 62.215000 -211.410995)(-2.879000 61.794998 -211.426010)(-1.295000 62.779003 -211.391998)(1.305000 62.779003 -211.391998)(-2.423000 62.215000 -211.410995)(-1.295000 62.779003 -211.391998)(-3.043000 60.086998 -208.643005)(-0.745998 62.872002 -211.388000)(-3.633000 59.259003 -209.535995)(-3.909000 57.845997 -207.193008)(-3.043000 60.086998 -208.643005)(5.878000 53.882999 -211.702011)(6.092000 52.208000 -211.761002)(-6.083000 52.208000 -211.761002)(6.423000 52.404003 -203.362000)(5.878000 53.882999 -211.702011)(5.633000 54.673000 -205.832001)(6.155000 53.779999 -194.962997)(5.633000 54.673000 -205.832001)(5.002000 56.411003 -199.929001)(3.232000 60.051003 -208.074997)(2.888000 61.794998 -211.426010)(1.922000 61.092999 -206.302994)(3.978000 58.521000 -204.459991)(3.232000 60.051003 -208.074997)(2.854000 59.618999 -200.786987)(3.978000 58.521000 -204.459991)(2.854000 59.618999 -200.786987)(5.002000 56.411003 -199.929001)(-4.248000 58.222000 -210.342010)(-4.784000 56.120998 -209.651001)(-4.478000 56.754002 -208.874008)(-5.429000 53.695000 -209.445999)(-5.155000 54.352001 -208.195007)(-4.784000 56.120998 -209.651001)(-4.248000 58.222000 -210.342010)(-4.478000 56.754002 -208.874008)(-3.633000 59.259003 -209.535995)(-5.735000 52.980000 -210.636002)(-5.429000 53.695000 -209.445999)(-5.114000 55.430000 -210.382996)(-5.903000 52.600998 -211.207001)(-5.735000 52.980000 -210.636002)(-5.473000 54.683998 -211.067001)(-5.667000 54.290001 -211.391006)(-6.083000 52.208000 -211.761002)(-5.903000 52.600998 -211.207001)(2.432000 62.215000 -211.410995)(2.888000 61.794998 -211.426010)(-2.879000 61.794998 -211.426010)(-2.879000 61.794998 -211.426010)(-4.573000 57.626999 -210.708008)(-2.423000 62.215000 -211.410995)(-1.295000 62.779003 -211.391998)(-2.423000 62.215000 -211.410995)(-3.633000 59.259003 -209.535995)(-3.633000 59.259003 -209.535995)(-3.043000 60.086998 -208.643005)(-1.295000 62.779003 -211.391998)(5.878000 53.882999 -211.702011)(-6.083000 52.208000 -211.761002)(-5.868000 53.882999 -211.702011)(5.633000 54.673000 -205.832001)(5.878000 53.882999 -211.702011)(5.663000 55.557003 -211.643997)(5.633000 54.673000 -205.832001)(4.962000 56.628998 -208.069000)(5.002000 56.411003 -199.929001)(3.232000 60.051003 -208.074997)(3.962000 60.806000 -211.460999)(2.888000 61.794998 -211.426010)(4.481000 58.223003 -209.835999)(3.232000 60.051003 -208.074997)(3.978000 58.521000 -204.459991)(4.962000 56.628998 -208.069000)(3.978000 58.521000 -204.459991)(5.002000 56.411003 -199.929001)(-4.573000 57.626999 -210.708008)(-4.784000 56.120998 -209.651001)(-4.248000 58.222000 -210.342010)(-5.114000 55.430000 -210.382996)(-5.429000 53.695000 -209.445999)(-4.784000 56.120998 -209.651001)(-4.248000 58.222000 -210.342010)(-3.633000 59.259003 -209.535995)(-2.423000 62.215000 -211.410995)(-5.114000 55.430000 -210.382996)(-5.473000 54.683998 -211.067001)(-5.735000 52.980000 -210.636002)(-5.473000 54.683998 -211.067001)(-5.667000 54.290001 -211.391006)(-5.903000 52.600998 -211.207001)(-5.667000 54.290001 -211.391006)(-5.868000 53.882999 -211.702011)(-6.083000 52.208000 -211.761002)(-2.879000 61.794998 -211.426010)(2.888000 61.794998 -211.426010)(-3.530000 61.195000 -211.447006)(-4.573000 57.626999 -210.708008)(-4.248000 58.222000 -210.342010)(-2.423000 62.215000 -211.410995)(-4.913000 56.983002 -211.048004)(-4.573000 57.626999 -210.708008)(-2.879000 61.794998 -211.426010)(5.663000 55.557003 -211.643997)(5.878000 53.882999 -211.702011)(-5.868000 53.882999 -211.702011)(5.663000 55.557003 -211.643997)(4.962000 56.628998 -208.069000)(5.633000 54.673000 -205.832001)(3.962000 60.806000 -211.460999)(3.232000 60.051003 -208.074997)(3.990250 59.424004 -209.767990)(3.232000 60.051003 -208.074997)(4.481000 58.223003 -209.835999)(3.990250 59.424004 -209.767990)(4.481000 58.223003 -209.835999)(3.962000 60.806000 -211.460999)(3.990250 59.424004 -209.767990)(2.888000 61.794998 -211.426010)(3.962000 60.806000 -211.460999)(-3.530000 61.195000 -211.447006)(4.962000 56.628998 -208.069000)(4.481000 58.223003 -209.835999)(3.978000 58.521000 -204.459991)(-5.114000 55.430000 -210.382996)(-4.784000 56.120998 -209.651001)(-4.573000 57.626999 -210.708008)(-5.114000 55.430000 -210.382996)(-4.913000 56.983002 -211.048004)(-5.473000 54.683998 -211.067001)(-5.473000 54.683998 -211.067001)(-5.271000 56.292999 -211.359985)(-5.667000 54.290001 -211.391006)(-5.667000 54.290001 -211.391006)(-5.459000 55.930000 -211.505997)(-5.868000 53.882999 -211.702011)(-3.530000 61.195000 -211.447006)(-4.913000 56.983002 -211.048004)(-2.879000 61.794998 -211.426010)(-4.573000 57.626999 -210.708008)(-4.913000 56.983002 -211.048004)(-5.114000 55.430000 -210.382996)(5.663000 55.557003 -211.643997)(-5.868000 53.882999 -211.702011)(-5.654000 55.557003 -211.643997)(5.551000 56.394001 -211.614990)(4.962000 56.628998 -208.069000)(5.663000 55.557003 -211.643997)(4.149000 60.521999 -211.471008)(3.962000 60.806000 -211.460999)(4.481000 58.223003 -209.835999)(-3.530000 61.195000 -211.447006)(3.962000 60.806000 -211.460999)(-3.952000 60.806000 -211.460999)(4.962000 56.628998 -208.069000)(5.551000 56.394001 -211.614990)(4.916200 57.263298 -209.841995)(5.551000 56.394001 -211.614990)(4.481000 58.223003 -209.835999)(4.916200 57.263298 -209.841995)(4.481000 58.223003 -209.835999)(4.962000 56.628998 -208.069000)(4.916200 57.263298 -209.841995)(-4.913000 56.983002 -211.048004)(-5.271000 56.292999 -211.359985)(-5.473000 54.683998 -211.067001)(-5.667000 54.290001 -211.391006)(-5.271000 56.292999 -211.359985)(-5.459000 55.930000 -211.505997)(-5.868000 53.882999 -211.702011)(-5.459000 55.930000 -211.505997)(-5.654000 55.557003 -211.643997)(-5.271000 56.292999 -211.359985)(-4.913000 56.983002 -211.048004)(-3.530000 61.195000 -211.447006)(5.551000 56.394001 -211.614990)(5.663000 55.557003 -211.643997)(-5.654000 55.557003 -211.643997)(4.682000 59.712997 -211.499008)(4.149000 60.521999 -211.471008)(4.481000 58.223003 -209.835999)(3.962000 60.806000 -211.460999)(4.149000 60.521999 -211.471008)(-4.139000 60.521999 -211.471008)(3.962000 60.806000 -211.460999)(-4.139000 60.521999 -211.471008)(-3.952000 60.806000 -211.460999)(-3.530000 61.195000 -211.447006)(-3.952000 60.806000 -211.460999)(-5.271000 56.292999 -211.359985)(5.439000 57.231003 -211.585007)(4.481000 58.223003 -209.835999)(5.551000 56.394001 -211.614990)(-5.459000 55.930000 -211.505997)(-5.271000 56.292999 -211.359985)(-3.952000 60.806000 -211.460999)(-5.654000 55.557003 -211.643997)(-5.459000 55.930000 -211.505997)(-4.139000 60.521999 -211.471008)(5.551000 56.394001 -211.614990)(-5.654000 55.557003 -211.643997)(-5.542000 56.394001 -211.614990)(4.682000 59.712997 -211.499008)(4.481000 58.223003 -209.835999)(5.327000 58.068001 -211.556000)(4.149000 60.521999 -211.471008)(4.682000 59.712997 -211.499008)(-4.673000 59.712997 -211.499008)(4.149000 60.521999 -211.471008)(-4.406000 60.118000 -211.485001)(-4.139000 60.521999 -211.471008)(-4.139000 60.521999 -211.471008)(-5.459000 55.930000 -211.505997)(-3.952000 60.806000 -211.460999)(5.327000 58.068001 -211.556000)(4.481000 58.223003 -209.835999)(5.439000 57.231003 -211.585007)(5.439000 57.231003 -211.585007)(5.551000 56.394001 -211.614990)(-5.542000 56.394001 -211.614990)(-5.542000 56.394001 -211.614990)(-5.654000 55.557003 -211.643997)(-4.139000 60.521999 -211.471008)(4.682000 59.712997 -211.499008)(5.327000 58.068001 -211.556000)(-5.206000 58.903999 -211.527008)(4.149000 60.521999 -211.471008)(-4.673000 59.712997 -211.499008)(-4.406000 60.118000 -211.485001)(4.682000 59.712997 -211.499008)(-4.939000 59.308998 -211.513000)(-4.673000 59.712997 -211.499008)(-4.406000 60.118000 -211.485001)(-5.542000 56.394001 -211.614990)(-4.139000 60.521999 -211.471008)(5.327000 58.068001 -211.556000)(5.439000 57.231003 -211.585007)(-5.430000 57.231003 -211.585999)(5.439000 57.231003 -211.585007)(-5.542000 56.394001 -211.614990)(-5.430000 57.231003 -211.585999)(4.682000 59.712997 -211.499008)(-5.206000 58.903999 -211.527008)(-5.073000 59.106998 -211.520004)(5.327000 58.068001 -211.556000)(-5.318000 58.068001 -211.556000)(-5.206000 58.903999 -211.527008)(-4.406000 60.118000 -211.485001)(-4.673000 59.712997 -211.499008)(-5.430000 57.231003 -211.585999)(4.682000 59.712997 -211.499008)(-5.073000 59.106998 -211.520004)(-4.939000 59.308998 -211.513000)(-4.673000 59.712997 -211.499008)(-4.939000 59.308998 -211.513000)(-5.073000 59.106998 -211.520004)(-5.542000 56.394001 -211.614990)(-4.406000 60.118000 -211.485001)(-5.430000 57.231003 -211.585999)(5.327000 58.068001 -211.556000)(-5.430000 57.231003 -211.585999)(-5.318000 58.068001 -211.556000)(-5.206000 58.903999 -211.527008)(-5.073000 59.106998 -211.520004)(-4.673000 59.712997 -211.499008)(-4.673000 59.712997 -211.499008)(-5.206000 58.903999 -211.527008)(-5.318000 58.068001 -211.556000)(-5.318000 58.068001 -211.556000)(-5.430000 57.231003 -211.585999)(-4.673000 59.712997 -211.499008)(0.709323 -18.000000 -255.883011)(3.735800 -18.000000 -255.403992)(1.589000 -18.000000 -258.157013)(-0.701329 -18.000000 -255.883011)(0.003997 -18.000000 -255.995010)(-0.491600 -18.000000 -256.779999)(0.003997 -18.000000 -255.995010)(0.709323 -18.000000 -255.883011)(-0.491600 -18.000000 -256.779999)(1.589000 -18.000000 -258.157013)(-4.719000 -18.000000 -257.725006)(-0.491600 -18.000000 -256.779999)(-4.719000 -18.000000 -257.725006)(-2.529370 -18.000000 -255.593979)(-0.491600 -18.000000 -256.779999)(-2.529370 -18.000000 -255.593979)(-0.701329 -18.000000 -255.883011)(-0.491600 -18.000000 -256.779999)(0.709323 -18.000000 -255.883011)(1.589000 -18.000000 -258.157013)(-0.491600 -18.000000 -256.779999)(-10.676001 -18.000000 -255.607986)(-8.449170 -18.000000 -253.966003)(-7.121300 -18.000000 -254.642990)(-6.485000 -18.000000 -254.967010)(-2.529370 -18.000000 -255.593979)(-6.602690 -18.000000 -255.845993)(-2.529370 -18.000000 -255.593979)(-4.719000 -18.000000 -257.725006)(-6.602690 -18.000000 -255.845993)(-4.719000 -18.000000 -257.725006)(-10.676001 -18.000000 -255.607986)(-6.602690 -18.000000 -255.845993)(-7.121300 -18.000000 -254.642990)(-6.485000 -18.000000 -254.967010)(-6.602690 -18.000000 -255.845993)(-10.676001 -18.000000 -255.607986)(-7.121300 -18.000000 -254.642990)(-6.602690 -18.000000 -255.845993)(6.493890 -18.000000 -254.967010)(7.130300 -18.000000 -254.642990)(7.779000 -18.000000 -256.869995)(7.130300 -18.000000 -254.642990)(9.885770 -18.000000 -253.238998)(7.779000 -18.000000 -256.869995)(3.735800 -18.000000 -255.403992)(6.493890 -18.000000 -254.967010)(5.737380 -18.000000 -255.697998)(7.779000 -18.000000 -256.869995)(1.589000 -18.000000 -258.157013)(5.737380 -18.000000 -255.697998)(1.589000 -18.000000 -258.157013)(3.735800 -18.000000 -255.403992)(5.737380 -18.000000 -255.697998)(6.493890 -18.000000 -254.967010)(7.779000 -18.000000 -256.869995)(5.737380 -18.000000 -255.697998)(1.545000 -36.500000 -257.511993)(-4.719000 -18.000000 -257.725006)(1.589000 -18.000000 -258.157013)(-15.842000 -18.000000 -251.962006)(-13.588400 -18.000000 -250.735016)(-12.844000 -18.000000 -251.479004)(-12.339000 -18.000000 -251.983994)(-8.449170 -18.000000 -253.966003)(-12.145600 -18.000000 -253.170990)(-8.449170 -18.000000 -253.966003)(-10.676001 -18.000000 -255.607986)(-12.145600 -18.000000 -253.170990)(-10.676001 -18.000000 -255.607986)(-15.842000 -18.000000 -251.962006)(-12.145600 -18.000000 -253.170990)(-12.844000 -18.000000 -251.479004)(-12.339000 -18.000000 -251.983994)(-12.145600 -18.000000 -253.170990)(-15.842000 -18.000000 -251.962006)(-12.844000 -18.000000 -251.479004)(-12.145600 -18.000000 -253.170990)(-4.587000 -36.500000 -257.093018)(-10.676001 -18.000000 -255.607986)(-4.719000 -18.000000 -257.725006)(9.885770 -18.000000 -253.238998)(12.348000 -18.000000 -251.983994)(13.393000 -18.000000 -253.962006)(12.348000 -18.000000 -251.983994)(12.853001 -18.000000 -251.479004)(13.393000 -18.000000 -253.962006)(12.853001 -18.000000 -251.479004)(15.493700 -18.000000 -248.838013)(13.393000 -18.000000 -253.962006)(7.779000 -18.000000 -256.869995)(9.885770 -18.000000 -253.238998)(13.393000 -18.000000 -253.962006)(7.563000 -36.500000 -256.261993)(1.589000 -18.000000 -258.157013)(7.779000 -18.000000 -256.869995)(7.563000 -36.500000 -256.261993)(1.545000 -36.500000 -257.511993)(1.589000 -18.000000 -258.157013)(1.545000 -36.500000 -257.511993)(-4.587000 -36.500000 -257.093018)(-4.719000 -18.000000 -257.725006)(-19.832001 -18.000000 -247.057999)(-17.565300 -18.000000 -246.198990)(-17.309200 -18.000000 -246.701996)(-19.832001 -18.000000 -247.057999)(-17.309200 -18.000000 -246.701996)(-16.984999 -18.000000 -247.337997)(-16.984999 -18.000000 -247.337997)(-13.588400 -18.000000 -250.735016)(-16.710199 -18.000000 -249.080994)(-13.588400 -18.000000 -250.735016)(-15.842000 -18.000000 -251.962006)(-16.710199 -18.000000 -249.080994)(-15.842000 -18.000000 -251.962006)(-19.832001 -18.000000 -247.057999)(-16.710199 -18.000000 -249.080994)(-19.832001 -18.000000 -247.057999)(-16.984999 -18.000000 -247.337997)(-16.710199 -18.000000 -249.080994)(-10.379000 -36.500000 -255.033997)(-15.842000 -18.000000 -251.962006)(-10.676001 -18.000000 -255.607986)(-4.587000 -36.500000 -257.093018)(-10.379000 -36.500000 -255.033997)(-10.676001 -18.000000 -255.607986)(17.318100 -18.000000 -246.701996)(19.976900 -18.000000 -241.484009)(18.013000 -18.000000 -249.645996)(13.393000 -18.000000 -253.962006)(15.493700 -18.000000 -248.838013)(18.013000 -18.000000 -249.645996)(15.493700 -18.000000 -248.838013)(16.993999 -18.000000 -247.337997)(18.013000 -18.000000 -249.645996)(16.993999 -18.000000 -247.337997)(17.318100 -18.000000 -246.701996)(18.013000 -18.000000 -249.645996)(22.854000 -18.000000 -230.886002)(19.976900 -18.000000 -241.484009)(20.088600 -18.000000 -240.778992)(20.900000 -18.000000 -235.651993)(22.854000 -18.000000 -230.886002)(20.088600 -18.000000 -240.778992)(18.013000 -18.000000 -249.645996)(19.976900 -18.000000 -241.484009)(22.854000 -18.000000 -230.886002)(13.020000 -36.500000 -253.434006)(7.779000 -18.000000 -256.869995)(13.393000 -18.000000 -253.962006)(13.020000 -36.500000 -253.434006)(7.563000 -36.500000 -256.261993)(7.779000 -18.000000 -256.869995)(1.545000 -36.500000 -257.511993)(7.563000 -36.500000 -256.261993)(22.218000 -36.500000 -231.000000)(-4.587000 -36.500000 -257.093018)(1.545000 -36.500000 -257.511993)(22.218000 -36.500000 -231.000000)(-20.079700 -18.000000 -240.778992)(-20.086000 -18.000000 -240.738998)(-22.350000 -18.000000 -241.258987)(-22.350000 -18.000000 -241.258987)(-20.079700 -18.000000 -240.778992)(-19.967999 -18.000000 -241.484009)(-19.967999 -18.000000 -241.484009)(-17.565300 -18.000000 -246.198990)(-19.957600 -18.000000 -243.899002)(-17.565300 -18.000000 -246.198990)(-19.832001 -18.000000 -247.057999)(-19.957600 -18.000000 -243.899002)(-19.832001 -18.000000 -247.057999)(-22.350000 -18.000000 -241.258987)(-19.957600 -18.000000 -243.899002)(-22.350000 -18.000000 -241.258987)(-19.967999 -18.000000 -241.484009)(-19.957600 -18.000000 -243.899002)(-19.832001 -18.000000 -247.057999)(-15.842000 -18.000000 -251.962006)(-15.401000 -36.500000 -251.489990)(-10.379000 -36.500000 -255.033997)(-15.401000 -36.500000 -251.489990)(-15.842000 -18.000000 -251.962006)(-10.379000 -36.500000 -255.033997)(-4.587000 -36.500000 -257.093018)(22.218000 -36.500000 -231.000000)(21.004002 -18.000000 -234.994995)(20.889601 -18.000000 -234.272003)(22.854000 -18.000000 -230.886002)(20.900000 -18.000000 -235.651993)(21.004002 -18.000000 -234.994995)(22.854000 -18.000000 -230.886002)(22.854000 -18.000000 -230.886002)(21.298000 -18.000000 -244.243988)(18.013000 -18.000000 -249.645996)(17.511999 -36.500000 -249.238998)(13.393000 -18.000000 -253.962006)(18.013000 -18.000000 -249.645996)(17.511999 -36.500000 -249.238998)(13.020000 -36.500000 -253.434006)(13.393000 -18.000000 -253.962006)(7.563000 -36.500000 -256.261993)(13.020000 -36.500000 -253.434006)(22.218000 -36.500000 -231.000000)(-23.211000 -18.000000 -234.994995)(-20.964300 -18.000000 -234.794998)(-20.996000 -18.000000 -234.994995)(-20.996000 -18.000000 -234.994995)(-20.086000 -18.000000 -240.738998)(-21.648500 -18.000000 -238.027008)(-20.086000 -18.000000 -240.738998)(-22.350000 -18.000000 -241.258987)(-21.648500 -18.000000 -238.027008)(-22.350000 -18.000000 -241.258987)(-23.211000 -18.000000 -234.994995)(-21.648500 -18.000000 -238.027008)(-23.211000 -18.000000 -234.994995)(-20.996000 -18.000000 -234.994995)(-21.648500 -18.000000 -238.027008)(-22.350000 -18.000000 -241.258987)(-19.832001 -18.000000 -247.057999)(-19.279999 -36.500000 -246.722000)(-19.832001 -18.000000 -247.057999)(-15.401000 -36.500000 -251.489990)(-19.279999 -36.500000 -246.722000)(-15.401000 -36.500000 -251.489990)(-10.379000 -36.500000 -255.033997)(22.218000 -36.500000 -231.000000)(20.775501 -18.000000 -233.550995)(22.854000 -18.000000 -230.886002)(20.889601 -18.000000 -234.272003)(18.013000 -18.000000 -249.645996)(21.298000 -18.000000 -244.243988)(20.705999 -36.500000 -243.987000)(22.854000 -18.000000 -230.886002)(23.004000 -18.000000 -238.156006)(21.298000 -18.000000 -244.243988)(18.013000 -18.000000 -249.645996)(20.705999 -36.500000 -243.987000)(17.511999 -36.500000 -249.238998)(13.020000 -36.500000 -253.434006)(17.511999 -36.500000 -249.238998)(22.218000 -36.500000 -231.000000)(-23.211000 -18.000000 -234.994995)(-22.350000 -18.000000 -241.258987)(-21.727999 -36.500000 -241.084000)(-20.684700 -18.000000 -233.029999)(-20.964300 -18.000000 -234.794998)(-21.778000 -18.000000 -232.940002)(-20.964300 -18.000000 -234.794998)(-23.211000 -18.000000 -234.994995)(-21.778000 -18.000000 -232.940002)(-23.211000 -18.000000 -234.994995)(-22.844999 -18.000000 -230.886002)(-21.778000 -18.000000 -232.940002)(-22.844999 -18.000000 -230.886002)(-20.345001 -18.000000 -230.886002)(-21.778000 -18.000000 -232.940002)(-20.345001 -18.000000 -230.886002)(-20.684700 -18.000000 -233.029999)(-21.778000 -18.000000 -232.940002)(-22.350000 -18.000000 -241.258987)(-19.279999 -36.500000 -246.722000)(-21.727999 -36.500000 -241.084000)(-19.279999 -36.500000 -246.722000)(-15.401000 -36.500000 -251.489990)(22.218000 -36.500000 -231.000000)(20.353699 -18.000000 -230.886002)(20.200298 -18.000000 -229.917007)(22.854000 -18.000000 -230.886002)(20.200298 -18.000000 -229.917007)(19.976999 -18.000000 -228.505997)(22.854000 -18.000000 -230.886002)(19.976999 -18.000000 -228.505997)(19.189798 -18.000000 -226.960999)(22.854000 -18.000000 -230.886002)(20.388500 -18.000000 -231.106003)(20.353699 -18.000000 -230.886002)(22.854000 -18.000000 -230.886002)(20.441299 -18.000000 -231.439987)(20.388500 -18.000000 -231.106003)(22.854000 -18.000000 -230.886002)(20.495100 -18.000000 -231.779999)(20.441299 -18.000000 -231.439987)(22.854000 -18.000000 -230.886002)(20.552101 -18.000000 -232.139999)(20.495100 -18.000000 -231.779999)(22.854000 -18.000000 -230.886002)(20.615000 -18.000000 -232.537003)(20.552101 -18.000000 -232.139999)(22.854000 -18.000000 -230.886002)(20.687399 -18.000000 -232.995010)(20.615000 -18.000000 -232.537003)(22.854000 -18.000000 -230.886002)(20.687399 -18.000000 -232.995010)(22.854000 -18.000000 -230.886002)(20.775501 -18.000000 -233.550995)(21.298000 -18.000000 -244.243988)(22.364000 -36.500000 -238.067993)(20.705999 -36.500000 -243.987000)(22.854000 -18.000000 -230.886002)(23.004000 -18.000000 -231.834000)(23.004000 -18.000000 -238.156006)(21.298000 -18.000000 -244.243988)(23.004000 -18.000000 -238.156006)(22.364000 -36.500000 -238.067993)(17.511999 -36.500000 -249.238998)(20.705999 -36.500000 -243.987000)(22.218000 -36.500000 -231.000000)(-23.211000 -18.000000 -234.994995)(-21.727999 -36.500000 -241.084000)(-22.565001 -36.500000 -234.994995)(-22.844999 -18.000000 -230.886002)(-23.211000 -18.000000 -234.994995)(-22.565001 -36.500000 -234.994995)(-22.844999 -18.000000 -230.886002)(-18.568399 -18.000000 -225.759003)(-19.967999 -18.000000 -228.505997)(-22.844999 -18.000000 -230.886002)(-19.967999 -18.000000 -228.505997)(-20.345001 -18.000000 -230.886002)(-10.355000 -18.000000 -216.994995)(-12.339000 -18.000000 -218.005997)(-16.600000 -18.000000 -210.363998)(-12.339000 -18.000000 -218.005997)(-13.120399 -18.000000 -218.787003)(-16.600000 -18.000000 -210.363998)(-13.120399 -18.000000 -218.787003)(-16.984999 -18.000000 -222.652008)(-16.600000 -18.000000 -210.363998)(-16.984999 -18.000000 -222.652008)(-18.568399 -18.000000 -225.759003)(-16.600000 -18.000000 -210.363998)(-22.844999 -18.000000 -230.886002)(-15.463000 -18.000000 -189.843002)(-16.600000 -18.000000 -210.363998)(-15.463000 -18.000000 -189.843002)(-10.355000 -18.000000 -195.314011)(-16.600000 -18.000000 -210.363998)(-10.355000 -18.000000 -195.314011)(-10.355000 -18.000000 -216.994995)(-16.600000 -18.000000 -210.363998)(-18.568399 -18.000000 -225.759003)(-22.844999 -18.000000 -230.886002)(-16.600000 -18.000000 -210.363998)(-21.727999 -36.500000 -241.084000)(-19.279999 -36.500000 -246.722000)(22.218000 -36.500000 -231.000000)(22.854000 -18.000000 -230.886002)(19.189798 -18.000000 -226.960999)(18.835001 -18.000000 -226.264999)(20.705999 -36.500000 -243.987000)(22.364000 -36.500000 -238.067993)(22.218000 -36.500000 -231.000000)(23.004000 -18.000000 -231.834000)(22.854000 -18.000000 -230.886002)(22.218000 -36.500000 -231.000000)(23.004000 -18.000000 -238.156006)(23.004000 -18.000000 -231.834000)(22.364000 -36.500000 -231.921997)(22.364000 -36.500000 -238.067993)(23.004000 -18.000000 -238.156006)(22.364000 -36.500000 -231.921997)(-22.565001 -36.500000 -234.994995)(-21.727999 -36.500000 -241.084000)(22.218000 -36.500000 -231.000000)(-22.844999 -18.000000 -230.886002)(-22.565001 -36.500000 -234.994995)(-22.209000 -36.500000 -231.000000)(-22.209000 -36.500000 -231.000000)(-15.463000 -18.000000 -189.843002)(-22.844999 -18.000000 -230.886002)(-10.355000 -18.000000 -193.092010)(-10.355000 -18.000000 -195.314011)(-12.908999 -18.000000 -191.418015)(-10.355000 -18.000000 -195.314011)(-15.463000 -18.000000 -189.843002)(-12.908999 -18.000000 -191.418015)(-15.463000 -18.000000 -189.843002)(-14.860001 -18.000000 -187.521988)(-12.908999 -18.000000 -191.418015)(-14.860001 -18.000000 -187.521988)(-10.355000 -18.000000 -192.701996)(-12.908999 -18.000000 -191.418015)(-10.355000 -18.000000 -192.701996)(-10.355000 -18.000000 -193.092010)(-12.908999 -18.000000 -191.418015)(17.897301 -18.000000 -224.425003)(17.439800 -18.000000 -223.526993)(22.854000 -18.000000 -230.886002)(18.835001 -18.000000 -226.264999)(17.897301 -18.000000 -224.425003)(22.854000 -18.000000 -230.886002)(22.364000 -36.500000 -238.067993)(22.364000 -36.500000 -231.921997)(22.218000 -36.500000 -231.000000)(22.854000 -18.000000 -230.886002)(14.836000 -36.500000 -189.956985)(22.218000 -36.500000 -231.000000)(23.004000 -18.000000 -231.834000)(22.218000 -36.500000 -231.000000)(22.364000 -36.500000 -231.921997)(-22.209000 -36.500000 -231.000000)(-22.565001 -36.500000 -234.994995)(22.218000 -36.500000 -231.000000)(-22.209000 -36.500000 -231.000000)(-14.827000 -36.500000 -189.956985)(-15.463000 -18.000000 -189.843002)(-14.860001 -18.000000 -187.521988)(-15.463000 -18.000000 -189.843002)(-14.827000 -36.500000 -189.956985)(-10.355000 -18.000000 -185.748001)(-10.355000 -18.000000 -192.701996)(-12.607500 -18.000000 -187.837006)(-10.355000 -18.000000 -192.701996)(-14.860001 -18.000000 -187.521988)(-12.607500 -18.000000 -187.837006)(-14.860001 -18.000000 -187.521988)(-12.396999 -18.000000 -182.972000)(-12.607500 -18.000000 -187.837006)(-12.396999 -18.000000 -182.972000)(-10.355000 -18.000000 -185.748001)(-12.607500 -18.000000 -187.837006)(10.363999 -18.000000 -213.908997)(10.363999 -18.000000 -210.462997)(15.748899 -18.000000 -221.229004)(15.748899 -18.000000 -221.229004)(10.363999 -18.000000 -210.462997)(16.039001 -18.000000 -221.507004)(10.363999 -18.000000 -210.462997)(16.993999 -18.000000 -222.652008)(16.039001 -18.000000 -221.507004)(22.854000 -18.000000 -230.886002)(16.993999 -18.000000 -222.652008)(10.363999 -18.000000 -210.462997)(17.439800 -18.000000 -223.526993)(16.993999 -18.000000 -222.652008)(22.854000 -18.000000 -230.886002)(15.472000 -18.000000 -189.843002)(14.836000 -36.500000 -189.956985)(22.854000 -18.000000 -230.886002)(14.836000 -36.500000 -189.956985)(13.258000 -36.500000 -185.453003)(22.218000 -36.500000 -231.000000)(-22.209000 -36.500000 -231.000000)(22.218000 -36.500000 -231.000000)(-14.827000 -36.500000 -189.956985)(-14.860001 -18.000000 -187.521988)(-14.827000 -36.500000 -189.956985)(-14.249000 -36.500000 -187.731995)(-12.396999 -18.000000 -182.972000)(-14.860001 -18.000000 -187.521988)(-14.249000 -36.500000 -187.731995)(-12.396999 -18.000000 -182.972000)(-10.355000 -18.000000 -181.091995)(-10.355000 -18.000000 -185.748001)(-11.888000 -36.500000 -183.369003)(-8.737850 -18.823999 -179.642014)(-9.325880 -18.524401 -180.169006)(-9.325880 -18.524401 -180.169006)(-10.355000 -18.000000 -181.091995)(-12.396999 -18.000000 -182.972000)(-11.888000 -36.500000 -183.369003)(-9.325880 -18.524401 -180.169006)(-12.396999 -18.000000 -182.972000)(11.098400 -18.000000 -217.369003)(10.363999 -18.000000 -216.525009)(11.363400 -18.000000 -217.503998)(10.363999 -18.000000 -216.525009)(10.363999 -18.000000 -213.908997)(11.363400 -18.000000 -217.503998)(11.363400 -18.000000 -217.503998)(10.363999 -18.000000 -213.908997)(12.348000 -18.000000 -218.005997)(12.348000 -18.000000 -218.005997)(10.363999 -18.000000 -213.908997)(12.826800 -18.000000 -218.425003)(12.826800 -18.000000 -218.425003)(10.363999 -18.000000 -213.908997)(15.748899 -18.000000 -221.229004)(10.863900 -17.745201 -181.250000)(10.363999 -18.000000 -180.876999)(10.363999 -18.000000 -191.116013)(10.363999 -18.000000 -210.462997)(10.363999 -18.000000 -205.869003)(22.854000 -18.000000 -230.886002)(15.472000 -18.000000 -189.843002)(13.258000 -36.500000 -185.453003)(14.836000 -36.500000 -189.956985)(13.825999 -18.000000 -185.145004)(15.472000 -18.000000 -189.843002)(22.854000 -18.000000 -230.886002)(22.218000 -36.500000 -231.000000)(13.258000 -36.500000 -185.453003)(10.211000 -36.500000 -181.537994)(-14.827000 -36.500000 -189.956985)(22.218000 -36.500000 -231.000000)(-14.249000 -36.500000 -187.731995)(-12.396999 -18.000000 -182.972000)(-14.249000 -36.500000 -187.731995)(-11.888000 -36.500000 -183.369003)(-8.573680 -18.907700 -179.495010)(-8.737850 -18.823999 -179.642014)(-10.231800 -27.661999 -181.431000)(-8.737850 -18.823999 -179.642014)(-11.888000 -36.500000 -183.369003)(-10.231800 -27.661999 -181.431000)(-11.888000 -36.500000 -183.369003)(-8.238000 -36.500000 -180.008987)(-10.231800 -27.661999 -181.431000)(-8.238000 -36.500000 -180.008987)(-8.573680 -18.907700 -179.495010)(-10.231800 -27.661999 -181.431000)(-8.238000 -36.500000 -180.008987)(-4.399590 -20.302299 -177.716003)(-6.485000 -19.972000 -178.617996)(-8.238000 -36.500000 -180.008987)(-6.485000 -19.972000 -178.617996)(-8.573680 -18.907700 -179.495010)(10.363999 -18.000000 -216.994995)(10.363999 -18.000000 -216.525009)(11.098400 -18.000000 -217.369003)(10.363999 -18.000000 -205.869003)(10.363999 -18.000000 -199.636002)(22.854000 -18.000000 -230.886002)(10.363999 -18.000000 -199.636002)(10.363999 -18.000000 -191.116013)(22.854000 -18.000000 -230.886002)(10.363999 -18.000000 -180.876999)(10.649000 -18.000000 -181.063004)(10.363999 -18.000000 -191.116013)(10.363999 -18.000000 -191.116013)(10.649000 -18.000000 -181.063004)(22.854000 -18.000000 -230.886002)(6.058000 -36.500000 -178.823990)(10.649000 -18.000000 -181.063004)(9.379889 -18.501499 -180.253998)(10.649000 -18.000000 -181.063004)(10.363999 -18.000000 -180.876999)(9.379889 -18.501499 -180.253998)(6.058000 -36.500000 -178.823990)(9.379889 -18.501499 -180.253998)(6.494000 -19.972000 -178.428986)(6.058000 -36.500000 -178.823990)(6.494000 -19.972000 -178.428986)(6.289830 -20.004301 -178.296997)(15.472000 -18.000000 -189.843002)(13.825999 -18.000000 -185.145004)(13.258000 -36.500000 -185.453003)(10.649000 -18.000000 -181.063004)(13.825999 -18.000000 -185.145004)(22.854000 -18.000000 -230.886002)(6.058000 -36.500000 -178.823990)(22.218000 -36.500000 -231.000000)(10.211000 -36.500000 -181.537994)(13.825999 -18.000000 -185.145004)(10.211000 -36.500000 -181.537994)(13.258000 -36.500000 -185.453003)(-14.249000 -36.500000 -187.731995)(22.218000 -36.500000 -231.000000)(-11.888000 -36.500000 -183.369003)(-11.888000 -36.500000 -183.369003)(22.218000 -36.500000 -231.000000)(-8.238000 -36.500000 -180.008987)(-8.238000 -36.500000 -180.008987)(-3.695000 -36.500000 -178.016006)(-4.399590 -20.302299 -177.716003)(-3.695000 -36.500000 -178.016006)(-3.833440 -20.392000 -177.470993)(-4.399590 -20.302299 -177.716003)(-3.695000 -36.500000 -178.016006)(0.513453 -20.919399 -177.128998)(0.004530 -21.000000 -177.173996)(-3.695000 -36.500000 -178.016006)(0.004530 -21.000000 -177.173996)(-3.023690 -20.520300 -177.407990)(-3.695000 -36.500000 -178.016006)(-3.023690 -20.520300 -177.407990)(-3.833440 -20.392000 -177.470993)(1.249000 -36.500000 -177.606995)(6.058000 -36.500000 -178.823990)(5.745170 -20.090601 -178.161987)(6.058000 -36.500000 -178.823990)(6.289830 -20.004301 -178.296997)(5.745170 -20.090601 -178.161987)(6.058000 -36.500000 -178.823990)(10.211000 -36.500000 -181.537994)(10.649000 -18.000000 -181.063004)(13.825999 -18.000000 -185.145004)(10.649000 -18.000000 -181.063004)(10.211000 -36.500000 -181.537994)(1.249000 -36.500000 -177.606995)(22.218000 -36.500000 -231.000000)(6.058000 -36.500000 -178.823990)(-8.238000 -36.500000 -180.008987)(22.218000 -36.500000 -231.000000)(-3.695000 -36.500000 -178.016006)(-3.695000 -36.500000 -178.016006)(1.249000 -36.500000 -177.606995)(0.513453 -20.919399 -177.128998)(1.249000 -36.500000 -177.606995)(1.293990 -20.795700 -177.059998)(0.513453 -20.919399 -177.128998)(1.249000 -36.500000 -177.606995)(5.745170 -20.090601 -178.161987)(3.404220 -20.461399 -177.582993)(1.249000 -36.500000 -177.606995)(3.404220 -20.461399 -177.582993)(1.293990 -20.795700 -177.059998)(-3.695000 -36.500000 -178.016006)(22.218000 -36.500000 -231.000000)(1.249000 -36.500000 -177.606995)))
           )
           )))
    (send glvertices :calc-normals)
    (send self :assoc glvertices)
    glvertices)
  (:qhull-faceset ()
   ;; qhull 3465 -> 28 faces
   (instance faceset :init :faces (list
    (instance face :init :vertices (list (float-vector -22.496000 45.499999 -149.994999) (float-vector -22.495000 45.499999 -211.995006) (float-vector 0.005002 63.000001 -211.383998)))
    (instance face :init :vertices (list (float-vector -8.948000 34.869000 -139.994994) (float-vector -30.391000 19.290000 -139.994994) (float-vector -22.496000 45.499999 -149.994999)))
    (instance face :init :vertices (list (float-vector -22.495000 45.499999 -211.995006) (float-vector -22.496000 45.499999 -149.994999) (float-vector -30.391000 19.290000 -139.994994) (float-vector -35.994999 -0.000007 -139.994994)))
    (instance face :init :vertices (list (float-vector 22.505000 45.499999 -149.994999) (float-vector -22.496000 45.499999 -149.994999) (float-vector 0.005002 63.000001 -211.383998)))
    (instance face :init :vertices (list (float-vector 22.505000 45.499999 -149.994999) (float-vector 22.505000 45.499999 -211.995006) (float-vector 35.932999 2.260990 -139.994994)))
    (instance face :init :vertices (list (float-vector 22.505000 45.499999 -211.995006) (float-vector 22.505000 45.499999 -149.994999) (float-vector 0.005002 63.000001 -211.383998)))
    (instance face :init :vertices (list (float-vector -32.568999 -15.328000 -139.994994) (float-vector -22.565000 -36.499999 -234.994993) (float-vector -35.994999 -0.000007 -139.994994)))
    (instance face :init :vertices (list (float-vector -32.568999 -15.328000 -139.994994) (float-vector -21.156000 -29.124999 -139.994994) (float-vector -22.565000 -36.499999 -234.994993)))
    (instance face :init :vertices (list (float-vector -21.156000 -29.124999 -139.994994) (float-vector -13.248000 -33.472002 -139.994994) (float-vector -22.565000 -36.499999 -234.994993)))
    (instance face :init :vertices (list (float-vector 13.257000 -33.472002 -139.994994) (float-vector 27.743001 -22.947000 -139.994994) (float-vector 22.364000 -36.499999 -238.067999)))
    (instance face :init :vertices (list (float-vector 24.648000 26.242999 -139.994994) (float-vector 22.505000 45.499999 -149.994999) (float-vector 35.932999 2.260990 -139.994994)))
    (instance face :init :vertices (list (float-vector 17.511999 -36.499999 -249.238998) (float-vector 13.393000 -17.999999 -253.962010) (float-vector 1.545000 -36.499999 -257.512003)))
    (instance face :init :vertices (list (float-vector 13.257000 -33.472002 -139.994994) (float-vector 22.364000 -36.499999 -238.067999) (float-vector 17.511999 -36.499999 -249.238998) (float-vector 1.545000 -36.499999 -257.512003) (float-vector -15.401000 -36.499999 -251.489997) (float-vector -22.565000 -36.499999 -234.994993) (float-vector -13.248000 -33.472002 -139.994994)))
    (instance face :init :vertices (list (float-vector 12.348000 23.000000 -251.984000) (float-vector 13.393000 -17.999999 -253.962010) (float-vector 17.511999 -36.499999 -249.238998) (float-vector 22.364000 -36.499999 -238.067999) (float-vector 19.975999 23.000000 -241.484001)))
    (instance face :init :vertices (list (float-vector 22.505000 45.499999 -211.995006) (float-vector 0.005002 63.000001 -211.383998) (float-vector 6.493000 23.000000 -254.967004) (float-vector 12.348000 23.000000 -251.984000) (float-vector 19.975999 23.000000 -241.484001)))
    (instance face :init :vertices (list (float-vector 35.367001 -6.746010 -139.994994) (float-vector 35.932999 2.260990 -139.994994) (float-vector 22.505000 45.499999 -211.995006) (float-vector 19.975999 23.000000 -241.484001) (float-vector 22.364000 -36.499999 -238.067999)))
    (instance face :init :vertices (list (float-vector 27.743001 -22.947000 -139.994994) (float-vector 35.367001 -6.746010 -139.994994) (float-vector 22.364000 -36.499999 -238.067999)))
    (instance face :init :vertices (list (float-vector 24.648000 26.242999 -139.994994) (float-vector 8.957000 34.869000 -139.994994) (float-vector 22.505000 45.499999 -149.994999)))
    (instance face :init :vertices (list (float-vector -35.994999 -0.000007 -139.994994) (float-vector -30.391000 19.290000 -139.994994) (float-vector -8.948000 34.869000 -139.994994) (float-vector 8.957000 34.869000 -139.994994) (float-vector 24.648000 26.242999 -139.994994) (float-vector 35.932999 2.260990 -139.994994) (float-vector 35.367001 -6.746010 -139.994994) (float-vector 27.743001 -22.947000 -139.994994) (float-vector 13.257000 -33.472002 -139.994994) (float-vector -13.248000 -33.472002 -139.994994) (float-vector -21.156000 -29.124999 -139.994994) (float-vector -32.568999 -15.328000 -139.994994)))
    (instance face :init :vertices (list (float-vector -22.496000 45.499999 -149.994999) (float-vector 22.505000 45.499999 -149.994999) (float-vector 8.957000 34.869000 -139.994994) (float-vector -8.948000 34.869000 -139.994994)))
    (instance face :init :vertices (list (float-vector -12.339000 23.000000 -251.984000) (float-vector 0.005002 63.000001 -211.383998) (float-vector -22.495000 45.499999 -211.995006) (float-vector -16.984999 23.000000 -247.337997)))
    (instance face :init :vertices (list (float-vector -4.719000 -17.999999 -257.725000) (float-vector -15.401000 -36.499999 -251.489997) (float-vector 1.545000 -36.499999 -257.512003)))
    (instance face :init :vertices (list (float-vector -15.401000 -36.499999 -251.489997) (float-vector -19.832000 -17.999999 -247.058004) (float-vector -22.565000 -36.499999 -234.994993)))
    (instance face :init :vertices (list (float-vector -22.565000 -36.499999 -234.994993) (float-vector -19.832000 -17.999999 -247.058004) (float-vector -16.984999 23.000000 -247.337997) (float-vector -22.495000 45.499999 -211.995006) (float-vector -35.994999 -0.000007 -139.994994)))
    (instance face :init :vertices (list (float-vector -16.984999 23.000000 -247.337997) (float-vector -19.832000 -17.999999 -247.058004) (float-vector -15.401000 -36.499999 -251.489997) (float-vector -4.719000 -17.999999 -257.725000) (float-vector -12.339000 23.000000 -251.984000)))
    (instance face :init :vertices (list (float-vector -4.719000 -17.999999 -257.725000) (float-vector 0.003998 23.000000 -255.995005) (float-vector -12.339000 23.000000 -251.984000)))
    (instance face :init :vertices (list (float-vector 6.493000 23.000000 -254.967004) (float-vector 0.003998 23.000000 -255.995005) (float-vector -4.719000 -17.999999 -257.725000) (float-vector 1.545000 -36.499999 -257.512003) (float-vector 13.393000 -17.999999 -253.962010) (float-vector 12.348000 23.000000 -251.984000)))
    (instance face :init :vertices (list (float-vector 0.003998 23.000000 -255.995005) (float-vector 6.493000 23.000000 -254.967004) (float-vector 0.005002 63.000001 -211.383998) (float-vector -12.339000 23.000000 -251.984000)))
    ))
   )
  )

(defclass HiroNX_g1_18_geom0
  :super collada-body
  :slots ())
(defmethod HiroNX_g1_18_geom0
  (:init (&key (name))
         (replace-object self (send self :qhull-faceset))
         (if name (send self :name name))
         (send self :def-gl-vertices)
         self)
  (:def-gl-vertices ()
    (setq glvertices
       (instance gl::glvertices :init
          (list
          (list
           (list :type :triangles)
           (list :material (list
             (list :color (float-vector 0.1 0.1 0.1))
             (list :ambient (float-vector 0.200000 0.200000 0.200000 1.000000))
             (list :diffuse (float-vector 0.900000 0.900000 0.900000 1.000000))
           ))
           (list :indices #i( 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148 149 150 151 152 153 154 155 156 157 158 159 160 161 162 163 164 165 166 167 168 169 170 171 172 173 174 175 176 177 178 179 180 181 182 183 184 185 186 187 188 189 190 191 192 193 194 195 196 197 198 199 200 201 202 203 204 205 206 207 208 209 210 211 212 213 214 215 216 217 218 219 220 221 222 223 224 225 226 227 228 229 230 231 232 233 234 235 236 237 238 239 240 241 242 243 244 245 246 247 248 249 250 251 252 253 254 255 256 257 258 259 260 261 262 263 264 265 266 267 268 269 270 271 272 273 274 275 276 277 278 279 280 281 282 283 284 285 286 287 288 289 290 291 292 293 294 295 296 297 298 299 300 301 302 303 304 305 306 307 308 309 310 311 312 313 314 315 316 317 318 319 320 321 322 323 324 325 326 327 328 329 330 331 332 333 334 335 336 337 338 339 340 341 342 343 344 345 346 347 348 349 350 351 352 353 354 355 356 357 358 359 360 361 362 363 364 365 366 367 368 369 370 371 372 373 374 375 376 377 378 379 380 381 382 383 384 385 386 387 388 389 390 391 392 393 394 395 396 397 398 399 400 401 402 403 404 405 406 407 408 409 410 411 412 413 414 415 416 417 418 419 420 421 422 423 424 425 426 427 428 429 430 431 432 433 434 435 436 437 438 439 440 441 442 443 444 445 446 447 448 449 450 451 452 453 454 455 456 457 458 459 460 461 462 463 464 465 466 467 468 469 470 471 472 473 474 475 476 477 478 479 480 481 482 483 484 485 486 487 488 489 490 491 492 493 494 495 496 497 498 499 500 501 502 503 504 505 506 507 508 509 510 511 512 513 514 515 516 517 518 519 520 521 522 523 524 525 526 527 528 529 530 531 532 533 534 535 536 537 538 539 540 541 542 543 544 545 546 547 548 549 550 551 552 553 554 555 556 557 558 559 560 561 562 563 564 565 566 567 568 569 570 571 572 573 574 575 576 577 578 579 580 581 582 583 584 585 586 587 588 589 590 591 592 593 594 595 596 597 598 599 600 601 602 603 604 605 606 607 608 609 610 611 612 613 614 615 616 617 618 619 620 621 622 623 624 625 626 627 628 629 630 631 632 633 634 635 636 637 638 639 640 641 642 643 644 645 646 647 648 649 650 651 652 653 654 655 656 657 658 659 660 661 662 663 664 665 666 667 668 669 670 671 672 673 674 675 676 677 678 679 680 681 682 683 684 685 686 687 688 689 690 691 692 693 694 695 696 697 698 699 700 701 702 703 704 705 706 707 708 709 710 711 712 713 714 715 716 717 718 719 720 721 722 723 724 725 726 727 728 729 730 731 732 733 734 735 736 737 738 739 740 741 742 743 744 745 746 747 748 749 750 751 752 753 754 755 756 757 758 759 760 761 762 763 764 765 766 767 768 769 770 771 772 773 774 775 776 777 778 779 780 781 782 783 784 785 786 787 788 789 790 791 792 793 794 795 796 797 798 799 800 801 802 803 804 805 806 807 808 809 810 811 812 813 814 815 816 817 818 819 820 821 822 823 824 825 826 827 828 829 830 831 832 833 834 835 836 837 838 839 840 841 842 843 844 845 846 847 848 849 850 851 852 853 854 855 856 857 858 859 860 861 862 863 864 865 866 867 868 869 870 871 872 873 874 875 876 877 878 879 880 881 882 883 884 885 886 887 888 889 890 891 892 893 894 895 896 897 898 899 900 901 902 903 904 905 906 907 908 909 910 911 912 913 914 915 916 917 918 919 920 921 922 923 924 925 926 927 928 929 930 931 932 933 934 935 936 937 938 939 940 941 942 943 944 945 946 947 948 949 950 951 952 953 954 955 956 957 958 959 960 961 962 963 964 965 966 967 968 969 970 971 972 973 974 975 976 977 978 979 980 981 982 983 984 985 986 987 988 989 990 991 992 993 994 995 996 997 998 999 1000 1001 1002 1003 1004 1005 1006 1007 1008 1009 1010 1011 1012 1013 1014 1015 1016 1017 1018 1019 1020 1021 1022 1023 1024 1025 1026 1027 1028 1029 1030 1031 1032 1033 1034 1035 1036 1037 1038 1039 1040 1041 1042 1043 1044 1045 1046 1047 1048 1049 1050 1051 1052 1053 1054 1055 1056 1057 1058 1059 1060 1061 1062 1063 1064 1065 1066 1067 1068 1069 1070 1071 1072 1073 1074 1075 1076 1077 1078 1079 1080 1081 1082 1083 1084 1085 1086 1087 1088 1089 1090 1091 1092 1093 1094 1095 1096 1097 1098 1099 1100 1101 1102 1103 1104 1105 1106 1107 1108 1109 1110 1111 1112 1113 1114 1115 1116 1117 1118 1119 1120 1121 1122 1123 1124 1125 1126 1127 1128 1129 1130 1131 1132 1133 1134 1135 1136 1137 1138 1139 1140 1141 1142 1143 1144 1145 1146 1147 1148 1149 1150 1151 1152 1153 1154 1155 1156 1157 1158 1159 1160 1161 1162 1163 1164 1165 1166 1167 1168 1169 1170 1171 1172 1173 1174 1175 1176 1177 1178 1179 1180 1181 1182 1183 1184 1185 1186 1187 1188 1189 1190 1191 1192 1193 1194 1195 1196 1197 1198 1199 1200 1201 1202 1203 1204 1205 1206 1207 1208 1209 1210 1211 1212 1213 1214 1215 1216 1217 1218 1219 1220 1221 1222 1223 1224 1225 1226 1227 1228 1229 1230 1231 1232 1233 1234 1235 1236 1237 1238 1239 1240 1241 1242 1243 1244 1245 1246 1247 1248 1249 1250 1251 1252 1253 1254 1255 1256 1257 1258 1259 1260 1261 1262 1263 1264 1265 1266 1267 1268 1269 1270 1271 1272 1273 1274 1275 1276 1277 1278 1279 1280 1281 1282 1283 1284 1285 1286 1287 1288 1289 1290 1291 1292 1293 1294 1295 1296 1297 1298 1299 1300 1301 1302 1303 1304 1305 1306 1307 1308 1309 1310 1311 1312 1313 1314 1315 1316 1317 1318 1319 1320 1321 1322 1323 1324 1325 1326 1327 1328 1329 1330 1331 1332 1333 1334 1335 1336 1337 1338 1339 1340 1341 1342 1343 1344 1345 1346 1347 1348 1349 1350 1351 1352 1353 1354 1355 1356 1357 1358 1359 1360 1361 1362 1363 1364 1365 1366 1367 1368 1369 1370 1371 1372 1373 1374 1375 1376 1377 1378 1379 1380 1381 1382 1383 1384 1385 1386 1387 1388 1389 1390 1391 1392 1393 1394 1395 1396 1397 1398 1399 1400 1401 1402 1403 1404 1405 1406 1407 1408 1409 1410 1411 1412 1413 1414 1415 1416 1417 1418 1419 1420 1421 1422 1423 1424 1425 1426 1427 1428 1429 1430 1431 1432 1433 1434 1435 1436 1437 1438 1439 1440 1441 1442 1443 1444 1445 1446 1447 1448 1449 1450 1451 1452 1453 1454 1455 1456 1457 1458 1459 1460 1461 1462 1463 1464 1465 1466 1467 1468 1469 1470 1471 1472 1473 1474 1475 1476 1477 1478 1479 1480 1481 1482 1483 1484 1485 1486 1487 1488 1489 1490 1491 1492 1493 1494 1495 1496 1497 1498 1499 1500 1501 1502 1503 1504 1505 1506 1507 1508 1509 1510 1511 1512 1513 1514 1515 1516 1517 1518 1519 1520 1521 1522 1523 1524 1525 1526 1527 1528 1529 1530 1531 1532 1533 1534 1535 1536 1537 1538 1539 1540 1541 1542 1543 1544 1545 1546 1547 1548 1549 1550 1551 1552 1553 1554 1555 1556 1557 1558 1559 1560 1561 1562 1563 1564 1565 1566 1567 1568 1569 1570 1571 1572 1573 1574 1575 1576 1577 1578 1579 1580 1581 1582 1583 1584 1585 1586 1587 1588 1589 1590 1591 1592 1593 1594 1595 1596 1597 1598 1599 1600 1601 1602 1603 1604 1605 1606 1607 1608 1609 1610 1611 1612 1613 1614 1615 1616 1617 1618 1619 1620 1621 1622 1623 1624 1625 1626 1627 1628 1629 1630 1631 1632 1633 1634 1635 1636 1637 1638 1639 1640 1641 1642 1643 1644 1645 1646 1647 1648 1649 1650 1651 1652 1653 1654 1655 1656 1657 1658 1659 1660 1661 1662 1663 1664 1665 1666 1667 1668 1669 1670 1671 1672 1673 1674 1675 1676 1677 1678 1679 1680 1681 1682 1683 1684 1685 1686 1687 1688 1689 1690 1691 1692 1693 1694 1695 1696 1697 1698 1699 1700 1701 1702 1703 1704 1705 1706 1707 1708 1709 1710 1711 1712 1713 1714 1715 1716 1717 1718 1719 1720 1721 1722 1723 1724 1725 1726 1727 1728 1729 1730 1731 1732 1733 1734 1735 1736 1737 1738 1739 1740 1741 1742 1743 1744 1745 1746 1747 1748 1749 1750 1751 1752 1753 1754 1755 1756 1757 1758 1759 1760 1761 1762 1763 1764 1765 1766 1767 1768 1769 1770 1771 1772 1773 1774 1775 1776 1777 1778 1779 1780 1781 1782 1783 1784 1785 1786 1787 1788 1789 1790 1791 1792 1793 1794 1795 1796 1797 1798 1799 1800 1801 1802 1803 1804 1805 1806 1807 1808 1809 1810 1811 1812 1813 1814 1815 1816 1817 1818 1819 1820 1821 1822 1823 1824 1825 1826 1827 1828 1829 1830 1831 1832 1833 1834 1835 1836 1837 1838 1839 1840 1841 1842 1843 1844 1845 1846 1847 1848 1849 1850 1851 1852 1853 1854 1855 1856 1857 1858 1859 1860 1861 1862 1863 1864 1865 1866 1867 1868 1869 1870 1871 1872 1873 1874 1875 1876 1877 1878 1879 1880 1881 1882 1883 1884 1885 1886 1887 1888 1889 1890 1891 1892 1893 1894 1895 1896 1897 1898 1899 1900 1901 1902 1903 1904 1905 1906 1907 1908 1909 1910 1911 1912 1913 1914 1915 1916 1917 1918 1919 1920 1921 1922 1923 1924 1925 1926 1927 1928 1929 1930 1931 1932 1933 1934 1935 1936 1937 1938 1939 1940 1941 1942 1943 1944 1945 1946 1947 1948 1949 1950 1951 1952 1953 1954 1955 1956 1957 1958 1959 1960 1961 1962 1963 1964 1965 1966 1967 1968 1969 1970 1971 1972 1973 1974 1975 1976 1977 1978 1979 1980 1981 1982 1983 1984 1985 1986 1987 1988 1989 1990 1991 1992 1993 1994 1995 1996 1997 1998 1999 2000 2001 2002 2003 2004 2005 2006 2007 2008 2009 2010 2011 2012 2013 2014 2015 2016 2017 2018 2019 2020 2021 2022 2023 2024 2025 2026 2027 2028 2029 2030 2031 2032 2033 2034 2035 2036 2037 2038 2039 2040 2041 2042 2043 2044 2045 2046 2047 2048 2049 2050 2051 2052 2053 2054 2055 2056 2057 2058 2059 2060 2061 2062 2063 2064 2065 2066 2067 2068 2069 2070 2071 2072 2073 2074 2075 2076 2077 2078 2079 2080 2081 2082 2083 2084 2085 2086 2087 2088 2089 2090 2091 2092 2093 2094 2095 2096 2097 2098 2099 2100 2101 2102 2103 2104 2105 2106 2107 2108 2109 2110 2111 2112 2113 2114 2115 2116 2117 2118 2119 2120 2121 2122 2123 2124 2125 2126 2127 2128 2129 2130 2131 2132 2133 2134 2135 2136 2137 2138 2139 2140 2141 2142 2143 2144 2145 2146 2147 2148 2149 2150 2151 2152 2153 2154 2155 2156 2157 2158 2159 2160 2161 2162 2163 2164 2165 2166 2167 2168 2169 2170 2171 2172 2173 2174 2175 2176 2177 2178 2179 2180 2181 2182 2183 2184 2185 2186 2187 2188 2189 2190 2191 2192 2193 2194 2195 2196 2197 2198 2199 2200 2201 2202 2203 2204 2205 2206 2207 2208 2209 2210 2211 2212 2213 2214 2215 2216 2217 2218 2219 2220 2221 2222 2223 2224 2225 2226 2227 2228 2229 2230 2231 2232 2233 2234 2235 2236 2237 2238 2239 2240 2241 2242 2243 2244 2245 2246 2247 2248 2249 2250 2251 2252 2253 2254 2255 2256 2257 2258 2259 2260 2261 2262 2263 2264 2265 2266 2267 2268 2269 2270 2271 2272 2273 2274 2275 2276 2277 2278 2279 2280 2281 2282 2283 2284 2285 2286 2287 2288 2289 2290 2291 2292 2293 2294 2295 2296 2297 2298 2299 2300 2301 2302 2303 2304 2305 2306 2307 2308 2309 2310 2311 2312 2313 2314 2315 2316 2317 2318 2319 2320 2321 2322 2323 2324 2325 2326 2327 2328 2329 2330 2331 2332 2333 2334 2335 2336 2337 2338 2339 2340 2341 2342 2343 2344 2345 2346 2347 2348 2349 2350 2351 2352 2353 2354 2355 2356 2357 2358 2359 2360 2361 2362 2363 2364 2365 2366 2367 2368 2369 2370 2371 2372 2373 2374 2375 2376 2377 2378 2379 2380 2381 2382 2383 2384 2385 2386 2387 2388 2389 2390 2391 2392 2393 2394 2395 2396 2397 2398 2399 2400 2401 2402 2403 2404 2405 2406 2407 2408 2409 2410 2411 2412 2413 2414 2415 2416 2417 2418 2419 2420 2421 2422 2423 2424 2425 2426 2427 2428 2429 2430 2431 2432 2433 2434 2435 2436 2437 2438 2439 2440 2441 2442 2443 2444 2445 2446 2447 2448 2449 2450 2451 2452 2453 2454 2455 2456 2457 2458 2459 2460 2461 2462 2463 2464 2465 2466 2467 2468 2469 2470 2471 2472 2473 2474 2475 2476 2477 2478 2479 2480 2481 2482 2483 2484 2485 2486 2487 2488 2489 2490 2491 2492 2493 2494 2495 2496 2497 2498 2499 2500 2501 2502 2503 2504 2505 2506 2507 2508 2509 2510 2511 2512 2513 2514 2515 2516 2517 2518 2519 2520 2521 2522 2523 2524 2525 2526 2527 2528 2529 2530 2531 2532 2533 2534 2535 2536 2537 2538 2539 2540 2541 2542 2543 2544 2545 2546 2547 2548 2549 2550 2551 2552 2553 2554 2555 2556 2557 2558 2559 2560 2561 2562 2563 2564 2565 2566 2567 2568 2569 2570 2571 2572 2573 2574 2575 2576 2577 2578 2579 2580 2581 2582 2583 2584 2585 2586 2587 2588 2589 2590 2591 2592 2593 2594 2595 2596 2597 2598 2599 2600 2601 2602 2603 2604 2605 2606 2607 2608 2609 2610 2611 2612 2613 2614 2615 2616 2617 2618 2619 2620 2621 2622 2623 2624 2625 2626 2627 2628 2629 2630 2631 2632 2633 2634 2635 2636 2637 2638 2639 2640 2641 2642 2643 2644 2645 2646 2647 2648 2649 2650 2651 2652 2653 2654 2655 2656 2657 2658 2659 2660 2661 2662 2663 2664 2665 2666 2667 2668 2669 2670 2671 2672 2673 2674 2675 2676 2677 2678 2679 2680 2681 2682 2683 2684 2685 2686 2687 2688 2689 2690 2691 2692 2693 2694 2695 2696 2697 2698 2699 2700 2701 2702 2703 2704 2705 2706 2707 2708 2709 2710 2711 2712 2713 2714 2715 2716 2717 2718 2719 2720 2721 2722 2723 2724 2725 2726 2727 2728 2729 2730 2731 2732 2733 2734 2735 2736 2737 2738 2739 2740 2741 2742 2743 2744 2745 2746 2747 2748 2749 2750 2751 2752 2753 2754 2755 2756 2757 2758 2759 2760 2761 2762 2763 2764 2765 2766 2767 2768 2769 2770 2771 2772 2773 2774 2775 2776 2777 2778 2779 2780 2781 2782 2783 2784 2785 2786 2787 2788 2789 2790 2791 2792 2793 2794 2795 2796 2797 2798 2799 2800 2801 2802 2803 2804 2805 2806 2807 2808 2809 2810 2811 2812 2813 2814 2815 2816 2817 2818 2819 2820 2821 2822 2823 2824 2825 2826 2827 2828 2829 2830 2831 2832 2833 2834 2835 2836 2837 2838 2839 2840 2841 2842 2843 2844 2845 2846 2847 2848 2849 2850 2851 2852 2853 2854 2855 2856 2857 2858 2859 2860 2861 2862 2863 2864 2865 2866 2867 2868 2869 2870 2871 2872 2873 2874 2875 2876 2877 2878 2879 2880 2881 2882 2883 2884 2885 2886 2887 2888 2889 2890 2891 2892 2893 2894 2895 2896 2897 2898 2899 2900 2901 2902 2903 2904 2905 2906 2907 2908 2909 2910 2911 2912 2913 2914 2915 2916 2917 2918 2919 2920 2921 2922 2923 2924 2925 2926 2927 2928 2929 2930 2931 2932 2933 2934 2935 2936 2937 2938 2939 2940 2941 2942 2943 2944 2945 2946 2947 2948 2949 2950 2951 2952 2953 2954 2955 2956 2957 2958 2959 2960 2961 2962 2963 2964 2965 2966 2967 2968 2969 2970 2971 2972 2973 2974 2975 2976 2977 2978 2979 2980 2981 2982 2983 2984 2985 2986 2987 2988 2989 2990 2991 2992 2993 2994 2995 2996 2997 2998 2999 3000 3001 3002 3003 3004 3005 3006 3007 3008 3009 3010 3011 3012 3013 3014 3015 3016 3017 3018 3019 3020 3021 3022 3023 3024 3025 3026 3027 3028 3029 3030 3031 3032 3033 3034 3035 3036 3037 3038 3039 3040 3041 3042 3043 3044 3045 3046 3047 3048 3049 3050 3051 3052 3053 3054 3055 3056 3057 3058 3059 3060 3061 3062 3063 3064 3065 3066 3067 3068 3069 3070 3071 3072 3073 3074 3075 3076 3077 3078 3079 3080 3081 3082 3083 3084 3085 3086 3087 3088 3089 3090 3091 3092 3093 3094 3095 3096 3097 3098 3099 3100 3101))
           (list :vertices #2f((14.999001 22.287600 -96.738998)(14.999001 21.875999 -97.882004)(14.999001 24.129000 -100.962997)(14.999001 22.294001 -104.332001)(14.999001 24.129000 -100.962997)(14.999001 22.429800 -100.534996)(14.999001 21.875999 -97.882004)(14.999001 21.532000 -98.779999)(14.999001 22.429800 -100.534996)(14.999001 21.532000 -98.779999)(14.999001 20.730600 -100.167999)(14.999001 22.429800 -100.534996)(14.999001 20.730600 -100.167999)(14.999001 22.294001 -104.332001)(14.999001 22.429800 -100.534996)(14.999001 24.129000 -100.962997)(14.999001 21.875999 -97.882004)(14.999001 22.429800 -100.534996)(14.999001 45.000000 -55.004997)(14.999001 36.880199 -54.009201)(14.999001 36.005001 -58.648003)(14.999001 36.005001 -58.648003)(14.999001 22.287600 -96.738998)(14.999001 33.643803 -77.486099)(14.999001 22.287600 -96.738998)(14.999001 24.129000 -100.962997)(14.999001 33.643803 -77.486099)(14.999001 24.129000 -100.962997)(14.999001 45.000000 -55.004997)(14.999001 33.643803 -77.486099)(14.999001 45.000000 -55.004997)(14.999001 36.005001 -58.648003)(14.999001 33.643803 -77.486099)(14.999001 36.880199 -54.009201)(14.999001 45.000000 -55.004997)(14.999001 40.684902 -52.355000)(14.999001 45.000000 -55.004997)(14.999001 45.000000 -49.704998)(14.999001 40.684902 -52.355000)(14.999001 45.000000 -49.704998)(14.999001 36.369801 -49.704998)(14.999001 40.684902 -52.355000)(14.999001 36.369801 -49.704998)(14.999001 36.930000 -53.745003)(14.999001 40.684902 -52.355000)(14.999001 36.930000 -53.745003)(14.999001 36.880199 -54.009201)(14.999001 40.684902 -52.355000)(14.999001 45.000000 -49.704998)(15.590500 33.860298 -43.995201)(15.115200 36.200001 -48.583298)(14.999001 45.000000 -49.704998)(15.115200 36.200001 -48.583298)(15.112301 36.214199 -48.611202)(14.999001 45.000000 -49.704998)(15.112301 36.214199 -48.611202)(14.999001 36.369801 -49.704998)(14.999001 45.000000 -49.704998)(15.597900 33.786697 -43.924000)(15.590500 33.860298 -43.995201)(-15.000999 22.294001 -104.332001)(14.999001 24.129000 -100.962997)(14.999001 22.294001 -104.332001)(14.999001 22.294001 -104.332001)(14.999001 20.730600 -100.167999)(14.999001 18.365999 -104.264000)(14.999001 17.354000 -110.031998)(14.999001 22.294001 -104.332001)(14.999001 19.331499 -105.099998)(14.999001 18.365999 -104.264000)(14.999001 16.368999 -106.215996)(14.999001 19.331499 -105.099998)(14.999001 16.368999 -106.215996)(14.999001 17.354000 -110.031998)(14.999001 19.331499 -105.099998)(14.999001 22.294001 -104.332001)(14.999001 18.365999 -104.264000)(14.999001 19.331499 -105.099998)(14.999001 45.000000 -55.004997)(14.999001 24.129000 -100.962997)(-15.000999 45.000000 -55.004997)(-15.000999 45.000000 -55.004997)(14.999001 45.000000 -49.704998)(14.999001 45.000000 -55.004997)(15.602201 33.743797 -43.882500)(15.597900 33.786697 -43.924000)(14.999001 45.000000 -49.704998)(15.963400 30.140800 -40.395699)(15.602201 33.743797 -43.882500)(14.999001 45.000000 -49.704998)(17.307001 23.000000 -27.425001)(15.974899 29.903400 -40.284000)(15.963400 30.140800 -40.395699)(17.307001 23.000000 -27.425001)(16.191299 25.459700 -38.195000)(15.974899 29.903400 -40.284000)(17.307001 23.000000 -27.425001)(16.195000 25.140099 -38.159798)(16.191299 25.459700 -38.195000)(17.307001 23.000000 -27.425001)(16.215200 23.370899 -37.964401)(16.195000 25.140099 -38.159798)(17.307001 23.000000 -27.425001)(15.963400 30.140800 -40.395699)(14.999001 45.000000 -49.704998)(-15.000999 17.354000 -110.031998)(-15.000999 22.294001 -104.332001)(14.999001 22.294001 -104.332001)(-15.000999 22.294001 -104.332001)(-15.000999 24.129000 -100.962997)(14.999001 24.129000 -100.962997)(-15.000999 17.354000 -110.031998)(14.999001 22.294001 -104.332001)(14.999001 17.354000 -110.031998)(14.999001 17.354000 -110.031998)(14.999001 16.368999 -106.215996)(14.999001 13.837000 -108.690002)(14.999001 11.009000 -114.110001)(14.999001 17.354000 -110.031998)(14.999001 13.924400 -110.163002)(14.999001 13.837000 -108.690002)(14.999001 10.494699 -110.518997)(14.999001 13.924400 -110.163002)(14.999001 10.494699 -110.518997)(14.999001 11.009000 -114.110001)(14.999001 13.924400 -110.163002)(14.999001 17.354000 -110.031998)(14.999001 13.837000 -108.690002)(14.999001 13.924400 -110.163002)(-15.000999 24.129000 -100.962997)(-15.000999 45.000000 -55.004997)(14.999001 24.129000 -100.962997)(-15.000999 45.000000 -55.004997)(-15.000999 45.000000 -49.704998)(14.999001 45.000000 -49.704998)(14.999001 1.784000 -49.704998)(15.172700 5.037000 -48.027901)(15.574500 8.332170 -44.149799)(17.307001 23.000000 -27.425001)(16.250099 20.320400 -37.627602)(16.215200 23.370899 -37.964401)(17.307001 23.000000 -27.425001)(16.242599 19.994200 -37.700500)(16.250099 20.320400 -37.627602)(17.307001 23.000000 -27.425001)(16.133299 15.272901 -38.754700)(16.242599 19.994200 -37.700500)(17.307001 23.000000 -27.425001)(16.117100 15.016700 -38.911598)(16.133299 15.272901 -38.754700)(17.307001 23.000000 -27.425001)(15.853601 10.860600 -41.455502)(16.117100 15.016700 -38.911598)(17.307001 23.000000 -27.425001)(14.999001 1.784000 -49.704998)(15.676901 9.172100 -43.161301)(17.307001 23.000000 -27.425001)(15.676901 9.172100 -43.161301)(15.845799 10.786400 -41.530502)(17.307001 23.000000 -27.425001)(15.845799 10.786400 -41.530502)(15.853601 10.860600 -41.455502)(15.676901 9.172100 -43.161301)(14.999001 1.784000 -49.704998)(15.574500 8.332170 -44.149799)(18.998999 45.000000 -11.095000)(17.307001 23.000000 -27.425001)(14.999001 45.000000 -49.704998)(-15.000999 22.294001 -104.332001)(-15.000999 18.177999 -100.248001)(-15.000999 19.626999 -97.228699)(-15.000999 15.711300 -103.667000)(-15.000999 17.584999 -101.484001)(-15.000999 19.002701 -103.629997)(-15.000999 17.584999 -101.484001)(-15.000999 18.177999 -100.248001)(-15.000999 19.002701 -103.629997)(-15.000999 22.294001 -104.332001)(-15.000999 17.354000 -110.031998)(-15.000999 19.002701 -103.629997)(-15.000999 17.354000 -110.031998)(-15.000999 15.711300 -103.667000)(-15.000999 19.002701 -103.629997)(-15.000999 18.177999 -100.248001)(-15.000999 22.294001 -104.332001)(-15.000999 19.002701 -103.629997)(-15.000999 19.626999 -97.228699)(-15.000999 19.957001 -96.541000)(-15.000999 21.878000 -98.637497)(-15.000999 19.957001 -96.541000)(-15.000999 20.209999 -95.194000)(-15.000999 21.878000 -98.637497)(-15.000999 20.209999 -95.194000)(-15.000999 20.632799 -92.942902)(-15.000999 21.878000 -98.637497)(-15.000999 20.632799 -92.942902)(-15.000999 24.129000 -100.962997)(-15.000999 21.878000 -98.637497)(-15.000999 24.129000 -100.962997)(-15.000999 22.294001 -104.332001)(-15.000999 21.878000 -98.637497)(-15.000999 22.294001 -104.332001)(-15.000999 19.626999 -97.228699)(-15.000999 21.878000 -98.637497)(14.999001 17.354000 -110.031998)(-15.000999 11.009000 -114.110001)(-15.000999 17.354000 -110.031998)(14.999001 17.354000 -110.031998)(14.999001 11.009000 -114.110001)(-15.000999 11.009000 -114.110001)(14.999001 11.009000 -114.110001)(14.999001 10.494699 -110.518997)(14.999001 8.283000 -111.730003)(14.999001 3.771990 -116.235001)(14.999001 11.009000 -114.110001)(14.999001 7.339160 -113.376999)(14.999001 8.283000 -111.730003)(14.999001 3.669320 -112.799004)(14.999001 7.339160 -113.376999)(14.999001 3.669320 -112.799004)(14.999001 3.771990 -116.235001)(14.999001 7.339160 -113.376999)(14.999001 11.009000 -114.110001)(14.999001 8.283000 -111.730003)(14.999001 7.339160 -113.376999)(-15.000999 45.000000 -55.004997)(-15.000999 36.765999 -54.980999)(-15.000999 36.831100 -54.003201)(-15.000999 24.129000 -100.962997)(-15.000999 28.996000 -86.021996)(-15.000999 30.282000 -84.555000)(-15.000999 15.639000 -75.989998)(-15.000999 14.599000 -75.097504)(-15.000999 14.743999 -73.421005)(-15.000999 28.996000 -86.021996)(-15.000999 24.129000 -100.962997)(-15.000999 27.246000 -86.884995)(-15.000999 18.629000 -77.981003)(-15.000999 15.639000 -75.989998)(-15.000999 14.743999 -73.421005)(-15.000999 14.743999 -73.421005)(-15.000999 14.599000 -75.097504)(-15.000999 11.810000 -72.704102)(-15.000999 27.246000 -86.884995)(-15.000999 24.129000 -100.962997)(-15.000999 20.632799 -92.942902)(-15.000999 14.743999 -73.421005)(-15.000999 11.810000 -72.704102)(-15.000999 11.035600 -70.927597)(-15.000999 25.299000 -87.013000)(-15.000999 27.246000 -86.884995)(-15.000999 20.969000 -91.153000)(-15.000999 24.129000 -100.962997)(-15.000999 30.282000 -84.555000)(-15.000999 30.844000 -83.085999)(-15.000999 45.000000 -55.004997)(-15.000999 24.129000 -100.962997)(-15.000999 30.844000 -83.085999)(-15.000999 27.246000 -86.884995)(-15.000999 20.632799 -92.942902)(-15.000999 20.969000 -91.153000)(-15.000999 25.299000 -87.013000)(-15.000999 20.969000 -91.153000)(-15.000999 20.864700 -89.786499)(-15.000999 25.299000 -87.013000)(-15.000999 20.864700 -89.786499)(-15.000999 23.452002 -86.386002)(-15.000999 21.985001 -85.098999)(-15.000999 23.452002 -86.386002)(-15.000999 20.552000 -85.686996)(-15.000999 23.452002 -86.386002)(-15.000999 20.864700 -89.786499)(-15.000999 20.552000 -85.686996)(-15.000999 21.141001 -83.420998)(-15.000999 21.164000 -83.495995)(-15.000999 20.097500 -84.393997)(-15.000999 21.164000 -83.495995)(-15.000999 21.985001 -85.098999)(-15.000999 20.097500 -84.393997)(-15.000999 21.985001 -85.098999)(-15.000999 20.552000 -85.686996)(-15.000999 20.097500 -84.393997)(-15.000999 21.141001 -83.420998)(-15.000999 20.097500 -84.393997)(-15.000999 18.734001 -80.514999)(-15.000999 18.734001 -80.514999)(-15.000999 17.960300 -79.383698)(-15.000999 18.629000 -77.981003)(-15.000999 21.141001 -83.420998)(-15.000999 18.734001 -80.514999)(-15.000999 18.629000 -77.981003)(-15.000999 45.000000 -55.004997)(-15.000999 30.844000 -83.085999)(-15.000999 36.765999 -54.980999)(-15.000999 18.629000 -77.981003)(-15.000999 17.960300 -79.383698)(-15.000999 15.639000 -75.989998)(-15.000999 45.000000 -49.704998)(-15.000999 45.000000 -55.004997)(-15.000999 40.905201 -52.355000)(-15.000999 45.000000 -55.004997)(-15.000999 36.831100 -54.003201)(-15.000999 40.905201 -52.355000)(-15.000999 36.831100 -54.003201)(-15.000999 37.048000 -50.746002)(-15.000999 40.905201 -52.355000)(-15.000999 37.048000 -50.746002)(-15.000999 36.810402 -49.704998)(-15.000999 40.905201 -52.355000)(-15.000999 36.810402 -49.704998)(-15.000999 45.000000 -49.704998)(-15.000999 40.905201 -52.355000)(-15.000999 45.000000 -49.704998)(-19.000999 45.000000 -11.095000)(14.999001 45.000000 -49.704998)(15.172700 5.037000 -48.027901)(14.999001 3.440370 -49.908100)(14.999001 3.612010 -49.704998)(14.999001 3.440370 -49.908100)(14.999001 2.406140 -51.132198)(15.172700 5.037000 -48.027901)(14.999001 2.406140 -51.132198)(15.574500 8.332170 -44.149799)(15.172700 5.037000 -48.027901)(14.999001 2.406140 -51.132198)(15.574500 8.332170 -44.149799)(14.999001 2.346390 -51.202900)(14.999001 2.211730 -51.362297)(15.574500 8.332170 -44.149799)(14.999001 2.346390 -51.202900)(14.999001 2.048970 -51.554901)(15.574500 8.332170 -44.149799)(14.999001 2.211730 -51.362297)(14.999001 1.846440 -51.794601)(15.574500 8.332170 -44.149799)(14.999001 2.048970 -51.554901)(14.999001 1.583550 -52.105698)(15.574500 8.332170 -44.149799)(14.999001 1.846440 -51.794601)(14.999001 1.222250 -52.533298)(15.574500 8.332170 -44.149799)(14.999001 1.583550 -52.105698)(14.999001 0.685157 -53.169003)(15.574500 8.332170 -44.149799)(14.999001 1.222250 -52.533298)(14.999001 -0.209368 -54.227600)(15.574500 8.332170 -44.149799)(14.999001 0.685157 -53.169003)(14.999001 3.612010 -49.704998)(15.172700 5.037000 -48.027901)(14.999001 1.784000 -49.704998)(-15.000999 1.784000 -49.704998)(14.999001 1.784000 -49.704998)(17.307001 23.000000 -27.425001)(-19.000999 45.000000 -11.095000)(18.998999 45.000000 -11.095000)(14.999001 45.000000 -49.704998)(18.998999 45.000000 -11.095000)(18.998999 23.000000 -11.095000)(17.307001 23.000000 -27.425001)(-15.000999 17.584999 -101.484001)(-15.000999 15.711300 -103.667000)(-20.000999 15.799999 -103.564003)(-15.000999 15.711300 -103.667000)(-15.000999 14.907499 -104.603996)(-20.000999 15.799999 -103.564003)(-15.000999 14.907499 -104.603996)(-25.001001 14.015000 -105.644005)(-20.000999 15.799999 -103.564003)(-25.001001 14.015000 -105.644005)(-25.001001 17.584999 -101.484001)(-20.000999 15.799999 -103.564003)(-25.001001 17.584999 -101.484001)(-15.000999 17.584999 -101.484001)(-20.000999 15.799999 -103.564003)(-25.001001 17.584999 -101.484001)(-15.000999 18.177999 -100.248001)(-15.000999 17.584999 -101.484001)(-15.000999 19.957001 -96.541000)(-15.000999 19.626999 -97.228699)(-20.000999 18.771000 -99.012505)(-15.000999 19.626999 -97.228699)(-15.000999 18.177999 -100.248001)(-20.000999 18.771000 -99.012505)(-15.000999 18.177999 -100.248001)(-25.001001 17.584999 -101.484001)(-20.000999 18.771000 -99.012505)(-25.001001 17.584999 -101.484001)(-25.001001 19.957001 -96.541000)(-20.000999 18.771000 -99.012505)(-25.001001 19.957001 -96.541000)(-15.000999 19.957001 -96.541000)(-20.000999 18.771000 -99.012505)(-15.000999 17.354000 -110.031998)(-15.000999 14.015000 -105.644005)(-15.000999 14.907499 -104.603996)(-15.000999 17.354000 -110.031998)(-15.000999 14.907499 -104.603996)(-15.000999 15.711300 -103.667000)(-15.000999 10.172700 -108.271004)(-15.000999 10.621300 -107.964996)(-15.000999 13.763300 -108.889000)(-15.000999 10.621300 -107.964996)(-15.000999 14.015000 -105.644005)(-15.000999 13.763300 -108.889000)(-15.000999 17.354000 -110.031998)(-15.000999 11.009000 -114.110001)(-15.000999 13.763300 -108.889000)(-15.000999 11.009000 -114.110001)(-15.000999 10.172700 -108.271004)(-15.000999 13.763300 -108.889000)(-15.000999 14.015000 -105.644005)(-15.000999 17.354000 -110.031998)(-15.000999 13.763300 -108.889000)(-25.001001 19.957001 -96.541000)(-15.000999 20.209999 -95.194000)(-15.000999 19.957001 -96.541000)(-15.000999 20.969000 -91.153000)(-15.000999 20.632799 -92.942902)(-20.000999 20.462999 -93.847000)(-15.000999 20.632799 -92.942902)(-15.000999 20.209999 -95.194000)(-20.000999 20.462999 -93.847000)(-15.000999 20.209999 -95.194000)(-25.001001 19.957001 -96.541000)(-20.000999 20.462999 -93.847000)(-25.001001 19.957001 -96.541000)(-25.001001 20.969000 -91.153000)(-20.000999 20.462999 -93.847000)(-25.001001 20.969000 -91.153000)(-15.000999 20.969000 -91.153000)(-20.000999 20.462999 -93.847000)(14.999001 11.009000 -114.110001)(-15.000999 3.772000 -116.235001)(-15.000999 11.009000 -114.110001)(14.999001 11.009000 -114.110001)(14.999001 3.771990 -116.235001)(-15.000999 3.772000 -116.235001)(14.999001 3.669320 -112.799004)(14.999001 2.115000 -113.159004)(14.999001 3.771990 -116.235001)(14.999001 -3.771010 -116.235001)(14.999001 3.771990 -116.235001)(14.999001 0.000490 -114.517006)(14.999001 2.115000 -113.159004)(14.999001 -3.492860 -112.903999)(14.999001 0.000490 -114.517006)(14.999001 -3.492860 -112.903999)(14.999001 -3.771010 -116.235001)(14.999001 0.000490 -114.517006)(14.999001 3.771990 -116.235001)(14.999001 2.115000 -113.159004)(14.999001 0.000490 -114.517006)(-15.000999 11.810000 -72.704102)(-15.000999 11.479000 -72.419998)(-15.000999 11.035600 -70.927597)(-15.000999 9.772000 -70.078003)(-15.000999 10.056000 -71.737000)(-15.000999 9.385249 -69.950401)(-15.000999 9.772000 -70.078003)(-15.000999 11.035600 -70.927597)(-15.000999 10.597600 -71.327301)(-15.000999 11.479000 -72.419998)(-15.000999 10.243500 -71.827003)(-15.000999 10.597600 -71.327301)(-15.000999 10.243500 -71.827003)(-15.000999 10.056000 -71.737000)(-15.000999 10.597600 -71.327301)(-15.000999 11.035600 -70.927597)(-15.000999 11.479000 -72.419998)(-15.000999 10.597600 -71.327301)(-15.000999 10.056000 -71.737000)(-15.000999 9.772000 -70.078003)(-15.000999 10.597600 -71.327301)(-25.001001 20.969000 -91.153000)(-15.000999 20.864700 -89.786499)(-15.000999 20.969000 -91.153000)(-15.000999 20.552000 -85.686996)(-15.000999 20.864700 -89.786499)(-20.000999 20.760500 -88.420006)(-15.000999 20.864700 -89.786499)(-25.001001 20.969000 -91.153000)(-20.000999 20.760500 -88.420006)(-25.001001 20.969000 -91.153000)(-25.001001 20.552000 -85.686996)(-20.000999 20.760500 -88.420006)(-25.001001 20.552000 -85.686996)(-15.000999 20.552000 -85.686996)(-20.000999 20.760500 -88.420006)(-25.001001 20.552000 -85.686996)(-15.000999 20.097500 -84.393997)(-15.000999 20.552000 -85.686996)(-15.000999 18.734001 -80.514999)(-15.000999 20.097500 -84.393997)(-20.000999 19.643000 -83.100998)(-25.001001 18.734001 -80.514999)(-15.000999 18.734001 -80.514999)(-20.000999 19.643000 -83.100998)(-15.000999 20.097500 -84.393997)(-25.001001 20.552000 -85.686996)(-20.000999 19.643000 -83.100998)(-25.001001 20.552000 -85.686996)(-25.001001 18.734001 -80.514999)(-20.000999 19.643000 -83.100998)(-25.001001 18.734001 -80.514999)(-15.000999 17.960300 -79.383698)(-15.000999 18.734001 -80.514999)(-15.000999 15.639000 -75.989998)(-15.000999 17.960300 -79.383698)(-20.000999 17.186501 -78.252502)(-25.001001 15.639000 -75.989998)(-15.000999 15.639000 -75.989998)(-20.000999 17.186501 -78.252502)(-15.000999 17.960300 -79.383698)(-25.001001 18.734001 -80.514999)(-20.000999 17.186501 -78.252502)(-25.001001 18.734001 -80.514999)(-25.001001 15.639000 -75.989998)(-20.000999 17.186501 -78.252502)(-15.000999 14.599000 -75.097504)(-15.000999 15.639000 -75.989998)(-25.001001 15.639000 -75.989998)(-15.000999 11.810000 -72.704102)(-15.000999 14.599000 -75.097504)(-20.000999 13.559000 -74.205002)(-15.000999 11.479000 -72.419998)(-15.000999 11.810000 -72.704102)(-20.000999 13.559000 -74.205002)(-15.000999 14.599000 -75.097504)(-25.001001 15.639000 -75.989998)(-20.000999 13.559000 -74.205002)(-25.001001 11.479000 -72.419998)(-15.000999 11.479000 -72.419998)(-20.000999 13.559000 -74.205002)(-25.001001 15.639000 -75.989998)(-25.001001 11.479000 -72.419998)(-20.000999 13.559000 -74.205002)(-15.347000 36.048000 -46.365002)(-15.535100 35.000099 -44.549500)(-15.000999 45.000000 -49.704998)(-15.341101 36.061100 -46.422298)(-15.347000 36.048000 -46.365002)(-15.000999 45.000000 -49.704998)(-15.000999 36.810402 -49.704998)(-15.341101 36.061100 -46.422298)(-15.000999 45.000000 -49.704998)(-15.000999 45.000000 -49.704998)(-17.309000 23.000000 -27.425001)(-19.000999 45.000000 -11.095000)(14.999001 3.440370 -49.908100)(14.999001 3.612010 -49.704998)(14.999001 1.784000 -49.704998)(14.999001 3.440370 -49.908100)(14.999001 1.784000 -49.704998)(14.999001 2.406140 -51.132198)(14.999001 2.406140 -51.132198)(14.999001 1.784000 -49.704998)(14.999001 2.346390 -51.202900)(14.999001 2.346390 -51.202900)(14.999001 1.784000 -49.704998)(14.999001 2.211730 -51.362297)(14.999001 2.211730 -51.362297)(14.999001 1.784000 -49.704998)(14.999001 2.048970 -51.554901)(14.999001 1.784000 -49.704998)(14.999001 1.846440 -51.794601)(14.999001 2.048970 -51.554901)(14.999001 1.784000 -49.704998)(14.999001 1.583550 -52.105698)(14.999001 1.846440 -51.794601)(14.999001 1.784000 -49.704998)(14.999001 1.222250 -52.533298)(14.999001 1.583550 -52.105698)(14.999001 1.784000 -49.704998)(14.999001 0.685157 -53.169003)(14.999001 1.222250 -52.533298)(14.999001 -0.209368 -54.227600)(14.999001 0.685157 -53.169003)(14.999001 1.784000 -49.704998)(14.999001 -1.998640 -56.345299)(14.999001 -0.209368 -54.227600)(14.999001 1.784000 -49.704998)(14.999001 -7.181030 -62.478699)(14.999001 -1.998640 -56.345299)(14.999001 1.784000 -49.704998)(14.999001 -22.538399 -84.360397)(14.999001 -22.525000 -84.242996)(14.999001 -25.426001 -82.539001)(14.999001 -22.525000 -84.242996)(14.999001 -20.135000 -78.378998)(14.999001 -25.426001 -82.539001)(14.999001 -20.135000 -78.378998)(14.999001 -17.759998 -74.999001)(14.999001 -25.426001 -82.539001)(14.999001 -22.538399 -84.360397)(14.999001 -25.426001 -82.539001)(14.999001 -26.500000 -90.005005)(14.999001 -25.426001 -82.539001)(14.999001 -17.759998 -74.999001)(14.999001 -7.181030 -62.478699)(14.999001 1.784000 -49.704998)(14.999001 -25.426001 -82.539001)(14.999001 -7.181030 -62.478699)(-17.309000 23.000000 -27.425001)(-15.000999 1.784000 -49.704998)(17.307001 23.000000 -27.425001)(-15.000999 1.784000 -49.704998)(14.999001 -19.190001 -71.730003)(14.999001 1.784000 -49.704998)(-19.000999 45.000000 -11.095000)(20.921999 45.000000 -6.803000)(18.998999 45.000000 -11.095000)(18.998999 45.000000 -11.095000)(20.921999 23.000000 -6.803000)(18.998999 23.000000 -11.095000)(-17.309000 23.000000 -27.425001)(17.307001 23.000000 -27.425001)(18.998999 23.000000 -11.095000)(-25.001001 14.015000 -105.644005)(-15.000999 14.907499 -104.603996)(-15.000999 14.015000 -105.644005)(-25.001001 17.584999 -101.484001)(-25.001001 14.015000 -105.644005)(-25.001001 -11.478001 -107.589996)(-25.001001 19.957001 -96.541000)(-25.001001 17.584999 -101.484001)(-25.001001 -11.478001 -107.589996)(-15.000999 10.621300 -107.964996)(-15.000999 10.172700 -108.271004)(-25.001001 9.490000 -108.737999)(-15.000999 10.172700 -108.271004)(-15.000999 9.490000 -108.737999)(-25.001001 9.490000 -108.737999)(-15.000999 14.015000 -105.644005)(-15.000999 10.621300 -107.964996)(-20.000999 11.752501 -107.190994)(-15.000999 10.621300 -107.964996)(-25.001001 9.490000 -108.737999)(-20.000999 11.752501 -107.190994)(-25.001001 9.490000 -108.737999)(-25.001001 14.015000 -105.644005)(-20.000999 11.752501 -107.190994)(-25.001001 14.015000 -105.644005)(-15.000999 14.015000 -105.644005)(-20.000999 11.752501 -107.190994)(-15.000999 10.172700 -108.271004)(-15.000999 11.009000 -114.110001)(-15.000999 9.490000 -108.737999)(-15.000999 4.318000 -110.556000)(-15.000999 3.772000 -116.235001)(-15.000999 3.603940 -110.611000)(-15.000999 4.318000 -110.556000)(-15.000999 5.611000 -110.100998)(-15.000999 7.306470 -112.253006)(-15.000999 5.611000 -110.100998)(-15.000999 9.490000 -108.737999)(-15.000999 7.306470 -112.253006)(-15.000999 11.009000 -114.110001)(-15.000999 3.772000 -116.235001)(-15.000999 7.306470 -112.253006)(-15.000999 9.490000 -108.737999)(-15.000999 11.009000 -114.110001)(-15.000999 7.306470 -112.253006)(-15.000999 3.772000 -116.235001)(-15.000999 4.318000 -110.556000)(-15.000999 7.306470 -112.253006)(-25.001001 20.969000 -91.153000)(-25.001001 19.957001 -96.541000)(-25.001001 -11.478001 -107.589996)(-15.000999 -3.771000 -116.235001)(-15.000999 3.772000 -116.235001)(14.999001 3.771990 -116.235001)(14.999001 -3.771010 -116.235001)(-15.000999 -3.771000 -116.235001)(14.999001 3.771990 -116.235001)(14.999001 -3.492860 -112.903999)(14.999001 -4.211010 -112.871002)(14.999001 -3.771010 -116.235001)(14.999001 -10.224000 -110.887001)(14.999001 -10.350900 -110.802002)(14.999001 -11.008000 -114.110001)(14.999001 -11.008000 -114.110001)(14.999001 -3.771010 -116.235001)(14.999001 -7.250430 -113.517998)(14.999001 -4.211010 -112.871002)(14.999001 -10.224000 -110.887001)(14.999001 -7.250430 -113.517998)(14.999001 -10.224000 -110.887001)(14.999001 -11.008000 -114.110001)(14.999001 -7.250430 -113.517998)(14.999001 -3.771010 -116.235001)(14.999001 -4.211010 -112.871002)(14.999001 -7.250430 -113.517998)(-15.000999 7.104720 -70.320503)(-15.000999 6.788090 -69.093697)(-15.000999 8.422071 -70.415306)(-15.000999 6.788090 -69.093697)(-15.000999 9.385249 -69.950401)(-15.000999 8.422071 -70.415306)(-15.000999 9.385249 -69.950401)(-15.000999 10.056000 -71.737000)(-15.000999 8.422071 -70.415306)(-15.000999 10.056000 -71.737000)(-15.000999 7.104720 -70.320503)(-15.000999 8.422071 -70.415306)(-15.000999 10.243500 -71.827003)(-15.000999 11.479000 -72.419998)(-25.001001 11.479000 -72.419998)(-15.000999 10.056000 -71.737000)(-15.000999 10.243500 -71.827003)(-20.000999 9.007999 -71.234001)(-15.000999 7.104720 -70.320503)(-15.000999 10.056000 -71.737000)(-20.000999 9.007999 -71.234001)(-15.000999 10.243500 -71.827003)(-25.001001 11.479000 -72.419998)(-20.000999 9.007999 -71.234001)(-15.000999 6.537000 -70.047997)(-15.000999 7.104720 -70.320503)(-20.000999 9.007999 -71.234001)(-25.001001 11.479000 -72.419998)(-25.001001 6.537000 -70.047997)(-20.000999 9.007999 -71.234001)(-25.001001 6.537000 -70.047997)(-15.000999 6.537000 -70.047997)(-20.000999 9.007999 -71.234001)(-25.001001 20.552000 -85.686996)(-25.001001 20.969000 -91.153000)(-25.001001 -11.478001 -107.589996)(-25.001001 18.734001 -80.514999)(-25.001001 20.552000 -85.686996)(-25.001001 -11.478001 -107.589996)(-25.001001 18.734001 -80.514999)(-25.001001 -11.478001 -107.589996)(-25.001001 15.639000 -75.989998)(-25.001001 15.639000 -75.989998)(-25.001001 -11.478001 -107.589996)(-25.001001 11.479000 -72.419998)(-15.000999 45.000000 -49.704998)(-15.535100 35.000099 -44.549500)(-15.738601 33.865700 -42.584400)(-15.000999 45.000000 -49.704998)(-15.738601 33.865700 -42.584400)(-15.750101 33.801998 -42.474003)(-16.053799 30.641399 -39.541698)(-16.066599 30.508001 -39.417999)(-17.309000 23.000000 -27.425001)(-16.066599 30.508001 -39.417999)(-16.258900 26.654900 -37.562298)(-17.309000 23.000000 -27.425001)(-16.258900 26.654900 -37.562298)(-16.268600 26.459000 -37.468002)(-17.309000 23.000000 -27.425001)(-16.268600 26.459000 -37.468002)(-16.317400 23.336800 -36.997200)(-17.309000 23.000000 -27.425001)(-15.000999 45.000000 -49.704998)(-15.750101 33.801998 -42.474003)(-16.053799 30.641399 -39.541698)(-17.309000 23.000000 -27.425001)(-15.000999 45.000000 -49.704998)(-16.053799 30.641399 -39.541698)(-17.309000 23.000000 -27.425001)(-19.000999 23.000000 -11.095000)(-19.000999 45.000000 -11.095000)(14.999001 -23.243999 -90.534004)(14.999001 -22.538399 -84.360397)(14.999001 -26.500000 -90.005005)(14.999001 -25.426001 -97.471001)(14.999001 -22.854799 -92.957397)(14.999001 -24.519199 -90.915703)(14.999001 -22.854799 -92.957397)(14.999001 -23.243999 -90.534004)(14.999001 -24.519199 -90.915703)(14.999001 -26.500000 -90.005005)(14.999001 -25.426001 -97.471001)(14.999001 -24.519199 -90.915703)(14.999001 -23.243999 -90.534004)(14.999001 -26.500000 -90.005005)(14.999001 -24.519199 -90.915703)(14.999001 -25.426001 -82.539001)(14.999001 1.784000 -49.704998)(14.999001 -22.292999 -75.678001)(-15.000999 -25.426001 -82.539001)(14.999001 -26.500000 -90.005005)(14.999001 -25.426001 -82.539001)(-16.334499 22.243900 -36.832401)(-16.337999 22.016001 -36.798000)(-17.309000 23.000000 -27.425001)(-16.337999 22.016001 -36.798000)(-16.271999 17.790199 -37.435200)(-17.309000 23.000000 -27.425001)(-16.271999 17.790199 -37.435200)(-16.268600 17.573000 -37.468002)(-17.309000 23.000000 -27.425001)(-16.317400 23.336800 -36.997200)(-16.334499 22.243900 -36.832401)(-17.309000 23.000000 -27.425001)(-16.268600 17.573000 -37.468002)(-16.075001 13.691299 -39.337502)(-16.155001 12.560400 -38.564999)(-16.075001 13.691299 -39.337502)(-16.066599 13.523999 -39.417999)(-16.155001 12.560400 -38.564999)(-16.066599 13.523999 -39.417999)(-15.943400 12.006101 -40.607300)(-16.155001 12.560400 -38.564999)(-16.155001 12.560400 -38.564999)(-15.938800 11.949000 -40.652000)(-15.943400 12.006101 -40.607300)(-15.938800 11.949000 -40.652000)(-15.010400 1.960590 -49.614002)(-16.155001 12.560400 -38.564999)(-15.010400 1.960590 -49.614002)(-15.000999 1.784000 -49.704998)(-16.155001 12.560400 -38.564999)(-15.000999 1.784000 -49.704998)(-17.309000 23.000000 -27.425001)(-16.155001 12.560400 -38.564999)(-17.309000 23.000000 -27.425001)(-16.268600 17.573000 -37.468002)(-16.155001 12.560400 -38.564999)(-15.000999 -11.031099 -63.162296)(-15.000999 -19.190001 -71.730003)(14.999001 -19.190001 -71.730003)(-15.000999 -10.990100 -63.119202)(-15.000999 -11.031099 -63.162296)(14.999001 -19.190001 -71.730003)(-15.000999 -10.906300 -63.031197)(-15.000999 -10.990100 -63.119202)(14.999001 -19.190001 -71.730003)(-15.000999 1.343110 -50.167999)(-15.000999 -8.390010 -60.388802)(14.999001 -19.190001 -71.730003)(-15.000999 -10.874801 -62.998199)(-15.000999 -10.906300 -63.031197)(14.999001 -19.190001 -71.730003)(-15.000999 -8.390010 -60.388802)(-15.000999 -8.443419 -60.444901)(14.999001 -19.190001 -71.730003)(-15.000999 -9.631229 -61.692200)(-15.000999 -10.874801 -62.998199)(14.999001 -19.190001 -71.730003)(-15.000999 -8.443419 -60.444901)(-15.000999 -9.470420 -61.523399)(14.999001 -19.190001 -71.730003)(-15.000999 -9.470420 -61.523399)(-15.000999 -9.631229 -61.692200)(14.999001 -19.190001 -71.730003)(-15.000999 1.343110 -50.167999)(14.999001 -19.190001 -71.730003)(-15.000999 1.784000 -49.704998)(14.999001 -22.292999 -75.678001)(14.999001 1.784000 -49.704998)(14.999001 -19.190001 -71.730003)(-19.000999 45.000000 -11.095000)(-20.924000 45.000000 -6.803000)(20.921999 45.000000 -6.803000)(18.998999 45.000000 -11.095000)(20.921999 45.000000 -6.803000)(20.921999 23.000000 -6.803000)(4.400000 23.000000 -10.629000)(18.998999 23.000000 -11.095000)(20.921999 23.000000 -6.803000)(-0.000998 23.000000 -11.505000)(-17.309000 23.000000 -27.425001)(18.998999 23.000000 -11.095000)(-25.001001 14.015000 -105.644005)(-25.001001 9.490000 -108.737999)(-25.001001 -11.478001 -107.589996)(-15.000999 9.490000 -108.737999)(-15.000999 5.611000 -110.100998)(-20.000999 6.904000 -109.646996)(-15.000999 5.611000 -110.100998)(-25.001001 4.318000 -110.556000)(-20.000999 6.904000 -109.646996)(-25.001001 4.318000 -110.556000)(-25.001001 9.490000 -108.737999)(-20.000999 6.904000 -109.646996)(-25.001001 9.490000 -108.737999)(-15.000999 9.490000 -108.737999)(-20.000999 6.904000 -109.646996)(-15.000999 4.318000 -110.556000)(-15.000999 3.603940 -110.611000)(-20.000999 1.585000 -110.764999)(-15.000999 3.603940 -110.611000)(-15.000999 0.218500 -110.868996)(-20.000999 1.585000 -110.764999)(-15.000999 0.218500 -110.868996)(-25.001001 -1.148000 -110.973999)(-20.000999 1.585000 -110.764999)(-25.001001 -1.148000 -110.973999)(-25.001001 4.318000 -110.556000)(-20.000999 1.585000 -110.764999)(-25.001001 4.318000 -110.556000)(-15.000999 4.318000 -110.556000)(-20.000999 1.585000 -110.764999)(-15.000999 5.611000 -110.100998)(-15.000999 4.318000 -110.556000)(-25.001001 4.318000 -110.556000)(-15.000999 -3.298010 -110.570000)(-15.000999 -1.148000 -110.973999)(-15.000999 0.000500 -113.403000)(-15.000999 -1.148000 -110.973999)(-15.000999 0.218500 -110.868996)(-15.000999 0.000500 -113.403000)(-15.000999 0.218500 -110.868996)(-15.000999 3.603940 -110.611000)(-15.000999 0.000500 -113.403000)(-15.000999 3.603940 -110.611000)(-15.000999 3.772000 -116.235001)(-15.000999 0.000500 -113.403000)(-15.000999 3.772000 -116.235001)(-15.000999 -3.771000 -116.235001)(-15.000999 0.000500 -113.403000)(-15.000999 -3.771000 -116.235001)(-15.000999 -3.298010 -110.570000)(-15.000999 0.000500 -113.403000)(14.999001 -3.771010 -116.235001)(-15.000999 -11.008000 -114.110001)(-15.000999 -3.771000 -116.235001)(14.999001 -3.771010 -116.235001)(14.999001 -11.008000 -114.110001)(-15.000999 -11.008000 -114.110001)(14.999001 -15.479000 -107.354004)(14.999001 -16.225500 -106.477997)(14.999001 -17.353001 -110.031998)(14.999001 -17.353001 -110.031998)(14.999001 -11.008000 -114.110001)(14.999001 -13.852000 -110.293999)(14.999001 -11.008000 -114.110001)(14.999001 -10.350900 -110.802002)(14.999001 -13.852000 -110.293999)(14.999001 -10.350900 -110.802002)(14.999001 -15.479000 -107.354004)(14.999001 -13.852000 -110.293999)(14.999001 -15.479000 -107.354004)(14.999001 -17.353001 -110.031998)(14.999001 -13.852000 -110.293999)(-15.000999 7.104720 -70.320503)(-15.000999 6.537000 -70.047997)(-15.000999 6.788090 -69.093697)(-15.000999 4.646970 -69.693001)(-15.000999 4.450680 -68.322601)(-15.000999 5.777700 -69.321602)(-15.000999 4.450680 -68.322601)(-15.000999 6.788090 -69.093697)(-15.000999 5.777700 -69.321602)(-15.000999 6.537000 -70.047997)(-15.000999 5.190000 -69.794998)(-15.000999 5.777700 -69.321602)(-15.000999 5.190000 -69.794998)(-15.000999 4.646970 -69.693001)(-15.000999 5.777700 -69.321602)(-15.000999 6.788090 -69.093697)(-15.000999 6.537000 -70.047997)(-15.000999 5.777700 -69.321602)(-15.000999 2.368480 -69.264999)(-15.000999 2.334300 -68.121300)(-15.000999 3.490630 -68.907097)(-15.000999 2.334300 -68.121300)(-15.000999 4.082000 -68.200996)(-15.000999 3.490630 -68.907097)(-15.000999 4.082000 -68.200996)(-15.000999 4.450680 -68.322601)(-15.000999 3.490630 -68.907097)(-15.000999 4.450680 -68.322601)(-15.000999 4.646970 -69.693001)(-15.000999 3.490630 -68.907097)(-15.000999 4.646970 -69.693001)(-15.000999 2.368480 -69.264999)(-15.000999 3.490630 -68.907097)(-25.001001 11.479000 -72.419998)(-25.001001 -11.478001 -107.589996)(-25.001001 6.537000 -70.047997)(-15.000999 5.190000 -69.794998)(-15.000999 6.537000 -70.047997)(-25.001001 6.537000 -70.047997)(-19.000999 23.000000 -11.095000)(-17.309000 23.000000 -27.425001)(-0.000998 23.000000 -11.505000)(-20.924000 45.000000 -6.803000)(-19.000999 45.000000 -11.095000)(-19.000999 23.000000 -11.095000)(14.999001 -22.240000 -96.786003)(14.999001 -22.854799 -92.957397)(14.999001 -25.426001 -97.471001)(14.999001 -22.292999 -104.332001)(14.999001 -20.565300 -100.412003)(14.999001 -22.995699 -98.644707)(14.999001 -20.565300 -100.412003)(14.999001 -22.240000 -96.786003)(14.999001 -22.995699 -98.644707)(14.999001 -25.426001 -97.471001)(14.999001 -22.292999 -104.332001)(14.999001 -22.995699 -98.644707)(14.999001 -22.240000 -96.786003)(14.999001 -25.426001 -97.471001)(14.999001 -22.995699 -98.644707)(-15.000999 -26.500000 -90.005005)(14.999001 -25.426001 -97.471001)(14.999001 -26.500000 -90.005005)(-15.000999 -22.292999 -75.678001)(14.999001 -25.426001 -82.539001)(14.999001 -22.292999 -75.678001)(-15.000999 -22.292999 -75.678001)(-15.000999 -25.426001 -82.539001)(14.999001 -25.426001 -82.539001)(-15.000999 -25.426001 -82.539001)(-15.000999 -26.500000 -90.005005)(14.999001 -26.500000 -90.005005)(-15.000999 1.850090 -49.713100)(-15.010400 1.960590 -49.614002)(-15.000999 1.859120 -49.704998)(-15.000999 1.805120 -49.753403)(-15.010400 1.960590 -49.614002)(-15.000999 1.850090 -49.713100)(-15.000999 1.802930 -49.755398)(-15.010400 1.960590 -49.614002)(-15.000999 1.805120 -49.753403)(-15.000999 1.798120 -49.759701)(-15.010400 1.960590 -49.614002)(-15.000999 1.802930 -49.755398)(-15.000999 1.792550 -49.764702)(-15.010400 1.960590 -49.614002)(-15.000999 1.798120 -49.759701)(-15.000999 1.785960 -49.770599)(-15.010400 1.960590 -49.614002)(-15.000999 1.792550 -49.764702)(-15.000999 1.777920 -49.777901)(-15.010400 1.960590 -49.614002)(-15.000999 1.785960 -49.770599)(-15.000999 1.767710 -49.786999)(-15.010400 1.960590 -49.614002)(-15.000999 1.777920 -49.777901)(-15.000999 1.754110 -49.799202)(-15.010400 1.960590 -49.614002)(-15.000999 1.767710 -49.786999)(-15.000999 1.734860 -49.816502)(-15.010400 1.960590 -49.614002)(-15.000999 1.754110 -49.799202)(-15.000999 1.705460 -49.842903)(-15.010400 1.960590 -49.614002)(-15.000999 1.734860 -49.816502)(-15.000999 1.656250 -49.887001)(-15.010400 1.960590 -49.614002)(-15.000999 1.705460 -49.842903)(-15.000999 1.566190 -49.967800)(-15.010400 1.960590 -49.614002)(-15.000999 1.656250 -49.887001)(-15.000999 1.784000 -49.704998)(-15.010400 1.960590 -49.614002)(-15.000999 1.859120 -49.704998)(-15.000999 -19.190001 -71.730003)(14.999001 -22.292999 -75.678001)(14.999001 -19.190001 -71.730003)(-15.000999 -11.008700 -63.505096)(-15.000999 -19.190001 -71.730003)(-15.000999 -11.031099 -63.162296)(-15.000999 -19.190001 -71.730003)(-15.000999 -11.008700 -63.505096)(-15.000999 -22.292999 -75.678001)(-15.000999 1.412670 -50.105602)(-15.000999 1.784000 -49.704998)(-15.000999 1.343110 -50.167999)(-20.924000 45.000000 -6.803000)(21.999001 45.000000 -0.005002)(20.921999 45.000000 -6.803000)(20.921999 45.000000 -6.803000)(21.999001 23.000000 -0.005001)(20.921999 23.000000 -6.803000)(8.131001 23.000000 -8.136000)(4.400000 23.000000 -10.629000)(20.921999 23.000000 -6.803000)(4.400000 23.000000 -10.629000)(-0.000998 23.000000 -11.505000)(18.998999 23.000000 -11.095000)(-25.001001 9.490000 -108.737999)(-25.001001 4.318000 -110.556000)(-25.001001 -11.478001 -107.589996)(-15.000999 0.218500 -110.868996)(-15.000999 -1.148000 -110.973999)(-25.001001 -1.148000 -110.973999)(-25.001001 4.318000 -110.556000)(-25.001001 -1.148000 -110.973999)(-25.001001 -11.478001 -107.589996)(-15.000999 -1.148000 -110.973999)(-15.000999 -3.298010 -110.570000)(-20.000999 -3.842000 -110.468002)(-15.000999 -3.298010 -110.570000)(-15.000999 -5.189000 -110.215004)(-20.000999 -3.842000 -110.468002)(-15.000999 -5.189000 -110.215004)(-25.001001 -6.536000 -109.961998)(-20.000999 -3.842000 -110.468002)(-25.001001 -6.536000 -109.961998)(-25.001001 -1.148000 -110.973999)(-20.000999 -3.842000 -110.468002)(-25.001001 -1.148000 -110.973999)(-15.000999 -1.148000 -110.973999)(-20.000999 -3.842000 -110.468002)(-15.000999 -6.536000 -109.961998)(-15.000999 -5.189000 -110.215004)(-15.000999 -7.153000 -112.299004)(-15.000999 -5.189000 -110.215004)(-15.000999 -3.298010 -110.570000)(-15.000999 -7.153000 -112.299004)(-15.000999 -3.298010 -110.570000)(-15.000999 -3.771000 -116.235001)(-15.000999 -7.153000 -112.299004)(-15.000999 -3.771000 -116.235001)(-15.000999 -11.008000 -114.110001)(-15.000999 -7.153000 -112.299004)(-15.000999 -11.008000 -114.110001)(-15.000999 -9.866620 -108.362999)(-15.000999 -7.153000 -112.299004)(-15.000999 -9.866620 -108.362999)(-15.000999 -6.536000 -109.961998)(-15.000999 -7.153000 -112.299004)(14.999001 -11.008000 -114.110001)(-15.000999 -17.353001 -110.031998)(-15.000999 -11.008000 -114.110001)(14.999001 -11.008000 -114.110001)(14.999001 -17.353001 -110.031998)(-15.000999 -17.353001 -110.031998)(14.999001 -19.585001 -102.535004)(14.999001 -20.565300 -100.412003)(14.999001 -22.292999 -104.332001)(14.999001 -17.353001 -110.031998)(14.999001 -16.225500 -106.477997)(14.999001 -19.259300 -105.222000)(14.999001 -16.225500 -106.477997)(14.999001 -19.585001 -102.535004)(14.999001 -19.259300 -105.222000)(14.999001 -22.292999 -104.332001)(14.999001 -17.353001 -110.031998)(14.999001 -19.259300 -105.222000)(14.999001 -19.585001 -102.535004)(14.999001 -22.292999 -104.332001)(14.999001 -19.259300 -105.222000)(-15.000999 4.646970 -69.693001)(-15.000999 5.190000 -69.794998)(-20.000999 3.843000 -69.542000)(-15.000999 2.368480 -69.264999)(-15.000999 4.646970 -69.693001)(-20.000999 3.843000 -69.542000)(-15.000999 5.190000 -69.794998)(-25.001001 6.537000 -70.047997)(-20.000999 3.843000 -69.542000)(-15.000999 1.149000 -69.036003)(-15.000999 2.368480 -69.264999)(-20.000999 3.843000 -69.542000)(-25.001001 6.537000 -70.047997)(-25.001001 1.149000 -69.036003)(-20.000999 3.843000 -69.542000)(-25.001001 1.149000 -69.036003)(-15.000999 1.149000 -69.036003)(-20.000999 3.843000 -69.542000)(-15.000999 0.163659 -69.111198)(-15.000999 0.254233 -68.026398)(-15.000999 1.266070 -68.645699)(-15.000999 0.254233 -68.026398)(-15.000999 2.334300 -68.121300)(-15.000999 1.266070 -68.645699)(-15.000999 2.334300 -68.121300)(-15.000999 2.368480 -69.264999)(-15.000999 1.266070 -68.645699)(-15.000999 2.368480 -69.264999)(-15.000999 1.149000 -69.036003)(-15.000999 1.266070 -68.645699)(-15.000999 1.149000 -69.036003)(-15.000999 0.163659 -69.111198)(-15.000999 1.266070 -68.645699)(-25.001001 6.537000 -70.047997)(-25.001001 -11.478001 -107.589996)(-25.001001 1.149000 -69.036003)(-19.000999 23.000000 -11.095000)(-0.000998 23.000000 -11.505000)(-4.402000 23.000000 -10.629000)(-20.924000 45.000000 -6.803000)(-19.000999 23.000000 -11.095000)(-20.924000 23.000000 -6.803000)(-15.000999 -25.426001 -97.471001)(14.999001 -22.292999 -104.332001)(14.999001 -25.426001 -97.471001)(-15.000999 -26.500000 -90.005005)(-15.000999 -25.426001 -97.471001)(14.999001 -25.426001 -97.471001)(-15.000999 -19.190001 -71.730003)(-15.000999 -22.292999 -75.678001)(14.999001 -22.292999 -75.678001)(-15.000999 -10.921000 -64.850006)(-15.000999 -10.863500 -64.966599)(-15.000999 -22.292999 -75.678001)(-15.000999 -10.921000 -64.850006)(-15.000999 -22.292999 -75.678001)(-15.000999 -11.008700 -63.505096)(-15.000999 -22.292999 -75.678001)(-15.000999 -10.863500 -64.966599)(-15.000999 -25.426001 -82.539001)(-15.000999 -26.500000 -90.005005)(-15.000999 -25.426001 -82.539001)(-15.000999 -10.064100 -66.586601)(-15.000999 -10.064100 -66.586601)(-15.000999 -25.426001 -82.539001)(-15.000999 -10.863500 -64.966599)(-15.000999 1.566190 -49.967800)(-15.000999 1.784000 -49.704998)(-15.000999 1.412670 -50.105602)(-15.000999 1.656250 -49.887001)(-15.000999 1.784000 -49.704998)(-15.000999 1.566190 -49.967800)(-15.000999 1.784000 -49.704998)(-15.000999 1.656250 -49.887001)(-15.000999 1.705460 -49.842903)(-15.000999 1.705460 -49.842903)(-15.000999 1.734860 -49.816502)(-15.000999 1.784000 -49.704998)(-15.000999 1.734860 -49.816502)(-15.000999 1.754110 -49.799202)(-15.000999 1.784000 -49.704998)(-15.000999 1.767710 -49.786999)(-15.000999 1.784000 -49.704998)(-15.000999 1.754110 -49.799202)(-15.000999 1.784000 -49.704998)(-15.000999 1.767710 -49.786999)(-15.000999 1.777920 -49.777901)(-15.000999 1.784000 -49.704998)(-15.000999 1.777920 -49.777901)(-15.000999 1.785960 -49.770599)(-15.000999 1.784000 -49.704998)(-15.000999 1.785960 -49.770599)(-15.000999 1.792550 -49.764702)(-15.000999 1.784000 -49.704998)(-15.000999 1.792550 -49.764702)(-15.000999 1.798120 -49.759701)(-15.000999 1.784000 -49.704998)(-15.000999 1.798120 -49.759701)(-15.000999 1.802930 -49.755398)(-15.000999 1.784000 -49.704998)(-15.000999 1.802930 -49.755398)(-15.000999 1.805120 -49.753403)(-15.000999 1.784000 -49.704998)(-15.000999 1.805120 -49.753403)(-15.000999 1.850090 -49.713100)(-15.000999 1.784000 -49.704998)(-15.000999 1.850090 -49.713100)(-15.000999 1.859120 -49.704998)(-20.924000 45.000000 -6.803000)(-22.000999 45.000000 -0.005002)(21.999001 45.000000 -0.005002)(21.999001 23.000000 -0.005001)(20.921999 45.000000 -6.803000)(21.999001 45.000000 -0.005002)(10.624000 23.000000 -4.406000)(20.921999 23.000000 -6.803000)(21.999001 23.000000 -0.005001)(10.624000 23.000000 -4.406000)(8.131001 23.000000 -8.136000)(20.921999 23.000000 -6.803000)(8.131001 7.000000 -8.136000)(4.400000 23.000000 -10.629000)(8.131001 23.000000 -8.136000)(4.400000 7.000000 -10.629000)(-0.000998 23.000000 -11.505000)(4.400000 23.000000 -10.629000)(-25.001001 -1.148000 -110.973999)(-25.001001 -6.536000 -109.961998)(-25.001001 -11.478001 -107.589996)(-15.000999 -5.189000 -110.215004)(-15.000999 -6.536000 -109.961998)(-25.001001 -6.536000 -109.961998)(-15.000999 -14.599000 -104.911995)(-15.000999 -17.353001 -110.031998)(-15.000999 -15.487200 -104.149994)(-15.000999 -11.478200 -107.589996)(-15.000999 -10.242500 -108.182999)(-15.000999 -13.609799 -109.130005)(-15.000999 -10.242500 -108.182999)(-15.000999 -9.866620 -108.362999)(-15.000999 -13.609799 -109.130005)(-15.000999 -9.866620 -108.362999)(-15.000999 -11.008000 -114.110001)(-15.000999 -13.609799 -109.130005)(-15.000999 -11.008000 -114.110001)(-15.000999 -17.353001 -110.031998)(-15.000999 -13.609799 -109.130005)(-15.000999 -14.599000 -104.911995)(-15.000999 -11.478200 -107.589996)(-15.000999 -13.609799 -109.130005)(-15.000999 -17.353001 -110.031998)(-15.000999 -14.599000 -104.911995)(-15.000999 -13.609799 -109.130005)(-15.000999 -6.536000 -109.961998)(-15.000999 -9.866620 -108.362999)(-20.000999 -9.007000 -108.776001)(-15.000999 -9.866620 -108.362999)(-15.000999 -10.242500 -108.182999)(-20.000999 -9.007000 -108.776001)(-15.000999 -10.242500 -108.182999)(-25.001001 -11.478001 -107.589996)(-20.000999 -9.007000 -108.776001)(-25.001001 -11.478001 -107.589996)(-25.001001 -6.536000 -109.961998)(-20.000999 -9.007000 -108.776001)(-25.001001 -6.536000 -109.961998)(-15.000999 -6.536000 -109.961998)(-20.000999 -9.007000 -108.776001)(-15.000999 -22.292999 -104.332001)(-15.000999 -17.353001 -110.031998)(14.999001 -17.353001 -110.031998)(-15.000999 -22.292999 -104.332001)(14.999001 -17.353001 -110.031998)(14.999001 -22.292999 -104.332001)(-15.000999 0.163659 -69.111198)(-15.000999 1.149000 -69.036003)(-25.001001 1.149000 -69.036003)(-15.000999 -0.217500 -69.140205)(-15.000999 0.163659 -69.111198)(-25.001001 1.149000 -69.036003)(-15.000999 -1.903000 -67.928001)(-15.000999 -2.104790 -69.284203)(-15.000999 -1.836030 -67.931099)(-15.000999 -4.317000 -69.453003)(-15.000999 -4.501000 -69.517700)(-15.000999 -4.110440 -68.286499)(-15.000999 -2.104790 -69.284203)(-15.000999 -4.317000 -69.453003)(-15.000999 -3.168510 -68.722801)(-15.000999 -4.110440 -68.286499)(-15.000999 -1.903000 -67.928001)(-15.000999 -3.168510 -68.722801)(-15.000999 -4.317000 -69.453003)(-15.000999 -4.110440 -68.286499)(-15.000999 -3.168510 -68.722801)(-15.000999 -1.903000 -67.928001)(-15.000999 -2.104790 -69.284203)(-15.000999 -3.168510 -68.722801)(-15.000999 0.163659 -69.111198)(-15.000999 -0.217500 -69.140205)(-15.000999 0.254233 -68.026398)(-15.000999 -2.104790 -69.284203)(-15.000999 -1.836030 -67.931099)(-15.000999 -0.925279 -68.607597)(-15.000999 -1.836030 -67.931099)(-15.000999 0.254233 -68.026398)(-15.000999 -0.925279 -68.607597)(-15.000999 -0.217500 -69.140205)(-15.000999 -2.104790 -69.284203)(-15.000999 -0.925279 -68.607597)(-15.000999 0.254233 -68.026398)(-15.000999 -0.217500 -69.140205)(-15.000999 -0.925279 -68.607597)(-25.001001 1.149000 -69.036003)(-25.001001 -11.478001 -107.589996)(-25.001001 -4.317000 -69.453003)(-0.000998 7.000000 -11.505000)(-4.402000 23.000000 -10.629000)(-0.000998 23.000000 -11.505000)(-20.924000 23.000000 -6.803000)(-19.000999 23.000000 -11.095000)(-4.402000 23.000000 -10.629000)(-22.000999 45.000000 -0.005002)(-20.924000 45.000000 -6.803000)(-20.924000 23.000000 -6.803000)(-15.000999 -25.426001 -97.471001)(-15.000999 -22.292999 -104.332001)(14.999001 -22.292999 -104.332001)(-15.000999 -20.914900 -89.552002)(-15.000999 -25.426001 -97.471001)(-15.000999 -26.500000 -90.005005)(-15.000999 -19.957001 -83.467995)(-15.000999 -20.209801 -84.815002)(-15.000999 -26.500000 -90.005005)(-15.000999 -20.209801 -84.815002)(-15.000999 -20.968000 -88.855995)(-15.000999 -26.500000 -90.005005)(-15.000999 -20.968000 -88.855995)(-15.000999 -20.914900 -89.552002)(-15.000999 -26.500000 -90.005005)(-15.000999 -19.957001 -83.467995)(-15.000999 -26.500000 -90.005005)(-15.000999 -18.177999 -79.761497)(-15.000999 -8.591000 -67.886002)(-15.000999 -11.147000 -72.404800)(-15.000999 -8.575789 -67.891205)(-15.000999 -8.591000 -67.886002)(-15.000999 -11.147000 -72.404800)(-15.000999 -10.058000 -66.598999)(-15.000999 -11.147000 -72.404800)(-15.000999 -14.015000 -74.366005)(-15.000999 -10.064100 -66.586601)(-15.000999 -14.015000 -74.366005)(-15.000999 -14.907499 -75.405998)(-15.000999 -10.064100 -66.586601)(-15.000999 -10.064100 -66.586601)(-15.000999 -11.147000 -72.404800)(-15.000999 -10.058000 -66.598999)(-15.000999 -17.584999 -78.526001)(-15.000999 -26.500000 -90.005005)(-15.000999 -10.064100 -66.586601)(-15.000999 -14.907499 -75.405998)(-15.000999 -17.584999 -78.526001)(-15.000999 -10.064100 -66.586601)(-15.000999 -18.177999 -79.761497)(-15.000999 -26.500000 -90.005005)(-15.000999 -17.584999 -78.526001)(-22.000999 45.000000 -0.005002)(20.921999 45.000000 6.794000)(21.999001 45.000000 -0.005002)(21.999001 45.000000 -0.005002)(20.921999 23.000000 6.794000)(21.999001 23.000000 -0.005001)(11.499000 23.000000 -0.005001)(10.624000 23.000000 -4.406000)(21.999001 23.000000 -0.005001)(8.131001 23.000000 -8.136000)(10.624000 23.000000 -4.406000)(10.624000 7.000000 -4.406000)(8.131001 23.000000 -8.136000)(10.624000 7.000000 -4.406000)(8.131001 7.000000 -8.136000)(8.131001 7.000000 -8.136000)(4.400000 7.000000 -10.629000)(4.400000 23.000000 -10.629000)(4.400000 7.000000 -10.629000)(-0.000998 7.000000 -11.505000)(-0.000998 23.000000 -11.505000)(-15.000999 -10.242500 -108.182999)(-15.000999 -11.478200 -107.589996)(-25.001001 -11.478001 -107.589996)(-15.000999 -18.733000 -99.494003)(-15.000999 -22.292999 -104.332001)(-15.000999 -19.366501 -97.692200)(-15.000999 -15.639000 -104.019997)(-15.000999 -15.487200 -104.149994)(-15.000999 -18.890100 -103.862000)(-15.000999 -15.487200 -104.149994)(-15.000999 -17.353001 -110.031998)(-15.000999 -18.890100 -103.862000)(-15.000999 -17.353001 -110.031998)(-15.000999 -22.292999 -104.332001)(-15.000999 -18.890100 -103.862000)(-15.000999 -18.733000 -99.494003)(-15.000999 -17.959499 -100.625999)(-15.000999 -18.890100 -103.862000)(-15.000999 -17.959499 -100.625999)(-15.000999 -15.639000 -104.019997)(-15.000999 -18.890100 -103.862000)(-15.000999 -22.292999 -104.332001)(-15.000999 -18.733000 -99.494003)(-15.000999 -18.890100 -103.862000)(-15.000999 -15.487200 -104.149994)(-15.000999 -15.639000 -104.019997)(-25.001001 -15.639000 -104.019997)(-15.000999 -14.599000 -104.911995)(-15.000999 -15.487200 -104.149994)(-25.001001 -15.639000 -104.019997)(-15.000999 -11.478200 -107.589996)(-15.000999 -14.599000 -104.911995)(-20.000999 -13.558600 -105.805000)(-15.000999 -14.599000 -104.911995)(-25.001001 -15.639000 -104.019997)(-20.000999 -13.558600 -105.805000)(-25.001001 -15.639000 -104.019997)(-25.001001 -11.478001 -107.589996)(-20.000999 -13.558600 -105.805000)(-25.001001 -11.478001 -107.589996)(-15.000999 -11.478200 -107.589996)(-20.000999 -13.558600 -105.805000)(-15.000999 -2.104790 -69.284203)(-15.000999 -0.217500 -69.140205)(-20.000999 -1.584000 -69.244499)(-15.000999 -4.317000 -69.453003)(-15.000999 -2.104790 -69.284203)(-20.000999 -1.584000 -69.244499)(-15.000999 -0.217500 -69.140205)(-25.001001 1.149000 -69.036003)(-20.000999 -1.584000 -69.244499)(-25.001001 -4.317000 -69.453003)(-15.000999 -4.317000 -69.453003)(-20.000999 -1.584000 -69.244499)(-25.001001 1.149000 -69.036003)(-25.001001 -4.317000 -69.453003)(-20.000999 -1.584000 -69.244499)(-15.000999 -5.610000 -69.907501)(-15.000999 -4.501000 -69.517700)(-25.001001 -4.317000 -69.453003)(-15.000999 -4.501000 -69.517700)(-15.000999 -4.317000 -69.453003)(-25.001001 -4.317000 -69.453003)(-15.000999 -4.110440 -68.286499)(-15.000999 -4.501000 -69.517700)(-15.000999 -4.945000 -68.421997)(-15.000999 -5.610000 -69.907501)(-15.000999 -7.397200 -70.535698)(-15.000999 -5.753820 -69.411102)(-15.000999 -7.397200 -70.535698)(-15.000999 -6.500240 -68.500694)(-15.000999 -5.753820 -69.411102)(-15.000999 -6.500240 -68.500694)(-15.000999 -4.945000 -68.421997)(-15.000999 -5.753820 -69.411102)(-15.000999 -4.501000 -69.517700)(-15.000999 -5.610000 -69.907501)(-15.000999 -5.753820 -69.411102)(-15.000999 -4.945000 -68.421997)(-15.000999 -4.501000 -69.517700)(-15.000999 -5.753820 -69.411102)(-25.001001 -4.317000 -69.453003)(-25.001001 -11.478001 -107.589996)(-25.001001 -9.489000 -71.271004)(-0.000998 7.000000 -11.505000)(-4.402000 7.000000 -10.629000)(-4.402000 23.000000 -10.629000)(-8.132999 23.000000 -8.136000)(-20.924000 23.000000 -6.803000)(-4.402000 23.000000 -10.629000)(-22.000999 45.000000 -0.005002)(-20.924000 23.000000 -6.803000)(-22.000999 23.000000 -0.005001)(-15.000999 -20.551001 -94.322998)(-15.000999 -25.426001 -97.471001)(-15.000999 -20.863701 -90.222702)(-15.000999 -20.863701 -90.222702)(-15.000999 -25.426001 -97.471001)(-15.000999 -20.914900 -89.552002)(-15.000999 -19.366501 -97.692200)(-15.000999 -22.292999 -104.332001)(-15.000999 -22.396200 -96.942001)(-15.000999 -22.292999 -104.332001)(-15.000999 -25.426001 -97.471001)(-15.000999 -22.396200 -96.942001)(-15.000999 -20.551001 -94.322998)(-15.000999 -20.096500 -95.615799)(-15.000999 -22.396200 -96.942001)(-15.000999 -20.096500 -95.615799)(-15.000999 -19.366501 -97.692200)(-15.000999 -22.396200 -96.942001)(-15.000999 -25.426001 -97.471001)(-15.000999 -20.551001 -94.322998)(-15.000999 -22.396200 -96.942001)(-15.000999 -6.500240 -68.500694)(-15.000999 -7.397200 -70.535698)(-15.000999 -6.744000 -68.513000)(-15.000999 -8.575789 -67.891205)(-15.000999 -10.620500 -72.044800)(-15.000999 -11.147000 -72.404800)(-15.000999 -9.489000 -71.271004)(-15.000999 -10.620500 -72.044800)(-15.000999 -8.823610 -70.147995)(-15.000999 -8.575789 -67.891205)(-15.000999 -6.744000 -68.513000)(-15.000999 -8.823610 -70.147995)(-15.000999 -7.397200 -70.535698)(-15.000999 -9.489000 -71.271004)(-15.000999 -8.823610 -70.147995)(-15.000999 -6.744000 -68.513000)(-15.000999 -7.397200 -70.535698)(-15.000999 -8.823610 -70.147995)(-15.000999 -10.620500 -72.044800)(-15.000999 -8.575789 -67.891205)(-15.000999 -8.823610 -70.147995)(-15.000999 -14.015000 -74.366005)(-15.000999 -11.147000 -72.404800)(-20.000999 -11.752000 -72.818504)(-15.000999 -11.147000 -72.404800)(-15.000999 -10.620500 -72.044800)(-20.000999 -11.752000 -72.818504)(-15.000999 -10.620500 -72.044800)(-25.001001 -9.489000 -71.271004)(-20.000999 -11.752000 -72.818504)(-25.001001 -9.489000 -71.271004)(-25.001001 -14.015000 -74.366005)(-20.000999 -11.752000 -72.818504)(-25.001001 -14.015000 -74.366005)(-15.000999 -14.015000 -74.366005)(-20.000999 -11.752000 -72.818504)(-25.001001 -14.015000 -74.366005)(-15.000999 -14.907499 -75.405998)(-15.000999 -14.015000 -74.366005)(-15.000999 -17.584999 -78.526001)(-15.000999 -14.907499 -75.405998)(-20.000999 -15.799999 -76.445999)(-15.000999 -14.907499 -75.405998)(-25.001001 -14.015000 -74.366005)(-20.000999 -15.799999 -76.445999)(-25.001001 -14.015000 -74.366005)(-25.001001 -17.584999 -78.526001)(-20.000999 -15.799999 -76.445999)(-25.001001 -17.584999 -78.526001)(-15.000999 -17.584999 -78.526001)(-20.000999 -15.799999 -76.445999)(-25.001001 -17.584999 -78.526001)(-15.000999 -18.177999 -79.761497)(-15.000999 -17.584999 -78.526001)(-15.000999 -19.957001 -83.467995)(-15.000999 -18.177999 -79.761497)(-20.000999 -18.771000 -80.996994)(-15.000999 -18.177999 -79.761497)(-25.001001 -17.584999 -78.526001)(-20.000999 -18.771000 -80.996994)(-25.001001 -17.584999 -78.526001)(-25.001001 -19.957001 -83.467995)(-20.000999 -18.771000 -80.996994)(-25.001001 -19.957001 -83.467995)(-15.000999 -19.957001 -83.467995)(-20.000999 -18.771000 -80.996994)(-25.001001 -19.957001 -83.467995)(-15.000999 -20.209801 -84.815002)(-15.000999 -19.957001 -83.467995)(-15.000999 -20.968000 -88.855995)(-15.000999 -20.209801 -84.815002)(-20.000999 -20.462500 -86.162003)(-15.000999 -20.209801 -84.815002)(-25.001001 -19.957001 -83.467995)(-20.000999 -20.462500 -86.162003)(-25.001001 -19.957001 -83.467995)(-25.001001 -20.968000 -88.855995)(-20.000999 -20.462500 -86.162003)(-25.001001 -20.968000 -88.855995)(-15.000999 -20.968000 -88.855995)(-20.000999 -20.462500 -86.162003)(-25.001001 -20.968000 -88.855995)(-15.000999 -20.863701 -90.222702)(-15.000999 -20.914900 -89.552002)(-25.001001 -20.968000 -88.855995)(-15.000999 -20.914900 -89.552002)(-15.000999 -20.968000 -88.855995)(-22.000999 45.000000 -0.005002)(-20.924000 45.000000 6.794000)(20.921999 45.000000 6.794000)(21.999001 45.000000 -0.005002)(20.921999 45.000000 6.794000)(20.921999 23.000000 6.794000)(11.499000 23.000000 -0.005001)(21.999001 23.000000 -0.005001)(20.921999 23.000000 6.794000)(10.624000 23.000000 -4.406000)(11.499000 23.000000 -0.005001)(11.499000 7.000000 -0.005001)(10.624000 23.000000 -4.406000)(11.499000 7.000000 -0.005001)(10.624000 7.000000 -4.406000)(-10.626000 7.000000 -4.406000)(8.131001 7.000000 -8.136000)(10.624000 7.000000 -4.406000)(-10.626000 7.000000 -4.406000)(4.400000 7.000000 -10.629000)(8.131001 7.000000 -8.136000)(-10.626000 7.000000 -4.406000)(-0.000998 7.000000 -11.505000)(4.400000 7.000000 -10.629000)(-15.000999 -19.366501 -97.692200)(-15.000999 -20.096500 -95.615799)(-20.000999 -19.641998 -96.908501)(-15.000999 -20.096500 -95.615799)(-25.001001 -20.551001 -94.322998)(-20.000999 -19.641998 -96.908501)(-25.001001 -20.551001 -94.322998)(-25.001001 -18.733000 -99.494003)(-20.000999 -19.641998 -96.908501)(-25.001001 -18.733000 -99.494003)(-15.000999 -18.733000 -99.494003)(-20.000999 -19.641998 -96.908501)(-15.000999 -18.733000 -99.494003)(-15.000999 -19.366501 -97.692200)(-20.000999 -19.641998 -96.908501)(-25.001001 -18.733000 -99.494003)(-15.000999 -17.959499 -100.625999)(-15.000999 -18.733000 -99.494003)(-15.000999 -15.639000 -104.019997)(-15.000999 -17.959499 -100.625999)(-20.000999 -17.185999 -101.756996)(-15.000999 -17.959499 -100.625999)(-25.001001 -18.733000 -99.494003)(-20.000999 -17.185999 -101.756996)(-25.001001 -18.733000 -99.494003)(-25.001001 -15.639000 -104.019997)(-20.000999 -17.185999 -101.756996)(-25.001001 -15.639000 -104.019997)(-15.000999 -15.639000 -104.019997)(-20.000999 -17.185999 -101.756996)(-25.001001 -15.639000 -104.019997)(-25.001001 -18.733000 -99.494003)(-25.001001 -11.478001 -107.589996)(-15.000999 -9.489000 -71.271004)(-15.000999 -7.397200 -70.535698)(-20.000999 -6.903000 -70.362000)(-25.001001 -9.489000 -71.271004)(-15.000999 -9.489000 -71.271004)(-20.000999 -6.903000 -70.362000)(-15.000999 -7.397200 -70.535698)(-15.000999 -5.610000 -69.907501)(-20.000999 -6.903000 -70.362000)(-25.001001 -4.317000 -69.453003)(-25.001001 -9.489000 -71.271004)(-20.000999 -6.903000 -70.362000)(-15.000999 -5.610000 -69.907501)(-25.001001 -4.317000 -69.453003)(-20.000999 -6.903000 -70.362000)(-25.001001 -9.489000 -71.271004)(-25.001001 -11.478001 -107.589996)(-25.001001 -14.015000 -74.366005)(-10.626000 7.000000 -4.406000)(-4.402000 7.000000 -10.629000)(-0.000998 7.000000 -11.505000)(-4.402000 7.000000 -10.629000)(-8.132999 23.000000 -8.136000)(-4.402000 23.000000 -10.629000)(-20.924000 23.000000 -6.803000)(-8.132999 23.000000 -8.136000)(-10.626000 23.000000 -4.406000)(-20.924000 45.000000 6.794000)(-22.000999 45.000000 -0.005002)(-22.000999 23.000000 -0.005001)(-22.000999 23.000000 -0.005001)(-20.924000 23.000000 -6.803000)(-10.626000 23.000000 -4.406000)(-15.000999 -20.551001 -94.322998)(-15.000999 -20.863701 -90.222702)(-20.000999 -20.759501 -91.589500)(-15.000999 -20.863701 -90.222702)(-25.001001 -20.968000 -88.855995)(-20.000999 -20.759501 -91.589500)(-25.001001 -20.968000 -88.855995)(-25.001001 -20.551001 -94.322998)(-20.000999 -20.759501 -91.589500)(-25.001001 -20.551001 -94.322998)(-15.000999 -20.551001 -94.322998)(-20.000999 -20.759501 -91.589500)(-25.001001 -20.551001 -94.322998)(-15.000999 -20.096500 -95.615799)(-15.000999 -20.551001 -94.322998)(-15.000999 -10.620500 -72.044800)(-15.000999 -9.489000 -71.271004)(-25.001001 -9.489000 -71.271004)(-25.001001 -11.478001 -107.589996)(-25.001001 -17.584999 -78.526001)(-25.001001 -14.015000 -74.366005)(-25.001001 -11.478001 -107.589996)(-25.001001 -19.957001 -83.467995)(-25.001001 -17.584999 -78.526001)(-25.001001 -11.478001 -107.589996)(-25.001001 -20.968000 -88.855995)(-25.001001 -19.957001 -83.467995)(-20.924000 45.000000 6.794000)(17.797001 45.000000 12.927000)(20.921999 45.000000 6.794000)(20.921999 45.000000 6.794000)(17.797001 23.000000 12.927000)(20.921999 23.000000 6.794000)(10.624000 23.000000 4.396000)(11.499000 23.000000 -0.005001)(20.921999 23.000000 6.794000)(11.499000 23.000000 -0.005001)(10.624000 7.000000 4.396000)(11.499000 7.000000 -0.005001)(-10.626000 7.000000 -4.406000)(10.624000 7.000000 -4.406000)(11.499000 7.000000 -0.005001)(-25.001001 -18.733000 -99.494003)(-25.001001 -20.551001 -94.322998)(-25.001001 -11.478001 -107.589996)(-4.402000 7.000000 -10.629000)(-10.626000 7.000000 -4.406000)(-8.132999 7.000000 -8.136000)(-4.402000 7.000000 -10.629000)(-8.132999 7.000000 -8.136000)(-8.132999 23.000000 -8.136000)(-10.626000 23.000000 -4.406000)(-8.132999 23.000000 -8.136000)(-8.132999 7.000000 -8.136000)(-20.924000 45.000000 6.794000)(-22.000999 23.000000 -0.005001)(-20.924000 23.000000 6.794000)(-22.000999 23.000000 -0.005001)(-10.626000 23.000000 -4.406000)(-11.501000 23.000000 -0.005001)(-25.001001 -11.478001 -107.589996)(-25.001001 -20.551001 -94.322998)(-25.001001 -20.968000 -88.855995)(-20.924000 45.000000 6.794000)(-17.799000 45.000000 12.927000)(17.797001 45.000000 12.927000)(20.921999 45.000000 6.794000)(17.797001 45.000000 12.927000)(17.797001 23.000000 12.927000)(8.131001 23.000000 8.127000)(20.921999 23.000000 6.794000)(17.797001 23.000000 12.927000)(8.131001 23.000000 8.127000)(10.624000 23.000000 4.396000)(20.921999 23.000000 6.794000)(11.499000 23.000000 -0.005001)(10.624000 23.000000 4.396000)(10.624000 7.000000 4.396000)(-10.626000 7.000000 -4.406000)(11.499000 7.000000 -0.005001)(10.624000 7.000000 4.396000)(-10.626000 23.000000 -4.406000)(-8.132999 7.000000 -8.136000)(-10.626000 7.000000 -4.406000)(-17.799000 45.000000 12.927000)(-20.924000 45.000000 6.794000)(-20.924000 23.000000 6.794000)(-20.924000 23.000000 6.794000)(-22.000999 23.000000 -0.005001)(-10.626000 23.000000 4.396000)(-22.000999 23.000000 -0.005001)(-11.501000 23.000000 -0.005001)(-10.626000 23.000000 4.396000)(-11.501000 23.000000 -0.005001)(-10.626000 23.000000 -4.406000)(-10.626000 7.000000 -4.406000)(-17.799000 45.000000 12.927000)(12.930000 45.000000 17.794001)(17.797001 45.000000 12.927000)(12.930000 23.000000 17.794001)(17.797001 23.000000 12.927000)(17.797001 45.000000 12.927000)(4.400000 23.000000 10.620000)(8.131001 23.000000 8.127000)(17.797001 23.000000 12.927000)(10.624000 23.000000 4.396000)(8.131001 23.000000 8.127000)(8.131001 7.000000 8.127000)(10.624000 23.000000 4.396000)(8.131001 7.000000 8.127000)(10.624000 7.000000 4.396000)(-10.626000 7.000000 -4.406000)(10.624000 7.000000 4.396000)(8.131001 7.000000 8.127000)(-17.799000 45.000000 12.927000)(-20.924000 23.000000 6.794000)(-17.799000 23.000000 12.927000)(-20.924000 23.000000 6.794000)(-10.626000 23.000000 4.396000)(-8.132999 23.000000 8.127000)(-10.626000 23.000000 4.396000)(-11.501000 23.000000 -0.005001)(-11.501000 7.000000 -0.005001)(-11.501000 23.000000 -0.005001)(-10.626000 7.000000 -4.406000)(-11.501000 7.000000 -0.005001)(-17.799000 45.000000 12.927000)(-12.932000 45.000000 17.794001)(12.930000 45.000000 17.794001)(12.930000 23.000000 17.794001)(17.797001 45.000000 12.927000)(12.930000 45.000000 17.794001)(12.930000 23.000000 17.794001)(-17.799000 23.000000 12.927000)(17.797001 23.000000 12.927000)(4.400000 23.000000 10.620000)(17.797001 23.000000 12.927000)(-0.000997 23.000000 11.495000)(4.400000 7.000000 10.620000)(8.131001 23.000000 8.127000)(4.400000 23.000000 10.620000)(4.400000 7.000000 10.620000)(8.131001 7.000000 8.127000)(8.131001 23.000000 8.127000)(4.400000 7.000000 10.620000)(-10.626000 7.000000 -4.406000)(8.131001 7.000000 8.127000)(-17.799000 23.000000 12.927000)(-12.932000 45.000000 17.794001)(-17.799000 45.000000 12.927000)(-17.799000 23.000000 12.927000)(-20.924000 23.000000 6.794000)(-8.132999 23.000000 8.127000)(-8.132999 23.000000 8.127000)(-10.626000 23.000000 4.396000)(-10.626000 7.000000 4.396000)(-10.626000 23.000000 4.396000)(-11.501000 7.000000 -0.005001)(-10.626000 7.000000 4.396000)(-11.501000 7.000000 -0.005001)(-10.626000 7.000000 -4.406000)(-10.626000 7.000000 4.396000)(6.797000 45.000000 20.918001)(12.930000 45.000000 17.794001)(-12.932000 45.000000 17.794001)(6.797000 23.000000 20.918001)(12.930000 23.000000 17.794001)(12.930000 45.000000 17.794001)(-12.932000 23.000000 17.794001)(-17.799000 23.000000 12.927000)(12.930000 23.000000 17.794001)(-0.000997 23.000000 11.495000)(17.797001 23.000000 12.927000)(-17.799000 23.000000 12.927000)(-0.000997 7.000000 11.495000)(4.400000 23.000000 10.620000)(-0.000997 23.000000 11.495000)(-0.000997 7.000000 11.495000)(4.400000 7.000000 10.620000)(4.400000 23.000000 10.620000)(-0.000997 7.000000 11.495000)(-10.626000 7.000000 -4.406000)(4.400000 7.000000 10.620000)(-17.799000 23.000000 12.927000)(-12.932000 23.000000 17.794001)(-12.932000 45.000000 17.794001)(-17.799000 23.000000 12.927000)(-8.132999 23.000000 8.127000)(-4.402000 23.000000 10.620000)(-8.132999 23.000000 8.127000)(-10.626000 7.000000 4.396000)(-8.132999 7.000000 8.127000)(-10.626000 7.000000 4.396000)(-10.626000 7.000000 -4.406000)(-8.132999 7.000000 8.127000)(-6.799000 45.000000 20.918001)(6.797000 45.000000 20.918001)(-12.932000 45.000000 17.794001)(6.797000 23.000000 20.918001)(12.930000 45.000000 17.794001)(6.797000 45.000000 20.918001)(12.930000 23.000000 17.794001)(6.797000 23.000000 20.918001)(-12.932000 23.000000 17.794001)(-0.000997 23.000000 11.495000)(-17.799000 23.000000 12.927000)(-4.402000 23.000000 10.620000)(-4.402000 7.000000 10.620000)(-0.000997 7.000000 11.495000)(-0.000997 23.000000 11.495000)(-4.402000 7.000000 10.620000)(-10.626000 7.000000 -4.406000)(-0.000997 7.000000 11.495000)(-12.932000 23.000000 17.794001)(-6.799000 45.000000 20.918001)(-12.932000 45.000000 17.794001)(-8.132999 7.000000 8.127000)(-4.402000 23.000000 10.620000)(-8.132999 23.000000 8.127000)(-8.132999 7.000000 8.127000)(-10.626000 7.000000 -4.406000)(-4.402000 7.000000 10.620000)(-0.000997 45.000000 21.995001)(6.797000 45.000000 20.918001)(-6.799000 45.000000 20.918001)(-0.000997 23.000000 21.995001)(6.797000 23.000000 20.918001)(6.797000 45.000000 20.918001)(-12.932000 23.000000 17.794001)(6.797000 23.000000 20.918001)(-6.799000 23.000000 20.918001)(-4.402000 7.000000 10.620000)(-0.000997 23.000000 11.495000)(-4.402000 23.000000 10.620000)(-12.932000 23.000000 17.794001)(-6.799000 23.000000 20.918001)(-6.799000 45.000000 20.918001)(-8.132999 7.000000 8.127000)(-4.402000 7.000000 10.620000)(-4.402000 23.000000 10.620000)(-6.799000 23.000000 20.918001)(-0.000997 45.000000 21.995001)(-6.799000 45.000000 20.918001)(-0.000997 23.000000 21.995001)(6.797000 45.000000 20.918001)(-0.000997 45.000000 21.995001)(6.797000 23.000000 20.918001)(-0.000997 23.000000 21.995001)(-6.799000 23.000000 20.918001)(-6.799000 23.000000 20.918001)(-0.000997 23.000000 21.995001)(-0.000997 45.000000 21.995001)(33.499001 35.396999 -58.429001)(33.499001 36.284000 -53.727001)(33.499001 21.268002 -97.663002)(33.499001 36.284000 -53.727001)(33.499001 35.601002 -48.801998)(33.499001 21.268002 -97.663002)(14.999001 21.875999 -97.882004)(33.499001 35.396999 -58.429001)(33.499001 21.268002 -97.663002)(14.999001 36.005001 -58.648003)(33.499001 36.284000 -53.727001)(33.499001 35.396999 -58.429001)(33.499001 35.601002 -48.801998)(33.499001 33.355999 -44.365997)(33.499001 21.268002 -97.663002)(14.999001 36.930000 -53.745003)(33.499001 35.601002 -48.801998)(33.499001 36.284000 -53.727001)(14.999001 21.532000 -98.779999)(14.999001 21.875999 -97.882004)(33.499001 21.268002 -97.663002)(14.999001 36.005001 -58.648003)(33.499001 35.396999 -58.429001)(14.999001 22.287600 -96.738998)(14.999001 22.287600 -96.738998)(33.499001 35.396999 -58.429001)(14.999001 21.875999 -97.882004)(14.999001 36.880199 -54.009201)(14.999001 36.930000 -53.745003)(33.499001 36.284000 -53.727001)(14.999001 36.005001 -58.648003)(14.999001 36.880199 -54.009201)(33.499001 36.284000 -53.727001)(33.499001 33.355999 -44.365997)(33.499001 29.792000 -40.899002)(33.499001 21.268002 -97.663002)(15.115200 36.200001 -48.583298)(33.499001 33.355999 -44.365997)(33.499001 35.601002 -48.801998)(15.112301 36.214199 -48.611202)(15.115200 36.200001 -48.583298)(33.499001 35.601002 -48.801998)(14.999001 36.930000 -53.745003)(14.999001 36.369801 -49.704998)(33.499001 35.601002 -48.801998)(14.999001 36.369801 -49.704998)(15.112301 36.214199 -48.611202)(33.499001 35.601002 -48.801998)(14.999001 21.532000 -98.779999)(33.499001 21.268002 -97.663002)(33.499001 20.933001 -98.536003)(33.499001 29.792000 -40.899002)(33.499001 25.296001 -38.776001)(33.499001 21.268002 -97.663002)(33.499001 33.355999 -44.365997)(15.590500 33.860298 -43.995201)(15.597900 33.786697 -43.924000)(33.499001 29.792000 -40.899002)(33.499001 33.355999 -44.365997)(15.602201 33.743797 -43.882500)(33.499001 33.355999 -44.365997)(15.597900 33.786697 -43.924000)(15.602201 33.743797 -43.882500)(15.115200 36.200001 -48.583298)(15.590500 33.860298 -43.995201)(33.499001 33.355999 -44.365997)(14.999001 20.730600 -100.167999)(14.999001 21.532000 -98.779999)(33.499001 20.933001 -98.536003)(14.999001 18.365999 -104.264000)(14.999001 20.730600 -100.167999)(33.499001 20.933001 -98.536003)(33.499001 17.855000 -103.868004)(33.499001 20.933001 -98.536003)(33.499001 21.268002 -97.663002)(33.499001 25.296001 -38.776001)(33.499001 20.353001 -38.229000)(33.499001 21.268002 -97.663002)(33.499001 25.296001 -38.776001)(33.499001 29.792000 -40.899002)(15.974899 29.903400 -40.284000)(33.499001 29.792000 -40.899002)(15.963400 30.140800 -40.395699)(15.974899 29.903400 -40.284000)(33.499001 29.792000 -40.899002)(15.602201 33.743797 -43.882500)(15.963400 30.140800 -40.395699)(14.999001 18.365999 -104.264000)(33.499001 20.933001 -98.536003)(33.499001 17.855000 -103.868004)(33.499001 17.855000 -103.868004)(14.999001 13.837000 -108.690002)(14.999001 16.368999 -106.215996)(33.499001 17.855000 -103.868004)(14.999001 16.368999 -106.215996)(14.999001 18.365999 -104.264000)(33.499001 13.453000 -108.170998)(33.499001 17.855000 -103.868004)(33.499001 21.268002 -97.663002)(33.499001 20.353001 -38.229000)(33.499001 15.501000 -39.317001)(33.499001 21.268002 -97.663002)(33.499001 20.353001 -38.229000)(33.499001 25.296001 -38.776001)(16.195000 25.140099 -38.159798)(33.499001 25.296001 -38.776001)(16.191299 25.459700 -38.195000)(16.195000 25.140099 -38.159798)(33.499001 25.296001 -38.776001)(15.974899 29.903400 -40.284000)(16.191299 25.459700 -38.195000)(33.499001 20.353001 -38.229000)(16.195000 25.140099 -38.159798)(16.215200 23.370899 -37.964401)(33.499001 20.353001 -38.229000)(16.215200 23.370899 -37.964401)(16.250099 20.320400 -37.627602)(33.499001 17.855000 -103.868004)(33.499001 13.453000 -108.170998)(14.999001 13.837000 -108.690002)(33.499001 13.453000 -108.170998)(14.999001 8.283000 -111.730003)(14.999001 10.494699 -110.518997)(33.499001 13.453000 -108.170998)(14.999001 10.494699 -110.518997)(14.999001 13.837000 -108.690002)(33.499001 8.053000 -111.126999)(33.499001 13.453000 -108.170998)(33.499001 21.268002 -97.663002)(33.499001 15.501000 -39.317001)(33.499001 11.265000 -41.921001)(33.499001 21.268002 -97.663002)(33.499001 15.501000 -39.317001)(33.499001 20.353001 -38.229000)(16.242599 19.994200 -37.700500)(33.499001 20.353001 -38.229000)(16.250099 20.320400 -37.627602)(16.242599 19.994200 -37.700500)(14.999001 -7.181030 -62.478699)(14.999001 -17.759998 -74.999001)(33.499001 -17.265999 -75.416000)(14.999001 -7.181030 -62.478699)(33.499001 -17.265999 -75.416000)(14.999001 -1.998640 -56.345299)(14.999001 -1.998640 -56.345299)(33.499001 -17.265999 -75.416000)(14.999001 -0.209368 -54.227600)(33.499001 -17.265999 -75.416000)(15.574500 8.332170 -44.149799)(14.999001 -0.209368 -54.227600)(33.499001 15.501000 -39.317001)(16.242599 19.994200 -37.700500)(16.133299 15.272901 -38.754700)(33.499001 11.265000 -41.921001)(33.499001 15.501000 -39.317001)(16.117100 15.016700 -38.911598)(33.499001 15.501000 -39.317001)(16.133299 15.272901 -38.754700)(16.117100 15.016700 -38.911598)(33.499001 11.265000 -41.921001)(16.117100 15.016700 -38.911598)(15.853601 10.860600 -41.455502)(33.499001 11.265000 -41.921001)(15.853601 10.860600 -41.455502)(15.845799 10.786400 -41.530502)(33.499001 9.648000 -43.563000)(33.499001 11.265000 -41.921001)(15.845799 10.786400 -41.530502)(15.845799 10.786400 -41.530502)(15.676901 9.172100 -43.161301)(33.499001 9.648000 -43.563000)(15.676901 9.172100 -43.161301)(15.574500 8.332170 -44.149799)(33.499001 9.648000 -43.563000)(15.574500 8.332170 -44.149799)(33.499001 -17.265999 -75.416000)(33.499001 9.648000 -43.563000)(33.499001 13.453000 -108.170998)(33.499001 8.053000 -111.126999)(14.999001 8.283000 -111.730003)(33.499001 8.053000 -111.126999)(14.999001 2.115000 -113.159004)(14.999001 3.669320 -112.799004)(33.499001 8.053000 -111.126999)(14.999001 3.669320 -112.799004)(14.999001 8.283000 -111.730003)(33.499001 8.053000 -111.126999)(33.499001 21.268002 -97.663002)(33.499001 2.055990 -112.515999)(-15.000999 11.035600 -70.927597)(-15.000999 9.772000 -70.078003)(-41.000999 9.772000 -70.078003)(-15.000999 14.743999 -73.421005)(-15.000999 11.035600 -70.927597)(-41.000999 9.772000 -70.078003)(-41.000999 14.743999 -73.421005)(-15.000999 18.629000 -77.981003)(-15.000999 14.743999 -73.421005)(-41.000999 18.629000 -77.981003)(-15.000999 21.141001 -83.420998)(-15.000999 18.629000 -77.981003)(-41.000999 21.141001 -83.419998)(-15.000999 21.164000 -83.495995)(-15.000999 21.141001 -83.420998)(-41.000999 21.164000 -83.495995)(-15.000999 21.985001 -85.098999)(-15.000999 21.164000 -83.495995)(-15.000999 23.452002 -86.386002)(-15.000999 21.985001 -85.098999)(-41.000999 21.985001 -85.098999)(-15.000999 25.299000 -87.013000)(-15.000999 23.452002 -86.386002)(-41.000999 23.452002 -86.386002)(-15.000999 27.246000 -86.884995)(-15.000999 25.299000 -87.013000)(-41.000999 25.299000 -87.013000)(-15.000999 28.996000 -86.021996)(-15.000999 27.246000 -86.884995)(-41.000999 27.246000 -86.884995)(-41.000999 28.996000 -86.021996)(-15.000999 30.282000 -84.555000)(-15.000999 28.996000 -86.021996)(-41.000999 30.282000 -84.555000)(-15.000999 30.844000 -83.085999)(-15.000999 30.282000 -84.555000)(-41.000999 36.765999 -54.980999)(-15.000999 36.765999 -54.980999)(-15.000999 30.844000 -83.085999)(-41.000999 36.765999 -54.980999)(-15.000999 37.048000 -50.746002)(-15.000999 36.831100 -54.003201)(-41.000999 36.765999 -54.980999)(-15.000999 36.831100 -54.003201)(-15.000999 36.765999 -54.980999)(-41.000999 37.048000 -50.746002)(-15.341101 36.061100 -46.422298)(-15.000999 36.810402 -49.704998)(-41.000999 37.048000 -50.746002)(-15.000999 36.810402 -49.704998)(-15.000999 37.048000 -50.746002)(33.499001 11.265000 -41.921001)(33.499001 9.648000 -43.563000)(33.499001 21.268002 -97.663002)(14.999001 -17.759998 -74.999001)(33.499001 -19.576000 -78.702003)(33.499001 -17.265999 -75.416000)(33.499001 -17.265999 -75.416000)(33.499001 21.268002 -97.663002)(33.499001 2.001000 -70.612999)(33.499001 21.268002 -97.663002)(33.499001 9.648000 -43.563000)(33.499001 2.001000 -70.612999)(33.499001 9.648000 -43.563000)(33.499001 -17.265999 -75.416000)(33.499001 2.001000 -70.612999)(33.499001 8.053000 -111.126999)(33.499001 2.055990 -112.515999)(14.999001 2.115000 -113.159004)(33.499001 2.055990 -112.515999)(14.999001 -4.211010 -112.871002)(14.999001 -3.492860 -112.903999)(33.499001 2.055990 -112.515999)(14.999001 -3.492860 -112.903999)(14.999001 2.115000 -113.159004)(33.499001 2.055990 -112.515999)(33.499001 21.268002 -97.663002)(33.499001 -4.094000 -112.236000)(-15.000999 4.450680 -68.322601)(-15.000999 4.082000 -68.200996)(-41.000999 4.082000 -68.199997)(-15.000999 6.788090 -69.093697)(-15.000999 4.450680 -68.322601)(-41.000999 4.082000 -68.199997)(-15.000999 9.772000 -70.078003)(-15.000999 9.385249 -69.950401)(-41.000999 4.082000 -68.199997)(-15.000999 9.385249 -69.950401)(-15.000999 6.788090 -69.093697)(-41.000999 4.082000 -68.199997)(-15.000999 9.772000 -70.078003)(-41.000999 4.082000 -68.199997)(-41.000999 9.772000 -70.078003)(-15.000999 14.743999 -73.421005)(-41.000999 9.772000 -70.078003)(-41.000999 14.743999 -73.421005)(-41.000999 14.743999 -73.421005)(-41.000999 18.629000 -77.981003)(-15.000999 18.629000 -77.981003)(-41.000999 18.629000 -77.981003)(-41.000999 21.141001 -83.419998)(-15.000999 21.141001 -83.420998)(-41.000999 21.141001 -83.419998)(-41.000999 21.164000 -83.495995)(-15.000999 21.164000 -83.495995)(-41.000999 21.164000 -83.495995)(-41.000999 21.985001 -85.098999)(-15.000999 21.985001 -85.098999)(-15.000999 23.452002 -86.386002)(-41.000999 21.985001 -85.098999)(-41.000999 23.452002 -86.386002)(-15.000999 25.299000 -87.013000)(-41.000999 23.452002 -86.386002)(-41.000999 25.299000 -87.013000)(-15.000999 27.246000 -86.884995)(-41.000999 25.299000 -87.013000)(-41.000999 27.246000 -86.884995)(-15.000999 28.996000 -86.021996)(-41.000999 27.246000 -86.884995)(-41.000999 28.996000 -86.021996)(-41.000999 28.996000 -86.021996)(-41.000999 30.282000 -84.555000)(-15.000999 30.282000 -84.555000)(-41.000999 30.282000 -84.555000)(-41.000999 30.844000 -83.085999)(-15.000999 30.844000 -83.085999)(-41.000999 30.844000 -83.085999)(-41.000999 36.765999 -54.980999)(-15.000999 30.844000 -83.085999)(-41.000999 36.765999 -54.980999)(-41.000999 37.048000 -50.746002)(-15.000999 37.048000 -50.746002)(-41.000999 37.048000 -50.746002)(-41.000999 36.048000 -46.365002)(-15.341101 36.061100 -46.422298)(-41.000999 36.048000 -46.365002)(-15.347000 36.048000 -46.365002)(-15.341101 36.061100 -46.422298)(-41.000999 36.048000 -46.365002)(-15.738601 33.865700 -42.584400)(-15.535100 35.000099 -44.549500)(-41.000999 36.048000 -46.365002)(-15.535100 35.000099 -44.549500)(-15.347000 36.048000 -46.365002)(14.999001 -23.243999 -90.534004)(33.499001 -22.599001 -90.519005)(24.249001 -22.566999 -87.424797)(14.999001 -22.538399 -84.360397)(14.999001 -23.243999 -90.534004)(24.249001 -22.566999 -87.424797)(33.499001 -22.599001 -90.519005)(14.999001 -22.525000 -84.242996)(24.249001 -22.566999 -87.424797)(14.999001 -22.525000 -84.242996)(14.999001 -22.538399 -84.360397)(24.249001 -22.566999 -87.424797)(33.499001 -21.899000 -84.403000)(14.999001 -20.135000 -78.378998)(14.999001 -22.525000 -84.242996)(14.999001 -17.759998 -74.999001)(14.999001 -20.135000 -78.378998)(33.499001 -19.576000 -78.702003)(33.499001 21.268002 -97.663002)(33.499001 -17.265999 -75.416000)(33.499001 -19.576000 -78.702003)(33.499001 2.055990 -112.515999)(33.499001 -4.094000 -112.236000)(14.999001 -4.211010 -112.871002)(33.499001 -4.094000 -112.236000)(14.999001 -10.224000 -110.887001)(14.999001 -4.211010 -112.871002)(33.499001 -9.940009 -110.306999)(14.999001 -15.479000 -107.354004)(14.999001 -10.350900 -110.802002)(33.499001 -9.940009 -110.306999)(14.999001 -10.350900 -110.802002)(14.999001 -10.224000 -110.887001)(33.499001 -4.094000 -112.236000)(33.499001 21.268002 -97.663002)(33.499001 -9.940009 -110.306999)(-15.000999 4.082000 -68.200996)(-41.000999 -1.903000 -67.928001)(-41.000999 4.082000 -68.199997)(-41.000999 9.772000 -70.078003)(-41.000999 4.082000 -68.199997)(-41.000999 11.949000 -40.652000)(-41.000999 14.743999 -73.421005)(-41.000999 9.772000 -70.078003)(-41.000999 11.949000 -40.652000)(-41.000999 18.629000 -77.981003)(-41.000999 14.743999 -73.421005)(-41.000999 11.949000 -40.652000)(-41.000999 21.141001 -83.419998)(-41.000999 18.629000 -77.981003)(-41.000999 11.949000 -40.652000)(-41.000999 21.164000 -83.495995)(-41.000999 21.141001 -83.419998)(-41.000999 11.949000 -40.652000)(-41.000999 21.985001 -85.098999)(-41.000999 21.164000 -83.495995)(-41.000999 11.949000 -40.652000)(-41.000999 23.452002 -86.386002)(-41.000999 21.985001 -85.098999)(-41.000999 11.949000 -40.652000)(-41.000999 25.299000 -87.013000)(-41.000999 23.452002 -86.386002)(-41.000999 11.949000 -40.652000)(-41.000999 27.246000 -86.884995)(-41.000999 25.299000 -87.013000)(-41.000999 11.949000 -40.652000)(-41.000999 28.996000 -86.021996)(-41.000999 27.246000 -86.884995)(-41.000999 11.949000 -40.652000)(-41.000999 30.282000 -84.555000)(-41.000999 28.996000 -86.021996)(-41.000999 11.949000 -40.652000)(-41.000999 30.844000 -83.085999)(-41.000999 30.282000 -84.555000)(-41.000999 11.949000 -40.652000)(-41.000999 36.765999 -54.980999)(-41.000999 30.844000 -83.085999)(-41.000999 11.949000 -40.652000)(-41.000999 37.048000 -50.746002)(-41.000999 36.765999 -54.980999)(-41.000999 11.949000 -40.652000)(-41.000999 36.048000 -46.365002)(-41.000999 37.048000 -50.746002)(-41.000999 11.949000 -40.652000)(-41.000999 36.048000 -46.365002)(-41.000999 33.801998 -42.474003)(-15.738601 33.865700 -42.584400)(-41.000999 33.801998 -42.474003)(-15.750101 33.801998 -42.474003)(-15.738601 33.865700 -42.584400)(-16.053799 30.641399 -39.541698)(-15.750101 33.801998 -42.474003)(-41.000999 33.801998 -42.474003)(-16.066599 30.508001 -39.417999)(-16.053799 30.641399 -39.541698)(-41.000999 30.508001 -39.417999)(-16.053799 30.641399 -39.541698)(-41.000999 33.801998 -42.474003)(-41.000999 30.508001 -39.417999)(-16.258900 26.654900 -37.562298)(-16.066599 30.508001 -39.417999)(-41.000999 30.508001 -39.417999)(-16.268600 26.459000 -37.468002)(-16.258900 26.654900 -37.562298)(-41.000999 26.459000 -37.468002)(-16.258900 26.654900 -37.562298)(-41.000999 30.508001 -39.417999)(-41.000999 26.459000 -37.468002)(-16.317400 23.336800 -36.997200)(-16.268600 26.459000 -37.468002)(-41.000999 26.459000 -37.468002)(-16.334499 22.243900 -36.832401)(-16.317400 23.336800 -36.997200)(-41.000999 26.459000 -37.468002)(14.999001 -22.854799 -92.957397)(14.999001 -22.240000 -96.786003)(33.499001 -21.622000 -96.597000)(14.999001 -23.243999 -90.534004)(14.999001 -22.854799 -92.957397)(33.499001 -21.622000 -96.597000)(14.999001 -23.243999 -90.534004)(33.499001 -21.622000 -96.597000)(33.499001 -22.599001 -90.519005)(14.999001 -22.525000 -84.242996)(33.499001 -22.599001 -90.519005)(33.499001 -21.899000 -84.403000)(33.499001 -21.899000 -84.403000)(33.499001 -19.576000 -78.702003)(14.999001 -20.135000 -78.378998)(33.499001 21.268002 -97.663002)(33.499001 -19.576000 -78.702003)(33.499001 -21.899000 -84.403000)(-16.337999 22.016001 -36.798000)(-16.334499 22.243900 -36.832401)(-41.000999 22.016001 -36.798000)(-16.334499 22.243900 -36.832401)(-41.000999 26.459000 -37.468002)(-41.000999 22.016001 -36.798000)(-16.271999 17.790199 -37.435200)(-16.337999 22.016001 -36.798000)(-41.000999 22.016001 -36.798000)(-16.268600 17.573000 -37.468002)(-16.271999 17.790199 -37.435200)(-41.000999 17.573000 -37.468002)(-16.271999 17.790199 -37.435200)(-41.000999 22.016001 -36.798000)(-41.000999 17.573000 -37.468002)(-16.075001 13.691299 -39.337502)(-16.268600 17.573000 -37.468002)(-41.000999 17.573000 -37.468002)(-16.066599 13.523999 -39.417999)(-16.075001 13.691299 -39.337502)(-41.000999 13.523999 -39.417999)(-16.075001 13.691299 -39.337502)(-41.000999 17.573000 -37.468002)(-41.000999 13.523999 -39.417999)(-15.943400 12.006101 -40.607300)(-16.066599 13.523999 -39.417999)(-41.000999 13.523999 -39.417999)(-15.938800 11.949000 -40.652000)(-15.943400 12.006101 -40.607300)(-41.000999 11.949000 -40.652000)(-15.943400 12.006101 -40.607300)(-41.000999 13.523999 -39.417999)(-41.000999 11.949000 -40.652000)(-15.010400 1.960590 -49.614002)(-15.938800 11.949000 -40.652000)(-41.000999 11.949000 -40.652000)(-15.000999 1.343110 -50.167999)(-15.000999 1.412670 -50.105602)(-41.000999 11.949000 -40.652000)(-15.000999 1.412670 -50.105602)(-15.000999 1.566190 -49.967800)(-41.000999 11.949000 -40.652000)(-15.000999 1.566190 -49.967800)(-15.010400 1.960590 -49.614002)(-41.000999 11.949000 -40.652000)(-15.000999 1.343110 -50.167999)(-41.000999 11.949000 -40.652000)(-15.000999 -9.429999 -59.834000)(-15.000999 -11.031099 -63.162296)(-15.000999 -11.048000 -62.903004)(-15.000999 -10.990100 -63.119202)(-15.000999 -10.990100 -63.119202)(-15.000999 -11.048000 -62.903004)(-15.000999 -10.906300 -63.031197)(-15.000999 -8.390010 -60.388802)(-15.000999 1.343110 -50.167999)(-15.000999 -9.429999 -59.834000)(-15.000999 -11.048000 -62.903004)(-15.000999 -10.874801 -62.998199)(-15.000999 -10.906300 -63.031197)(-15.000999 -9.429999 -59.834000)(-15.000999 -8.390010 -60.388802)(-15.000999 -8.443419 -60.444901)(-15.000999 -11.048000 -62.903004)(-15.000999 -10.874801 -62.998199)(-15.000999 -10.339600 -62.026600)(-15.000999 -10.874801 -62.998199)(-15.000999 -9.631229 -61.692200)(-15.000999 -10.339600 -62.026600)(-15.000999 -9.631229 -61.692200)(-15.000999 -10.421000 -61.055000)(-15.000999 -10.339600 -62.026600)(-15.000999 -10.421000 -61.055000)(-15.000999 -11.048000 -62.903004)(-15.000999 -10.339600 -62.026600)(-15.000999 -10.421000 -61.055000)(-15.000999 -9.470420 -61.523399)(-15.000999 -9.432210 -60.678703)(-15.000999 -9.470420 -61.523399)(-15.000999 -8.443419 -60.444901)(-15.000999 -9.432210 -60.678703)(-15.000999 -8.443419 -60.444901)(-15.000999 -9.429999 -59.834000)(-15.000999 -9.432210 -60.678703)(-15.000999 -9.429999 -59.834000)(-15.000999 -10.421000 -61.055000)(-15.000999 -9.432210 -60.678703)(-15.000999 -9.631229 -61.692200)(-15.000999 -9.470420 -61.523399)(-15.000999 -10.421000 -61.055000)(14.999001 -10.224000 -110.887001)(33.499001 -4.094000 -112.236000)(33.499001 -9.940009 -110.306999)(33.499001 -9.940009 -110.306999)(33.499001 -15.049001 -106.872002)(14.999001 -15.479000 -107.354004)(14.999001 -16.225500 -106.477997)(14.999001 -15.479000 -107.354004)(33.499001 -15.049001 -106.872002)(14.999001 -19.585001 -102.535004)(14.999001 -16.225500 -106.477997)(33.499001 -15.049001 -106.872002)(33.499001 -9.940009 -110.306999)(33.499001 21.268002 -97.663002)(33.499001 -15.049001 -106.872002)(-41.000999 4.082000 -68.199997)(-41.000999 -1.903000 -67.928001)(-41.000999 11.949000 -40.652000)(-15.000999 -1.836030 -67.931099)(-15.000999 -1.903000 -67.928001)(-41.000999 -1.903000 -67.928001)(-15.000999 0.254233 -68.026398)(-15.000999 -1.836030 -67.931099)(-41.000999 -1.903000 -67.928001)(-15.000999 4.082000 -68.200996)(-15.000999 2.334300 -68.121300)(-41.000999 -1.903000 -67.928001)(-15.000999 2.334300 -68.121300)(-15.000999 0.254233 -68.026398)(-41.000999 -1.903000 -67.928001)(-41.000999 33.801998 -42.474003)(-41.000999 36.048000 -46.365002)(-41.000999 11.949000 -40.652000)(-41.000999 30.508001 -39.417999)(-41.000999 33.801998 -42.474003)(-41.000999 11.949000 -40.652000)(-41.000999 26.459000 -37.468002)(-41.000999 30.508001 -39.417999)(-41.000999 11.949000 -40.652000)(14.999001 -20.565300 -100.412003)(14.999001 -19.585001 -102.535004)(33.499001 -19.041000 -102.186996)(14.999001 -22.240000 -96.786003)(14.999001 -20.565300 -100.412003)(33.499001 -19.041000 -102.186996)(14.999001 -22.240000 -96.786003)(33.499001 -19.041000 -102.186996)(33.499001 -21.622000 -96.597000)(33.499001 21.268002 -97.663002)(33.499001 -22.599001 -90.519005)(33.499001 -21.622000 -96.597000)(33.499001 21.268002 -97.663002)(33.499001 -21.899000 -84.403000)(33.499001 -22.599001 -90.519005)(-41.000999 22.016001 -36.798000)(-41.000999 26.459000 -37.468002)(-41.000999 11.949000 -40.652000)(-41.000999 17.573000 -37.468002)(-41.000999 22.016001 -36.798000)(-41.000999 11.949000 -40.652000)(-41.000999 13.523999 -39.417999)(-41.000999 17.573000 -37.468002)(-41.000999 11.949000 -40.652000)(-15.000999 -9.429999 -59.834000)(-41.000999 11.949000 -40.652000)(-41.000999 -9.429999 -59.834000)(-41.000999 -11.048000 -62.903004)(-15.000999 -10.921000 -64.850006)(-15.000999 -11.008700 -63.505096)(-41.000999 -11.048000 -62.903004)(-15.000999 -11.008700 -63.505096)(-15.000999 -11.031099 -63.162296)(-41.000999 -11.048000 -62.903004)(-15.000999 -11.031099 -63.162296)(-15.000999 -11.048000 -62.903004)(-41.000999 -10.421000 -61.055000)(-15.000999 -11.048000 -62.903004)(-15.000999 -10.421000 -61.055000)(-41.000999 -9.429999 -59.834000)(-15.000999 -10.421000 -61.055000)(-15.000999 -9.429999 -59.834000)(14.999001 -19.585001 -102.535004)(33.499001 -15.049001 -106.872002)(33.499001 -19.041000 -102.186996)(33.499001 21.268002 -97.663002)(33.499001 -19.041000 -102.186996)(33.499001 -15.049001 -106.872002)(-41.000999 -1.903000 -67.928001)(-41.000999 -4.945000 -68.421997)(-41.000999 11.949000 -40.652000)(-15.000999 -1.903000 -67.928001)(-41.000999 -4.945000 -68.421997)(-41.000999 -1.903000 -67.928001)(33.499001 21.268002 -97.663002)(33.499001 -21.622000 -96.597000)(33.499001 -19.041000 -102.186996)(-41.000999 -10.921000 -64.848999)(-15.000999 -10.058000 -66.598999)(-15.000999 -10.064100 -66.586601)(-41.000999 -10.921000 -64.848999)(-15.000999 -10.064100 -66.586601)(-15.000999 -10.863500 -64.966599)(-41.000999 -10.921000 -64.848999)(-15.000999 -10.863500 -64.966599)(-15.000999 -10.921000 -64.850006)(-41.000999 -10.421000 -61.055000)(-41.000999 -9.429999 -59.834000)(-41.000999 11.949000 -40.652000)(-41.000999 -11.048000 -62.903004)(-41.000999 -10.921000 -64.848999)(-15.000999 -10.921000 -64.850006)(-41.000999 -10.421000 -61.055000)(-41.000999 -11.048000 -62.903004)(-15.000999 -11.048000 -62.903004)(-41.000999 -9.429999 -59.834000)(-41.000999 -10.421000 -61.055000)(-15.000999 -10.421000 -61.055000)(-41.000999 -4.945000 -68.421997)(-41.000999 -6.744000 -68.513000)(-41.000999 11.949000 -40.652000)(-15.000999 -4.110440 -68.286499)(-15.000999 -4.945000 -68.421997)(-41.000999 -4.945000 -68.421997)(-15.000999 -1.903000 -67.928001)(-15.000999 -4.110440 -68.286499)(-41.000999 -4.945000 -68.421997)(-15.000999 -8.591000 -67.886002)(-15.000999 -10.058000 -66.598999)(-41.000999 -10.058000 -66.598999)(-15.000999 -8.575789 -67.891205)(-15.000999 -8.591000 -67.886002)(-41.000999 -8.591000 -67.886002)(-15.000999 -6.744000 -68.513000)(-15.000999 -8.575789 -67.891205)(-41.000999 -8.591000 -67.886002)(-41.000999 -10.921000 -64.848999)(-41.000999 -10.058000 -66.598999)(-15.000999 -10.058000 -66.598999)(-41.000999 11.949000 -40.652000)(-41.000999 -11.048000 -62.903004)(-41.000999 -10.421000 -61.055000)(-41.000999 11.949000 -40.652000)(-41.000999 -10.921000 -64.848999)(-41.000999 -11.048000 -62.903004)(-41.000999 -6.744000 -68.513000)(-41.000999 -8.591000 -67.886002)(-41.000999 11.949000 -40.652000)(-15.000999 -4.945000 -68.421997)(-41.000999 -6.744000 -68.513000)(-41.000999 -4.945000 -68.421997)(-15.000999 -6.500240 -68.500694)(-15.000999 -6.744000 -68.513000)(-41.000999 -6.744000 -68.513000)(-15.000999 -4.945000 -68.421997)(-15.000999 -6.500240 -68.500694)(-41.000999 -6.744000 -68.513000)(-15.000999 -8.591000 -67.886002)(-41.000999 -10.058000 -66.598999)(-41.000999 -8.591000 -67.886002)(-15.000999 -6.744000 -68.513000)(-41.000999 -8.591000 -67.886002)(-41.000999 -6.744000 -68.513000)(-41.000999 -10.058000 -66.598999)(-41.000999 -10.921000 -64.848999)(-41.000999 11.949000 -40.652000)(-41.000999 -8.591000 -67.886002)(-41.000999 -10.058000 -66.598999)(-41.000999 11.949000 -40.652000)(-16.247000 71.259995 -29.610001)(16.850000 71.259995 -25.375000)(16.245001 71.259995 -29.610001)(-16.062000 70.129997 -32.083000)(-16.247000 71.259995 -29.610001)(16.245001 71.259995 -29.610001)(-16.247000 71.259995 -29.610001)(-19.377001 71.259995 -16.500999)(16.850000 71.259995 -25.375000)(16.245001 71.259995 -29.610001)(16.850000 71.259995 -25.375000)(16.059999 70.129997 -32.083000)(-16.062000 70.129997 -32.083000)(16.245001 71.259995 -29.610001)(16.059999 70.129997 -32.083000)(-19.377001 71.259995 -16.500999)(-16.247000 71.259995 -29.610001)(-16.062000 70.129997 -32.083000)(-19.377001 71.259995 -16.500999)(21.703999 71.259995 -11.369000)(16.850000 71.259995 -25.375000)(16.059999 70.129997 -32.083000)(16.850000 71.259995 -25.375000)(15.999001 68.998001 -34.563000)(-16.062000 70.129997 -32.083000)(16.059999 70.129997 -32.083000)(15.999001 68.998001 -34.563000)(-19.377001 71.259995 -16.500999)(-16.062000 70.129997 -32.083000)(-16.000999 68.998001 -34.563000)(-19.377001 71.259995 -16.500999)(-21.705999 71.259995 -11.369000)(21.703999 71.259995 -11.369000)(21.703999 58.260002 -11.369000)(16.850000 71.259995 -25.375000)(21.703999 71.259995 -11.369000)(15.999001 68.998001 -34.563000)(16.850000 71.259995 -25.375000)(16.850000 58.260002 -25.375000)(-16.000999 68.998001 -34.563000)(-16.062000 70.129997 -32.083000)(15.999001 68.998001 -34.563000)(-16.000999 68.998001 -34.563000)(-16.000999 54.708000 -34.563000)(-19.377001 71.259995 -16.500999)(-21.705999 71.259995 -11.369000)(-19.377001 71.259995 -16.500999)(-19.377001 58.260002 -16.500999)(-21.705999 71.259995 -11.369000)(23.410000 71.259995 -7.226000)(21.703999 71.259995 -11.369000)(21.703999 71.259995 -11.369000)(23.410000 58.260002 -7.226000)(21.703999 58.260002 -11.369000)(16.850000 71.259995 -25.375000)(21.703999 58.260002 -11.369000)(16.850000 58.260002 -25.375000)(15.999001 68.998001 -34.563000)(16.850000 58.260002 -25.375000)(16.608000 58.260002 -26.783001)(15.999001 68.998001 -34.563000)(15.999001 41.926998 -93.854004)(-16.000999 68.998001 -34.563000)(-16.000999 68.998001 -34.563000)(-16.000999 30.101999 -88.455002)(-16.000999 54.708000 -34.563000)(-16.000999 54.708000 -34.563000)(-16.153000 56.488998 -30.660999)(-19.377001 71.259995 -16.500999)(-21.705999 71.259995 -11.369000)(-19.377001 58.260002 -16.500999)(-21.705999 58.260002 -11.369000)(-19.377001 71.259995 -16.500999)(-16.610001 58.260002 -26.783001)(-19.377001 58.260002 -16.500999)(-21.705999 71.259995 -11.369000)(-22.074999 71.259995 -10.634999)(23.410000 71.259995 -7.226000)(21.703999 71.259995 -11.369000)(23.410000 71.259995 -7.226000)(23.410000 58.260002 -7.226000)(-22.074999 58.260002 -10.634999)(21.703999 58.260002 -11.369000)(23.410000 58.260002 -7.226000)(-19.377001 58.260002 -16.500999)(16.850000 58.260002 -25.375000)(21.703999 58.260002 -11.369000)(15.999001 68.998001 -34.563000)(16.608000 58.260002 -26.783001)(16.150999 56.488998 -30.660999)(-19.377001 58.260002 -16.500999)(16.608000 58.260002 -26.783001)(16.850000 58.260002 -25.375000)(-16.000999 41.926998 -93.854004)(-16.000999 68.998001 -34.563000)(15.999001 41.926998 -93.854004)(15.999001 68.998001 -34.563000)(15.999001 54.708000 -34.563000)(15.999001 41.926998 -93.854004)(-16.000999 41.926998 -93.854004)(-16.000999 30.101999 -88.455002)(-16.000999 68.998001 -34.563000)(-16.000999 30.101999 -88.455002)(15.999001 30.101999 -88.455002)(-16.000999 54.708000 -34.563000)(-16.153000 56.488998 -30.660999)(-16.000999 54.708000 -34.563000)(16.150999 56.488998 -30.660999)(-16.610001 58.260002 -26.783001)(-19.377001 71.259995 -16.500999)(-16.153000 56.488998 -30.660999)(-22.074999 71.259995 -10.634999)(-21.705999 71.259995 -11.369000)(-21.705999 58.260002 -11.369000)(-21.705999 58.260002 -11.369000)(-19.377001 58.260002 -16.500999)(21.703999 58.260002 -11.369000)(-19.377001 58.260002 -16.500999)(-16.610001 58.260002 -26.783001)(16.608000 58.260002 -26.783001)(-22.074999 71.259995 -10.634999)(-24.227001 71.259995 -3.656000)(23.410000 71.259995 -7.226000)(23.410000 71.259995 -7.226000)(24.498999 58.260002 -0.005003)(23.410000 58.260002 -7.226000)(-24.227001 58.260002 -3.656000)(-22.074999 58.260002 -10.634999)(23.410000 58.260002 -7.226000)(-22.074999 58.260002 -10.634999)(-21.705999 58.260002 -11.369000)(21.703999 58.260002 -11.369000)(15.999001 68.998001 -34.563000)(16.150999 56.488998 -30.660999)(15.999001 54.708000 -34.563000)(-16.610001 58.260002 -26.783001)(16.150999 56.488998 -30.660999)(16.608000 58.260002 -26.783001)(-16.000999 41.926998 -93.854004)(15.999001 41.926998 -93.854004)(15.756000 40.772999 -96.381004)(15.999001 41.926998 -93.854004)(15.999001 54.708000 -34.563000)(15.999001 30.101999 -88.455002)(-16.000999 41.926998 -93.854004)(-15.758000 28.948000 -90.981995)(-16.000999 30.101999 -88.455002)(-16.000999 54.708000 -34.563000)(15.999001 30.101999 -88.455002)(15.999001 54.708000 -34.563000)(-16.610001 58.260002 -26.783001)(-16.153000 56.488998 -30.660999)(16.150999 56.488998 -30.660999)(-16.000999 54.708000 -34.563000)(15.999001 54.708000 -34.563000)(16.150999 56.488998 -30.660999)(-22.074999 71.259995 -10.634999)(-21.705999 58.260002 -11.369000)(-22.074999 58.260002 -10.634999)(-24.227001 71.259995 -3.656000)(-22.074999 71.259995 -10.634999)(-22.074999 58.260002 -10.634999)(-24.227001 71.259995 -3.656000)(24.498999 71.259995 -0.005003)(23.410000 71.259995 -7.226000)(23.410000 71.259995 -7.226000)(24.498999 71.259995 -0.005003)(24.498999 58.260002 -0.005003)(-24.227001 58.260002 -3.656000)(23.410000 58.260002 -7.226000)(24.498999 58.260002 -0.005003)(-24.227001 71.259995 -3.656000)(-22.074999 58.260002 -10.634999)(-24.227001 58.260002 -3.656000)(-15.758000 40.772999 -96.381004)(-16.000999 41.926998 -93.854004)(15.756000 40.772999 -96.381004)(15.999001 30.101999 -88.455002)(15.756000 40.772999 -96.381004)(15.999001 41.926998 -93.854004)(-16.000999 41.926998 -93.854004)(-15.758000 40.772999 -96.381004)(-15.758000 28.948000 -90.981995)(-24.227001 71.259995 -3.656000)(-24.227001 71.259995 3.647000)(24.498999 71.259995 -0.005003)(24.498999 71.259995 -0.005003)(23.410000 58.260002 7.217000)(24.498999 58.260002 -0.005003)(-24.227001 58.260002 3.647000)(-24.227001 58.260002 -3.656000)(24.498999 58.260002 -0.005003)(-24.227001 71.259995 3.647000)(-24.227001 71.259995 -3.656000)(-24.227001 58.260002 -3.656000)(-15.758000 40.772999 -96.381004)(15.756000 40.772999 -96.381004)(13.855000 38.605000 -101.131996)(15.756000 40.772999 -96.381004)(15.999001 30.101999 -88.455002)(15.756000 28.948000 -90.981995)(-15.758000 40.772999 -96.381004)(-13.856999 26.778999 -95.732002)(-15.758000 28.948000 -90.981995)(-24.227001 71.259995 3.647000)(23.410000 71.259995 7.217000)(24.498999 71.259995 -0.005003)(24.498999 71.259995 -0.005003)(23.410000 71.259995 7.217000)(23.410000 58.260002 7.217000)(-24.227001 58.260002 3.647000)(24.498999 58.260002 -0.005003)(23.410000 58.260002 7.217000)(-24.227001 71.259995 3.647000)(-24.227001 58.260002 -3.656000)(-24.227001 58.260002 3.647000)(-13.856999 38.605000 -101.131996)(-15.758000 40.772999 -96.381004)(13.855000 38.605000 -101.131996)(15.756000 28.948000 -90.981995)(13.855000 38.605000 -101.131996)(15.756000 40.772999 -96.381004)(-13.856999 26.778999 -95.732002)(-15.758000 40.772999 -96.381004)(-13.856999 38.605000 -101.131996)(13.855000 38.605000 -101.131996)(15.756000 28.948000 -90.981995)(13.855000 26.778999 -95.732002)(-24.227001 71.259995 3.647000)(-22.074999 71.259995 10.625000)(23.410000 71.259995 7.217000)(23.410000 71.259995 7.217000)(20.242001 58.260002 13.797000)(23.410000 58.260002 7.217000)(-22.074999 58.260002 10.625000)(-24.227001 58.260002 3.647000)(23.410000 58.260002 7.217000)(-22.074999 71.259995 10.625000)(-24.227001 71.259995 3.647000)(-24.227001 58.260002 3.647000)(-13.856999 38.605000 -101.131996)(13.855000 38.605000 -101.131996)(10.284000 36.837002 -105.003998)(-10.285999 25.011000 -99.604004)(-13.856999 26.778999 -95.732002)(-13.856999 38.605000 -101.131996)(10.284000 36.837002 -105.003998)(13.855000 26.778999 -95.732002)(10.284000 25.011000 -99.604004)(10.284000 36.837002 -105.003998)(13.855000 38.605000 -101.131996)(13.855000 26.778999 -95.732002)(-22.074999 71.259995 10.625000)(20.242001 71.259995 13.797000)(23.410000 71.259995 7.217000)(23.410000 71.259995 7.217000)(20.242001 71.259995 13.797000)(20.242001 58.260002 13.797000)(-22.074999 58.260002 10.625000)(23.410000 58.260002 7.217000)(20.242001 58.260002 13.797000)(-22.074999 71.259995 10.625000)(-24.227001 58.260002 3.647000)(-22.074999 58.260002 10.625000)(-10.285999 36.837002 -105.003998)(-13.856999 38.605000 -101.131996)(10.284000 36.837002 -105.003998)(-13.856999 38.605000 -101.131996)(-10.285999 36.837002 -105.003998)(-10.285999 25.011000 -99.604004)(10.284000 25.011000 -99.604004)(5.471000 35.682999 -107.531006)(10.284000 36.837002 -105.003998)(-22.074999 71.259995 10.625000)(-17.960999 71.259995 16.659000)(20.242001 71.259995 13.797000)(20.242001 71.259995 13.797000)(15.274000 58.260002 19.150000)(20.242001 58.260002 13.797000)(-17.960999 58.260002 16.659000)(-22.074999 58.260002 10.625000)(20.242001 58.260002 13.797000)(-22.074999 58.260002 10.625000)(-17.960999 71.259995 16.659000)(-22.074999 71.259995 10.625000)(5.471000 35.682999 -107.531006)(-10.285999 36.837002 -105.003998)(10.284000 36.837002 -105.003998)(-5.473000 23.856998 -102.132004)(-10.285999 25.011000 -99.604004)(-10.285999 36.837002 -105.003998)(10.284000 25.011000 -99.604004)(5.471000 23.856998 -102.132004)(5.471000 35.682999 -107.531006)(-17.960999 71.259995 16.659000)(15.274000 71.259995 19.150000)(20.242001 71.259995 13.797000)(20.242001 71.259995 13.797000)(15.274000 71.259995 19.150000)(15.274000 58.260002 19.150000)(-17.960999 58.260002 16.659000)(20.242001 58.260002 13.797000)(15.274000 58.260002 19.150000)(-17.960999 71.259995 16.659000)(-22.074999 58.260002 10.625000)(-17.960999 58.260002 16.659000)(-10.285999 36.837002 -105.003998)(5.471000 35.682999 -107.531006)(-5.473000 35.682999 -107.531006)(-5.473000 23.856998 -102.132004)(-10.285999 36.837002 -105.003998)(-5.473000 35.682999 -107.531006)(-0.001002 23.455999 -103.010002)(-5.473000 23.856998 -102.132004)(-5.473000 35.682999 -107.531006)(5.471000 23.856998 -102.132004)(-0.001002 23.455999 -103.010002)(-0.001002 35.282001 -108.409004)(5.471000 35.682999 -107.531006)(5.471000 23.856998 -102.132004)(-0.001002 35.282001 -108.409004)(-17.960999 71.259995 16.659000)(-12.250999 71.259995 21.213001)(15.274000 71.259995 19.150000)(8.950000 58.260002 22.802000)(15.274000 58.260002 19.150000)(15.274000 71.259995 19.150000)(-12.250999 58.260002 21.213001)(-17.960999 58.260002 16.659000)(15.274000 58.260002 19.150000)(-17.960999 58.260002 16.659000)(-12.250999 71.259995 21.213001)(-17.960999 71.259995 16.659000)(5.471000 35.682999 -107.531006)(-0.001002 35.282001 -108.409004)(-5.473000 35.682999 -107.531006)(-0.001002 35.282001 -108.409004)(-0.001002 23.455999 -103.010002)(-5.473000 35.682999 -107.531006)(8.950000 71.259995 22.802000)(15.274000 71.259995 19.150000)(-12.250999 71.259995 21.213001)(8.950000 58.260002 22.802000)(15.274000 71.259995 19.150000)(8.950000 71.259995 22.802000)(15.274000 58.260002 19.150000)(8.950000 58.260002 22.802000)(-12.250999 58.260002 21.213001)(-12.250999 71.259995 21.213001)(-17.960999 58.260002 16.659000)(-12.250999 58.260002 21.213001)(-5.453000 71.259995 23.880999)(8.950000 71.259995 22.802000)(-12.250999 71.259995 21.213001)(1.830000 58.260002 24.427000)(8.950000 58.260002 22.802000)(8.950000 71.259995 22.802000)(-12.250999 58.260002 21.213001)(8.950000 58.260002 22.802000)(-5.453000 58.260002 23.880999)(-12.250999 58.260002 21.213001)(-5.453000 71.259995 23.880999)(-12.250999 71.259995 21.213001)(1.830000 71.259995 24.427000)(8.950000 71.259995 22.802000)(-5.453000 71.259995 23.880999)(1.830000 58.260002 24.427000)(8.950000 71.259995 22.802000)(1.830000 71.259995 24.427000)(8.950000 58.260002 22.802000)(1.830000 58.260002 24.427000)(-5.453000 58.260002 23.880999)(-12.250999 58.260002 21.213001)(-5.453000 58.260002 23.880999)(-5.453000 71.259995 23.880999)(-5.453000 58.260002 23.880999)(1.830000 71.259995 24.427000)(-5.453000 71.259995 23.880999)(-5.453000 58.260002 23.880999)(1.830000 58.260002 24.427000)(1.830000 71.259995 24.427000)(-16.000999 30.101999 -88.455002)(-15.758000 28.948000 -90.981995)(15.999001 30.101999 -88.455002)(-15.758000 28.948000 -90.981995)(15.756000 28.948000 -90.981995)(15.999001 30.101999 -88.455002)(-15.758000 28.948000 -90.981995)(13.855000 26.778999 -95.732002)(15.756000 28.948000 -90.981995)(-15.758000 28.948000 -90.981995)(-13.856999 26.778999 -95.732002)(10.284000 25.011000 -99.604004)(-15.758000 28.948000 -90.981995)(10.284000 25.011000 -99.604004)(13.855000 26.778999 -95.732002)(-13.856999 26.778999 -95.732002)(-10.285999 25.011000 -99.604004)(10.284000 25.011000 -99.604004)(-10.285999 25.011000 -99.604004)(-0.001002 23.455999 -103.010002)(10.284000 25.011000 -99.604004)(-0.001002 23.455999 -103.010002)(-10.285999 25.011000 -99.604004)(-5.473000 23.856998 -102.132004)(10.284000 25.011000 -99.604004)(-0.001002 23.455999 -103.010002)(5.471000 23.856998 -102.132004)))
           )
           )))
    (send glvertices :calc-normals)
    (send self :assoc glvertices)
    glvertices)
  (:qhull-faceset ()
   ;; qhull 3102 -> 41 faces
   (instance faceset :init :faces (list
    (instance face :init :vertices (list (float-vector -41.001000 -11.048000 -62.903002) (float-vector -17.798999 23.000000 12.927000) (float-vector -4.402000 7.000000 10.620000)))
    (instance face :init :vertices (list (float-vector 33.498999 -19.041000 -102.187000) (float-vector 33.498999 -9.940010 -110.307001) (float-vector 14.999000 -17.353000 -110.032000)))
    (instance face :init :vertices (list (float-vector -0.001002 35.282001 -108.409002) (float-vector 14.999000 3.771990 -116.235003) (float-vector 33.498999 2.055990 -112.516001) (float-vector 33.498999 17.855000 -103.868000) (float-vector 15.756000 40.773001 -96.381001)))
    (instance face :init :vertices (list (float-vector -41.001000 13.524000 -39.418001) (float-vector -17.798999 23.000000 12.927000) (float-vector -41.001000 -11.048000 -62.903002)))
    (instance face :init :vertices (list (float-vector -41.001000 13.524000 -39.418001) (float-vector -41.001000 -11.048000 -62.903002) (float-vector -41.001000 30.282000 -84.555000) (float-vector -41.001000 37.048001 -50.746001) (float-vector -41.001000 26.458999 -37.468001)))
    (instance face :init :vertices (list (float-vector -41.001000 -11.048000 -62.903002) (float-vector -25.001001 -18.733000 -99.494003) (float-vector -25.001001 -6.536000 -109.962001) (float-vector -41.001000 30.282000 -84.555000)))
    (instance face :init :vertices (list (float-vector -15.001000 -25.426000 -97.470999) (float-vector -15.001000 -26.500000 -90.005003) (float-vector 14.999000 -26.500000 -90.005003)))
    (instance face :init :vertices (list (float-vector -41.001000 -11.048000 -62.903002) (float-vector -15.001000 -26.500000 -90.005003) (float-vector -15.001000 -25.426000 -97.470999) (float-vector -25.001001 -18.733000 -99.494003)))
    (instance face :init :vertices (list (float-vector -41.001000 -11.048000 -62.903002) (float-vector -4.402000 7.000000 10.620000) (float-vector -15.001000 -26.500000 -90.005003)))
    (instance face :init :vertices (list (float-vector 33.498999 -9.940010 -110.307001) (float-vector 14.999000 -3.771010 -116.235003) (float-vector 14.999000 -17.353000 -110.032000)))
    (instance face :init :vertices (list (float-vector 14.999000 3.771990 -116.235003) (float-vector 14.999000 -3.771010 -116.235003) (float-vector 33.498999 -9.940010 -110.307001) (float-vector 33.498999 2.055990 -112.516001)))
    (instance face :init :vertices (list (float-vector -5.473000 35.682999 -107.531004) (float-vector -15.001000 3.772000 -116.235003) (float-vector 14.999000 -3.771010 -116.235003) (float-vector 14.999000 3.771990 -116.235003) (float-vector -0.001002 35.282001 -108.409002)))
    (instance face :init :vertices (list (float-vector -15.001000 -17.353000 -110.032000) (float-vector -15.001000 -25.426000 -97.470999) (float-vector 14.999000 -17.353000 -110.032000)))
    (instance face :init :vertices (list (float-vector -15.001000 -17.353000 -110.032000) (float-vector -25.001001 -18.733000 -99.494003) (float-vector -15.001000 -25.426000 -97.470999)))
    (instance face :init :vertices (list (float-vector 6.797000 23.000000 20.918000) (float-vector -6.799000 23.000000 20.918000) (float-vector 1.830000 58.260001 24.427000)))
    (instance face :init :vertices (list (float-vector -17.798999 23.000000 12.927000) (float-vector -6.799000 23.000000 20.918000) (float-vector -4.402000 7.000000 10.620000)))
    (instance face :init :vertices (list (float-vector 1.830000 58.260001 24.427000) (float-vector -6.799000 23.000000 20.918000) (float-vector -12.251000 71.259998 21.213001) (float-vector -5.453000 71.259998 23.881000)))
    (instance face :init :vertices (list (float-vector -12.251000 71.259998 21.213001) (float-vector -6.799000 23.000000 20.918000) (float-vector -17.798999 23.000000 12.927000) (float-vector -17.960999 71.259998 16.659001)))
    (instance face :init :vertices (list (float-vector -5.453000 71.259998 23.881000) (float-vector 8.950000 71.259998 22.802001) (float-vector 1.830000 58.260001 24.427000)))
    (instance face :init :vertices (list (float-vector 8.950000 71.259998 22.802001) (float-vector 20.242000 71.259998 13.797000) (float-vector 20.922000 23.000000 6.794000) (float-vector 6.797000 23.000000 20.918000) (float-vector 1.830000 58.260001 24.427000)))
    (instance face :init :vertices (list (float-vector 20.242000 71.259998 13.797000) (float-vector 23.410000 71.259998 -7.226000) (float-vector 33.498999 35.397001 -58.428999) (float-vector 33.498999 9.648000 -43.563001) (float-vector 20.922000 23.000000 6.794000)))
    (instance face :init :vertices (list (float-vector 33.498999 -19.576000 -78.702003) (float-vector 33.498999 -22.599000 -90.519004) (float-vector 14.999000 -26.500000 -90.005003)))
    (instance face :init :vertices (list (float-vector 33.498999 2.055990 -112.516001) (float-vector 33.498999 -9.940010 -110.307001) (float-vector 33.498999 -19.041000 -102.187000) (float-vector 33.498999 -22.599000 -90.519004) (float-vector 33.498999 -19.576000 -78.702003) (float-vector 33.498999 9.648000 -43.563001) (float-vector 33.498999 35.397001 -58.428999) (float-vector 33.498999 17.855000 -103.868000)))
    (instance face :init :vertices (list (float-vector 14.999000 -26.500000 -90.005003) (float-vector 33.498999 -22.599000 -90.519004) (float-vector 33.498999 -19.041000 -102.187000) (float-vector 14.999000 -17.353000 -110.032000) (float-vector -15.001000 -25.426000 -97.470999)))
    (instance face :init :vertices (list (float-vector -15.001000 -11.008000 -114.110000) (float-vector 14.999000 -3.771010 -116.235003) (float-vector -15.001000 3.772000 -116.235003)))
    (instance face :init :vertices (list (float-vector -15.001000 -11.008000 -114.110000) (float-vector -15.001000 3.772000 -116.235003) (float-vector -25.001001 -6.536000 -109.962001)))
    (instance face :init :vertices (list (float-vector -15.001000 -17.353000 -110.032000) (float-vector -15.001000 -11.008000 -114.110000) (float-vector -25.001001 -6.536000 -109.962001) (float-vector -25.001001 -18.733000 -99.494003)))
    (instance face :init :vertices (list (float-vector 14.999000 -17.353000 -110.032000) (float-vector 14.999000 -3.771010 -116.235003) (float-vector -15.001000 -11.008000 -114.110000) (float-vector -15.001000 -17.353000 -110.032000)))
    (instance face :init :vertices (list (float-vector -41.001000 37.048001 -50.746001) (float-vector -24.227001 71.259998 3.647000) (float-vector -41.001000 26.458999 -37.468001)))
    (instance face :init :vertices (list (float-vector -41.001000 13.524000 -39.418001) (float-vector -41.001000 26.458999 -37.468001) (float-vector -24.227001 71.259998 3.647000) (float-vector -17.960999 71.259998 16.659001) (float-vector -17.798999 23.000000 12.927000)))
    (instance face :init :vertices (list (float-vector 20.922000 23.000000 6.794000) (float-vector 8.131000 7.000000 8.127000) (float-vector 6.797000 23.000000 20.918000)))
    (instance face :init :vertices (list (float-vector -4.402000 7.000000 10.620000) (float-vector 8.131000 7.000000 8.127000) (float-vector 33.498999 -19.576000 -78.702003) (float-vector 14.999000 -26.500000 -90.005003) (float-vector -15.001000 -26.500000 -90.005003)))
    (instance face :init :vertices (list (float-vector -6.799000 23.000000 20.918000) (float-vector 6.797000 23.000000 20.918000) (float-vector 8.131000 7.000000 8.127000) (float-vector -4.402000 7.000000 10.620000)))
    (instance face :init :vertices (list (float-vector 20.922000 23.000000 6.794000) (float-vector 33.498999 9.648000 -43.563001) (float-vector 33.498999 -19.576000 -78.702003) (float-vector 8.131000 7.000000 8.127000)))
    (instance face :init :vertices (list (float-vector -15.001000 3.772000 -116.235003) (float-vector -5.473000 35.682999 -107.531004) (float-vector -16.000999 41.926999 -93.854003) (float-vector -41.001000 30.282000 -84.555000) (float-vector -25.001001 -6.536000 -109.962001)))
    (instance face :init :vertices (list (float-vector -16.000999 41.926999 -93.854003) (float-vector -16.247001 71.259998 -29.610001) (float-vector -41.001000 30.282000 -84.555000)))
    (instance face :init :vertices (list (float-vector -41.001000 37.048001 -50.746001) (float-vector -41.001000 30.282000 -84.555000) (float-vector -16.247001 71.259998 -29.610001) (float-vector -24.227001 71.259998 3.647000)))
    (instance face :init :vertices (list (float-vector 33.498999 17.855000 -103.868000) (float-vector 16.245000 71.259998 -29.610001) (float-vector 15.756000 40.773001 -96.381001)))
    (instance face :init :vertices (list (float-vector -17.960999 71.259998 16.659001) (float-vector -24.227001 71.259998 3.647000) (float-vector -16.247001 71.259998 -29.610001) (float-vector 16.245000 71.259998 -29.610001) (float-vector 23.410000 71.259998 -7.226000) (float-vector 20.242000 71.259998 13.797000) (float-vector 8.950000 71.259998 22.802001) (float-vector -5.453000 71.259998 23.881000) (float-vector -12.251000 71.259998 21.213001)))
    (instance face :init :vertices (list (float-vector 16.245000 71.259998 -29.610001) (float-vector -16.247001 71.259998 -29.610001) (float-vector -16.000999 41.926999 -93.854003) (float-vector -5.473000 35.682999 -107.531004) (float-vector -0.001002 35.282001 -108.409002) (float-vector 15.756000 40.773001 -96.381001)))
    (instance face :init :vertices (list (float-vector 23.410000 71.259998 -7.226000) (float-vector 16.245000 71.259998 -29.610001) (float-vector 33.498999 17.855000 -103.868000) (float-vector 33.498999 35.397001 -58.428999)))
    ))
   )
  )

(defclass HiroNX_g1_19_geom0
  :super collada-body
  :slots ())
(defmethod HiroNX_g1_19_geom0
  (:init (&key (name))
         (replace-object self (send self :qhull-faceset))
         (if name (send self :name name))
         (send self :def-gl-vertices)
         self)
  (:def-gl-vertices ()
    (setq glvertices
       (instance gl::glvertices :init
          (list
          (list
           (list :type :triangles)
           (list :material (list
             (list :color (float-vector 0.1 0.1 0.1))
             (list :ambient (float-vector 0.200000 0.200000 0.200000 1.000000))
             (list :diffuse (float-vector 0.900000 0.900000 0.900000 1.000000))
           ))
           (list :indices #i( 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148 149 150 151 152 153 154 155 156 157 158 159 160 161 162 163 164 165 166 167 168 169 170 171 172 173 174 175 176 177 178 179 180 181 182 183 184 185 186 187 188 189 190 191 192 193 194 195 196 197 198 199 200 201 202 203 204 205 206 207 208 209 210 211 212 213 214 215 216 217 218 219 220 221 222 223 224 225 226 227 228 229 230 231 232 233 234 235 236 237 238 239 240 241 242 243 244 245 246 247 248 249 250 251 252 253 254 255 256 257 258 259 260 261 262 263 264 265 266 267 268 269 270 271 272 273 274 275 276 277 278 279 280 281 282 283 284 285 286 287 288 289 290 291 292 293 294 295 296 297 298 299 300 301 302 303 304 305 306 307 308 309 310 311 312 313 314 315 316 317 318 319 320 321 322 323 324 325 326 327 328 329 330 331 332 333 334 335 336 337 338 339 340 341 342 343 344 345 346 347 348 349 350 351 352 353 354 355 356 357 358 359 360 361 362 363 364 365 366 367 368 369 370 371 372 373 374 375 376 377 378 379 380 381 382 383 384 385 386 387 388 389 390 391 392 393 394 395 396 397 398 399 400 401 402 403 404 405 406 407 408 409 410 411 412 413 414 415 416 417 418 419 420 421 422 423 424 425 426 427 428 429 430 431 432 433 434 435 436 437 438 439 440 441 442 443 444 445 446 447 448 449 450 451 452 453 454 455 456 457 458 459 460 461 462 463 464 465 466 467 468 469 470 471 472 473 474 475 476 477 478 479 480 481 482 483 484 485 486 487 488 489 490 491 492 493 494 495 496 497 498 499 500 501 502 503 504 505 506 507 508 509 510 511 512 513 514 515 516 517 518 519 520 521 522 523 524 525 526 527 528 529 530 531 532 533 534 535 536 537 538 539 540 541 542 543 544 545 546 547 548 549 550 551 552 553 554 555 556 557 558 559 560 561 562 563 564 565 566 567 568 569 570 571 572 573 574 575 576 577 578 579 580 581 582 583 584 585 586 587 588 589 590 591 592 593 594 595 596 597 598 599 600 601 602 603 604 605 606 607 608 609 610 611 612 613 614 615 616 617 618 619 620 621 622 623 624 625 626 627 628 629 630 631 632 633 634 635 636 637 638 639 640 641 642 643 644 645 646 647 648 649 650 651 652 653 654 655 656 657 658 659 660 661 662 663 664 665 666 667 668 669 670 671 672 673 674 675 676 677 678 679 680 681 682 683 684 685 686 687 688 689 690 691 692 693 694 695 696 697 698 699 700 701 702 703 704 705 706 707 708 709 710 711 712 713 714 715 716 717 718 719 720 721 722 723 724 725 726 727 728 729 730 731 732 733 734 735 736 737 738 739 740 741 742 743 744 745 746 747 748 749 750 751 752 753 754 755 756 757 758 759 760 761 762 763 764 765 766 767 768 769 770 771 772 773 774 775 776 777 778 779 780 781 782 783 784 785 786 787 788 789 790 791 792 793 794 795 796 797 798 799 800 801 802 803 804 805 806 807 808 809 810 811 812 813 814 815 816 817 818 819 820 821 822 823 824 825 826 827 828 829 830 831 832 833 834 835 836 837 838 839 840 841 842 843 844 845 846 847 848 849 850 851 852 853 854 855 856 857 858 859 860 861 862 863 864 865 866 867 868 869 870 871 872 873 874 875 876 877 878 879 880 881 882 883 884 885 886 887 888 889 890 891 892 893 894 895 896 897 898 899 900 901 902 903 904 905 906 907 908 909 910 911 912 913 914 915 916 917 918 919 920 921 922 923 924 925 926 927 928 929 930 931 932 933 934 935 936 937 938 939 940 941 942 943 944 945 946 947 948 949 950 951 952 953 954 955 956 957 958 959 960 961 962 963 964 965 966 967 968 969 970 971 972 973 974 975 976 977 978 979 980 981 982 983 984 985 986 987 988 989 990 991 992 993 994 995 996 997 998 999 1000 1001 1002 1003 1004 1005 1006 1007 1008 1009 1010 1011 1012 1013 1014 1015 1016 1017 1018 1019 1020 1021 1022 1023 1024 1025 1026 1027 1028 1029 1030 1031 1032 1033 1034 1035 1036 1037 1038 1039 1040 1041 1042 1043 1044 1045 1046 1047 1048 1049 1050 1051 1052 1053 1054 1055 1056 1057 1058 1059 1060 1061 1062 1063 1064 1065 1066 1067 1068 1069 1070 1071 1072 1073 1074 1075 1076 1077 1078 1079 1080 1081 1082 1083 1084 1085 1086 1087 1088 1089 1090 1091 1092 1093 1094 1095 1096 1097 1098 1099 1100 1101 1102 1103 1104 1105 1106 1107 1108 1109 1110 1111 1112 1113 1114 1115 1116 1117 1118 1119 1120 1121 1122 1123 1124 1125 1126 1127 1128 1129 1130 1131 1132 1133 1134 1135 1136 1137 1138 1139 1140 1141 1142 1143 1144 1145 1146 1147 1148 1149 1150 1151 1152 1153 1154 1155 1156 1157 1158 1159 1160 1161 1162 1163 1164 1165 1166 1167 1168 1169 1170 1171 1172 1173 1174 1175 1176 1177 1178 1179 1180 1181 1182 1183 1184 1185 1186 1187 1188 1189 1190 1191 1192 1193 1194 1195 1196 1197 1198 1199 1200 1201 1202 1203 1204 1205 1206 1207 1208 1209 1210 1211 1212 1213 1214 1215 1216 1217 1218 1219 1220 1221 1222 1223 1224 1225 1226 1227 1228 1229 1230 1231 1232 1233 1234 1235 1236 1237 1238 1239 1240 1241 1242 1243 1244 1245 1246 1247 1248 1249 1250 1251 1252 1253 1254 1255 1256 1257 1258 1259 1260 1261 1262 1263 1264 1265 1266 1267 1268 1269 1270 1271 1272 1273 1274 1275 1276 1277 1278 1279 1280 1281 1282 1283 1284 1285 1286 1287 1288 1289 1290 1291 1292 1293 1294 1295 1296 1297 1298 1299 1300 1301 1302 1303 1304 1305 1306 1307 1308 1309 1310 1311 1312 1313 1314 1315 1316 1317 1318 1319 1320 1321 1322 1323 1324 1325 1326 1327 1328 1329 1330 1331 1332 1333 1334 1335 1336 1337 1338 1339 1340 1341 1342 1343 1344 1345 1346 1347 1348 1349 1350 1351 1352 1353 1354 1355 1356 1357 1358 1359 1360 1361 1362 1363 1364 1365 1366 1367 1368 1369 1370 1371 1372 1373 1374 1375 1376 1377 1378 1379 1380 1381 1382 1383 1384 1385 1386 1387 1388 1389 1390 1391 1392 1393 1394 1395 1396 1397 1398 1399 1400 1401 1402 1403 1404 1405 1406 1407 1408 1409 1410 1411 1412 1413 1414 1415 1416 1417 1418 1419 1420 1421 1422 1423 1424 1425 1426 1427 1428 1429 1430 1431 1432 1433 1434 1435 1436 1437 1438 1439 1440 1441 1442 1443 1444 1445 1446 1447 1448 1449 1450 1451 1452 1453 1454 1455 1456 1457 1458 1459 1460 1461 1462 1463 1464 1465 1466 1467 1468 1469 1470 1471 1472 1473 1474 1475 1476 1477 1478 1479 1480 1481 1482 1483 1484 1485 1486 1487 1488 1489 1490 1491 1492 1493 1494 1495 1496 1497 1498 1499 1500 1501 1502 1503 1504 1505 1506 1507 1508 1509 1510 1511 1512 1513 1514 1515 1516 1517 1518 1519 1520 1521 1522 1523 1524 1525 1526 1527 1528 1529 1530 1531 1532 1533 1534 1535 1536 1537 1538 1539 1540 1541 1542 1543 1544 1545 1546 1547 1548 1549 1550 1551 1552 1553 1554 1555 1556 1557 1558 1559 1560 1561 1562 1563 1564 1565 1566 1567 1568 1569 1570 1571 1572 1573 1574 1575 1576 1577 1578 1579 1580 1581 1582 1583 1584 1585 1586 1587 1588 1589 1590 1591 1592 1593 1594 1595 1596 1597 1598 1599 1600 1601 1602 1603 1604 1605 1606 1607 1608 1609 1610 1611 1612 1613 1614 1615 1616 1617 1618 1619 1620 1621 1622 1623 1624 1625 1626 1627 1628 1629 1630 1631 1632 1633 1634 1635 1636 1637 1638 1639 1640 1641 1642 1643 1644 1645 1646 1647 1648 1649 1650 1651 1652 1653 1654 1655 1656 1657 1658 1659 1660 1661 1662 1663 1664 1665 1666 1667 1668 1669 1670 1671 1672 1673 1674 1675 1676 1677 1678 1679 1680 1681 1682 1683 1684 1685 1686 1687 1688 1689 1690 1691 1692 1693 1694 1695 1696 1697 1698 1699 1700 1701 1702 1703 1704 1705 1706 1707 1708 1709 1710 1711 1712 1713 1714 1715 1716 1717 1718 1719 1720 1721 1722 1723 1724 1725 1726 1727 1728 1729 1730 1731 1732 1733 1734 1735 1736 1737 1738 1739 1740 1741 1742 1743 1744 1745 1746 1747 1748 1749 1750 1751 1752 1753 1754 1755 1756 1757 1758 1759 1760 1761 1762 1763 1764 1765 1766 1767 1768 1769 1770 1771 1772 1773 1774 1775 1776 1777 1778 1779 1780 1781 1782 1783 1784 1785 1786 1787 1788 1789 1790 1791 1792 1793 1794 1795 1796 1797 1798 1799 1800 1801 1802 1803 1804 1805 1806 1807 1808 1809 1810 1811 1812 1813 1814 1815 1816 1817 1818 1819 1820 1821 1822 1823 1824 1825 1826 1827 1828 1829 1830 1831 1832 1833 1834 1835 1836 1837 1838 1839 1840 1841 1842 1843 1844 1845 1846 1847 1848 1849 1850 1851 1852 1853 1854 1855 1856 1857 1858 1859 1860 1861 1862 1863 1864 1865 1866 1867 1868 1869 1870 1871 1872 1873 1874 1875 1876 1877 1878 1879 1880 1881 1882 1883 1884 1885 1886 1887 1888 1889 1890 1891 1892 1893 1894 1895 1896 1897 1898 1899 1900 1901 1902 1903 1904 1905 1906 1907 1908 1909 1910 1911 1912 1913 1914 1915 1916 1917 1918 1919 1920 1921 1922 1923 1924 1925 1926 1927 1928 1929 1930 1931 1932 1933 1934 1935 1936 1937 1938 1939 1940 1941 1942 1943 1944 1945 1946 1947 1948 1949 1950 1951 1952 1953 1954 1955 1956 1957 1958 1959 1960 1961 1962 1963 1964 1965 1966 1967 1968 1969 1970 1971 1972 1973 1974 1975 1976 1977 1978 1979 1980 1981 1982 1983 1984 1985 1986 1987 1988 1989 1990 1991 1992 1993 1994 1995 1996 1997 1998 1999 2000 2001 2002 2003 2004 2005 2006 2007 2008 2009 2010 2011 2012 2013 2014 2015 2016 2017 2018 2019 2020 2021 2022 2023 2024 2025 2026 2027 2028 2029 2030 2031 2032 2033 2034 2035 2036 2037 2038 2039 2040 2041 2042 2043 2044 2045 2046 2047 2048 2049 2050 2051 2052 2053 2054 2055 2056 2057 2058 2059 2060 2061 2062 2063 2064 2065 2066 2067 2068 2069 2070 2071 2072 2073 2074 2075 2076 2077 2078 2079 2080 2081 2082 2083 2084 2085 2086 2087 2088 2089 2090 2091 2092 2093 2094 2095 2096 2097 2098 2099 2100 2101 2102 2103 2104 2105 2106 2107 2108 2109 2110 2111 2112 2113 2114 2115 2116 2117 2118 2119 2120 2121 2122 2123 2124 2125 2126 2127 2128 2129 2130 2131 2132 2133 2134 2135 2136 2137 2138 2139 2140 2141 2142 2143 2144 2145 2146 2147 2148 2149 2150 2151 2152 2153 2154 2155 2156 2157 2158 2159 2160 2161 2162 2163 2164 2165 2166 2167 2168 2169 2170 2171 2172 2173 2174 2175 2176 2177 2178 2179 2180 2181 2182 2183 2184 2185 2186 2187 2188 2189 2190 2191 2192 2193 2194 2195 2196 2197 2198 2199 2200 2201 2202 2203 2204 2205 2206 2207 2208 2209 2210 2211 2212 2213 2214 2215 2216 2217 2218 2219 2220 2221 2222 2223 2224 2225 2226 2227 2228 2229 2230 2231 2232 2233 2234 2235 2236 2237 2238 2239 2240 2241 2242 2243 2244 2245 2246 2247 2248 2249 2250 2251 2252 2253 2254 2255 2256 2257 2258 2259 2260 2261 2262 2263 2264 2265 2266 2267 2268 2269 2270 2271 2272 2273 2274 2275 2276 2277 2278 2279 2280 2281 2282 2283 2284 2285 2286 2287 2288 2289 2290 2291 2292 2293 2294 2295 2296 2297 2298 2299 2300 2301 2302 2303 2304 2305 2306 2307 2308 2309 2310 2311 2312 2313 2314 2315 2316 2317 2318 2319 2320 2321 2322 2323 2324 2325 2326 2327 2328 2329 2330 2331 2332 2333 2334 2335 2336 2337 2338 2339 2340 2341 2342 2343 2344 2345 2346 2347 2348 2349 2350 2351 2352 2353 2354 2355 2356 2357 2358 2359 2360 2361 2362 2363 2364 2365 2366 2367 2368 2369 2370 2371 2372 2373 2374 2375 2376 2377 2378 2379 2380 2381 2382 2383 2384 2385 2386 2387 2388 2389 2390 2391 2392 2393 2394 2395 2396 2397 2398 2399 2400 2401 2402 2403 2404 2405 2406 2407 2408 2409 2410 2411 2412 2413 2414 2415 2416 2417 2418 2419 2420 2421 2422 2423 2424 2425 2426 2427 2428 2429 2430 2431 2432 2433 2434 2435 2436 2437 2438 2439 2440 2441 2442 2443 2444 2445 2446 2447 2448 2449 2450 2451 2452 2453 2454 2455 2456 2457 2458 2459 2460 2461 2462 2463 2464 2465 2466 2467 2468 2469 2470 2471 2472 2473 2474 2475 2476 2477 2478 2479 2480 2481 2482 2483 2484 2485 2486 2487 2488 2489 2490 2491 2492 2493 2494 2495 2496 2497 2498 2499 2500 2501 2502 2503 2504 2505 2506 2507 2508 2509 2510 2511 2512 2513 2514 2515 2516 2517 2518 2519 2520 2521 2522 2523 2524 2525 2526 2527 2528 2529 2530 2531 2532 2533 2534 2535 2536 2537 2538 2539 2540 2541 2542 2543 2544 2545 2546 2547 2548 2549 2550 2551 2552 2553 2554 2555 2556 2557 2558 2559 2560 2561 2562 2563 2564 2565 2566 2567 2568 2569 2570 2571 2572 2573 2574 2575 2576 2577 2578 2579 2580 2581 2582 2583 2584 2585 2586 2587 2588 2589 2590 2591 2592 2593 2594 2595 2596 2597 2598 2599 2600 2601 2602 2603 2604 2605 2606 2607 2608 2609 2610 2611 2612 2613 2614 2615 2616 2617 2618 2619 2620 2621 2622 2623 2624 2625 2626 2627 2628 2629 2630 2631 2632 2633 2634 2635 2636 2637 2638 2639 2640 2641 2642 2643 2644 2645 2646 2647 2648 2649 2650 2651 2652 2653 2654 2655 2656 2657 2658 2659 2660 2661 2662 2663 2664 2665 2666 2667 2668 2669 2670 2671 2672 2673 2674 2675 2676 2677 2678 2679 2680 2681 2682 2683 2684 2685 2686 2687 2688 2689 2690 2691 2692 2693 2694 2695 2696 2697 2698 2699 2700 2701 2702 2703 2704 2705 2706 2707 2708 2709 2710 2711 2712 2713 2714 2715 2716 2717 2718 2719 2720 2721 2722 2723 2724 2725 2726 2727 2728 2729 2730 2731 2732 2733 2734 2735 2736 2737 2738 2739 2740 2741 2742 2743 2744 2745 2746 2747 2748 2749 2750 2751 2752 2753 2754 2755 2756 2757 2758 2759 2760 2761 2762 2763 2764 2765 2766 2767 2768 2769 2770 2771 2772 2773 2774 2775 2776 2777 2778 2779 2780 2781 2782 2783 2784 2785 2786 2787 2788 2789 2790 2791 2792 2793 2794 2795 2796 2797 2798 2799 2800 2801 2802 2803 2804 2805 2806 2807 2808 2809 2810 2811 2812 2813 2814 2815 2816 2817 2818 2819 2820 2821 2822 2823 2824 2825 2826 2827 2828 2829 2830 2831 2832 2833 2834 2835 2836 2837 2838 2839 2840 2841 2842 2843 2844 2845 2846 2847 2848 2849 2850 2851 2852 2853 2854 2855 2856 2857 2858 2859 2860 2861 2862 2863 2864 2865 2866 2867 2868 2869 2870 2871 2872 2873 2874 2875 2876 2877 2878 2879 2880 2881 2882 2883 2884 2885 2886 2887 2888 2889 2890 2891 2892 2893 2894 2895 2896 2897 2898 2899 2900 2901 2902 2903 2904 2905 2906 2907 2908 2909 2910 2911 2912 2913 2914 2915 2916 2917 2918 2919 2920 2921 2922 2923 2924 2925 2926 2927 2928 2929 2930 2931 2932 2933 2934 2935 2936 2937 2938 2939 2940 2941 2942 2943 2944 2945 2946 2947 2948 2949 2950 2951 2952 2953 2954 2955 2956 2957 2958 2959 2960 2961 2962 2963 2964 2965 2966 2967 2968 2969 2970 2971 2972 2973 2974 2975 2976 2977 2978 2979 2980 2981 2982 2983 2984 2985 2986 2987 2988 2989 2990 2991 2992 2993 2994 2995 2996 2997 2998 2999 3000 3001 3002 3003 3004 3005 3006 3007 3008 3009 3010 3011 3012 3013 3014 3015 3016 3017 3018 3019 3020 3021 3022 3023 3024 3025 3026 3027 3028 3029 3030 3031 3032 3033 3034 3035 3036 3037 3038 3039 3040 3041 3042 3043 3044 3045 3046 3047 3048 3049 3050 3051 3052 3053 3054 3055 3056 3057 3058 3059 3060 3061 3062 3063 3064 3065 3066 3067 3068 3069 3070 3071 3072 3073 3074 3075 3076 3077 3078 3079 3080 3081 3082 3083 3084 3085 3086 3087 3088 3089 3090 3091 3092 3093 3094 3095 3096 3097 3098 3099 3100 3101 3102 3103 3104 3105 3106 3107 3108 3109 3110 3111 3112 3113 3114 3115 3116 3117 3118 3119 3120 3121 3122 3123 3124 3125 3126 3127 3128 3129 3130 3131 3132 3133 3134 3135 3136 3137 3138 3139 3140 3141 3142 3143 3144 3145 3146 3147 3148 3149 3150 3151 3152 3153 3154 3155 3156 3157 3158 3159 3160 3161 3162 3163 3164 3165 3166 3167 3168 3169 3170 3171 3172 3173 3174 3175 3176 3177 3178 3179 3180 3181 3182 3183 3184 3185 3186 3187 3188 3189 3190 3191 3192 3193 3194 3195 3196 3197 3198 3199 3200 3201 3202 3203 3204 3205 3206 3207 3208 3209 3210 3211 3212 3213 3214 3215 3216 3217 3218 3219 3220 3221 3222 3223 3224 3225 3226 3227 3228 3229 3230 3231 3232 3233 3234 3235 3236 3237 3238 3239 3240 3241 3242 3243 3244 3245 3246 3247 3248 3249 3250 3251 3252 3253 3254 3255 3256 3257 3258 3259 3260 3261 3262 3263 3264 3265 3266 3267 3268 3269 3270 3271 3272 3273 3274 3275 3276 3277 3278 3279 3280 3281 3282 3283 3284 3285 3286 3287 3288 3289 3290 3291 3292 3293 3294 3295 3296 3297 3298 3299 3300 3301 3302 3303 3304 3305 3306 3307 3308 3309 3310 3311 3312 3313 3314 3315 3316 3317 3318 3319 3320 3321 3322 3323 3324 3325 3326 3327 3328 3329 3330 3331 3332 3333 3334 3335 3336 3337 3338 3339 3340 3341 3342 3343 3344 3345 3346 3347 3348 3349 3350 3351 3352 3353 3354 3355 3356 3357 3358 3359 3360 3361 3362 3363 3364 3365 3366 3367 3368 3369 3370 3371 3372 3373 3374 3375 3376 3377 3378 3379 3380 3381 3382 3383 3384 3385 3386 3387 3388 3389 3390 3391 3392 3393 3394 3395 3396 3397 3398 3399 3400 3401 3402 3403 3404 3405 3406 3407 3408 3409 3410 3411 3412 3413 3414 3415 3416 3417 3418 3419 3420 3421 3422 3423 3424 3425 3426 3427 3428 3429 3430 3431 3432 3433 3434 3435 3436 3437 3438 3439 3440 3441 3442 3443 3444 3445 3446 3447 3448 3449 3450 3451 3452 3453 3454 3455 3456 3457 3458 3459 3460 3461 3462 3463 3464 3465 3466 3467 3468 3469 3470 3471 3472 3473 3474 3475 3476 3477 3478 3479 3480 3481 3482 3483 3484 3485 3486 3487 3488 3489 3490 3491 3492 3493 3494 3495 3496 3497 3498 3499 3500 3501 3502 3503 3504 3505 3506 3507 3508 3509 3510 3511 3512 3513 3514 3515 3516 3517 3518 3519 3520 3521 3522 3523 3524 3525 3526 3527 3528 3529 3530 3531 3532 3533 3534 3535 3536 3537 3538 3539 3540 3541 3542 3543 3544 3545 3546 3547 3548 3549 3550 3551 3552 3553 3554 3555 3556 3557 3558 3559 3560 3561 3562 3563 3564 3565 3566 3567 3568 3569 3570 3571 3572 3573 3574 3575 3576 3577 3578 3579 3580 3581 3582 3583 3584 3585 3586 3587 3588 3589 3590 3591 3592 3593 3594 3595 3596 3597 3598 3599 3600 3601 3602 3603 3604 3605 3606 3607 3608 3609 3610 3611 3612 3613 3614 3615 3616 3617 3618 3619 3620 3621 3622 3623 3624 3625 3626 3627 3628 3629 3630 3631 3632 3633 3634 3635 3636 3637 3638 3639 3640 3641 3642 3643 3644 3645 3646 3647 3648 3649 3650 3651 3652 3653 3654 3655 3656 3657 3658 3659 3660 3661 3662 3663 3664 3665 3666 3667 3668 3669 3670 3671 3672 3673 3674 3675 3676 3677 3678 3679 3680 3681 3682 3683 3684 3685 3686 3687 3688 3689 3690 3691 3692 3693 3694 3695 3696 3697 3698 3699 3700 3701 3702 3703 3704 3705 3706 3707 3708 3709 3710 3711 3712 3713 3714 3715 3716 3717 3718 3719 3720 3721 3722 3723 3724 3725 3726 3727 3728 3729 3730 3731 3732 3733 3734 3735 3736 3737 3738 3739 3740 3741 3742 3743 3744 3745 3746 3747 3748 3749 3750 3751 3752 3753 3754 3755 3756 3757 3758 3759 3760 3761 3762 3763 3764 3765 3766 3767 3768 3769 3770 3771 3772 3773 3774 3775 3776 3777 3778 3779 3780 3781 3782 3783 3784 3785 3786 3787 3788 3789 3790 3791 3792 3793 3794 3795 3796 3797 3798 3799 3800 3801 3802 3803 3804 3805 3806 3807 3808 3809 3810 3811 3812 3813 3814 3815 3816 3817 3818 3819 3820 3821 3822 3823 3824 3825 3826 3827))
           (list :vertices #2f((-25.200001 -4.973630 -46.925701)(-25.200001 -5.233910 -46.608002)(-25.699999 -5.391130 -46.416100)(-25.200001 -5.233910 -46.608002)(-25.200001 -5.391130 -46.416100)(-25.699999 -5.391130 -46.416100)(-25.200001 -5.391130 -46.416100)(-26.200001 -5.808630 -45.906399)(-25.699999 -5.391130 -46.416100)(-26.200001 -5.808630 -45.906399)(-26.200001 -4.973630 -46.925701)(-25.699999 -5.391130 -46.416100)(-26.200001 -4.973630 -46.925701)(-25.200001 -4.973630 -46.925701)(-25.699999 -5.391130 -46.416100)(-25.200001 -4.477580 -47.341599)(-25.200001 -4.973630 -46.925701)(-25.699999 -4.477580 -47.341599)(-25.200001 -4.973630 -46.925701)(-26.200001 -4.973630 -46.925701)(-25.699999 -4.477580 -47.341599)(-26.200001 -4.973630 -46.925701)(-26.200001 -3.981530 -47.757397)(-25.699999 -4.477580 -47.341599)(-26.200001 -3.981530 -47.757397)(-25.200001 -4.477580 -47.341599)(-25.699999 -4.477580 -47.341599)(-25.200001 -3.981530 -47.757397)(-25.200001 -4.477580 -47.341599)(-26.200001 -3.981530 -47.757397)(-25.200001 -3.409850 -48.078102)(-25.200001 -3.981530 -47.757397)(-25.699999 -3.409850 -48.078102)(-25.200001 -3.981530 -47.757397)(-26.200001 -3.981530 -47.757397)(-25.699999 -3.409850 -48.078102)(-26.200001 -3.981530 -47.757397)(-26.200001 -2.838170 -48.398800)(-25.699999 -3.409850 -48.078102)(-26.200001 -2.838170 -48.398800)(-25.200001 -3.409850 -48.078102)(-25.699999 -3.409850 -48.078102)(-25.200001 -2.838170 -48.398800)(-25.200001 -3.409850 -48.078102)(-26.200001 -2.838170 -48.398800)(-25.200001 -2.155180 -48.621098)(-25.200001 -2.838170 -48.398800)(-26.200001 -2.838170 -48.398800)(-25.200001 -1.472200 -48.843399)(-25.200001 -2.155180 -48.621098)(-25.699999 -2.155180 -48.621098)(-25.200001 -2.155180 -48.621098)(-26.200001 -2.838170 -48.398800)(-25.699999 -2.155180 -48.621098)(-26.200001 -2.838170 -48.398800)(-26.200001 -1.472200 -48.843399)(-25.699999 -2.155180 -48.621098)(-26.200001 -1.472200 -48.843399)(-25.200001 -1.472200 -48.843399)(-25.699999 -2.155180 -48.621098)(-25.200001 -0.736101 -48.921700)(-25.200001 -1.472200 -48.843399)(-26.200001 -1.472200 -48.843399)(-25.200001 -0.000000 -49.000000)(-25.200001 -0.736101 -48.921700)(-25.699999 -0.736101 -48.921700)(-25.200001 -0.736101 -48.921700)(-26.200001 -1.472200 -48.843399)(-25.699999 -0.736101 -48.921700)(-26.200001 -1.472200 -48.843399)(-26.200001 -0.000000 -49.000000)(-25.699999 -0.736101 -48.921700)(-26.200001 -0.000000 -49.000000)(-25.200001 -0.000000 -49.000000)(-25.699999 -0.736101 -48.921700)(-25.200001 0.664345 -48.928001)(-25.200001 -0.000000 -49.000000)(-26.200001 -0.000000 -49.000000)(-26.200001 -0.000000 -49.000000)(-25.200001 0.664345 -48.928001)(-25.200001 0.750082 -48.918701)(-26.200001 7.000000 -42.000000)(-25.200001 6.918680 -41.249901)(-25.200001 7.000000 -42.000000)(-25.200001 6.837360 -40.499798)(-25.200001 6.918680 -41.249901)(-25.699999 6.918680 -41.249901)(-25.200001 6.918680 -41.249901)(-26.200001 7.000000 -42.000000)(-25.699999 6.918680 -41.249901)(-26.200001 7.000000 -42.000000)(-26.200001 6.837360 -40.499798)(-25.699999 6.918680 -41.249901)(-26.200001 6.837360 -40.499798)(-25.200001 6.837360 -40.499798)(-25.699999 6.918680 -41.249901)(-26.200001 6.837360 -40.499798)(-25.200001 6.637910 -39.876400)(-25.200001 6.837360 -40.499798)(-25.200001 6.438470 -39.252998)(-25.200001 6.637910 -39.876400)(-25.699999 6.637910 -39.876400)(-25.200001 6.637910 -39.876400)(-26.200001 6.837360 -40.499798)(-25.699999 6.637910 -39.876400)(-26.200001 6.837360 -40.499798)(-26.200001 6.438470 -39.252998)(-25.699999 6.637910 -39.876400)(-26.200001 6.438470 -39.252998)(-25.200001 6.438470 -39.252998)(-25.699999 6.637910 -39.876400)(-25.200001 6.123550 -38.673302)(-25.200001 6.438470 -39.252998)(-25.699999 6.123550 -38.673302)(-25.200001 6.438470 -39.252998)(-26.200001 6.438470 -39.252998)(-25.699999 6.123550 -38.673302)(-26.200001 6.438470 -39.252998)(-26.200001 5.808630 -38.093601)(-25.699999 6.123550 -38.673302)(-26.200001 5.808630 -38.093601)(-25.200001 6.123550 -38.673302)(-25.699999 6.123550 -38.673302)(-26.200001 5.808630 -38.093601)(-25.200001 5.808630 -38.093601)(-25.200001 6.123550 -38.673302)(-26.200001 5.808630 -38.093601)(-25.200001 5.391130 -37.583900)(-25.200001 5.808630 -38.093601)(-25.200001 4.973630 -37.074200)(-25.200001 5.391130 -37.583900)(-25.699999 5.391130 -37.583900)(-25.200001 5.391130 -37.583900)(-26.200001 5.808630 -38.093601)(-25.699999 5.391130 -37.583900)(-26.200001 5.808630 -38.093601)(-26.200001 4.973630 -37.074200)(-25.699999 5.391130 -37.583900)(-26.200001 4.973630 -37.074200)(-25.200001 4.973630 -37.074200)(-25.699999 5.391130 -37.583900)(-25.200001 4.477580 -36.658398)(-25.200001 4.973630 -37.074200)(-25.699999 4.477580 -36.658398)(-25.200001 4.973630 -37.074200)(-26.200001 4.973630 -37.074200)(-25.699999 4.477580 -36.658398)(-26.200001 4.973630 -37.074200)(-26.200001 3.981530 -36.242599)(-25.699999 4.477580 -36.658398)(-26.200001 3.981530 -36.242599)(-25.200001 4.477580 -36.658398)(-25.699999 4.477580 -36.658398)(-25.200001 3.981530 -36.242599)(-25.200001 4.477580 -36.658398)(-26.200001 3.981530 -36.242599)(-25.200001 3.409850 -35.921902)(-25.200001 3.981530 -36.242599)(-25.699999 3.409850 -35.921902)(-25.200001 3.981530 -36.242599)(-26.200001 3.981530 -36.242599)(-25.699999 3.409850 -35.921902)(-26.200001 3.981530 -36.242599)(-26.200001 2.838170 -35.601200)(-25.699999 3.409850 -35.921902)(-26.200001 2.838170 -35.601200)(-25.200001 3.409850 -35.921902)(-25.699999 3.409850 -35.921902)(-25.200001 2.838170 -35.601200)(-25.200001 3.409850 -35.921902)(-26.200001 2.838170 -35.601200)(-25.200001 2.155180 -35.378899)(-25.200001 2.838170 -35.601200)(-26.200001 2.838170 -35.601200)(-25.200001 1.472200 -35.156601)(-25.200001 2.155180 -35.378899)(-25.699999 2.155180 -35.378899)(-25.200001 2.155180 -35.378899)(-26.200001 2.838170 -35.601200)(-25.699999 2.155180 -35.378899)(-26.200001 2.838170 -35.601200)(-26.200001 1.472200 -35.156601)(-25.699999 2.155180 -35.378899)(-26.200001 1.472200 -35.156601)(-25.200001 1.472200 -35.156601)(-25.699999 2.155180 -35.378899)(-25.200001 0.736102 -35.078297)(-25.200001 1.472200 -35.156601)(-26.200001 1.472200 -35.156601)(-25.200001 0.000000 -35.000000)(-25.200001 0.736102 -35.078297)(-25.699999 0.736101 -35.078297)(-25.200001 0.736102 -35.078297)(-26.200001 1.472200 -35.156601)(-25.699999 0.736101 -35.078297)(-26.200001 1.472200 -35.156601)(-26.200001 0.000000 -35.000000)(-25.699999 0.736101 -35.078297)(-26.200001 0.000000 -35.000000)(-25.200001 0.000000 -35.000000)(-25.699999 0.736101 -35.078297)(-25.200001 -0.750082 -35.081303)(-25.200001 0.000000 -35.000000)(-26.200001 0.000000 -35.000000)(-25.200001 -1.500160 -35.162601)(-25.200001 -0.750082 -35.081303)(-25.699999 -0.750082 -35.081303)(-25.200001 -0.750082 -35.081303)(-26.200001 0.000000 -35.000000)(-25.699999 -0.750082 -35.081303)(-26.200001 0.000000 -35.000000)(-26.200001 -1.500160 -35.162601)(-25.699999 -0.750082 -35.081303)(-26.200001 -1.500160 -35.162601)(-25.200001 -1.500160 -35.162601)(-25.699999 -0.750082 -35.081303)(-25.200001 -2.123590 -35.362099)(-25.200001 -1.500160 -35.162601)(-25.699999 -2.123590 -35.362099)(-25.200001 -1.500160 -35.162601)(-26.200001 -1.500160 -35.162601)(-25.699999 -2.123590 -35.362099)(-26.200001 -1.500160 -35.162601)(-26.200001 -2.747020 -35.561497)(-25.699999 -2.123590 -35.362099)(-26.200001 -2.747020 -35.561497)(-25.200001 -2.123590 -35.362099)(-25.699999 -2.123590 -35.362099)(-25.200001 -2.747020 -35.561497)(-25.200001 -2.123590 -35.362099)(-26.200001 -2.747020 -35.561497)(-25.200001 -3.326700 -35.876400)(-25.200001 -2.747020 -35.561497)(-26.200001 -2.747020 -35.561497)(-25.200001 -3.906380 -36.191399)(-25.200001 -3.326700 -35.876400)(-25.699999 -3.326700 -35.876400)(-25.200001 -3.326700 -35.876400)(-26.200001 -2.747020 -35.561497)(-25.699999 -3.326700 -35.876400)(-26.200001 -2.747020 -35.561497)(-26.200001 -3.906380 -36.191399)(-25.699999 -3.326700 -35.876400)(-26.200001 -3.906380 -36.191399)(-25.200001 -3.906380 -36.191399)(-25.699999 -3.326700 -35.876400)(-25.200001 -4.416060 -36.608902)(-25.200001 -3.906380 -36.191399)(-26.200001 -3.906380 -36.191399)(-25.200001 -4.925750 -37.026402)(-25.200001 -4.416060 -36.608902)(-25.699999 -4.416060 -36.608902)(-25.200001 -4.416060 -36.608902)(-26.200001 -3.906380 -36.191399)(-25.699999 -4.416060 -36.608902)(-26.200001 -3.906380 -36.191399)(-26.200001 -4.925750 -37.026402)(-25.699999 -4.416060 -36.608902)(-26.200001 -4.925750 -37.026402)(-25.200001 -4.925750 -37.026402)(-25.699999 -4.416060 -36.608902)(-25.200001 -5.341560 -37.522400)(-25.200001 -4.925750 -37.026402)(-25.699999 -5.341560 -37.522400)(-25.200001 -4.925750 -37.026402)(-26.200001 -4.925750 -37.026402)(-25.699999 -5.341560 -37.522400)(-26.200001 -4.925750 -37.026402)(-26.200001 -5.757380 -38.018497)(-25.699999 -5.341560 -37.522400)(-26.200001 -5.757380 -38.018497)(-25.200001 -5.341560 -37.522400)(-25.699999 -5.341560 -37.522400)(-26.200001 -5.757380 -38.018497)(-25.200001 -5.757380 -38.018497)(-25.200001 -5.341560 -37.522400)(-25.200001 -6.078100 -38.590099)(-25.200001 -5.757380 -38.018497)(-25.699999 -6.078100 -38.590099)(-25.200001 -5.757380 -38.018497)(-26.200001 -5.757380 -38.018497)(-25.699999 -6.078100 -38.590099)(-26.200001 -5.757380 -38.018497)(-26.200001 -6.398810 -39.161800)(-25.699999 -6.078100 -38.590099)(-26.200001 -6.398810 -39.161800)(-25.200001 -6.078100 -38.590099)(-25.699999 -6.078100 -38.590099)(-26.200001 -6.398810 -39.161800)(-25.200001 -6.398810 -39.161800)(-25.200001 -6.078100 -38.590099)(-26.200001 -6.398810 -39.161800)(-25.200001 -6.621120 -39.844799)(-25.200001 -6.398810 -39.161800)(-25.200001 -6.843440 -40.527798)(-25.200001 -6.621120 -39.844799)(-25.699999 -6.621120 -39.844799)(-25.200001 -6.621120 -39.844799)(-26.200001 -6.398810 -39.161800)(-25.699999 -6.621120 -39.844799)(-26.200001 -6.398810 -39.161800)(-26.200001 -6.843440 -40.527798)(-25.699999 -6.621120 -39.844799)(-26.200001 -6.843440 -40.527798)(-25.200001 -6.843440 -40.527798)(-25.699999 -6.621120 -39.844799)(-26.200001 -6.843440 -40.527798)(-25.200001 -6.921720 -41.263901)(-25.200001 -6.843440 -40.527798)(-25.200001 -7.000000 -42.000000)(-25.200001 -6.921720 -41.263901)(-25.699999 -6.921720 -41.263901)(-25.200001 -6.921720 -41.263901)(-26.200001 -6.843440 -40.527798)(-25.699999 -6.921720 -41.263901)(-26.200001 -6.843440 -40.527798)(-26.200001 -7.000000 -42.000000)(-25.699999 -6.921720 -41.263901)(-26.200001 -7.000000 -42.000000)(-25.200001 -7.000000 -42.000000)(-25.699999 -6.921720 -41.263901)(-26.200001 -7.000000 -42.000000)(-25.200001 -6.918680 -42.750103)(-25.200001 -7.000000 -42.000000)(-25.200001 -6.837360 -43.500198)(-25.200001 -6.918680 -42.750103)(-25.699999 -6.918680 -42.750103)(-25.200001 -6.918680 -42.750103)(-26.200001 -7.000000 -42.000000)(-25.699999 -6.918680 -42.750103)(-26.200001 -7.000000 -42.000000)(-26.200001 -6.837360 -43.500198)(-25.699999 -6.918680 -42.750103)(-26.200001 -6.837360 -43.500198)(-25.200001 -6.837360 -43.500198)(-25.699999 -6.918680 -42.750103)(-26.200001 -6.837360 -43.500198)(-25.200001 -6.637910 -44.123600)(-25.200001 -6.837360 -43.500198)(-25.200001 -6.438470 -44.746998)(-25.200001 -6.637910 -44.123600)(-25.699999 -6.637910 -44.123600)(-25.200001 -6.637910 -44.123600)(-26.200001 -6.837360 -43.500198)(-25.699999 -6.637910 -44.123600)(-26.200001 -6.837360 -43.500198)(-26.200001 -6.438470 -44.746998)(-25.699999 -6.637910 -44.123600)(-26.200001 -6.438470 -44.746998)(-25.200001 -6.438470 -44.746998)(-25.699999 -6.637910 -44.123600)(-25.200001 -6.123550 -45.326698)(-25.200001 -6.438470 -44.746998)(-25.699999 -6.123550 -45.326698)(-25.200001 -6.438470 -44.746998)(-26.200001 -6.438470 -44.746998)(-25.699999 -6.123550 -45.326698)(-26.200001 -6.438470 -44.746998)(-26.200001 -5.808630 -45.906399)(-25.699999 -6.123550 -45.326698)(-26.200001 -5.808630 -45.906399)(-25.200001 -6.123550 -45.326698)(-25.699999 -6.123550 -45.326698)(-26.200001 -5.808630 -45.906399)(-25.200001 -5.808630 -45.906399)(-25.200001 -6.123550 -45.326698)(-26.200001 -5.808630 -45.906399)(-25.200001 -5.391130 -46.416100)(-25.200001 -5.808630 -45.906399)(-25.200001 1.500160 -48.837402)(-25.200001 0.750082 -48.918701)(-25.699999 0.750082 -48.918701)(-25.200001 0.750082 -48.918701)(-26.200001 -0.000000 -49.000000)(-25.699999 0.750082 -48.918701)(-26.200001 -0.000000 -49.000000)(-26.200001 1.500160 -48.837402)(-25.699999 0.750082 -48.918701)(-26.200001 1.500160 -48.837402)(-25.200001 1.500160 -48.837402)(-25.699999 0.750082 -48.918701)(-25.200001 2.123590 -48.637901)(-25.200001 1.500160 -48.837402)(-25.699999 2.123590 -48.637901)(-25.200001 1.500160 -48.837402)(-26.200001 1.500160 -48.837402)(-25.699999 2.123590 -48.637901)(-26.200001 1.500160 -48.837402)(-26.200001 2.747020 -48.438499)(-25.699999 2.123590 -48.637901)(-26.200001 2.747020 -48.438499)(-25.200001 2.123590 -48.637901)(-25.699999 2.123590 -48.637901)(-25.200001 2.747020 -48.438499)(-25.200001 2.123590 -48.637901)(-26.200001 2.747020 -48.438499)(-25.200001 3.326700 -48.123501)(-25.200001 2.747020 -48.438499)(-26.200001 2.747020 -48.438499)(-25.200001 3.906380 -47.808598)(-25.200001 3.326700 -48.123501)(-25.699999 3.326700 -48.123501)(-25.200001 3.326700 -48.123501)(-26.200001 2.747020 -48.438499)(-25.699999 3.326700 -48.123501)(-26.200001 2.747020 -48.438499)(-26.200001 3.906380 -47.808598)(-25.699999 3.326700 -48.123501)(-26.200001 3.906380 -47.808598)(-25.200001 3.906380 -47.808598)(-25.699999 3.326700 -48.123501)(-25.200001 4.416060 -47.391102)(-25.200001 3.906380 -47.808598)(-26.200001 3.906380 -47.808598)(-25.200001 4.925750 -46.973602)(-25.200001 4.416060 -47.391102)(-25.699999 4.416060 -47.391102)(-25.200001 4.416060 -47.391102)(-26.200001 3.906380 -47.808598)(-25.699999 4.416060 -47.391102)(-26.200001 3.906380 -47.808598)(-26.200001 4.925750 -46.973602)(-25.699999 4.416060 -47.391102)(-26.200001 4.925750 -46.973602)(-25.200001 4.925750 -46.973602)(-25.699999 4.416060 -47.391102)(-25.200001 5.341560 -46.477600)(-25.200001 4.925750 -46.973602)(-25.699999 5.341560 -46.477600)(-25.200001 4.925750 -46.973602)(-26.200001 4.925750 -46.973602)(-25.699999 5.341560 -46.477600)(-26.200001 4.925750 -46.973602)(-26.200001 5.757380 -45.981499)(-25.699999 5.341560 -46.477600)(-26.200001 5.757380 -45.981499)(-25.200001 5.341560 -46.477600)(-25.699999 5.341560 -46.477600)(-26.200001 5.757380 -45.981499)(-25.200001 5.757380 -45.981499)(-25.200001 5.341560 -46.477600)(-26.200001 5.757380 -45.981499)(-25.200001 6.078100 -45.409901)(-25.200001 5.757380 -45.981499)(-25.200001 6.398810 -44.838200)(-25.200001 6.078100 -45.409901)(-25.699999 6.078100 -45.409901)(-25.200001 6.078100 -45.409901)(-26.200001 5.757380 -45.981499)(-25.699999 6.078100 -45.409901)(-26.200001 5.757380 -45.981499)(-26.200001 6.398810 -44.838200)(-25.699999 6.078100 -45.409901)(-26.200001 6.398810 -44.838200)(-25.200001 6.398810 -44.838200)(-25.699999 6.078100 -45.409901)(-26.200001 6.398810 -44.838200)(-25.200001 6.621120 -44.155201)(-25.200001 6.398810 -44.838200)(-25.200001 6.843440 -43.472202)(-25.200001 6.621120 -44.155201)(-25.699999 6.621120 -44.155201)(-25.200001 6.621120 -44.155201)(-26.200001 6.398810 -44.838200)(-25.699999 6.621120 -44.155201)(-26.200001 6.398810 -44.838200)(-26.200001 6.843440 -43.472202)(-25.699999 6.621120 -44.155201)(-26.200001 6.843440 -43.472202)(-25.200001 6.843440 -43.472202)(-25.699999 6.621120 -44.155201)(-26.200001 6.843440 -43.472202)(-25.200001 6.921720 -42.736099)(-25.200001 6.843440 -43.472202)(-25.200001 7.000000 -42.000000)(-25.200001 6.921720 -42.736099)(-25.699999 6.921720 -42.736099)(-25.200001 6.921720 -42.736099)(-26.200001 6.843440 -43.472202)(-25.699999 6.921720 -42.736099)(-26.200001 6.843440 -43.472202)(-26.200001 7.000000 -42.000000)(-25.699999 6.921720 -42.736099)(-26.200001 7.000000 -42.000000)(-25.200001 7.000000 -42.000000)(-25.699999 6.921720 -42.736099)(-26.200001 -3.500000 -45.500000)(-26.200001 -4.973630 -46.925701)(-26.200001 -5.808630 -45.906399)(-26.200001 -3.500000 -45.500000)(-26.200001 -3.981530 -47.757397)(-26.200001 -4.973630 -46.925701)(-26.200001 -2.838170 -48.398800)(-26.200001 -3.981530 -47.757397)(-26.200001 -3.500000 -45.500000)(-26.200001 -1.472200 -48.843399)(-26.200001 -2.838170 -48.398800)(-26.200001 -0.000000 -45.500000)(-26.200001 -0.000000 -49.000000)(-26.200001 -1.472200 -48.843399)(-26.200001 -0.000000 -45.500000)(-26.200001 6.837360 -40.499798)(-26.200001 7.000000 -42.000000)(-26.200001 3.500000 -42.000000)(-26.200001 6.837360 -40.499798)(-26.200001 3.500000 -42.000000)(-26.200001 6.438470 -39.252998)(-26.200001 5.808630 -38.093601)(-26.200001 6.438470 -39.252998)(-26.200001 3.500000 -38.500000)(-26.200001 4.973630 -37.074200)(-26.200001 5.808630 -38.093601)(-26.200001 3.500000 -38.500000)(-26.200001 4.973630 -37.074200)(-26.200001 3.500000 -38.500000)(-26.200001 3.981530 -36.242599)(-26.200001 3.981530 -36.242599)(-26.200001 3.500000 -38.500000)(-26.200001 2.838170 -35.601200)(-26.200001 2.838170 -35.601200)(-26.200001 0.000000 -38.500000)(-26.200001 1.472200 -35.156601)(-26.200001 1.472200 -35.156601)(-26.200001 0.000000 -38.500000)(-26.200001 0.000000 -35.000000)(-26.200001 0.000000 -35.000000)(-26.200001 0.000000 -38.500000)(-26.200001 -1.500160 -35.162601)(-26.200001 -1.500160 -35.162601)(-26.200001 0.000000 -38.500000)(-26.200001 -2.747020 -35.561497)(-26.200001 -2.747020 -35.561497)(-26.200001 -3.500000 -38.500000)(-26.200001 -3.906380 -36.191399)(-26.200001 -3.906380 -36.191399)(-26.200001 -3.500000 -38.500000)(-26.200001 -4.925750 -37.026402)(-26.200001 -3.500000 -38.500000)(-26.200001 -5.757380 -38.018497)(-26.200001 -4.925750 -37.026402)(-26.200001 -3.500000 -38.500000)(-26.200001 -6.398810 -39.161800)(-26.200001 -5.757380 -38.018497)(-26.200001 -6.843440 -40.527798)(-26.200001 -6.398810 -39.161800)(-26.200001 -3.500000 -42.000000)(-26.200001 -3.500000 -42.000000)(-26.200001 -7.000000 -42.000000)(-26.200001 -6.843440 -40.527798)(-26.200001 -3.500000 -42.000000)(-26.200001 -6.837360 -43.500198)(-26.200001 -7.000000 -42.000000)(-26.200001 -6.438470 -44.746998)(-26.200001 -6.837360 -43.500198)(-26.200001 -3.500000 -42.000000)(-26.200001 -3.500000 -45.500000)(-26.200001 -5.808630 -45.906399)(-26.200001 -6.438470 -44.746998)(-26.200001 1.500160 -48.837402)(-26.200001 -0.000000 -49.000000)(-26.200001 -0.000000 -45.500000)(-26.200001 2.747020 -48.438499)(-26.200001 1.500160 -48.837402)(-26.200001 -0.000000 -45.500000)(-26.200001 3.906380 -47.808598)(-26.200001 2.747020 -48.438499)(-26.200001 3.500000 -45.500000)(-26.200001 4.925750 -46.973602)(-26.200001 3.906380 -47.808598)(-26.200001 3.500000 -45.500000)(-26.200001 5.757380 -45.981499)(-26.200001 4.925750 -46.973602)(-26.200001 3.500000 -45.500000)(-26.200001 6.398810 -44.838200)(-26.200001 5.757380 -45.981499)(-26.200001 3.500000 -45.500000)(-26.200001 6.398810 -44.838200)(-26.200001 3.500000 -42.000000)(-26.200001 6.843440 -43.472202)(-26.200001 7.000000 -42.000000)(-26.200001 6.843440 -43.472202)(-26.200001 3.500000 -42.000000)(-26.200001 -0.000000 -45.500000)(-26.200001 -2.838170 -48.398800)(-26.200001 -3.500000 -45.500000)(-26.200001 6.438470 -39.252998)(-26.200001 3.500000 -42.000000)(-26.200001 3.500000 -38.500000)(-26.200001 3.500000 -38.500000)(-26.200001 0.000000 -38.500000)(-26.200001 2.838170 -35.601200)(-26.200001 0.000000 -38.500000)(-26.200001 -3.500000 -38.500000)(-26.200001 -2.747020 -35.561497)(-26.200001 -3.500000 -38.500000)(-26.200001 -3.500000 -42.000000)(-26.200001 -6.398810 -39.161800)(-26.200001 -3.500000 -42.000000)(-26.200001 -3.500000 -45.500000)(-26.200001 -6.438470 -44.746998)(-26.200001 3.500000 -45.500000)(-26.200001 2.747020 -48.438499)(-26.200001 -0.000000 -45.500000)(-26.200001 6.398810 -44.838200)(-26.200001 3.500000 -45.500000)(-26.200001 3.500000 -42.000000)(-26.200001 -0.000000 -45.500000)(-26.200001 -3.500000 -45.500000)(-26.200001 -3.500000 -42.000000)(-26.200001 3.500000 -38.500000)(-26.200001 3.500000 -42.000000)(-26.200001 0.000000 -38.500000)(-26.200001 0.000000 -38.500000)(-26.200001 0.000000 -42.000000)(-26.200001 -3.500000 -38.500000)(-26.200001 0.000000 -42.000000)(-26.200001 -3.500000 -42.000000)(-26.200001 -3.500000 -38.500000)(-26.200001 3.500000 -45.500000)(-26.200001 -0.000000 -45.500000)(-26.200001 0.000000 -42.000000)(-26.200001 3.500000 -42.000000)(-26.200001 3.500000 -45.500000)(-26.200001 0.000000 -42.000000)(-26.200001 0.000000 -42.000000)(-26.200001 -0.000000 -45.500000)(-26.200001 -3.500000 -42.000000)(-26.200001 3.500000 -42.000000)(-26.200001 0.000000 -42.000000)(-26.200001 0.000000 -38.500000)(-25.200001 -20.000000 -52.599998)(-16.300001 -20.000000 -52.599998)(-25.200001 -20.000000 -40.800003)(-25.200001 0.664345 -48.928001)(-25.200001 10.000000 -52.599998)(-25.200001 -0.000000 -49.000000)(-25.200001 -0.000000 -49.000000)(-25.200001 10.000000 -52.599998)(-25.200001 -0.736101 -48.921700)(-25.200001 -0.736101 -48.921700)(-25.200001 10.000000 -52.599998)(-25.200001 -1.472200 -48.843399)(-25.200001 -5.233910 -46.608002)(-25.200001 -4.973630 -46.925701)(-25.200001 -20.000000 -52.599998)(-25.200001 -4.973630 -46.925701)(-25.200001 -4.477580 -47.341599)(-25.200001 -20.000000 -52.599998)(-25.200001 -4.477580 -47.341599)(-25.200001 -3.981530 -47.757397)(-25.200001 -20.000000 -52.599998)(-25.200001 -3.981530 -47.757397)(-25.200001 -3.409850 -48.078102)(-25.200001 -20.000000 -52.599998)(-25.200001 -3.409850 -48.078102)(-25.200001 -2.838170 -48.398800)(-25.200001 -20.000000 -52.599998)(-25.200001 -2.838170 -48.398800)(-25.200001 -2.155180 -48.621098)(-25.200001 -20.000000 -52.599998)(-25.200001 -2.155180 -48.621098)(-25.200001 -1.472200 -48.843399)(-25.200001 -20.000000 -52.599998)(-25.200001 -1.472200 -48.843399)(-25.200001 10.000000 -52.599998)(-25.200001 -20.000000 -52.599998)(-25.200001 -5.233910 -46.608002)(-25.200001 -20.000000 -52.599998)(-25.200001 -20.000000 -40.800003)(-16.300001 -20.000000 -52.599998)(-25.200001 -20.000000 -52.599998)(-25.200001 10.000000 -52.599998)(-7.400000 -20.000000 -40.800003)(-25.200001 -20.000000 -40.800003)(-16.300001 -20.000000 -46.700001)(-25.200001 -20.000000 -40.800003)(-16.300001 -20.000000 -52.599998)(-16.300001 -20.000000 -46.700001)(-16.300001 -20.000000 -52.599998)(-7.400000 -20.000000 -40.800003)(-16.300001 -20.000000 -46.700001)(-25.200001 10.000000 -52.599998)(-25.200001 4.925750 -46.973602)(-25.200001 5.341560 -46.477600)(-25.200001 4.925750 -46.973602)(-25.200001 10.000000 -52.599998)(-25.200001 4.416060 -47.391102)(-25.200001 10.000000 -52.599998)(-25.200001 5.341560 -46.477600)(-25.200001 5.757380 -45.981499)(-25.200001 4.416060 -47.391102)(-25.200001 10.000000 -52.599998)(-25.200001 3.906380 -47.808598)(-25.200001 10.000000 -52.599998)(-25.200001 5.757380 -45.981499)(-25.200001 6.078100 -45.409901)(-25.200001 3.906380 -47.808598)(-25.200001 10.000000 -52.599998)(-25.200001 3.326700 -48.123501)(-25.200001 10.000000 -52.599998)(-25.200001 6.078100 -45.409901)(-25.200001 6.398810 -44.838200)(-25.200001 3.326700 -48.123501)(-25.200001 10.000000 -52.599998)(-25.200001 2.747020 -48.438499)(-25.200001 10.000000 -52.599998)(-25.200001 6.398810 -44.838200)(-25.200001 6.621120 -44.155201)(-25.200001 2.747020 -48.438499)(-25.200001 10.000000 -52.599998)(-25.200001 2.123590 -48.637901)(-25.200001 2.123590 -48.637901)(-25.200001 10.000000 -52.599998)(-25.200001 1.500160 -48.837402)(-25.200001 10.000000 -52.599998)(-25.200001 6.621120 -44.155201)(-25.200001 6.843440 -43.472202)(-25.200001 1.500160 -48.837402)(-25.200001 10.000000 -52.599998)(-25.200001 0.750082 -48.918701)(-25.200001 10.000000 -52.599998)(-25.200001 6.843440 -43.472202)(-25.200001 6.921720 -42.736099)(-25.200001 0.750082 -48.918701)(-25.200001 10.000000 -52.599998)(-25.200001 0.664345 -48.928001)(-25.200001 10.000000 -52.599998)(-25.200001 6.921720 -42.736099)(-25.200001 7.000000 -42.000000)(-25.200001 7.000000 -42.000000)(-25.200001 6.918680 -41.249901)(-25.200001 10.000000 -29.000000)(-25.200001 6.918680 -41.249901)(-25.200001 6.837360 -40.499798)(-25.200001 10.000000 -29.000000)(-25.200001 6.837360 -40.499798)(-25.200001 6.637910 -39.876400)(-25.200001 10.000000 -29.000000)(-25.200001 6.637910 -39.876400)(-25.200001 6.438470 -39.252998)(-25.200001 10.000000 -29.000000)(-25.200001 6.438470 -39.252998)(-25.200001 6.123550 -38.673302)(-25.200001 10.000000 -29.000000)(-25.200001 6.123550 -38.673302)(-25.200001 5.808630 -38.093601)(-25.200001 10.000000 -29.000000)(-25.200001 5.808630 -38.093601)(-25.200001 5.391130 -37.583900)(-25.200001 10.000000 -29.000000)(-25.200001 5.391130 -37.583900)(-25.200001 4.973630 -37.074200)(-25.200001 10.000000 -29.000000)(-25.200001 4.973630 -37.074200)(-25.200001 4.477580 -36.658398)(-25.200001 10.000000 -29.000000)(-25.200001 4.477580 -36.658398)(-25.200001 3.981530 -36.242599)(-25.200001 10.000000 -29.000000)(-25.200001 3.981530 -36.242599)(-25.200001 3.409850 -35.921902)(-25.200001 10.000000 -29.000000)(-25.200001 10.000000 -52.599998)(-25.200001 7.000000 -42.000000)(-25.200001 10.000000 -29.000000)(-25.200001 10.000000 -29.000000)(-25.200001 3.409850 -35.921902)(-25.200001 2.838170 -35.601200)(-25.200001 10.000000 -29.000000)(-25.200001 2.838170 -35.601200)(-25.200001 2.155180 -35.378899)(-25.200001 10.000000 -29.000000)(-25.200001 2.155180 -35.378899)(-25.200001 1.472200 -35.156601)(-25.200001 10.000000 -29.000000)(-25.200001 1.472200 -35.156601)(-25.200001 0.736102 -35.078297)(-25.200001 10.000000 -29.000000)(-25.200001 0.736102 -35.078297)(-25.200001 0.000000 -35.000000)(-25.200001 10.000000 -29.000000)(-25.200001 0.000000 -35.000000)(-25.200001 -0.750082 -35.081303)(-25.200001 10.000000 -29.000000)(-25.200001 -0.750082 -35.081303)(-25.200001 -1.500160 -35.162601)(-25.200001 10.000000 -29.000000)(-25.200001 -1.500160 -35.162601)(-25.200001 -2.123590 -35.362099)(-25.200001 10.000000 -29.000000)(-25.200001 -2.123590 -35.362099)(-25.200001 -2.747020 -35.561497)(-25.200001 -2.747020 -35.561497)(-25.200001 -3.326700 -35.876400)(-25.200001 -20.000000 -40.800003)(-25.200001 -3.326700 -35.876400)(-25.200001 -3.906380 -36.191399)(-25.200001 -20.000000 -40.800003)(-25.200001 -3.906380 -36.191399)(-25.200001 -4.416060 -36.608902)(-25.200001 -20.000000 -40.800003)(-25.200001 -4.416060 -36.608902)(-25.200001 -4.925750 -37.026402)(-25.200001 -20.000000 -40.800003)(-25.200001 -4.925750 -37.026402)(-25.200001 -5.341560 -37.522400)(-25.200001 -20.000000 -40.800003)(-25.200001 -5.341560 -37.522400)(-25.200001 -5.757380 -38.018497)(-25.200001 -20.000000 -40.800003)(-25.200001 -5.757380 -38.018497)(-25.200001 -6.078100 -38.590099)(-25.200001 -20.000000 -40.800003)(-25.200001 -6.078100 -38.590099)(-25.200001 -6.398810 -39.161800)(-25.200001 -20.000000 -40.800003)(-25.200001 -6.398810 -39.161800)(-25.200001 -6.621120 -39.844799)(-25.200001 -20.000000 -40.800003)(-25.200001 -6.621120 -39.844799)(-25.200001 -6.843440 -40.527798)(-25.200001 -20.000000 -40.800003)(-25.200001 -6.843440 -40.527798)(-25.200001 -6.921720 -41.263901)(-25.200001 -20.000000 -40.800003)(-25.200001 -6.921720 -41.263901)(-25.200001 -7.000000 -42.000000)(-25.200001 -20.000000 -40.800003)(-25.200001 -7.000000 -42.000000)(-25.200001 -6.918680 -42.750103)(-25.200001 -20.000000 -40.800003)(-25.200001 -6.918680 -42.750103)(-25.200001 -6.837360 -43.500198)(-25.200001 -20.000000 -40.800003)(-25.200001 -6.837360 -43.500198)(-25.200001 -6.637910 -44.123600)(-25.200001 -20.000000 -40.800003)(-25.200001 -6.637910 -44.123600)(-25.200001 -6.438470 -44.746998)(-25.200001 -20.000000 -40.800003)(-25.200001 -6.438470 -44.746998)(-25.200001 -6.123550 -45.326698)(-25.200001 -20.000000 -40.800003)(-25.200001 -6.123550 -45.326698)(-25.200001 -5.808630 -45.906399)(-25.200001 -20.000000 -40.800003)(-25.200001 -5.808630 -45.906399)(-25.200001 -5.391130 -46.416100)(-25.200001 -20.000000 -40.800003)(-25.200001 -5.391130 -46.416100)(-25.200001 -5.233910 -46.608002)(-25.200001 -20.000000 -40.800003)(-25.200001 -2.747020 -35.561497)(-25.200001 -20.000000 -40.800003)(-25.200001 10.000000 -29.000000)(-16.300001 -20.000000 -52.599998)(-25.200001 10.000000 -52.599998)(-7.400000 10.000000 -52.599998)(-25.200001 -20.000000 -40.800003)(-7.400000 -20.000000 -40.800003)(-16.300001 -20.000000 -34.899998)(-7.400000 -20.000000 -40.800003)(-16.300001 -20.000000 -29.000000)(-16.300001 -20.000000 -34.899998)(-16.300001 -20.000000 -29.000000)(-25.200001 -20.000000 -40.800003)(-16.300001 -20.000000 -34.899998)(-16.300001 -20.000000 -52.599998)(-7.400000 -20.000000 -52.599998)(-7.400000 -20.000000 -40.800003)(-25.200001 10.000000 -29.000000)(-25.200001 -20.000000 -40.800003)(-25.200001 -20.000000 -29.000000)(-25.200001 40.000000 -40.800003)(-25.200001 10.000000 -52.599998)(-25.200001 10.000000 -29.000000)(-7.400000 10.000000 -52.599998)(-25.200001 10.000000 -52.599998)(-16.300001 40.000000 -52.599998)(-7.400000 -20.000000 -52.599998)(-16.300001 -20.000000 -52.599998)(-7.400000 10.000000 -52.599998)(-16.300001 -20.000000 -29.000000)(-7.400000 -20.000000 -40.800003)(-7.400000 -20.000000 -29.000000)(-25.200001 -20.000000 -29.000000)(-25.200001 -20.000000 -40.800003)(-16.300001 -20.000000 -29.000000)(-7.400000 10.000000 -52.599998)(-7.400000 -20.000000 -40.800003)(-7.400000 -20.000000 -52.599998)(-25.200001 -20.000000 -29.000000)(-16.300001 -20.000000 -29.000000)(-25.200001 10.000000 -29.000000)(-25.200001 40.000000 -29.000000)(-25.200001 40.000000 -40.800003)(-25.200001 10.000000 -29.000000)(-25.200001 40.000000 -40.800003)(-25.200001 40.000000 -52.599998)(-25.200001 10.000000 -52.599998)(-25.200001 10.000000 -52.599998)(-25.200001 40.000000 -52.599998)(-16.300001 40.000000 -52.599998)(-7.400000 10.000000 -52.599998)(-16.300001 40.000000 -52.599998)(-7.400000 40.000000 -52.599998)(-7.400000 10.000000 -29.000000)(-7.400000 -20.000000 -29.000000)(-7.400000 -20.000000 -40.800003)(-16.300001 -20.000000 -29.000000)(-7.400000 -20.000000 -29.000000)(-7.400000 10.000000 -29.000000)(-7.400000 10.000000 -52.599998)(-7.400000 10.000000 -29.000000)(-7.400000 -20.000000 -40.800003)(-16.300001 -20.000000 -29.000000)(-7.400000 10.000000 -29.000000)(-25.200001 10.000000 -29.000000)(-25.200001 10.000000 -29.000000)(-16.300001 40.000000 -29.000000)(-25.200001 40.000000 -29.000000)(-25.200001 40.000000 -29.000000)(-16.300001 40.000000 -29.000000)(-25.200001 40.000000 -40.800003)(-25.200001 40.000000 -52.599998)(-25.200001 40.000000 -40.800003)(-16.300001 40.000000 -52.599998)(-16.300001 40.000000 -52.599998)(-7.400000 40.000000 -40.800003)(-7.400000 40.000000 -52.599998)(-7.400000 40.000000 -52.599998)(-7.400000 40.000000 -40.800003)(-7.400000 10.000000 -52.599998)(-7.400000 40.000000 -40.800003)(-7.400000 10.000000 -29.000000)(-7.400000 10.000000 -52.599998)(-25.200001 10.000000 -29.000000)(-7.400000 10.000000 -29.000000)(-16.300001 40.000000 -29.000000)(-7.400000 40.000000 -40.800003)(-25.200001 40.000000 -40.800003)(-16.300001 40.000000 -34.899998)(-25.200001 40.000000 -40.800003)(-16.300001 40.000000 -29.000000)(-16.300001 40.000000 -34.899998)(-16.300001 40.000000 -29.000000)(-7.400000 40.000000 -40.800003)(-16.300001 40.000000 -34.899998)(-25.200001 40.000000 -40.800003)(-7.400000 40.000000 -40.800003)(-16.300001 40.000000 -46.700001)(-7.400000 40.000000 -40.800003)(-16.300001 40.000000 -52.599998)(-16.300001 40.000000 -46.700001)(-16.300001 40.000000 -52.599998)(-25.200001 40.000000 -40.800003)(-16.300001 40.000000 -46.700001)(-7.400000 40.000000 -40.800003)(-7.400000 40.000000 -29.000000)(-7.400000 10.000000 -29.000000)(-7.400000 10.000000 -29.000000)(-7.400000 40.000000 -29.000000)(-16.300001 40.000000 -29.000000)(-16.300001 40.000000 -29.000000)(-7.400000 40.000000 -29.000000)(-7.400000 40.000000 -40.800003)(0.000000 22.000000 -22.000000)(0.000000 22.000000 22.000000)(0.000000 15.242599 0.000000)(0.000000 22.000000 22.000000)(0.000000 8.485299 8.485299)(0.000000 15.242599 0.000000)(0.000000 8.485299 8.485299)(0.000000 12.000000 0.000000)(0.000000 15.242599 0.000000)(0.000000 12.000000 0.000000)(0.000000 8.485299 -8.485299)(0.000000 15.242599 0.000000)(0.000000 8.485299 -8.485299)(0.000000 22.000000 -22.000000)(0.000000 15.242599 0.000000)(-5.829550 22.000000 12.500000)(0.000000 22.000000 22.000000)(-2.900000 22.000000 12.500000)(-5.829550 22.000000 -12.500000)(-2.900000 22.000000 -12.500000)(0.000000 22.000000 -22.000000)(-2.900000 22.000000 12.500000)(0.000000 22.000000 22.000000)(0.000000 22.000000 -22.000000)(-2.900000 22.000000 -12.500000)(-2.900000 22.000000 12.500000)(0.000000 22.000000 -22.000000)(0.000000 22.000000 22.000000)(0.000000 -22.000000 22.000000)(0.000000 0.000000 15.242599)(0.000000 -22.000000 22.000000)(0.000000 -8.485299 8.485299)(0.000000 0.000000 15.242599)(0.000000 -8.485299 8.485299)(0.000000 0.000000 12.000000)(0.000000 0.000000 15.242599)(0.000000 0.000000 12.000000)(0.000000 8.485299 8.485299)(0.000000 0.000000 15.242599)(0.000000 8.485299 8.485299)(0.000000 22.000000 22.000000)(0.000000 0.000000 15.242599)(0.000000 8.485299 8.485299)(1.500000 10.242600 4.242600)(0.000000 12.000000 0.000000)(0.000000 12.000000 0.000000)(1.500000 10.242600 -4.242600)(0.000000 8.485299 -8.485299)(0.000000 -8.485299 -8.485299)(0.000000 -22.000000 -22.000000)(0.000000 -0.000000 -15.242599)(0.000000 -22.000000 -22.000000)(0.000000 22.000000 -22.000000)(0.000000 -0.000000 -15.242599)(0.000000 22.000000 -22.000000)(0.000000 8.485299 -8.485299)(0.000000 -0.000000 -15.242599)(0.000000 8.485299 -8.485299)(0.000000 0.000000 -12.000000)(0.000000 -0.000000 -15.242599)(0.000000 0.000000 -12.000000)(0.000000 -8.485299 -8.485299)(0.000000 -0.000000 -15.242599)(-27.000000 22.000000 22.000000)(0.000000 22.000000 22.000000)(-13.500000 22.000000 17.250000)(0.000000 22.000000 22.000000)(-5.829550 22.000000 12.500000)(-13.500000 22.000000 17.250000)(-5.829550 22.000000 12.500000)(-21.170500 22.000000 12.500000)(-13.500000 22.000000 17.250000)(-21.170500 22.000000 12.500000)(-27.000000 22.000000 22.000000)(-13.500000 22.000000 17.250000)(0.000000 22.000000 -22.000000)(-27.000000 22.000000 -22.000000)(-13.500000 22.000000 -17.250000)(-27.000000 22.000000 -22.000000)(-21.170500 22.000000 -12.500000)(-13.500000 22.000000 -17.250000)(-21.170500 22.000000 -12.500000)(-5.829550 22.000000 -12.500000)(-13.500000 22.000000 -17.250000)(-5.829550 22.000000 -12.500000)(0.000000 22.000000 -22.000000)(-13.500000 22.000000 -17.250000)(-27.000000 22.000000 -12.500000)(-38.700001 22.000000 -12.500000)(-27.849400 30.949400 -12.500000)(-2.900000 22.000000 -12.500000)(-5.829550 22.000000 -12.500000)(-20.799999 26.474699 -12.500000)(-27.849400 30.949400 -12.500000)(-2.900000 22.000000 -12.500000)(-20.799999 26.474699 -12.500000)(-5.829550 22.000000 -12.500000)(-21.170500 22.000000 -12.500000)(-20.799999 26.474699 -12.500000)(-21.170500 22.000000 -12.500000)(-27.000000 22.000000 -12.500000)(-20.799999 26.474699 -12.500000)(-27.000000 22.000000 -12.500000)(-27.849400 30.949400 -12.500000)(-20.799999 26.474699 -12.500000)(-2.900000 32.400002 0.000000)(-2.900000 22.000000 12.500000)(-2.900000 27.200001 0.000000)(-2.900000 22.000000 -12.500000)(-2.900000 32.400002 0.000000)(-2.900000 27.200001 0.000000)(-2.900000 22.000000 12.500000)(-2.900000 22.000000 -12.500000)(-2.900000 27.200001 0.000000)(-27.000000 22.000000 12.500000)(-27.778700 30.878700 12.500000)(-38.700001 22.000000 12.500000)(-2.900000 22.000000 12.500000)(-27.778700 30.878700 12.500000)(-20.799999 26.439400 12.500000)(-5.829550 22.000000 12.500000)(-2.900000 22.000000 12.500000)(-20.799999 26.439400 12.500000)(-21.170500 22.000000 12.500000)(-5.829550 22.000000 12.500000)(-20.799999 26.439400 12.500000)(-27.000000 22.000000 12.500000)(-21.170500 22.000000 12.500000)(-20.799999 26.439400 12.500000)(-27.778700 30.878700 12.500000)(-27.000000 22.000000 12.500000)(-20.799999 26.439400 12.500000)(-13.500000 0.000000 22.000000)(0.000000 -22.000000 22.000000)(-6.750000 -0.000000 22.000000)(0.000000 -22.000000 22.000000)(0.000000 22.000000 22.000000)(-6.750000 -0.000000 22.000000)(0.000000 22.000000 22.000000)(-13.500000 0.000000 22.000000)(-6.750000 -0.000000 22.000000)(0.000000 -8.485299 8.485299)(0.000000 -22.000000 22.000000)(0.000000 -15.242599 0.000000)(0.000000 -22.000000 22.000000)(0.000000 -22.000000 -22.000000)(0.000000 -15.242599 0.000000)(0.000000 -22.000000 -22.000000)(0.000000 -8.485299 -8.485299)(0.000000 -15.242599 0.000000)(0.000000 -8.485299 -8.485299)(0.000000 -12.000000 0.000000)(0.000000 -15.242599 0.000000)(0.000000 -12.000000 0.000000)(0.000000 -8.485299 8.485299)(0.000000 -15.242599 0.000000)(0.000000 -8.485299 8.485299)(1.500000 -4.242600 10.242600)(0.000000 0.000000 12.000000)(0.000000 0.000000 12.000000)(1.500000 4.242600 10.242600)(0.000000 8.485299 8.485299)(0.000000 12.000000 0.000000)(1.500000 10.242600 4.242600)(3.000000 12.000000 0.000000)(0.000000 8.485299 8.485299)(3.000000 8.485299 8.485299)(1.500000 10.242600 4.242600)(0.000000 8.485299 -8.485299)(1.500000 10.242600 -4.242600)(3.000000 8.485299 -8.485299)(0.000000 12.000000 0.000000)(3.000000 12.000000 0.000000)(1.500000 10.242600 -4.242600)(-13.500000 0.000000 -22.000000)(0.000000 22.000000 -22.000000)(-6.750000 0.000000 -22.000000)(0.000000 22.000000 -22.000000)(0.000000 -22.000000 -22.000000)(-6.750000 0.000000 -22.000000)(0.000000 -22.000000 -22.000000)(-13.500000 0.000000 -22.000000)(-6.750000 0.000000 -22.000000)(0.000000 8.485299 -8.485299)(1.500000 4.242600 -10.242600)(0.000000 0.000000 -12.000000)(0.000000 0.000000 -12.000000)(1.500000 -4.242600 -10.242600)(0.000000 -8.485299 -8.485299)(-13.500000 0.000000 22.000000)(0.000000 22.000000 22.000000)(-13.500000 11.000000 22.000000)(0.000000 22.000000 22.000000)(-27.000000 22.000000 22.000000)(-13.500000 11.000000 22.000000)(-27.000000 22.000000 22.000000)(-13.500000 0.000000 22.000000)(-13.500000 11.000000 22.000000)(-27.000000 22.000000 12.500000)(-27.000000 22.000000 22.000000)(-21.170500 22.000000 12.500000)(-13.500000 0.000000 -22.000000)(-27.000000 22.000000 -22.000000)(-13.500000 11.000000 -22.000000)(-27.000000 22.000000 -22.000000)(0.000000 22.000000 -22.000000)(-13.500000 11.000000 -22.000000)(0.000000 22.000000 -22.000000)(-13.500000 0.000000 -22.000000)(-13.500000 11.000000 -22.000000)(-27.000000 22.000000 -12.500000)(-21.170500 22.000000 -12.500000)(-27.000000 22.000000 -22.000000)(-27.849400 30.949400 -12.500000)(-27.000000 33.000000 -12.500000)(-2.900000 22.000000 -12.500000)(-29.900000 30.099998 -12.500000)(-27.849400 30.949400 -12.500000)(-38.700001 22.000000 -12.500000)(-38.700001 22.000000 -12.500000)(-27.000000 22.000000 -12.500000)(-27.000000 22.000000 -4.329610)(-2.900000 32.400002 0.000000)(-2.900000 42.800003 12.500000)(-2.900000 32.400002 6.250000)(-2.900000 42.800003 12.500000)(-2.900000 22.000000 12.500000)(-2.900000 32.400002 6.250000)(-2.900000 22.000000 12.500000)(-2.900000 32.400002 0.000000)(-2.900000 32.400002 6.250000)(-2.900000 32.400002 0.000000)(-2.900000 22.000000 -12.500000)(-2.900000 32.400002 -6.250000)(-2.900000 42.800003 -12.500000)(-2.900000 32.400002 0.000000)(-2.900000 32.400002 -6.250000)(-2.900000 22.000000 -12.500000)(-2.900000 42.800003 -12.500000)(-2.900000 32.400002 -6.250000)(-27.778700 30.878700 12.500000)(-2.900000 22.000000 12.500000)(-26.900002 33.000000 12.500000)(-38.700001 22.000000 12.500000)(-27.778700 30.878700 12.500000)(-29.900000 30.000000 12.500000)(-38.700001 22.000000 12.500000)(-27.000000 22.000000 4.329610)(-27.000000 22.000000 12.500000)(-13.500000 0.000000 22.000000)(-27.000000 -22.000000 22.000000)(-13.500000 -11.000000 22.000000)(-27.000000 -22.000000 22.000000)(0.000000 -22.000000 22.000000)(-13.500000 -11.000000 22.000000)(0.000000 -22.000000 22.000000)(-13.500000 0.000000 22.000000)(-13.500000 -11.000000 22.000000)(-5.829550 -22.000000 -12.500000)(0.000000 -22.000000 -22.000000)(-2.900000 -22.000000 -12.500000)(-5.829550 -22.000000 12.500000)(-2.900000 -22.000000 12.500000)(0.000000 -22.000000 22.000000)(-2.900000 -22.000000 -12.500000)(0.000000 -22.000000 -22.000000)(0.000000 -22.000000 22.000000)(-2.900000 -22.000000 12.500000)(-2.900000 -22.000000 -12.500000)(0.000000 -22.000000 22.000000)(0.000000 -8.485299 -8.485299)(1.500000 -10.242600 -4.242600)(0.000000 -12.000000 0.000000)(0.000000 -12.000000 0.000000)(1.500000 -10.242600 4.242600)(0.000000 -8.485299 8.485299)(3.000000 0.000000 12.000000)(0.000000 0.000000 12.000000)(1.500000 -4.242600 10.242600)(3.000000 -8.485299 8.485299)(1.500000 -4.242600 10.242600)(0.000000 -8.485299 8.485299)(3.000000 8.485299 8.485299)(0.000000 8.485299 8.485299)(1.500000 4.242600 10.242600)(3.000000 0.000000 12.000000)(1.500000 4.242600 10.242600)(0.000000 0.000000 12.000000)(1.500000 10.242600 4.242600)(3.000000 8.485299 8.485299)(3.000000 12.000000 0.000000)(3.000000 8.485299 -8.485299)(1.500000 10.242600 -4.242600)(3.000000 12.000000 0.000000)(3.000000 8.485299 -8.485299)(1.500000 4.242600 -10.242600)(0.000000 8.485299 -8.485299)(-13.500000 0.000000 -22.000000)(0.000000 -22.000000 -22.000000)(-13.500000 -11.000000 -22.000000)(0.000000 -22.000000 -22.000000)(-27.000000 -22.000000 -22.000000)(-13.500000 -11.000000 -22.000000)(-27.000000 -22.000000 -22.000000)(-13.500000 0.000000 -22.000000)(-13.500000 -11.000000 -22.000000)(3.000000 0.000000 -12.000000)(0.000000 0.000000 -12.000000)(1.500000 4.242600 -10.242600)(3.000000 -8.485299 -8.485299)(0.000000 -8.485299 -8.485299)(1.500000 -4.242600 -10.242600)(3.000000 0.000000 -12.000000)(1.500000 -4.242600 -10.242600)(0.000000 0.000000 -12.000000)(-13.500000 0.000000 22.000000)(-27.000000 22.000000 22.000000)(-20.250000 -0.000000 22.000000)(-27.000000 22.000000 22.000000)(-27.000000 -22.000000 22.000000)(-20.250000 -0.000000 22.000000)(-27.000000 -22.000000 22.000000)(-13.500000 0.000000 22.000000)(-20.250000 -0.000000 22.000000)(-27.000000 22.000000 22.000000)(-27.000000 22.000000 12.500000)(-27.000000 0.000000 0.000000)(-27.000000 22.000000 -12.500000)(-27.000000 22.000000 -22.000000)(-27.000000 0.000000 0.000000)(-27.000000 22.000000 12.500000)(-27.000000 22.000000 4.329610)(-27.000000 11.000000 0.000000)(-27.000000 22.000000 -4.329610)(-27.000000 22.000000 -12.500000)(-27.000000 11.000000 0.000000)(-27.000000 22.000000 4.329610)(-27.000000 22.000000 -4.329610)(-27.000000 11.000000 0.000000)(-27.000000 0.000000 0.000000)(-27.000000 22.000000 12.500000)(-27.000000 11.000000 0.000000)(-27.000000 22.000000 -12.500000)(-27.000000 0.000000 0.000000)(-27.000000 11.000000 0.000000)(-13.500000 0.000000 -22.000000)(-27.000000 -22.000000 -22.000000)(-20.250000 -0.000000 -22.000000)(-27.000000 -22.000000 -22.000000)(-27.000000 22.000000 -22.000000)(-20.250000 -0.000000 -22.000000)(-27.000000 22.000000 -22.000000)(-13.500000 0.000000 -22.000000)(-20.250000 -0.000000 -22.000000)(-27.424700 31.974699 -13.325000)(-27.424700 31.974699 -14.150001)(-27.000000 33.000000 -12.500000)(-27.424700 31.974699 -13.325000)(-27.000000 33.000000 -12.500000)(-27.849400 30.949400 -12.500000)(-27.424700 31.974699 -13.325000)(-27.849400 30.949400 -12.500000)(-27.424700 31.974699 -14.150001)(-27.849400 35.050602 -12.500000)(-2.900000 22.000000 -12.500000)(-27.000000 33.000000 -12.500000)(-38.700001 22.000000 -12.500000)(-31.950600 30.949400 -12.500000)(-29.900000 30.099998 -12.500000)(-28.874701 30.524700 -14.150001)(-27.849400 30.949400 -12.500000)(-28.874701 30.524700 -13.325000)(-27.849400 30.949400 -12.500000)(-29.900000 30.099998 -12.500000)(-28.874701 30.524700 -13.325000)(-29.900000 30.099998 -12.500000)(-28.874701 30.524700 -14.150001)(-28.874701 30.524700 -13.325000)(-27.000000 22.000000 4.329610)(-38.700001 22.000000 12.500000)(-32.850002 22.000000 0.000000)(-38.700001 22.000000 12.500000)(-38.700001 22.000000 -12.500000)(-32.850002 22.000000 0.000000)(-38.700001 22.000000 -12.500000)(-27.000000 22.000000 -4.329610)(-32.850002 22.000000 0.000000)(-27.000000 22.000000 -4.329610)(-27.000000 22.000000 4.329610)(-32.850002 22.000000 0.000000)(-2.900000 32.400002 0.000000)(-2.900000 42.800003 -12.500000)(-2.900000 37.599998 -0.000000)(-2.900000 42.800003 -12.500000)(-2.900000 42.800003 12.500000)(-2.900000 37.599998 -0.000000)(-2.900000 42.800003 12.500000)(-2.900000 32.400002 0.000000)(-2.900000 37.599998 -0.000000)(-2.900000 22.000000 12.500000)(-2.900000 42.800003 12.500000)(-38.700001 42.800003 12.500000)(-2.900000 22.000000 -12.500000)(-38.700001 42.800003 -12.500000)(-2.900000 42.800003 -12.500000)(-26.900002 33.000000 12.500000)(-2.900000 22.000000 12.500000)(-27.778700 35.121300 12.500000)(-27.339300 31.939302 13.325000)(-27.339300 31.939302 14.150001)(-27.778700 30.878700 12.500000)(-27.339300 31.939302 13.325000)(-27.778700 30.878700 12.500000)(-26.900002 33.000000 12.500000)(-27.339300 31.939302 13.325000)(-26.900002 33.000000 12.500000)(-27.339300 31.939302 14.150001)(-28.839300 30.439301 13.325000)(-28.839300 30.439301 14.150001)(-29.900000 30.000000 12.500000)(-28.839300 30.439301 13.325000)(-29.900000 30.000000 12.500000)(-27.778700 30.878700 12.500000)(-28.839300 30.439301 13.325000)(-27.778700 30.878700 12.500000)(-28.839300 30.439301 14.150001)(-38.700001 22.000000 12.500000)(-29.900000 30.000000 12.500000)(-32.021297 30.878700 12.500000)(0.000000 -22.000000 22.000000)(-27.000000 -22.000000 22.000000)(-13.500000 -22.000000 17.250000)(-27.000000 -22.000000 22.000000)(-21.170500 -22.000000 12.500000)(-13.500000 -22.000000 17.250000)(-21.170500 -22.000000 12.500000)(-5.829550 -22.000000 12.500000)(-13.500000 -22.000000 17.250000)(-5.829550 -22.000000 12.500000)(0.000000 -22.000000 22.000000)(-13.500000 -22.000000 17.250000)(-2.900000 -42.800003 12.500000)(-2.900000 -22.000000 12.500000)(-5.829550 -22.000000 12.500000)(-2.900000 -42.800003 12.500000)(-5.829550 -22.000000 12.500000)(-21.170500 -22.000000 12.500000)(-2.900000 -42.800003 12.500000)(-21.170500 -22.000000 12.500000)(-27.000000 -22.000000 12.500000)(-2.900000 -42.800003 12.500000)(-27.000000 -22.000000 12.500000)(-38.700001 -22.000000 12.500000)(-2.900000 -32.400002 0.000000)(-2.900000 -22.000000 -12.500000)(-2.900000 -27.200001 0.000000)(-2.900000 -22.000000 -12.500000)(-2.900000 -22.000000 12.500000)(-2.900000 -27.200001 0.000000)(-2.900000 -22.000000 12.500000)(-2.900000 -32.400002 0.000000)(-2.900000 -27.200001 0.000000)(-38.700001 -22.000000 -12.500000)(-27.000000 -22.000000 -12.500000)(-2.900000 -42.800003 -12.500000)(-2.900000 -42.800003 -12.500000)(-27.000000 -22.000000 -12.500000)(-21.170500 -22.000000 -12.500000)(-2.900000 -42.800003 -12.500000)(-21.170500 -22.000000 -12.500000)(-5.829550 -22.000000 -12.500000)(-2.900000 -42.800003 -12.500000)(-5.829550 -22.000000 -12.500000)(-2.900000 -22.000000 -12.500000)(-21.170500 -22.000000 -12.500000)(-27.000000 -22.000000 -22.000000)(-13.500000 -22.000000 -17.250000)(-27.000000 -22.000000 -22.000000)(0.000000 -22.000000 -22.000000)(-13.500000 -22.000000 -17.250000)(0.000000 -22.000000 -22.000000)(-5.829550 -22.000000 -12.500000)(-13.500000 -22.000000 -17.250000)(-5.829550 -22.000000 -12.500000)(-21.170500 -22.000000 -12.500000)(-13.500000 -22.000000 -17.250000)(0.000000 -12.000000 0.000000)(1.500000 -10.242600 -4.242600)(3.000000 -12.000000 0.000000)(0.000000 -8.485299 -8.485299)(3.000000 -8.485299 -8.485299)(1.500000 -10.242600 -4.242600)(0.000000 -8.485299 8.485299)(1.500000 -10.242600 4.242600)(3.000000 -8.485299 8.485299)(0.000000 -12.000000 0.000000)(3.000000 -12.000000 0.000000)(1.500000 -10.242600 4.242600)(3.000000 0.000000 12.000000)(1.500000 -4.242600 10.242600)(3.000000 -8.485299 8.485299)(3.000000 8.485299 8.485299)(1.500000 4.242600 10.242600)(3.000000 0.000000 12.000000)(3.000000 12.000000 0.000000)(3.000000 8.485299 8.485299)(3.000000 0.000000 12.000000)(3.000000 12.000000 0.000000)(3.000000 7.000000 0.000000)(3.000000 8.485299 -8.485299)(3.000000 0.000000 -12.000000)(1.500000 4.242600 -10.242600)(3.000000 8.485299 -8.485299)(3.000000 -8.485299 -8.485299)(1.500000 -4.242600 -10.242600)(3.000000 0.000000 -12.000000)(-27.000000 0.000000 0.000000)(-27.000000 -22.000000 22.000000)(-27.000000 -0.000000 11.000000)(-27.000000 -22.000000 22.000000)(-27.000000 22.000000 22.000000)(-27.000000 -0.000000 11.000000)(-27.000000 22.000000 22.000000)(-27.000000 0.000000 0.000000)(-27.000000 -0.000000 11.000000)(-27.000000 0.000000 0.000000)(-27.000000 22.000000 -22.000000)(-27.000000 0.000000 -11.000000)(-27.000000 22.000000 -22.000000)(-27.000000 -22.000000 -22.000000)(-27.000000 0.000000 -11.000000)(-27.000000 -22.000000 -22.000000)(-27.000000 0.000000 0.000000)(-27.000000 0.000000 -11.000000)(-27.424700 31.974699 -14.150001)(-27.000000 33.000000 -15.799999)(-27.212400 32.487301 -14.150001)(-27.000000 33.000000 -15.799999)(-27.000000 33.000000 -12.500000)(-27.212400 32.487301 -14.150001)(-27.000000 33.000000 -12.500000)(-27.424700 31.974699 -14.150001)(-27.212400 32.487301 -14.150001)(-27.424700 31.974699 -14.150001)(-27.849400 30.949400 -12.500000)(-27.636999 31.462099 -14.150001)(-27.849400 30.949400 -12.500000)(-27.849400 30.949400 -15.799999)(-27.636999 31.462099 -14.150001)(-27.849400 30.949400 -15.799999)(-27.424700 31.974699 -14.150001)(-27.636999 31.462099 -14.150001)(-27.424700 34.025299 -14.150001)(-27.849400 35.050602 -12.500000)(-27.424700 34.025299 -13.325000)(-27.849400 35.050602 -12.500000)(-27.000000 33.000000 -12.500000)(-27.424700 34.025299 -13.325000)(-27.000000 33.000000 -12.500000)(-27.424700 34.025299 -14.150001)(-27.424700 34.025299 -13.325000)(-38.700001 42.800003 -12.500000)(-2.900000 22.000000 -12.500000)(-27.849400 35.050602 -12.500000)(-31.950600 30.949400 -12.500000)(-38.700001 22.000000 -12.500000)(-38.700001 42.800003 -12.500000)(-30.925301 30.524700 -14.150001)(-29.900000 30.099998 -12.500000)(-30.925301 30.524700 -13.325000)(-29.900000 30.099998 -12.500000)(-31.950600 30.949400 -12.500000)(-30.925301 30.524700 -13.325000)(-31.950600 30.949400 -12.500000)(-30.925301 30.524700 -14.150001)(-30.925301 30.524700 -13.325000)(-28.874701 30.524700 -14.150001)(-27.849400 30.949400 -15.799999)(-28.362099 30.737000 -14.150001)(-27.849400 30.949400 -15.799999)(-27.849400 30.949400 -12.500000)(-28.362099 30.737000 -14.150001)(-27.849400 30.949400 -12.500000)(-28.874701 30.524700 -14.150001)(-28.362099 30.737000 -14.150001)(-28.874701 30.524700 -14.150001)(-29.900000 30.099998 -12.500000)(-29.387400 30.312401 -14.150001)(-29.900000 30.099998 -12.500000)(-29.900000 30.099998 -15.799999)(-29.387400 30.312401 -14.150001)(-29.900000 30.099998 -15.799999)(-28.874701 30.524700 -14.150001)(-29.387400 30.312401 -14.150001)(-38.700001 32.400002 0.000000)(-38.700001 22.000000 -12.500000)(-38.700001 27.200001 0.000000)(-38.700001 22.000000 -12.500000)(-38.700001 22.000000 12.500000)(-38.700001 27.200001 0.000000)(-38.700001 22.000000 12.500000)(-38.700001 32.400002 0.000000)(-38.700001 27.200001 0.000000)(-20.799999 42.800003 0.000000)(-2.900000 42.800003 12.500000)(-11.850000 42.800003 -0.000000)(-2.900000 42.800003 12.500000)(-2.900000 42.800003 -12.500000)(-11.850000 42.800003 -0.000000)(-2.900000 42.800003 -12.500000)(-20.799999 42.800003 0.000000)(-11.850000 42.800003 -0.000000)(-20.799999 42.800003 0.000000)(-38.700001 42.800003 12.500000)(-20.799999 42.800003 6.250000)(-38.700001 42.800003 12.500000)(-2.900000 42.800003 12.500000)(-20.799999 42.800003 6.250000)(-2.900000 42.800003 12.500000)(-20.799999 42.800003 0.000000)(-20.799999 42.800003 6.250000)(-27.778700 35.121300 12.500000)(-2.900000 22.000000 12.500000)(-38.700001 42.800003 12.500000)(-20.799999 42.800003 0.000000)(-2.900000 42.800003 -12.500000)(-20.799999 42.800003 -6.250000)(-2.900000 42.800003 -12.500000)(-38.700001 42.800003 -12.500000)(-20.799999 42.800003 -6.250000)(-38.700001 42.800003 -12.500000)(-20.799999 42.800003 0.000000)(-20.799999 42.800003 -6.250000)(-27.339300 34.060703 13.325000)(-27.339300 34.060703 14.150001)(-26.900002 33.000000 12.500000)(-27.339300 34.060703 13.325000)(-26.900002 33.000000 12.500000)(-27.778700 35.121300 12.500000)(-27.339300 34.060703 13.325000)(-27.778700 35.121300 12.500000)(-27.339300 34.060703 14.150001)(-27.339300 31.939302 14.150001)(-27.778700 30.878700 15.799999)(-27.559000 31.408998 14.150001)(-27.778700 30.878700 15.799999)(-27.778700 30.878700 12.500000)(-27.559000 31.408998 14.150001)(-27.778700 30.878700 12.500000)(-27.339300 31.939302 14.150001)(-27.559000 31.408998 14.150001)(-27.339300 31.939302 14.150001)(-26.900002 33.000000 12.500000)(-27.119699 32.469700 14.150001)(-26.900002 33.000000 12.500000)(-26.900002 33.000000 15.799999)(-27.119699 32.469700 14.150001)(-26.900002 33.000000 15.799999)(-27.339300 31.939302 14.150001)(-27.119699 32.469700 14.150001)(-28.839300 30.439301 14.150001)(-29.900000 30.000000 15.799999)(-29.369600 30.219599 14.150001)(-29.900000 30.000000 15.799999)(-29.900000 30.000000 12.500000)(-29.369600 30.219599 14.150001)(-29.900000 30.000000 12.500000)(-28.839300 30.439301 14.150001)(-29.369600 30.219599 14.150001)(-28.839300 30.439301 14.150001)(-27.778700 30.878700 12.500000)(-28.309000 30.659000 14.150001)(-27.778700 30.878700 12.500000)(-27.778700 30.878700 15.799999)(-28.309000 30.659000 14.150001)(-27.778700 30.878700 15.799999)(-28.839300 30.439301 14.150001)(-28.309000 30.659000 14.150001)(-30.960699 30.439301 14.150001)(-32.021297 30.878700 12.500000)(-30.960699 30.439301 13.325000)(-32.021297 30.878700 12.500000)(-29.900000 30.000000 12.500000)(-30.960699 30.439301 13.325000)(-29.900000 30.000000 12.500000)(-30.960699 30.439301 14.150001)(-30.960699 30.439301 13.325000)(-38.700001 22.000000 12.500000)(-32.021297 30.878700 12.500000)(-38.700001 42.800003 12.500000)(-27.000000 -22.000000 12.500000)(-21.170500 -22.000000 12.500000)(-27.000000 -22.000000 22.000000)(-38.700001 -22.000000 12.500000)(-27.000000 -22.000000 12.500000)(-27.000000 -22.000000 4.329610)(-27.849400 -30.949400 12.500000)(-2.900000 -42.800003 12.500000)(-38.700001 -22.000000 12.500000)(-2.900000 -32.400002 0.000000)(-2.900000 -22.000000 12.500000)(-2.900000 -32.400002 6.250000)(-2.900000 -22.000000 12.500000)(-2.900000 -42.800003 12.500000)(-2.900000 -32.400002 6.250000)(-2.900000 -42.800003 12.500000)(-2.900000 -32.400002 0.000000)(-2.900000 -32.400002 6.250000)(-2.900000 -32.400002 0.000000)(-2.900000 -42.800003 -12.500000)(-2.900000 -32.400002 -6.250000)(-2.900000 -22.000000 -12.500000)(-2.900000 -32.400002 0.000000)(-2.900000 -32.400002 -6.250000)(-2.900000 -42.800003 -12.500000)(-2.900000 -22.000000 -12.500000)(-2.900000 -32.400002 -6.250000)(-38.700001 -22.000000 -12.500000)(-2.900000 -42.800003 -12.500000)(-27.778700 -30.878700 -12.500000)(-38.700001 -22.000000 -12.500000)(-27.000000 -22.000000 -4.329610)(-27.000000 -22.000000 -12.500000)(-27.000000 -22.000000 -12.500000)(-27.000000 -22.000000 -22.000000)(-21.170500 -22.000000 -12.500000)(1.500000 -10.242600 -4.242600)(3.000000 -8.485299 -8.485299)(3.000000 -12.000000 0.000000)(3.000000 -8.485299 8.485299)(1.500000 -10.242600 4.242600)(3.000000 -12.000000 0.000000)(3.000000 0.000000 7.000000)(3.000000 0.000000 12.000000)(3.000000 -8.485299 8.485299)(3.000000 12.000000 0.000000)(3.000000 0.000000 12.000000)(3.000000 4.949700 4.949700)(3.000000 12.000000 0.000000)(3.000000 4.949700 4.949700)(3.000000 7.000000 0.000000)(3.000000 8.485299 -8.485299)(3.000000 7.000000 0.000000)(3.000000 4.949700 -4.949700)(3.000000 8.485299 -8.485299)(3.000000 0.000000 -7.000000)(3.000000 0.000000 -12.000000)(3.000000 0.000000 -12.000000)(3.000000 -12.000000 0.000000)(3.000000 -8.485299 -8.485299)(-27.000000 0.000000 0.000000)(-27.000000 -22.000000 -22.000000)(-27.000000 -22.000000 -12.500000)(-27.000000 0.000000 0.000000)(-27.000000 -22.000000 12.500000)(-27.000000 -22.000000 22.000000)(-27.000000 -22.000000 -12.500000)(-27.000000 -22.000000 -4.329610)(-27.000000 -11.000000 -0.000000)(-27.000000 -22.000000 4.329610)(-27.000000 -22.000000 12.500000)(-27.000000 -11.000000 -0.000000)(-27.000000 -22.000000 -4.329610)(-27.000000 -22.000000 4.329610)(-27.000000 -11.000000 -0.000000)(-27.000000 0.000000 0.000000)(-27.000000 -22.000000 -12.500000)(-27.000000 -11.000000 -0.000000)(-27.000000 -22.000000 12.500000)(-27.000000 0.000000 0.000000)(-27.000000 -11.000000 -0.000000)(-27.424700 31.974699 -14.150001)(-27.849400 30.949400 -15.799999)(-27.424700 31.974699 -14.975000)(-27.849400 30.949400 -15.799999)(-27.000000 33.000000 -15.799999)(-27.424700 31.974699 -14.975000)(-27.000000 33.000000 -15.799999)(-27.424700 31.974699 -14.150001)(-27.424700 31.974699 -14.975000)(-27.424700 34.025299 -14.150001)(-27.000000 33.000000 -12.500000)(-27.212400 33.512699 -14.150001)(-27.000000 33.000000 -12.500000)(-27.000000 33.000000 -15.799999)(-27.212400 33.512699 -14.150001)(-27.000000 33.000000 -15.799999)(-27.424700 34.025299 -14.150001)(-27.212400 33.512699 -14.150001)(-27.424700 34.025299 -14.150001)(-27.849400 35.050602 -15.799999)(-27.636999 34.537899 -14.150001)(-27.849400 35.050602 -15.799999)(-27.849400 35.050602 -12.500000)(-27.636999 34.537899 -14.150001)(-27.849400 35.050602 -12.500000)(-27.424700 34.025299 -14.150001)(-27.636999 34.537899 -14.150001)(-38.700001 42.800003 -12.500000)(-27.849400 35.050602 -12.500000)(-29.900000 35.900002 -12.500000)(-38.700001 32.400002 0.000000)(-38.700001 42.800003 -12.500000)(-38.700001 32.400002 -6.250000)(-38.700001 42.800003 -12.500000)(-38.700001 22.000000 -12.500000)(-38.700001 32.400002 -6.250000)(-38.700001 22.000000 -12.500000)(-38.700001 32.400002 0.000000)(-38.700001 32.400002 -6.250000)(-38.700001 42.800003 -12.500000)(-32.799999 33.000000 -12.500000)(-31.950600 30.949400 -12.500000)(-30.925301 30.524700 -14.150001)(-29.900000 30.099998 -15.799999)(-30.412600 30.312401 -14.150001)(-29.900000 30.099998 -15.799999)(-29.900000 30.099998 -12.500000)(-30.412600 30.312401 -14.150001)(-29.900000 30.099998 -12.500000)(-30.925301 30.524700 -14.150001)(-30.412600 30.312401 -14.150001)(-30.925301 30.524700 -14.150001)(-31.950600 30.949400 -12.500000)(-31.437901 30.737000 -14.150001)(-31.950600 30.949400 -12.500000)(-31.950600 30.949400 -15.799999)(-31.437901 30.737000 -14.150001)(-31.950600 30.949400 -15.799999)(-30.925301 30.524700 -14.150001)(-31.437901 30.737000 -14.150001)(-28.874701 30.524700 -14.150001)(-29.900000 30.099998 -15.799999)(-28.874701 30.524700 -14.975000)(-29.900000 30.099998 -15.799999)(-27.849400 30.949400 -15.799999)(-28.874701 30.524700 -14.975000)(-27.849400 30.949400 -15.799999)(-28.874701 30.524700 -14.150001)(-28.874701 30.524700 -14.975000)(-38.700001 32.400002 0.000000)(-38.700001 22.000000 12.500000)(-38.700001 32.400002 6.250000)(-38.700001 22.000000 12.500000)(-38.700001 42.800003 12.500000)(-38.700001 32.400002 6.250000)(-38.700001 42.800003 12.500000)(-38.700001 32.400002 0.000000)(-38.700001 32.400002 6.250000)(-20.799999 42.800003 0.000000)(-38.700001 42.800003 -12.500000)(-29.750000 42.800003 -0.000000)(-38.700001 42.800003 -12.500000)(-38.700001 42.800003 12.500000)(-29.750000 42.800003 -0.000000)(-38.700001 42.800003 12.500000)(-20.799999 42.800003 0.000000)(-29.750000 42.800003 -0.000000)(-29.900000 36.000000 12.500000)(-27.778700 35.121300 12.500000)(-38.700001 42.800003 12.500000)(-27.339300 34.060703 14.150001)(-26.900002 33.000000 15.799999)(-27.119699 33.530399 14.150001)(-26.900002 33.000000 15.799999)(-26.900002 33.000000 12.500000)(-27.119699 33.530399 14.150001)(-26.900002 33.000000 12.500000)(-27.339300 34.060703 14.150001)(-27.119699 33.530399 14.150001)(-27.339300 34.060703 14.150001)(-27.778700 35.121300 12.500000)(-27.559000 34.591000 14.150001)(-27.778700 35.121300 12.500000)(-27.778700 35.121300 15.799999)(-27.559000 34.591000 14.150001)(-27.778700 35.121300 15.799999)(-27.339300 34.060703 14.150001)(-27.559000 34.591000 14.150001)(-27.339300 31.939302 14.975000)(-27.339300 31.939302 14.150001)(-26.900002 33.000000 15.799999)(-27.339300 31.939302 14.975000)(-26.900002 33.000000 15.799999)(-27.778700 30.878700 15.799999)(-27.339300 31.939302 14.975000)(-27.778700 30.878700 15.799999)(-27.339300 31.939302 14.150001)(-28.839300 30.439301 14.150001)(-27.778700 30.878700 15.799999)(-28.839300 30.439301 14.975000)(-27.778700 30.878700 15.799999)(-29.900000 30.000000 15.799999)(-28.839300 30.439301 14.975000)(-29.900000 30.000000 15.799999)(-28.839300 30.439301 14.150001)(-28.839300 30.439301 14.975000)(-30.960699 30.439301 14.150001)(-29.900000 30.000000 12.500000)(-30.430401 30.219599 14.150001)(-29.900000 30.000000 12.500000)(-29.900000 30.000000 15.799999)(-30.430401 30.219599 14.150001)(-29.900000 30.000000 15.799999)(-30.960699 30.439301 14.150001)(-30.430401 30.219599 14.150001)(-30.960699 30.439301 14.150001)(-32.021297 30.878700 15.799999)(-31.491001 30.659000 14.150001)(-32.021297 30.878700 15.799999)(-32.021297 30.878700 12.500000)(-31.491001 30.659000 14.150001)(-32.021297 30.878700 12.500000)(-30.960699 30.439301 14.150001)(-31.491001 30.659000 14.150001)(-32.021297 30.878700 12.500000)(-32.900002 33.000000 12.500000)(-38.700001 42.800003 12.500000)(-38.700001 -22.000000 -12.500000)(-38.700001 -22.000000 12.500000)(-32.850002 -22.000000 -0.000000)(-38.700001 -22.000000 12.500000)(-27.000000 -22.000000 4.329610)(-32.850002 -22.000000 -0.000000)(-27.000000 -22.000000 4.329610)(-27.000000 -22.000000 -4.329610)(-32.850002 -22.000000 -0.000000)(-27.000000 -22.000000 -4.329610)(-38.700001 -22.000000 -12.500000)(-32.850002 -22.000000 -0.000000)(-29.900000 -30.099998 12.500000)(-27.849400 -30.949400 12.500000)(-38.700001 -22.000000 12.500000)(-27.000000 -33.000000 12.500000)(-2.900000 -42.800003 12.500000)(-27.849400 -30.949400 12.500000)(-2.900000 -32.400002 0.000000)(-2.900000 -42.800003 12.500000)(-2.900000 -37.599998 0.000000)(-2.900000 -42.800003 12.500000)(-2.900000 -42.800003 -12.500000)(-2.900000 -37.599998 0.000000)(-2.900000 -42.800003 -12.500000)(-2.900000 -32.400002 0.000000)(-2.900000 -37.599998 0.000000)(-26.900002 -33.000000 -12.500000)(-27.778700 -30.878700 -12.500000)(-2.900000 -42.800003 -12.500000)(-38.700001 -22.000000 -12.500000)(-27.778700 -30.878700 -12.500000)(-29.900000 -30.000000 -12.500000)(3.000000 -4.949700 4.949700)(3.000000 -8.485299 8.485299)(3.000000 -12.000000 0.000000)(3.000000 0.000000 7.000000)(3.000000 -8.485299 8.485299)(3.000000 -4.949700 4.949700)(3.000000 4.949700 4.949700)(3.000000 0.000000 12.000000)(3.000000 0.000000 7.000000)(9.000000 5.974900 2.474900)(3.000000 7.000000 0.000000)(3.000000 4.949700 4.949700)(3.000000 4.949700 -4.949700)(3.000000 7.000000 0.000000)(9.000000 5.974900 -2.474900)(3.000000 8.485299 -8.485299)(3.000000 4.949700 -4.949700)(3.000000 0.000000 -7.000000)(3.000000 0.000000 -7.000000)(3.000000 -4.949700 -4.949700)(3.000000 0.000000 -12.000000)(3.000000 0.000000 -12.000000)(3.000000 -4.949700 -4.949700)(3.000000 -12.000000 0.000000)(-27.849400 30.949400 -15.799999)(-29.900000 33.000000 -15.799999)(-27.000000 33.000000 -15.799999)(-27.424700 34.025299 -14.150001)(-27.000000 33.000000 -15.799999)(-27.424700 34.025299 -14.975000)(-27.000000 33.000000 -15.799999)(-27.849400 35.050602 -15.799999)(-27.424700 34.025299 -14.975000)(-27.849400 35.050602 -15.799999)(-27.424700 34.025299 -14.150001)(-27.424700 34.025299 -14.975000)(-28.874701 35.475300 -14.150001)(-27.849400 35.050602 -12.500000)(-28.362099 35.262901 -14.150001)(-27.849400 35.050602 -12.500000)(-27.849400 35.050602 -15.799999)(-28.362099 35.262901 -14.150001)(-27.849400 35.050602 -15.799999)(-28.874701 35.475300 -14.150001)(-28.362099 35.262901 -14.150001)(-28.874701 35.475300 -13.325000)(-28.874701 35.475300 -14.150001)(-29.900000 35.900002 -12.500000)(-28.874701 35.475300 -13.325000)(-29.900000 35.900002 -12.500000)(-27.849400 35.050602 -12.500000)(-28.874701 35.475300 -13.325000)(-27.849400 35.050602 -12.500000)(-28.874701 35.475300 -14.150001)(-31.950600 35.050602 -12.500000)(-38.700001 42.800003 -12.500000)(-29.900000 35.900002 -12.500000)(-38.700001 32.400002 0.000000)(-38.700001 42.800003 12.500000)(-38.700001 37.599998 -0.000000)(-38.700001 42.800003 12.500000)(-38.700001 42.800003 -12.500000)(-38.700001 37.599998 -0.000000)(-38.700001 42.800003 -12.500000)(-38.700001 32.400002 0.000000)(-38.700001 37.599998 -0.000000)(-32.375298 31.974699 -14.150001)(-31.950600 30.949400 -12.500000)(-32.375298 31.974699 -13.325000)(-31.950600 30.949400 -12.500000)(-32.799999 33.000000 -12.500000)(-32.375298 31.974699 -13.325000)(-32.799999 33.000000 -12.500000)(-32.375298 31.974699 -14.150001)(-32.375298 31.974699 -13.325000)(-31.950600 35.050602 -12.500000)(-32.799999 33.000000 -12.500000)(-38.700001 42.800003 -12.500000)(-30.925301 30.524700 -14.150001)(-31.950600 30.949400 -15.799999)(-30.925301 30.524700 -14.975000)(-31.950600 30.949400 -15.799999)(-29.900000 30.099998 -15.799999)(-30.925301 30.524700 -14.975000)(-29.900000 30.099998 -15.799999)(-30.925301 30.524700 -14.150001)(-30.925301 30.524700 -14.975000)(-32.375298 31.974699 -14.150001)(-31.950600 30.949400 -15.799999)(-32.162903 31.462099 -14.150001)(-31.950600 30.949400 -15.799999)(-31.950600 30.949400 -12.500000)(-32.162903 31.462099 -14.150001)(-31.950600 30.949400 -12.500000)(-32.375298 31.974699 -14.150001)(-32.162903 31.462099 -14.150001)(-29.900000 30.099998 -15.799999)(-29.900000 33.000000 -15.799999)(-27.849400 30.949400 -15.799999)(-32.021297 35.121300 12.500000)(-29.900000 36.000000 12.500000)(-38.700001 42.800003 12.500000)(-28.839300 35.560699 14.150001)(-27.778700 35.121300 12.500000)(-28.839300 35.560699 13.325000)(-27.778700 35.121300 12.500000)(-29.900000 36.000000 12.500000)(-28.839300 35.560699 13.325000)(-29.900000 36.000000 12.500000)(-28.839300 35.560699 14.150001)(-28.839300 35.560699 13.325000)(-27.339300 34.060703 14.150001)(-27.778700 35.121300 15.799999)(-27.339300 34.060703 14.975000)(-27.778700 35.121300 15.799999)(-26.900002 33.000000 15.799999)(-27.339300 34.060703 14.975000)(-26.900002 33.000000 15.799999)(-27.339300 34.060703 14.150001)(-27.339300 34.060703 14.975000)(-28.839300 35.560699 14.150001)(-27.778700 35.121300 15.799999)(-28.309000 35.341000 14.150001)(-27.778700 35.121300 15.799999)(-27.778700 35.121300 12.500000)(-28.309000 35.341000 14.150001)(-27.778700 35.121300 12.500000)(-28.839300 35.560699 14.150001)(-28.309000 35.341000 14.150001)(-27.778700 30.878700 15.799999)(-26.900002 33.000000 15.799999)(-29.900000 33.000000 15.799999)(-29.900000 30.000000 15.799999)(-27.778700 30.878700 15.799999)(-29.900000 33.000000 15.799999)(-30.960699 30.439301 14.150001)(-29.900000 30.000000 15.799999)(-30.960699 30.439301 14.975000)(-29.900000 30.000000 15.799999)(-32.021297 30.878700 15.799999)(-30.960699 30.439301 14.975000)(-32.021297 30.878700 15.799999)(-30.960699 30.439301 14.150001)(-30.960699 30.439301 14.975000)(-32.460701 31.939302 14.150001)(-32.021297 30.878700 12.500000)(-32.241001 31.408998 14.150001)(-32.021297 30.878700 12.500000)(-32.021297 30.878700 15.799999)(-32.241001 31.408998 14.150001)(-32.021297 30.878700 15.799999)(-32.460701 31.939302 14.150001)(-32.241001 31.408998 14.150001)(-32.900002 33.000000 12.500000)(-32.021297 35.121300 12.500000)(-38.700001 42.800003 12.500000)(-32.460701 31.939302 13.325000)(-32.460701 31.939302 14.150001)(-32.900002 33.000000 12.500000)(-32.460701 31.939302 13.325000)(-32.900002 33.000000 12.500000)(-32.021297 30.878700 12.500000)(-32.460701 31.939302 13.325000)(-32.021297 30.878700 12.500000)(-32.460701 31.939302 14.150001)(-38.700001 -32.400002 0.000000)(-38.700001 -22.000000 12.500000)(-38.700001 -27.200001 -0.000000)(-38.700001 -22.000000 12.500000)(-38.700001 -22.000000 -12.500000)(-38.700001 -27.200001 -0.000000)(-38.700001 -22.000000 -12.500000)(-38.700001 -32.400002 0.000000)(-38.700001 -27.200001 -0.000000)(-31.950600 -30.949400 12.500000)(-29.900000 -30.099998 12.500000)(-38.700001 -22.000000 12.500000)(-28.874701 -30.524700 14.150001)(-27.849400 -30.949400 12.500000)(-28.874701 -30.524700 13.325000)(-27.849400 -30.949400 12.500000)(-29.900000 -30.099998 12.500000)(-28.874701 -30.524700 13.325000)(-29.900000 -30.099998 12.500000)(-28.874701 -30.524700 14.150001)(-28.874701 -30.524700 13.325000)(-27.424700 -31.974699 13.325000)(-27.424700 -31.974699 14.150001)(-27.000000 -33.000000 12.500000)(-27.424700 -31.974699 13.325000)(-27.000000 -33.000000 12.500000)(-27.849400 -30.949400 12.500000)(-27.424700 -31.974699 13.325000)(-27.849400 -30.949400 12.500000)(-27.424700 -31.974699 14.150001)(-27.849400 -35.050602 12.500000)(-2.900000 -42.800003 12.500000)(-27.000000 -33.000000 12.500000)(-20.799999 -42.800003 0.000000)(-2.900000 -42.800003 -12.500000)(-11.850000 -42.800003 0.000000)(-2.900000 -42.800003 -12.500000)(-2.900000 -42.800003 12.500000)(-11.850000 -42.800003 0.000000)(-2.900000 -42.800003 12.500000)(-20.799999 -42.800003 0.000000)(-11.850000 -42.800003 0.000000)(-27.778700 -35.121300 -12.500000)(-26.900002 -33.000000 -12.500000)(-2.900000 -42.800003 -12.500000)(-27.339300 -31.939302 -13.325000)(-27.339300 -31.939302 -14.150001)(-27.778700 -30.878700 -12.500000)(-27.339300 -31.939302 -13.325000)(-27.778700 -30.878700 -12.500000)(-26.900002 -33.000000 -12.500000)(-27.339300 -31.939302 -13.325000)(-26.900002 -33.000000 -12.500000)(-27.339300 -31.939302 -14.150001)(-28.839300 -30.439301 -13.325000)(-28.839300 -30.439301 -14.150001)(-29.900000 -30.000000 -12.500000)(-28.839300 -30.439301 -13.325000)(-29.900000 -30.000000 -12.500000)(-27.778700 -30.878700 -12.500000)(-28.839300 -30.439301 -13.325000)(-27.778700 -30.878700 -12.500000)(-28.839300 -30.439301 -14.150001)(-32.021297 -30.878700 -12.500000)(-38.700001 -22.000000 -12.500000)(-29.900000 -30.000000 -12.500000)(3.000000 -7.000000 0.000000)(3.000000 -4.949700 4.949700)(3.000000 -12.000000 0.000000)(9.000000 -2.474900 5.974900)(3.000000 0.000000 7.000000)(3.000000 -4.949700 4.949700)(9.000000 2.474900 5.974900)(3.000000 4.949700 4.949700)(3.000000 0.000000 7.000000)(3.000000 7.000000 0.000000)(9.000000 5.974900 2.474900)(15.000000 7.000000 0.000000)(9.000000 5.974900 2.474900)(3.000000 4.949700 4.949700)(15.000000 4.949700 4.949700)(3.000000 4.949700 -4.949700)(9.000000 5.974900 -2.474900)(15.000000 4.949700 -4.949700)(9.000000 5.974900 -2.474900)(3.000000 7.000000 0.000000)(15.000000 7.000000 0.000000)(9.000000 2.474900 -5.974900)(3.000000 0.000000 -7.000000)(3.000000 4.949700 -4.949700)(9.000000 -2.474900 -5.974900)(3.000000 -4.949700 -4.949700)(3.000000 0.000000 -7.000000)(3.000000 -4.949700 -4.949700)(3.000000 -7.000000 0.000000)(3.000000 -12.000000 0.000000)(-27.000000 33.000000 -15.799999)(-29.900000 33.000000 -15.799999)(-27.849400 35.050602 -15.799999)(-28.874701 35.475300 -14.150001)(-27.849400 35.050602 -15.799999)(-28.874701 35.475300 -14.975000)(-27.849400 35.050602 -15.799999)(-29.900000 35.900002 -15.799999)(-28.874701 35.475300 -14.975000)(-29.900000 35.900002 -15.799999)(-28.874701 35.475300 -14.150001)(-28.874701 35.475300 -14.975000)(-28.874701 35.475300 -14.150001)(-29.900000 35.900002 -15.799999)(-29.387400 35.687599 -14.150001)(-29.900000 35.900002 -15.799999)(-29.900000 35.900002 -12.500000)(-29.387400 35.687599 -14.150001)(-29.900000 35.900002 -12.500000)(-28.874701 35.475300 -14.150001)(-29.387400 35.687599 -14.150001)(-30.925301 35.475300 -13.325000)(-30.925301 35.475300 -14.150001)(-31.950600 35.050602 -12.500000)(-30.925301 35.475300 -13.325000)(-31.950600 35.050602 -12.500000)(-29.900000 35.900002 -12.500000)(-30.925301 35.475300 -13.325000)(-29.900000 35.900002 -12.500000)(-30.925301 35.475300 -14.150001)(-32.375298 31.974699 -14.150001)(-32.799999 33.000000 -12.500000)(-32.587601 32.487301 -14.150001)(-32.799999 33.000000 -12.500000)(-32.799999 33.000000 -15.799999)(-32.587601 32.487301 -14.150001)(-32.799999 33.000000 -15.799999)(-32.375298 31.974699 -14.150001)(-32.587601 32.487301 -14.150001)(-32.375298 34.025299 -14.150001)(-32.799999 33.000000 -12.500000)(-32.375298 34.025299 -13.325000)(-32.799999 33.000000 -12.500000)(-31.950600 35.050602 -12.500000)(-32.375298 34.025299 -13.325000)(-31.950600 35.050602 -12.500000)(-32.375298 34.025299 -14.150001)(-32.375298 34.025299 -13.325000)(-29.900000 30.099998 -15.799999)(-31.950600 30.949400 -15.799999)(-29.900000 33.000000 -15.799999)(-32.375298 31.974699 -14.975000)(-32.375298 31.974699 -14.150001)(-32.799999 33.000000 -15.799999)(-32.375298 31.974699 -14.975000)(-32.799999 33.000000 -15.799999)(-31.950600 30.949400 -15.799999)(-32.375298 31.974699 -14.975000)(-31.950600 30.949400 -15.799999)(-32.375298 31.974699 -14.150001)(-30.960699 35.560699 14.150001)(-29.900000 36.000000 12.500000)(-30.960699 35.560699 13.325000)(-29.900000 36.000000 12.500000)(-32.021297 35.121300 12.500000)(-30.960699 35.560699 13.325000)(-32.021297 35.121300 12.500000)(-30.960699 35.560699 14.150001)(-30.960699 35.560699 13.325000)(-28.839300 35.560699 14.150001)(-29.900000 36.000000 12.500000)(-29.369600 35.780300 14.150001)(-29.900000 36.000000 12.500000)(-29.900000 36.000000 15.799999)(-29.369600 35.780300 14.150001)(-29.900000 36.000000 15.799999)(-28.839300 35.560699 14.150001)(-29.369600 35.780300 14.150001)(-26.900002 33.000000 15.799999)(-27.778700 35.121300 15.799999)(-29.900000 33.000000 15.799999)(-28.839300 35.560699 14.975000)(-28.839300 35.560699 14.150001)(-29.900000 36.000000 15.799999)(-28.839300 35.560699 14.975000)(-29.900000 36.000000 15.799999)(-27.778700 35.121300 15.799999)(-28.839300 35.560699 14.975000)(-27.778700 35.121300 15.799999)(-28.839300 35.560699 14.150001)(-29.900000 30.000000 15.799999)(-29.900000 33.000000 15.799999)(-32.021297 30.878700 15.799999)(-32.460701 31.939302 14.975000)(-32.460701 31.939302 14.150001)(-32.021297 30.878700 15.799999)(-32.460701 31.939302 14.975000)(-32.021297 30.878700 15.799999)(-32.900002 33.000000 15.799999)(-32.460701 31.939302 14.975000)(-32.900002 33.000000 15.799999)(-32.460701 31.939302 14.150001)(-32.460701 34.060703 13.325000)(-32.460701 34.060703 14.150001)(-32.021297 35.121300 12.500000)(-32.460701 34.060703 13.325000)(-32.021297 35.121300 12.500000)(-32.900002 33.000000 12.500000)(-32.460701 34.060703 13.325000)(-32.900002 33.000000 12.500000)(-32.460701 34.060703 14.150001)(-32.460701 31.939302 14.150001)(-32.900002 33.000000 15.799999)(-32.680401 32.469700 14.150001)(-32.900002 33.000000 15.799999)(-32.900002 33.000000 12.500000)(-32.680401 32.469700 14.150001)(-32.900002 33.000000 12.500000)(-32.460701 31.939302 14.150001)(-32.680401 32.469700 14.150001)(-38.700001 -32.400002 0.000000)(-38.700001 -42.800003 12.500000)(-38.700001 -32.400002 6.250000)(-38.700001 -42.800003 12.500000)(-38.700001 -22.000000 12.500000)(-38.700001 -32.400002 6.250000)(-38.700001 -22.000000 12.500000)(-38.700001 -32.400002 0.000000)(-38.700001 -32.400002 6.250000)(-38.700001 -32.400002 0.000000)(-38.700001 -22.000000 -12.500000)(-38.700001 -32.400002 -6.250000)(-38.700001 -22.000000 -12.500000)(-38.700001 -42.800003 -12.500000)(-38.700001 -32.400002 -6.250000)(-38.700001 -42.800003 -12.500000)(-38.700001 -32.400002 0.000000)(-38.700001 -32.400002 -6.250000)(-32.799999 -33.000000 12.500000)(-31.950600 -30.949400 12.500000)(-38.700001 -22.000000 12.500000)(-30.925301 -30.524700 14.150001)(-29.900000 -30.099998 12.500000)(-30.925301 -30.524700 13.325000)(-29.900000 -30.099998 12.500000)(-31.950600 -30.949400 12.500000)(-30.925301 -30.524700 13.325000)(-31.950600 -30.949400 12.500000)(-30.925301 -30.524700 14.150001)(-30.925301 -30.524700 13.325000)(-28.874701 -30.524700 14.150001)(-27.849400 -30.949400 15.799999)(-28.362099 -30.737000 14.150001)(-27.849400 -30.949400 15.799999)(-27.849400 -30.949400 12.500000)(-28.362099 -30.737000 14.150001)(-27.849400 -30.949400 12.500000)(-28.874701 -30.524700 14.150001)(-28.362099 -30.737000 14.150001)(-28.874701 -30.524700 14.150001)(-29.900000 -30.099998 12.500000)(-29.387400 -30.312401 14.150001)(-29.900000 -30.099998 12.500000)(-29.900000 -30.099998 15.799999)(-29.387400 -30.312401 14.150001)(-29.900000 -30.099998 15.799999)(-28.874701 -30.524700 14.150001)(-29.387400 -30.312401 14.150001)(-27.424700 -31.974699 14.150001)(-27.000000 -33.000000 15.799999)(-27.212400 -32.487301 14.150001)(-27.000000 -33.000000 15.799999)(-27.000000 -33.000000 12.500000)(-27.212400 -32.487301 14.150001)(-27.000000 -33.000000 12.500000)(-27.424700 -31.974699 14.150001)(-27.212400 -32.487301 14.150001)(-27.424700 -31.974699 14.150001)(-27.849400 -30.949400 12.500000)(-27.636999 -31.462099 14.150001)(-27.849400 -30.949400 12.500000)(-27.849400 -30.949400 15.799999)(-27.636999 -31.462099 14.150001)(-27.849400 -30.949400 15.799999)(-27.424700 -31.974699 14.150001)(-27.636999 -31.462099 14.150001)(-27.424700 -34.025299 14.150001)(-27.849400 -35.050602 12.500000)(-27.424700 -34.025299 13.325000)(-27.849400 -35.050602 12.500000)(-27.000000 -33.000000 12.500000)(-27.424700 -34.025299 13.325000)(-27.000000 -33.000000 12.500000)(-27.424700 -34.025299 14.150001)(-27.424700 -34.025299 13.325000)(-2.900000 -42.800003 12.500000)(-27.849400 -35.050602 12.500000)(-38.700001 -42.800003 12.500000)(-20.799999 -42.800003 0.000000)(-38.700001 -42.800003 -12.500000)(-20.799999 -42.800003 -6.250000)(-38.700001 -42.800003 -12.500000)(-2.900000 -42.800003 -12.500000)(-20.799999 -42.800003 -6.250000)(-2.900000 -42.800003 -12.500000)(-20.799999 -42.800003 0.000000)(-20.799999 -42.800003 -6.250000)(-20.799999 -42.800003 0.000000)(-2.900000 -42.800003 12.500000)(-20.799999 -42.800003 6.250000)(-2.900000 -42.800003 12.500000)(-38.700001 -42.800003 12.500000)(-20.799999 -42.800003 6.250000)(-38.700001 -42.800003 12.500000)(-20.799999 -42.800003 0.000000)(-20.799999 -42.800003 6.250000)(-38.700001 -42.800003 -12.500000)(-27.778700 -35.121300 -12.500000)(-2.900000 -42.800003 -12.500000)(-27.339300 -34.060703 -13.325000)(-27.339300 -34.060703 -14.150001)(-26.900002 -33.000000 -12.500000)(-27.339300 -34.060703 -13.325000)(-26.900002 -33.000000 -12.500000)(-27.778700 -35.121300 -12.500000)(-27.339300 -34.060703 -13.325000)(-27.778700 -35.121300 -12.500000)(-27.339300 -34.060703 -14.150001)(-27.339300 -31.939302 -14.150001)(-27.778700 -30.878700 -15.799999)(-27.559000 -31.408998 -14.150001)(-27.778700 -30.878700 -15.799999)(-27.778700 -30.878700 -12.500000)(-27.559000 -31.408998 -14.150001)(-27.778700 -30.878700 -12.500000)(-27.339300 -31.939302 -14.150001)(-27.559000 -31.408998 -14.150001)(-27.339300 -31.939302 -14.150001)(-26.900002 -33.000000 -12.500000)(-27.119699 -32.469700 -14.150001)(-26.900002 -33.000000 -12.500000)(-26.900002 -33.000000 -15.799999)(-27.119699 -32.469700 -14.150001)(-26.900002 -33.000000 -15.799999)(-27.339300 -31.939302 -14.150001)(-27.119699 -32.469700 -14.150001)(-28.839300 -30.439301 -14.150001)(-29.900000 -30.000000 -15.799999)(-29.369600 -30.219599 -14.150001)(-29.900000 -30.000000 -15.799999)(-29.900000 -30.000000 -12.500000)(-29.369600 -30.219599 -14.150001)(-29.900000 -30.000000 -12.500000)(-28.839300 -30.439301 -14.150001)(-29.369600 -30.219599 -14.150001)(-28.839300 -30.439301 -14.150001)(-27.778700 -30.878700 -12.500000)(-28.309000 -30.659000 -14.150001)(-27.778700 -30.878700 -12.500000)(-27.778700 -30.878700 -15.799999)(-28.309000 -30.659000 -14.150001)(-27.778700 -30.878700 -15.799999)(-28.839300 -30.439301 -14.150001)(-28.309000 -30.659000 -14.150001)(-30.960699 -30.439301 -14.150001)(-32.021297 -30.878700 -12.500000)(-30.960699 -30.439301 -13.325000)(-32.021297 -30.878700 -12.500000)(-29.900000 -30.000000 -12.500000)(-30.960699 -30.439301 -13.325000)(-29.900000 -30.000000 -12.500000)(-30.960699 -30.439301 -14.150001)(-30.960699 -30.439301 -13.325000)(-32.021297 -30.878700 -12.500000)(-32.900002 -33.000000 -12.500000)(-38.700001 -22.000000 -12.500000)(3.000000 -4.949700 4.949700)(3.000000 -7.000000 0.000000)(9.000000 -5.974900 2.474900)(9.000000 -2.474900 5.974900)(15.000000 0.000000 7.000000)(3.000000 0.000000 7.000000)(15.000000 -4.949700 4.949700)(9.000000 -2.474900 5.974900)(3.000000 -4.949700 4.949700)(9.000000 2.474900 5.974900)(15.000000 4.949700 4.949700)(3.000000 4.949700 4.949700)(15.000000 0.000000 7.000000)(9.000000 2.474900 5.974900)(3.000000 0.000000 7.000000)(9.000000 5.974900 2.474900)(15.000000 4.949700 4.949700)(15.000000 7.000000 0.000000)(9.000000 5.974900 -2.474900)(15.000000 7.000000 0.000000)(15.000000 4.949700 -4.949700)(15.000000 4.949700 -4.949700)(9.000000 2.474900 -5.974900)(3.000000 4.949700 -4.949700)(9.000000 2.474900 -5.974900)(15.000000 0.000000 -7.000000)(3.000000 0.000000 -7.000000)(9.000000 -2.474900 -5.974900)(15.000000 -4.949700 -4.949700)(3.000000 -4.949700 -4.949700)(15.000000 0.000000 -7.000000)(9.000000 -2.474900 -5.974900)(3.000000 0.000000 -7.000000)(9.000000 -5.974900 -2.474900)(3.000000 -7.000000 0.000000)(3.000000 -4.949700 -4.949700)(-29.900000 33.000000 -15.799999)(-29.900000 35.900002 -15.799999)(-27.849400 35.050602 -15.799999)(-30.925301 35.475300 -14.150001)(-29.900000 35.900002 -12.500000)(-30.412600 35.687599 -14.150001)(-29.900000 35.900002 -12.500000)(-29.900000 35.900002 -15.799999)(-30.412600 35.687599 -14.150001)(-29.900000 35.900002 -15.799999)(-30.925301 35.475300 -14.150001)(-30.412600 35.687599 -14.150001)(-30.925301 35.475300 -14.150001)(-31.950600 35.050602 -15.799999)(-31.437901 35.262901 -14.150001)(-31.950600 35.050602 -15.799999)(-31.950600 35.050602 -12.500000)(-31.437901 35.262901 -14.150001)(-31.950600 35.050602 -12.500000)(-30.925301 35.475300 -14.150001)(-31.437901 35.262901 -14.150001)(-32.375298 34.025299 -14.150001)(-32.799999 33.000000 -15.799999)(-32.587601 33.512699 -14.150001)(-32.799999 33.000000 -15.799999)(-32.799999 33.000000 -12.500000)(-32.587601 33.512699 -14.150001)(-32.799999 33.000000 -12.500000)(-32.375298 34.025299 -14.150001)(-32.587601 33.512699 -14.150001)(-32.375298 34.025299 -14.150001)(-31.950600 35.050602 -12.500000)(-32.162903 34.537899 -14.150001)(-31.950600 35.050602 -12.500000)(-31.950600 35.050602 -15.799999)(-32.162903 34.537899 -14.150001)(-31.950600 35.050602 -15.799999)(-32.375298 34.025299 -14.150001)(-32.162903 34.537899 -14.150001)(-31.950600 30.949400 -15.799999)(-32.799999 33.000000 -15.799999)(-29.900000 33.000000 -15.799999)(-30.960699 35.560699 14.150001)(-29.900000 36.000000 15.799999)(-30.430401 35.780300 14.150001)(-29.900000 36.000000 15.799999)(-29.900000 36.000000 12.500000)(-30.430401 35.780300 14.150001)(-29.900000 36.000000 12.500000)(-30.960699 35.560699 14.150001)(-30.430401 35.780300 14.150001)(-30.960699 35.560699 14.150001)(-32.021297 35.121300 12.500000)(-31.491001 35.341000 14.150001)(-32.021297 35.121300 12.500000)(-32.021297 35.121300 15.799999)(-31.491001 35.341000 14.150001)(-32.021297 35.121300 15.799999)(-30.960699 35.560699 14.150001)(-31.491001 35.341000 14.150001)(-29.900000 33.000000 15.799999)(-27.778700 35.121300 15.799999)(-29.900000 36.000000 15.799999)(-32.021297 30.878700 15.799999)(-29.900000 33.000000 15.799999)(-32.900002 33.000000 15.799999)(-32.460701 34.060703 14.150001)(-32.021297 35.121300 15.799999)(-32.241001 34.591000 14.150001)(-32.021297 35.121300 15.799999)(-32.021297 35.121300 12.500000)(-32.241001 34.591000 14.150001)(-32.021297 35.121300 12.500000)(-32.460701 34.060703 14.150001)(-32.241001 34.591000 14.150001)(-32.460701 34.060703 14.150001)(-32.900002 33.000000 12.500000)(-32.680401 33.530399 14.150001)(-32.900002 33.000000 12.500000)(-32.900002 33.000000 15.799999)(-32.680401 33.530399 14.150001)(-32.900002 33.000000 15.799999)(-32.460701 34.060703 14.150001)(-32.680401 33.530399 14.150001)(-38.700001 -32.400002 0.000000)(-38.700001 -42.800003 -12.500000)(-38.700001 -37.599998 -0.000000)(-38.700001 -42.800003 -12.500000)(-38.700001 -42.800003 12.500000)(-38.700001 -37.599998 -0.000000)(-38.700001 -42.800003 12.500000)(-38.700001 -32.400002 0.000000)(-38.700001 -37.599998 -0.000000)(-38.700001 -42.800003 12.500000)(-31.950600 -35.050602 12.500000)(-38.700001 -22.000000 12.500000)(-32.021297 -35.121300 -12.500000)(-38.700001 -42.800003 -12.500000)(-38.700001 -22.000000 -12.500000)(-31.950600 -35.050602 12.500000)(-32.799999 -33.000000 12.500000)(-38.700001 -22.000000 12.500000)(-32.375298 -31.974699 14.150001)(-31.950600 -30.949400 12.500000)(-32.375298 -31.974699 13.325000)(-31.950600 -30.949400 12.500000)(-32.799999 -33.000000 12.500000)(-32.375298 -31.974699 13.325000)(-32.799999 -33.000000 12.500000)(-32.375298 -31.974699 14.150001)(-32.375298 -31.974699 13.325000)(-30.925301 -30.524700 14.150001)(-29.900000 -30.099998 15.799999)(-30.412600 -30.312401 14.150001)(-29.900000 -30.099998 15.799999)(-29.900000 -30.099998 12.500000)(-30.412600 -30.312401 14.150001)(-29.900000 -30.099998 12.500000)(-30.925301 -30.524700 14.150001)(-30.412600 -30.312401 14.150001)(-30.925301 -30.524700 14.150001)(-31.950600 -30.949400 12.500000)(-31.437901 -30.737000 14.150001)(-31.950600 -30.949400 12.500000)(-31.950600 -30.949400 15.799999)(-31.437901 -30.737000 14.150001)(-31.950600 -30.949400 15.799999)(-30.925301 -30.524700 14.150001)(-31.437901 -30.737000 14.150001)(-28.874701 -30.524700 14.150001)(-29.900000 -30.099998 15.799999)(-28.874701 -30.524700 14.975000)(-29.900000 -30.099998 15.799999)(-27.849400 -30.949400 15.799999)(-28.874701 -30.524700 14.975000)(-27.849400 -30.949400 15.799999)(-28.874701 -30.524700 14.150001)(-28.874701 -30.524700 14.975000)(-27.424700 -31.974699 14.150001)(-27.849400 -30.949400 15.799999)(-27.424700 -31.974699 14.975000)(-27.849400 -30.949400 15.799999)(-27.000000 -33.000000 15.799999)(-27.424700 -31.974699 14.975000)(-27.000000 -33.000000 15.799999)(-27.424700 -31.974699 14.150001)(-27.424700 -31.974699 14.975000)(-27.424700 -34.025299 14.150001)(-27.000000 -33.000000 12.500000)(-27.212400 -33.512699 14.150001)(-27.000000 -33.000000 12.500000)(-27.000000 -33.000000 15.799999)(-27.212400 -33.512699 14.150001)(-27.000000 -33.000000 15.799999)(-27.424700 -34.025299 14.150001)(-27.212400 -33.512699 14.150001)(-27.424700 -34.025299 14.150001)(-27.849400 -35.050602 15.799999)(-27.636999 -34.537899 14.150001)(-27.849400 -35.050602 15.799999)(-27.849400 -35.050602 12.500000)(-27.636999 -34.537899 14.150001)(-27.849400 -35.050602 12.500000)(-27.424700 -34.025299 14.150001)(-27.636999 -34.537899 14.150001)(-38.700001 -42.800003 12.500000)(-27.849400 -35.050602 12.500000)(-29.900000 -35.900002 12.500000)(-20.799999 -42.800003 0.000000)(-38.700001 -42.800003 12.500000)(-29.750000 -42.800003 0.000000)(-38.700001 -42.800003 12.500000)(-38.700001 -42.800003 -12.500000)(-29.750000 -42.800003 0.000000)(-38.700001 -42.800003 -12.500000)(-20.799999 -42.800003 0.000000)(-29.750000 -42.800003 0.000000)(-29.900000 -36.000000 -12.500000)(-27.778700 -35.121300 -12.500000)(-38.700001 -42.800003 -12.500000)(-27.339300 -34.060703 -14.150001)(-26.900002 -33.000000 -15.799999)(-27.119699 -33.530399 -14.150001)(-26.900002 -33.000000 -15.799999)(-26.900002 -33.000000 -12.500000)(-27.119699 -33.530399 -14.150001)(-26.900002 -33.000000 -12.500000)(-27.339300 -34.060703 -14.150001)(-27.119699 -33.530399 -14.150001)(-27.339300 -34.060703 -14.150001)(-27.778700 -35.121300 -12.500000)(-27.559000 -34.591000 -14.150001)(-27.778700 -35.121300 -12.500000)(-27.778700 -35.121300 -15.799999)(-27.559000 -34.591000 -14.150001)(-27.778700 -35.121300 -15.799999)(-27.339300 -34.060703 -14.150001)(-27.559000 -34.591000 -14.150001)(-27.339300 -31.939302 -14.975000)(-27.339300 -31.939302 -14.150001)(-26.900002 -33.000000 -15.799999)(-27.339300 -31.939302 -14.975000)(-26.900002 -33.000000 -15.799999)(-27.778700 -30.878700 -15.799999)(-27.339300 -31.939302 -14.975000)(-27.778700 -30.878700 -15.799999)(-27.339300 -31.939302 -14.150001)(-28.839300 -30.439301 -14.150001)(-27.778700 -30.878700 -15.799999)(-28.839300 -30.439301 -14.975000)(-27.778700 -30.878700 -15.799999)(-29.900000 -30.000000 -15.799999)(-28.839300 -30.439301 -14.975000)(-29.900000 -30.000000 -15.799999)(-28.839300 -30.439301 -14.150001)(-28.839300 -30.439301 -14.975000)(-30.960699 -30.439301 -14.150001)(-29.900000 -30.000000 -12.500000)(-30.430401 -30.219599 -14.150001)(-29.900000 -30.000000 -12.500000)(-29.900000 -30.000000 -15.799999)(-30.430401 -30.219599 -14.150001)(-29.900000 -30.000000 -15.799999)(-30.960699 -30.439301 -14.150001)(-30.430401 -30.219599 -14.150001)(-30.960699 -30.439301 -14.150001)(-32.021297 -30.878700 -15.799999)(-31.491001 -30.659000 -14.150001)(-32.021297 -30.878700 -15.799999)(-32.021297 -30.878700 -12.500000)(-31.491001 -30.659000 -14.150001)(-32.021297 -30.878700 -12.500000)(-30.960699 -30.439301 -14.150001)(-31.491001 -30.659000 -14.150001)(-32.460701 -31.939302 -13.325000)(-32.460701 -31.939302 -14.150001)(-32.900002 -33.000000 -12.500000)(-32.460701 -31.939302 -13.325000)(-32.900002 -33.000000 -12.500000)(-32.021297 -30.878700 -12.500000)(-32.460701 -31.939302 -13.325000)(-32.021297 -30.878700 -12.500000)(-32.460701 -31.939302 -14.150001)(-38.700001 -22.000000 -12.500000)(-32.900002 -33.000000 -12.500000)(-32.021297 -35.121300 -12.500000)(3.000000 -4.949700 4.949700)(9.000000 -5.974900 2.474900)(15.000000 -4.949700 4.949700)(9.000000 -5.974900 2.474900)(3.000000 -7.000000 0.000000)(15.000000 -7.000000 0.000000)(15.000000 -4.949700 4.949700)(15.000000 0.000000 7.000000)(9.000000 -2.474900 5.974900)(15.000000 0.000000 7.000000)(15.000000 4.949700 4.949700)(9.000000 2.474900 5.974900)(15.000000 7.000000 0.000000)(15.000000 4.949700 4.949700)(15.000000 12.374400 -12.374400)(15.000000 12.374400 -12.374400)(15.000000 4.949700 -4.949700)(15.000000 7.000000 0.000000)(15.000000 4.949700 -4.949700)(15.000000 0.000000 -7.000000)(9.000000 2.474900 -5.974900)(15.000000 0.000000 -7.000000)(15.000000 -4.949700 -4.949700)(9.000000 -2.474900 -5.974900)(9.000000 -5.974900 -2.474900)(3.000000 -4.949700 -4.949700)(15.000000 -4.949700 -4.949700)(3.000000 -7.000000 0.000000)(9.000000 -5.974900 -2.474900)(15.000000 -7.000000 0.000000)(-29.900000 33.000000 -15.799999)(-31.950600 35.050602 -15.799999)(-29.900000 35.900002 -15.799999)(-30.925301 35.475300 -14.150001)(-29.900000 35.900002 -15.799999)(-30.925301 35.475300 -14.975000)(-29.900000 35.900002 -15.799999)(-31.950600 35.050602 -15.799999)(-30.925301 35.475300 -14.975000)(-31.950600 35.050602 -15.799999)(-30.925301 35.475300 -14.150001)(-30.925301 35.475300 -14.975000)(-32.375298 34.025299 -14.975000)(-32.375298 34.025299 -14.150001)(-31.950600 35.050602 -15.799999)(-32.375298 34.025299 -14.975000)(-31.950600 35.050602 -15.799999)(-32.799999 33.000000 -15.799999)(-32.375298 34.025299 -14.975000)(-32.799999 33.000000 -15.799999)(-32.375298 34.025299 -14.150001)(-29.900000 33.000000 -15.799999)(-32.799999 33.000000 -15.799999)(-31.950600 35.050602 -15.799999)(-30.960699 35.560699 14.975000)(-30.960699 35.560699 14.150001)(-32.021297 35.121300 15.799999)(-30.960699 35.560699 14.975000)(-32.021297 35.121300 15.799999)(-29.900000 36.000000 15.799999)(-30.960699 35.560699 14.975000)(-29.900000 36.000000 15.799999)(-30.960699 35.560699 14.150001)(-29.900000 33.000000 15.799999)(-29.900000 36.000000 15.799999)(-32.021297 35.121300 15.799999)(-32.900002 33.000000 15.799999)(-29.900000 33.000000 15.799999)(-32.021297 35.121300 15.799999)(-32.460701 34.060703 14.975000)(-32.460701 34.060703 14.150001)(-32.900002 33.000000 15.799999)(-32.460701 34.060703 14.975000)(-32.900002 33.000000 15.799999)(-32.021297 35.121300 15.799999)(-32.460701 34.060703 14.975000)(-32.021297 35.121300 15.799999)(-32.460701 34.060703 14.150001)(-38.700001 -42.800003 12.500000)(-29.900000 -35.900002 12.500000)(-31.950600 -35.050602 12.500000)(-38.700001 -42.800003 -12.500000)(-32.021297 -35.121300 -12.500000)(-29.900000 -36.000000 -12.500000)(-32.375298 -34.025299 14.150001)(-32.799999 -33.000000 12.500000)(-32.375298 -34.025299 13.325000)(-32.799999 -33.000000 12.500000)(-31.950600 -35.050602 12.500000)(-32.375298 -34.025299 13.325000)(-31.950600 -35.050602 12.500000)(-32.375298 -34.025299 14.150001)(-32.375298 -34.025299 13.325000)(-32.375298 -31.974699 14.150001)(-31.950600 -30.949400 15.799999)(-32.162903 -31.462099 14.150001)(-31.950600 -30.949400 15.799999)(-31.950600 -30.949400 12.500000)(-32.162903 -31.462099 14.150001)(-31.950600 -30.949400 12.500000)(-32.375298 -31.974699 14.150001)(-32.162903 -31.462099 14.150001)(-32.375298 -31.974699 14.150001)(-32.799999 -33.000000 12.500000)(-32.587601 -32.487301 14.150001)(-32.799999 -33.000000 12.500000)(-32.799999 -33.000000 15.799999)(-32.587601 -32.487301 14.150001)(-32.799999 -33.000000 15.799999)(-32.375298 -31.974699 14.150001)(-32.587601 -32.487301 14.150001)(-30.925301 -30.524700 14.150001)(-31.950600 -30.949400 15.799999)(-30.925301 -30.524700 14.975000)(-31.950600 -30.949400 15.799999)(-29.900000 -30.099998 15.799999)(-30.925301 -30.524700 14.975000)(-29.900000 -30.099998 15.799999)(-30.925301 -30.524700 14.150001)(-30.925301 -30.524700 14.975000)(-29.900000 -33.000000 15.799999)(-27.849400 -30.949400 15.799999)(-29.900000 -30.099998 15.799999)(-27.000000 -33.000000 15.799999)(-27.849400 -30.949400 15.799999)(-29.900000 -33.000000 15.799999)(-27.424700 -34.025299 14.150001)(-27.000000 -33.000000 15.799999)(-27.424700 -34.025299 14.975000)(-27.000000 -33.000000 15.799999)(-27.849400 -35.050602 15.799999)(-27.424700 -34.025299 14.975000)(-27.849400 -35.050602 15.799999)(-27.424700 -34.025299 14.150001)(-27.424700 -34.025299 14.975000)(-28.874701 -35.475300 14.150001)(-27.849400 -35.050602 12.500000)(-28.362099 -35.262901 14.150001)(-27.849400 -35.050602 12.500000)(-27.849400 -35.050602 15.799999)(-28.362099 -35.262901 14.150001)(-27.849400 -35.050602 15.799999)(-28.874701 -35.475300 14.150001)(-28.362099 -35.262901 14.150001)(-28.874701 -35.475300 13.325000)(-28.874701 -35.475300 14.150001)(-29.900000 -35.900002 12.500000)(-28.874701 -35.475300 13.325000)(-29.900000 -35.900002 12.500000)(-27.849400 -35.050602 12.500000)(-28.874701 -35.475300 13.325000)(-27.849400 -35.050602 12.500000)(-28.874701 -35.475300 14.150001)(-28.839300 -35.560699 -14.150001)(-27.778700 -35.121300 -12.500000)(-28.839300 -35.560699 -13.325000)(-27.778700 -35.121300 -12.500000)(-29.900000 -36.000000 -12.500000)(-28.839300 -35.560699 -13.325000)(-29.900000 -36.000000 -12.500000)(-28.839300 -35.560699 -14.150001)(-28.839300 -35.560699 -13.325000)(-27.339300 -34.060703 -14.150001)(-27.778700 -35.121300 -15.799999)(-27.339300 -34.060703 -14.975000)(-27.778700 -35.121300 -15.799999)(-26.900002 -33.000000 -15.799999)(-27.339300 -34.060703 -14.975000)(-26.900002 -33.000000 -15.799999)(-27.339300 -34.060703 -14.150001)(-27.339300 -34.060703 -14.975000)(-28.839300 -35.560699 -14.150001)(-27.778700 -35.121300 -15.799999)(-28.309000 -35.341000 -14.150001)(-27.778700 -35.121300 -15.799999)(-27.778700 -35.121300 -12.500000)(-28.309000 -35.341000 -14.150001)(-27.778700 -35.121300 -12.500000)(-28.839300 -35.560699 -14.150001)(-28.309000 -35.341000 -14.150001)(-26.900002 -33.000000 -15.799999)(-29.900000 -33.000000 -15.799999)(-27.778700 -30.878700 -15.799999)(-29.900000 -33.000000 -15.799999)(-29.900000 -30.000000 -15.799999)(-27.778700 -30.878700 -15.799999)(-30.960699 -30.439301 -14.150001)(-29.900000 -30.000000 -15.799999)(-30.960699 -30.439301 -14.975000)(-29.900000 -30.000000 -15.799999)(-32.021297 -30.878700 -15.799999)(-30.960699 -30.439301 -14.975000)(-32.021297 -30.878700 -15.799999)(-30.960699 -30.439301 -14.150001)(-30.960699 -30.439301 -14.975000)(-32.460701 -31.939302 -14.150001)(-32.021297 -30.878700 -12.500000)(-32.241001 -31.408998 -14.150001)(-32.021297 -30.878700 -12.500000)(-32.021297 -30.878700 -15.799999)(-32.241001 -31.408998 -14.150001)(-32.021297 -30.878700 -15.799999)(-32.460701 -31.939302 -14.150001)(-32.241001 -31.408998 -14.150001)(-32.460701 -31.939302 -14.150001)(-32.900002 -33.000000 -15.799999)(-32.680401 -32.469700 -14.150001)(-32.900002 -33.000000 -15.799999)(-32.900002 -33.000000 -12.500000)(-32.680401 -32.469700 -14.150001)(-32.900002 -33.000000 -12.500000)(-32.460701 -31.939302 -14.150001)(-32.680401 -32.469700 -14.150001)(-32.460701 -34.060703 -13.325000)(-32.460701 -34.060703 -14.150001)(-32.021297 -35.121300 -12.500000)(-32.460701 -34.060703 -13.325000)(-32.021297 -35.121300 -12.500000)(-32.900002 -33.000000 -12.500000)(-32.460701 -34.060703 -13.325000)(-32.900002 -33.000000 -12.500000)(-32.460701 -34.060703 -14.150001)(9.000000 -5.974900 2.474900)(15.000000 -7.000000 0.000000)(15.000000 -4.949700 4.949700)(15.000000 0.000000 7.000000)(15.000000 -4.949700 4.949700)(15.000000 -12.374400 12.374400)(15.000000 -12.374400 12.374400)(15.000000 4.949700 4.949700)(15.000000 0.000000 7.000000)(15.000000 17.500000 0.000000)(15.000000 12.374400 -12.374400)(15.000000 4.949700 4.949700)(15.000000 4.949700 -4.949700)(15.000000 12.374400 -12.374400)(15.000000 0.000000 -7.000000)(15.000000 0.000000 -7.000000)(15.000000 0.000000 -17.500000)(15.000000 -4.949700 -4.949700)(9.000000 -5.974900 -2.474900)(15.000000 -4.949700 -4.949700)(15.000000 -7.000000 0.000000)(-30.925301 -35.475300 13.325000)(-30.925301 -35.475300 14.150001)(-31.950600 -35.050602 12.500000)(-30.925301 -35.475300 13.325000)(-31.950600 -35.050602 12.500000)(-29.900000 -35.900002 12.500000)(-30.925301 -35.475300 13.325000)(-29.900000 -35.900002 12.500000)(-30.925301 -35.475300 14.150001)(-30.960699 -35.560699 -14.150001)(-29.900000 -36.000000 -12.500000)(-30.960699 -35.560699 -13.325000)(-29.900000 -36.000000 -12.500000)(-32.021297 -35.121300 -12.500000)(-30.960699 -35.560699 -13.325000)(-32.021297 -35.121300 -12.500000)(-30.960699 -35.560699 -14.150001)(-30.960699 -35.560699 -13.325000)(-32.375298 -34.025299 14.150001)(-32.799999 -33.000000 15.799999)(-32.587601 -33.512699 14.150001)(-32.799999 -33.000000 15.799999)(-32.799999 -33.000000 12.500000)(-32.587601 -33.512699 14.150001)(-32.799999 -33.000000 12.500000)(-32.375298 -34.025299 14.150001)(-32.587601 -33.512699 14.150001)(-32.375298 -34.025299 14.150001)(-31.950600 -35.050602 12.500000)(-32.162903 -34.537899 14.150001)(-31.950600 -35.050602 12.500000)(-31.950600 -35.050602 15.799999)(-32.162903 -34.537899 14.150001)(-31.950600 -35.050602 15.799999)(-32.375298 -34.025299 14.150001)(-32.162903 -34.537899 14.150001)(-32.375298 -31.974699 14.975000)(-32.375298 -31.974699 14.150001)(-32.799999 -33.000000 15.799999)(-32.375298 -31.974699 14.975000)(-32.799999 -33.000000 15.799999)(-31.950600 -30.949400 15.799999)(-32.375298 -31.974699 14.975000)(-31.950600 -30.949400 15.799999)(-32.375298 -31.974699 14.150001)(-29.900000 -33.000000 15.799999)(-29.900000 -30.099998 15.799999)(-31.950600 -30.949400 15.799999)(-27.849400 -35.050602 15.799999)(-27.000000 -33.000000 15.799999)(-29.900000 -33.000000 15.799999)(-28.874701 -35.475300 14.150001)(-27.849400 -35.050602 15.799999)(-28.874701 -35.475300 14.975000)(-27.849400 -35.050602 15.799999)(-29.900000 -35.900002 15.799999)(-28.874701 -35.475300 14.975000)(-29.900000 -35.900002 15.799999)(-28.874701 -35.475300 14.150001)(-28.874701 -35.475300 14.975000)(-28.874701 -35.475300 14.150001)(-29.900000 -35.900002 15.799999)(-29.387400 -35.687599 14.150001)(-29.900000 -35.900002 15.799999)(-29.900000 -35.900002 12.500000)(-29.387400 -35.687599 14.150001)(-29.900000 -35.900002 12.500000)(-28.874701 -35.475300 14.150001)(-29.387400 -35.687599 14.150001)(-28.839300 -35.560699 -14.150001)(-29.900000 -36.000000 -12.500000)(-29.369600 -35.780300 -14.150001)(-29.900000 -36.000000 -12.500000)(-29.900000 -36.000000 -15.799999)(-29.369600 -35.780300 -14.150001)(-29.900000 -36.000000 -15.799999)(-28.839300 -35.560699 -14.150001)(-29.369600 -35.780300 -14.150001)(-27.778700 -35.121300 -15.799999)(-29.900000 -33.000000 -15.799999)(-26.900002 -33.000000 -15.799999)(-28.839300 -35.560699 -14.975000)(-28.839300 -35.560699 -14.150001)(-29.900000 -36.000000 -15.799999)(-28.839300 -35.560699 -14.975000)(-29.900000 -36.000000 -15.799999)(-27.778700 -35.121300 -15.799999)(-28.839300 -35.560699 -14.975000)(-27.778700 -35.121300 -15.799999)(-28.839300 -35.560699 -14.150001)(-29.900000 -33.000000 -15.799999)(-32.021297 -30.878700 -15.799999)(-29.900000 -30.000000 -15.799999)(-32.460701 -31.939302 -14.975000)(-32.460701 -31.939302 -14.150001)(-32.021297 -30.878700 -15.799999)(-32.460701 -31.939302 -14.975000)(-32.021297 -30.878700 -15.799999)(-32.900002 -33.000000 -15.799999)(-32.460701 -31.939302 -14.975000)(-32.900002 -33.000000 -15.799999)(-32.460701 -31.939302 -14.150001)(-32.460701 -34.060703 -14.150001)(-32.900002 -33.000000 -12.500000)(-32.680401 -33.530399 -14.150001)(-32.900002 -33.000000 -12.500000)(-32.900002 -33.000000 -15.799999)(-32.680401 -33.530399 -14.150001)(-32.900002 -33.000000 -15.799999)(-32.460701 -34.060703 -14.150001)(-32.680401 -33.530399 -14.150001)(-32.460701 -34.060703 -14.150001)(-32.021297 -35.121300 -15.799999)(-32.241001 -34.591000 -14.150001)(-32.021297 -35.121300 -15.799999)(-32.021297 -35.121300 -12.500000)(-32.241001 -34.591000 -14.150001)(-32.021297 -35.121300 -12.500000)(-32.460701 -34.060703 -14.150001)(-32.241001 -34.591000 -14.150001)(15.000000 -4.949700 4.949700)(15.000000 -7.000000 0.000000)(15.000000 -17.500000 0.000000)(15.000000 -12.374400 12.374400)(15.000000 -4.949700 4.949700)(15.000000 -11.224900 6.187200)(15.000000 -4.949700 4.949700)(15.000000 -17.500000 0.000000)(15.000000 -11.224900 6.187200)(15.000000 -17.500000 0.000000)(15.000000 -12.374400 12.374400)(15.000000 -11.224900 6.187200)(15.000000 -12.374400 12.374400)(15.000000 17.500000 0.000000)(15.000000 4.949700 4.949700)(15.000000 17.500000 0.000000)(16.250000 14.937200 -6.187200)(15.000000 12.374400 -12.374400)(15.000000 12.374400 -12.374400)(15.000000 0.000000 -17.500000)(15.000000 0.000000 -7.000000)(15.000000 -4.949700 -4.949700)(15.000000 0.000000 -17.500000)(15.000000 -17.500000 0.000000)(15.000000 -7.000000 0.000000)(15.000000 -4.949700 -4.949700)(15.000000 -17.500000 0.000000)(-30.925301 -35.475300 14.150001)(-31.950600 -35.050602 15.799999)(-31.437901 -35.262901 14.150001)(-31.950600 -35.050602 15.799999)(-31.950600 -35.050602 12.500000)(-31.437901 -35.262901 14.150001)(-31.950600 -35.050602 12.500000)(-30.925301 -35.475300 14.150001)(-31.437901 -35.262901 14.150001)(-30.925301 -35.475300 14.150001)(-29.900000 -35.900002 12.500000)(-30.412600 -35.687599 14.150001)(-29.900000 -35.900002 12.500000)(-29.900000 -35.900002 15.799999)(-30.412600 -35.687599 14.150001)(-29.900000 -35.900002 15.799999)(-30.925301 -35.475300 14.150001)(-30.412600 -35.687599 14.150001)(-30.960699 -35.560699 -14.150001)(-29.900000 -36.000000 -15.799999)(-30.430401 -35.780300 -14.150001)(-29.900000 -36.000000 -15.799999)(-29.900000 -36.000000 -12.500000)(-30.430401 -35.780300 -14.150001)(-29.900000 -36.000000 -12.500000)(-30.960699 -35.560699 -14.150001)(-30.430401 -35.780300 -14.150001)(-30.960699 -35.560699 -14.150001)(-32.021297 -35.121300 -12.500000)(-31.491001 -35.341000 -14.150001)(-32.021297 -35.121300 -12.500000)(-32.021297 -35.121300 -15.799999)(-31.491001 -35.341000 -14.150001)(-32.021297 -35.121300 -15.799999)(-30.960699 -35.560699 -14.150001)(-31.491001 -35.341000 -14.150001)(-32.375298 -34.025299 14.975000)(-32.375298 -34.025299 14.150001)(-31.950600 -35.050602 15.799999)(-32.375298 -34.025299 14.975000)(-31.950600 -35.050602 15.799999)(-32.799999 -33.000000 15.799999)(-32.375298 -34.025299 14.975000)(-32.799999 -33.000000 15.799999)(-32.375298 -34.025299 14.150001)(-32.799999 -33.000000 15.799999)(-29.900000 -33.000000 15.799999)(-31.950600 -30.949400 15.799999)(-29.900000 -35.900002 15.799999)(-27.849400 -35.050602 15.799999)(-29.900000 -33.000000 15.799999)(-29.900000 -36.000000 -15.799999)(-29.900000 -33.000000 -15.799999)(-27.778700 -35.121300 -15.799999)(-32.900002 -33.000000 -15.799999)(-32.021297 -30.878700 -15.799999)(-29.900000 -33.000000 -15.799999)(-32.460701 -34.060703 -14.975000)(-32.460701 -34.060703 -14.150001)(-32.900002 -33.000000 -15.799999)(-32.460701 -34.060703 -14.975000)(-32.900002 -33.000000 -15.799999)(-32.021297 -35.121300 -15.799999)(-32.460701 -34.060703 -14.975000)(-32.021297 -35.121300 -15.799999)(-32.460701 -34.060703 -14.150001)(15.000000 -17.500000 0.000000)(16.250000 -14.937200 6.187200)(15.000000 -12.374400 12.374400)(15.000000 0.000000 17.500000)(15.000000 17.500000 0.000000)(15.000000 -12.374400 12.374400)(15.000000 12.374400 -12.374400)(16.250000 14.937200 -6.187200)(17.500000 12.374400 -12.374400)(15.000000 17.500000 0.000000)(17.500000 17.500000 0.000000)(16.250000 14.937200 -6.187200)(15.000000 12.374400 -12.374400)(16.250000 6.187200 -14.937200)(15.000000 0.000000 -17.500000)(15.000000 0.000000 -17.500000)(15.000000 -12.374400 -12.374400)(15.000000 -17.500000 0.000000)(-30.925301 -35.475300 14.150001)(-29.900000 -35.900002 15.799999)(-30.925301 -35.475300 14.975000)(-29.900000 -35.900002 15.799999)(-31.950600 -35.050602 15.799999)(-30.925301 -35.475300 14.975000)(-31.950600 -35.050602 15.799999)(-30.925301 -35.475300 14.150001)(-30.925301 -35.475300 14.975000)(-30.960699 -35.560699 -14.975000)(-30.960699 -35.560699 -14.150001)(-32.021297 -35.121300 -15.799999)(-30.960699 -35.560699 -14.975000)(-32.021297 -35.121300 -15.799999)(-29.900000 -36.000000 -15.799999)(-30.960699 -35.560699 -14.975000)(-29.900000 -36.000000 -15.799999)(-30.960699 -35.560699 -14.150001)(-31.950600 -35.050602 15.799999)(-29.900000 -33.000000 15.799999)(-32.799999 -33.000000 15.799999)(-31.950600 -35.050602 15.799999)(-29.900000 -35.900002 15.799999)(-29.900000 -33.000000 15.799999)(-29.900000 -36.000000 -15.799999)(-32.021297 -35.121300 -15.799999)(-29.900000 -33.000000 -15.799999)(-32.021297 -35.121300 -15.799999)(-32.900002 -33.000000 -15.799999)(-29.900000 -33.000000 -15.799999)(15.000000 -12.374400 12.374400)(16.250000 -14.937200 6.187200)(17.500000 -12.374400 12.374400)(15.000000 -17.500000 0.000000)(17.500000 -17.500000 0.000000)(16.250000 -14.937200 6.187200)(15.000000 12.374400 12.374400)(15.000000 17.500000 0.000000)(15.000000 0.000000 17.500000)(15.000000 -12.374400 12.374400)(16.250000 -6.187200 14.937200)(15.000000 0.000000 17.500000)(17.500000 12.374400 -12.374400)(16.250000 14.937200 -6.187200)(17.500000 17.500000 0.000000)(17.500000 12.374400 -12.374400)(16.250000 6.187200 -14.937200)(15.000000 12.374400 -12.374400)(15.000000 17.500000 0.000000)(16.250000 14.937200 6.187200)(17.500000 17.500000 0.000000)(17.500000 0.000000 -17.500000)(15.000000 0.000000 -17.500000)(16.250000 6.187200 -14.937200)(15.000000 0.000000 -17.500000)(16.250000 -6.187200 -14.937200)(15.000000 -12.374400 -12.374400)(15.000000 -12.374400 -12.374400)(16.250000 -14.937200 -6.187200)(15.000000 -17.500000 0.000000)(17.500000 -12.374400 12.374400)(16.250000 -14.937200 6.187200)(17.500000 -17.500000 0.000000)(17.500000 -12.374400 12.374400)(16.250000 -6.187200 14.937200)(15.000000 -12.374400 12.374400)(15.000000 -17.500000 0.000000)(16.250000 -14.937200 -6.187200)(17.500000 -17.500000 0.000000)(15.000000 12.374400 12.374400)(16.250000 14.937200 6.187200)(15.000000 17.500000 0.000000)(15.000000 0.000000 17.500000)(16.250000 6.187200 14.937200)(15.000000 12.374400 12.374400)(17.500000 0.000000 17.500000)(15.000000 0.000000 17.500000)(16.250000 -6.187200 14.937200)(17.500000 17.500000 0.000000)(17.500000 12.000000 0.000000)(17.500000 12.374400 -12.374400)(17.500000 0.000000 -17.500000)(16.250000 6.187200 -14.937200)(17.500000 12.374400 -12.374400)(17.500000 17.500000 0.000000)(16.250000 14.937200 6.187200)(17.500000 12.374400 12.374400)(17.500000 0.000000 -17.500000)(16.250000 -6.187200 -14.937200)(15.000000 0.000000 -17.500000)(17.500000 -12.374400 -12.374400)(15.000000 -12.374400 -12.374400)(16.250000 -6.187200 -14.937200)(15.000000 -12.374400 -12.374400)(17.500000 -12.374400 -12.374400)(16.250000 -14.937200 -6.187200)(17.500000 -8.485299 8.485299)(17.500000 -12.374400 12.374400)(17.500000 -17.500000 0.000000)(17.500000 0.000000 17.500000)(16.250000 -6.187200 14.937200)(17.500000 -12.374400 12.374400)(17.500000 -17.500000 0.000000)(16.250000 -14.937200 -6.187200)(17.500000 -12.374400 -12.374400)(15.000000 12.374400 12.374400)(17.500000 12.374400 12.374400)(16.250000 14.937200 6.187200)(17.500000 12.374400 12.374400)(15.000000 12.374400 12.374400)(16.250000 6.187200 14.937200)(17.500000 0.000000 17.500000)(16.250000 6.187200 14.937200)(15.000000 0.000000 17.500000)(17.500000 17.500000 0.000000)(17.500000 8.485299 8.485299)(17.500000 12.000000 0.000000)(17.500000 12.000000 0.000000)(17.500000 8.485299 -8.485299)(17.500000 12.374400 -12.374400)(17.500000 12.374400 -12.374400)(17.500000 0.000000 -12.000000)(17.500000 0.000000 -17.500000)(17.500000 12.374400 12.374400)(17.500000 0.000000 17.500000)(17.500000 17.500000 0.000000)(17.500000 -12.374400 -12.374400)(16.250000 -6.187200 -14.937200)(17.500000 0.000000 -17.500000)(17.500000 -12.000000 0.000000)(17.500000 -8.485299 8.485299)(17.500000 -17.500000 0.000000)(17.500000 -8.485299 8.485299)(17.500000 0.000000 12.000000)(17.500000 -12.374400 12.374400)(17.500000 0.000000 12.000000)(17.500000 0.000000 17.500000)(17.500000 -12.374400 12.374400)(17.500000 -8.485299 -8.485299)(17.500000 -17.500000 0.000000)(17.500000 -12.374400 -12.374400)(17.500000 12.374400 12.374400)(16.250000 6.187200 14.937200)(17.500000 0.000000 17.500000)(17.500000 8.485299 8.485299)(19.250000 10.242600 4.242600)(17.500000 12.000000 0.000000)(17.500000 17.500000 0.000000)(17.500000 0.000000 17.500000)(17.500000 8.485299 8.485299)(17.500000 12.000000 0.000000)(19.250000 10.242600 -4.242600)(17.500000 8.485299 -8.485299)(17.500000 12.374400 -12.374400)(17.500000 8.485299 -8.485299)(17.500000 0.000000 -12.000000)(17.500000 0.000000 -12.000000)(17.500000 -8.485299 -8.485299)(17.500000 0.000000 -17.500000)(17.500000 0.000000 -17.500000)(17.500000 -8.485299 -8.485299)(17.500000 -12.374400 -12.374400)(17.500000 -8.485299 -8.485299)(17.500000 -12.000000 0.000000)(17.500000 -17.500000 0.000000)(17.500000 -12.000000 0.000000)(19.250000 -10.242600 4.242600)(17.500000 -8.485299 8.485299)(17.500000 -8.485299 8.485299)(19.250000 -4.242600 10.242600)(17.500000 0.000000 12.000000)(17.500000 8.485299 8.485299)(17.500000 0.000000 17.500000)(17.500000 0.000000 12.000000)(17.500000 12.000000 0.000000)(19.250000 10.242600 4.242600)(21.000000 12.000000 0.000000)(17.500000 8.485299 8.485299)(21.000000 8.485299 8.485299)(19.250000 10.242600 4.242600)(17.500000 8.485299 -8.485299)(19.250000 10.242600 -4.242600)(21.000000 8.485299 -8.485299)(17.500000 12.000000 0.000000)(21.000000 12.000000 0.000000)(19.250000 10.242600 -4.242600)(17.500000 8.485299 -8.485299)(19.250000 4.242600 -10.242600)(17.500000 0.000000 -12.000000)(17.500000 0.000000 -12.000000)(19.250000 -4.242600 -10.242600)(17.500000 -8.485299 -8.485299)(17.500000 -8.485299 -8.485299)(19.250000 -10.242600 -4.242600)(17.500000 -12.000000 0.000000)(17.500000 -8.485299 8.485299)(19.250000 -10.242600 4.242600)(21.000000 -8.485299 8.485299)(17.500000 -12.000000 0.000000)(21.000000 -12.000000 0.000000)(19.250000 -10.242600 4.242600)(21.000000 0.000000 12.000000)(17.500000 0.000000 12.000000)(19.250000 -4.242600 10.242600)(21.000000 -8.485299 8.485299)(19.250000 -4.242600 10.242600)(17.500000 -8.485299 8.485299)(17.500000 0.000000 12.000000)(19.250000 4.242600 10.242600)(17.500000 8.485299 8.485299)(21.000000 12.000000 0.000000)(19.250000 10.242600 4.242600)(21.000000 8.485299 8.485299)(21.000000 8.485299 8.485299)(17.500000 8.485299 8.485299)(19.250000 4.242600 10.242600)(21.000000 8.485299 -8.485299)(19.250000 10.242600 -4.242600)(21.000000 12.000000 0.000000)(21.000000 8.485299 -8.485299)(19.250000 4.242600 -10.242600)(17.500000 8.485299 -8.485299)(21.000000 0.000000 -12.000000)(17.500000 0.000000 -12.000000)(19.250000 4.242600 -10.242600)(21.000000 -8.485299 -8.485299)(17.500000 -8.485299 -8.485299)(19.250000 -4.242600 -10.242600)(21.000000 0.000000 -12.000000)(19.250000 -4.242600 -10.242600)(17.500000 0.000000 -12.000000)(17.500000 -12.000000 0.000000)(19.250000 -10.242600 -4.242600)(21.000000 -12.000000 0.000000)(17.500000 -8.485299 -8.485299)(21.000000 -8.485299 -8.485299)(19.250000 -10.242600 -4.242600)(21.000000 -8.485299 8.485299)(19.250000 -10.242600 4.242600)(21.000000 -12.000000 0.000000)(21.000000 0.000000 12.000000)(19.250000 -4.242600 10.242600)(21.000000 -8.485299 8.485299)(21.000000 0.000000 12.000000)(19.250000 4.242600 10.242600)(17.500000 0.000000 12.000000)(21.000000 8.485299 8.485299)(21.000000 7.071100 7.071100)(21.000000 12.000000 0.000000)(21.000000 8.485299 8.485299)(19.250000 4.242600 10.242600)(21.000000 0.000000 12.000000)(21.000000 12.000000 0.000000)(21.000000 10.000000 0.000000)(21.000000 8.485299 -8.485299)(21.000000 0.000000 -12.000000)(19.250000 4.242600 -10.242600)(21.000000 8.485299 -8.485299)(21.000000 -8.485299 -8.485299)(19.250000 -4.242600 -10.242600)(21.000000 0.000000 -12.000000)(21.000000 -12.000000 0.000000)(19.250000 -10.242600 -4.242600)(21.000000 -8.485299 -8.485299)(21.000000 -7.071100 7.071100)(21.000000 -8.485299 8.485299)(21.000000 -12.000000 0.000000)(21.000000 0.000000 10.000000)(21.000000 0.000000 12.000000)(21.000000 -8.485299 8.485299)(21.000000 7.071100 7.071100)(21.000000 8.485299 8.485299)(21.000000 0.000000 12.000000)(21.000000 12.000000 0.000000)(21.000000 7.071100 7.071100)(21.000000 10.000000 0.000000)(21.000000 10.000000 0.000000)(21.000000 7.071100 -7.071100)(21.000000 8.485299 -8.485299)(21.000000 8.485299 -8.485299)(21.000000 0.000000 -10.000000)(21.000000 0.000000 -12.000000)(21.000000 0.000000 -12.000000)(21.000000 -7.071100 -7.071100)(21.000000 -8.485299 -8.485299)(21.000000 -7.071100 -7.071100)(21.000000 -12.000000 0.000000)(21.000000 -8.485299 -8.485299)(21.000000 -10.000000 0.000000)(21.000000 -7.071100 7.071100)(21.000000 -12.000000 0.000000)(21.000000 0.000000 10.000000)(21.000000 -8.485299 8.485299)(21.000000 -7.071100 7.071100)(21.000000 7.071100 7.071100)(21.000000 0.000000 12.000000)(21.000000 0.000000 10.000000)(23.000000 8.535521 3.535540)(25.000000 8.535500 3.535500)(21.000000 10.000000 0.000000)(23.000000 8.535521 3.535540)(21.000000 10.000000 0.000000)(21.000000 7.071100 7.071100)(23.000000 8.535521 3.535540)(21.000000 7.071100 7.071100)(25.000000 8.535500 3.535500)(25.000000 8.535500 -3.535500)(21.000000 7.071100 -7.071100)(23.000000 8.535521 -3.535540)(21.000000 7.071100 -7.071100)(21.000000 10.000000 0.000000)(23.000000 8.535521 -3.535540)(21.000000 10.000000 0.000000)(25.000000 8.535500 -3.535500)(23.000000 8.535521 -3.535540)(21.000000 8.485299 -8.485299)(21.000000 7.071100 -7.071100)(21.000000 0.000000 -10.000000)(21.000000 0.000000 -12.000000)(21.000000 0.000000 -10.000000)(21.000000 -7.071100 -7.071100)(21.000000 -10.000000 0.000000)(21.000000 -12.000000 0.000000)(21.000000 -7.071100 -7.071100)(25.000000 -8.535500 3.535500)(21.000000 -7.071100 7.071100)(23.000000 -8.535521 3.535540)(21.000000 -7.071100 7.071100)(21.000000 -10.000000 0.000000)(23.000000 -8.535521 3.535540)(21.000000 -10.000000 0.000000)(25.000000 -8.535500 3.535500)(23.000000 -8.535521 3.535540)(25.000000 -3.535500 8.535500)(21.000000 0.000000 10.000000)(23.000000 -3.535540 8.535521)(21.000000 0.000000 10.000000)(21.000000 -7.071100 7.071100)(23.000000 -3.535540 8.535521)(21.000000 -7.071100 7.071100)(25.000000 -3.535500 8.535500)(23.000000 -3.535540 8.535521)(25.000000 3.535500 8.535500)(21.000000 7.071100 7.071100)(23.000000 3.535540 8.535521)(21.000000 7.071100 7.071100)(21.000000 0.000000 10.000000)(23.000000 3.535540 8.535521)(21.000000 0.000000 10.000000)(25.000000 3.535500 8.535500)(23.000000 3.535540 8.535521)(25.000000 8.535500 3.535500)(29.000000 10.000000 0.000000)(25.000000 9.267750 1.767750)(29.000000 10.000000 0.000000)(21.000000 10.000000 0.000000)(25.000000 9.267750 1.767750)(21.000000 10.000000 0.000000)(25.000000 8.535500 3.535500)(25.000000 9.267750 1.767750)(25.000000 8.535500 3.535500)(21.000000 7.071100 7.071100)(25.000000 7.803300 5.303300)(21.000000 7.071100 7.071100)(29.000000 7.071100 7.071100)(25.000000 7.803300 5.303300)(29.000000 7.071100 7.071100)(25.000000 8.535500 3.535500)(25.000000 7.803300 5.303300)(25.000000 8.535500 -3.535500)(29.000000 7.071100 -7.071100)(25.000000 7.803300 -5.303300)(29.000000 7.071100 -7.071100)(21.000000 7.071100 -7.071100)(25.000000 7.803300 -5.303300)(21.000000 7.071100 -7.071100)(25.000000 8.535500 -3.535500)(25.000000 7.803300 -5.303300)(25.000000 8.535500 -3.535500)(21.000000 10.000000 0.000000)(25.000000 9.267750 -1.767750)(21.000000 10.000000 0.000000)(29.000000 10.000000 0.000000)(25.000000 9.267750 -1.767750)(29.000000 10.000000 0.000000)(25.000000 8.535500 -3.535500)(25.000000 9.267750 -1.767750)(25.000000 3.535500 -8.535500)(21.000000 0.000000 -10.000000)(23.000000 3.535540 -8.535521)(21.000000 0.000000 -10.000000)(21.000000 7.071100 -7.071100)(23.000000 3.535540 -8.535521)(21.000000 7.071100 -7.071100)(25.000000 3.535500 -8.535500)(23.000000 3.535540 -8.535521)(25.000000 -3.535500 -8.535500)(21.000000 -7.071100 -7.071100)(23.000000 -3.535540 -8.535521)(21.000000 -7.071100 -7.071100)(21.000000 0.000000 -10.000000)(23.000000 -3.535540 -8.535521)(21.000000 0.000000 -10.000000)(25.000000 -3.535500 -8.535500)(23.000000 -3.535540 -8.535521)(23.000000 -8.535521 -3.535540)(25.000000 -8.535500 -3.535500)(21.000000 -10.000000 0.000000)(23.000000 -8.535521 -3.535540)(21.000000 -10.000000 0.000000)(21.000000 -7.071100 -7.071100)(23.000000 -8.535521 -3.535540)(21.000000 -7.071100 -7.071100)(25.000000 -8.535500 -3.535500)(25.000000 -8.535500 3.535500)(29.000000 -7.071100 7.071100)(25.000000 -7.803300 5.303300)(29.000000 -7.071100 7.071100)(21.000000 -7.071100 7.071100)(25.000000 -7.803300 5.303300)(21.000000 -7.071100 7.071100)(25.000000 -8.535500 3.535500)(25.000000 -7.803300 5.303300)(25.000000 -8.535500 3.535500)(21.000000 -10.000000 0.000000)(25.000000 -9.267750 1.767750)(21.000000 -10.000000 0.000000)(29.000000 -10.000000 0.000000)(25.000000 -9.267750 1.767750)(29.000000 -10.000000 0.000000)(25.000000 -8.535500 3.535500)(25.000000 -9.267750 1.767750)(25.000000 -3.535500 8.535500)(29.000000 0.000000 10.000000)(25.000000 -1.767750 9.267750)(29.000000 0.000000 10.000000)(21.000000 0.000000 10.000000)(25.000000 -1.767750 9.267750)(21.000000 0.000000 10.000000)(25.000000 -3.535500 8.535500)(25.000000 -1.767750 9.267750)(25.000000 -3.535500 8.535500)(21.000000 -7.071100 7.071100)(25.000000 -5.303300 7.803300)(21.000000 -7.071100 7.071100)(29.000000 -7.071100 7.071100)(25.000000 -5.303300 7.803300)(29.000000 -7.071100 7.071100)(25.000000 -3.535500 8.535500)(25.000000 -5.303300 7.803300)(25.000000 3.535500 8.535500)(29.000000 7.071100 7.071100)(25.000000 5.303300 7.803300)(29.000000 7.071100 7.071100)(21.000000 7.071100 7.071100)(25.000000 5.303300 7.803300)(21.000000 7.071100 7.071100)(25.000000 3.535500 8.535500)(25.000000 5.303300 7.803300)(25.000000 3.535500 8.535500)(21.000000 0.000000 10.000000)(25.000000 1.767750 9.267750)(21.000000 0.000000 10.000000)(29.000000 0.000000 10.000000)(25.000000 1.767750 9.267750)(29.000000 0.000000 10.000000)(25.000000 3.535500 8.535500)(25.000000 1.767750 9.267750)(25.000000 8.535500 3.535500)(29.000000 7.071100 7.071100)(27.000000 8.535521 3.535540)(29.000000 7.071100 7.071100)(29.000000 10.000000 0.000000)(27.000000 8.535521 3.535540)(29.000000 10.000000 0.000000)(25.000000 8.535500 3.535500)(27.000000 8.535521 3.535540)(25.000000 8.535500 -3.535500)(29.000000 10.000000 0.000000)(27.000000 8.535521 -3.535540)(29.000000 10.000000 0.000000)(29.000000 7.071100 -7.071100)(27.000000 8.535521 -3.535540)(29.000000 7.071100 -7.071100)(25.000000 8.535500 -3.535500)(27.000000 8.535521 -3.535540)(25.000000 3.535500 -8.535500)(21.000000 7.071100 -7.071100)(25.000000 5.303300 -7.803300)(21.000000 7.071100 -7.071100)(29.000000 7.071100 -7.071100)(25.000000 5.303300 -7.803300)(29.000000 7.071100 -7.071100)(25.000000 3.535500 -8.535500)(25.000000 5.303300 -7.803300)(25.000000 3.535500 -8.535500)(29.000000 0.000000 -10.000000)(25.000000 1.767750 -9.267750)(29.000000 0.000000 -10.000000)(21.000000 0.000000 -10.000000)(25.000000 1.767750 -9.267750)(21.000000 0.000000 -10.000000)(25.000000 3.535500 -8.535500)(25.000000 1.767750 -9.267750)(25.000000 -3.535500 -8.535500)(29.000000 -7.071100 -7.071100)(25.000000 -5.303300 -7.803300)(29.000000 -7.071100 -7.071100)(21.000000 -7.071100 -7.071100)(25.000000 -5.303300 -7.803300)(21.000000 -7.071100 -7.071100)(25.000000 -3.535500 -8.535500)(25.000000 -5.303300 -7.803300)(25.000000 -3.535500 -8.535500)(21.000000 0.000000 -10.000000)(25.000000 -1.767750 -9.267750)(21.000000 0.000000 -10.000000)(29.000000 0.000000 -10.000000)(25.000000 -1.767750 -9.267750)(29.000000 0.000000 -10.000000)(25.000000 -3.535500 -8.535500)(25.000000 -1.767750 -9.267750)(25.000000 -8.535500 -3.535500)(29.000000 -10.000000 0.000000)(25.000000 -9.267750 -1.767750)(29.000000 -10.000000 0.000000)(21.000000 -10.000000 0.000000)(25.000000 -9.267750 -1.767750)(21.000000 -10.000000 0.000000)(25.000000 -8.535500 -3.535500)(25.000000 -9.267750 -1.767750)(25.000000 -8.535500 -3.535500)(21.000000 -7.071100 -7.071100)(25.000000 -7.803300 -5.303300)(21.000000 -7.071100 -7.071100)(29.000000 -7.071100 -7.071100)(25.000000 -7.803300 -5.303300)(29.000000 -7.071100 -7.071100)(25.000000 -8.535500 -3.535500)(25.000000 -7.803300 -5.303300)(25.000000 -8.535500 3.535500)(29.000000 -10.000000 0.000000)(27.000000 -8.535521 3.535540)(29.000000 -10.000000 0.000000)(29.000000 -7.071100 7.071100)(27.000000 -8.535521 3.535540)(29.000000 -7.071100 7.071100)(25.000000 -8.535500 3.535500)(27.000000 -8.535521 3.535540)(25.000000 -3.535500 8.535500)(29.000000 -7.071100 7.071100)(27.000000 -3.535540 8.535521)(29.000000 -7.071100 7.071100)(29.000000 0.000000 10.000000)(27.000000 -3.535540 8.535521)(29.000000 0.000000 10.000000)(25.000000 -3.535500 8.535500)(27.000000 -3.535540 8.535521)(25.000000 3.535500 8.535500)(29.000000 0.000000 10.000000)(27.000000 3.535540 8.535521)(29.000000 0.000000 10.000000)(29.000000 7.071100 7.071100)(27.000000 3.535540 8.535521)(29.000000 7.071100 7.071100)(25.000000 3.535500 8.535500)(27.000000 3.535540 8.535521)(29.000000 10.000000 0.000000)(29.000000 7.071100 7.071100)(29.000000 0.000000 0.000000)(29.000000 10.000000 0.000000)(29.000000 0.000000 0.000000)(29.000000 7.071100 -7.071100)(25.000000 3.535500 -8.535500)(29.000000 7.071100 -7.071100)(27.000000 3.535540 -8.535521)(29.000000 7.071100 -7.071100)(29.000000 0.000000 -10.000000)(27.000000 3.535540 -8.535521)(29.000000 0.000000 -10.000000)(25.000000 3.535500 -8.535500)(27.000000 3.535540 -8.535521)(25.000000 -3.535500 -8.535500)(29.000000 0.000000 -10.000000)(27.000000 -3.535540 -8.535521)(29.000000 0.000000 -10.000000)(29.000000 -7.071100 -7.071100)(27.000000 -3.535540 -8.535521)(29.000000 -7.071100 -7.071100)(25.000000 -3.535500 -8.535500)(27.000000 -3.535540 -8.535521)(25.000000 -8.535500 -3.535500)(29.000000 -7.071100 -7.071100)(27.000000 -8.535521 -3.535540)(29.000000 -7.071100 -7.071100)(29.000000 -10.000000 0.000000)(27.000000 -8.535521 -3.535540)(29.000000 -10.000000 0.000000)(25.000000 -8.535500 -3.535500)(27.000000 -8.535521 -3.535540)(29.000000 0.000000 0.000000)(29.000000 -7.071100 7.071100)(29.000000 -10.000000 0.000000)(29.000000 0.000000 10.000000)(29.000000 -7.071100 7.071100)(29.000000 0.000000 0.000000)(29.000000 7.071100 7.071100)(29.000000 0.000000 10.000000)(29.000000 0.000000 0.000000)(29.000000 7.071100 -7.071100)(29.000000 0.000000 0.000000)(29.000000 0.000000 -10.000000)(29.000000 0.000000 -10.000000)(29.000000 0.000000 0.000000)(29.000000 -7.071100 -7.071100)(29.000000 0.000000 0.000000)(29.000000 -10.000000 0.000000)(29.000000 -7.071100 -7.071100)))
           )
           )))
    (send glvertices :calc-normals)
    (send self :assoc glvertices)
    glvertices)
  (:qhull-faceset ()
   ;; qhull 3828 -> 19 faces
   (instance faceset :init :faces (list
    (instance face :init :vertices (list (float-vector -7.400000 39.999999 -52.600000) (float-vector 28.999999 7.071100 -7.071100) (float-vector 28.999999 10.000000 0.000000) (float-vector -2.900000 42.800002 -12.500000)))
    (instance face :init :vertices (list (float-vector 0.000000 -22.000000 22.000000) (float-vector 0.000000 22.000000 22.000000) (float-vector 17.500000 0.000000 17.500000)))
    (instance face :init :vertices (list (float-vector -7.400000 -20.000000 -52.600000) (float-vector -2.900000 -42.800002 -12.500000) (float-vector 28.999999 -7.071100 -7.071100)))
    (instance face :init :vertices (list (float-vector -7.400000 -20.000000 -52.600000) (float-vector -7.400000 39.999999 -52.600000) (float-vector -25.200000 39.999999 -52.600000) (float-vector -25.200000 -20.000000 -52.600000)))
    (instance face :init :vertices (list (float-vector -2.900000 -42.800002 -12.500000) (float-vector -7.400000 -20.000000 -52.600000) (float-vector -25.200000 -20.000000 -52.600000) (float-vector -38.699999 -42.800002 -12.500000)))
    (instance face :init :vertices (list (float-vector -7.400000 -20.000000 -52.600000) (float-vector 28.999999 -7.071100 -7.071100) (float-vector 28.999999 7.071100 -7.071100) (float-vector -7.400000 39.999999 -52.600000)))
    (instance face :init :vertices (list (float-vector -38.699999 -42.800002 12.500000) (float-vector -2.900000 -42.800002 12.500000) (float-vector -2.900000 -42.800002 -12.500000) (float-vector -38.699999 -42.800002 -12.500000)))
    (instance face :init :vertices (list (float-vector 28.999999 -7.071100 7.071100) (float-vector 28.999999 0.000000 10.000000) (float-vector 28.999999 7.071100 7.071100) (float-vector 28.999999 10.000000 0.000000) (float-vector 28.999999 7.071100 -7.071100) (float-vector 28.999999 -7.071100 -7.071100)))
    (instance face :init :vertices (list (float-vector 17.500000 0.000000 17.500000) (float-vector 28.999999 0.000000 10.000000) (float-vector 28.999999 -7.071100 7.071100) (float-vector -2.900000 -42.800002 12.500000) (float-vector 0.000000 -22.000000 22.000000)))
    (instance face :init :vertices (list (float-vector 28.999999 -7.071100 7.071100) (float-vector 28.999999 -7.071100 -7.071100) (float-vector -2.900000 -42.800002 -12.500000) (float-vector -2.900000 -42.800002 12.500000)))
    (instance face :init :vertices (list (float-vector 0.000000 22.000000 22.000000) (float-vector 0.000000 -22.000000 22.000000) (float-vector -27.000001 -22.000000 22.000000) (float-vector -27.000001 22.000000 22.000000)))
    (instance face :init :vertices (list (float-vector -38.699999 -42.800002 12.500000) (float-vector -27.000001 -22.000000 22.000000) (float-vector 0.000000 -22.000000 22.000000) (float-vector -2.900000 -42.800002 12.500000)))
    (instance face :init :vertices (list (float-vector 28.999999 0.000000 10.000000) (float-vector 17.500000 0.000000 17.500000) (float-vector 0.000000 22.000000 22.000000) (float-vector -2.900000 42.800002 12.500000) (float-vector 28.999999 7.071100 7.071100)))
    (instance face :init :vertices (list (float-vector 28.999999 7.071100 7.071100) (float-vector -2.900000 42.800002 12.500000) (float-vector -2.900000 42.800002 -12.500000) (float-vector 28.999999 10.000000 0.000000)))
    (instance face :init :vertices (list (float-vector -25.200000 39.999999 -52.600000) (float-vector -38.699999 42.800002 -12.500000) (float-vector -38.699999 -42.800002 -12.500000) (float-vector -25.200000 -20.000000 -52.600000)))
    (instance face :init :vertices (list (float-vector -2.900000 42.800002 12.500000) (float-vector 0.000000 22.000000 22.000000) (float-vector -27.000001 22.000000 22.000000) (float-vector -38.699999 42.800002 12.500000)))
    (instance face :init :vertices (list (float-vector -27.000001 22.000000 22.000000) (float-vector -27.000001 -22.000000 22.000000) (float-vector -38.699999 -42.800002 12.500000) (float-vector -38.699999 42.800002 12.500000)))
    (instance face :init :vertices (list (float-vector -38.699999 42.800002 12.500000) (float-vector -38.699999 -42.800002 12.500000) (float-vector -38.699999 -42.800002 -12.500000) (float-vector -38.699999 42.800002 -12.500000)))
    (instance face :init :vertices (list (float-vector -2.900000 42.800002 12.500000) (float-vector -38.699999 42.800002 12.500000) (float-vector -38.699999 42.800002 -12.500000) (float-vector -25.200000 39.999999 -52.600000) (float-vector -7.400000 39.999999 -52.600000) (float-vector -2.900000 42.800002 -12.500000)))
    ))
   )
  )

(defclass HiroNX_g1_20_geom0
  :super collada-body
  :slots ())
(defmethod HiroNX_g1_20_geom0
  (:init (&key (name))
         (replace-object self (send self :qhull-faceset))
         (if name (send self :name name))
         (send self :def-gl-vertices)
         self)
  (:def-gl-vertices ()
    (setq glvertices
       (instance gl::glvertices :init
          (list
          (list
           (list :type :triangles)
           (list :material (list
             (list :color (float-vector 0.1 0.1 0.1))
             (list :ambient (float-vector 0.200000 0.200000 0.200000 1.000000))
             (list :diffuse (float-vector 0.900000 0.900000 0.900000 1.000000))
           ))
           (list :indices #i( 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148 149 150 151 152 153 154 155 156 157 158 159 160 161 162 163 164 165 166 167 168 169 170 171 172 173 174 175 176 177 178 179 180 181 182 183 184 185 186 187 188 189 190 191 192 193 194 195 196 197 198 199 200 201 202 203 204 205 206 207 208 209 210 211 212 213 214 215 216 217 218 219 220 221 222 223 224 225 226 227 228 229 230 231 232 233 234 235 236 237 238 239 240 241 242 243 244 245 246 247 248 249 250 251 252 253 254 255 256 257 258 259 260 261 262 263 264 265 266 267 268 269 270 271 272 273 274 275 276 277 278 279 280 281 282 283 284 285 286 287 288 289 290 291 292 293 294 295 296 297 298 299 300 301 302 303 304 305 306 307 308 309 310 311 312 313 314 315 316 317 318 319 320 321 322 323 324 325 326 327 328 329 330 331 332 333 334 335 336 337 338 339 340 341 342 343 344 345 346 347 348 349 350 351 352 353 354 355 356 357 358 359 360 361 362 363 364 365 366 367 368 369 370 371 372 373 374 375 376 377 378 379 380 381 382 383 384 385 386 387 388 389 390 391 392 393 394 395 396 397 398 399 400 401 402 403 404 405 406 407 408 409 410 411 412 413 414 415 416 417 418 419 420 421 422 423 424 425 426 427 428 429 430 431 432 433 434 435 436 437 438 439 440 441 442 443 444 445 446 447 448 449 450 451 452 453 454 455 456 457 458 459 460 461 462 463 464 465 466 467 468 469 470 471 472 473 474 475 476 477 478 479 480 481 482 483 484 485 486 487 488 489 490 491 492 493 494 495 496 497 498 499 500 501 502 503 504 505 506 507 508 509 510 511 512 513 514 515 516 517 518 519 520 521 522 523 524 525 526 527 528 529 530 531 532 533 534 535 536 537 538 539 540 541 542 543 544 545 546 547 548 549 550 551 552 553 554 555 556 557 558 559 560 561 562 563 564 565 566 567 568 569 570 571 572 573 574 575 576 577 578 579 580 581 582 583 584 585 586 587 588 589 590 591 592 593 594 595 596 597 598 599 600 601 602 603 604 605 606 607 608 609 610 611 612 613 614 615 616 617 618 619 620 621 622 623 624 625 626 627 628 629 630 631 632 633 634 635 636 637 638 639 640 641 642 643 644 645 646 647 648 649 650 651 652 653 654 655 656 657 658 659 660 661 662 663 664 665 666 667 668 669 670 671 672 673 674 675 676 677 678 679 680 681 682 683 684 685 686 687 688 689 690 691 692 693 694 695 696 697 698 699 700 701 702 703 704 705 706 707 708 709 710 711 712 713 714 715 716 717 718 719 720 721 722 723 724 725 726 727 728 729 730 731 732 733 734 735 736 737 738 739 740 741 742 743 744 745 746 747 748 749 750 751 752 753 754 755 756 757 758 759 760 761 762 763 764 765 766 767 768 769 770 771 772 773 774 775 776 777 778 779 780 781 782 783 784 785 786 787 788 789 790 791 792 793 794 795 796 797 798 799 800 801 802 803 804 805 806 807 808 809 810 811 812 813 814 815 816 817 818 819 820 821 822 823 824 825 826 827 828 829 830 831 832 833 834 835 836 837 838 839 840 841 842 843 844 845 846 847 848 849 850 851 852 853 854 855 856 857 858 859 860 861 862 863 864 865 866 867 868 869 870 871 872 873 874 875 876 877 878 879 880 881 882 883 884 885 886 887 888 889 890 891 892 893 894 895 896 897 898 899 900 901 902 903 904 905 906 907 908 909 910 911 912 913 914 915 916 917 918 919 920 921 922 923 924 925 926 927 928 929 930 931 932 933 934 935 936 937 938 939 940 941 942 943 944 945 946 947 948 949 950 951 952 953 954 955 956 957 958 959 960 961 962 963 964 965 966 967 968 969 970 971 972 973 974 975 976 977 978 979 980 981 982 983 984 985 986 987 988 989 990 991 992 993 994 995 996 997 998 999 1000 1001 1002 1003 1004 1005 1006 1007 1008 1009 1010 1011 1012 1013 1014 1015 1016 1017 1018 1019 1020 1021 1022 1023 1024 1025 1026 1027 1028 1029 1030 1031 1032 1033 1034 1035 1036 1037 1038 1039 1040 1041 1042 1043 1044 1045 1046 1047 1048 1049 1050 1051 1052 1053 1054 1055 1056 1057 1058 1059 1060 1061 1062 1063 1064 1065 1066 1067 1068 1069 1070 1071 1072 1073 1074 1075 1076 1077 1078 1079 1080 1081 1082 1083 1084 1085 1086 1087 1088 1089 1090 1091 1092 1093 1094 1095 1096 1097 1098 1099 1100 1101 1102 1103 1104 1105 1106 1107 1108 1109 1110 1111 1112 1113 1114 1115 1116 1117 1118 1119 1120 1121 1122 1123 1124 1125 1126 1127 1128 1129 1130 1131 1132 1133 1134 1135 1136 1137 1138 1139 1140 1141 1142 1143 1144 1145 1146 1147 1148 1149 1150 1151 1152 1153 1154 1155 1156 1157 1158 1159 1160 1161 1162 1163 1164 1165 1166 1167 1168 1169 1170 1171 1172 1173 1174 1175 1176 1177 1178 1179 1180 1181 1182 1183 1184 1185 1186 1187 1188 1189 1190 1191 1192 1193 1194 1195 1196 1197 1198 1199 1200 1201 1202 1203 1204 1205 1206 1207 1208 1209 1210 1211 1212 1213 1214 1215 1216 1217 1218 1219 1220 1221 1222 1223 1224 1225 1226 1227 1228 1229 1230 1231 1232 1233 1234 1235 1236 1237 1238 1239 1240 1241 1242 1243 1244 1245 1246 1247 1248 1249 1250 1251 1252 1253 1254 1255 1256 1257 1258 1259 1260 1261 1262 1263 1264 1265))
           (list :vertices #2f((2.000000 0.000000 -15.300000)(2.000000 -8.349999 -14.800000)(2.000000 -8.349999 -15.799999)(2.000000 -8.349999 -14.800000)(2.000000 0.000000 -15.300000)(2.000000 8.349999 -14.800000)(2.000000 -8.349999 -14.800000)(-6.000000 -9.075000 -15.300000)(2.000000 -8.349999 -15.799999)(2.000000 8.349999 -15.799999)(2.000000 0.000000 -15.300000)(2.000000 -8.349999 -15.799999)(2.000000 8.349999 -15.799999)(2.000000 8.349999 -14.800000)(2.000000 0.000000 -15.300000)(-6.000000 0.000000 -14.800000)(2.000000 -8.349999 -14.800000)(-2.000000 0.000000 -14.800000)(2.000000 -8.349999 -14.800000)(2.000000 8.349999 -14.800000)(-2.000000 0.000000 -14.800000)(2.000000 8.349999 -14.800000)(-6.000000 0.000000 -14.800000)(-2.000000 0.000000 -14.800000)(-6.000000 -9.075000 -15.300000)(-14.000000 -9.800000 -15.799999)(2.000000 -8.349999 -15.799999)(-14.000000 -9.800000 -14.800000)(-6.000000 -9.075000 -15.300000)(2.000000 -8.349999 -14.800000)(-9.000000 0.000000 -15.799999)(2.000000 8.349999 -15.799999)(-3.500000 -0.000000 -15.799999)(2.000000 8.349999 -15.799999)(2.000000 -8.349999 -15.799999)(-3.500000 -0.000000 -15.799999)(2.000000 -8.349999 -15.799999)(-9.000000 0.000000 -15.799999)(-3.500000 -0.000000 -15.799999)(2.000000 8.349999 -14.800000)(2.000000 8.349999 -15.799999)(-6.000000 9.075000 -15.300000)(-6.000000 0.000000 -14.800000)(-14.000000 -9.800000 -14.800000)(-6.000000 -4.900000 -14.800000)(-14.000000 -9.800000 -14.800000)(2.000000 -8.349999 -14.800000)(-6.000000 -4.900000 -14.800000)(2.000000 -8.349999 -14.800000)(-6.000000 0.000000 -14.800000)(-6.000000 -4.900000 -14.800000)(-6.000000 0.000000 -14.800000)(2.000000 8.349999 -14.800000)(-6.000000 4.900000 -14.800000)(2.000000 8.349999 -14.800000)(-14.000000 9.800000 -14.800000)(-6.000000 4.900000 -14.800000)(-14.000000 9.800000 -14.800000)(-6.000000 0.000000 -14.800000)(-6.000000 4.900000 -14.800000)(-14.000000 -9.800000 -14.800000)(-14.000000 -9.800000 -15.799999)(-6.000000 -9.075000 -15.300000)(-14.000000 -9.800000 -15.799999)(-9.000000 0.000000 -15.799999)(2.000000 -8.349999 -15.799999)(-9.000000 0.000000 -15.799999)(-14.000000 9.800000 -15.799999)(2.000000 8.349999 -15.799999)(2.000000 8.349999 -14.800000)(-6.000000 9.075000 -15.300000)(-14.000000 9.800000 -14.800000)(-6.000000 9.075000 -15.300000)(2.000000 8.349999 -15.799999)(-14.000000 9.800000 -15.799999)(-6.000000 0.000000 -14.800000)(-14.000000 9.800000 -14.800000)(-10.000000 0.000000 -14.800000)(-14.000000 9.800000 -14.800000)(-14.000000 -9.800000 -14.800000)(-10.000000 0.000000 -14.800000)(-14.000000 -9.800000 -14.800000)(-6.000000 0.000000 -14.800000)(-10.000000 0.000000 -14.800000)(-14.000000 -9.800000 -14.800000)(-14.333301 -9.800000 0.000000)(-14.000000 -9.800000 -15.799999)(-14.000000 -9.800000 -15.799999)(-15.000000 -9.800000 -15.799999)(-9.000000 0.000000 -15.799999)(-9.000000 0.000000 -15.799999)(-15.000000 9.800000 -15.799999)(-14.000000 9.800000 -15.799999)(-14.000000 9.800000 -14.800000)(-6.000000 9.075000 -15.300000)(-14.000000 9.800000 -15.799999)(-14.000000 0.000000 0.000000)(-14.000000 -9.800000 -14.800000)(-14.000000 0.000000 -7.400000)(-14.000000 -9.800000 -14.800000)(-14.000000 9.800000 -14.800000)(-14.000000 0.000000 -7.400000)(-14.000000 9.800000 -14.800000)(-14.000000 0.000000 0.000000)(-14.000000 0.000000 -7.400000)(-15.000000 -9.800000 -15.799999)(-14.000000 -9.800000 -15.799999)(-14.333301 -9.800000 0.000000)(-14.000000 -9.800000 14.800000)(-14.333301 -9.800000 0.000000)(-14.000000 -9.800000 -14.800000)(-9.000000 0.000000 -15.799999)(-15.000000 -9.800000 -15.799999)(-12.000000 -0.000000 -15.799999)(-15.000000 -9.800000 -15.799999)(-15.000000 9.800000 -15.799999)(-12.000000 -0.000000 -15.799999)(-15.000000 9.800000 -15.799999)(-9.000000 0.000000 -15.799999)(-12.000000 -0.000000 -15.799999)(-15.000000 9.800000 -15.799999)(-14.333301 9.800000 0.000000)(-14.000000 9.800000 -15.799999)(-14.000000 9.800000 -15.799999)(-14.333301 9.800000 0.000000)(-14.000000 9.800000 -14.800000)(-14.000000 0.000000 0.000000)(-14.000000 -9.800000 14.800000)(-14.000000 -4.900000 -0.000000)(-14.000000 -9.800000 14.800000)(-14.000000 -9.800000 -14.800000)(-14.000000 -4.900000 -0.000000)(-14.000000 -9.800000 -14.800000)(-14.000000 0.000000 0.000000)(-14.000000 -4.900000 -0.000000)(-14.000000 0.000000 0.000000)(-14.000000 9.800000 -14.800000)(-14.000000 4.900000 0.000000)(-14.000000 9.800000 -14.800000)(-14.000000 9.800000 14.800000)(-14.000000 4.900000 0.000000)(-14.000000 9.800000 14.800000)(-14.000000 0.000000 0.000000)(-14.000000 4.900000 0.000000)(-15.000000 -9.800000 -12.500000)(-15.000000 -9.800000 -15.799999)(-14.900000 -9.800000 -12.500000)(-15.000000 -9.800000 15.799999)(-15.000000 -9.800000 12.500000)(-14.900000 -9.800000 12.500000)(-14.333301 -9.800000 0.000000)(-14.900000 -9.800000 12.500000)(-14.900000 -9.800000 -12.500000)(-15.000000 -9.800000 -15.799999)(-14.333301 -9.800000 0.000000)(-14.900000 -9.800000 -12.500000)(-15.000000 -9.800000 15.799999)(-14.900000 -9.800000 12.500000)(-14.333301 -9.800000 0.000000)(-14.000000 -9.800000 15.799999)(-14.333301 -9.800000 0.000000)(-14.000000 -9.800000 14.800000)(-15.000000 7.753160 -12.500000)(-15.000000 9.800000 -15.799999)(-15.000000 0.000000 -14.150001)(-15.000000 9.800000 -15.799999)(-15.000000 -9.800000 -15.799999)(-15.000000 0.000000 -14.150001)(-15.000000 -9.800000 -15.799999)(-15.000000 -7.753160 -12.500000)(-15.000000 0.000000 -14.150001)(-15.000000 -7.753160 -12.500000)(-15.000000 7.753160 -12.500000)(-15.000000 0.000000 -14.150001)(-15.000000 9.800000 12.500000)(-15.000000 9.800000 15.799999)(-14.900000 9.800000 12.500000)(-14.900000 9.800000 11.057700)(-14.333301 9.800000 0.000000)(-14.900000 9.800000 -11.057700)(-15.000000 9.800000 -12.500000)(-14.900000 9.800000 -12.500000)(-15.000000 9.800000 -15.799999)(-14.333301 9.800000 0.000000)(-14.900000 9.800000 11.057700)(-14.900000 9.800000 12.500000)(-15.000000 9.800000 15.799999)(-14.333301 9.800000 0.000000)(-14.900000 9.800000 12.500000)(-14.900000 9.800000 -12.500000)(-14.333301 9.800000 0.000000)(-15.000000 9.800000 -15.799999)(-14.900000 9.800000 -11.057700)(-14.333301 9.800000 0.000000)(-14.900000 9.800000 -12.500000)(-14.000000 9.800000 -14.800000)(-14.333301 9.800000 0.000000)(-14.000000 9.800000 14.800000)(-14.000000 0.000000 0.000000)(-14.000000 9.800000 14.800000)(-14.000000 0.000000 7.400000)(-14.000000 9.800000 14.800000)(-14.000000 -9.800000 14.800000)(-14.000000 0.000000 7.400000)(-14.000000 -9.800000 14.800000)(-14.000000 0.000000 0.000000)(-14.000000 0.000000 7.400000)(-15.000000 -9.800000 15.799999)(-14.333301 -9.800000 0.000000)(-14.000000 -9.800000 15.799999)(-15.000000 -9.768940 12.500000)(-15.000000 -9.800000 12.500000)(-15.000000 -9.800000 15.799999)(-15.000000 -7.753160 12.500000)(-15.000000 -9.741899 12.500000)(-15.000000 -9.800000 15.799999)(-15.000000 -9.800000 15.799999)(-15.000000 -9.752500 12.500000)(-15.000000 -9.741899 12.500000)(-15.000000 -9.800000 15.799999)(-15.000000 -9.759340 12.500000)(-15.000000 -9.752500 12.500000)(-15.000000 -9.800000 15.799999)(-15.000000 -9.768940 12.500000)(-15.000000 -9.759340 12.500000)(-14.900000 -9.800000 12.500000)(-15.000000 -9.800000 12.430201)(-15.000000 -9.800000 12.500000)(-15.000000 -9.800000 12.430201)(-15.000000 -9.800000 -12.430201)(-14.900000 -9.800000 12.500000)(-15.000000 -9.800000 -12.430201)(-14.900000 -9.800000 -12.500000)(-14.900000 -9.800000 12.500000)(-14.900000 -9.800000 -12.500000)(-15.000000 -9.800000 -12.500000)(-15.000000 -9.800000 -12.430201)(-15.000000 -7.753160 -12.500000)(-15.000000 -9.800000 -15.799999)(-15.000000 -9.741899 -12.500000)(-15.000000 -9.752080 -12.500000)(-15.000000 -9.800000 -15.799999)(-15.000000 -9.741899 -12.500000)(-15.000000 -9.759170 -12.500000)(-15.000000 -9.800000 -15.799999)(-15.000000 -9.752080 -12.500000)(-15.000000 -9.769140 -12.500000)(-15.000000 -9.800000 -15.799999)(-15.000000 -9.759170 -12.500000)(-15.000000 -9.769140 -12.500000)(-15.000000 -9.800000 -15.799999)(-15.000000 -9.800000 -12.500000)(-14.000000 -9.800000 15.799999)(-14.000000 -9.800000 14.800000)(-6.000000 -9.075000 15.300000)(-15.000000 9.800000 -12.500000)(-15.000000 9.800000 -15.799999)(-15.000000 7.753160 -12.500000)(-15.000000 -9.741899 -12.500000)(-50.700001 11.000000 -12.500000)(-15.000000 -7.753160 -12.500000)(-15.000000 -7.753160 -12.500000)(-50.700001 11.000000 -12.500000)(-15.000000 7.753160 -12.500000)(-15.000000 7.753160 -12.500000)(-50.700001 11.000000 -12.500000)(-15.000000 9.800000 -12.500000)(-14.900000 9.800000 -12.500000)(-15.000000 9.800000 -12.500000)(-14.900000 11.000000 -12.500000)(-15.000000 9.800000 -12.500000)(-50.700001 11.000000 -12.500000)(-14.900000 11.000000 -12.500000)(-14.900000 9.800000 11.057700)(-14.900000 9.800000 -11.057700)(-14.900000 10.400000 0.000000)(-14.900000 9.800000 -11.057700)(-14.900000 11.000000 -12.500000)(-14.900000 10.400000 0.000000)(-14.900000 11.000000 -12.500000)(-14.900000 11.000000 12.500000)(-14.900000 10.400000 0.000000)(-14.900000 11.000000 12.500000)(-14.900000 9.800000 11.057700)(-14.900000 10.400000 0.000000)(-14.900000 11.000000 12.500000)(-14.900000 9.800000 12.500000)(-14.900000 9.800000 11.057700)(-15.000000 9.800000 12.500000)(-14.900000 9.800000 12.500000)(-14.900000 11.000000 12.500000)(-15.000000 7.753160 12.500000)(-15.000000 9.800000 12.500000)(-50.700001 11.000000 12.500000)(-15.000000 -9.741899 12.500000)(-15.000000 -7.753160 12.500000)(-50.700001 11.000000 12.500000)(-15.000000 -7.753160 12.500000)(-15.000000 7.753160 12.500000)(-50.700001 11.000000 12.500000)(-15.000000 9.800000 12.500000)(-14.900000 11.000000 12.500000)(-50.700001 11.000000 12.500000)(-15.000000 9.800000 12.500000)(-15.000000 7.753160 12.500000)(-15.000000 9.800000 15.799999)(-15.000000 9.800000 15.799999)(-14.000000 9.800000 15.799999)(-14.333301 9.800000 0.000000)(-14.900000 11.000000 -12.500000)(-14.900000 9.800000 -11.057700)(-14.900000 9.800000 -12.500000)(-14.000000 9.800000 14.800000)(-14.333301 9.800000 0.000000)(-14.000000 9.800000 15.799999)(-6.000000 0.000000 14.800000)(-14.000000 -9.800000 14.800000)(-10.000000 -0.000000 14.800000)(-14.000000 -9.800000 14.800000)(-14.000000 9.800000 14.800000)(-10.000000 -0.000000 14.800000)(-14.000000 9.800000 14.800000)(-6.000000 0.000000 14.800000)(-10.000000 -0.000000 14.800000)(-15.000000 -9.800000 15.799999)(-14.000000 -9.800000 15.799999)(-9.000000 0.000000 15.799999)(-15.000000 -9.800000 12.500000)(-15.000000 -9.768940 12.500000)(-32.850002 -5.925300 12.500000)(-15.000000 -9.768940 12.500000)(-39.848999 -2.050600 12.500000)(-32.850002 -5.925300 12.500000)(-39.848999 -2.050600 12.500000)(-50.700001 -9.800000 12.500000)(-32.850002 -5.925300 12.500000)(-50.700001 -9.800000 12.500000)(-15.000000 -9.800000 12.500000)(-32.850002 -5.925300 12.500000)(-15.000000 -7.753160 12.500000)(-15.000000 -9.800000 15.799999)(-15.000000 -0.000000 14.150001)(-15.000000 -9.800000 15.799999)(-15.000000 9.800000 15.799999)(-15.000000 -0.000000 14.150001)(-15.000000 9.800000 15.799999)(-15.000000 7.753160 12.500000)(-15.000000 -0.000000 14.150001)(-15.000000 7.753160 12.500000)(-15.000000 -7.753160 12.500000)(-15.000000 -0.000000 14.150001)(-15.000000 -9.752500 12.500000)(-15.000000 -9.741899 12.500000)(-39.848999 2.050600 12.500000)(-39.848999 2.050600 12.500000)(-15.000000 -9.741899 12.500000)(-50.700001 11.000000 12.500000)(-15.000000 -9.759340 12.500000)(-15.000000 -9.752500 12.500000)(-39.000000 0.000000 12.500000)(-39.000000 0.000000 12.500000)(-15.000000 -9.752500 12.500000)(-39.848999 2.050600 12.500000)(-15.000000 -9.768940 12.500000)(-15.000000 -9.759340 12.500000)(-39.848999 -2.050600 12.500000)(-39.848999 -2.050600 12.500000)(-15.000000 -9.759340 12.500000)(-39.000000 0.000000 12.500000)(-15.000000 -9.800000 12.430201)(-15.000000 -9.800000 12.500000)(-32.850002 -9.800000 6.250000)(-15.000000 -9.800000 12.500000)(-50.700001 -9.800000 12.500000)(-32.850002 -9.800000 6.250000)(-50.700001 -9.800000 12.500000)(-32.799999 -9.800000 0.000000)(-32.850002 -9.800000 6.250000)(-32.799999 -9.800000 0.000000)(-15.000000 -9.800000 12.430201)(-32.850002 -9.800000 6.250000)(-15.000000 -9.800000 -12.430201)(-15.000000 -9.800000 12.430201)(-23.900000 -9.800000 0.000000)(-15.000000 -9.800000 12.430201)(-32.799999 -9.800000 0.000000)(-23.900000 -9.800000 0.000000)(-32.799999 -9.800000 0.000000)(-15.000000 -9.800000 -12.430201)(-23.900000 -9.800000 0.000000)(-32.799999 -9.800000 0.000000)(-50.700001 -9.800000 -12.500000)(-32.850002 -9.800000 -6.250000)(-50.700001 -9.800000 -12.500000)(-15.000000 -9.800000 -12.500000)(-32.850002 -9.800000 -6.250000)(-15.000000 -9.800000 -12.500000)(-15.000000 -9.800000 -12.430201)(-32.850002 -9.800000 -6.250000)(-15.000000 -9.800000 -12.430201)(-32.799999 -9.800000 0.000000)(-32.850002 -9.800000 -6.250000)(-15.000000 -9.769140 -12.500000)(-15.000000 -9.800000 -12.500000)(-32.850002 -5.960650 -12.500000)(-15.000000 -9.800000 -12.500000)(-50.700001 -9.800000 -12.500000)(-32.850002 -5.960650 -12.500000)(-50.700001 -9.800000 -12.500000)(-39.778999 -2.121300 -12.500000)(-32.850002 -5.960650 -12.500000)(-39.778999 -2.121300 -12.500000)(-15.000000 -9.769140 -12.500000)(-32.850002 -5.960650 -12.500000)(-15.000000 -9.769140 -12.500000)(-39.778999 -2.121300 -12.500000)(-15.000000 -9.759170 -12.500000)(-39.778999 -2.121300 -12.500000)(-38.899998 0.000000 -12.500000)(-15.000000 -9.759170 -12.500000)(-15.000000 -9.759170 -12.500000)(-38.899998 0.000000 -12.500000)(-15.000000 -9.752080 -12.500000)(-38.899998 0.000000 -12.500000)(-39.778999 2.121300 -12.500000)(-15.000000 -9.752080 -12.500000)(-15.000000 -9.752080 -12.500000)(-39.778999 2.121300 -12.500000)(-15.000000 -9.741899 -12.500000)(-15.000000 -9.741899 -12.500000)(-39.778999 2.121300 -12.500000)(-50.700001 11.000000 -12.500000)(-14.000000 -9.800000 15.799999)(-6.000000 -9.075000 15.300000)(2.000000 -8.349999 15.799999)(-6.000000 -9.075000 15.300000)(-14.000000 -9.800000 14.800000)(2.000000 -8.349999 14.800000)(-32.799999 11.000000 0.000000)(-14.900000 11.000000 -12.500000)(-32.799999 11.000000 -6.250000)(-14.900000 11.000000 -12.500000)(-50.700001 11.000000 -12.500000)(-32.799999 11.000000 -6.250000)(-50.700001 11.000000 -12.500000)(-32.799999 11.000000 0.000000)(-32.799999 11.000000 -6.250000)(-32.799999 11.000000 0.000000)(-14.900000 11.000000 12.500000)(-23.850000 11.000000 0.000000)(-14.900000 11.000000 12.500000)(-14.900000 11.000000 -12.500000)(-23.850000 11.000000 0.000000)(-14.900000 11.000000 -12.500000)(-32.799999 11.000000 0.000000)(-23.850000 11.000000 0.000000)(-32.799999 11.000000 0.000000)(-50.700001 11.000000 12.500000)(-32.799999 11.000000 6.250000)(-50.700001 11.000000 12.500000)(-14.900000 11.000000 12.500000)(-32.799999 11.000000 6.250000)(-14.900000 11.000000 12.500000)(-32.799999 11.000000 0.000000)(-32.799999 11.000000 6.250000)(-9.000000 0.000000 15.799999)(-14.000000 9.800000 15.799999)(-15.000000 9.800000 15.799999)(-14.000000 9.800000 15.799999)(-6.000000 9.075000 15.300000)(-14.000000 9.800000 14.800000)(-6.000000 0.000000 14.800000)(2.000000 -8.349999 14.800000)(-6.000000 -4.900000 14.800000)(2.000000 -8.349999 14.800000)(-14.000000 -9.800000 14.800000)(-6.000000 -4.900000 14.800000)(-14.000000 -9.800000 14.800000)(-6.000000 0.000000 14.800000)(-6.000000 -4.900000 14.800000)(-6.000000 0.000000 14.800000)(-14.000000 9.800000 14.800000)(-6.000000 4.900000 14.800000)(-14.000000 9.800000 14.800000)(2.000000 8.349999 14.800000)(-6.000000 4.900000 14.800000)(2.000000 8.349999 14.800000)(-6.000000 0.000000 14.800000)(-6.000000 4.900000 14.800000)(-9.000000 0.000000 15.799999)(-15.000000 9.800000 15.799999)(-12.000000 0.000000 15.799999)(-15.000000 9.800000 15.799999)(-15.000000 -9.800000 15.799999)(-12.000000 0.000000 15.799999)(-15.000000 -9.800000 15.799999)(-9.000000 0.000000 15.799999)(-12.000000 0.000000 15.799999)(-14.000000 -9.800000 15.799999)(2.000000 -8.349999 15.799999)(-9.000000 0.000000 15.799999)(-50.700001 -9.800000 12.500000)(-39.848999 -2.050600 12.500000)(-41.900002 -2.900000 12.500000)(-41.900002 2.900000 12.500000)(-39.848999 2.050600 12.500000)(-50.700001 11.000000 12.500000)(-39.424999 1.025300 14.150001)(-39.000000 0.000000 12.500000)(-39.424698 1.025210 13.325000)(-39.000000 0.000000 12.500000)(-39.848999 2.050600 12.500000)(-39.424698 1.025210 13.325000)(-39.848999 2.050600 12.500000)(-39.424999 1.025300 14.150001)(-39.424698 1.025210 13.325000)(-39.424698 -1.025210 13.325000)(-39.424999 -1.025300 14.150001)(-39.848999 -2.050600 12.500000)(-39.424698 -1.025210 13.325000)(-39.848999 -2.050600 12.500000)(-39.000000 0.000000 12.500000)(-39.424698 -1.025210 13.325000)(-39.000000 0.000000 12.500000)(-39.424999 -1.025300 14.150001)(-32.799999 -9.800000 0.000000)(-50.700001 -9.800000 12.500000)(-41.750000 -9.800000 0.000000)(-50.700001 -9.800000 12.500000)(-50.700001 -9.800000 -12.500000)(-41.750000 -9.800000 0.000000)(-50.700001 -9.800000 -12.500000)(-32.799999 -9.800000 0.000000)(-41.750000 -9.800000 0.000000)(-41.900002 -3.000000 -12.500000)(-39.778999 -2.121300 -12.500000)(-50.700001 -9.800000 -12.500000)(-39.338997 -1.060700 -14.150001)(-38.899998 0.000000 -12.500000)(-39.339302 -1.060740 -13.325000)(-38.899998 0.000000 -12.500000)(-39.778999 -2.121300 -12.500000)(-39.339302 -1.060740 -13.325000)(-39.778999 -2.121300 -12.500000)(-39.338997 -1.060700 -14.150001)(-39.339302 -1.060740 -13.325000)(-39.338997 1.060700 -14.150001)(-39.778999 2.121300 -12.500000)(-39.339302 1.060740 -13.325000)(-39.778999 2.121300 -12.500000)(-38.899998 0.000000 -12.500000)(-39.339302 1.060740 -13.325000)(-38.899998 0.000000 -12.500000)(-39.338997 1.060700 -14.150001)(-39.339302 1.060740 -13.325000)(-50.700001 11.000000 -12.500000)(-39.778999 2.121300 -12.500000)(-41.900002 3.000000 -12.500000)(2.000000 -8.349999 15.799999)(-6.000000 -9.075000 15.300000)(2.000000 -8.349999 14.800000)(-32.799999 11.000000 0.000000)(-50.700001 11.000000 -12.500000)(-41.750000 11.000000 -0.000000)(-50.700001 11.000000 -12.500000)(-50.700001 11.000000 12.500000)(-41.750000 11.000000 -0.000000)(-50.700001 11.000000 12.500000)(-32.799999 11.000000 0.000000)(-41.750000 11.000000 -0.000000)(-9.000000 0.000000 15.799999)(2.000000 8.349999 15.799999)(-14.000000 9.800000 15.799999)(-14.000000 9.800000 14.800000)(-6.000000 9.075000 15.300000)(2.000000 8.349999 14.800000)(2.000000 8.349999 15.799999)(-6.000000 9.075000 15.300000)(-14.000000 9.800000 15.799999)(-6.000000 0.000000 14.800000)(2.000000 8.349999 14.800000)(-2.000000 -0.000000 14.800000)(2.000000 8.349999 14.800000)(2.000000 -8.349999 14.800000)(-2.000000 -0.000000 14.800000)(2.000000 -8.349999 14.800000)(-6.000000 0.000000 14.800000)(-2.000000 -0.000000 14.800000)(-9.000000 0.000000 15.799999)(2.000000 -8.349999 15.799999)(-3.500000 0.000000 15.799999)(2.000000 -8.349999 15.799999)(2.000000 8.349999 15.799999)(-3.500000 0.000000 15.799999)(2.000000 8.349999 15.799999)(-9.000000 0.000000 15.799999)(-3.500000 0.000000 15.799999)(-40.874500 -2.475210 13.325000)(-40.875000 -2.475300 14.150001)(-41.900002 -2.900000 12.500000)(-40.874500 -2.475210 13.325000)(-41.900002 -2.900000 12.500000)(-39.848999 -2.050600 12.500000)(-40.874500 -2.475210 13.325000)(-39.848999 -2.050600 12.500000)(-40.875000 -2.475300 14.150001)(-50.700001 -9.800000 12.500000)(-41.900002 -2.900000 12.500000)(-43.951000 -2.050600 12.500000)(-43.951000 2.050600 12.500000)(-41.900002 2.900000 12.500000)(-50.700001 11.000000 12.500000)(-40.875000 2.475300 14.150001)(-39.848999 2.050600 12.500000)(-40.874500 2.475210 13.325000)(-39.848999 2.050600 12.500000)(-41.900002 2.900000 12.500000)(-40.874500 2.475210 13.325000)(-41.900002 2.900000 12.500000)(-40.875000 2.475300 14.150001)(-40.874500 2.475210 13.325000)(-39.424999 1.025300 14.150001)(-39.000000 0.000000 15.799999)(-39.212498 0.512650 14.150001)(-39.000000 0.000000 15.799999)(-39.000000 0.000000 12.500000)(-39.212498 0.512650 14.150001)(-39.000000 0.000000 12.500000)(-39.424999 1.025300 14.150001)(-39.212498 0.512650 14.150001)(-39.424999 1.025300 14.150001)(-39.848999 2.050600 12.500000)(-39.637001 1.537950 14.150001)(-39.848999 2.050600 12.500000)(-39.848999 2.050600 15.799999)(-39.637001 1.537950 14.150001)(-39.848999 2.050600 15.799999)(-39.424999 1.025300 14.150001)(-39.637001 1.537950 14.150001)(-39.424999 -1.025300 14.150001)(-39.848999 -2.050600 15.799999)(-39.637001 -1.537950 14.150001)(-39.848999 -2.050600 15.799999)(-39.848999 -2.050600 12.500000)(-39.637001 -1.537950 14.150001)(-39.848999 -2.050600 12.500000)(-39.424999 -1.025300 14.150001)(-39.637001 -1.537950 14.150001)(-39.424999 -1.025300 14.150001)(-39.000000 0.000000 12.500000)(-39.212498 -0.512650 14.150001)(-39.000000 0.000000 12.500000)(-39.000000 0.000000 15.799999)(-39.212498 -0.512650 14.150001)(-39.000000 0.000000 15.799999)(-39.424999 -1.025300 14.150001)(-39.212498 -0.512650 14.150001)(-50.700001 0.599999 0.000000)(-50.700001 -9.800000 -12.500000)(-50.700001 -4.600000 0.000000)(-50.700001 -9.800000 -12.500000)(-50.700001 -9.800000 12.500000)(-50.700001 -4.600000 0.000000)(-50.700001 -9.800000 12.500000)(-50.700001 0.599999 0.000000)(-50.700001 -4.600000 0.000000)(-50.700001 -9.800000 -12.500000)(-44.021000 -2.121300 -12.500000)(-41.900002 -3.000000 -12.500000)(-40.839001 -2.560700 -14.150001)(-39.778999 -2.121300 -12.500000)(-40.839500 -2.560760 -13.325000)(-39.778999 -2.121300 -12.500000)(-41.900002 -3.000000 -12.500000)(-40.839500 -2.560760 -13.325000)(-41.900002 -3.000000 -12.500000)(-40.839001 -2.560700 -14.150001)(-40.839500 -2.560760 -13.325000)(-39.338997 -1.060700 -14.150001)(-38.899998 0.000000 -15.799999)(-39.119499 -0.530350 -14.150001)(-38.899998 0.000000 -15.799999)(-38.899998 0.000000 -12.500000)(-39.119499 -0.530350 -14.150001)(-38.899998 0.000000 -12.500000)(-39.338997 -1.060700 -14.150001)(-39.119499 -0.530350 -14.150001)(-39.338997 -1.060700 -14.150001)(-39.778999 -2.121300 -12.500000)(-39.558998 -1.591000 -14.150001)(-39.778999 -2.121300 -12.500000)(-39.778999 -2.121300 -15.799999)(-39.558998 -1.591000 -14.150001)(-39.778999 -2.121300 -15.799999)(-39.338997 -1.060700 -14.150001)(-39.558998 -1.591000 -14.150001)(-39.338997 1.060700 -14.150001)(-39.778999 2.121300 -15.799999)(-39.558998 1.591000 -14.150001)(-39.778999 2.121300 -15.799999)(-39.778999 2.121300 -12.500000)(-39.558998 1.591000 -14.150001)(-39.778999 2.121300 -12.500000)(-39.338997 1.060700 -14.150001)(-39.558998 1.591000 -14.150001)(-39.338997 1.060700 -14.150001)(-38.899998 0.000000 -12.500000)(-39.119499 0.530350 -14.150001)(-38.899998 0.000000 -12.500000)(-38.899998 0.000000 -15.799999)(-39.119499 0.530350 -14.150001)(-38.899998 0.000000 -15.799999)(-39.338997 1.060700 -14.150001)(-39.119499 0.530350 -14.150001)(-40.839500 2.560760 -13.325000)(-40.839001 2.560700 -14.150001)(-41.900002 3.000000 -12.500000)(-40.839500 2.560760 -13.325000)(-41.900002 3.000000 -12.500000)(-39.778999 2.121300 -12.500000)(-40.839500 2.560760 -13.325000)(-39.778999 2.121300 -12.500000)(-40.839001 2.560700 -14.150001)(-44.021000 2.121300 -12.500000)(-50.700001 11.000000 -12.500000)(-41.900002 3.000000 -12.500000)(2.000000 0.000000 15.300000)(2.000000 -8.349999 15.799999)(2.000000 -8.349999 14.800000)(-50.700001 0.599999 0.000000)(-50.700001 11.000000 12.500000)(-50.700001 5.800000 -0.000000)(-50.700001 11.000000 12.500000)(-50.700001 11.000000 -12.500000)(-50.700001 5.800000 -0.000000)(-50.700001 11.000000 -12.500000)(-50.700001 0.599999 0.000000)(-50.700001 5.800000 -0.000000)(2.000000 8.349999 15.799999)(2.000000 8.349999 14.800000)(-6.000000 9.075000 15.300000)(2.000000 8.349999 14.800000)(2.000000 0.000000 15.300000)(2.000000 -8.349999 14.800000)(2.000000 -8.349999 15.799999)(2.000000 0.000000 15.300000)(2.000000 8.349999 15.799999)(-40.875000 -2.475300 14.150001)(-41.900002 -2.900000 15.799999)(-41.387497 -2.687650 14.150001)(-41.900002 -2.900000 15.799999)(-41.900002 -2.900000 12.500000)(-41.387497 -2.687650 14.150001)(-41.900002 -2.900000 12.500000)(-40.875000 -2.475300 14.150001)(-41.387497 -2.687650 14.150001)(-40.875000 -2.475300 14.150001)(-39.848999 -2.050600 12.500000)(-40.362000 -2.262950 14.150001)(-39.848999 -2.050600 12.500000)(-39.848999 -2.050600 15.799999)(-40.362000 -2.262950 14.150001)(-39.848999 -2.050600 15.799999)(-40.875000 -2.475300 14.150001)(-40.362000 -2.262950 14.150001)(-42.924999 -2.475300 14.150001)(-43.951000 -2.050600 12.500000)(-42.925499 -2.475210 13.325000)(-43.951000 -2.050600 12.500000)(-41.900002 -2.900000 12.500000)(-42.925499 -2.475210 13.325000)(-41.900002 -2.900000 12.500000)(-42.924999 -2.475300 14.150001)(-42.925499 -2.475210 13.325000)(-50.700001 -9.800000 12.500000)(-43.951000 -2.050600 12.500000)(-50.700001 11.000000 12.500000)(-44.799999 0.000000 12.500000)(-43.951000 2.050600 12.500000)(-50.700001 11.000000 12.500000)(-42.924999 2.475300 14.150001)(-41.900002 2.900000 12.500000)(-42.925499 2.475210 13.325000)(-41.900002 2.900000 12.500000)(-43.951000 2.050600 12.500000)(-42.925499 2.475210 13.325000)(-43.951000 2.050600 12.500000)(-42.924999 2.475300 14.150001)(-42.925499 2.475210 13.325000)(-40.875000 2.475300 14.150001)(-39.848999 2.050600 15.799999)(-40.362000 2.262950 14.150001)(-39.848999 2.050600 15.799999)(-39.848999 2.050600 12.500000)(-40.362000 2.262950 14.150001)(-39.848999 2.050600 12.500000)(-40.875000 2.475300 14.150001)(-40.362000 2.262950 14.150001)(-40.875000 2.475300 14.150001)(-41.900002 2.900000 12.500000)(-41.387497 2.687650 14.150001)(-41.900002 2.900000 12.500000)(-41.900002 2.900000 15.799999)(-41.387497 2.687650 14.150001)(-41.900002 2.900000 15.799999)(-40.875000 2.475300 14.150001)(-41.387497 2.687650 14.150001)(-39.424999 1.025300 14.150001)(-39.848999 2.050600 15.799999)(-39.424698 1.025210 14.975000)(-39.848999 2.050600 15.799999)(-39.000000 0.000000 15.799999)(-39.424698 1.025210 14.975000)(-39.000000 0.000000 15.799999)(-39.424999 1.025300 14.150001)(-39.424698 1.025210 14.975000)(-39.424999 -1.025300 14.150001)(-39.000000 0.000000 15.799999)(-39.424698 -1.025210 14.975000)(-39.000000 0.000000 15.799999)(-39.848999 -2.050600 15.799999)(-39.424698 -1.025210 14.975000)(-39.848999 -2.050600 15.799999)(-39.424999 -1.025300 14.150001)(-39.424698 -1.025210 14.975000)(-50.700001 0.599999 0.000000)(-50.700001 11.000000 -12.500000)(-50.700001 0.600000 -6.250000)(-50.700001 11.000000 -12.500000)(-50.700001 -9.800000 -12.500000)(-50.700001 0.600000 -6.250000)(-50.700001 -9.800000 -12.500000)(-50.700001 0.599999 0.000000)(-50.700001 0.600000 -6.250000)(-50.700001 0.599999 0.000000)(-50.700001 -9.800000 12.500000)(-50.700001 0.600000 6.250000)(-50.700001 -9.800000 12.500000)(-50.700001 11.000000 12.500000)(-50.700001 0.600000 6.250000)(-50.700001 11.000000 12.500000)(-50.700001 0.599999 0.000000)(-50.700001 0.600000 6.250000)(-44.021000 -2.121300 -12.500000)(-50.700001 -9.800000 -12.500000)(-50.700001 11.000000 -12.500000)(-42.960499 -2.560760 -13.325000)(-42.961002 -2.560700 -14.150001)(-41.900002 -3.000000 -12.500000)(-42.960499 -2.560760 -13.325000)(-41.900002 -3.000000 -12.500000)(-44.021000 -2.121300 -12.500000)(-42.960499 -2.560760 -13.325000)(-44.021000 -2.121300 -12.500000)(-42.961002 -2.560700 -14.150001)(-40.839001 -2.560700 -14.150001)(-39.778999 -2.121300 -15.799999)(-40.309002 -2.341000 -14.150001)(-39.778999 -2.121300 -15.799999)(-39.778999 -2.121300 -12.500000)(-40.309002 -2.341000 -14.150001)(-39.778999 -2.121300 -12.500000)(-40.839001 -2.560700 -14.150001)(-40.309002 -2.341000 -14.150001)(-40.839001 -2.560700 -14.150001)(-41.900002 -3.000000 -12.500000)(-41.369503 -2.780350 -14.150001)(-41.900002 -3.000000 -12.500000)(-41.900002 -3.000000 -15.799999)(-41.369503 -2.780350 -14.150001)(-41.900002 -3.000000 -15.799999)(-40.839001 -2.560700 -14.150001)(-41.369503 -2.780350 -14.150001)(-39.338997 -1.060700 -14.150001)(-39.778999 -2.121300 -15.799999)(-39.339302 -1.060740 -14.975000)(-39.778999 -2.121300 -15.799999)(-38.899998 0.000000 -15.799999)(-39.339302 -1.060740 -14.975000)(-38.899998 0.000000 -15.799999)(-39.338997 -1.060700 -14.150001)(-39.339302 -1.060740 -14.975000)(-39.338997 1.060700 -14.150001)(-38.899998 0.000000 -15.799999)(-39.339302 1.060740 -14.975000)(-38.899998 0.000000 -15.799999)(-39.778999 2.121300 -15.799999)(-39.339302 1.060740 -14.975000)(-39.778999 2.121300 -15.799999)(-39.338997 1.060700 -14.150001)(-39.339302 1.060740 -14.975000)(-40.839001 2.560700 -14.150001)(-39.778999 2.121300 -12.500000)(-40.309002 2.341000 -14.150001)(-39.778999 2.121300 -12.500000)(-39.778999 2.121300 -15.799999)(-40.309002 2.341000 -14.150001)(-39.778999 2.121300 -15.799999)(-40.839001 2.560700 -14.150001)(-40.309002 2.341000 -14.150001)(-40.839001 2.560700 -14.150001)(-41.900002 3.000000 -15.799999)(-41.369503 2.780350 -14.150001)(-41.900002 3.000000 -15.799999)(-41.900002 3.000000 -12.500000)(-41.369503 2.780350 -14.150001)(-41.900002 3.000000 -12.500000)(-40.839001 2.560700 -14.150001)(-41.369503 2.780350 -14.150001)(-42.961002 2.560700 -14.150001)(-44.021000 2.121300 -12.500000)(-42.960499 2.560760 -13.325000)(-44.021000 2.121300 -12.500000)(-41.900002 3.000000 -12.500000)(-42.960499 2.560760 -13.325000)(-41.900002 3.000000 -12.500000)(-42.961002 2.560700 -14.150001)(-42.960499 2.560760 -13.325000)(-44.021000 2.121300 -12.500000)(-44.900002 0.000000 -12.500000)(-50.700001 11.000000 -12.500000)(2.000000 8.349999 14.800000)(2.000000 8.349999 15.799999)(2.000000 0.000000 15.300000)(-40.874500 -2.475210 14.975000)(-40.875000 -2.475300 14.150001)(-39.848999 -2.050600 15.799999)(-40.874500 -2.475210 14.975000)(-39.848999 -2.050600 15.799999)(-41.900002 -2.900000 15.799999)(-40.874500 -2.475210 14.975000)(-41.900002 -2.900000 15.799999)(-40.875000 -2.475300 14.150001)(-42.924999 -2.475300 14.150001)(-41.900002 -2.900000 12.500000)(-42.412502 -2.687650 14.150001)(-41.900002 -2.900000 12.500000)(-41.900002 -2.900000 15.799999)(-42.412502 -2.687650 14.150001)(-41.900002 -2.900000 15.799999)(-42.924999 -2.475300 14.150001)(-42.412502 -2.687650 14.150001)(-42.924999 -2.475300 14.150001)(-43.951000 -2.050600 15.799999)(-43.438000 -2.262950 14.150001)(-43.951000 -2.050600 15.799999)(-43.951000 -2.050600 12.500000)(-43.438000 -2.262950 14.150001)(-43.951000 -2.050600 12.500000)(-42.924999 -2.475300 14.150001)(-43.438000 -2.262950 14.150001)(-43.951000 -2.050600 12.500000)(-44.799999 0.000000 12.500000)(-50.700001 11.000000 12.500000)(-44.375301 1.025210 13.325000)(-44.375000 1.025300 14.150001)(-43.951000 2.050600 12.500000)(-44.375301 1.025210 13.325000)(-43.951000 2.050600 12.500000)(-44.799999 0.000000 12.500000)(-44.375301 1.025210 13.325000)(-44.799999 0.000000 12.500000)(-44.375000 1.025300 14.150001)(-42.924999 2.475300 14.150001)(-41.900002 2.900000 15.799999)(-42.412502 2.687650 14.150001)(-41.900002 2.900000 15.799999)(-41.900002 2.900000 12.500000)(-42.412502 2.687650 14.150001)(-41.900002 2.900000 12.500000)(-42.924999 2.475300 14.150001)(-42.412502 2.687650 14.150001)(-42.924999 2.475300 14.150001)(-43.951000 2.050600 12.500000)(-43.438000 2.262950 14.150001)(-43.951000 2.050600 12.500000)(-43.951000 2.050600 15.799999)(-43.438000 2.262950 14.150001)(-43.951000 2.050600 15.799999)(-42.924999 2.475300 14.150001)(-43.438000 2.262950 14.150001)(-40.875000 2.475300 14.150001)(-41.900002 2.900000 15.799999)(-40.874500 2.475210 14.975000)(-41.900002 2.900000 15.799999)(-39.848999 2.050600 15.799999)(-40.874500 2.475210 14.975000)(-39.848999 2.050600 15.799999)(-40.875000 2.475300 14.150001)(-40.874500 2.475210 14.975000)(-39.000000 0.000000 15.799999)(-39.848999 2.050600 15.799999)(-41.900002 0.000000 15.799999)(-39.848999 -2.050600 15.799999)(-39.000000 0.000000 15.799999)(-41.900002 0.000000 15.799999)(-50.700001 11.000000 -12.500000)(-44.900002 0.000000 -12.500000)(-44.021000 -2.121300 -12.500000)(-42.961002 -2.560700 -14.150001)(-41.900002 -3.000000 -15.799999)(-42.430500 -2.780350 -14.150001)(-41.900002 -3.000000 -15.799999)(-41.900002 -3.000000 -12.500000)(-42.430500 -2.780350 -14.150001)(-41.900002 -3.000000 -12.500000)(-42.961002 -2.560700 -14.150001)(-42.430500 -2.780350 -14.150001)(-42.961002 -2.560700 -14.150001)(-44.021000 -2.121300 -12.500000)(-43.490997 -2.341000 -14.150001)(-44.021000 -2.121300 -12.500000)(-44.021000 -2.121300 -15.799999)(-43.490997 -2.341000 -14.150001)(-44.021000 -2.121300 -15.799999)(-42.961002 -2.560700 -14.150001)(-43.490997 -2.341000 -14.150001)(-40.839001 -2.560700 -14.150001)(-41.900002 -3.000000 -15.799999)(-40.839500 -2.560760 -14.975000)(-41.900002 -3.000000 -15.799999)(-39.778999 -2.121300 -15.799999)(-40.839500 -2.560760 -14.975000)(-39.778999 -2.121300 -15.799999)(-40.839001 -2.560700 -14.150001)(-40.839500 -2.560760 -14.975000)(-39.778999 -2.121300 -15.799999)(-41.900002 0.000000 -15.799999)(-38.899998 0.000000 -15.799999)(-38.899998 0.000000 -15.799999)(-41.900002 0.000000 -15.799999)(-39.778999 2.121300 -15.799999)(-40.839500 2.560760 -14.975000)(-40.839001 2.560700 -14.150001)(-39.778999 2.121300 -15.799999)(-40.839500 2.560760 -14.975000)(-39.778999 2.121300 -15.799999)(-41.900002 3.000000 -15.799999)(-40.839500 2.560760 -14.975000)(-41.900002 3.000000 -15.799999)(-40.839001 2.560700 -14.150001)(-42.961002 2.560700 -14.150001)(-41.900002 3.000000 -12.500000)(-42.430500 2.780350 -14.150001)(-41.900002 3.000000 -12.500000)(-41.900002 3.000000 -15.799999)(-42.430500 2.780350 -14.150001)(-41.900002 3.000000 -15.799999)(-42.961002 2.560700 -14.150001)(-42.430500 2.780350 -14.150001)(-42.961002 2.560700 -14.150001)(-44.021000 2.121300 -15.799999)(-43.490997 2.341000 -14.150001)(-44.021000 2.121300 -15.799999)(-44.021000 2.121300 -12.500000)(-43.490997 2.341000 -14.150001)(-44.021000 2.121300 -12.500000)(-42.961002 2.560700 -14.150001)(-43.490997 2.341000 -14.150001)(-44.461002 1.060700 -14.150001)(-44.900002 0.000000 -12.500000)(-44.460697 1.060740 -13.325000)(-44.900002 0.000000 -12.500000)(-44.021000 2.121300 -12.500000)(-44.460697 1.060740 -13.325000)(-44.021000 2.121300 -12.500000)(-44.461002 1.060700 -14.150001)(-44.460697 1.060740 -13.325000)(-41.900002 -2.900000 15.799999)(-39.848999 -2.050600 15.799999)(-41.900002 0.000000 15.799999)(-42.924999 -2.475300 14.150001)(-41.900002 -2.900000 15.799999)(-42.925499 -2.475210 14.975000)(-41.900002 -2.900000 15.799999)(-43.951000 -2.050600 15.799999)(-42.925499 -2.475210 14.975000)(-43.951000 -2.050600 15.799999)(-42.924999 -2.475300 14.150001)(-42.925499 -2.475210 14.975000)(-44.375000 -1.025300 14.150001)(-43.951000 -2.050600 12.500000)(-44.162998 -1.537950 14.150001)(-43.951000 -2.050600 12.500000)(-43.951000 -2.050600 15.799999)(-44.162998 -1.537950 14.150001)(-43.951000 -2.050600 15.799999)(-44.375000 -1.025300 14.150001)(-44.162998 -1.537950 14.150001)(-44.375000 -1.025300 14.150001)(-44.799999 0.000000 12.500000)(-44.375301 -1.025210 13.325000)(-44.799999 0.000000 12.500000)(-43.951000 -2.050600 12.500000)(-44.375301 -1.025210 13.325000)(-43.951000 -2.050600 12.500000)(-44.375000 -1.025300 14.150001)(-44.375301 -1.025210 13.325000)(-44.375000 1.025300 14.150001)(-43.951000 2.050600 15.799999)(-44.162998 1.537950 14.150001)(-43.951000 2.050600 15.799999)(-43.951000 2.050600 12.500000)(-44.162998 1.537950 14.150001)(-43.951000 2.050600 12.500000)(-44.375000 1.025300 14.150001)(-44.162998 1.537950 14.150001)(-44.375000 1.025300 14.150001)(-44.799999 0.000000 12.500000)(-44.587502 0.512650 14.150001)(-44.799999 0.000000 12.500000)(-44.799999 0.000000 15.799999)(-44.587502 0.512650 14.150001)(-44.799999 0.000000 15.799999)(-44.375000 1.025300 14.150001)(-44.587502 0.512650 14.150001)(-42.925499 2.475210 14.975000)(-42.924999 2.475300 14.150001)(-43.951000 2.050600 15.799999)(-42.925499 2.475210 14.975000)(-43.951000 2.050600 15.799999)(-41.900002 2.900000 15.799999)(-42.925499 2.475210 14.975000)(-41.900002 2.900000 15.799999)(-42.924999 2.475300 14.150001)(-41.900002 0.000000 15.799999)(-39.848999 2.050600 15.799999)(-41.900002 2.900000 15.799999)(-44.461002 -1.060700 -14.150001)(-44.021000 -2.121300 -12.500000)(-44.460697 -1.060740 -13.325000)(-44.021000 -2.121300 -12.500000)(-44.900002 0.000000 -12.500000)(-44.460697 -1.060740 -13.325000)(-44.900002 0.000000 -12.500000)(-44.461002 -1.060700 -14.150001)(-44.460697 -1.060740 -13.325000)(-42.960499 -2.560760 -14.975000)(-42.961002 -2.560700 -14.150001)(-44.021000 -2.121300 -15.799999)(-42.960499 -2.560760 -14.975000)(-44.021000 -2.121300 -15.799999)(-41.900002 -3.000000 -15.799999)(-42.960499 -2.560760 -14.975000)(-41.900002 -3.000000 -15.799999)(-42.961002 -2.560700 -14.150001)(-44.461002 -1.060700 -14.150001)(-44.021000 -2.121300 -15.799999)(-44.241001 -1.591000 -14.150001)(-44.021000 -2.121300 -15.799999)(-44.021000 -2.121300 -12.500000)(-44.241001 -1.591000 -14.150001)(-44.021000 -2.121300 -12.500000)(-44.461002 -1.060700 -14.150001)(-44.241001 -1.591000 -14.150001)(-39.778999 -2.121300 -15.799999)(-41.900002 -3.000000 -15.799999)(-41.900002 0.000000 -15.799999)(-41.900002 0.000000 -15.799999)(-41.900002 3.000000 -15.799999)(-39.778999 2.121300 -15.799999)(-42.961002 2.560700 -14.150001)(-41.900002 3.000000 -15.799999)(-42.960499 2.560760 -14.975000)(-41.900002 3.000000 -15.799999)(-44.021000 2.121300 -15.799999)(-42.960499 2.560760 -14.975000)(-44.021000 2.121300 -15.799999)(-42.961002 2.560700 -14.150001)(-42.960499 2.560760 -14.975000)(-44.461002 1.060700 -14.150001)(-44.021000 2.121300 -12.500000)(-44.241001 1.591000 -14.150001)(-44.021000 2.121300 -12.500000)(-44.021000 2.121300 -15.799999)(-44.241001 1.591000 -14.150001)(-44.021000 2.121300 -15.799999)(-44.461002 1.060700 -14.150001)(-44.241001 1.591000 -14.150001)(-44.461002 1.060700 -14.150001)(-44.900002 0.000000 -15.799999)(-44.680500 0.530350 -14.150001)(-44.900002 0.000000 -15.799999)(-44.900002 0.000000 -12.500000)(-44.680500 0.530350 -14.150001)(-44.900002 0.000000 -12.500000)(-44.461002 1.060700 -14.150001)(-44.680500 0.530350 -14.150001)(-41.900002 -2.900000 15.799999)(-41.900002 0.000000 15.799999)(-43.951000 -2.050600 15.799999)(-44.375000 -1.025300 14.150001)(-43.951000 -2.050600 15.799999)(-44.375301 -1.025210 14.975000)(-43.951000 -2.050600 15.799999)(-44.799999 0.000000 15.799999)(-44.375301 -1.025210 14.975000)(-44.799999 0.000000 15.799999)(-44.375000 -1.025300 14.150001)(-44.375301 -1.025210 14.975000)(-44.375000 -1.025300 14.150001)(-44.799999 0.000000 15.799999)(-44.587502 -0.512650 14.150001)(-44.799999 0.000000 15.799999)(-44.799999 0.000000 12.500000)(-44.587502 -0.512650 14.150001)(-44.799999 0.000000 12.500000)(-44.375000 -1.025300 14.150001)(-44.587502 -0.512650 14.150001)(-44.375000 1.025300 14.150001)(-44.799999 0.000000 15.799999)(-44.375301 1.025210 14.975000)(-44.799999 0.000000 15.799999)(-43.951000 2.050600 15.799999)(-44.375301 1.025210 14.975000)(-43.951000 2.050600 15.799999)(-44.375000 1.025300 14.150001)(-44.375301 1.025210 14.975000)(-41.900002 0.000000 15.799999)(-41.900002 2.900000 15.799999)(-43.951000 2.050600 15.799999)(-44.461002 -1.060700 -14.150001)(-44.900002 0.000000 -12.500000)(-44.680500 -0.530350 -14.150001)(-44.900002 0.000000 -12.500000)(-44.900002 0.000000 -15.799999)(-44.680500 -0.530350 -14.150001)(-44.900002 0.000000 -15.799999)(-44.461002 -1.060700 -14.150001)(-44.680500 -0.530350 -14.150001)(-41.900002 -3.000000 -15.799999)(-44.021000 -2.121300 -15.799999)(-41.900002 0.000000 -15.799999)(-44.461002 -1.060700 -14.150001)(-44.900002 0.000000 -15.799999)(-44.460697 -1.060740 -14.975000)(-44.900002 0.000000 -15.799999)(-44.021000 -2.121300 -15.799999)(-44.460697 -1.060740 -14.975000)(-44.021000 -2.121300 -15.799999)(-44.461002 -1.060700 -14.150001)(-44.460697 -1.060740 -14.975000)(-41.900002 0.000000 -15.799999)(-44.021000 2.121300 -15.799999)(-41.900002 3.000000 -15.799999)(-44.460697 1.060740 -14.975000)(-44.461002 1.060700 -14.150001)(-44.021000 2.121300 -15.799999)(-44.460697 1.060740 -14.975000)(-44.021000 2.121300 -15.799999)(-44.900002 0.000000 -15.799999)(-44.460697 1.060740 -14.975000)(-44.900002 0.000000 -15.799999)(-44.461002 1.060700 -14.150001)(-43.951000 -2.050600 15.799999)(-41.900002 0.000000 15.799999)(-44.799999 0.000000 15.799999)(-44.799999 0.000000 15.799999)(-41.900002 0.000000 15.799999)(-43.951000 2.050600 15.799999)(-44.021000 -2.121300 -15.799999)(-44.900002 0.000000 -15.799999)(-41.900002 0.000000 -15.799999)(-41.900002 0.000000 -15.799999)(-44.900002 0.000000 -15.799999)(-44.021000 2.121300 -15.799999)))
           )
           )))
    (send glvertices :calc-normals)
    (send self :assoc glvertices)
    glvertices)
  (:qhull-faceset ()
   ;; qhull 1266 -> 11 faces
   (instance faceset :init :faces (list
    (instance face :init :vertices (list (float-vector -50.700001 11.000000 12.500000) (float-vector -50.700001 11.000000 -12.500000) (float-vector 2.000000 8.350000 -15.799999) (float-vector 2.000000 8.350000 15.799999)))
    (instance face :init :vertices (list (float-vector 2.000000 -8.350000 -14.800000) (float-vector 2.000000 -8.350000 15.799999) (float-vector 2.000000 8.350000 15.799999) (float-vector 2.000000 8.350000 -15.799999)))
    (instance face :init :vertices (list (float-vector -50.700001 -9.800000 -12.500000) (float-vector -44.900000 0.000000 -15.799999) (float-vector -50.700001 11.000000 -12.500000)))
    (instance face :init :vertices (list (float-vector -44.900000 0.000000 -15.799999) (float-vector -50.700001 -9.800000 -12.500000) (float-vector -14.000000 -9.800000 -15.799999)))
    (instance face :init :vertices (list (float-vector -14.000000 -9.800000 -15.799999) (float-vector 2.000000 -8.350000 -14.800000) (float-vector 2.000000 8.350000 -15.799999) (float-vector -50.700001 11.000000 -12.500000) (float-vector -44.900000 0.000000 -15.799999)))
    (instance face :init :vertices (list (float-vector -50.700001 -9.800000 12.500000) (float-vector 2.000000 -8.350000 15.799999) (float-vector 2.000000 -8.350000 -14.800000) (float-vector -14.000000 -9.800000 -15.799999) (float-vector -50.700001 -9.800000 -12.500000)))
    (instance face :init :vertices (list (float-vector -50.700001 -9.800000 12.500000) (float-vector -50.700001 -9.800000 -12.500000) (float-vector -50.700001 11.000000 -12.500000) (float-vector -50.700001 11.000000 12.500000)))
    (instance face :init :vertices (list (float-vector -43.951001 2.050600 15.799999) (float-vector -50.700001 11.000000 12.500000) (float-vector 2.000000 8.350000 15.799999)))
    (instance face :init :vertices (list (float-vector 2.000000 -8.350000 15.799999) (float-vector -43.951001 2.050600 15.799999) (float-vector 2.000000 8.350000 15.799999)))
    (instance face :init :vertices (list (float-vector -50.700001 -9.800000 12.500000) (float-vector -43.951001 2.050600 15.799999) (float-vector 2.000000 -8.350000 15.799999)))
    (instance face :init :vertices (list (float-vector -43.951001 2.050600 15.799999) (float-vector -50.700001 -9.800000 12.500000) (float-vector -50.700001 11.000000 12.500000)))
    ))
   )
  )

(defclass HiroNX_g1_21_geom0
  :super collada-body
  :slots ())
(defmethod HiroNX_g1_21_geom0
  (:init (&key (name))
         (replace-object self (send self :qhull-faceset))
         (if name (send self :name name))
         (send self :def-gl-vertices)
         self)
  (:def-gl-vertices ()
    (setq glvertices
       (instance gl::glvertices :init
          (list
          (list
           (list :type :triangles)
           (list :material (list
             (list :color (float-vector 0.1 0.1 0.1))
             (list :ambient (float-vector 0.200000 0.200000 0.200000 1.000000))
             (list :diffuse (float-vector 0.900000 0.900000 0.900000 1.000000))
           ))
           (list :indices #i( 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148 149 150 151 152 153 154 155 156 157 158 159 160 161 162 163 164 165 166 167 168 169 170 171 172 173 174 175 176 177 178 179 180 181 182 183 184 185 186 187 188 189 190 191 192 193 194 195 196 197 198 199 200 201 202 203 204 205 206 207 208 209 210 211 212 213 214 215 216 217 218 219 220 221 222 223 224 225 226 227 228 229 230 231 232 233 234 235 236 237 238 239 240 241 242 243 244 245 246 247 248 249 250 251 252 253 254 255 256 257 258 259 260 261 262 263 264 265 266 267 268 269 270 271 272 273 274 275 276 277 278 279 280 281 282 283 284 285 286 287 288 289 290 291 292 293 294 295 296 297 298 299 300 301 302 303 304 305 306 307 308 309 310 311 312 313 314 315 316 317 318 319 320 321 322 323 324 325 326 327 328 329 330 331 332 333 334 335 336 337 338 339 340 341 342 343 344 345 346 347 348 349 350 351 352 353 354 355 356 357 358 359 360 361 362 363 364 365 366 367 368 369 370 371 372 373 374 375 376 377 378 379 380 381 382 383 384 385 386 387 388 389 390 391 392 393 394 395 396 397 398 399 400 401 402 403 404 405 406 407 408 409 410 411 412 413 414 415 416 417 418 419 420 421 422 423 424 425 426 427 428 429 430 431 432 433 434 435 436 437 438 439 440 441 442 443 444 445 446 447 448 449 450 451 452 453 454 455 456 457 458 459 460 461 462 463 464 465 466 467 468 469 470 471 472 473 474 475 476 477 478 479))
           (list :vertices #2f((-4.454000 -7.239700 14.800000)(-17.230000 0.620000 15.300000)(-30.006001 8.479700 14.800000)(-30.006001 8.479700 15.799999)(-30.006001 8.479700 14.800000)(-17.230000 0.620000 15.300000)(-30.006001 8.479700 14.800000)(-30.007999 11.979700 14.800000)(-4.454000 -7.239700 14.800000)(-4.454000 -7.239700 15.799999)(-17.230000 0.620000 15.300000)(-4.454000 -7.239700 14.800000)(-30.006001 8.479700 15.799999)(-17.230000 0.620000 15.300000)(-4.454000 -7.239700 15.799999)(-30.006001 8.479700 14.800000)(-30.006001 8.479700 15.799999)(-30.007999 11.979700 14.800000)(-30.007999 11.979700 14.800000)(-3.497000 -7.747300 14.800000)(-4.454000 -7.239700 14.800000)(-3.975990 -7.493500 15.300000)(-4.454000 -7.239700 15.799999)(-4.215000 -7.366600 15.300000)(-4.454000 -7.239700 15.799999)(-4.454000 -7.239700 14.800000)(-4.215000 -7.366600 15.300000)(-4.454000 -7.239700 14.800000)(-3.975990 -7.493500 15.300000)(-4.215000 -7.366600 15.300000)(-30.006001 8.479700 15.799999)(-4.454000 -7.239700 15.799999)(-30.008999 12.979700 15.799999)(-30.007999 11.979700 14.800000)(-30.006001 8.479700 15.799999)(-30.008999 12.979700 15.799999)(-3.975990 -7.493500 15.300000)(-4.454000 -7.239700 14.800000)(-3.975550 -7.493600 15.049999)(-4.454000 -7.239700 14.800000)(-3.497000 -7.747300 14.800000)(-3.975550 -7.493600 15.049999)(-3.497000 -7.747300 14.800000)(-3.975990 -7.493500 15.300000)(-3.975550 -7.493600 15.049999)(-3.497000 -7.747300 14.800000)(-30.007999 11.979700 14.800000)(-10.006001 8.493200 14.800000)(-3.975550 -7.493600 15.549999)(-3.975990 -7.493500 15.300000)(-3.497000 -7.747300 15.799999)(-3.975550 -7.493600 15.549999)(-3.497000 -7.747300 15.799999)(-4.454000 -7.239700 15.799999)(-3.975550 -7.493600 15.549999)(-4.454000 -7.239700 15.799999)(-3.975990 -7.493500 15.300000)(-4.454000 -7.239700 15.799999)(-3.497000 -7.747300 15.799999)(-30.008999 12.979700 15.799999)(-30.008999 12.979700 -15.799999)(-30.007999 11.979700 14.800000)(-30.008999 12.979700 15.799999)(-3.975990 -7.493500 15.300000)(-3.497000 -7.747300 14.800000)(-3.736500 -7.620400 15.300000)(-3.497000 -7.747300 14.800000)(-3.497000 -7.747300 15.799999)(-3.736500 -7.620400 15.300000)(-3.497000 -7.747300 15.799999)(-3.975990 -7.493500 15.300000)(-3.736500 -7.620400 15.300000)(-3.497000 -7.747300 14.800000)(-10.006001 8.493200 14.800000)(12.736899 8.508600 14.800000)(-10.006001 8.493200 14.800000)(-30.007999 11.979700 14.800000)(-10.007999 11.993199 14.800000)(-3.497000 -7.747300 15.799999)(-10.006001 8.493200 15.799999)(-30.008999 12.979700 15.799999)(-30.008999 12.979700 15.799999)(-28.869801 12.980500 14.000000)(-30.000000 12.979700 14.000000)(-30.000000 12.979700 -14.000000)(-28.869801 12.980500 -14.000000)(-30.008999 12.979700 -15.799999)(-30.000000 12.979700 14.000000)(-30.008999 12.979700 -15.799999)(-30.008999 12.979700 15.799999)(-30.000000 12.979700 2.285980)(-30.008999 12.979700 -15.799999)(-30.000000 12.979700 14.000000)(-30.000000 12.979700 2.285980)(-30.008999 12.979700 -15.799999)(-30.000000 12.979700 0.000000)(-30.000000 12.979700 -11.714001)(-30.008999 12.979700 -15.799999)(-30.000000 12.979700 0.000000)(-30.000000 12.979700 -11.714001)(-30.008999 12.979700 -15.799999)(-30.000000 12.979700 -14.000000)(-30.008999 12.979700 -15.799999)(-30.007999 11.979700 -14.800000)(-30.007999 11.979700 14.800000)(-3.497000 -7.747300 14.800000)(4.620000 0.380699 15.300000)(-3.497000 -7.747300 15.799999)(12.736899 8.508600 14.800000)(4.620000 0.380699 15.300000)(-3.497000 -7.747300 14.800000)(-10.006001 8.493200 14.800000)(1.366000 8.500900 15.300000)(12.736899 8.508600 14.800000)(-10.006001 8.493200 14.800000)(-10.007999 11.993199 14.800000)(-10.006001 8.493200 15.799999)(-20.007999 11.986500 0.000000)(-10.007999 11.993199 14.800000)(-20.007999 11.986500 7.400000)(-10.007999 11.993199 14.800000)(-30.007999 11.979700 14.800000)(-20.007999 11.986500 7.400000)(-30.007999 11.979700 14.800000)(-20.007999 11.986500 0.000000)(-20.007999 11.986500 7.400000)(-10.006001 8.493200 15.799999)(-10.009000 12.993199 15.799999)(-30.008999 12.979700 15.799999)(-3.497000 -7.747300 15.799999)(12.736899 8.508600 15.799999)(-10.006001 8.493200 15.799999)(-22.477200 12.984800 -14.000000)(-30.008999 12.979700 -15.799999)(-28.869801 12.980500 -14.000000)(-10.009000 12.993199 -15.799999)(-13.486300 12.990900 -14.000000)(-12.000000 12.991899 -14.000000)(-10.009000 12.993199 -15.799999)(-12.000000 12.991899 -14.000000)(-12.000000 12.991899 -12.654201)(-20.009001 12.986500 -14.227099)(-21.000000 12.985801 -14.000000)(-13.486300 12.990900 -14.000000)(-20.009001 12.986500 -14.227099)(-22.477200 12.984800 -14.000000)(-21.000000 12.985801 -14.000000)(-20.009001 12.986500 -14.227099)(-10.009000 12.993199 -15.799999)(-30.008999 12.979700 -15.799999)(-20.009001 12.986500 -14.227099)(-30.008999 12.979700 -15.799999)(-22.477200 12.984800 -14.000000)(-20.009001 12.986500 -14.227099)(-13.486300 12.990900 -14.000000)(-10.009000 12.993199 -15.799999)(-12.000000 12.991899 14.000000)(-10.009000 12.993199 15.799999)(-12.000000 12.991899 12.654201)(-10.009000 12.993199 15.799999)(-12.000000 12.991899 14.000000)(-19.519800 12.986799 14.000000)(-30.008999 12.979700 15.799999)(-21.000000 12.985801 14.000000)(-28.528900 12.980700 14.000000)(-30.008999 12.979700 15.799999)(-28.528900 12.980700 14.000000)(-28.869801 12.980500 14.000000)(-19.519800 12.986799 14.000000)(-21.000000 12.985801 14.000000)(-20.009001 12.986500 14.227099)(-30.008999 12.979700 15.799999)(-10.009000 12.993199 15.799999)(-20.009001 12.986500 14.227099)(-10.009000 12.993199 15.799999)(-19.519800 12.986799 14.000000)(-20.009001 12.986500 14.227099)(-21.000000 12.985801 14.000000)(-30.008999 12.979700 15.799999)(-20.009001 12.986500 14.227099)(-30.006001 8.479700 -15.799999)(-30.007999 11.979700 -14.800000)(-30.008999 12.979700 -15.799999)(-20.007999 11.986500 0.000000)(-30.007999 11.979700 14.800000)(-25.008001 11.983100 0.000000)(-30.007999 11.979700 14.800000)(-30.007999 11.979700 -14.800000)(-25.008001 11.983100 0.000000)(-30.007999 11.979700 -14.800000)(-20.007999 11.986500 0.000000)(-25.008001 11.983100 0.000000)(-3.497000 -7.747300 15.799999)(4.620000 0.380699 15.300000)(12.736899 8.508600 15.799999)(12.736899 8.508600 14.800000)(12.736899 8.508600 15.799999)(4.620000 0.380699 15.300000)(12.736899 8.508600 15.799999)(12.736899 8.508600 14.800000)(1.366000 8.500900 15.300000)(-10.006001 8.493200 15.799999)(1.366000 8.500900 15.300000)(-10.006001 8.493200 14.800000)(-10.007999 11.993199 14.800000)(-10.009000 12.993199 15.799999)(-10.006001 8.493200 15.799999)(-20.007999 11.986500 0.000000)(-10.007999 11.993199 -14.800000)(-15.007999 11.989800 -0.000000)(-10.007999 11.993199 -14.800000)(-10.007999 11.993199 14.800000)(-15.007999 11.989800 -0.000000)(-10.007999 11.993199 14.800000)(-20.007999 11.986500 0.000000)(-15.007999 11.989800 -0.000000)(12.736899 8.508600 15.799999)(1.366000 8.500900 15.300000)(-10.006001 8.493200 15.799999)(-10.006001 8.493200 -15.799999)(-30.008999 12.979700 -15.799999)(-10.009000 12.993199 -15.799999)(-12.000000 12.991899 12.654201)(-10.009000 12.993199 15.799999)(-12.000000 12.991899 11.685599)(-12.000000 12.991899 -12.654201)(-12.000000 12.991899 -2.314350)(-10.009000 12.993199 -15.799999)(-10.009000 12.993199 15.799999)(-10.009000 12.993199 -15.799999)(-11.004500 12.992500 0.000000)(-12.000000 12.991899 -2.314350)(-12.000000 12.991899 0.000000)(-11.004500 12.992500 0.000000)(-12.000000 12.991899 0.000000)(-12.000000 12.991899 11.685599)(-11.004500 12.992500 0.000000)(-12.000000 12.991899 11.685599)(-10.009000 12.993199 15.799999)(-11.004500 12.992500 0.000000)(-10.009000 12.993199 -15.799999)(-12.000000 12.991899 -2.314350)(-11.004500 12.992500 0.000000)(-30.006001 8.479700 -15.799999)(-30.008999 12.979700 -15.799999)(-4.454000 -7.239700 -15.799999)(-30.006001 8.479700 -15.799999)(-30.006001 8.479700 -14.800000)(-30.007999 11.979700 -14.800000)(-20.007999 11.986500 0.000000)(-30.007999 11.979700 -14.800000)(-20.007999 11.986500 -7.400000)(-30.007999 11.979700 -14.800000)(-10.007999 11.993199 -14.800000)(-20.007999 11.986500 -7.400000)(-10.007999 11.993199 -14.800000)(-20.007999 11.986500 0.000000)(-20.007999 11.986500 -7.400000)(-10.009000 12.993199 -15.799999)(-10.009000 12.993199 15.799999)(-10.007999 11.993199 14.800000)(-10.007999 11.993199 -14.800000)(-10.009000 12.993199 -15.799999)(-10.007999 11.993199 14.800000)(-10.006001 8.493200 -15.799999)(-10.009000 12.993199 -15.799999)(-10.006001 8.493200 -14.800000)(-3.497000 -7.747300 -15.799999)(-30.008999 12.979700 -15.799999)(-10.006001 8.493200 -15.799999)(-17.230000 0.620000 -15.300000)(-30.006001 8.479700 -15.799999)(-4.454000 -7.239700 -15.799999)(-30.008999 12.979700 -15.799999)(-3.497000 -7.747300 -15.799999)(-4.454000 -7.239700 -15.799999)(-30.006001 8.479700 -14.800000)(-30.006001 8.479700 -15.799999)(-17.230000 0.620000 -15.300000)(-30.006001 8.479700 -14.800000)(-4.454000 -7.239700 -14.800000)(-30.007999 11.979700 -14.800000)(-10.006001 8.493200 -14.800000)(-10.007999 11.993199 -14.800000)(-30.007999 11.979700 -14.800000)(-10.009000 12.993199 -15.799999)(-10.007999 11.993199 -14.800000)(-10.006001 8.493200 -14.800000)(-10.006001 8.493200 -14.800000)(1.366000 8.500900 -15.300000)(-10.006001 8.493200 -15.799999)(-3.497000 -7.747300 -15.799999)(-10.006001 8.493200 -15.799999)(12.736899 8.508600 -15.799999)(-4.454000 -7.239700 -14.800000)(-17.230000 0.620000 -15.300000)(-4.454000 -7.239700 -15.799999)(-3.975550 -7.493600 -15.549999)(-3.975990 -7.493500 -15.300000)(-4.454000 -7.239700 -15.799999)(-3.975550 -7.493600 -15.549999)(-4.454000 -7.239700 -15.799999)(-3.497000 -7.747300 -15.799999)(-3.975550 -7.493600 -15.549999)(-3.497000 -7.747300 -15.799999)(-3.975990 -7.493500 -15.300000)(-30.006001 8.479700 -14.800000)(-17.230000 0.620000 -15.300000)(-4.454000 -7.239700 -14.800000)(-4.454000 -7.239700 -14.800000)(-3.497000 -7.747300 -14.800000)(-30.007999 11.979700 -14.800000)(-3.497000 -7.747300 -14.800000)(-10.006001 8.493200 -14.800000)(-30.007999 11.979700 -14.800000)(-10.006001 8.493200 -15.799999)(1.366000 8.500900 -15.300000)(12.736899 8.508600 -15.799999)(12.736899 8.508600 -14.800000)(1.366000 8.500900 -15.300000)(-10.006001 8.493200 -14.800000)(12.736899 8.508600 -15.799999)(4.620000 0.380699 -15.300000)(-3.497000 -7.747300 -15.799999)(-3.975990 -7.493500 -15.300000)(-4.454000 -7.239700 -14.800000)(-4.215000 -7.366600 -15.300000)(-4.454000 -7.239700 -14.800000)(-4.454000 -7.239700 -15.799999)(-4.215000 -7.366600 -15.300000)(-4.454000 -7.239700 -15.799999)(-3.975990 -7.493500 -15.300000)(-4.215000 -7.366600 -15.300000)(-3.975990 -7.493500 -15.300000)(-3.497000 -7.747300 -15.799999)(-3.736500 -7.620400 -15.300000)(-3.497000 -7.747300 -15.799999)(-3.497000 -7.747300 -14.800000)(-3.736500 -7.620400 -15.300000)(-3.497000 -7.747300 -14.800000)(-3.975990 -7.493500 -15.300000)(-3.736500 -7.620400 -15.300000)(-3.975550 -7.493600 -15.049999)(-3.975990 -7.493500 -15.300000)(-3.497000 -7.747300 -14.800000)(-3.975550 -7.493600 -15.049999)(-3.497000 -7.747300 -14.800000)(-4.454000 -7.239700 -14.800000)(-3.975550 -7.493600 -15.049999)(-4.454000 -7.239700 -14.800000)(-3.975990 -7.493500 -15.300000)(-3.497000 -7.747300 -14.800000)(12.736899 8.508600 -14.800000)(-10.006001 8.493200 -14.800000)(12.736899 8.508600 -14.800000)(12.736899 8.508600 -15.799999)(1.366000 8.500900 -15.300000)(-3.497000 -7.747300 -15.799999)(4.620000 0.380699 -15.300000)(-3.497000 -7.747300 -14.800000)(12.736899 8.508600 -14.800000)(4.620000 0.380699 -15.300000)(12.736899 8.508600 -15.799999)(4.620000 0.380699 -15.300000)(12.736899 8.508600 -14.800000)(-3.497000 -7.747300 -14.800000)(-28.869801 12.980500 -14.000000)(-30.000000 12.979700 -14.000000)(-30.000000 18.000000 -14.000000)(-28.869801 12.980500 -14.000000)(-30.000000 18.000000 -14.000000)(-22.477200 12.984800 -14.000000)(-30.000000 12.979700 14.000000)(-28.869801 12.980500 14.000000)(-30.000000 18.000000 14.000000)(-28.869801 12.980500 14.000000)(-28.528900 12.980700 14.000000)(-30.000000 18.000000 14.000000)(-28.528900 12.980700 14.000000)(-21.000000 18.000000 14.000000)(-30.000000 18.000000 14.000000)(-30.000000 18.000000 14.000000)(-30.000000 12.979700 2.285980)(-30.000000 12.979700 14.000000)(-30.000000 18.000000 0.000000)(-30.000000 12.979700 0.000000)(-30.000000 12.979700 2.285980)(-30.000000 18.000000 0.000000)(-30.000000 12.979700 2.285980)(-30.000000 18.000000 14.000000)(-30.000000 18.000000 0.000000)(-30.000000 12.979700 -11.714001)(-30.000000 12.979700 0.000000)(-30.000000 18.000000 -14.000000)(-30.000000 12.979700 -14.000000)(-30.000000 12.979700 -11.714001)(-30.000000 18.000000 -14.000000)(-30.000000 12.979700 -11.714001)(-30.000000 18.000000 0.000000)(-22.477200 12.984800 -14.000000)(-30.000000 18.000000 -14.000000)(-21.000000 18.000000 -14.000000)(-21.000000 12.985801 -14.000000)(-22.477200 12.984800 -14.000000)(-21.000000 18.000000 -14.000000)(-13.486300 12.990900 -14.000000)(-21.000000 18.000000 -14.000000)(-12.000000 18.000000 -14.000000)(-12.000000 12.991899 -14.000000)(-13.486300 12.990900 -14.000000)(-12.000000 18.000000 -14.000000)(-21.000000 12.985801 -14.000000)(-21.000000 18.000000 -14.000000)(-13.486300 12.990900 -14.000000)(-12.000000 18.000000 -14.000000)(-12.000000 12.991899 -2.314350)(-12.000000 12.991899 -12.654201)(-12.000000 18.000000 -14.000000)(-12.000000 12.991899 -12.654201)(-12.000000 12.991899 -14.000000)(-12.000000 12.991899 14.000000)(-12.000000 18.000000 14.000000)(-19.519800 12.986799 14.000000)(-21.000000 12.985801 14.000000)(-19.519800 12.986799 14.000000)(-21.000000 18.000000 14.000000)(-19.519800 12.986799 14.000000)(-12.000000 18.000000 14.000000)(-21.000000 18.000000 14.000000)(-21.000000 12.985801 14.000000)(-21.000000 18.000000 14.000000)(-28.528900 12.980700 14.000000)(-12.000000 18.000000 14.000000)(-12.000000 12.991899 14.000000)(-12.000000 12.991899 12.654201)(-12.000000 18.000000 14.000000)(-12.000000 12.991899 12.654201)(-12.000000 12.991899 11.685599)(-12.000000 18.000000 14.000000)(-12.000000 12.991899 11.685599)(-12.000000 18.000000 0.000000)(-30.000000 18.000000 14.000000)(-21.000000 18.000000 14.000000)(-30.000000 18.000000 0.000000)(-30.000000 18.000000 -14.000000)(-30.000000 18.000000 0.000000)(-21.000000 18.000000 -14.000000)(-21.000000 18.000000 -14.000000)(-12.000000 18.000000 0.000000)(-12.000000 18.000000 -14.000000)(-12.000000 18.000000 0.000000)(-12.000000 12.991899 0.000000)(-12.000000 12.991899 -2.314350)(-12.000000 18.000000 0.000000)(-12.000000 12.991899 -2.314350)(-12.000000 18.000000 -14.000000)(-12.000000 18.000000 0.000000)(-12.000000 12.991899 11.685599)(-12.000000 12.991899 0.000000)(-21.000000 18.000000 14.000000)(-12.000000 18.000000 14.000000)(-12.000000 18.000000 0.000000)(-12.000000 18.000000 0.000000)(-30.000000 18.000000 0.000000)(-21.000000 18.000000 7.000000)(-30.000000 18.000000 0.000000)(-21.000000 18.000000 14.000000)(-21.000000 18.000000 7.000000)(-21.000000 18.000000 14.000000)(-12.000000 18.000000 0.000000)(-21.000000 18.000000 7.000000)(-30.000000 18.000000 0.000000)(-12.000000 18.000000 0.000000)(-21.000000 18.000000 -7.000000)(-12.000000 18.000000 0.000000)(-21.000000 18.000000 -14.000000)(-21.000000 18.000000 -7.000000)(-21.000000 18.000000 -14.000000)(-30.000000 18.000000 0.000000)(-21.000000 18.000000 -7.000000)))
           )
           )))
    (send glvertices :calc-normals)
    (send self :assoc glvertices)
    glvertices)
  (:qhull-faceset ()
   ;; qhull 480 -> 9 faces
   (instance faceset :init :faces (list
    (instance face :init :vertices (list (float-vector 12.736900 8.508600 -15.799999) (float-vector -3.497000 -7.747300 -15.799999) (float-vector -3.497000 -7.747300 14.800000) (float-vector 12.736900 8.508600 14.800000)))
    (instance face :init :vertices (list (float-vector 12.736900 8.508600 -15.799999) (float-vector -12.000000 17.999999 -14.000000) (float-vector -29.999999 17.999999 -14.000000) (float-vector -30.009000 12.979700 -15.799999)))
    (instance face :init :vertices (list (float-vector -30.009000 12.979700 -15.799999) (float-vector -30.006001 8.479700 -15.799999) (float-vector -3.497000 -7.747300 -15.799999) (float-vector 12.736900 8.508600 -15.799999)))
    (instance face :init :vertices (list (float-vector -3.497000 -7.747300 -15.799999) (float-vector -30.006001 8.479700 -15.799999) (float-vector -30.006001 8.479700 14.800000) (float-vector -3.497000 -7.747300 14.800000)))
    (instance face :init :vertices (list (float-vector 12.736900 8.508600 14.800000) (float-vector -12.000000 17.999999 14.000000) (float-vector -12.000000 17.999999 -14.000000) (float-vector 12.736900 8.508600 -15.799999)))
    (instance face :init :vertices (list (float-vector -30.006001 8.479700 14.800000) (float-vector -30.009000 12.979700 15.799999) (float-vector -12.000000 17.999999 14.000000) (float-vector 12.736900 8.508600 14.800000) (float-vector -3.497000 -7.747300 14.800000)))
    (instance face :init :vertices (list (float-vector -29.999999 17.999999 14.000000) (float-vector -12.000000 17.999999 14.000000) (float-vector -30.009000 12.979700 15.799999)))
    (instance face :init :vertices (list (float-vector -30.006001 8.479700 -15.799999) (float-vector -30.009000 12.979700 -15.799999) (float-vector -29.999999 17.999999 -14.000000) (float-vector -29.999999 17.999999 14.000000) (float-vector -30.009000 12.979700 15.799999) (float-vector -30.006001 8.479700 14.800000)))
    (instance face :init :vertices (list (float-vector -12.000000 17.999999 14.000000) (float-vector -29.999999 17.999999 14.000000) (float-vector -29.999999 17.999999 -14.000000) (float-vector -12.000000 17.999999 -14.000000)))
    ))
   )
  )

(defclass HiroNX_g1_22_geom0
  :super collada-body
  :slots ())
(defmethod HiroNX_g1_22_geom0
  (:init (&key (name))
         (replace-object self (send self :qhull-faceset))
         (if name (send self :name name))
         (send self :def-gl-vertices)
         self)
  (:def-gl-vertices ()
    (setq glvertices
       (instance gl::glvertices :init
          (list
          (list
           (list :type :triangles)
           (list :material (list
             (list :color (float-vector 0.1 0.1 0.1))
             (list :ambient (float-vector 0.200000 0.200000 0.200000 1.000000))
             (list :diffuse (float-vector 0.900000 0.900000 0.900000 1.000000))
           ))
           (list :indices #i( 1 0 2 4 3 5 7 6 8 10 9 11 13 12 14 16 15 17 19 18 20 22 21 23 25 24 26 28 27 29 31 30 32 34 33 35 37 36 38 40 39 41 43 42 44 46 45 47 49 48 50 52 51 53 55 54 56 58 57 59 61 60 62 64 63 65 67 66 68 70 69 71 73 72 74 76 75 77 79 78 80 82 81 83 85 84 86 88 87 89 91 90 92 94 93 95 97 96 98 100 99 101 103 102 104 106 105 107 109 108 110 112 111 113 115 114 116 118 117 119 121 120 122 124 123 125 127 126 128 130 129 131 133 132 134 136 135 137 139 138 140 142 141 143 145 144 146 148 147 149 151 150 152 154 153 155 157 156 158 160 159 161 163 162 164 166 165 167 169 168 170 172 171 173 175 174 176 178 177 179 181 180 182 184 183 185 187 186 188 190 189 191 193 192 194 196 195 197 199 198 200 202 201 203 205 204 206 208 207 209 211 210 212 214 213 215 217 216 218 220 219 221 223 222 224 226 225 227 229 228 230 232 231 233 235 234 236 238 237 239 241 240 242 244 243 245 247 246 248 250 249 251 253 252 254 256 255 257 259 258 260 262 261 263 265 264 266 268 267 269 271 270 272 274 273 275 277 276 278 280 279 281 283 282 284 286 285 287 289 288 290 292 291 293 295 294 296 298 297 299 301 300 302 304 303 305 307 306 308 310 309 311 313 312 314 316 315 317 319 318 320 322 321 323 325 324 326 328 327 329 331 330 332 334 333 335 337 336 338 340 339 341 343 342 344 346 345 347 349 348 350 352 351 353 355 354 356 358 357 359 361 360 362 364 363 365 367 366 368 370 369 371 373 372 374 376 375 377 379 378 380 382 381 383 385 384 386 388 387 389 391 390 392 394 393 395 397 396 398 400 399 401 403 402 404 406 405 407 409 408 410 412 411 413 415 414 416 418 417 419 421 420 422 424 423 425 427 426 428 430 429 431 433 432 434 436 435 437 439 438 440 442 441 443 445 444 446 448 447 449 451 450 452 454 453 455 457 456 458 460 459 461 463 462 464 466 465 467 469 468 470 472 471 473 475 474 476 478 477 479 481 480 482 484 483 485 487 486 488 490 489 491 493 492 494 496 495 497 499 498 500 502 501 503 505 504 506 508 507 509 511 510 512 514 513 515 517 516 518 520 519 521 523 522 524 526 525 527 529 528 530 532 531 533 535 534 536 538 537 539 541 540 542 544 543 545 547 546 548 550 549 551 553 552 554 556 555 557 559 558 560 562 561 563 565 564 566 568 567 569 571 570 572 574 573 575 577 576 578 580 579 581 583 582 584 586 585 587 589 588 590 592 591 593 595 594 596 598 597 599 601 600 602 604 603 605 607 606 608 610 609 611 613 612 614 616 615 617 619 618 620 622 621 623 625 624 626 628 627 629 631 630 632 634 633 635 637 636 638 640 639 641 643 642 644 646 645 647 649 648 650 652 651 653 655 654 656 658 657 659 661 660 662 664 663 665 667 666 668 670 669 671 673 672 674 676 675 677 679 678 680 682 681 683 685 684 686 688 687 689 691 690 692 694 693 695 697 696 698 700 699 701 703 702 704 706 705 707 709 708 710 712 711 713 715 714 716 718 717 719 721 720 722 724 723 725 727 726 728 730 729 731 733 732 734 736 735 737 739 738 740 742 741 743 745 744 746 748 747 749 751 750 752 754 753 755 757 756 758 760 759 761 763 762 764 766 765 767 769 768 770 772 771 773 775 774 776 778 777 779 781 780 782 784 783 785 787 786 788 790 789 791 793 792 794 796 795 797 799 798 800 802 801 803 805 804 806 808 807 809 811 810 812 814 813 815 817 816 818 820 819 821 823 822 824 826 825 827 829 828 830 832 831 833 835 834 836 838 837 839 841 840 842 844 843 845 847 846 848 850 849 851 853 852 854 856 855 857 859 858 860 862 861 863 865 864 866 868 867 869 871 870 872 874 873 875 877 876 878 880 879 881 883 882 884 886 885 887 889 888 890 892 891 893 895 894 896 898 897 899 901 900 902 904 903 905 907 906 908 910 909 911 913 912 914 916 915 917 919 918 920 922 921 923 925 924 926 928 927 929 931 930 932 934 933 935 937 936 938 940 939 941 943 942 944 946 945 947 949 948 950 952 951 953 955 954 956 958 957 959 961 960 962 964 963 965 967 966 968 970 969 971 973 972 974 976 975 977 979 978 980 982 981 983 985 984 986 988 987 989 991 990 992 994 993 995 997 996 998 1000 999 1001 1003 1002 1004 1006 1005 1007 1009 1008 1010 1012 1011 1013 1015 1014 1016 1018 1017 1019 1021 1020 1022 1024 1023 1025 1027 1026 1028 1030 1029 1031 1033 1032 1034 1036 1035 1037 1039 1038 1040 1042 1041 1043 1045 1044 1046 1048 1047 1049 1051 1050 1052 1054 1053 1055 1057 1056 1058 1060 1059 1061 1063 1062 1064 1066 1065 1067 1069 1068 1070 1072 1071 1073 1075 1074 1076 1078 1077 1079 1081 1080 1082 1084 1083 1085 1087 1086 1088 1090 1089 1091 1093 1092 1094 1096 1095 1097 1099 1098 1100 1102 1101 1103 1105 1104 1106 1108 1107 1109 1111 1110 1112 1114 1113 1115 1117 1116 1118 1120 1119 1121 1123 1122 1124 1126 1125 1127 1129 1128 1130 1132 1131 1133 1135 1134 1136 1138 1137 1139 1141 1140 1142 1144 1143 1145 1147 1146 1148 1150 1149 1151 1153 1152 1154 1156 1155 1157 1159 1158 1160 1162 1161 1163 1165 1164 1166 1168 1167 1169 1171 1170 1172 1174 1173 1175 1177 1176 1178 1180 1179 1181 1183 1182 1184 1186 1185 1187 1189 1188 1190 1192 1191 1193 1195 1194 1196 1198 1197 1199 1201 1200 1202 1204 1203 1205 1207 1206 1208 1210 1209 1211 1213 1212 1214 1216 1215 1217 1219 1218 1220 1222 1221 1223 1225 1224 1226 1228 1227 1229 1231 1230 1232 1234 1233 1235 1237 1236 1238 1240 1239 1241 1243 1242 1244 1246 1245 1247 1249 1248 1250 1252 1251 1253 1255 1254 1256 1258 1257 1259 1261 1260 1262 1264 1263 1265))
           (list :vertices #2f((2.000000 0.000000 -15.300000)(2.000000 8.349999 -14.800000)(2.000000 8.349999 -15.799999)(2.000000 8.349999 -14.800000)(2.000000 0.000000 -15.300000)(2.000000 -8.349999 -14.800000)(2.000000 8.349999 -14.800000)(-6.000000 9.075000 -15.300000)(2.000000 8.349999 -15.799999)(2.000000 -8.349999 -15.799999)(2.000000 0.000000 -15.300000)(2.000000 8.349999 -15.799999)(2.000000 -8.349999 -15.799999)(2.000000 -8.349999 -14.800000)(2.000000 0.000000 -15.300000)(-6.000000 0.000000 -14.800000)(2.000000 8.349999 -14.800000)(-2.000000 0.000000 -14.800000)(2.000000 8.349999 -14.800000)(2.000000 -8.349999 -14.800000)(-2.000000 0.000000 -14.800000)(2.000000 -8.349999 -14.800000)(-6.000000 0.000000 -14.800000)(-2.000000 0.000000 -14.800000)(-6.000000 9.075000 -15.300000)(-14.000000 9.800000 -15.799999)(2.000000 8.349999 -15.799999)(-14.000000 9.800000 -14.800000)(-6.000000 9.075000 -15.300000)(2.000000 8.349999 -14.800000)(-9.000000 0.000000 -15.799999)(2.000000 -8.349999 -15.799999)(-3.500000 0.000000 -15.799999)(2.000000 -8.349999 -15.799999)(2.000000 8.349999 -15.799999)(-3.500000 0.000000 -15.799999)(2.000000 8.349999 -15.799999)(-9.000000 0.000000 -15.799999)(-3.500000 0.000000 -15.799999)(2.000000 -8.349999 -14.800000)(2.000000 -8.349999 -15.799999)(-6.000000 -9.075000 -15.300000)(-6.000000 0.000000 -14.800000)(-14.000000 9.800000 -14.800000)(-6.000000 4.900000 -14.800000)(-14.000000 9.800000 -14.800000)(2.000000 8.349999 -14.800000)(-6.000000 4.900000 -14.800000)(2.000000 8.349999 -14.800000)(-6.000000 0.000000 -14.800000)(-6.000000 4.900000 -14.800000)(-6.000000 0.000000 -14.800000)(2.000000 -8.349999 -14.800000)(-6.000000 -4.900000 -14.800000)(2.000000 -8.349999 -14.800000)(-14.000000 -9.800000 -14.800000)(-6.000000 -4.900000 -14.800000)(-14.000000 -9.800000 -14.800000)(-6.000000 0.000000 -14.800000)(-6.000000 -4.900000 -14.800000)(-14.000000 9.800000 -14.800000)(-14.000000 9.800000 -15.799999)(-6.000000 9.075000 -15.300000)(-14.000000 9.800000 -15.799999)(-9.000000 0.000000 -15.799999)(2.000000 8.349999 -15.799999)(-9.000000 0.000000 -15.799999)(-14.000000 -9.800000 -15.799999)(2.000000 -8.349999 -15.799999)(2.000000 -8.349999 -14.800000)(-6.000000 -9.075000 -15.300000)(-14.000000 -9.800000 -14.800000)(-6.000000 -9.075000 -15.300000)(2.000000 -8.349999 -15.799999)(-14.000000 -9.800000 -15.799999)(-6.000000 0.000000 -14.800000)(-14.000000 -9.800000 -14.800000)(-10.000000 -0.000000 -14.800000)(-14.000000 -9.800000 -14.800000)(-14.000000 9.800000 -14.800000)(-10.000000 -0.000000 -14.800000)(-14.000000 9.800000 -14.800000)(-6.000000 0.000000 -14.800000)(-10.000000 -0.000000 -14.800000)(-14.000000 9.800000 -14.800000)(-14.333301 9.800000 0.000000)(-14.000000 9.800000 -15.799999)(-14.000000 9.800000 -15.799999)(-15.000000 9.800000 -15.799999)(-9.000000 0.000000 -15.799999)(-9.000000 0.000000 -15.799999)(-15.000000 -9.800000 -15.799999)(-14.000000 -9.800000 -15.799999)(-14.000000 -9.800000 -14.800000)(-6.000000 -9.075000 -15.300000)(-14.000000 -9.800000 -15.799999)(-14.000000 0.000000 0.000000)(-14.000000 9.800000 -14.800000)(-14.000000 0.000000 -7.400000)(-14.000000 9.800000 -14.800000)(-14.000000 -9.800000 -14.800000)(-14.000000 0.000000 -7.400000)(-14.000000 -9.800000 -14.800000)(-14.000000 0.000000 0.000000)(-14.000000 0.000000 -7.400000)(-15.000000 9.800000 -15.799999)(-14.000000 9.800000 -15.799999)(-14.333301 9.800000 0.000000)(-14.000000 9.800000 14.800000)(-14.333301 9.800000 0.000000)(-14.000000 9.800000 -14.800000)(-9.000000 0.000000 -15.799999)(-15.000000 9.800000 -15.799999)(-12.000000 0.000000 -15.799999)(-15.000000 9.800000 -15.799999)(-15.000000 -9.800000 -15.799999)(-12.000000 0.000000 -15.799999)(-15.000000 -9.800000 -15.799999)(-9.000000 0.000000 -15.799999)(-12.000000 0.000000 -15.799999)(-15.000000 -9.800000 -15.799999)(-14.333301 -9.800000 0.000000)(-14.000000 -9.800000 -15.799999)(-14.000000 -9.800000 -15.799999)(-14.333301 -9.800000 0.000000)(-14.000000 -9.800000 -14.800000)(-14.000000 0.000000 0.000000)(-14.000000 9.800000 14.800000)(-14.000000 4.900000 -0.000000)(-14.000000 9.800000 14.800000)(-14.000000 9.800000 -14.800000)(-14.000000 4.900000 -0.000000)(-14.000000 9.800000 -14.800000)(-14.000000 0.000000 0.000000)(-14.000000 4.900000 -0.000000)(-14.000000 0.000000 0.000000)(-14.000000 -9.800000 -14.800000)(-14.000000 -4.900000 0.000000)(-14.000000 -9.800000 -14.800000)(-14.000000 -9.800000 14.800000)(-14.000000 -4.900000 0.000000)(-14.000000 -9.800000 14.800000)(-14.000000 0.000000 0.000000)(-14.000000 -4.900000 0.000000)(-15.000000 9.800000 -12.500000)(-15.000000 9.800000 -15.799999)(-14.900000 9.800000 -12.500000)(-15.000000 9.800000 15.799999)(-15.000000 9.800000 12.500000)(-14.900000 9.800000 12.500000)(-14.333301 9.800000 0.000000)(-14.900000 9.800000 12.500000)(-14.900000 9.800000 -12.500000)(-15.000000 9.800000 -15.799999)(-14.333301 9.800000 0.000000)(-14.900000 9.800000 -12.500000)(-15.000000 9.800000 15.799999)(-14.900000 9.800000 12.500000)(-14.333301 9.800000 0.000000)(-14.000000 9.800000 15.799999)(-14.333301 9.800000 0.000000)(-14.000000 9.800000 14.800000)(-15.000000 -7.753160 -12.500000)(-15.000000 -9.800000 -15.799999)(-15.000000 -0.000000 -14.150001)(-15.000000 -9.800000 -15.799999)(-15.000000 9.800000 -15.799999)(-15.000000 -0.000000 -14.150001)(-15.000000 9.800000 -15.799999)(-15.000000 7.753160 -12.500000)(-15.000000 -0.000000 -14.150001)(-15.000000 7.753160 -12.500000)(-15.000000 -7.753160 -12.500000)(-15.000000 -0.000000 -14.150001)(-15.000000 -9.800000 12.500000)(-15.000000 -9.800000 15.799999)(-14.900000 -9.800000 12.500000)(-14.900000 -9.800000 11.057700)(-14.333301 -9.800000 0.000000)(-14.900000 -9.800000 -11.057700)(-15.000000 -9.800000 -12.500000)(-14.900000 -9.800000 -12.500000)(-15.000000 -9.800000 -15.799999)(-14.333301 -9.800000 0.000000)(-14.900000 -9.800000 11.057700)(-14.900000 -9.800000 12.500000)(-15.000000 -9.800000 15.799999)(-14.333301 -9.800000 0.000000)(-14.900000 -9.800000 12.500000)(-14.900000 -9.800000 -12.500000)(-14.333301 -9.800000 0.000000)(-15.000000 -9.800000 -15.799999)(-14.900000 -9.800000 -11.057700)(-14.333301 -9.800000 0.000000)(-14.900000 -9.800000 -12.500000)(-14.000000 -9.800000 -14.800000)(-14.333301 -9.800000 0.000000)(-14.000000 -9.800000 14.800000)(-14.000000 0.000000 0.000000)(-14.000000 -9.800000 14.800000)(-14.000000 -0.000000 7.400000)(-14.000000 -9.800000 14.800000)(-14.000000 9.800000 14.800000)(-14.000000 -0.000000 7.400000)(-14.000000 9.800000 14.800000)(-14.000000 0.000000 0.000000)(-14.000000 -0.000000 7.400000)(-15.000000 9.800000 15.799999)(-14.333301 9.800000 0.000000)(-14.000000 9.800000 15.799999)(-15.000000 9.768940 12.500000)(-15.000000 9.800000 12.500000)(-15.000000 9.800000 15.799999)(-15.000000 7.753160 12.500000)(-15.000000 9.741899 12.500000)(-15.000000 9.800000 15.799999)(-15.000000 9.800000 15.799999)(-15.000000 9.752500 12.500000)(-15.000000 9.741899 12.500000)(-15.000000 9.800000 15.799999)(-15.000000 9.759340 12.500000)(-15.000000 9.752500 12.500000)(-15.000000 9.800000 15.799999)(-15.000000 9.768940 12.500000)(-15.000000 9.759340 12.500000)(-14.900000 9.800000 12.500000)(-15.000000 9.800000 12.430201)(-15.000000 9.800000 12.500000)(-15.000000 9.800000 12.430201)(-15.000000 9.800000 -12.430201)(-14.900000 9.800000 12.500000)(-15.000000 9.800000 -12.430201)(-14.900000 9.800000 -12.500000)(-14.900000 9.800000 12.500000)(-14.900000 9.800000 -12.500000)(-15.000000 9.800000 -12.500000)(-15.000000 9.800000 -12.430201)(-15.000000 7.753160 -12.500000)(-15.000000 9.800000 -15.799999)(-15.000000 9.741899 -12.500000)(-15.000000 9.752080 -12.500000)(-15.000000 9.800000 -15.799999)(-15.000000 9.741899 -12.500000)(-15.000000 9.759170 -12.500000)(-15.000000 9.800000 -15.799999)(-15.000000 9.752080 -12.500000)(-15.000000 9.769140 -12.500000)(-15.000000 9.800000 -15.799999)(-15.000000 9.759170 -12.500000)(-15.000000 9.769140 -12.500000)(-15.000000 9.800000 -15.799999)(-15.000000 9.800000 -12.500000)(-14.000000 9.800000 15.799999)(-14.000000 9.800000 14.800000)(-6.000000 9.075000 15.300000)(-15.000000 -9.800000 -12.500000)(-15.000000 -9.800000 -15.799999)(-15.000000 -7.753160 -12.500000)(-15.000000 9.741899 -12.500000)(-50.700001 -11.000000 -12.500000)(-15.000000 7.753160 -12.500000)(-15.000000 7.753160 -12.500000)(-50.700001 -11.000000 -12.500000)(-15.000000 -7.753160 -12.500000)(-15.000000 -7.753160 -12.500000)(-50.700001 -11.000000 -12.500000)(-15.000000 -9.800000 -12.500000)(-14.900000 -9.800000 -12.500000)(-15.000000 -9.800000 -12.500000)(-14.900000 -11.000000 -12.500000)(-15.000000 -9.800000 -12.500000)(-50.700001 -11.000000 -12.500000)(-14.900000 -11.000000 -12.500000)(-14.900000 -9.800000 11.057700)(-14.900000 -9.800000 -11.057700)(-14.900000 -10.400000 0.000000)(-14.900000 -9.800000 -11.057700)(-14.900000 -11.000000 -12.500000)(-14.900000 -10.400000 0.000000)(-14.900000 -11.000000 -12.500000)(-14.900000 -11.000000 12.500000)(-14.900000 -10.400000 0.000000)(-14.900000 -11.000000 12.500000)(-14.900000 -9.800000 11.057700)(-14.900000 -10.400000 0.000000)(-14.900000 -11.000000 12.500000)(-14.900000 -9.800000 12.500000)(-14.900000 -9.800000 11.057700)(-15.000000 -9.800000 12.500000)(-14.900000 -9.800000 12.500000)(-14.900000 -11.000000 12.500000)(-15.000000 -7.753160 12.500000)(-15.000000 -9.800000 12.500000)(-50.700001 -11.000000 12.500000)(-15.000000 9.741899 12.500000)(-15.000000 7.753160 12.500000)(-50.700001 -11.000000 12.500000)(-15.000000 7.753160 12.500000)(-15.000000 -7.753160 12.500000)(-50.700001 -11.000000 12.500000)(-15.000000 -9.800000 12.500000)(-14.900000 -11.000000 12.500000)(-50.700001 -11.000000 12.500000)(-15.000000 -9.800000 12.500000)(-15.000000 -7.753160 12.500000)(-15.000000 -9.800000 15.799999)(-15.000000 -9.800000 15.799999)(-14.000000 -9.800000 15.799999)(-14.333301 -9.800000 0.000000)(-14.900000 -11.000000 -12.500000)(-14.900000 -9.800000 -11.057700)(-14.900000 -9.800000 -12.500000)(-14.000000 -9.800000 14.800000)(-14.333301 -9.800000 0.000000)(-14.000000 -9.800000 15.799999)(-6.000000 0.000000 14.800000)(-14.000000 9.800000 14.800000)(-10.000000 0.000000 14.800000)(-14.000000 9.800000 14.800000)(-14.000000 -9.800000 14.800000)(-10.000000 0.000000 14.800000)(-14.000000 -9.800000 14.800000)(-6.000000 0.000000 14.800000)(-10.000000 0.000000 14.800000)(-15.000000 9.800000 15.799999)(-14.000000 9.800000 15.799999)(-9.000000 0.000000 15.799999)(-15.000000 9.800000 12.500000)(-15.000000 9.768940 12.500000)(-32.850002 5.925300 12.500000)(-15.000000 9.768940 12.500000)(-39.848999 2.050600 12.500000)(-32.850002 5.925300 12.500000)(-39.848999 2.050600 12.500000)(-50.700001 9.800000 12.500000)(-32.850002 5.925300 12.500000)(-50.700001 9.800000 12.500000)(-15.000000 9.800000 12.500000)(-32.850002 5.925300 12.500000)(-15.000000 7.753160 12.500000)(-15.000000 9.800000 15.799999)(-15.000000 0.000000 14.150001)(-15.000000 9.800000 15.799999)(-15.000000 -9.800000 15.799999)(-15.000000 0.000000 14.150001)(-15.000000 -9.800000 15.799999)(-15.000000 -7.753160 12.500000)(-15.000000 0.000000 14.150001)(-15.000000 -7.753160 12.500000)(-15.000000 7.753160 12.500000)(-15.000000 0.000000 14.150001)(-15.000000 9.752500 12.500000)(-15.000000 9.741899 12.500000)(-39.848999 -2.050600 12.500000)(-39.848999 -2.050600 12.500000)(-15.000000 9.741899 12.500000)(-50.700001 -11.000000 12.500000)(-15.000000 9.759340 12.500000)(-15.000000 9.752500 12.500000)(-39.000000 0.000000 12.500000)(-39.000000 0.000000 12.500000)(-15.000000 9.752500 12.500000)(-39.848999 -2.050600 12.500000)(-15.000000 9.768940 12.500000)(-15.000000 9.759340 12.500000)(-39.848999 2.050600 12.500000)(-39.848999 2.050600 12.500000)(-15.000000 9.759340 12.500000)(-39.000000 0.000000 12.500000)(-15.000000 9.800000 12.430201)(-15.000000 9.800000 12.500000)(-32.850002 9.800000 6.250000)(-15.000000 9.800000 12.500000)(-50.700001 9.800000 12.500000)(-32.850002 9.800000 6.250000)(-50.700001 9.800000 12.500000)(-32.799999 9.800000 0.000000)(-32.850002 9.800000 6.250000)(-32.799999 9.800000 0.000000)(-15.000000 9.800000 12.430201)(-32.850002 9.800000 6.250000)(-15.000000 9.800000 -12.430201)(-15.000000 9.800000 12.430201)(-23.900000 9.800000 0.000000)(-15.000000 9.800000 12.430201)(-32.799999 9.800000 0.000000)(-23.900000 9.800000 0.000000)(-32.799999 9.800000 0.000000)(-15.000000 9.800000 -12.430201)(-23.900000 9.800000 0.000000)(-32.799999 9.800000 0.000000)(-50.700001 9.800000 -12.500000)(-32.850002 9.800000 -6.250000)(-50.700001 9.800000 -12.500000)(-15.000000 9.800000 -12.500000)(-32.850002 9.800000 -6.250000)(-15.000000 9.800000 -12.500000)(-15.000000 9.800000 -12.430201)(-32.850002 9.800000 -6.250000)(-15.000000 9.800000 -12.430201)(-32.799999 9.800000 0.000000)(-32.850002 9.800000 -6.250000)(-15.000000 9.769140 -12.500000)(-15.000000 9.800000 -12.500000)(-32.850002 5.960650 -12.500000)(-15.000000 9.800000 -12.500000)(-50.700001 9.800000 -12.500000)(-32.850002 5.960650 -12.500000)(-50.700001 9.800000 -12.500000)(-39.778999 2.121300 -12.500000)(-32.850002 5.960650 -12.500000)(-39.778999 2.121300 -12.500000)(-15.000000 9.769140 -12.500000)(-32.850002 5.960650 -12.500000)(-15.000000 9.769140 -12.500000)(-39.778999 2.121300 -12.500000)(-15.000000 9.759170 -12.500000)(-39.778999 2.121300 -12.500000)(-38.899998 0.000000 -12.500000)(-15.000000 9.759170 -12.500000)(-15.000000 9.759170 -12.500000)(-38.899998 0.000000 -12.500000)(-15.000000 9.752080 -12.500000)(-38.899998 0.000000 -12.500000)(-39.778999 -2.121300 -12.500000)(-15.000000 9.752080 -12.500000)(-15.000000 9.752080 -12.500000)(-39.778999 -2.121300 -12.500000)(-15.000000 9.741899 -12.500000)(-15.000000 9.741899 -12.500000)(-39.778999 -2.121300 -12.500000)(-50.700001 -11.000000 -12.500000)(-14.000000 9.800000 15.799999)(-6.000000 9.075000 15.300000)(2.000000 8.349999 15.799999)(-6.000000 9.075000 15.300000)(-14.000000 9.800000 14.800000)(2.000000 8.349999 14.800000)(-32.799999 -11.000000 0.000000)(-14.900000 -11.000000 -12.500000)(-32.799999 -11.000000 -6.250000)(-14.900000 -11.000000 -12.500000)(-50.700001 -11.000000 -12.500000)(-32.799999 -11.000000 -6.250000)(-50.700001 -11.000000 -12.500000)(-32.799999 -11.000000 0.000000)(-32.799999 -11.000000 -6.250000)(-32.799999 -11.000000 0.000000)(-14.900000 -11.000000 12.500000)(-23.850000 -11.000000 0.000000)(-14.900000 -11.000000 12.500000)(-14.900000 -11.000000 -12.500000)(-23.850000 -11.000000 0.000000)(-14.900000 -11.000000 -12.500000)(-32.799999 -11.000000 0.000000)(-23.850000 -11.000000 0.000000)(-32.799999 -11.000000 0.000000)(-50.700001 -11.000000 12.500000)(-32.799999 -11.000000 6.250000)(-50.700001 -11.000000 12.500000)(-14.900000 -11.000000 12.500000)(-32.799999 -11.000000 6.250000)(-14.900000 -11.000000 12.500000)(-32.799999 -11.000000 0.000000)(-32.799999 -11.000000 6.250000)(-9.000000 0.000000 15.799999)(-14.000000 -9.800000 15.799999)(-15.000000 -9.800000 15.799999)(-14.000000 -9.800000 15.799999)(-6.000000 -9.075000 15.300000)(-14.000000 -9.800000 14.800000)(-6.000000 0.000000 14.800000)(2.000000 8.349999 14.800000)(-6.000000 4.900000 14.800000)(2.000000 8.349999 14.800000)(-14.000000 9.800000 14.800000)(-6.000000 4.900000 14.800000)(-14.000000 9.800000 14.800000)(-6.000000 0.000000 14.800000)(-6.000000 4.900000 14.800000)(-6.000000 0.000000 14.800000)(-14.000000 -9.800000 14.800000)(-6.000000 -4.900000 14.800000)(-14.000000 -9.800000 14.800000)(2.000000 -8.349999 14.800000)(-6.000000 -4.900000 14.800000)(2.000000 -8.349999 14.800000)(-6.000000 0.000000 14.800000)(-6.000000 -4.900000 14.800000)(-9.000000 0.000000 15.799999)(-15.000000 -9.800000 15.799999)(-12.000000 0.000000 15.799999)(-15.000000 -9.800000 15.799999)(-15.000000 9.800000 15.799999)(-12.000000 0.000000 15.799999)(-15.000000 9.800000 15.799999)(-9.000000 0.000000 15.799999)(-12.000000 0.000000 15.799999)(-14.000000 9.800000 15.799999)(2.000000 8.349999 15.799999)(-9.000000 0.000000 15.799999)(-50.700001 9.800000 12.500000)(-39.848999 2.050600 12.500000)(-41.900002 2.900000 12.500000)(-41.900002 -2.900000 12.500000)(-39.848999 -2.050600 12.500000)(-50.700001 -11.000000 12.500000)(-39.424999 -1.025300 14.150001)(-39.000000 0.000000 12.500000)(-39.424698 -1.025210 13.325000)(-39.000000 0.000000 12.500000)(-39.848999 -2.050600 12.500000)(-39.424698 -1.025210 13.325000)(-39.848999 -2.050600 12.500000)(-39.424999 -1.025300 14.150001)(-39.424698 -1.025210 13.325000)(-39.424698 1.025210 13.325000)(-39.424999 1.025300 14.150001)(-39.848999 2.050600 12.500000)(-39.424698 1.025210 13.325000)(-39.848999 2.050600 12.500000)(-39.000000 0.000000 12.500000)(-39.424698 1.025210 13.325000)(-39.000000 0.000000 12.500000)(-39.424999 1.025300 14.150001)(-32.799999 9.800000 0.000000)(-50.700001 9.800000 12.500000)(-41.750000 9.800000 0.000000)(-50.700001 9.800000 12.500000)(-50.700001 9.800000 -12.500000)(-41.750000 9.800000 0.000000)(-50.700001 9.800000 -12.500000)(-32.799999 9.800000 0.000000)(-41.750000 9.800000 0.000000)(-41.900002 3.000000 -12.500000)(-39.778999 2.121300 -12.500000)(-50.700001 9.800000 -12.500000)(-39.338997 1.060700 -14.150001)(-38.899998 0.000000 -12.500000)(-39.339302 1.060740 -13.325000)(-38.899998 0.000000 -12.500000)(-39.778999 2.121300 -12.500000)(-39.339302 1.060740 -13.325000)(-39.778999 2.121300 -12.500000)(-39.338997 1.060700 -14.150001)(-39.339302 1.060740 -13.325000)(-39.338997 -1.060700 -14.150001)(-39.778999 -2.121300 -12.500000)(-39.339302 -1.060740 -13.325000)(-39.778999 -2.121300 -12.500000)(-38.899998 0.000000 -12.500000)(-39.339302 -1.060740 -13.325000)(-38.899998 0.000000 -12.500000)(-39.338997 -1.060700 -14.150001)(-39.339302 -1.060740 -13.325000)(-50.700001 -11.000000 -12.500000)(-39.778999 -2.121300 -12.500000)(-41.900002 -3.000000 -12.500000)(2.000000 8.349999 15.799999)(-6.000000 9.075000 15.300000)(2.000000 8.349999 14.800000)(-32.799999 -11.000000 0.000000)(-50.700001 -11.000000 -12.500000)(-41.750000 -11.000000 -0.000000)(-50.700001 -11.000000 -12.500000)(-50.700001 -11.000000 12.500000)(-41.750000 -11.000000 -0.000000)(-50.700001 -11.000000 12.500000)(-32.799999 -11.000000 0.000000)(-41.750000 -11.000000 -0.000000)(-9.000000 0.000000 15.799999)(2.000000 -8.349999 15.799999)(-14.000000 -9.800000 15.799999)(-14.000000 -9.800000 14.800000)(-6.000000 -9.075000 15.300000)(2.000000 -8.349999 14.800000)(2.000000 -8.349999 15.799999)(-6.000000 -9.075000 15.300000)(-14.000000 -9.800000 15.799999)(-6.000000 0.000000 14.800000)(2.000000 -8.349999 14.800000)(-2.000000 0.000000 14.800000)(2.000000 -8.349999 14.800000)(2.000000 8.349999 14.800000)(-2.000000 0.000000 14.800000)(2.000000 8.349999 14.800000)(-6.000000 0.000000 14.800000)(-2.000000 0.000000 14.800000)(-9.000000 0.000000 15.799999)(2.000000 8.349999 15.799999)(-3.500000 0.000000 15.799999)(2.000000 8.349999 15.799999)(2.000000 -8.349999 15.799999)(-3.500000 0.000000 15.799999)(2.000000 -8.349999 15.799999)(-9.000000 0.000000 15.799999)(-3.500000 0.000000 15.799999)(-40.874500 2.475210 13.325000)(-40.875000 2.475300 14.150001)(-41.900002 2.900000 12.500000)(-40.874500 2.475210 13.325000)(-41.900002 2.900000 12.500000)(-39.848999 2.050600 12.500000)(-40.874500 2.475210 13.325000)(-39.848999 2.050600 12.500000)(-40.875000 2.475300 14.150001)(-50.700001 9.800000 12.500000)(-41.900002 2.900000 12.500000)(-43.951000 2.050600 12.500000)(-43.951000 -2.050600 12.500000)(-41.900002 -2.900000 12.500000)(-50.700001 -11.000000 12.500000)(-40.875000 -2.475300 14.150001)(-39.848999 -2.050600 12.500000)(-40.874500 -2.475210 13.325000)(-39.848999 -2.050600 12.500000)(-41.900002 -2.900000 12.500000)(-40.874500 -2.475210 13.325000)(-41.900002 -2.900000 12.500000)(-40.875000 -2.475300 14.150001)(-40.874500 -2.475210 13.325000)(-39.424999 -1.025300 14.150001)(-39.000000 0.000000 15.799999)(-39.212498 -0.512650 14.150001)(-39.000000 0.000000 15.799999)(-39.000000 0.000000 12.500000)(-39.212498 -0.512650 14.150001)(-39.000000 0.000000 12.500000)(-39.424999 -1.025300 14.150001)(-39.212498 -0.512650 14.150001)(-39.424999 -1.025300 14.150001)(-39.848999 -2.050600 12.500000)(-39.637001 -1.537950 14.150001)(-39.848999 -2.050600 12.500000)(-39.848999 -2.050600 15.799999)(-39.637001 -1.537950 14.150001)(-39.848999 -2.050600 15.799999)(-39.424999 -1.025300 14.150001)(-39.637001 -1.537950 14.150001)(-39.424999 1.025300 14.150001)(-39.848999 2.050600 15.799999)(-39.637001 1.537950 14.150001)(-39.848999 2.050600 15.799999)(-39.848999 2.050600 12.500000)(-39.637001 1.537950 14.150001)(-39.848999 2.050600 12.500000)(-39.424999 1.025300 14.150001)(-39.637001 1.537950 14.150001)(-39.424999 1.025300 14.150001)(-39.000000 0.000000 12.500000)(-39.212498 0.512650 14.150001)(-39.000000 0.000000 12.500000)(-39.000000 0.000000 15.799999)(-39.212498 0.512650 14.150001)(-39.000000 0.000000 15.799999)(-39.424999 1.025300 14.150001)(-39.212498 0.512650 14.150001)(-50.700001 -0.599999 0.000000)(-50.700001 9.800000 -12.500000)(-50.700001 4.600000 0.000000)(-50.700001 9.800000 -12.500000)(-50.700001 9.800000 12.500000)(-50.700001 4.600000 0.000000)(-50.700001 9.800000 12.500000)(-50.700001 -0.599999 0.000000)(-50.700001 4.600000 0.000000)(-50.700001 9.800000 -12.500000)(-44.021000 2.121300 -12.500000)(-41.900002 3.000000 -12.500000)(-40.839001 2.560700 -14.150001)(-39.778999 2.121300 -12.500000)(-40.839500 2.560760 -13.325000)(-39.778999 2.121300 -12.500000)(-41.900002 3.000000 -12.500000)(-40.839500 2.560760 -13.325000)(-41.900002 3.000000 -12.500000)(-40.839001 2.560700 -14.150001)(-40.839500 2.560760 -13.325000)(-39.338997 1.060700 -14.150001)(-38.899998 0.000000 -15.799999)(-39.119499 0.530350 -14.150001)(-38.899998 0.000000 -15.799999)(-38.899998 0.000000 -12.500000)(-39.119499 0.530350 -14.150001)(-38.899998 0.000000 -12.500000)(-39.338997 1.060700 -14.150001)(-39.119499 0.530350 -14.150001)(-39.338997 1.060700 -14.150001)(-39.778999 2.121300 -12.500000)(-39.558998 1.591000 -14.150001)(-39.778999 2.121300 -12.500000)(-39.778999 2.121300 -15.799999)(-39.558998 1.591000 -14.150001)(-39.778999 2.121300 -15.799999)(-39.338997 1.060700 -14.150001)(-39.558998 1.591000 -14.150001)(-39.338997 -1.060700 -14.150001)(-39.778999 -2.121300 -15.799999)(-39.558998 -1.591000 -14.150001)(-39.778999 -2.121300 -15.799999)(-39.778999 -2.121300 -12.500000)(-39.558998 -1.591000 -14.150001)(-39.778999 -2.121300 -12.500000)(-39.338997 -1.060700 -14.150001)(-39.558998 -1.591000 -14.150001)(-39.338997 -1.060700 -14.150001)(-38.899998 0.000000 -12.500000)(-39.119499 -0.530350 -14.150001)(-38.899998 0.000000 -12.500000)(-38.899998 0.000000 -15.799999)(-39.119499 -0.530350 -14.150001)(-38.899998 0.000000 -15.799999)(-39.338997 -1.060700 -14.150001)(-39.119499 -0.530350 -14.150001)(-40.839500 -2.560760 -13.325000)(-40.839001 -2.560700 -14.150001)(-41.900002 -3.000000 -12.500000)(-40.839500 -2.560760 -13.325000)(-41.900002 -3.000000 -12.500000)(-39.778999 -2.121300 -12.500000)(-40.839500 -2.560760 -13.325000)(-39.778999 -2.121300 -12.500000)(-40.839001 -2.560700 -14.150001)(-44.021000 -2.121300 -12.500000)(-50.700001 -11.000000 -12.500000)(-41.900002 -3.000000 -12.500000)(2.000000 0.000000 15.300000)(2.000000 8.349999 15.799999)(2.000000 8.349999 14.800000)(-50.700001 -0.599999 0.000000)(-50.700001 -11.000000 12.500000)(-50.700001 -5.800000 -0.000000)(-50.700001 -11.000000 12.500000)(-50.700001 -11.000000 -12.500000)(-50.700001 -5.800000 -0.000000)(-50.700001 -11.000000 -12.500000)(-50.700001 -0.599999 0.000000)(-50.700001 -5.800000 -0.000000)(2.000000 -8.349999 15.799999)(2.000000 -8.349999 14.800000)(-6.000000 -9.075000 15.300000)(2.000000 -8.349999 14.800000)(2.000000 0.000000 15.300000)(2.000000 8.349999 14.800000)(2.000000 8.349999 15.799999)(2.000000 0.000000 15.300000)(2.000000 -8.349999 15.799999)(-40.875000 2.475300 14.150001)(-41.900002 2.900000 15.799999)(-41.387497 2.687650 14.150001)(-41.900002 2.900000 15.799999)(-41.900002 2.900000 12.500000)(-41.387497 2.687650 14.150001)(-41.900002 2.900000 12.500000)(-40.875000 2.475300 14.150001)(-41.387497 2.687650 14.150001)(-40.875000 2.475300 14.150001)(-39.848999 2.050600 12.500000)(-40.362000 2.262950 14.150001)(-39.848999 2.050600 12.500000)(-39.848999 2.050600 15.799999)(-40.362000 2.262950 14.150001)(-39.848999 2.050600 15.799999)(-40.875000 2.475300 14.150001)(-40.362000 2.262950 14.150001)(-42.924999 2.475300 14.150001)(-43.951000 2.050600 12.500000)(-42.925499 2.475210 13.325000)(-43.951000 2.050600 12.500000)(-41.900002 2.900000 12.500000)(-42.925499 2.475210 13.325000)(-41.900002 2.900000 12.500000)(-42.924999 2.475300 14.150001)(-42.925499 2.475210 13.325000)(-50.700001 9.800000 12.500000)(-43.951000 2.050600 12.500000)(-50.700001 -11.000000 12.500000)(-44.799999 0.000000 12.500000)(-43.951000 -2.050600 12.500000)(-50.700001 -11.000000 12.500000)(-42.924999 -2.475300 14.150001)(-41.900002 -2.900000 12.500000)(-42.925499 -2.475210 13.325000)(-41.900002 -2.900000 12.500000)(-43.951000 -2.050600 12.500000)(-42.925499 -2.475210 13.325000)(-43.951000 -2.050600 12.500000)(-42.924999 -2.475300 14.150001)(-42.925499 -2.475210 13.325000)(-40.875000 -2.475300 14.150001)(-39.848999 -2.050600 15.799999)(-40.362000 -2.262950 14.150001)(-39.848999 -2.050600 15.799999)(-39.848999 -2.050600 12.500000)(-40.362000 -2.262950 14.150001)(-39.848999 -2.050600 12.500000)(-40.875000 -2.475300 14.150001)(-40.362000 -2.262950 14.150001)(-40.875000 -2.475300 14.150001)(-41.900002 -2.900000 12.500000)(-41.387497 -2.687650 14.150001)(-41.900002 -2.900000 12.500000)(-41.900002 -2.900000 15.799999)(-41.387497 -2.687650 14.150001)(-41.900002 -2.900000 15.799999)(-40.875000 -2.475300 14.150001)(-41.387497 -2.687650 14.150001)(-39.424999 -1.025300 14.150001)(-39.848999 -2.050600 15.799999)(-39.424698 -1.025210 14.975000)(-39.848999 -2.050600 15.799999)(-39.000000 0.000000 15.799999)(-39.424698 -1.025210 14.975000)(-39.000000 0.000000 15.799999)(-39.424999 -1.025300 14.150001)(-39.424698 -1.025210 14.975000)(-39.424999 1.025300 14.150001)(-39.000000 0.000000 15.799999)(-39.424698 1.025210 14.975000)(-39.000000 0.000000 15.799999)(-39.848999 2.050600 15.799999)(-39.424698 1.025210 14.975000)(-39.848999 2.050600 15.799999)(-39.424999 1.025300 14.150001)(-39.424698 1.025210 14.975000)(-50.700001 -0.599999 0.000000)(-50.700001 -11.000000 -12.500000)(-50.700001 -0.600000 -6.250000)(-50.700001 -11.000000 -12.500000)(-50.700001 9.800000 -12.500000)(-50.700001 -0.600000 -6.250000)(-50.700001 9.800000 -12.500000)(-50.700001 -0.599999 0.000000)(-50.700001 -0.600000 -6.250000)(-50.700001 -0.599999 0.000000)(-50.700001 9.800000 12.500000)(-50.700001 -0.600000 6.250000)(-50.700001 9.800000 12.500000)(-50.700001 -11.000000 12.500000)(-50.700001 -0.600000 6.250000)(-50.700001 -11.000000 12.500000)(-50.700001 -0.599999 0.000000)(-50.700001 -0.600000 6.250000)(-44.021000 2.121300 -12.500000)(-50.700001 9.800000 -12.500000)(-50.700001 -11.000000 -12.500000)(-42.960499 2.560760 -13.325000)(-42.961002 2.560700 -14.150001)(-41.900002 3.000000 -12.500000)(-42.960499 2.560760 -13.325000)(-41.900002 3.000000 -12.500000)(-44.021000 2.121300 -12.500000)(-42.960499 2.560760 -13.325000)(-44.021000 2.121300 -12.500000)(-42.961002 2.560700 -14.150001)(-40.839001 2.560700 -14.150001)(-39.778999 2.121300 -15.799999)(-40.309002 2.341000 -14.150001)(-39.778999 2.121300 -15.799999)(-39.778999 2.121300 -12.500000)(-40.309002 2.341000 -14.150001)(-39.778999 2.121300 -12.500000)(-40.839001 2.560700 -14.150001)(-40.309002 2.341000 -14.150001)(-40.839001 2.560700 -14.150001)(-41.900002 3.000000 -12.500000)(-41.369503 2.780350 -14.150001)(-41.900002 3.000000 -12.500000)(-41.900002 3.000000 -15.799999)(-41.369503 2.780350 -14.150001)(-41.900002 3.000000 -15.799999)(-40.839001 2.560700 -14.150001)(-41.369503 2.780350 -14.150001)(-39.338997 1.060700 -14.150001)(-39.778999 2.121300 -15.799999)(-39.339302 1.060740 -14.975000)(-39.778999 2.121300 -15.799999)(-38.899998 0.000000 -15.799999)(-39.339302 1.060740 -14.975000)(-38.899998 0.000000 -15.799999)(-39.338997 1.060700 -14.150001)(-39.339302 1.060740 -14.975000)(-39.338997 -1.060700 -14.150001)(-38.899998 0.000000 -15.799999)(-39.339302 -1.060740 -14.975000)(-38.899998 0.000000 -15.799999)(-39.778999 -2.121300 -15.799999)(-39.339302 -1.060740 -14.975000)(-39.778999 -2.121300 -15.799999)(-39.338997 -1.060700 -14.150001)(-39.339302 -1.060740 -14.975000)(-40.839001 -2.560700 -14.150001)(-39.778999 -2.121300 -12.500000)(-40.309002 -2.341000 -14.150001)(-39.778999 -2.121300 -12.500000)(-39.778999 -2.121300 -15.799999)(-40.309002 -2.341000 -14.150001)(-39.778999 -2.121300 -15.799999)(-40.839001 -2.560700 -14.150001)(-40.309002 -2.341000 -14.150001)(-40.839001 -2.560700 -14.150001)(-41.900002 -3.000000 -15.799999)(-41.369503 -2.780350 -14.150001)(-41.900002 -3.000000 -15.799999)(-41.900002 -3.000000 -12.500000)(-41.369503 -2.780350 -14.150001)(-41.900002 -3.000000 -12.500000)(-40.839001 -2.560700 -14.150001)(-41.369503 -2.780350 -14.150001)(-42.961002 -2.560700 -14.150001)(-44.021000 -2.121300 -12.500000)(-42.960499 -2.560760 -13.325000)(-44.021000 -2.121300 -12.500000)(-41.900002 -3.000000 -12.500000)(-42.960499 -2.560760 -13.325000)(-41.900002 -3.000000 -12.500000)(-42.961002 -2.560700 -14.150001)(-42.960499 -2.560760 -13.325000)(-44.021000 -2.121300 -12.500000)(-44.900002 0.000000 -12.500000)(-50.700001 -11.000000 -12.500000)(2.000000 -8.349999 14.800000)(2.000000 -8.349999 15.799999)(2.000000 0.000000 15.300000)(-40.874500 2.475210 14.975000)(-40.875000 2.475300 14.150001)(-39.848999 2.050600 15.799999)(-40.874500 2.475210 14.975000)(-39.848999 2.050600 15.799999)(-41.900002 2.900000 15.799999)(-40.874500 2.475210 14.975000)(-41.900002 2.900000 15.799999)(-40.875000 2.475300 14.150001)(-42.924999 2.475300 14.150001)(-41.900002 2.900000 12.500000)(-42.412502 2.687650 14.150001)(-41.900002 2.900000 12.500000)(-41.900002 2.900000 15.799999)(-42.412502 2.687650 14.150001)(-41.900002 2.900000 15.799999)(-42.924999 2.475300 14.150001)(-42.412502 2.687650 14.150001)(-42.924999 2.475300 14.150001)(-43.951000 2.050600 15.799999)(-43.438000 2.262950 14.150001)(-43.951000 2.050600 15.799999)(-43.951000 2.050600 12.500000)(-43.438000 2.262950 14.150001)(-43.951000 2.050600 12.500000)(-42.924999 2.475300 14.150001)(-43.438000 2.262950 14.150001)(-43.951000 2.050600 12.500000)(-44.799999 0.000000 12.500000)(-50.700001 -11.000000 12.500000)(-44.375301 -1.025210 13.325000)(-44.375000 -1.025300 14.150001)(-43.951000 -2.050600 12.500000)(-44.375301 -1.025210 13.325000)(-43.951000 -2.050600 12.500000)(-44.799999 0.000000 12.500000)(-44.375301 -1.025210 13.325000)(-44.799999 0.000000 12.500000)(-44.375000 -1.025300 14.150001)(-42.924999 -2.475300 14.150001)(-41.900002 -2.900000 15.799999)(-42.412502 -2.687650 14.150001)(-41.900002 -2.900000 15.799999)(-41.900002 -2.900000 12.500000)(-42.412502 -2.687650 14.150001)(-41.900002 -2.900000 12.500000)(-42.924999 -2.475300 14.150001)(-42.412502 -2.687650 14.150001)(-42.924999 -2.475300 14.150001)(-43.951000 -2.050600 12.500000)(-43.438000 -2.262950 14.150001)(-43.951000 -2.050600 12.500000)(-43.951000 -2.050600 15.799999)(-43.438000 -2.262950 14.150001)(-43.951000 -2.050600 15.799999)(-42.924999 -2.475300 14.150001)(-43.438000 -2.262950 14.150001)(-40.875000 -2.475300 14.150001)(-41.900002 -2.900000 15.799999)(-40.874500 -2.475210 14.975000)(-41.900002 -2.900000 15.799999)(-39.848999 -2.050600 15.799999)(-40.874500 -2.475210 14.975000)(-39.848999 -2.050600 15.799999)(-40.875000 -2.475300 14.150001)(-40.874500 -2.475210 14.975000)(-39.000000 0.000000 15.799999)(-39.848999 -2.050600 15.799999)(-41.900002 0.000000 15.799999)(-39.848999 2.050600 15.799999)(-39.000000 0.000000 15.799999)(-41.900002 0.000000 15.799999)(-50.700001 -11.000000 -12.500000)(-44.900002 0.000000 -12.500000)(-44.021000 2.121300 -12.500000)(-42.961002 2.560700 -14.150001)(-41.900002 3.000000 -15.799999)(-42.430500 2.780350 -14.150001)(-41.900002 3.000000 -15.799999)(-41.900002 3.000000 -12.500000)(-42.430500 2.780350 -14.150001)(-41.900002 3.000000 -12.500000)(-42.961002 2.560700 -14.150001)(-42.430500 2.780350 -14.150001)(-42.961002 2.560700 -14.150001)(-44.021000 2.121300 -12.500000)(-43.490997 2.341000 -14.150001)(-44.021000 2.121300 -12.500000)(-44.021000 2.121300 -15.799999)(-43.490997 2.341000 -14.150001)(-44.021000 2.121300 -15.799999)(-42.961002 2.560700 -14.150001)(-43.490997 2.341000 -14.150001)(-40.839001 2.560700 -14.150001)(-41.900002 3.000000 -15.799999)(-40.839500 2.560760 -14.975000)(-41.900002 3.000000 -15.799999)(-39.778999 2.121300 -15.799999)(-40.839500 2.560760 -14.975000)(-39.778999 2.121300 -15.799999)(-40.839001 2.560700 -14.150001)(-40.839500 2.560760 -14.975000)(-39.778999 2.121300 -15.799999)(-41.900002 0.000000 -15.799999)(-38.899998 0.000000 -15.799999)(-38.899998 0.000000 -15.799999)(-41.900002 0.000000 -15.799999)(-39.778999 -2.121300 -15.799999)(-40.839500 -2.560760 -14.975000)(-40.839001 -2.560700 -14.150001)(-39.778999 -2.121300 -15.799999)(-40.839500 -2.560760 -14.975000)(-39.778999 -2.121300 -15.799999)(-41.900002 -3.000000 -15.799999)(-40.839500 -2.560760 -14.975000)(-41.900002 -3.000000 -15.799999)(-40.839001 -2.560700 -14.150001)(-42.961002 -2.560700 -14.150001)(-41.900002 -3.000000 -12.500000)(-42.430500 -2.780350 -14.150001)(-41.900002 -3.000000 -12.500000)(-41.900002 -3.000000 -15.799999)(-42.430500 -2.780350 -14.150001)(-41.900002 -3.000000 -15.799999)(-42.961002 -2.560700 -14.150001)(-42.430500 -2.780350 -14.150001)(-42.961002 -2.560700 -14.150001)(-44.021000 -2.121300 -15.799999)(-43.490997 -2.341000 -14.150001)(-44.021000 -2.121300 -15.799999)(-44.021000 -2.121300 -12.500000)(-43.490997 -2.341000 -14.150001)(-44.021000 -2.121300 -12.500000)(-42.961002 -2.560700 -14.150001)(-43.490997 -2.341000 -14.150001)(-44.461002 -1.060700 -14.150001)(-44.900002 0.000000 -12.500000)(-44.460697 -1.060740 -13.325000)(-44.900002 0.000000 -12.500000)(-44.021000 -2.121300 -12.500000)(-44.460697 -1.060740 -13.325000)(-44.021000 -2.121300 -12.500000)(-44.461002 -1.060700 -14.150001)(-44.460697 -1.060740 -13.325000)(-41.900002 2.900000 15.799999)(-39.848999 2.050600 15.799999)(-41.900002 0.000000 15.799999)(-42.924999 2.475300 14.150001)(-41.900002 2.900000 15.799999)(-42.925499 2.475210 14.975000)(-41.900002 2.900000 15.799999)(-43.951000 2.050600 15.799999)(-42.925499 2.475210 14.975000)(-43.951000 2.050600 15.799999)(-42.924999 2.475300 14.150001)(-42.925499 2.475210 14.975000)(-44.375000 1.025300 14.150001)(-43.951000 2.050600 12.500000)(-44.162998 1.537950 14.150001)(-43.951000 2.050600 12.500000)(-43.951000 2.050600 15.799999)(-44.162998 1.537950 14.150001)(-43.951000 2.050600 15.799999)(-44.375000 1.025300 14.150001)(-44.162998 1.537950 14.150001)(-44.375000 1.025300 14.150001)(-44.799999 0.000000 12.500000)(-44.375301 1.025210 13.325000)(-44.799999 0.000000 12.500000)(-43.951000 2.050600 12.500000)(-44.375301 1.025210 13.325000)(-43.951000 2.050600 12.500000)(-44.375000 1.025300 14.150001)(-44.375301 1.025210 13.325000)(-44.375000 -1.025300 14.150001)(-43.951000 -2.050600 15.799999)(-44.162998 -1.537950 14.150001)(-43.951000 -2.050600 15.799999)(-43.951000 -2.050600 12.500000)(-44.162998 -1.537950 14.150001)(-43.951000 -2.050600 12.500000)(-44.375000 -1.025300 14.150001)(-44.162998 -1.537950 14.150001)(-44.375000 -1.025300 14.150001)(-44.799999 0.000000 12.500000)(-44.587502 -0.512650 14.150001)(-44.799999 0.000000 12.500000)(-44.799999 0.000000 15.799999)(-44.587502 -0.512650 14.150001)(-44.799999 0.000000 15.799999)(-44.375000 -1.025300 14.150001)(-44.587502 -0.512650 14.150001)(-42.925499 -2.475210 14.975000)(-42.924999 -2.475300 14.150001)(-43.951000 -2.050600 15.799999)(-42.925499 -2.475210 14.975000)(-43.951000 -2.050600 15.799999)(-41.900002 -2.900000 15.799999)(-42.925499 -2.475210 14.975000)(-41.900002 -2.900000 15.799999)(-42.924999 -2.475300 14.150001)(-41.900002 0.000000 15.799999)(-39.848999 -2.050600 15.799999)(-41.900002 -2.900000 15.799999)(-44.461002 1.060700 -14.150001)(-44.021000 2.121300 -12.500000)(-44.460697 1.060740 -13.325000)(-44.021000 2.121300 -12.500000)(-44.900002 0.000000 -12.500000)(-44.460697 1.060740 -13.325000)(-44.900002 0.000000 -12.500000)(-44.461002 1.060700 -14.150001)(-44.460697 1.060740 -13.325000)(-42.960499 2.560760 -14.975000)(-42.961002 2.560700 -14.150001)(-44.021000 2.121300 -15.799999)(-42.960499 2.560760 -14.975000)(-44.021000 2.121300 -15.799999)(-41.900002 3.000000 -15.799999)(-42.960499 2.560760 -14.975000)(-41.900002 3.000000 -15.799999)(-42.961002 2.560700 -14.150001)(-44.461002 1.060700 -14.150001)(-44.021000 2.121300 -15.799999)(-44.241001 1.591000 -14.150001)(-44.021000 2.121300 -15.799999)(-44.021000 2.121300 -12.500000)(-44.241001 1.591000 -14.150001)(-44.021000 2.121300 -12.500000)(-44.461002 1.060700 -14.150001)(-44.241001 1.591000 -14.150001)(-39.778999 2.121300 -15.799999)(-41.900002 3.000000 -15.799999)(-41.900002 0.000000 -15.799999)(-41.900002 0.000000 -15.799999)(-41.900002 -3.000000 -15.799999)(-39.778999 -2.121300 -15.799999)(-42.961002 -2.560700 -14.150001)(-41.900002 -3.000000 -15.799999)(-42.960499 -2.560760 -14.975000)(-41.900002 -3.000000 -15.799999)(-44.021000 -2.121300 -15.799999)(-42.960499 -2.560760 -14.975000)(-44.021000 -2.121300 -15.799999)(-42.961002 -2.560700 -14.150001)(-42.960499 -2.560760 -14.975000)(-44.461002 -1.060700 -14.150001)(-44.021000 -2.121300 -12.500000)(-44.241001 -1.591000 -14.150001)(-44.021000 -2.121300 -12.500000)(-44.021000 -2.121300 -15.799999)(-44.241001 -1.591000 -14.150001)(-44.021000 -2.121300 -15.799999)(-44.461002 -1.060700 -14.150001)(-44.241001 -1.591000 -14.150001)(-44.461002 -1.060700 -14.150001)(-44.900002 0.000000 -15.799999)(-44.680500 -0.530350 -14.150001)(-44.900002 0.000000 -15.799999)(-44.900002 0.000000 -12.500000)(-44.680500 -0.530350 -14.150001)(-44.900002 0.000000 -12.500000)(-44.461002 -1.060700 -14.150001)(-44.680500 -0.530350 -14.150001)(-41.900002 2.900000 15.799999)(-41.900002 0.000000 15.799999)(-43.951000 2.050600 15.799999)(-44.375000 1.025300 14.150001)(-43.951000 2.050600 15.799999)(-44.375301 1.025210 14.975000)(-43.951000 2.050600 15.799999)(-44.799999 0.000000 15.799999)(-44.375301 1.025210 14.975000)(-44.799999 0.000000 15.799999)(-44.375000 1.025300 14.150001)(-44.375301 1.025210 14.975000)(-44.375000 1.025300 14.150001)(-44.799999 0.000000 15.799999)(-44.587502 0.512650 14.150001)(-44.799999 0.000000 15.799999)(-44.799999 0.000000 12.500000)(-44.587502 0.512650 14.150001)(-44.799999 0.000000 12.500000)(-44.375000 1.025300 14.150001)(-44.587502 0.512650 14.150001)(-44.375000 -1.025300 14.150001)(-44.799999 0.000000 15.799999)(-44.375301 -1.025210 14.975000)(-44.799999 0.000000 15.799999)(-43.951000 -2.050600 15.799999)(-44.375301 -1.025210 14.975000)(-43.951000 -2.050600 15.799999)(-44.375000 -1.025300 14.150001)(-44.375301 -1.025210 14.975000)(-41.900002 0.000000 15.799999)(-41.900002 -2.900000 15.799999)(-43.951000 -2.050600 15.799999)(-44.461002 1.060700 -14.150001)(-44.900002 0.000000 -12.500000)(-44.680500 0.530350 -14.150001)(-44.900002 0.000000 -12.500000)(-44.900002 0.000000 -15.799999)(-44.680500 0.530350 -14.150001)(-44.900002 0.000000 -15.799999)(-44.461002 1.060700 -14.150001)(-44.680500 0.530350 -14.150001)(-41.900002 3.000000 -15.799999)(-44.021000 2.121300 -15.799999)(-41.900002 0.000000 -15.799999)(-44.461002 1.060700 -14.150001)(-44.900002 0.000000 -15.799999)(-44.460697 1.060740 -14.975000)(-44.900002 0.000000 -15.799999)(-44.021000 2.121300 -15.799999)(-44.460697 1.060740 -14.975000)(-44.021000 2.121300 -15.799999)(-44.461002 1.060700 -14.150001)(-44.460697 1.060740 -14.975000)(-41.900002 0.000000 -15.799999)(-44.021000 -2.121300 -15.799999)(-41.900002 -3.000000 -15.799999)(-44.460697 -1.060740 -14.975000)(-44.461002 -1.060700 -14.150001)(-44.021000 -2.121300 -15.799999)(-44.460697 -1.060740 -14.975000)(-44.021000 -2.121300 -15.799999)(-44.900002 0.000000 -15.799999)(-44.460697 -1.060740 -14.975000)(-44.900002 0.000000 -15.799999)(-44.461002 -1.060700 -14.150001)(-43.951000 2.050600 15.799999)(-41.900002 0.000000 15.799999)(-44.799999 0.000000 15.799999)(-44.799999 0.000000 15.799999)(-41.900002 0.000000 15.799999)(-43.951000 -2.050600 15.799999)(-44.021000 2.121300 -15.799999)(-44.900002 0.000000 -15.799999)(-41.900002 0.000000 -15.799999)(-41.900002 0.000000 -15.799999)(-44.900002 0.000000 -15.799999)(-44.021000 -2.121300 -15.799999)))
           )
           )))
    (send glvertices :calc-normals)
    (send self :assoc glvertices)
    glvertices)
  (:qhull-faceset ()
   ;; qhull 1266 -> 11 faces
   (instance faceset :init :faces (list
    (instance face :init :vertices (list (float-vector -50.700001 -11.000000 -12.500000) (float-vector -50.700001 -11.000000 12.500000) (float-vector 2.000000 -8.350000 15.799999) (float-vector 2.000000 -8.350000 -15.799999)))
    (instance face :init :vertices (list (float-vector 2.000000 8.350000 15.799999) (float-vector 2.000000 8.350000 -14.800000) (float-vector 2.000000 -8.350000 -15.799999) (float-vector 2.000000 -8.350000 15.799999)))
    (instance face :init :vertices (list (float-vector -44.900000 0.000000 -15.799999) (float-vector -50.700001 9.800000 -12.500000) (float-vector -50.700001 -11.000000 -12.500000)))
    (instance face :init :vertices (list (float-vector -50.700001 9.800000 -12.500000) (float-vector -44.900000 0.000000 -15.799999) (float-vector -14.000000 9.800000 -15.799999)))
    (instance face :init :vertices (list (float-vector 2.000000 -8.350000 -15.799999) (float-vector 2.000000 8.350000 -14.800000) (float-vector -14.000000 9.800000 -15.799999) (float-vector -44.900000 0.000000 -15.799999) (float-vector -50.700001 -11.000000 -12.500000)))
    (instance face :init :vertices (list (float-vector 2.000000 8.350000 -14.800000) (float-vector 2.000000 8.350000 15.799999) (float-vector -50.700001 9.800000 12.500000) (float-vector -50.700001 9.800000 -12.500000) (float-vector -14.000000 9.800000 -15.799999)))
    (instance face :init :vertices (list (float-vector -50.700001 9.800000 -12.500000) (float-vector -50.700001 9.800000 12.500000) (float-vector -50.700001 -11.000000 12.500000) (float-vector -50.700001 -11.000000 -12.500000)))
    (instance face :init :vertices (list (float-vector -50.700001 -11.000000 12.500000) (float-vector -43.951001 -2.050600 15.799999) (float-vector 2.000000 -8.350000 15.799999)))
    (instance face :init :vertices (list (float-vector -43.951001 -2.050600 15.799999) (float-vector 2.000000 8.350000 15.799999) (float-vector 2.000000 -8.350000 15.799999)))
    (instance face :init :vertices (list (float-vector -43.951001 -2.050600 15.799999) (float-vector -50.700001 9.800000 12.500000) (float-vector 2.000000 8.350000 15.799999)))
    (instance face :init :vertices (list (float-vector -50.700001 9.800000 12.500000) (float-vector -43.951001 -2.050600 15.799999) (float-vector -50.700001 -11.000000 12.500000)))
    ))
   )
  )

(defclass HiroNX_g1_23_geom0
  :super collada-body
  :slots ())
(defmethod HiroNX_g1_23_geom0
  (:init (&key (name))
         (replace-object self (send self :qhull-faceset))
         (if name (send self :name name))
         (send self :def-gl-vertices)
         self)
  (:def-gl-vertices ()
    (setq glvertices
       (instance gl::glvertices :init
          (list
          (list
           (list :type :triangles)
           (list :material (list
             (list :color (float-vector 0.1 0.1 0.1))
             (list :ambient (float-vector 0.200000 0.200000 0.200000 1.000000))
             (list :diffuse (float-vector 0.900000 0.900000 0.900000 1.000000))
           ))
           (list :indices #i( 1 0 2 4 3 5 7 6 8 10 9 11 13 12 14 16 15 17 19 18 20 22 21 23 25 24 26 28 27 29 31 30 32 34 33 35 37 36 38 40 39 41 43 42 44 46 45 47 49 48 50 52 51 53 55 54 56 58 57 59 61 60 62 64 63 65 67 66 68 70 69 71 73 72 74 76 75 77 79 78 80 82 81 83 85 84 86 88 87 89 91 90 92 94 93 95 97 96 98 100 99 101 103 102 104 106 105 107 109 108 110 112 111 113 115 114 116 118 117 119 121 120 122 124 123 125 127 126 128 130 129 131 133 132 134 136 135 137 139 138 140 142 141 143 145 144 146 148 147 149 151 150 152 154 153 155 157 156 158 160 159 161 163 162 164 166 165 167 169 168 170 172 171 173 175 174 176 178 177 179 181 180 182 184 183 185 187 186 188 190 189 191 193 192 194 196 195 197 199 198 200 202 201 203 205 204 206 208 207 209 211 210 212 214 213 215 217 216 218 220 219 221 223 222 224 226 225 227 229 228 230 232 231 233 235 234 236 238 237 239 241 240 242 244 243 245 247 246 248 250 249 251 253 252 254 256 255 257 259 258 260 262 261 263 265 264 266 268 267 269 271 270 272 274 273 275 277 276 278 280 279 281 283 282 284 286 285 287 289 288 290 292 291 293 295 294 296 298 297 299 301 300 302 304 303 305 307 306 308 310 309 311 313 312 314 316 315 317 319 318 320 322 321 323 325 324 326 328 327 329 331 330 332 334 333 335 337 336 338 340 339 341 343 342 344 346 345 347 349 348 350 352 351 353 355 354 356 358 357 359 361 360 362 364 363 365 367 366 368 370 369 371 373 372 374 376 375 377 379 378 380 382 381 383 385 384 386 388 387 389 391 390 392 394 393 395 397 396 398 400 399 401 403 402 404 406 405 407 409 408 410 412 411 413 415 414 416 418 417 419 421 420 422 424 423 425 427 426 428 430 429 431 433 432 434 436 435 437 439 438 440 442 441 443 445 444 446 448 447 449 451 450 452 454 453 455 457 456 458 460 459 461 463 462 464 466 465 467 469 468 470 472 471 473 475 474 476 478 477 479 481 480 482 484 483 485 487 486 488 490 489 491 493 492 494 496 495 497 499 498 500 502 501 503 505 504 506 508 507 509 511 510 512 514 513 515 517 516 518 520 519 521 523 522 524 526 525 527 529 528 530 532 531 533 535 534 536 538 537 539 541 540 542 544 543 545 547 546 548 550 549 551 553 552 554 556 555 557 559 558 560 562 561 563 565 564 566 568 567 569 571 570 572 574 573 575 577 576 578 580 579 581 583 582 584 586 585 587 589 588 590 592 591 593 595 594 596 598 597 599 601 600 602 604 603 605 607 606 608 610 609 611 613 612 614 616 615 617 619 618 620 622 621 623 625 624 626 628 627 629 631 630 632 634 633 635 637 636 638 640 639 641 643 642 644 646 645 647 649 648 650 652 651 653 655 654 656 658 657 659 661 660 662 664 663 665 667 666 668 670 669 671 673 672 674 676 675 677 679 678 680 682 681 683 685 684 686 688 687 689 691 690 692 694 693 695 697 696 698 700 699 701 703 702 704 706 705 707 709 708 710 712 711 713 715 714 716 718 717 719 721 720 722 724 723 725 727 726 728 730 729 731 733 732 734 736 735 737 739 738 740 742 741 743 745 744 746 748 747 749 751 750 752 754 753 755 757 756 758 760 759 761 763 762 764 766 765 767 769 768 770 772 771 773 775 774 776 778 777 779 781 780 782 784 783 785 787 786 788 790 789 791 793 792 794 796 795 797 799 798 800 802 801 803 805 804 806 808 807 809 811 810 812 814 813 815 817 816 818 820 819 821 823 822 824 826 825 827 829 828 830 832 831 833 835 834 836 838 837 839 841 840 842 844 843 845 847 846 848 850 849 851 853 852 854 856 855 857 859 858 860 862 861 863 865 864 866 868 867 869 871 870 872 874 873 875 877 876 878 880 879 881 883 882 884 886 885 887 889 888 890 892 891 893 895 894 896 898 897 899 901 900 902 904 903 905 907 906 908 910 909 911 913 912 914 916 915 917 919 918 920 922 921 923 925 924 926 928 927 929 931 930 932 934 933 935 937 936 938 940 939 941 943 942 944 946 945 947 949 948 950 952 951 953 955 954 956 958 957 959 961 960 962 964 963 965 967 966 968 970 969 971 973 972 974 976 975 977 979 978 980 982 981 983 985 984 986 988 987 989 991 990 992 994 993 995 997 996 998 1000 999 1001 1003 1002 1004 1006 1005 1007 1009 1008 1010 1012 1011 1013 1015 1014 1016 1018 1017 1019 1021 1020 1022 1024 1023 1025 1027 1026 1028 1030 1029 1031 1033 1032 1034 1036 1035 1037 1039 1038 1040 1042 1041 1043 1045 1044 1046 1048 1047 1049 1051 1050 1052 1054 1053 1055 1057 1056 1058 1060 1059 1061 1063 1062 1064 1066 1065 1067 1069 1068 1070 1072 1071 1073 1075 1074 1076 1078 1077 1079 1081 1080 1082 1084 1083 1085 1087 1086 1088 1090 1089 1091 1093 1092 1094 1096 1095 1097 1099 1098 1100 1102 1101 1103 1105 1104 1106 1108 1107 1109 1111 1110 1112 1114 1113 1115 1117 1116 1118 1120 1119 1121 1123 1122 1124 1126 1125 1127 1129 1128 1130 1132 1131 1133 1135 1134 1136 1138 1137 1139 1141 1140 1142 1144 1143 1145 1147 1146 1148 1150 1149 1151 1153 1152 1154 1156 1155 1157 1159 1158 1160 1162 1161 1163 1165 1164 1166 1168 1167 1169 1171 1170 1172 1174 1173 1175 1177 1176 1178 1180 1179 1181 1183 1182 1184 1186 1185 1187 1189 1188 1190 1192 1191 1193 1195 1194 1196 1198 1197 1199 1201 1200 1202 1204 1203 1205 1207 1206 1208 1210 1209 1211 1213 1212 1214 1216 1215 1217 1219 1218 1220 1222 1221 1223 1225 1224 1226 1228 1227 1229 1231 1230 1232 1234 1233 1235 1237 1236 1238 1240 1239 1241 1243 1242 1244 1246 1245 1247 1249 1248 1250 1252 1251 1253 1255 1254 1256 1258 1257 1259 1261 1260 1262 1264 1263 1265 1267 1266 1268 1270 1269 1271 1273 1272 1274 1276 1275 1277 1279 1278 1280 1282 1281 1283 1285 1284 1286 1288 1287 1289 1291 1290 1292 1294 1293 1295 1297 1296 1298 1300 1299 1301 1303 1302 1304 1306 1305 1307 1309 1308 1310 1312 1311 1313 1315 1314 1316 1318 1317 1319 1321 1320 1322 1324 1323 1325 1327 1326 1328 1330 1329 1331 1333 1332 1334 1336 1335 1337 1339 1338 1340 1342 1341 1343 1345 1344 1346 1348 1347 1349 1351 1350 1352 1354 1353 1355 1357 1356 1358 1360 1359 1361 1363 1362 1364 1366 1365 1367 1369 1368 1370 1372 1371 1373 1375 1374 1376 1378 1377 1379 1381 1380 1382 1384 1383 1385 1387 1386 1388 1390 1389 1391 1393 1392 1394 1396 1395 1397 1399 1398 1400 1402 1401 1403 1405 1404 1406 1408 1407 1409 1411 1410 1412 1414 1413 1415 1417 1416 1418 1420 1419 1421 1423 1422 1424 1426 1425 1427 1429 1428 1430 1432 1431 1433 1435 1434 1436 1438 1437 1439))
           (list :vertices #2f((-4.454000 7.239700 14.800000)(-17.230000 -0.620000 15.300000)(-30.006001 -8.479700 14.800000)(-30.006001 -8.479700 15.799999)(-30.006001 -8.479700 14.800000)(-17.230000 -0.620000 15.300000)(-30.006001 -8.479700 14.800000)(-30.007999 -11.979700 14.800000)(-4.454000 7.239700 14.800000)(-4.454000 7.239700 15.799999)(-17.230000 -0.620000 15.300000)(-4.454000 7.239700 14.800000)(-30.006001 -8.479700 15.799999)(-17.230000 -0.620000 15.300000)(-4.454000 7.239700 15.799999)(-30.006001 -8.479700 14.800000)(-30.006001 -8.479700 15.799999)(-30.007999 -11.979700 14.800000)(-30.007999 -11.979700 14.800000)(-3.497000 7.747300 14.800000)(-4.454000 7.239700 14.800000)(-3.975990 7.493500 15.300000)(-4.454000 7.239700 15.799999)(-4.215000 7.366600 15.300000)(-4.454000 7.239700 15.799999)(-4.454000 7.239700 14.800000)(-4.215000 7.366600 15.300000)(-4.454000 7.239700 14.800000)(-3.975990 7.493500 15.300000)(-4.215000 7.366600 15.300000)(-30.006001 -8.479700 15.799999)(-4.454000 7.239700 15.799999)(-30.008999 -12.979700 15.799999)(-30.007999 -11.979700 14.800000)(-30.006001 -8.479700 15.799999)(-30.008999 -12.979700 15.799999)(-3.975990 7.493500 15.300000)(-4.454000 7.239700 14.800000)(-3.975550 7.493600 15.049999)(-4.454000 7.239700 14.800000)(-3.497000 7.747300 14.800000)(-3.975550 7.493600 15.049999)(-3.497000 7.747300 14.800000)(-3.975990 7.493500 15.300000)(-3.975550 7.493600 15.049999)(-3.497000 7.747300 14.800000)(-30.007999 -11.979700 14.800000)(-10.006001 -8.493200 14.800000)(-3.975550 7.493600 15.549999)(-3.975990 7.493500 15.300000)(-3.497000 7.747300 15.799999)(-3.975550 7.493600 15.549999)(-3.497000 7.747300 15.799999)(-4.454000 7.239700 15.799999)(-3.975550 7.493600 15.549999)(-4.454000 7.239700 15.799999)(-3.975990 7.493500 15.300000)(-4.454000 7.239700 15.799999)(-3.497000 7.747300 15.799999)(-30.008999 -12.979700 15.799999)(-30.008999 -12.979700 -15.799999)(-30.007999 -11.979700 14.800000)(-30.008999 -12.979700 15.799999)(-3.975990 7.493500 15.300000)(-3.497000 7.747300 14.800000)(-3.736500 7.620400 15.300000)(-3.497000 7.747300 14.800000)(-3.497000 7.747300 15.799999)(-3.736500 7.620400 15.300000)(-3.497000 7.747300 15.799999)(-3.975990 7.493500 15.300000)(-3.736500 7.620400 15.300000)(-3.497000 7.747300 14.800000)(-10.006001 -8.493200 14.800000)(12.736899 -8.508600 14.800000)(-10.006001 -8.493200 14.800000)(-30.007999 -11.979700 14.800000)(-10.007999 -11.993199 14.800000)(-3.497000 7.747300 15.799999)(-10.006001 -8.493200 15.799999)(-30.008999 -12.979700 15.799999)(-30.008999 -12.979700 15.799999)(-28.869801 -12.980500 14.000000)(-30.000000 -12.979700 14.000000)(-30.000000 -12.979700 -14.000000)(-28.869801 -12.980500 -14.000000)(-30.008999 -12.979700 -15.799999)(-30.000000 -12.979700 14.000000)(-30.008999 -12.979700 -15.799999)(-30.008999 -12.979700 15.799999)(-30.000000 -12.979700 2.285980)(-30.008999 -12.979700 -15.799999)(-30.000000 -12.979700 14.000000)(-30.000000 -12.979700 2.285980)(-30.008999 -12.979700 -15.799999)(-30.000000 -12.979700 0.000000)(-30.000000 -12.979700 -11.714001)(-30.008999 -12.979700 -15.799999)(-30.000000 -12.979700 0.000000)(-30.000000 -12.979700 -11.714001)(-30.008999 -12.979700 -15.799999)(-30.000000 -12.979700 -14.000000)(-30.008999 -12.979700 -15.799999)(-30.007999 -11.979700 -14.800000)(-30.007999 -11.979700 14.800000)(-3.497000 7.747300 14.800000)(4.620000 -0.380699 15.300000)(-3.497000 7.747300 15.799999)(12.736899 -8.508600 14.800000)(4.620000 -0.380699 15.300000)(-3.497000 7.747300 14.800000)(-10.006001 -8.493200 14.800000)(1.366000 -8.500900 15.300000)(12.736899 -8.508600 14.800000)(-10.006001 -8.493200 14.800000)(-10.007999 -11.993199 14.800000)(-10.006001 -8.493200 15.799999)(-20.007999 -11.986500 0.000000)(-10.007999 -11.993199 14.800000)(-20.007999 -11.986500 7.400000)(-10.007999 -11.993199 14.800000)(-30.007999 -11.979700 14.800000)(-20.007999 -11.986500 7.400000)(-30.007999 -11.979700 14.800000)(-20.007999 -11.986500 0.000000)(-20.007999 -11.986500 7.400000)(-10.006001 -8.493200 15.799999)(-10.009000 -12.993199 15.799999)(-30.008999 -12.979700 15.799999)(-3.497000 7.747300 15.799999)(12.736899 -8.508600 15.799999)(-10.006001 -8.493200 15.799999)(-22.477200 -12.984800 -14.000000)(-30.008999 -12.979700 -15.799999)(-28.869801 -12.980500 -14.000000)(-10.009000 -12.993199 -15.799999)(-13.486300 -12.990900 -14.000000)(-12.000000 -12.991899 -14.000000)(-10.009000 -12.993199 -15.799999)(-12.000000 -12.991899 -14.000000)(-12.000000 -12.991899 -12.654201)(-20.009001 -12.986500 -14.227099)(-21.000000 -12.985801 -14.000000)(-13.486300 -12.990900 -14.000000)(-20.009001 -12.986500 -14.227099)(-22.477200 -12.984800 -14.000000)(-21.000000 -12.985801 -14.000000)(-20.009001 -12.986500 -14.227099)(-10.009000 -12.993199 -15.799999)(-30.008999 -12.979700 -15.799999)(-20.009001 -12.986500 -14.227099)(-30.008999 -12.979700 -15.799999)(-22.477200 -12.984800 -14.000000)(-20.009001 -12.986500 -14.227099)(-13.486300 -12.990900 -14.000000)(-10.009000 -12.993199 -15.799999)(-12.000000 -12.991899 14.000000)(-10.009000 -12.993199 15.799999)(-12.000000 -12.991899 12.654201)(-10.009000 -12.993199 15.799999)(-12.000000 -12.991899 14.000000)(-19.519800 -12.986799 14.000000)(-30.008999 -12.979700 15.799999)(-21.000000 -12.985801 14.000000)(-28.528900 -12.980700 14.000000)(-30.008999 -12.979700 15.799999)(-28.528900 -12.980700 14.000000)(-28.869801 -12.980500 14.000000)(-19.519800 -12.986799 14.000000)(-21.000000 -12.985801 14.000000)(-20.009001 -12.986500 14.227099)(-30.008999 -12.979700 15.799999)(-10.009000 -12.993199 15.799999)(-20.009001 -12.986500 14.227099)(-10.009000 -12.993199 15.799999)(-19.519800 -12.986799 14.000000)(-20.009001 -12.986500 14.227099)(-21.000000 -12.985801 14.000000)(-30.008999 -12.979700 15.799999)(-20.009001 -12.986500 14.227099)(-30.006001 -8.479700 -15.799999)(-30.007999 -11.979700 -14.800000)(-30.008999 -12.979700 -15.799999)(-20.007999 -11.986500 0.000000)(-30.007999 -11.979700 14.800000)(-25.008001 -11.983100 0.000000)(-30.007999 -11.979700 14.800000)(-30.007999 -11.979700 -14.800000)(-25.008001 -11.983100 0.000000)(-30.007999 -11.979700 -14.800000)(-20.007999 -11.986500 0.000000)(-25.008001 -11.983100 0.000000)(-3.497000 7.747300 15.799999)(4.620000 -0.380699 15.300000)(12.736899 -8.508600 15.799999)(12.736899 -8.508600 14.800000)(12.736899 -8.508600 15.799999)(4.620000 -0.380699 15.300000)(12.736899 -8.508600 15.799999)(12.736899 -8.508600 14.800000)(1.366000 -8.500900 15.300000)(-10.006001 -8.493200 15.799999)(1.366000 -8.500900 15.300000)(-10.006001 -8.493200 14.800000)(-10.007999 -11.993199 14.800000)(-10.009000 -12.993199 15.799999)(-10.006001 -8.493200 15.799999)(-20.007999 -11.986500 0.000000)(-10.007999 -11.993199 -14.800000)(-15.007999 -11.989800 -0.000000)(-10.007999 -11.993199 -14.800000)(-10.007999 -11.993199 14.800000)(-15.007999 -11.989800 -0.000000)(-10.007999 -11.993199 14.800000)(-20.007999 -11.986500 0.000000)(-15.007999 -11.989800 -0.000000)(12.736899 -8.508600 15.799999)(1.366000 -8.500900 15.300000)(-10.006001 -8.493200 15.799999)(-10.006001 -8.493200 -15.799999)(-30.008999 -12.979700 -15.799999)(-10.009000 -12.993199 -15.799999)(-12.000000 -12.991899 12.654201)(-10.009000 -12.993199 15.799999)(-12.000000 -12.991899 11.685599)(-12.000000 -12.991899 -12.654201)(-12.000000 -12.991899 -2.314350)(-10.009000 -12.993199 -15.799999)(-10.009000 -12.993199 15.799999)(-10.009000 -12.993199 -15.799999)(-11.004500 -12.992500 0.000000)(-12.000000 -12.991899 -2.314350)(-12.000000 -12.991899 0.000000)(-11.004500 -12.992500 0.000000)(-12.000000 -12.991899 0.000000)(-12.000000 -12.991899 11.685599)(-11.004500 -12.992500 0.000000)(-12.000000 -12.991899 11.685599)(-10.009000 -12.993199 15.799999)(-11.004500 -12.992500 0.000000)(-10.009000 -12.993199 -15.799999)(-12.000000 -12.991899 -2.314350)(-11.004500 -12.992500 0.000000)(-30.006001 -8.479700 -15.799999)(-30.008999 -12.979700 -15.799999)(-4.454000 7.239700 -15.799999)(-30.006001 -8.479700 -15.799999)(-30.006001 -8.479700 -14.800000)(-30.007999 -11.979700 -14.800000)(-20.007999 -11.986500 0.000000)(-30.007999 -11.979700 -14.800000)(-20.007999 -11.986500 -7.400000)(-30.007999 -11.979700 -14.800000)(-10.007999 -11.993199 -14.800000)(-20.007999 -11.986500 -7.400000)(-10.007999 -11.993199 -14.800000)(-20.007999 -11.986500 0.000000)(-20.007999 -11.986500 -7.400000)(-10.009000 -12.993199 -15.799999)(-10.009000 -12.993199 15.799999)(-10.007999 -11.993199 14.800000)(-10.007999 -11.993199 -14.800000)(-10.009000 -12.993199 -15.799999)(-10.007999 -11.993199 14.800000)(-10.006001 -8.493200 -15.799999)(-10.009000 -12.993199 -15.799999)(-10.006001 -8.493200 -14.800000)(-3.497000 7.747300 -15.799999)(-30.008999 -12.979700 -15.799999)(-10.006001 -8.493200 -15.799999)(-17.230000 -0.620000 -15.300000)(-30.006001 -8.479700 -15.799999)(-4.454000 7.239700 -15.799999)(-30.008999 -12.979700 -15.799999)(-3.497000 7.747300 -15.799999)(-4.454000 7.239700 -15.799999)(-30.006001 -8.479700 -14.800000)(-30.006001 -8.479700 -15.799999)(-17.230000 -0.620000 -15.300000)(-30.006001 -8.479700 -14.800000)(-4.454000 7.239700 -14.800000)(-30.007999 -11.979700 -14.800000)(-10.006001 -8.493200 -14.800000)(-10.007999 -11.993199 -14.800000)(-30.007999 -11.979700 -14.800000)(-10.009000 -12.993199 -15.799999)(-10.007999 -11.993199 -14.800000)(-10.006001 -8.493200 -14.800000)(-10.006001 -8.493200 -14.800000)(1.366000 -8.500900 -15.300000)(-10.006001 -8.493200 -15.799999)(-3.497000 7.747300 -15.799999)(-10.006001 -8.493200 -15.799999)(12.736899 -8.508600 -15.799999)(-4.454000 7.239700 -14.800000)(-17.230000 -0.620000 -15.300000)(-4.454000 7.239700 -15.799999)(-3.975550 7.493600 -15.549999)(-3.975990 7.493500 -15.300000)(-4.454000 7.239700 -15.799999)(-3.975550 7.493600 -15.549999)(-4.454000 7.239700 -15.799999)(-3.497000 7.747300 -15.799999)(-3.975550 7.493600 -15.549999)(-3.497000 7.747300 -15.799999)(-3.975990 7.493500 -15.300000)(-30.006001 -8.479700 -14.800000)(-17.230000 -0.620000 -15.300000)(-4.454000 7.239700 -14.800000)(-4.454000 7.239700 -14.800000)(-3.497000 7.747300 -14.800000)(-30.007999 -11.979700 -14.800000)(-3.497000 7.747300 -14.800000)(-10.006001 -8.493200 -14.800000)(-30.007999 -11.979700 -14.800000)(-10.006001 -8.493200 -15.799999)(1.366000 -8.500900 -15.300000)(12.736899 -8.508600 -15.799999)(12.736899 -8.508600 -14.800000)(1.366000 -8.500900 -15.300000)(-10.006001 -8.493200 -14.800000)(12.736899 -8.508600 -15.799999)(4.620000 -0.380699 -15.300000)(-3.497000 7.747300 -15.799999)(-3.975990 7.493500 -15.300000)(-4.454000 7.239700 -14.800000)(-4.215000 7.366600 -15.300000)(-4.454000 7.239700 -14.800000)(-4.454000 7.239700 -15.799999)(-4.215000 7.366600 -15.300000)(-4.454000 7.239700 -15.799999)(-3.975990 7.493500 -15.300000)(-4.215000 7.366600 -15.300000)(-3.975990 7.493500 -15.300000)(-3.497000 7.747300 -15.799999)(-3.736500 7.620400 -15.300000)(-3.497000 7.747300 -15.799999)(-3.497000 7.747300 -14.800000)(-3.736500 7.620400 -15.300000)(-3.497000 7.747300 -14.800000)(-3.975990 7.493500 -15.300000)(-3.736500 7.620400 -15.300000)(-3.975550 7.493600 -15.049999)(-3.975990 7.493500 -15.300000)(-3.497000 7.747300 -14.800000)(-3.975550 7.493600 -15.049999)(-3.497000 7.747300 -14.800000)(-4.454000 7.239700 -14.800000)(-3.975550 7.493600 -15.049999)(-4.454000 7.239700 -14.800000)(-3.975990 7.493500 -15.300000)(-3.497000 7.747300 -14.800000)(12.736899 -8.508600 -14.800000)(-10.006001 -8.493200 -14.800000)(12.736899 -8.508600 -14.800000)(12.736899 -8.508600 -15.799999)(1.366000 -8.500900 -15.300000)(-3.497000 7.747300 -15.799999)(4.620000 -0.380699 -15.300000)(-3.497000 7.747300 -14.800000)(12.736899 -8.508600 -14.800000)(4.620000 -0.380699 -15.300000)(12.736899 -8.508600 -15.799999)(4.620000 -0.380699 -15.300000)(12.736899 -8.508600 -14.800000)(-3.497000 7.747300 -14.800000)(-4.454000 7.239700 14.800000)(-17.230000 -0.620000 15.300000)(-30.006001 -8.479700 14.800000)(-30.006001 -8.479700 15.799999)(-30.006001 -8.479700 14.800000)(-17.230000 -0.620000 15.300000)(-30.006001 -8.479700 14.800000)(-30.007999 -11.979700 14.800000)(-4.454000 7.239700 14.800000)(-4.454000 7.239700 15.799999)(-17.230000 -0.620000 15.300000)(-4.454000 7.239700 14.800000)(-30.006001 -8.479700 15.799999)(-17.230000 -0.620000 15.300000)(-4.454000 7.239700 15.799999)(-30.006001 -8.479700 14.800000)(-30.006001 -8.479700 15.799999)(-30.007999 -11.979700 14.800000)(-30.007999 -11.979700 14.800000)(-3.497000 7.747300 14.800000)(-4.454000 7.239700 14.800000)(-3.975990 7.493500 15.300000)(-4.454000 7.239700 15.799999)(-4.215000 7.366600 15.300000)(-4.454000 7.239700 15.799999)(-4.454000 7.239700 14.800000)(-4.215000 7.366600 15.300000)(-4.454000 7.239700 14.800000)(-3.975990 7.493500 15.300000)(-4.215000 7.366600 15.300000)(-30.006001 -8.479700 15.799999)(-4.454000 7.239700 15.799999)(-30.008999 -12.979700 15.799999)(-30.007999 -11.979700 14.800000)(-30.006001 -8.479700 15.799999)(-30.008999 -12.979700 15.799999)(-3.975990 7.493500 15.300000)(-4.454000 7.239700 14.800000)(-3.975550 7.493600 15.049999)(-4.454000 7.239700 14.800000)(-3.497000 7.747300 14.800000)(-3.975550 7.493600 15.049999)(-3.497000 7.747300 14.800000)(-3.975990 7.493500 15.300000)(-3.975550 7.493600 15.049999)(-3.497000 7.747300 14.800000)(-30.007999 -11.979700 14.800000)(-10.006001 -8.493200 14.800000)(-3.975550 7.493600 15.549999)(-3.975990 7.493500 15.300000)(-3.497000 7.747300 15.799999)(-3.975550 7.493600 15.549999)(-3.497000 7.747300 15.799999)(-4.454000 7.239700 15.799999)(-3.975550 7.493600 15.549999)(-4.454000 7.239700 15.799999)(-3.975990 7.493500 15.300000)(-4.454000 7.239700 15.799999)(-3.497000 7.747300 15.799999)(-30.008999 -12.979700 15.799999)(-30.008999 -12.979700 -15.799999)(-30.007999 -11.979700 14.800000)(-30.008999 -12.979700 15.799999)(-3.975990 7.493500 15.300000)(-3.497000 7.747300 14.800000)(-3.736500 7.620400 15.300000)(-3.497000 7.747300 14.800000)(-3.497000 7.747300 15.799999)(-3.736500 7.620400 15.300000)(-3.497000 7.747300 15.799999)(-3.975990 7.493500 15.300000)(-3.736500 7.620400 15.300000)(-3.497000 7.747300 14.800000)(-10.006001 -8.493200 14.800000)(12.736899 -8.508600 14.800000)(-10.006001 -8.493200 14.800000)(-30.007999 -11.979700 14.800000)(-10.007999 -11.993199 14.800000)(-3.497000 7.747300 15.799999)(-10.006001 -8.493200 15.799999)(-30.008999 -12.979700 15.799999)(-30.008999 -12.979700 15.799999)(-28.869801 -12.980500 14.000000)(-30.000000 -12.979700 14.000000)(-30.000000 -12.979700 -14.000000)(-28.869801 -12.980500 -14.000000)(-30.008999 -12.979700 -15.799999)(-30.000000 -12.979700 14.000000)(-30.008999 -12.979700 -15.799999)(-30.008999 -12.979700 15.799999)(-30.000000 -12.979700 2.285980)(-30.008999 -12.979700 -15.799999)(-30.000000 -12.979700 14.000000)(-30.000000 -12.979700 2.285980)(-30.008999 -12.979700 -15.799999)(-30.000000 -12.979700 0.000000)(-30.000000 -12.979700 -11.714001)(-30.008999 -12.979700 -15.799999)(-30.000000 -12.979700 0.000000)(-30.000000 -12.979700 -11.714001)(-30.008999 -12.979700 -15.799999)(-30.000000 -12.979700 -14.000000)(-30.008999 -12.979700 -15.799999)(-30.007999 -11.979700 -14.800000)(-30.007999 -11.979700 14.800000)(-3.497000 7.747300 14.800000)(4.620000 -0.380699 15.300000)(-3.497000 7.747300 15.799999)(12.736899 -8.508600 14.800000)(4.620000 -0.380699 15.300000)(-3.497000 7.747300 14.800000)(-10.006001 -8.493200 14.800000)(1.366000 -8.500900 15.300000)(12.736899 -8.508600 14.800000)(-10.006001 -8.493200 14.800000)(-10.007999 -11.993199 14.800000)(-10.006001 -8.493200 15.799999)(-20.007999 -11.986500 0.000000)(-10.007999 -11.993199 14.800000)(-20.007999 -11.986500 7.400000)(-10.007999 -11.993199 14.800000)(-30.007999 -11.979700 14.800000)(-20.007999 -11.986500 7.400000)(-30.007999 -11.979700 14.800000)(-20.007999 -11.986500 0.000000)(-20.007999 -11.986500 7.400000)(-10.006001 -8.493200 15.799999)(-10.009000 -12.993199 15.799999)(-30.008999 -12.979700 15.799999)(-3.497000 7.747300 15.799999)(12.736899 -8.508600 15.799999)(-10.006001 -8.493200 15.799999)(-22.477200 -12.984800 -14.000000)(-30.008999 -12.979700 -15.799999)(-28.869801 -12.980500 -14.000000)(-10.009000 -12.993199 -15.799999)(-13.486300 -12.990900 -14.000000)(-12.000000 -12.991899 -14.000000)(-10.009000 -12.993199 -15.799999)(-12.000000 -12.991899 -14.000000)(-12.000000 -12.991899 -12.654201)(-20.009001 -12.986500 -14.227099)(-21.000000 -12.985801 -14.000000)(-13.486300 -12.990900 -14.000000)(-20.009001 -12.986500 -14.227099)(-22.477200 -12.984800 -14.000000)(-21.000000 -12.985801 -14.000000)(-20.009001 -12.986500 -14.227099)(-10.009000 -12.993199 -15.799999)(-30.008999 -12.979700 -15.799999)(-20.009001 -12.986500 -14.227099)(-30.008999 -12.979700 -15.799999)(-22.477200 -12.984800 -14.000000)(-20.009001 -12.986500 -14.227099)(-13.486300 -12.990900 -14.000000)(-10.009000 -12.993199 -15.799999)(-12.000000 -12.991899 14.000000)(-10.009000 -12.993199 15.799999)(-12.000000 -12.991899 12.654201)(-10.009000 -12.993199 15.799999)(-12.000000 -12.991899 14.000000)(-19.519800 -12.986799 14.000000)(-30.008999 -12.979700 15.799999)(-21.000000 -12.985801 14.000000)(-28.528900 -12.980700 14.000000)(-30.008999 -12.979700 15.799999)(-28.528900 -12.980700 14.000000)(-28.869801 -12.980500 14.000000)(-19.519800 -12.986799 14.000000)(-21.000000 -12.985801 14.000000)(-20.009001 -12.986500 14.227099)(-30.008999 -12.979700 15.799999)(-10.009000 -12.993199 15.799999)(-20.009001 -12.986500 14.227099)(-10.009000 -12.993199 15.799999)(-19.519800 -12.986799 14.000000)(-20.009001 -12.986500 14.227099)(-21.000000 -12.985801 14.000000)(-30.008999 -12.979700 15.799999)(-20.009001 -12.986500 14.227099)(-30.006001 -8.479700 -15.799999)(-30.007999 -11.979700 -14.800000)(-30.008999 -12.979700 -15.799999)(-20.007999 -11.986500 0.000000)(-30.007999 -11.979700 14.800000)(-25.008001 -11.983100 0.000000)(-30.007999 -11.979700 14.800000)(-30.007999 -11.979700 -14.800000)(-25.008001 -11.983100 0.000000)(-30.007999 -11.979700 -14.800000)(-20.007999 -11.986500 0.000000)(-25.008001 -11.983100 0.000000)(-3.497000 7.747300 15.799999)(4.620000 -0.380699 15.300000)(12.736899 -8.508600 15.799999)(12.736899 -8.508600 14.800000)(12.736899 -8.508600 15.799999)(4.620000 -0.380699 15.300000)(12.736899 -8.508600 15.799999)(12.736899 -8.508600 14.800000)(1.366000 -8.500900 15.300000)(-10.006001 -8.493200 15.799999)(1.366000 -8.500900 15.300000)(-10.006001 -8.493200 14.800000)(-10.007999 -11.993199 14.800000)(-10.009000 -12.993199 15.799999)(-10.006001 -8.493200 15.799999)(-20.007999 -11.986500 0.000000)(-10.007999 -11.993199 -14.800000)(-15.007999 -11.989800 -0.000000)(-10.007999 -11.993199 -14.800000)(-10.007999 -11.993199 14.800000)(-15.007999 -11.989800 -0.000000)(-10.007999 -11.993199 14.800000)(-20.007999 -11.986500 0.000000)(-15.007999 -11.989800 -0.000000)(12.736899 -8.508600 15.799999)(1.366000 -8.500900 15.300000)(-10.006001 -8.493200 15.799999)(-10.006001 -8.493200 -15.799999)(-30.008999 -12.979700 -15.799999)(-10.009000 -12.993199 -15.799999)(-12.000000 -12.991899 12.654201)(-10.009000 -12.993199 15.799999)(-12.000000 -12.991899 11.685599)(-12.000000 -12.991899 -12.654201)(-12.000000 -12.991899 -2.314350)(-10.009000 -12.993199 -15.799999)(-10.009000 -12.993199 15.799999)(-10.009000 -12.993199 -15.799999)(-11.004500 -12.992500 0.000000)(-12.000000 -12.991899 -2.314350)(-12.000000 -12.991899 0.000000)(-11.004500 -12.992500 0.000000)(-12.000000 -12.991899 0.000000)(-12.000000 -12.991899 11.685599)(-11.004500 -12.992500 0.000000)(-12.000000 -12.991899 11.685599)(-10.009000 -12.993199 15.799999)(-11.004500 -12.992500 0.000000)(-10.009000 -12.993199 -15.799999)(-12.000000 -12.991899 -2.314350)(-11.004500 -12.992500 0.000000)(-30.006001 -8.479700 -15.799999)(-30.008999 -12.979700 -15.799999)(-4.454000 7.239700 -15.799999)(-30.006001 -8.479700 -15.799999)(-30.006001 -8.479700 -14.800000)(-30.007999 -11.979700 -14.800000)(-20.007999 -11.986500 0.000000)(-30.007999 -11.979700 -14.800000)(-20.007999 -11.986500 -7.400000)(-30.007999 -11.979700 -14.800000)(-10.007999 -11.993199 -14.800000)(-20.007999 -11.986500 -7.400000)(-10.007999 -11.993199 -14.800000)(-20.007999 -11.986500 0.000000)(-20.007999 -11.986500 -7.400000)(-10.009000 -12.993199 -15.799999)(-10.009000 -12.993199 15.799999)(-10.007999 -11.993199 14.800000)(-10.007999 -11.993199 -14.800000)(-10.009000 -12.993199 -15.799999)(-10.007999 -11.993199 14.800000)(-10.006001 -8.493200 -15.799999)(-10.009000 -12.993199 -15.799999)(-10.006001 -8.493200 -14.800000)(-3.497000 7.747300 -15.799999)(-30.008999 -12.979700 -15.799999)(-10.006001 -8.493200 -15.799999)(-17.230000 -0.620000 -15.300000)(-30.006001 -8.479700 -15.799999)(-4.454000 7.239700 -15.799999)(-30.008999 -12.979700 -15.799999)(-3.497000 7.747300 -15.799999)(-4.454000 7.239700 -15.799999)(-30.006001 -8.479700 -14.800000)(-30.006001 -8.479700 -15.799999)(-17.230000 -0.620000 -15.300000)(-30.006001 -8.479700 -14.800000)(-4.454000 7.239700 -14.800000)(-30.007999 -11.979700 -14.800000)(-10.006001 -8.493200 -14.800000)(-10.007999 -11.993199 -14.800000)(-30.007999 -11.979700 -14.800000)(-10.009000 -12.993199 -15.799999)(-10.007999 -11.993199 -14.800000)(-10.006001 -8.493200 -14.800000)(-10.006001 -8.493200 -14.800000)(1.366000 -8.500900 -15.300000)(-10.006001 -8.493200 -15.799999)(-3.497000 7.747300 -15.799999)(-10.006001 -8.493200 -15.799999)(12.736899 -8.508600 -15.799999)(-4.454000 7.239700 -14.800000)(-17.230000 -0.620000 -15.300000)(-4.454000 7.239700 -15.799999)(-3.975550 7.493600 -15.549999)(-3.975990 7.493500 -15.300000)(-4.454000 7.239700 -15.799999)(-3.975550 7.493600 -15.549999)(-4.454000 7.239700 -15.799999)(-3.497000 7.747300 -15.799999)(-3.975550 7.493600 -15.549999)(-3.497000 7.747300 -15.799999)(-3.975990 7.493500 -15.300000)(-30.006001 -8.479700 -14.800000)(-17.230000 -0.620000 -15.300000)(-4.454000 7.239700 -14.800000)(-4.454000 7.239700 -14.800000)(-3.497000 7.747300 -14.800000)(-30.007999 -11.979700 -14.800000)(-3.497000 7.747300 -14.800000)(-10.006001 -8.493200 -14.800000)(-30.007999 -11.979700 -14.800000)(-10.006001 -8.493200 -15.799999)(1.366000 -8.500900 -15.300000)(12.736899 -8.508600 -15.799999)(12.736899 -8.508600 -14.800000)(1.366000 -8.500900 -15.300000)(-10.006001 -8.493200 -14.800000)(12.736899 -8.508600 -15.799999)(4.620000 -0.380699 -15.300000)(-3.497000 7.747300 -15.799999)(-3.975990 7.493500 -15.300000)(-4.454000 7.239700 -14.800000)(-4.215000 7.366600 -15.300000)(-4.454000 7.239700 -14.800000)(-4.454000 7.239700 -15.799999)(-4.215000 7.366600 -15.300000)(-4.454000 7.239700 -15.799999)(-3.975990 7.493500 -15.300000)(-4.215000 7.366600 -15.300000)(-3.975990 7.493500 -15.300000)(-3.497000 7.747300 -15.799999)(-3.736500 7.620400 -15.300000)(-3.497000 7.747300 -15.799999)(-3.497000 7.747300 -14.800000)(-3.736500 7.620400 -15.300000)(-3.497000 7.747300 -14.800000)(-3.975990 7.493500 -15.300000)(-3.736500 7.620400 -15.300000)(-3.975550 7.493600 -15.049999)(-3.975990 7.493500 -15.300000)(-3.497000 7.747300 -14.800000)(-3.975550 7.493600 -15.049999)(-3.497000 7.747300 -14.800000)(-4.454000 7.239700 -14.800000)(-3.975550 7.493600 -15.049999)(-4.454000 7.239700 -14.800000)(-3.975990 7.493500 -15.300000)(-3.497000 7.747300 -14.800000)(12.736899 -8.508600 -14.800000)(-10.006001 -8.493200 -14.800000)(12.736899 -8.508600 -14.800000)(12.736899 -8.508600 -15.799999)(1.366000 -8.500900 -15.300000)(-3.497000 7.747300 -15.799999)(4.620000 -0.380699 -15.300000)(-3.497000 7.747300 -14.800000)(12.736899 -8.508600 -14.800000)(4.620000 -0.380699 -15.300000)(12.736899 -8.508600 -15.799999)(4.620000 -0.380699 -15.300000)(12.736899 -8.508600 -14.800000)(-3.497000 7.747300 -14.800000)(-4.454000 7.239700 14.800000)(-17.230000 -0.620000 15.300000)(-30.006001 -8.479700 14.800000)(-30.006001 -8.479700 15.799999)(-30.006001 -8.479700 14.800000)(-17.230000 -0.620000 15.300000)(-30.006001 -8.479700 14.800000)(-30.007999 -11.979700 14.800000)(-4.454000 7.239700 14.800000)(-4.454000 7.239700 15.799999)(-17.230000 -0.620000 15.300000)(-4.454000 7.239700 14.800000)(-30.006001 -8.479700 15.799999)(-17.230000 -0.620000 15.300000)(-4.454000 7.239700 15.799999)(-30.006001 -8.479700 14.800000)(-30.006001 -8.479700 15.799999)(-30.007999 -11.979700 14.800000)(-30.007999 -11.979700 14.800000)(-3.497000 7.747300 14.800000)(-4.454000 7.239700 14.800000)(-3.975990 7.493500 15.300000)(-4.454000 7.239700 15.799999)(-4.215000 7.366600 15.300000)(-4.454000 7.239700 15.799999)(-4.454000 7.239700 14.800000)(-4.215000 7.366600 15.300000)(-4.454000 7.239700 14.800000)(-3.975990 7.493500 15.300000)(-4.215000 7.366600 15.300000)(-30.006001 -8.479700 15.799999)(-4.454000 7.239700 15.799999)(-30.008999 -12.979700 15.799999)(-30.007999 -11.979700 14.800000)(-30.006001 -8.479700 15.799999)(-30.008999 -12.979700 15.799999)(-3.975990 7.493500 15.300000)(-4.454000 7.239700 14.800000)(-3.975550 7.493600 15.049999)(-4.454000 7.239700 14.800000)(-3.497000 7.747300 14.800000)(-3.975550 7.493600 15.049999)(-3.497000 7.747300 14.800000)(-3.975990 7.493500 15.300000)(-3.975550 7.493600 15.049999)(-3.497000 7.747300 14.800000)(-30.007999 -11.979700 14.800000)(-10.006001 -8.493200 14.800000)(-3.975550 7.493600 15.549999)(-3.975990 7.493500 15.300000)(-3.497000 7.747300 15.799999)(-3.975550 7.493600 15.549999)(-3.497000 7.747300 15.799999)(-4.454000 7.239700 15.799999)(-3.975550 7.493600 15.549999)(-4.454000 7.239700 15.799999)(-3.975990 7.493500 15.300000)(-4.454000 7.239700 15.799999)(-3.497000 7.747300 15.799999)(-30.008999 -12.979700 15.799999)(-30.008999 -12.979700 -15.799999)(-30.007999 -11.979700 14.800000)(-30.008999 -12.979700 15.799999)(-3.975990 7.493500 15.300000)(-3.497000 7.747300 14.800000)(-3.736500 7.620400 15.300000)(-3.497000 7.747300 14.800000)(-3.497000 7.747300 15.799999)(-3.736500 7.620400 15.300000)(-3.497000 7.747300 15.799999)(-3.975990 7.493500 15.300000)(-3.736500 7.620400 15.300000)(-3.497000 7.747300 14.800000)(-10.006001 -8.493200 14.800000)(12.736899 -8.508600 14.800000)(-10.006001 -8.493200 14.800000)(-30.007999 -11.979700 14.800000)(-10.007999 -11.993199 14.800000)(-3.497000 7.747300 15.799999)(-10.006001 -8.493200 15.799999)(-30.008999 -12.979700 15.799999)(-30.008999 -12.979700 15.799999)(-28.869801 -12.980500 14.000000)(-30.000000 -12.979700 14.000000)(-30.000000 -12.979700 -14.000000)(-28.869801 -12.980500 -14.000000)(-30.008999 -12.979700 -15.799999)(-30.000000 -12.979700 14.000000)(-30.008999 -12.979700 -15.799999)(-30.008999 -12.979700 15.799999)(-30.000000 -12.979700 2.285980)(-30.008999 -12.979700 -15.799999)(-30.000000 -12.979700 14.000000)(-30.000000 -12.979700 2.285980)(-30.008999 -12.979700 -15.799999)(-30.000000 -12.979700 0.000000)(-30.000000 -12.979700 -11.714001)(-30.008999 -12.979700 -15.799999)(-30.000000 -12.979700 0.000000)(-30.000000 -12.979700 -11.714001)(-30.008999 -12.979700 -15.799999)(-30.000000 -12.979700 -14.000000)(-30.008999 -12.979700 -15.799999)(-30.007999 -11.979700 -14.800000)(-30.007999 -11.979700 14.800000)(-3.497000 7.747300 14.800000)(4.620000 -0.380699 15.300000)(-3.497000 7.747300 15.799999)(12.736899 -8.508600 14.800000)(4.620000 -0.380699 15.300000)(-3.497000 7.747300 14.800000)(-10.006001 -8.493200 14.800000)(1.366000 -8.500900 15.300000)(12.736899 -8.508600 14.800000)(-10.006001 -8.493200 14.800000)(-10.007999 -11.993199 14.800000)(-10.006001 -8.493200 15.799999)(-20.007999 -11.986500 0.000000)(-10.007999 -11.993199 14.800000)(-20.007999 -11.986500 7.400000)(-10.007999 -11.993199 14.800000)(-30.007999 -11.979700 14.800000)(-20.007999 -11.986500 7.400000)(-30.007999 -11.979700 14.800000)(-20.007999 -11.986500 0.000000)(-20.007999 -11.986500 7.400000)(-10.006001 -8.493200 15.799999)(-10.009000 -12.993199 15.799999)(-30.008999 -12.979700 15.799999)(-3.497000 7.747300 15.799999)(12.736899 -8.508600 15.799999)(-10.006001 -8.493200 15.799999)(-22.477200 -12.984800 -14.000000)(-30.008999 -12.979700 -15.799999)(-28.869801 -12.980500 -14.000000)(-10.009000 -12.993199 -15.799999)(-13.486300 -12.990900 -14.000000)(-12.000000 -12.991899 -14.000000)(-10.009000 -12.993199 -15.799999)(-12.000000 -12.991899 -14.000000)(-12.000000 -12.991899 -12.654201)(-20.009001 -12.986500 -14.227099)(-21.000000 -12.985801 -14.000000)(-13.486300 -12.990900 -14.000000)(-20.009001 -12.986500 -14.227099)(-22.477200 -12.984800 -14.000000)(-21.000000 -12.985801 -14.000000)(-20.009001 -12.986500 -14.227099)(-10.009000 -12.993199 -15.799999)(-30.008999 -12.979700 -15.799999)(-20.009001 -12.986500 -14.227099)(-30.008999 -12.979700 -15.799999)(-22.477200 -12.984800 -14.000000)(-20.009001 -12.986500 -14.227099)(-13.486300 -12.990900 -14.000000)(-10.009000 -12.993199 -15.799999)(-12.000000 -12.991899 14.000000)(-10.009000 -12.993199 15.799999)(-12.000000 -12.991899 12.654201)(-10.009000 -12.993199 15.799999)(-12.000000 -12.991899 14.000000)(-19.519800 -12.986799 14.000000)(-30.008999 -12.979700 15.799999)(-21.000000 -12.985801 14.000000)(-28.528900 -12.980700 14.000000)(-30.008999 -12.979700 15.799999)(-28.528900 -12.980700 14.000000)(-28.869801 -12.980500 14.000000)(-19.519800 -12.986799 14.000000)(-21.000000 -12.985801 14.000000)(-20.009001 -12.986500 14.227099)(-30.008999 -12.979700 15.799999)(-10.009000 -12.993199 15.799999)(-20.009001 -12.986500 14.227099)(-10.009000 -12.993199 15.799999)(-19.519800 -12.986799 14.000000)(-20.009001 -12.986500 14.227099)(-21.000000 -12.985801 14.000000)(-30.008999 -12.979700 15.799999)(-20.009001 -12.986500 14.227099)(-30.006001 -8.479700 -15.799999)(-30.007999 -11.979700 -14.800000)(-30.008999 -12.979700 -15.799999)(-20.007999 -11.986500 0.000000)(-30.007999 -11.979700 14.800000)(-25.008001 -11.983100 0.000000)(-30.007999 -11.979700 14.800000)(-30.007999 -11.979700 -14.800000)(-25.008001 -11.983100 0.000000)(-30.007999 -11.979700 -14.800000)(-20.007999 -11.986500 0.000000)(-25.008001 -11.983100 0.000000)(-3.497000 7.747300 15.799999)(4.620000 -0.380699 15.300000)(12.736899 -8.508600 15.799999)(12.736899 -8.508600 14.800000)(12.736899 -8.508600 15.799999)(4.620000 -0.380699 15.300000)(12.736899 -8.508600 15.799999)(12.736899 -8.508600 14.800000)(1.366000 -8.500900 15.300000)(-10.006001 -8.493200 15.799999)(1.366000 -8.500900 15.300000)(-10.006001 -8.493200 14.800000)(-10.007999 -11.993199 14.800000)(-10.009000 -12.993199 15.799999)(-10.006001 -8.493200 15.799999)(-20.007999 -11.986500 0.000000)(-10.007999 -11.993199 -14.800000)(-15.007999 -11.989800 -0.000000)(-10.007999 -11.993199 -14.800000)(-10.007999 -11.993199 14.800000)(-15.007999 -11.989800 -0.000000)(-10.007999 -11.993199 14.800000)(-20.007999 -11.986500 0.000000)(-15.007999 -11.989800 -0.000000)(12.736899 -8.508600 15.799999)(1.366000 -8.500900 15.300000)(-10.006001 -8.493200 15.799999)(-10.006001 -8.493200 -15.799999)(-30.008999 -12.979700 -15.799999)(-10.009000 -12.993199 -15.799999)(-12.000000 -12.991899 12.654201)(-10.009000 -12.993199 15.799999)(-12.000000 -12.991899 11.685599)(-12.000000 -12.991899 -12.654201)(-12.000000 -12.991899 -2.314350)(-10.009000 -12.993199 -15.799999)(-10.009000 -12.993199 15.799999)(-10.009000 -12.993199 -15.799999)(-11.004500 -12.992500 0.000000)(-12.000000 -12.991899 -2.314350)(-12.000000 -12.991899 0.000000)(-11.004500 -12.992500 0.000000)(-12.000000 -12.991899 0.000000)(-12.000000 -12.991899 11.685599)(-11.004500 -12.992500 0.000000)(-12.000000 -12.991899 11.685599)(-10.009000 -12.993199 15.799999)(-11.004500 -12.992500 0.000000)(-10.009000 -12.993199 -15.799999)(-12.000000 -12.991899 -2.314350)(-11.004500 -12.992500 0.000000)(-30.006001 -8.479700 -15.799999)(-30.008999 -12.979700 -15.799999)(-4.454000 7.239700 -15.799999)(-30.006001 -8.479700 -15.799999)(-30.006001 -8.479700 -14.800000)(-30.007999 -11.979700 -14.800000)(-20.007999 -11.986500 0.000000)(-30.007999 -11.979700 -14.800000)(-20.007999 -11.986500 -7.400000)(-30.007999 -11.979700 -14.800000)(-10.007999 -11.993199 -14.800000)(-20.007999 -11.986500 -7.400000)(-10.007999 -11.993199 -14.800000)(-20.007999 -11.986500 0.000000)(-20.007999 -11.986500 -7.400000)(-10.009000 -12.993199 -15.799999)(-10.009000 -12.993199 15.799999)(-10.007999 -11.993199 14.800000)(-10.007999 -11.993199 -14.800000)(-10.009000 -12.993199 -15.799999)(-10.007999 -11.993199 14.800000)(-10.006001 -8.493200 -15.799999)(-10.009000 -12.993199 -15.799999)(-10.006001 -8.493200 -14.800000)(-3.497000 7.747300 -15.799999)(-30.008999 -12.979700 -15.799999)(-10.006001 -8.493200 -15.799999)(-17.230000 -0.620000 -15.300000)(-30.006001 -8.479700 -15.799999)(-4.454000 7.239700 -15.799999)(-30.008999 -12.979700 -15.799999)(-3.497000 7.747300 -15.799999)(-4.454000 7.239700 -15.799999)(-30.006001 -8.479700 -14.800000)(-30.006001 -8.479700 -15.799999)(-17.230000 -0.620000 -15.300000)(-30.006001 -8.479700 -14.800000)(-4.454000 7.239700 -14.800000)(-30.007999 -11.979700 -14.800000)(-10.006001 -8.493200 -14.800000)(-10.007999 -11.993199 -14.800000)(-30.007999 -11.979700 -14.800000)(-10.009000 -12.993199 -15.799999)(-10.007999 -11.993199 -14.800000)(-10.006001 -8.493200 -14.800000)(-10.006001 -8.493200 -14.800000)(1.366000 -8.500900 -15.300000)(-10.006001 -8.493200 -15.799999)(-3.497000 7.747300 -15.799999)(-10.006001 -8.493200 -15.799999)(12.736899 -8.508600 -15.799999)(-4.454000 7.239700 -14.800000)(-17.230000 -0.620000 -15.300000)(-4.454000 7.239700 -15.799999)(-3.975550 7.493600 -15.549999)(-3.975990 7.493500 -15.300000)(-4.454000 7.239700 -15.799999)(-3.975550 7.493600 -15.549999)(-4.454000 7.239700 -15.799999)(-3.497000 7.747300 -15.799999)(-3.975550 7.493600 -15.549999)(-3.497000 7.747300 -15.799999)(-3.975990 7.493500 -15.300000)(-30.006001 -8.479700 -14.800000)(-17.230000 -0.620000 -15.300000)(-4.454000 7.239700 -14.800000)(-4.454000 7.239700 -14.800000)(-3.497000 7.747300 -14.800000)(-30.007999 -11.979700 -14.800000)(-3.497000 7.747300 -14.800000)(-10.006001 -8.493200 -14.800000)(-30.007999 -11.979700 -14.800000)(-10.006001 -8.493200 -15.799999)(1.366000 -8.500900 -15.300000)(12.736899 -8.508600 -15.799999)(12.736899 -8.508600 -14.800000)(1.366000 -8.500900 -15.300000)(-10.006001 -8.493200 -14.800000)(12.736899 -8.508600 -15.799999)(4.620000 -0.380699 -15.300000)(-3.497000 7.747300 -15.799999)(-3.975990 7.493500 -15.300000)(-4.454000 7.239700 -14.800000)(-4.215000 7.366600 -15.300000)(-4.454000 7.239700 -14.800000)(-4.454000 7.239700 -15.799999)(-4.215000 7.366600 -15.300000)(-4.454000 7.239700 -15.799999)(-3.975990 7.493500 -15.300000)(-4.215000 7.366600 -15.300000)(-3.975990 7.493500 -15.300000)(-3.497000 7.747300 -15.799999)(-3.736500 7.620400 -15.300000)(-3.497000 7.747300 -15.799999)(-3.497000 7.747300 -14.800000)(-3.736500 7.620400 -15.300000)(-3.497000 7.747300 -14.800000)(-3.975990 7.493500 -15.300000)(-3.736500 7.620400 -15.300000)(-3.975550 7.493600 -15.049999)(-3.975990 7.493500 -15.300000)(-3.497000 7.747300 -14.800000)(-3.975550 7.493600 -15.049999)(-3.497000 7.747300 -14.800000)(-4.454000 7.239700 -14.800000)(-3.975550 7.493600 -15.049999)(-4.454000 7.239700 -14.800000)(-3.975990 7.493500 -15.300000)(-3.497000 7.747300 -14.800000)(12.736899 -8.508600 -14.800000)(-10.006001 -8.493200 -14.800000)(12.736899 -8.508600 -14.800000)(12.736899 -8.508600 -15.799999)(1.366000 -8.500900 -15.300000)(-3.497000 7.747300 -15.799999)(4.620000 -0.380699 -15.300000)(-3.497000 7.747300 -14.800000)(12.736899 -8.508600 -14.800000)(4.620000 -0.380699 -15.300000)(12.736899 -8.508600 -15.799999)(4.620000 -0.380699 -15.300000)(12.736899 -8.508600 -14.800000)(-3.497000 7.747300 -14.800000)(-28.869801 -12.980500 -14.000000)(-30.000000 -12.979700 -14.000000)(-30.000000 -18.000000 -14.000000)(-28.869801 -12.980500 -14.000000)(-30.000000 -18.000000 -14.000000)(-22.477200 -12.984800 -14.000000)(-30.000000 -12.979700 14.000000)(-28.869801 -12.980500 14.000000)(-30.000000 -18.000000 14.000000)(-28.869801 -12.980500 14.000000)(-28.528900 -12.980700 14.000000)(-30.000000 -18.000000 14.000000)(-28.528900 -12.980700 14.000000)(-21.000000 -18.000000 14.000000)(-30.000000 -18.000000 14.000000)(-30.000000 -18.000000 14.000000)(-30.000000 -12.979700 2.285980)(-30.000000 -12.979700 14.000000)(-30.000000 -18.000000 0.000000)(-30.000000 -12.979700 0.000000)(-30.000000 -12.979700 2.285980)(-30.000000 -18.000000 0.000000)(-30.000000 -12.979700 2.285980)(-30.000000 -18.000000 14.000000)(-30.000000 -18.000000 0.000000)(-30.000000 -12.979700 -11.714001)(-30.000000 -12.979700 0.000000)(-30.000000 -18.000000 -14.000000)(-30.000000 -12.979700 -14.000000)(-30.000000 -12.979700 -11.714001)(-30.000000 -18.000000 -14.000000)(-30.000000 -12.979700 -11.714001)(-30.000000 -18.000000 0.000000)(-22.477200 -12.984800 -14.000000)(-30.000000 -18.000000 -14.000000)(-21.000000 -18.000000 -14.000000)(-21.000000 -12.985801 -14.000000)(-22.477200 -12.984800 -14.000000)(-21.000000 -18.000000 -14.000000)(-13.486300 -12.990900 -14.000000)(-21.000000 -18.000000 -14.000000)(-12.000000 -18.000000 -14.000000)(-12.000000 -12.991899 -14.000000)(-13.486300 -12.990900 -14.000000)(-12.000000 -18.000000 -14.000000)(-21.000000 -12.985801 -14.000000)(-21.000000 -18.000000 -14.000000)(-13.486300 -12.990900 -14.000000)(-12.000000 -18.000000 -14.000000)(-12.000000 -12.991899 -2.314350)(-12.000000 -12.991899 -12.654201)(-12.000000 -18.000000 -14.000000)(-12.000000 -12.991899 -12.654201)(-12.000000 -12.991899 -14.000000)(-12.000000 -12.991899 14.000000)(-12.000000 -18.000000 14.000000)(-19.519800 -12.986799 14.000000)(-21.000000 -12.985801 14.000000)(-19.519800 -12.986799 14.000000)(-21.000000 -18.000000 14.000000)(-19.519800 -12.986799 14.000000)(-12.000000 -18.000000 14.000000)(-21.000000 -18.000000 14.000000)(-21.000000 -12.985801 14.000000)(-21.000000 -18.000000 14.000000)(-28.528900 -12.980700 14.000000)(-12.000000 -18.000000 14.000000)(-12.000000 -12.991899 14.000000)(-12.000000 -12.991899 12.654201)(-12.000000 -18.000000 14.000000)(-12.000000 -12.991899 12.654201)(-12.000000 -12.991899 11.685599)(-12.000000 -18.000000 14.000000)(-12.000000 -12.991899 11.685599)(-12.000000 -18.000000 0.000000)(-30.000000 -18.000000 14.000000)(-21.000000 -18.000000 14.000000)(-30.000000 -18.000000 0.000000)(-30.000000 -18.000000 -14.000000)(-30.000000 -18.000000 0.000000)(-21.000000 -18.000000 -14.000000)(-21.000000 -18.000000 -14.000000)(-12.000000 -18.000000 0.000000)(-12.000000 -18.000000 -14.000000)(-12.000000 -18.000000 0.000000)(-12.000000 -12.991899 0.000000)(-12.000000 -12.991899 -2.314350)(-12.000000 -18.000000 0.000000)(-12.000000 -12.991899 -2.314350)(-12.000000 -18.000000 -14.000000)(-12.000000 -18.000000 0.000000)(-12.000000 -12.991899 11.685599)(-12.000000 -12.991899 0.000000)(-21.000000 -18.000000 14.000000)(-12.000000 -18.000000 14.000000)(-12.000000 -18.000000 0.000000)(-12.000000 -18.000000 0.000000)(-30.000000 -18.000000 0.000000)(-21.000000 -18.000000 7.000000)(-30.000000 -18.000000 0.000000)(-21.000000 -18.000000 14.000000)(-21.000000 -18.000000 7.000000)(-21.000000 -18.000000 14.000000)(-12.000000 -18.000000 0.000000)(-21.000000 -18.000000 7.000000)(-30.000000 -18.000000 0.000000)(-12.000000 -18.000000 0.000000)(-21.000000 -18.000000 -7.000000)(-12.000000 -18.000000 0.000000)(-21.000000 -18.000000 -14.000000)(-21.000000 -18.000000 -7.000000)(-21.000000 -18.000000 -14.000000)(-30.000000 -18.000000 0.000000)(-21.000000 -18.000000 -7.000000)(-28.869801 -12.980500 -14.000000)(-30.000000 -12.979700 -14.000000)(-30.000000 -18.000000 -14.000000)(-28.869801 -12.980500 -14.000000)(-30.000000 -18.000000 -14.000000)(-22.477200 -12.984800 -14.000000)(-30.000000 -12.979700 14.000000)(-28.869801 -12.980500 14.000000)(-30.000000 -18.000000 14.000000)(-28.869801 -12.980500 14.000000)(-28.528900 -12.980700 14.000000)(-30.000000 -18.000000 14.000000)(-28.528900 -12.980700 14.000000)(-21.000000 -18.000000 14.000000)(-30.000000 -18.000000 14.000000)(-30.000000 -18.000000 14.000000)(-30.000000 -12.979700 2.285980)(-30.000000 -12.979700 14.000000)(-30.000000 -18.000000 0.000000)(-30.000000 -12.979700 0.000000)(-30.000000 -12.979700 2.285980)(-30.000000 -18.000000 0.000000)(-30.000000 -12.979700 2.285980)(-30.000000 -18.000000 14.000000)(-30.000000 -18.000000 0.000000)(-30.000000 -12.979700 -11.714001)(-30.000000 -12.979700 0.000000)(-30.000000 -18.000000 -14.000000)(-30.000000 -12.979700 -14.000000)(-30.000000 -12.979700 -11.714001)(-30.000000 -18.000000 -14.000000)(-30.000000 -12.979700 -11.714001)(-30.000000 -18.000000 0.000000)(-22.477200 -12.984800 -14.000000)(-30.000000 -18.000000 -14.000000)(-21.000000 -18.000000 -14.000000)(-21.000000 -12.985801 -14.000000)(-22.477200 -12.984800 -14.000000)(-21.000000 -18.000000 -14.000000)(-13.486300 -12.990900 -14.000000)(-21.000000 -18.000000 -14.000000)(-12.000000 -18.000000 -14.000000)(-12.000000 -12.991899 -14.000000)(-13.486300 -12.990900 -14.000000)(-12.000000 -18.000000 -14.000000)(-21.000000 -12.985801 -14.000000)(-21.000000 -18.000000 -14.000000)(-13.486300 -12.990900 -14.000000)(-12.000000 -18.000000 -14.000000)(-12.000000 -12.991899 -2.314350)(-12.000000 -12.991899 -12.654201)(-12.000000 -18.000000 -14.000000)(-12.000000 -12.991899 -12.654201)(-12.000000 -12.991899 -14.000000)(-12.000000 -12.991899 14.000000)(-12.000000 -18.000000 14.000000)(-19.519800 -12.986799 14.000000)(-21.000000 -12.985801 14.000000)(-19.519800 -12.986799 14.000000)(-21.000000 -18.000000 14.000000)(-19.519800 -12.986799 14.000000)(-12.000000 -18.000000 14.000000)(-21.000000 -18.000000 14.000000)(-21.000000 -12.985801 14.000000)(-21.000000 -18.000000 14.000000)(-28.528900 -12.980700 14.000000)(-12.000000 -18.000000 14.000000)(-12.000000 -12.991899 14.000000)(-12.000000 -12.991899 12.654201)(-12.000000 -18.000000 14.000000)(-12.000000 -12.991899 12.654201)(-12.000000 -12.991899 11.685599)(-12.000000 -18.000000 14.000000)(-12.000000 -12.991899 11.685599)(-12.000000 -18.000000 0.000000)(-30.000000 -18.000000 14.000000)(-21.000000 -18.000000 14.000000)(-30.000000 -18.000000 0.000000)(-30.000000 -18.000000 -14.000000)(-30.000000 -18.000000 0.000000)(-21.000000 -18.000000 -14.000000)(-21.000000 -18.000000 -14.000000)(-12.000000 -18.000000 0.000000)(-12.000000 -18.000000 -14.000000)(-12.000000 -18.000000 0.000000)(-12.000000 -12.991899 0.000000)(-12.000000 -12.991899 -2.314350)(-12.000000 -18.000000 0.000000)(-12.000000 -12.991899 -2.314350)(-12.000000 -18.000000 -14.000000)(-12.000000 -18.000000 0.000000)(-12.000000 -12.991899 11.685599)(-12.000000 -12.991899 0.000000)(-21.000000 -18.000000 14.000000)(-12.000000 -18.000000 14.000000)(-12.000000 -18.000000 0.000000)(-12.000000 -18.000000 0.000000)(-30.000000 -18.000000 0.000000)(-21.000000 -18.000000 7.000000)(-30.000000 -18.000000 0.000000)(-21.000000 -18.000000 14.000000)(-21.000000 -18.000000 7.000000)(-21.000000 -18.000000 14.000000)(-12.000000 -18.000000 0.000000)(-21.000000 -18.000000 7.000000)(-30.000000 -18.000000 0.000000)(-12.000000 -18.000000 0.000000)(-21.000000 -18.000000 -7.000000)(-12.000000 -18.000000 0.000000)(-21.000000 -18.000000 -14.000000)(-21.000000 -18.000000 -7.000000)(-21.000000 -18.000000 -14.000000)(-30.000000 -18.000000 0.000000)(-21.000000 -18.000000 -7.000000)(-28.869801 -12.980500 -14.000000)(-30.000000 -12.979700 -14.000000)(-30.000000 -18.000000 -14.000000)(-28.869801 -12.980500 -14.000000)(-30.000000 -18.000000 -14.000000)(-22.477200 -12.984800 -14.000000)(-30.000000 -12.979700 14.000000)(-28.869801 -12.980500 14.000000)(-30.000000 -18.000000 14.000000)(-28.869801 -12.980500 14.000000)(-28.528900 -12.980700 14.000000)(-30.000000 -18.000000 14.000000)(-28.528900 -12.980700 14.000000)(-21.000000 -18.000000 14.000000)(-30.000000 -18.000000 14.000000)(-30.000000 -18.000000 14.000000)(-30.000000 -12.979700 2.285980)(-30.000000 -12.979700 14.000000)(-30.000000 -18.000000 0.000000)(-30.000000 -12.979700 0.000000)(-30.000000 -12.979700 2.285980)(-30.000000 -18.000000 0.000000)(-30.000000 -12.979700 2.285980)(-30.000000 -18.000000 14.000000)(-30.000000 -18.000000 0.000000)(-30.000000 -12.979700 -11.714001)(-30.000000 -12.979700 0.000000)(-30.000000 -18.000000 -14.000000)(-30.000000 -12.979700 -14.000000)(-30.000000 -12.979700 -11.714001)(-30.000000 -18.000000 -14.000000)(-30.000000 -12.979700 -11.714001)(-30.000000 -18.000000 0.000000)(-22.477200 -12.984800 -14.000000)(-30.000000 -18.000000 -14.000000)(-21.000000 -18.000000 -14.000000)(-21.000000 -12.985801 -14.000000)(-22.477200 -12.984800 -14.000000)(-21.000000 -18.000000 -14.000000)(-13.486300 -12.990900 -14.000000)(-21.000000 -18.000000 -14.000000)(-12.000000 -18.000000 -14.000000)(-12.000000 -12.991899 -14.000000)(-13.486300 -12.990900 -14.000000)(-12.000000 -18.000000 -14.000000)(-21.000000 -12.985801 -14.000000)(-21.000000 -18.000000 -14.000000)(-13.486300 -12.990900 -14.000000)(-12.000000 -18.000000 -14.000000)(-12.000000 -12.991899 -2.314350)(-12.000000 -12.991899 -12.654201)(-12.000000 -18.000000 -14.000000)(-12.000000 -12.991899 -12.654201)(-12.000000 -12.991899 -14.000000)(-12.000000 -12.991899 14.000000)(-12.000000 -18.000000 14.000000)(-19.519800 -12.986799 14.000000)(-21.000000 -12.985801 14.000000)(-19.519800 -12.986799 14.000000)(-21.000000 -18.000000 14.000000)(-19.519800 -12.986799 14.000000)(-12.000000 -18.000000 14.000000)(-21.000000 -18.000000 14.000000)(-21.000000 -12.985801 14.000000)(-21.000000 -18.000000 14.000000)(-28.528900 -12.980700 14.000000)(-12.000000 -18.000000 14.000000)(-12.000000 -12.991899 14.000000)(-12.000000 -12.991899 12.654201)(-12.000000 -18.000000 14.000000)(-12.000000 -12.991899 12.654201)(-12.000000 -12.991899 11.685599)(-12.000000 -18.000000 14.000000)(-12.000000 -12.991899 11.685599)(-12.000000 -18.000000 0.000000)(-30.000000 -18.000000 14.000000)(-21.000000 -18.000000 14.000000)(-30.000000 -18.000000 0.000000)(-30.000000 -18.000000 -14.000000)(-30.000000 -18.000000 0.000000)(-21.000000 -18.000000 -14.000000)(-21.000000 -18.000000 -14.000000)(-12.000000 -18.000000 0.000000)(-12.000000 -18.000000 -14.000000)(-12.000000 -18.000000 0.000000)(-12.000000 -12.991899 0.000000)(-12.000000 -12.991899 -2.314350)(-12.000000 -18.000000 0.000000)(-12.000000 -12.991899 -2.314350)(-12.000000 -18.000000 -14.000000)(-12.000000 -18.000000 0.000000)(-12.000000 -12.991899 11.685599)(-12.000000 -12.991899 0.000000)(-21.000000 -18.000000 14.000000)(-12.000000 -18.000000 14.000000)(-12.000000 -18.000000 0.000000)(-12.000000 -18.000000 0.000000)(-30.000000 -18.000000 0.000000)(-21.000000 -18.000000 7.000000)(-30.000000 -18.000000 0.000000)(-21.000000 -18.000000 14.000000)(-21.000000 -18.000000 7.000000)(-21.000000 -18.000000 14.000000)(-12.000000 -18.000000 0.000000)(-21.000000 -18.000000 7.000000)(-30.000000 -18.000000 0.000000)(-12.000000 -18.000000 0.000000)(-21.000000 -18.000000 -7.000000)(-12.000000 -18.000000 0.000000)(-21.000000 -18.000000 -14.000000)(-21.000000 -18.000000 -7.000000)(-21.000000 -18.000000 -14.000000)(-30.000000 -18.000000 0.000000)(-21.000000 -18.000000 -7.000000)))
           )
           )))
    (send glvertices :calc-normals)
    (send self :assoc glvertices)
    glvertices)
  (:qhull-faceset ()
   ;; qhull 1440 -> 9 faces
   (instance faceset :init :faces (list
    (instance face :init :vertices (list (float-vector -3.497000 7.747300 -15.799999) (float-vector 12.736900 -8.508600 -15.799999) (float-vector 12.736900 -8.508600 14.800000) (float-vector -3.497000 7.747300 14.800000)))
    (instance face :init :vertices (list (float-vector -12.000000 -17.999999 -14.000000) (float-vector 12.736900 -8.508600 -15.799999) (float-vector -30.009000 -12.979700 -15.799999) (float-vector -29.999999 -17.999999 -14.000000)))
    (instance face :init :vertices (list (float-vector -30.006001 -8.479700 -15.799999) (float-vector -30.009000 -12.979700 -15.799999) (float-vector 12.736900 -8.508600 -15.799999) (float-vector -3.497000 7.747300 -15.799999)))
    (instance face :init :vertices (list (float-vector -30.006001 -8.479700 -15.799999) (float-vector -3.497000 7.747300 -15.799999) (float-vector -3.497000 7.747300 14.800000) (float-vector -30.006001 -8.479700 14.800000)))
    (instance face :init :vertices (list (float-vector -12.000000 -17.999999 14.000000) (float-vector 12.736900 -8.508600 14.800000) (float-vector 12.736900 -8.508600 -15.799999) (float-vector -12.000000 -17.999999 -14.000000)))
    (instance face :init :vertices (list (float-vector -12.000000 -17.999999 14.000000) (float-vector -30.009000 -12.979700 15.799999) (float-vector -30.006001 -8.479700 14.800000) (float-vector -3.497000 7.747300 14.800000) (float-vector 12.736900 -8.508600 14.800000)))
    (instance face :init :vertices (list (float-vector -12.000000 -17.999999 14.000000) (float-vector -29.999999 -17.999999 14.000000) (float-vector -30.009000 -12.979700 15.799999)))
    (instance face :init :vertices (list (float-vector -29.999999 -17.999999 14.000000) (float-vector -29.999999 -17.999999 -14.000000) (float-vector -30.009000 -12.979700 -15.799999) (float-vector -30.006001 -8.479700 -15.799999) (float-vector -30.006001 -8.479700 14.800000) (float-vector -30.009000 -12.979700 15.799999)))
    (instance face :init :vertices (list (float-vector -29.999999 -17.999999 14.000000) (float-vector -12.000000 -17.999999 14.000000) (float-vector -12.000000 -17.999999 -14.000000) (float-vector -29.999999 -17.999999 -14.000000)))
    ))
   )
  )



(provide :HiroNX "/home/k-okada/ros/groovy/rtm-ros-robotics/rtmros_hironx/hironx_ros_bridge/build//home/k-okada/ros/groovy/rtm-ros-robotics/rtmros_hironx/hironx_ros_bridge/models/kawada-hironx.l")

